test.data_created_correctly.no_population <- function () {
  test.mrp <- mrp(yes.of.all ~ state+age+edu,
          poll=testData(), poll.weights="weight")
  
  checkEquals (expectedTestMrp.Data(), test.mrp@data)
  checkEqualsNumeric (expectedTestMrp.DefaultPopulationData(), test.mrp@population@.Data)
}

test.data_created_correctly.with_population <- function () {
  test.mrp <- mrp(yes.of.all ~ state+age+edu,
      poll=testData(), poll.weights="weight",
      population=testPopulation(), use="weighted2008")
  

  checkEquals (expectedTestMrp.Data(), test.mrp@data)
  checkEqualsNumeric (expectedTestMrp.PopulationData(), test.mrp@population@.Data)
}



expectedTestMrp.DefaultPopulationData <- function () {
  data <-
      structure(c(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
              1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1), .Dim = c(49L, 4L, 4L), .Dimnames = structure(list(
                  state = c("AL", "AR", "AZ", "CA", "CO", "CT", "DC", "DE", 
                      "FL", "GA", "IA", "ID", "IL", "IN", "KS", "KY", "LA", "MA", 
                      "MD", "ME", "MI", "MN", "MO", "MS", "MT", "NC", "ND", "NE", 
                      "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", "PA", "RI", 
                      "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", "WI", "WV", 
                      "WY"), age = c("18-29", "30-44", "45-64", "65+"), edu = c("< High School", 
                      "High School", "Some College", "Graduated College")), .Names = c("state", 
                  "age", "edu")))
  return (data)
}


expectedTestMrp.PopulationData <- function () {
  data <-
      structure(c(121415L, 103311L, 59772L, 518073L, 82931L, 43088L, 
18085L, 10261L, 300435L, 219600L, 29019L, 203639L, 140775L, 44260L, 
47020L, 96513L, 134574L, 19101L, 78878L, 77305L, 187889L, 66634L, 
90256L, 125448L, 15801L, 23817L, 41379L, 20465L, 94331L, 39640L, 
297553L, 169671L, 5681L, 229458L, 66964L, 60471L, 194811L, 16568L, 
97917L, 10569L, 125257L, 477966L, 47431L, 8207L, 111582L, 101366L, 
36902L, 79585L, 9243L, 117034L, 85708L, 58299L, 522982L, 56616L, 
38035L, 12418L, 9998L, 261908L, 179839L, 18425L, 160326L, 114079L, 
28491L, 31089L, 101368L, 113346L, 14992L, 72397L, 63798L, 145244L, 
40255L, 75456L, 105316L, 9816L, 14605L, 40606L, 16439L, 92656L, 
27944L, 249495L, 164440L, 4598L, 181767L, 54642L, 45666L, 174008L, 
15170L, 89693L, 8051L, 137107L, 456337L, 26462L, 6837L, 113530L, 
71138L, 41518L, 67440L, 5841L, 174999L, 105709L, 98705L, 663131L, 
66252L, 67685L, 21441L, 15088L, 393015L, 286115L, 26815L, 263561L, 
164723L, 49756L, 42299L, 181291L, 171980L, 28372L, 124081L, 121989L, 
217507L, 56094L, 126492L, 150903L, 14981L, 24111L, 50258L, 27716L, 
172868L, 40879L, 442327L, 271475L, 8283L, 296633L, 81948L, 57267L, 
283589L, 27753L, 159306L, 12214L, 232282L, 623812L, 25528L, 11402L, 
205374L, 86042L, 75703L, 98966L, 7136L, 196304L, 125050L, 118106L, 
624849L, 71793L, 95104L, 27585L, 16372L, 586190L, 265685L, 30156L, 
336902L, 179930L, 78714L, 56219L, 198412L, 164102L, 41205L, 144997L, 
157513L, 289744L, 111292L, 122810L, 199553L, 22400L, 36636L, 
45170L, 30509L, 246384L, 52891L, 540317L, 306858L, 25371L, 363457L, 
101888L, 74844L, 457175L, 38428L, 164595L, 24371L, 255071L, 595720L, 
26547L, 15553L, 227174L, 98606L, 92594L, 151804L, 10098L, 214913L, 
221716L, 150205L, 1295330L, 192224L, 121245L, 37064L, 20169L, 
702244L, 411374L, 71476L, 488127L, 282199L, 118226L, 112942L, 
210751L, 235729L, 58822L, 224392L, 218730L, 417977L, 182331L, 
143880L, 275383L, 40255L, 68499L, 99911L, 53261L, 278463L, 81031L, 
626568L, 343887L, 25914L, 544075L, 153577L, 152190L, 534451L, 
36674L, 201637L, 30648L, 316354L, 1024327L, 142059L, 30396L, 
324422L, 239827L, 92329L, 243507L, 25605L, 267926L, 228396L, 
175725L, 1156564L, 188742L, 169981L, 51328L, 21428L, 847587L, 
534787L, 70312L, 561804L, 413239L, 157965L, 125849L, 287165L, 
273712L, 92189L, 264911L, 287658L, 559565L, 213364L, 174773L, 
334827L, 49365L, 76074L, 125854L, 77438L, 421982L, 83099L, 810486L, 
474511L, 23574L, 735322L, 175106L, 161009L, 802211L, 56419L, 
264377L, 35895L, 405326L, 1052745L, 98243L, 38537L, 378170L, 
264465L, 140561L, 311657L, 27285L, 376207L, 295886L, 247185L, 
1319727L, 255455L, 242675L, 68506L, 26471L, 1187210L, 630851L, 
94834L, 820835L, 597137L, 274488L, 192184L, 388677L, 377993L, 
134035L, 358804L, 398429L, 810221L, 377584L, 221269L, 485286L, 
79229L, 131872L, 156671L, 104954L, 587911L, 113115L, 1222157L, 
643248L, 45134L, 1094297L, 246385L, 223206L, 1251603L, 72216L, 
348061L, 67484L, 524633L, 1237782L, 110565L, 54735L, 469003L, 
344328L, 215772L, 495429L, 43115L, 189432L, 222230L, 126198L, 
799632L, 135669L, 150795L, 38852L, 15686L, 947262L, 265380L, 
55088L, 509487L, 312923L, 188215L, 126916L, 161015L, 164200L, 
68811L, 181363L, 275702L, 453921L, 221668L, 101449L, 273516L, 
44698L, 92578L, 83159L, 55112L, 379628L, 61859L, 801906L, 317049L, 
29071L, 596696L, 144841L, 147761L, 768955L, 44776L, 158177L, 
39875L, 235306L, 604332L, 68114L, 26774L, 241722L, 208063L, 104808L, 
285689L, 22332L, 231791L, 290018L, 133928L, 1580649L, 240641L, 
127125L, 34746L, 17752L, 742471L, 420742L, 86525L, 632647L, 309215L, 
169694L, 161312L, 215864L, 227869L, 53648L, 234654L, 243067L, 
556704L, 289015L, 154718L, 295011L, 48059L, 112769L, 99357L, 
55079L, 324060L, 98560L, 802729L, 405508L, 44768L, 566386L, 167792L, 
178947L, 513178L, 49080L, 198582L, 41787L, 271698L, 1167448L, 
220138L, 27697L, 327887L, 309253L, 83705L, 301022L, 29471L, 261843L, 
341173L, 157060L, 1596961L, 276418L, 171735L, 44571L, 17993L, 
938449L, 515544L, 92153L, 697251L, 379226L, 187328L, 156457L, 
243137L, 215024L, 78534L, 279515L, 291486L, 637332L, 347428L, 
167089L, 333885L, 50744L, 110436L, 139331L, 80432L, 390812L, 
99368L, 863133L, 534911L, 41685L, 652554L, 177963L, 213358L, 
601443L, 52824L, 242868L, 41503L, 341673L, 1228619L, 159370L, 
32161L, 402034L, 383024L, 93992L, 354166L, 35266L, 309715L, 450539L, 
181148L, 2093820L, 355497L, 223234L, 57200L, 23781L, 1242335L, 
551420L, 119789L, 862690L, 409462L, 222349L, 205632L, 256593L, 
252694L, 102800L, 349432L, 390940L, 805719L, 421023L, 191275L, 
409186L, 78825L, 137875L, 181932L, 100379L, 478060L, 123798L, 
1073528L, 610409L, 52712L, 776987L, 232065L, 333725L, 735167L, 
66534L, 290586L, 53712L, 387126L, 1370116L, 174403L, 45566L, 
476827L, 530049L, 110299L, 422753L, 49033L, 107034L, 199920L, 
67101L, 818716L, 106244L, 75732L, 21294L, 9956L, 621692L, 158411L, 
40072L, 277265L, 122684L, 75367L, 75956L, 80081L, 78474L, 30679L, 
106938L, 139268L, 235248L, 123316L, 62386L, 139369L, 28033L, 
47319L, 67540L, 28408L, 160568L, 47711L, 359949L, 195280L, 16797L, 
245694L, 94591L, 119460L, 238495L, 20520L, 95771L, 20017L, 124638L, 
450443L, 61796L, 13462L, 151961L, 178238L, 36812L, 124277L, 14554L, 
88680L, 112929L, 50142L, 622691L, 136402L, 91356L, 20020L, 41682L, 
315764L, 193833L, 28526L, 344832L, 137808L, 80418L, 67524L, 84212L, 
86026L, 25494L, 154225L, 212218L, 214435L, 143989L, 48476L, 141810L, 
19230L, 48082L, 38285L, 31806L, 211088L, 28924L, 540899L, 197305L, 
20566L, 259697L, 63398L, 75375L, 312850L, 27858L, 89149L, 18346L, 
128878L, 438636L, 69689L, 15161L, 198390L, 128601L, 33013L, 135464L, 
10129L, 200449L, 273032L, 104108L, 1573947L, 354589L, 243630L, 
44838L, 56911L, 784311L, 548498L, 69637L, 771106L, 293857L, 154028L, 
160132L, 188968L, 169261L, 68112L, 380437L, 492558L, 512121L, 
355027L, 110331L, 305592L, 45599L, 99447L, 88183L, 85957L, 550018L, 
76476L, 1150051L, 487950L, 31784L, 576968L, 139187L, 192856L, 
669598L, 63557L, 204840L, 41009L, 287017L, 1077872L, 126688L, 
38755L, 506747L, 351779L, 63808L, 312795L, 21365L, 253646L, 362709L, 
135202L, 2018920L, 424420L, 313492L, 55784L, 48510L, 1110509L, 
575646L, 87263L, 823711L, 336848L, 176709L, 199907L, 214932L, 
212944L, 103629L, 468851L, 590085L, 624096L, 390789L, 133818L, 
356044L, 72674L, 116017L, 118343L, 114479L, 674018L, 131554L, 
1345177L, 546090L, 44309L, 683047L, 197227L, 271957L, 831703L, 
79989L, 255027L, 47574L, 346075L, 1300068L, 145278L, 65642L, 
621303L, 474737L, 85960L, 368241L, 34563L, 83640L, 167388L, 48923L, 
729396L, 118259L, 94890L, 19927L, 19021L, 577611L, 140246L, 27826L, 
230768L, 99304L, 54476L, 60647L, 59680L, 73191L, 38213L, 141275L, 
174709L, 186371L, 108697L, 46958L, 105540L, 23513L, 32588L, 43686L, 
34172L, 190487L, 48593L, 441307L, 176693L, 9433L, 206337L, 67018L, 
93558L, 252501L, 24495L, 96274L, 14824L, 104423L, 388399L, 49311L, 
18776L, 174545L, 153280L, 28922L, 106624L, 10286L), .Dim = c(49L, 
4L, 4L), .Dimnames = structure(list(state = c("AL", "AR", "AZ", 
"CA", "CO", "CT", "DC", "DE", "FL", "GA", "IA", "ID", "IL", "IN", 
"KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MS", "MT", 
"NC", "ND", "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", 
"PA", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", "WI", 
"WV", "WY"), age = c("18-29", "30-44", "45-64", "65+"), edu = c("< High School", 
"High School", "Some College", "Graduated College")), .Names = c("state", 
"age", "edu")))

  return (data)
}




expectedTestMrp.Data <- function () {
  data <- structure(list(state = structure(c(1L, 2L, 3L, 4L, 5L, 6L, 7L, 
                                  8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 
                                  21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 
                                  34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 
                                  47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 
                                  12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 
                                  25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 
                                  38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 
                                  2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 
                                  16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 
                                  29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 
                                  42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 
                                  7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 
                                  20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 
                                  33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 
                                  46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 
                                  11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 
                                  24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 
                                  37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 
                                  1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 
                                  15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 
                                  28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 
                                  41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 
                                  5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 
                                  19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 
                                  32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 
                                  45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 
                                  10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 
                                  23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 
                                  36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 
                                  49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 
                                  14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 
                                  27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 
                                  40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 
                                  4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 
                                  18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 
                                  31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 
                                  44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 
                                  9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 
                                  22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 
                                  35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 
                                  48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 
                                  13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 
                                  26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 
                                  39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 
                                  3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 
                                  17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 
                                  30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 
                                  43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 
                                  8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 
                                  21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 
                                  34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 
                                  47L, 48L, 49L, 1L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 
                                  12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 
                                  25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 
                                  38L, 39L, 40L, 41L, 42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L, 1L, 
                                  2L, 3L, 4L, 5L, 6L, 7L, 8L, 9L, 10L, 11L, 12L, 13L, 14L, 15L, 
                                  16L, 17L, 18L, 19L, 20L, 21L, 22L, 23L, 24L, 25L, 26L, 27L, 28L, 
                                  29L, 30L, 31L, 32L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 
                                  42L, 43L, 44L, 45L, 46L, 47L, 48L, 49L), .Label = c("AL", "AR", 
                                  "AZ", "CA", "CO", "CT", "DC", "DE", "FL", "GA", "IA", "ID", "IL", 
                                  "IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MS", 
                                  "MT", "NC", "ND", "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", 
                                  "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", 
                                  "WI", "WV", "WY"), class = "factor"), age = structure(c(1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L), .Label = c("18-29", 
                                  "30-44", "45-64", "65+"), class = "factor"), edu = structure(c(1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
                                  1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                                  2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
                                  3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
                                  4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L), .Label = c("< High School", 
                                  "High School", "Some College", "Graduated College"), class = "factor"), 
          response.yes = c(0, 0, 0, 1.97151572710364, 0, 0, 0, 0, 0, 
              0.949919421770589, 0, 0, 1.89983884354118, 1.97898091291769, 
              0, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0, 1.16599255630187, 
              0, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0.814653055382396, 
              0, 0, 0, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0.942885173393865, 
              0, 0, 0, 0, 0, 0, 0, 2.09603477335711, 0, 0, 0, 0, 0, 0, 
              0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0, 0, 0, 0, 0, 
              0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0, 0, 0, 0, 0.949919421770589, 
              0, 0, 0, 1.10029275162037, 0, 0, 0, 0, 0, 0, 1.64477075295244, 
              0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.947884696257144, 
              0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.781346766186979, 0, 
              0, 0, 0, 0, 0, 0, 0, 0, 0.78817058289788, 0, 0, 0, 0, 0, 
              0, 0, 0.949919421770589, 0.664795866298662, 0, 0, 0, 0, 1.17098803835439, 
              0, 0, 0, 0.862298771069787, 0, 0, 0, 0, 0, 0.949919421770589, 
              0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 
              0, 0, 0, 0, 0, 0, 0, 0, 0.693724252467423, 0, 0, 0, 0, 0, 
              0, 0, 1.35443059219598, 0, 1.89983884354118, 11.0534608144884, 
              0, 0, 0, 0, 1.00029396346747, 1.84864558378042, 0, 0, 1.47147589379877, 
              0, 3.2235238124522, 0, 0, 1.89445254640997, 0, 0, 0, 0, 0.949919421770589, 
              0, 0, 0.75709997014221, 0, 0, 1.89983884354118, 0, 0, 0, 
              1.89983884354118, 2.05860725275386, 0, 1.89983884354118, 
              2.28923305646087, 0, 0.949919421770589, 0, 0, 3.86594847863655, 
              0.949919421770589, 0.949919421770589, 0, 1.04904142475760, 
              1.89983884354118, 0, 0.949919421770589, 0, 0, 0.949919421770589, 
              4.18100197142386, 1.63319479425603, 0, 0, 0, 0, 0, 1.07382197080003, 
              0, 2.19153436066631, 0, 0, 0, 0.941817765578422, 0, 0, 0, 
              0, 0, 0, 0.989172279765336, 0, 0, 0, 0, 0, 0, 0, 0.949919421770589, 
              1.08562218696364, 4.54679509619203, 1.05546601275689, 2.15237365792491, 
              3.78453958435586, 1.89983884354118, 0, 0, 0, 0, 0, 0, 0, 
              1.15012666578871, 1.02185094082814, 0, 0, 0, 0, 1.48377913593777, 
              11.2699024268368, 2.44670076036665, 0.949919421770589, 0, 
              0, 2.68065174200794, 3.46410838282733, 0, 0, 1.10352338872622, 
              1.01555019235406, 0.769119046160524, 0, 0, 2.48157243678483, 
              0, 0, 4.02765835340055, 0, 2.08540451846069, 0, 1.41383360587654, 
              2.1521397418484, 0, 0.863563130569591, 0, 1.68928971411564, 
              0, 0, 4.33601848916671, 0.911288698134407, 0, 0.712439581126249, 
              5.68063498815971, 0, 0, 0, 0.896652941105309, 1.33515756723302, 
              0, 0, 0, 0, 2.35378262373767, 0, 0, 0, 0, 0.949919421770589, 
              4.13142622215261, 0, 0, 0, 0, 6.2818527064963, 0, 0, 0, 0, 
              0, 0, 0, 0, 0, 0, 0, 0.970130468581458, 0, 1.24619652279312, 
              0, 0, 1.02166559957068, 0, 0, 0, 0, 0, 0, 3.8067083261659, 
              0, 0, 0, 1.79545211905729, 0.990886288020247, 0, 0, 0.90468515121677, 
              0.796234458918275, 0, 0, 0, 0, 2.15485077307204, 0, 0, 1.10135581522296, 
              0, 2.12178262548495, 10.6944413332022, 1.22758818568981, 
              0.949919421770589, 0, 0, 1.83488707476123, 0, 0, 0.949919421770589, 
              0, 0.998384684832073, 0, 0, 0, 0, 0.949919421770589, 0, 1.96615510918591, 
              2.84975826531177, 0, 0, 0, 3.21017315117365, 0, 0, 0.949919421770589, 
              0, 0.949919421770589, 0.723072970643579, 2.68212536609499, 
              2.51527957526602, 0, 0, 0, 0, 0, 0, 0, 2.00774706636674, 
              0, 1.89983884354118, 0.949919421770589, 0.94991941621728, 
              0.949919421770589, 0, 0, 0.84082501575907, 0, 2.52400654008756, 
              1.8645377833241, 1.22603481934109, 0, 0, 0, 2.12075032731722, 
              0, 0, 0, 0, 0.706916770227442, 0, 0, 0, 0.992453116779466, 
              0, 0.949919421770589, 2.18392686688539, 1.89983884354118, 
              3.92055263281599, 1.89983884354118, 0, 0, 0, 1.0599959151483, 
              0.949919421770589, 2.14437257369314, 0, 0, 2.14805899158592, 
              3.43033012111537, 0, 1.00579702039653, 3.48576352321331, 
              0.949919421770589, 2.81322287853482, 0, 0, 3.68383380967384, 
              0.921980622007013, 0.869075234527113, 0.949919421770589, 
              1.87573645504538, 1.02657958768495, 0, 0, 0.883258401299377, 
              0, 0.753384370538922, 10.9493910093024, 0, 0.955347531391416, 
              0, 0, 1.63515324138539, 1.13716316965878, 1.00269271226195, 
              0, 1.85251189026804, 0, 0, 0, 0, 1.94855264805570, 1.62277904018293, 
              0, 3.3532001942299, 1.02826330074206, 0, 0, 1.08308571040976, 
              1.99745903917598, 0, 0, 0, 0, 0, 0, 3.6738243204747, 3.69074196513675, 
              0, 0.852491762616044, 1.8370185348663, 0, 0.949919421770589, 
              0, 0.880413101235246, 3.22540823606303, 0.949919421770589, 
              1.76971288036536, 0, 2.69678910999477, 0.804226261275007, 
              0, 0, 0, 0, 1.9568339963458, 2.02775821537356, 0.996945125506895, 
              0, 0, 0, 2.14108820409351, 0, 0, 0, 1.82581912256707, 0, 
              0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0, 
              0, 1.50963628348774, 0, 0, 0, 0, 0.949919421770589, 0, 0, 
              0, 0, 0, 0, 0, 0, 0, 0, 0.80844203076315, 0, 0, 0, 0, 0, 
              1.02693989830530, 4.96722574837039, 0.929417568599621, 0.949919421770589, 
              0, 0, 0.949919421770589, 0.949919421770589, 0, 0, 0.827730625449112, 
              2.36921082513298, 0.949919421770589, 0.866247757264442, 0, 
              1.89983884354118, 0, 0, 1.25474432694668, 0, 2.84975826531177, 
              0.97121803544191, 0, 0, 0, 0, 0, 0.949919421770589, 0, 0.921133959874123, 
              2.84975826531177, 1.89211588095702, 0, 0.949919421770589, 
              1.89983884354118, 0.949919421770589, 0, 0, 0, 2.92447104644601, 
              0, 3.05541094998551, 0, 2.22728544995312, 0, 0, 0, 0, 0, 
              1.94859299134657, 12.5892140839078, 0.883258365893969, 1.78539074463256, 
              0, 0, 0.871880721585169, 1.90702163661946, 1.71433270328361, 
              0, 5.05472274417044, 1.89983884354118, 1.65203379230971, 
              2.84975826531177, 0, 2.88879601718534, 2.71517701770876, 
              0, 2.04598032386685, 0, 2.60779766923782, 0, 1.99483081861721, 
              3.55272024332536, 0, 0, 0.962627405714324, 4.7481556770148, 
              2.84499668723234, 2.06349533280062, 6.80821212074206, 0.9742762906368, 
              0.909208598976551, 1.27615435503726, 5.8080279678992, 0, 
              0.573800529680961, 1.04770522094310, 0, 4.78911602310861, 
              0, 3.74968194631901, 0, 3.76360480641178, 1.78390374150293, 
              0, 0, 1.19251423475146, 0, 1.97863398303905, 16.0700653670224, 
              2.85811527983052, 4.96821706850446, 0, 0, 3.29670258390626, 
              2.92442447288343, 0, 0.84355779233187, 1.71974730016789, 
              2.9512059715314, 0.83629269858643, 0, 1.99888252558061, 0, 
              0.8862884707446, 0, 4.76830939065706, 2.18481469177654, 0.908767632042544, 
              0.84253720657231, 0, 1.79429222611686, 0, 0, 0.949919421770589, 
              5.86562265435426, 0.846916103414852, 0, 10.9414801631531, 
              3.31326254502598, 0.979707828863803, 2.04289899572099, 3.18331062134439, 
              0, 1.12802930623089, 0, 1.11136818343421, 1.75762863112161, 
              2.30390906274501, 2.41638486344845, 0, 2.84975826531177, 
              3.96345695834343, 0, 0.949919421770589, 0, 0, 0, 3.82338861881049, 
              0, 0, 0, 0, 2.94768814620522, 0.983249965474326, 0, 0, 0, 
              0, 0, 0, 0, 0, 1.17983623463584, 0, 1.02591295884342, 0, 
              0.949919421770589, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.17172807409007, 
              0, 0, 0, 0, 0, 0, 0, 0, 3.1211638250197, 0, 0, 0, 1.05341256626240, 
              0, 0, 0), response.no = c(0, 0, 0.949919421770589, 1.82816195997872, 
              1.89983884354118, 0.949919421770589, 0, 0, 0, 0, 0, 0, 0, 
              1.82069677416467, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.6837657090099, 
              0, 0, 0, 0, 0.949919421770589, 0, 0.949919421770589, 2.84975826531177, 
              0, 0, 1.08518578815878, 0, 0.949919421770589, 0, 0.949919421770589, 
              0.949919421770589, 0, 0, 0, 0, 0, 0, 0, 0.956953670147313, 
              0, 0, 0, 0.949919421770589, 0, 0, 0, 1.70364291372525, 0, 
              0.949919421770589, 0.949919421770589, 0, 1.89983884354118, 
              0, 0, 0.949919421770589, 0, 0, 0.949919421770589, 0, 0, 0, 
              0, 0, 0, 0, 0.949919421770589, 0, 0, 0, 0, 0, 0, 0.949919421770589, 
              1.89983884354118, 0.949919421770589, 0, 0.949919421770589, 
              0, 0, 2.84975826531177, 0, 0.949919421770589, 0, 0.799546091920809, 
              0, 0, 0, 0.949919421770589, 0.949919421770589, 0, 2.15490693412991, 
              0, 0, 0, 0, 1.89983884354118, 0.949919421770589, 0, 0, 0, 
              0.949919421770589, 0, 0, 0.949919421770589, 0, 1.89983884354118, 
              0, 0.951954147284033, 0, 0.949919421770589, 0.949919421770589, 
              0, 1.89983884354118, 0, 0, 0, 0, 0, 0, 0.949919421770589, 
              1.11849207735420, 0, 0, 0.949919421770589, 0, 1.89983884354118, 
              0, 1.89983884354118, 0.949919421770589, 0, 1.11166826064330, 
              0, 0, 0, 0.949919421770589, 0, 1.89983884354118, 2.84975826531177, 
              0, 2.18496239901310, 0, 0, 0, 0, 1.67877022695737, 0.949919421770589, 
              0.949919421770589, 0, 3.88729833778316, 0.949919421770589, 
              0, 1.89983884354118, 0, 0, 0, 0.949919421770589, 1.89983884354118, 
              0, 1.89983884354118, 0, 0, 2.84975826531177, 0, 0, 0, 0, 
              0, 0, 2.84975826531177, 2.84975826531177, 0, 0, 0, 0, 1.89983884354118, 
              0, 0, 2.15603401284434, 0.949919421770589, 3.79967768708235, 
              0, 0.949919421770589, 0, 0, 0.949919421770589, 2.44524709488637, 
              0.949919421770589, 0, 12.6945247297764, 0.949919421770589, 
              0, 0, 0, 1.8494643018443, 2.90095152507253, 0, 0.949919421770589, 
              3.27812121505417, 2.84975826531177, 1.52607329640074, 0.949919421770589, 
              3.79967768708235, 0.9553057189018, 0.949919421770589, 0.949919421770589, 
              1.89983884354118, 2.84975826531177, 0, 0, 1.89983884354118, 
              2.09265829516956, 0, 0.949919421770589, 0, 2.84975826531177, 
              0, 0.949919421770589, 0.949919421770589, 0.79115101255791, 
              0.949919421770589, 0, 0.560525208850901, 0, 0, 0, 1.89983884354118, 
              4.68332631729875, 0, 0.949919421770589, 0, 0.850797418783582, 
              0, 0.949919421770589, 0, 3.79967768708235, 1.89983884354118, 
              0, 4.36827282451144, 1.21656347105574, 0.949919421770589, 
              0, 0, 5.69951653062353, 5.69951653062353, 1.77593629451173, 
              0, 2.55806274818663, 4.74959710885294, 1.89983884354118, 
              1.89983884354118, 1.90794049973334, 0, 2.84975826531177, 
              0, 3.79967768708235, 1.89983884354118, 1.89983884354118, 
              0.910666563775842, 0.949919421770589, 4.74959710885294, 0, 
              1.89983884354118, 0, 3.79967768708235, 0, 0, 2.71405550011871, 
              7.80215738682562, 1.79429225255488, 1.64730402915745, 6.66457405512061, 
              0.949919421770589, 0, 0, 2.84975826531177, 5.69951653062353, 
              1.89983884354118, 1.89983884354118, 0, 4.54938986483482, 
              1.82790732448363, 0, 0.949919421770589, 5.69951653062353, 
              6.64943595239412, 2.31589855114458, 2.97888889972202, 1.35297692671570, 
              0, 0, 0.949919421770589, 4.91870363215677, 6.98500525664915, 
              1.89983884354118, 0, 5.5459125636679, 4.68396633826947, 3.03055864092183, 
              5.69951653062353, 2.84975826531177, 2.26802467206812, 0.949919421770589, 
              0.949919421770589, 4.52161644253475, 2.84975826531177, 5.51395085570402, 
              1.89983884354118, 4.28568292474699, 11.1467321629398, 0, 
              1.03627571297159, 0, 3.06030739473731, 0, 0, 8.01293399385094, 
              8.58790551957148, 2.84975826531177, 2.13731868418552, 11.4179146037109, 
              0, 5.69951653062353, 2.84975826531177, 4.80286358951822, 
              5.3142783851611, 0.949919421770589, 4.74959710885294, 0, 
              1.89983884354118, 4.29565332865645, 0, 0, 0, 1.89983884354118, 
              0, 7.26760683909445, 0, 1.89983884354118, 0, 0.949919421770589, 
              8.91685804183311, 6.64943595239412, 1.89983884354118, 0.949919421770589, 
              6.64943595239412, 2.84975826531177, 0.949919421770589, 1.89983884354118, 
              1.89983884354118, 5.69951653062353, 0, 0, 2.8295472185009, 
              4.74959710885294, 2.55348116428924, 0, 0, 2.77801208751168, 
              0.949919421770589, 0.949919421770589, 0, 4.74959710885294, 
              0, 0, 6.64240531331058, 8.5492747959353, 0, 1.89983884354118, 
              7.7037420986486, 1.85887197729152, 0.949919421770589, 0, 
              4.79483137940676, 6.80312091524643, 1.89983884354118, 1.89983884354118, 
              0, 0, 1.64482691401031, 1.89983884354118, 0, 0.798483028318217, 
              1.89983884354118, 0.727975639826816, 5.45418883689776, 0.672250657851367, 
              0, 0, 0, 3.86462945586231, 1.89983884354118, 0, 0, 3.79967768708235, 
              0.901454158709105, 0.949919421770589, 0.949919421770589, 
              0, 0, 0.949919421770589, 0, 0.88360315612586, 0, 1.89983884354118, 
              0, 0, 1.53942395767929, 0, 0.949919421770589, 0, 0, 0, 1.1767658728976, 
              2.06747174275795, 5.08407579889869, 0.949919421770589, 0, 
              0, 0, 0, 0, 1.89983884354118, 1.79193062071561, 1.89983884354118, 
              0, 0, 5.69951653617684, 0, 0, 0, 2.95885267132328, 1.89983884354118, 
              1.27567114699479, 4.78489816907002, 3.52356228951186, 0.949919421770589, 
              0, 0, 0.729007937994542, 1.89983884354118, 4.74959710885294, 
              0.949919421770589, 3.79967768708235, 3.09276091685491, 2.84975826531177, 
              1.89983884354118, 0, 0.907385726761711, 0.949919421770589, 
              0, 2.56567024196756, 0, 3.67880274134872, 0, 0, 3.79967768708235, 
              0, 0.839842928392878, 0, 0.705385691618623, 0.949919421770589, 
              1.89983884354118, 3.55145753903761, 5.11894467481992, 0.949919421770589, 
              1.84396124491524, 2.21375300741022, 0, 0.986454808547534, 
              0, 2.84975826531177, 7.71519925157322, 0.977858221534165, 
              1.03076360901406, 0, 4.77369949734874, 0.873259255856223, 
              0, 0, 2.91641928578298, 0.949919421770589, 3.04629331654343, 
              11.8486751131918, 2.84975826531177, 0.944491312149762, 0, 
              0, 14.5134769287146, 4.56235336096475, 0.897146131279228, 
              0, 5.74684348389667, 1.89983884354118, 3.79967768708235, 
              4.74959710885294, 0.949919421770589, 1.85112503902665, 5.02665691221119, 
              0, 5.1960746017054, 1.82149496456971, 2.84975826531177, 0.949919421770589, 
              0.816753133131413, 5.60189633498873, 0, 0.949919421770589, 
              0, 1.89983884354118, 0.949919421770589, 0.949919421770589, 
              4.8754504754606, 9.6081299396515, 0, 5.79694418977808, 2.91257857398664, 
              0, 1.89983884354118, 0, 3.8691840076177, 8.17362482518403, 
              0, 1.08004538494640, 0, 3.95264684239935, 2.04553200403676, 
              3.79967768708235, 0.949919421770589, 0.949919421770589, 1.89983884354118, 
              0.892924268965963, 5.57159715879115, 0.902893718034282, 0.949919421770589, 
              0.949919421770589, 0, 5.4582671700712, 2.84975826531177, 
              1.89983884354118, 1.89983884354118, 1.97385856451528, 1.89983884354118, 
              0.949919421770589, 0.949919421770589, 0, 0.949919421770589, 
              0.949919421770589, 1.89983884354118, 3.79967768708235, 0.949919421770589, 
              0.949919421770589, 0, 0.949919421770589, 0, 0, 0, 0, 2.29004140359461, 
              0.949919421770589, 0, 1.89983884354118, 2.84975826531177, 
              0.949919421770589, 1.89983884354118, 0.949919421770589, 0, 
              3.79967768708235, 0.949919421770589, 0.949919421770589, 3.79967768708235, 
              0, 2.84975826531177, 0, 3.94115507808979, 1.89983884354118, 
              0, 0, 0, 0.949919421770589, 0.87289894523588, 3.58204904756491, 
              0.970421274941556, 0, 0, 0.949919421770589, 0, 0, 0, 0, 3.92186648340383, 
              2.38038628371996, 0, 1.03359108627674, 1.89983884354118, 
              0, 0, 0, 1.59501393836509, 0.949919421770589, 0, 0.928620808099269, 
              0, 1.89983884354118, 0, 0, 0, 0, 0, 0.978704883667054, 0, 
              2.85748122789593, 0.949919421770589, 0, 0, 0, 0, 0, 2.84975826531177, 
              1.82512606240693, 0.949919421770589, 1.69418615886743, 0, 
              0.622472815358649, 0, 0, 0, 2.84975826531177, 0.949919421770589, 
              4.70084296104755, 14.0085297256687, 1.96649989941780, 2.01428694244979, 
              0, 0, 2.92779696549719, 3.79249489400408, 2.08534498379874, 
              0.949919421770589, 2.54463262999427, 0, 1.19772447300206, 
              0, 1.89983884354118, 0.910881669897013, 5.83409777822653, 
              0, 7.45321389383903, 4.74959710885294, 5.94147712669748, 
              0, 0.854927446694556, 5.94647397438053, 0.949919421770589, 
              0, 1.88713085959744, 0.951360853608735, 1.90460042162060, 
              1.73618235428174, 7.44057920581677, 2.82540139644556, 0.990630244564627, 
              0.623684488503917, 3.69116624980669, 0, 2.27595773563081, 
              0.852133622598073, 1.89983884354118, 11.3595141469914, 0.949919421770589, 
              4.7995928496163, 0, 3.83575056775293, 1.06585452380883, 0.949919421770589, 
              0, 4.50700229587208, 1.89983884354118, 1.82104370404331, 
              12.4275172860952, 2.84140125079301, 1.68121888388966, 0, 
              0, 6.20249163379963, 2.7750920577401, 0.949919421770589, 
              3.90603931652107, 9.67928576107917, 0.848471715550956, 2.96338498849593, 
              2.84975826531177, 3.70063400504293, 2.84975826531177, 4.81322805987893, 
              0, 6.63072367059, 1.61486299530582, 3.8408294768104, 1.05730163696887, 
              2.84975826531177, 2.95530488273608, 0, 0.949919421770589, 
              0.949919421770589, 3.63357156335162, 1.05292274012633, 0, 
              9.95674711579986, 4.28609282913873, 2.81996985821855, 0.806859269590776, 
              10.1155612834439, 0, 3.62156780262205, 0, 2.68830950364815, 
              11.5412432736666, 2.44568804610793, 6.13288993248684, 0, 
              0, 2.68597899405070, 0.949919421770589, 0.949919421770589, 
              0, 0.949919421770589, 0.949919421770589, 7.57564444243657, 
              2.84975826531177, 1.89983884354118, 0, 0, 3.7017478061889, 
              0.916588878066851, 2.84975826531177, 0, 1.89983884354118, 
              3.79967768708235, 0.949919421770589, 0.949919421770589, 0, 
              0, 1.66992203067593, 0.949919421770589, 0.873925884697755, 
              4.74959710885294, 0, 1.89983884354118, 0, 1.89983884354118, 
              0, 0.949919421770589, 0, 1.89983884354118, 0.949919421770589, 
              0, 4.52778845653346, 3.79967768708235, 2.84975826531177, 
              0, 1.89983884354118, 0, 0.949919421770589, 0.949919421770589, 
              0, 6.37803039268619, 1.89983884354118, 2.84975826531177, 
              0, 3.69618454259054, 0.949919421770589, 0, 0.949919421770589
          ), N = c(0, 0, 1, 4, 2, 1, 0, 0, 0, 1, 0, 0, 2, 4, 0, 0, 
              0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 2, 3, 0, 
              0, 2, 0, 1, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 
              0, 0, 0, 4, 0, 1, 1, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 
              0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 2, 1, 0, 1, 0, 0, 4, 0, 
              1, 0, 2, 0, 0, 0, 1, 1, 0, 4, 0, 0, 0, 0, 2, 1, 0, 0, 0, 
              1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 
              1, 2, 0, 0, 1, 0, 2, 0, 2, 1, 0, 2, 0, 0, 0, 1, 0, 2, 3, 
              1, 3, 0, 0, 0, 0, 3, 1, 1, 0, 5, 1, 0, 2, 0, 0, 1, 1, 2, 
              0, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 0, 2, 0, 
              0, 3, 1, 4, 0, 1, 0, 0, 1, 4, 1, 2, 25, 1, 0, 0, 0, 3, 5, 
              0, 1, 5, 3, 5, 1, 4, 3, 1, 1, 2, 3, 1, 0, 2, 3, 0, 1, 2, 
              3, 0, 1, 3, 3, 1, 2, 3, 0, 1, 0, 2, 9, 1, 2, 0, 2, 2, 1, 
              1, 4, 2, 1, 9, 3, 1, 0, 0, 6, 6, 3, 0, 5, 5, 2, 2, 3, 0, 
              3, 0, 4, 2, 2, 2, 1, 5, 0, 2, 0, 4, 0, 1, 4, 13, 3, 4, 11, 
              3, 0, 0, 3, 6, 2, 2, 0, 6, 3, 0, 1, 6, 7, 4, 15, 4, 1, 0, 
              1, 8, 11, 2, 0, 7, 6, 4, 6, 3, 5, 1, 1, 9, 3, 8, 2, 6, 14, 
              0, 2, 0, 5, 0, 0, 13, 10, 3, 3, 18, 0, 6, 3, 6, 7, 1, 5, 
              0, 2, 7, 0, 0, 0, 2, 1, 12, 0, 2, 0, 1, 16, 7, 2, 1, 7, 3, 
              1, 2, 2, 6, 0, 0, 4, 5, 4, 0, 0, 4, 1, 1, 0, 5, 0, 0, 11, 
              9, 0, 2, 10, 3, 1, 0, 6, 8, 2, 2, 0, 0, 4, 2, 0, 2, 2, 3, 
              17, 2, 1, 0, 0, 6, 2, 0, 1, 4, 2, 1, 1, 0, 0, 2, 0, 3, 3, 
              2, 0, 0, 5, 0, 1, 1, 0, 1, 2, 5, 8, 1, 0, 0, 0, 0, 0, 2, 
              4, 2, 2, 1, 7, 1, 0, 0, 4, 2, 4, 7, 5, 1, 0, 0, 3, 2, 5, 
              1, 4, 4, 3, 2, 0, 2, 1, 1, 5, 2, 8, 2, 0, 4, 0, 2, 1, 3, 
              1, 2, 6, 9, 1, 3, 6, 1, 4, 0, 3, 12, 2, 2, 1, 7, 2, 0, 0, 
              4, 1, 4, 24, 3, 2, 0, 0, 17, 6, 2, 0, 8, 2, 4, 5, 1, 4, 7, 
              0, 9, 3, 3, 1, 2, 8, 0, 1, 0, 2, 1, 1, 9, 14, 0, 7, 5, 0, 
              3, 0, 5, 12, 1, 3, 0, 7, 3, 4, 1, 1, 2, 3, 8, 2, 1, 1, 0, 
              8, 3, 2, 2, 4, 2, 1, 1, 0, 1, 1, 2, 4, 1, 1, 0, 1, 1, 0, 
              0, 0, 4, 1, 0, 2, 3, 2, 2, 1, 0, 4, 1, 1, 4, 0, 3, 0, 5, 
              2, 0, 0, 0, 1, 2, 9, 2, 1, 0, 1, 1, 1, 0, 0, 5, 5, 1, 2, 
              2, 2, 0, 0, 3, 1, 3, 2, 0, 2, 0, 0, 0, 1, 0, 2, 3, 5, 1, 
              1, 2, 1, 0, 0, 3, 5, 1, 5, 0, 3, 0, 0, 0, 3, 1, 7, 28, 3, 
              4, 0, 0, 4, 6, 4, 1, 8, 2, 3, 3, 2, 4, 9, 0, 10, 5, 9, 0, 
              3, 10, 1, 0, 3, 6, 5, 4, 15, 4, 2, 2, 10, 0, 3, 2, 2, 17, 
              1, 9, 0, 8, 3, 1, 0, 6, 2, 4, 30, 6, 7, 0, 0, 10, 6, 1, 5, 
              12, 4, 4, 3, 6, 3, 6, 0, 12, 4, 5, 2, 3, 5, 0, 1, 2, 10, 
              2, 0, 22, 8, 4, 3, 14, 0, 5, 0, 4, 14, 5, 9, 0, 3, 7, 1, 
              2, 0, 1, 1, 12, 3, 2, 0, 0, 7, 2, 3, 0, 2, 4, 1, 1, 0, 0, 
              3, 1, 2, 5, 1, 2, 0, 2, 0, 1, 0, 2, 1, 0, 6, 4, 3, 0, 2, 
              0, 1, 1, 0, 10, 2, 3, 0, 5, 1, 0, 1), design.effect.cell = c(NA, 
              NA, NA, 1.0370447459445, 1, NA, NA, NA, NA, NA, NA, NA, 1, 
              1.03649298685300, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, 
              NA, 1.04520323015366, NA, NA, NA, NA, NA, NA, 1, 1.02362878100848, 
              NA, NA, 1.04055422524652, NA, NA, NA, NA, NA, NA, NA, NA, 
              NA, NA, NA, NA, 1.00010967101410, NA, NA, NA, NA, NA, NA, 
              NA, 1.04265858567384, NA, NA, NA, NA, 1.13804504334146, NA, 
              NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, NA, 
              NA, NA, NA, NA, NA, 1.04252092734527, NA, NA, NA, NA, NA, 
              1, NA, NA, NA, 1.05011850350064, NA, NA, NA, NA, NA, NA, 
              1.07210057492312, NA, NA, NA, NA, 1, NA, NA, NA, NA, NA, 
              NA, NA, NA, NA, 1.00086593263410, NA, 1.00000917631097, NA, 
              NA, NA, NA, 1, NA, NA, NA, NA, NA, NA, NA, 1.06298406957031, 
              NA, NA, NA, NA, 1.20958692610935, NA, 1, NA, NA, 1.05798809005464, 
              NA, NA, NA, NA, NA, 1.07964020271537, 1.09461610351699, NA, 
              1.07108995230015, NA, NA, NA, NA, 1.12991978346073, NA, NA, 
              NA, 1.10007201250166, NA, NA, 1.03864533236877, NA, NA, NA, 
              NA, 1.04564978947546, NA, 1.01007284584467, NA, NA, 1.20676675206727, 
              NA, NA, NA, NA, NA, NA, 1.00716908948239, 1.20653396015773, 
              NA, NA, NA, NA, 1, NA, NA, 1.21821750881873, NA, 1.17426972984481, 
              NA, NA, NA, NA, NA, 1.08940577891135, NA, 1.00017468767403, 
              1.10208299625782, NA, NA, NA, NA, 1.01256887181089, 1.01261946976048, 
              NA, NA, 1.09747868558753, 1.22954284897248, 1.08334956891304, 
              NA, 1.18330462641732, 1.0008616253381, NA, NA, 1.01652892561983, 
              1.04777164596838, NA, NA, 1.19358020310474, 1.03603474506715, 
              NA, NA, 1.03325653399536, 1.04880033751170, NA, NA, 1, 1.02746992104768, 
              NA, 1.04787470512514, 1.12617476943441, NA, NA, NA, 1.02998749178247, 
              1.09344235386085, NA, 1, NA, 1.02177692723410, 1.08551566121547, 
              NA, NA, 1.00601328749362, 1.02669798618546, NA, 1.02674843530322, 
              1.07417666344741, NA, NA, NA, 1.00557805931002, 1.05527544461080, 
              1.01701323684087, NA, 1.02260367374468, 1.02768702888352, 
              1.01544090641653, 1.02399829828907, 1.00152754276895, NA, 
              1.00824196649514, NA, 1.03307947212988, 1.10528287809043, 
              1.00523526512015, 1.00341506541961, NA, 1.01105449698985, 
              NA, 1.03469364436528, NA, 1.01506420633842, NA, NA, 1.01570351551491, 
              1.04914907169838, 1.02244170687688, 1.02959171221078, 1.02946661937566, 
              1, NA, NA, 1.07808513368975, 1.05821801470134, 1.00286960395022, 
              1.00083298401845, NA, 1.01526875832688, 1.00434521431273, 
              NA, NA, 1.05331067671103, 1.0093154086013, 1.17401715442038, 
              1.10618417977130, 1.08337841972635, NA, NA, NA, 1.02289302605469, 
              1.05752632092770, 1, NA, 1.01382559239131, 1.02473785074132, 
              1.03839565889326, 1.04513888986735, 1.07916136836374, 1.04314644072679, 
              NA, NA, 1.04399999744707, 1.01086804715648, 1.04254415076589, 
              1, 1.07009192809944, 1.06556304721023, NA, 1.01652891801381, 
              NA, 1.11752192307105, NA, NA, 1.04942300346153, 1.07655914801455, 
              1.06039239011712, 1.06249998701793, 1.03896600973735, NA, 
              1.02319193341645, 1.08333331771046, 1.01013188708384, 1.10367583695361, 
              NA, 1.02120081375967, NA, 1.00772446870445, 1.05150059355800, 
              NA, NA, NA, 1.02732332905151, NA, 1.02602620857343, NA, 1.01742222367802, 
              NA, NA, 1.01848155111249, 1.11441406304699, 1.02633699355405, 
              NA, 1.02596940034240, 1.03000001275783, NA, 1.05851800066834, 
              1.04532317287234, 1.00911967648434, NA, NA, 1.03816039336751, 
              1.05760294785509, 1.04503674922172, NA, NA, 1.07032916068779, 
              NA, NA, NA, 1.01473009663346, NA, NA, 1.01815608213532, 1.00870516051678, 
              NA, 1.00121932908754, 1.04414389344457, 1.00557973030894, 
              NA, NA, 1.02197233125188, 1.16112564827517, 1, 1.01693703628566, 
              NA, NA, 1.04282090153058, 1.01520051913045, NA, 1.05082963339748, 
              1.0235562831033, 1.04271115203996, 1.04954160338992, 1.17088758610485, 
              NA, NA, NA, 1.02252903209865, 1.00259719050332, NA, NA, 1.06131990819294, 
              1.00520616118516, NA, NA, NA, NA, 1, NA, 1.13258437189539, 
              1.06075650482963, 1.00003560642076, NA, NA, 1.07767207412046, 
              NA, NA, NA, NA, NA, 1.11405660492844, 1.07281387431024, 1.07434749697212, 
              NA, NA, NA, NA, NA, NA, 1.04252092734527, 1.02535442919523, 
              1.00910836415751, 1.00004759121884, NA, 1.11342541339831, 
              NA, NA, NA, 1.03886522352496, 1.06887024144522, 1.25342604010857, 
              1.0246939264952, 1.04431327032593, NA, NA, NA, 1.04056246265090, 
              1.13061728256655, 1.01848499178594, NA, 1.00807085977822, 
              1.07445244484065, 1.01864638536077, 1.00359963665544, NA, 
              1.00400979976848, NA, NA, 1.02738229840532, 1.02249769310052, 
              1.00849825791087, 1.08600732962810, NA, 1.03626263901276, 
              NA, 1.02685626622938, NA, 1.11724955084637, NA, 1.00657227953243, 
              1.03937779266215, 1.03247097274147, NA, 1.04027682086821, 
              1.13785949757861, NA, 1.00986193409439, NA, 1.00779945545398, 
              1.14022265340015, 1.00173010296912, 1.01448618608686, NA, 
              1.05416722386529, 1.01302554701933, NA, NA, 1.00984918910207, 
              NA, 1.03745540882067, 1.11217009022106, 1.0485556805746, 
              1.00006530608971, NA, NA, 1.12337732018776, 1.07660874677752, 
              1.00617283699880, NA, 1.04989080173539, 1.04896107880758, 
              1.04795140565590, 1.01788635663878, NA, 1.01676528555695, 
              1.03305040732222, NA, 1.02154908557480, 1.06631947583201, 
              1.02351698098012, NA, 1.03930475136674, 1.0174082655842, 
              NA, NA, NA, 1.11379510756626, NA, NA, 1.10638333468162, 1.06176151188787, 
              NA, 1.05588610320424, 1.00785137063964, NA, 1, NA, 1.01487210705154, 
              1.09281742999101, NA, 1.01407393831435, NA, 1.08382179454893, 
              1.02179231832847, 1.00062108557109, NA, NA, 1, 1.01079999526215, 
              1.00789618525387, 1.00490147811809, NA, NA, NA, 1.02555519246838, 
              1.00900731438656, 1.00665680192577, 1.00090538663043, 1.01646646120897, 
              1, NA, NA, NA, NA, NA, 1.0145423878706, 1.00666601024061, 
              NA, NA, NA, NA, NA, NA, NA, NA, 1.10222690130025, NA, NA, 
              1, 1.00104145954515, 1, 1.00999897526519, NA, NA, 1.01710093592961, 
              NA, NA, 1.00694444127105, NA, 1.05121562592114, NA, 1.18597393196110, 
              1.00378072482652, NA, NA, NA, NA, 1.01314827757259, 1.06124855016738, 
              1.00093162835664, NA, NA, NA, NA, NA, NA, NA, 1.01918656250600, 
              1.21944633698268, NA, 1.01551719716723, 1.06068677919214, 
              1.05777311284101, NA, NA, 1.09527456684031, NA, 1.10367345764956, 
              1.00100544688605, NA, 1.06068677919214, NA, NA, NA, NA, NA, 
              1.00183655046497, 1.09566328529019, 1.11658072178991, NA, 
              NA, 1.13404109226105, NA, NA, NA, 1.17600366327563, 1.05094053611049, 
              NA, 1.08305878710793, NA, 1.08977389549011, NA, NA, NA, 1.07148895610143, 
              NA, 1.03929652792908, 1.04443311307815, 1.00369344899275, 
              1.01476362660207, NA, NA, 1.00850660922511, 1.04988404615000, 
              1.016491137119, NA, 1.04722550608184, 1.01607609258548, 1.05124973102908, 
              1.00018261496629, 1.15973536509647, 1.00147341901628, 1.08850285393423, 
              NA, 1.02914749156416, 1.02209641777608, 1.02127647489835, 
              NA, 1.00756233203604, 1.09144686388641, NA, NA, 1.01714745176019, 
              1.01151972540931, 1.07532930183487, 1.01681417996930, 1.04689374294371, 
              1.03999562006946, 1.00367346766113, 1.2358942680621, 1.00695136185462, 
              NA, 1.45937254882957, 1.02119376137170, 1.03618208905784, 
              1.12336501930807, NA, 1.07717450663111, NA, 1.00471536327472, 
              1.01120653289973, NA, NA, 1.05540733552299, 1.00202848331467, 
              1.01095797697768, 1.08735996113149, 1.01057782711448, 1.04571185259704, 
              NA, NA, 1.08239442659313, 1.25686009862959, NA, 1.04815074134422, 
              1.04263094668078, 1.02149119090347, 1.02939493462543, 1.04337834279720, 
              1.03344938672583, 1.09653688546428, 1.10159107303383, NA, 
              1.07018405109732, 1.03925925959776, 1.01166443389293, 1.02555766532912, 
              1.0480692226793, 1.04458161754130, NA, NA, 1, 1.03406093501063, 
              1.02351575319849, NA, 1.04756679251076, 1.06923129485742, 
              1.04563205947982, 1.03080999179080, 1.04797429774780, NA, 
              1.02160644639607, NA, 1.03389107052988, 1.08004167451906, 
              1.03769631645771, 1.07038267794927, NA, 1.03666573883526, 
              1.01426873016230, NA, 1, NA, NA, NA, 1.01443019340823, 1.00015306115255, 
              1.04765550918290, NA, NA, 1.04642053542146, 1.00246230165785, 
              1.02223587430184, NA, 1.07283957957671, 1.01476979877860, 
              NA, NA, NA, NA, 1.04393687758375, NA, 1.01279999438477, 1.01034186102978, 
              NA, 1.00199445891280, NA, 1.03939674551169, NA, NA, NA, 1.08999081512728, 
              NA, NA, 1.05961504087073, 1.01946998780656, 1, NA, 1.11272710608136, 
              NA, NA, NA, NA, 1.00999583696834, 1, 1.01039427642292, NA, 
              1.00806219280777, NA, NA, NA), ybar.w = c(0.5, 0.5, 0, 0.518863937803498, 
              0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5, 1, 0.520828627029489, 0.5, 
              0.5, 0.5, 0.5, 0.5, 0.5, 1, 0.5, 0.5, 0.5, 0.5, 0.409154899380318, 
              0.5, 0.5, 0.5, 0.5, 0, 0.5, 0.5, 0, 0.5, 0.5, 0.428801136555317, 
              0.5, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5, 0.5, 0.49629744996496, 
              0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0.551634887475569, 0.5, 
              0, 0, 0.5, 0, 0.5, 0.5, 0, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 
              0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 
              0, 0.5, 0.5, 0.25, 0.5, 0, 0.5, 0.579150571302929, 0.5, 0.5, 
              0.5, 0, 0, 0.5, 0.432871124449349, 0.5, 0.5, 0.5, 0.5, 0, 
              0, 0.5, 0.5, 0.5, 0, 0.5, 0.5, 0, 0.5, 0, 0.5, 0.498929000993762, 
              0.5, 0, 0, 0.5, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0.411270023688219, 
              0.5, 0.5, 0, 0.5, 0, 0.5, 0, 0, 0.5, 0.414861810820112, 0.5, 
              0.5, 0.5, 0, 0.5, 0, 0, 1, 0.233281494220329, 0.5, 0.5, 0.5, 
              0.5, 0.41090784878425, 0, 0, 0.5, 0.181551982475001, 0, 0.5, 
              0, 0.5, 0.5, 1, 0, 0, 0.5, 0, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 
              1, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.243432666170907, 
              0, 0, 0.5, 0, 0.5, 0.5, 0, 0.356459337801361, 0, 1, 0.465448355351464, 
              0, 0.5, 0.5, 0.5, 0.351010110451608, 0.389221557410556, 0.5, 
              0, 0.309810676584765, 0, 0.678694158383194, 0, 0, 0.66477657753287, 
              0, 0, 0, 0, 1, 0.5, 0, 0.265671646384148, 0.5, 0, 1, 0, 0.5, 
              0, 0.666666666666667, 0.72237960595182, 0, 1, 0.803307804850044, 
              0.5, 1, 0.5, 0, 0.452196071703601, 1, 0.5, 0.5, 0.552173900604248, 
              1, 0, 1, 0, 0, 1, 0.489047559146384, 0.573099414829614, 0, 
              0.5, 0.5, 0, 0, 0.376811599731445, 0.5, 0.461414791705476, 
              0, 0, 0, 0.330490405815311, 0.5, 0, 0.5, 0, 0, 0, 0.520661151406707, 
              0, 0, 0.5, 0, 0.5, 0, 0.5, 1, 0.285714283254709, 0.368192776062975, 
              0.370370366358572, 0.566462167368107, 0.362187618484497, 
              0.666666666666667, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0.201793724013093, 
              0.358574603771294, 0.5, 0, 0, 0, 0.390501315672677, 0.790937432414386, 
              0.643923238195866, 1, 0.5, 0, 0.352747254210701, 0.331521744556401, 
              0, 0.5, 0.165957443101456, 0.178181813649895, 0.202416917828392, 
              0, 0, 0.5224806188633, 0, 0, 0.471111111706863, 0, 0.274418607340088, 
              0, 0.248062023906766, 0.161828744366921, 0.5, 0.454545465003739, 
              0.5, 0.355670107463833, 0.5, 0.5, 0.351124396593932, 0.0959332631009717, 
              0, 0.250000005192829, 0.332229055899603, 0.5, 0, 0, 0.157320877356454, 
              0.200792605085894, 0, 0, 0.5, 0, 0.353982298737713, 0.5, 
              0.5, 0.5, 0, 1, 0.362436550534983, 0.5, 0, 0.5, 0, 0.413314840351625, 
              0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.255319147694969, 0, 
              0.327974271878316, 0.5, 0.5, 0.268882174676026, 0, 0, 0.5, 
              0, 0.5, 0.5, 0.364309209135620, 0, 0.5, 0, 0.189010991659764, 
              0.3477088916915, 0, 0.5, 0.158730156559051, 0.104776579027375, 
              0, 0, 0.5, 0.5, 0.567114095071228, 0, 0.5, 0.579710125923157, 
              0, 0.744548283730594, 0.662250681361416, 0.646153851345446, 
              1, 0.5, 0.5, 0.321937319578313, 0, 0.5, 1, 0, 0.525510196944467, 
              0, 0, 0.5, 0.5, 0.5, 0.5, 0.689937505618852, 1, 0, 0.5, 0.5, 
              0.675883254432274, 0.5, 0, 1, 0.5, 1, 0.380597003320459, 
              0.564705869703282, 0.330985912807438, 0, 0.5, 0.5, 0.5, 0.5, 
              0.5, 0, 0.52839930954997, 0, 1, 1, 0.142857142021988, 1, 
              0.5, 0.5, 0.221288510501192, 0, 0.664268590114459, 0.280405405311525, 
              0.258134488303405, 0, 0.5, 0.5, 0.744186043122227, 0, 0, 
              0, 0, 0.186046509321231, 0, 0, 0.5, 0.522388054204428, 0, 
              1, 0.459813078211347, 1, 0.51590594725239, 1, 0.5, 0, 0.5, 
              0.557939910930832, 1, 0.752475253706667, 0, 0, 0.376884421695137, 
              0.401242234340895, 0, 0.352941171410725, 0.611589334724144, 
              1, 0.740384608962715, 0.5, 0, 0.323170727717043, 0.485294121204775, 
              0.457446818440249, 1, 0.282089558945225, 0.540350878273168, 
              0.5, 0.5, 0.232456138135654, 0, 0.198275862476488, 0.480277184497634, 
              0, 0.502857142140914, 0.5, 0.5, 0.101256467214969, 0.199519233526001, 
              0.527777772136186, 0.5, 0.243772241072706, 0, 0, 0, 0, 0.512820509665895, 
              0.244047623257225, 0.5, 0.392220425038175, 0.360824745473478, 
              0, 0, 0.570093465607305, 0.262845852158286, 0.5, 0, 0.5, 
              0, 0, 0, 0.429723503825307, 0.277522935145191, 0.5, 0.128205124272098, 
              0.38677355000116, 0.5, 0.333333333333333, 0.5, 0.185365849156808, 
              0.282954546998232, 1, 0.62100456095063, 0.5, 0.405566596821463, 
              0.282208589782623, 0, 0, 0, 0, 0.686666662279765, 0.266832924048698, 
              0.524752469871946, 0, 0, 0.5, 0.281746029587259, 0, 0, 0, 
              0.48051947373701, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 
              1, 0.5, 0.5, 0.5, 0.397306405388016, 0, 0.5, 0, 0, 0.5, 0, 
              0, 0.5, 0, 0, 0, 0, 0.5, 0, 0.5, 0.170212759574126, 0, 0.5, 
              0.5, 0.5, 0, 0.540540531528005, 0.581011356744789, 0.489208635647878, 
              1, 0.5, 0, 1, 1, 0.5, 0.5, 0.174273860809431, 0.498823536151503, 
              1, 0.455958546278490, 0, 1, 0.5, 0.5, 0.440298513112447, 
              0, 1, 0.51121074755563, 0.5, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.484848471756262, 
              1, 0.398373975222074, 0, 1, 1, 1, 0.5, 0.5, 0, 0.615730340789325, 
              0, 0.643298974620484, 0.5, 0.781569958780153, 0.5, 0.5, 0.5, 
              0, 0, 0.293046358412548, 0.473318871481688, 0.309941505090201, 
              0.46987952444027, 0.5, 0.5, 0.229461757914171, 0.334593579362919, 
              0.451178453665103, 0, 0.665151515529175, 1, 0.579710150302512, 
              1, 0, 0.760273964027604, 0.317591501328239, 0.5, 0.215384618629365, 
              0, 0.305031447869436, 0.5, 0.700000011544479, 0.374002274498538, 
              0, 0.5, 0.33779265330388, 0.83308042910358, 0.598997477476447, 
              0.543071150433579, 0.477809799070605, 0.256410246045083, 
              0.478571433607413, 0.671717161366482, 0.611423225464051, 
              0.5, 0.201350597580664, 0.551470575783286, 0, 0.296564846223050, 
              0, 0.438596493365937, 0.5, 0.495253165710184, 0.625984232844315, 
              0, 0.5, 0.209230770424837, 0, 0.520737321948582, 0.563909773072081, 
              0.501466267265627, 0.747163684870994, 0.5, 0.5, 0.347050761185767, 
              0.513100445830884, 0, 0.177606178587134, 0.150867822816872, 
              0.776699029384656, 0.220095694282056, 0, 0.350710891852072, 
              0, 0.155502394980797, 0.5, 0.418308234131518, 0.575000005712112, 
              0.191335730424094, 0.44347825050354, 0, 0.377777774618486, 
              0.5, 0, 0.5, 0.617486338306582, 0.445783128550133, 0.5, 0.523560205231976, 
              0.435992578566594, 0.257839719456860, 0.71686746928252, 0.239366966170885, 
              0.5, 0.237499998500571, 0.5, 0.292490120204798, 0.132163738676871, 
              0.485074630530381, 0.282642086156513, 0.5, 1, 0.596059122415697, 
              0, 0.5, 0.5, 0, 0, 0.335413416056205, 0, 0, 0.5, 0.5, 0.443298975628739, 
              0.517543879480647, 0, 0.5, 0, 0, 0, 0, 0.5, 0.5, 0.414012742413, 
              0, 0.539999991226196, 0, 1, 0, 0.5, 0, 0.5, 0, 0.5, 0, 0, 
              0.5, 0.205583766236026, 0, 0, 0.5, 0, 0.5, 0, 0, 0.5, 0.328571429690536, 
              0, 0, 0.5, 0.221789878619159, 0, 0.5, 0), finalrow = 1:784), .Names = c("state", 
                  "age", "edu", "response.yes", "response.no", "N", "design.effect.cell", 
                  "ybar.w", "finalrow"), row.names = c(NA, -784L), class = "data.frame")
  return (data) 
}

testData <- function () {
  test.marriage.data <-
          structure(list(yes.of.all = c(0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 
                      0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 
                      0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 
                      1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 1L, 
                      0L, 0L, 0L, 1L, 0L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 1L, 
                      0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 
                      0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 
                      0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 1L, 1L, 
                      1L, 1L, 1L, 0L, 1L, 0L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 1L, 1L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 1L, 1L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 1L, 0L, 1L, 
                      0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 1L, 0L, 
                      0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 
                      1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 
                      1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 
                      1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 
                      0L, 1L, 0L, 1L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 
                      1L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 
                      0L, 0L, 1L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 
                      0L, 0L, 1L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 
                      1L, 0L, 0L, 1L, 1L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 
                      0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 1L, 1L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 
                      1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 1L, 1L, 
                      0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      1L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      1L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 1L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 
                      1L, 0L, 0L, 1L, 1L, 1L, 0L, 1L, 1L, 1L, 0L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 
                      1L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 
                      1L, 1L, 1L, 1L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 
                      0L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 0L, 
                      1L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 
                      0L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 
                      0L, 0L, 1L, 1L, 0L, 1L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 
                      0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 1L, 1L, 1L, 1L, 1L, 0L, 
                      1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 0L, 1L, 0L, 1L, 
                      0L, 0L, 0L, 1L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 1L, 1L, 1L, 1L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 
                      1L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 
                      1L, 1L, 1L, 0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      1L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 
                      1L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 1L, 1L, 1L, 0L, 0L, 0L, 
                      1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 1L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      0L, 0L, 1L, 1L, 1L, 1L, 0L, 0L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 1L, 
                      0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 1L, 0L, 0L, 
                      1L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 1L, 0L, 0L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 1L, 0L, 1L, 0L, 1L, 0L, 
                      0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 1L, 1L, 1L, 0L, 0L, 
                      0L, 1L, 0L, 1L, 0L, 1L, 0L, 0L, 1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 
                      1L, 1L, 0L, 0L, 1L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 0L, 0L, 0L, 0L, 
                      0L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 
                      1L, 1L, 0L, 0L, 0L, 0L, 0L, 0L, 1L, 1L, 0L, 0L, 1L, 0L, 1L), 
                    state = structure(c(26L, 16L, 37L, 26L, 9L, 48L, 41L, 26L, 
                            30L, 18L, 9L, 10L, 34L, 21L, 37L, 9L, 21L, 26L, 6L, 18L, 
                            9L, 9L, 10L, 37L, 37L, 18L, 26L, 21L, 33L, 10L, 44L, 33L, 
                            19L, 34L, 37L, 29L, 16L, 21L, 34L, 39L, 30L, 34L, 30L, 44L, 
                            10L, 33L, 37L, 9L, 10L, 37L, 9L, 26L, 48L, 37L, 9L, 44L, 
                            10L, 39L, 10L, 33L, 9L, 44L, 34L, 19L, 34L, 39L, 26L, 39L, 
                            38L, 39L, 26L, 30L, 34L, 9L, 21L, 33L, 6L, 18L, 30L, 6L, 
                            10L, 33L, 19L, 33L, 18L, 33L, 20L, 34L, 34L, 33L, 39L, 34L, 
                            44L, 18L, 37L, 34L, 44L, 44L, 34L, 33L, 37L, 33L, 10L, 21L, 
                            19L, 37L, 34L, 33L, 39L, 26L, 26L, 19L, 34L, 33L, 39L, 39L, 
                            34L, 26L, 21L, 9L, 33L, 37L, 34L, 33L, 44L, 6L, 9L, 37L, 
                            44L, 26L, 44L, 21L, 34L, 44L, 37L, 21L, 33L, 19L, 39L, 9L, 
                            21L, 10L, 44L, 16L, 30L, 10L, 9L, 19L, 44L, 33L, 18L, 21L, 
                            34L, 16L, 33L, 21L, 26L, 33L, 37L, 34L, 37L, 30L, 10L, 19L, 
                            33L, 34L, 33L, 33L, 47L, 27L, 42L, 15L, 1L, 28L, 40L, 42L, 
                            1L, 23L, 15L, 13L, 42L, 35L, 11L, 11L, 47L, 42L, 41L, 35L, 
                            22L, 47L, 42L, 47L, 47L, 2L, 35L, 13L, 31L, 31L, 5L, 5L, 
                            31L, 5L, 31L, 5L, 31L, 25L, 40L, 43L, 40L, 43L, 40L, 46L, 
                            36L, 4L, 4L, 4L, 46L, 36L, 34L, 29L, 34L, 30L, 10L, 39L, 
                            33L, 9L, 21L, 33L, 34L, 44L, 34L, 44L, 19L, 16L, 10L, 19L, 
                            18L, 39L, 34L, 21L, 33L, 33L, 37L, 44L, 26L, 34L, 44L, 16L, 
                            37L, 33L, 34L, 10L, 9L, 39L, 21L, 48L, 33L, 30L, 44L, 39L, 
                            21L, 19L, 34L, 37L, 18L, 10L, 48L, 33L, 44L, 21L, 4L, 10L, 
                            35L, 41L, 42L, 2L, 22L, 13L, 23L, 15L, 24L, 13L, 13L, 35L, 
                            47L, 23L, 42L, 13L, 42L, 11L, 2L, 41L, 2L, 22L, 22L, 13L, 
                            42L, 13L, 15L, 42L, 47L, 42L, 1L, 13L, 41L, 41L, 22L, 13L, 
                            12L, 12L, 12L, 25L, 25L, 43L, 5L, 12L, 5L, 5L, 5L, 25L, 31L, 
                            42L, 5L, 31L, 5L, 42L, 3L, 25L, 3L, 3L, 3L, 3L, 46L, 36L, 
                            25L, 4L, 4L, 4L, 46L, 4L, 4L, 4L, 36L, 4L, 4L, 4L, 46L, 4L, 
                            20L, 3L, 23L, 42L, 1L, 34L, 30L, 30L, 34L, 19L, 48L, 16L, 
                            21L, 30L, 38L, 10L, 26L, 37L, 44L, 18L, 14L, 14L, 14L, 5L, 
                            14L, 14L, 14L, 14L, 14L, 1L, 42L, 37L, 14L, 42L, 42L, 41L, 
                            23L, 17L, 42L, 1L, 13L, 23L, 1L, 15L, 13L, 13L, 42L, 35L, 
                            13L, 15L, 9L, 42L, 42L, 17L, 23L, 42L, 23L, 23L, 47L, 23L, 
                            24L, 13L, 35L, 13L, 22L, 22L, 15L, 42L, 13L, 41L, 35L, 42L, 
                            13L, 47L, 11L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 36L, 46L, 
                            4L, 3L, 36L, 4L, 4L, 46L, 4L, 36L, 4L, 36L, 46L, 46L, 32L, 
                            4L, 46L, 46L, 46L, 32L, 4L, 4L, 4L, 32L, 46L, 32L, 4L, 36L, 
                            4L, 4L, 4L, 4L, 4L, 33L, 14L, 47L, 14L, 14L, 15L, 37L, 14L, 
                            23L, 42L, 42L, 13L, 23L, 42L, 23L, 1L, 15L, 23L, 13L, 2L, 
                            13L, 21L, 9L, 42L, 1L, 23L, 47L, 37L, 47L, 2L, 41L, 15L, 
                            47L, 42L, 42L, 23L, 24L, 13L, 1L, 42L, 22L, 13L, 26L, 4L, 
                            22L, 28L, 22L, 13L, 17L, 46L, 46L, 36L, 4L, 4L, 4L, 46L, 
                            39L, 9L, 26L, 16L, 34L, 30L, 30L, 34L, 33L, 41L, 17L, 23L, 
                            10L, 39L, 26L, 21L, 26L, 4L, 36L, 9L, 19L, 34L, 42L, 37L, 
                            9L, 21L, 6L, 34L, 34L, 42L, 4L, 6L, 9L, 34L, 45L, 19L, 44L, 
                            26L, 33L, 38L, 34L, 26L, 21L, 26L, 9L, 30L, 10L, 26L, 21L, 
                            14L, 14L, 14L, 14L, 22L, 28L, 2L, 23L, 42L, 42L, 42L, 41L, 
                            35L, 22L, 11L, 17L, 2L, 14L, 47L, 35L, 4L, 9L, 9L, 18L, 35L, 
                            13L, 13L, 41L, 14L, 22L, 24L, 35L, 42L, 24L, 47L, 11L, 42L, 
                            21L, 22L, 23L, 15L, 12L, 42L, 5L, 5L, 12L, 43L, 3L, 3L, 3L, 
                            25L, 3L, 46L, 4L, 26L, 4L, 46L, 22L, 4L, 4L, 4L, 46L, 4L, 
                            4L, 36L, 4L, 4L, 46L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 18L, 
                            10L, 39L, 9L, 9L, 33L, 37L, 21L, 34L, 33L, 14L, 17L, 2L, 
                            17L, 14L, 25L, 4L, 12L, 36L, 4L, 46L, 10L, 16L, 34L, 21L, 
                            34L, 19L, 34L, 33L, 16L, 18L, 10L, 37L, 14L, 10L, 42L, 34L, 
                            35L, 13L, 42L, 9L, 2L, 1L, 22L, 13L, 22L, 13L, 49L, 43L, 
                            49L, 3L, 46L, 4L, 6L, 26L, 4L, 15L, 9L, 30L, 10L, 6L, 16L, 
                            42L, 11L, 2L, 1L, 23L, 11L, 13L, 23L, 42L, 13L, 47L, 15L, 
                            25L, 43L, 46L, 46L, 4L, 2L, 4L, 31L, 24L, 12L, 11L, 36L, 
                            43L, 3L, 41L, 23L, 42L, 42L, 46L, 28L, 9L, 42L, 33L, 43L, 
                            4L, 4L, 36L, 4L, 25L, 5L, 4L, 36L, 4L, 4L, 46L, 46L, 46L, 
                            22L, 26L, 13L, 44L, 18L, 39L, 7L, 21L, 26L, 44L, 26L, 4L, 
                            3L, 10L, 37L, 21L, 30L, 37L, 39L, 14L, 42L, 2L, 14L, 22L, 
                            28L, 22L, 23L, 2L, 13L, 42L, 13L, 13L, 22L, 32L, 35L, 23L, 
                            42L, 32L, 18L, 16L, 38L, 20L, 20L, 9L, 29L, 34L, 37L, 41L, 
                            16L, 34L, 9L, 9L, 6L, 18L, 9L, 33L, 9L, 4L, 32L, 21L, 37L, 
                            33L, 10L, 38L, 18L, 38L, 19L, 21L, 30L, 21L, 33L, 30L, 33L, 
                            21L, 42L, 1L, 42L, 16L, 3L, 42L, 14L, 31L, 49L, 31L, 4L, 
                            10L, 26L, 33L, 39L, 33L, 9L, 44L, 9L, 10L, 4L, 41L, 34L, 
                            32L, 2L, 22L, 23L, 40L, 47L, 23L, 41L, 28L, 42L, 13L, 4L, 
                            42L, 17L, 2L, 5L, 4L, 28L, 2L, 43L, 12L, 31L, 5L, 23L, 25L, 
                            3L, 25L, 5L, 3L, 43L, 4L, 4L, 32L, 3L, 36L, 4L, 4L, 3L, 4L, 
                            4L, 4L, 4L, 46L, 4L, 4L, 4L, 4L, 4L, 8L, 16L, 37L, 37L, 33L, 
                            9L, 6L, 9L, 21L, 37L, 33L, 20L, 26L, 26L, 37L, 6L, 33L, 22L, 
                            13L, 42L, 42L, 17L, 22L, 41L, 42L, 13L, 3L, 4L, 4L, 4L, 4L, 
                            4L, 46L, 18L, 21L, 41L, 26L, 37L, 26L, 10L, 18L, 33L, 1L, 
                            4L, 36L, 9L, 20L, 2L, 9L, 44L, 10L, 41L, 34L, 9L, 34L, 19L, 
                            34L, 21L, 21L, 34L, 9L, 34L, 10L, 26L, 33L, 39L, 6L, 34L, 
                            42L, 33L, 21L, 37L, 21L, 9L, 13L, 30L, 47L, 4L, 19L, 26L, 
                            18L, 34L, 26L, 44L, 9L, 9L, 34L, 9L, 21L, 21L, 34L, 21L, 
                            34L, 34L, 26L, 34L, 33L, 30L, 39L, 34L, 34L, 33L, 10L, 37L, 
                            10L, 35L, 42L, 34L, 34L, 29L, 34L, 34L, 21L, 5L, 1L, 14L, 
                            28L, 47L, 42L, 11L, 17L, 11L, 13L, 11L, 2L, 15L, 13L, 1L, 
                            13L, 11L, 42L, 9L, 47L, 1L, 15L, 42L, 27L, 11L, 22L, 1L, 
                            15L, 28L, 28L, 24L, 4L, 4L, 4L, 49L, 25L, 49L, 3L, 12L, 36L, 
                            4L, 4L, 42L, 4L, 4L, 4L, 4L, 4L, 4L, 36L, 4L, 4L, 4L, 4L, 
                            4L, 4L, 37L, 13L, 26L, 21L, 48L, 37L, 26L, 39L, 30L, 33L, 
                            42L, 47L, 42L, 23L, 42L, 42L, 13L, 31L, 10L, 36L, 10L, 34L, 
                            33L, 42L, 17L, 13L, 28L, 42L, 13L, 19L, 23L, 3L, 14L, 26L, 
                            37L, 37L, 41L, 33L, 21L, 26L, 21L, 34L, 23L, 6L, 42L, 41L, 
                            41L, 9L, 37L, 10L, 4L, 26L, 37L, 4L, 39L, 34L, 21L, 10L, 
                            37L, 34L, 34L, 41L, 14L, 21L, 37L, 33L, 30L, 26L, 9L, 9L, 
                            4L, 6L, 15L, 42L, 14L, 4L, 1L, 23L, 29L, 42L, 13L, 42L, 23L, 
                            17L, 23L, 11L, 33L, 33L, 44L, 21L, 37L, 26L, 47L, 42L, 37L, 
                            42L, 30L, 9L, 10L, 44L, 13L, 23L, 1L, 22L, 42L, 1L, 24L, 
                            13L, 2L, 15L, 15L, 15L, 41L, 42L, 4L, 46L, 4L, 13L, 11L, 
                            13L, 41L, 17L, 47L, 36L, 41L, 13L, 43L, 4L, 4L, 5L, 4L, 4L, 
                            4L, 4L, 4L, 4L, 4L, 36L, 46L, 4L, 4L, 4L, 46L, 4L, 4L, 4L, 
                            36L, 4L, 4L, 33L, 39L, 42L, 14L, 4L, 18L, 34L, 47L, 42L, 
                            24L, 37L, 10L, 9L, 44L, 29L, 37L, 9L, 9L, 44L, 38L, 10L, 
                            4L, 4L, 44L, 21L, 9L, 33L, 10L, 9L, 21L, 21L, 42L, 23L, 5L, 
                            41L, 30L, 9L, 44L, 26L, 37L, 9L, 9L, 14L, 1L, 14L, 10L, 37L, 
                            6L, 18L, 21L, 44L, 46L, 10L, 26L, 41L, 14L, 40L, 34L, 42L, 
                            18L, 37L, 10L, 14L, 9L, 21L, 33L, 30L, 19L, 34L, 36L, 32L, 
                            1L, 4L, 37L, 19L, 33L, 4L, 2L, 42L, 6L, 10L, 29L, 30L, 26L, 
                            2L, 11L, 24L, 15L, 13L, 46L, 42L, 15L, 2L, 22L, 41L, 41L, 
                            40L, 23L, 24L, 35L, 42L, 41L, 46L, 17L, 42L, 22L, 11L, 42L, 
                            22L, 36L, 4L, 33L, 1L, 42L, 43L, 5L, 5L, 5L, 49L, 5L, 25L, 
                            4L, 43L, 25L, 25L, 46L, 46L, 4L, 4L, 4L, 4L, 14L, 16L, 5L, 
                            34L, 9L, 37L, 9L, 21L, 10L, 9L, 47L, 39L, 44L, 30L, 34L, 
                            21L, 33L, 33L, 10L, 6L, 22L, 15L, 42L, 13L, 15L, 33L, 31L, 
                            3L, 3L, 3L, 4L, 35L, 4L, 46L, 44L, 4L, 39L, 30L, 23L, 19L, 
                            10L, 33L, 16L, 30L, 33L, 16L, 1L, 48L, 37L, 4L, 17L, 37L, 
                            16L, 16L, 33L, 37L, 44L, 33L, 34L, 26L, 9L, 9L, 4L, 13L, 
                            47L, 13L, 47L, 2L, 24L, 11L, 13L, 47L, 23L, 15L, 23L, 15L, 
                            1L, 13L, 24L, 3L, 42L, 23L, 47L, 49L, 4L, 28L, 4L, 4L, 46L, 
                            4L, 4L, 36L, 5L, 25L, 4L, 46L, 4L, 4L, 4L, 18L, 33L, 33L, 
                            33L, 22L, 2L, 33L, 33L, 26L, 6L, 21L, 6L, 20L, 8L, 33L, 37L, 
                            10L, 26L, 19L, 21L, 37L, 10L, 41L, 13L, 5L, 21L, 33L, 10L, 
                            9L, 38L, 19L, 9L, 37L, 30L, 39L, 9L, 34L, 21L, 44L, 11L, 
                            37L, 33L, 39L, 37L, 9L, 46L, 4L, 12L, 30L, 14L, 44L, 3L, 
                            26L, 34L, 4L, 2L, 45L, 26L, 21L, 37L, 9L, 37L, 21L, 4L, 20L, 
                            44L, 18L, 42L, 23L, 13L, 34L, 9L, 22L, 22L, 17L, 47L, 42L, 
                            13L, 13L, 13L, 19L, 29L, 16L, 16L, 47L, 34L, 1L, 42L, 42L, 
                            11L, 47L, 44L, 26L, 8L, 9L, 5L, 33L, 9L, 3L, 37L, 34L, 30L, 
                            33L, 33L, 5L, 34L, 22L, 22L, 42L, 5L, 13L, 17L, 1L, 42L, 
                            26L, 9L, 39L, 13L, 17L, 10L, 23L, 46L, 18L, 44L, 33L, 16L, 
                            33L, 26L, 30L, 34L, 33L, 19L, 14L, 19L, 9L, 4L, 34L, 33L, 
                            9L, 42L, 15L, 4L, 4L, 9L, 21L, 11L, 23L, 4L, 30L, 26L, 37L, 
                            37L, 39L, 16L, 9L, 41L, 14L, 19L, 34L, 33L, 21L, 44L, 1L, 
                            48L, 4L, 33L, 9L, 37L, 42L, 9L, 37L, 14L, 6L, 34L, 42L, 26L, 
                            37L, 9L, 42L, 14L, 13L, 33L, 6L, 21L, 4L, 34L, 39L, 26L, 
                            17L, 37L, 37L, 9L, 33L, 35L, 47L, 14L, 41L, 23L, 1L, 4L, 
                            42L, 4L, 4L, 4L, 4L, 4L, 36L, 4L, 34L, 26L, 37L, 21L, 34L, 
                            26L, 33L, 16L, 23L, 41L, 47L, 37L, 15L, 3L, 4L, 26L, 33L, 
                            33L, 10L, 43L, 37L, 16L, 14L, 21L, 34L, 19L, 33L, 9L, 14L, 
                            17L, 46L, 1L, 9L, 9L, 37L, 1L, 4L, 26L, 33L, 9L, 9L, 33L, 
                            26L, 21L, 41L, 1L, 30L, 37L, 37L, 10L, 44L, 13L, 21L, 33L, 
                            13L, 1L, 35L, 4L, 33L, 33L, 33L, 30L, 30L, 34L, 41L, 17L, 
                            5L, 5L, 5L, 9L, 33L, 37L, 34L, 9L, 34L, 37L, 42L, 12L, 13L, 
                            42L, 1L, 22L, 17L, 2L, 4L, 42L, 4L, 4L, 11L, 43L, 3L, 4L, 
                            43L, 46L, 4L, 4L, 46L, 4L, 46L, 46L, 4L, 5L, 43L, 4L, 46L, 
                            4L, 4L, 46L, 36L, 46L, 4L, 4L, 1L, 4L, 44L, 34L, 44L, 16L, 
                            35L, 4L, 17L, 15L, 19L, 9L, 37L, 14L, 19L, 11L, 44L, 9L, 
                            37L, 6L, 16L, 26L, 14L, 33L, 41L, 33L, 18L, 30L, 17L, 18L, 
                            9L, 1L, 33L, 28L, 37L, 42L, 13L, 13L, 16L, 41L, 19L, 26L, 
                            35L, 33L, 18L, 44L, 14L, 4L, 24L, 6L, 26L, 44L, 42L, 23L, 
                            3L, 4L, 5L, 42L, 47L, 42L, 42L, 23L, 35L, 23L, 23L, 22L, 
                            23L, 5L, 3L, 46L, 46L, 36L, 46L, 4L, 30L, 34L, 44L, 44L, 
                            13L, 9L, 33L, 34L, 21L, 19L, 11L, 42L, 3L, 4L, 42L, 1L, 43L, 
                            42L, 4L, 41L, 25L, 13L, 11L, 1L, 17L, 42L, 42L, 43L, 5L, 
                            4L, 46L, 32L, 4L, 32L, 46L, 36L, 13L, 37L, 34L, 9L, 15L, 
                            13L, 13L, 12L, 4L, 4L, 19L, 16L, 42L, 19L, 39L, 39L, 10L, 
                            33L, 26L, 30L, 44L, 44L, 34L, 37L, 33L, 21L, 9L, 42L, 10L, 
                            10L, 19L, 18L, 26L, 26L, 34L, 48L, 26L, 2L, 13L, 6L, 44L, 
                            30L, 26L, 29L, 30L, 14L, 21L, 46L, 48L, 44L, 19L, 42L, 34L, 
                            13L, 30L, 14L, 42L, 30L, 14L, 14L, 21L, 10L, 9L, 21L, 37L, 
                            10L, 30L, 9L, 34L, 4L, 16L, 4L, 43L, 46L, 46L, 4L, 4L, 43L, 
                            32L), .Label = c("AL", "AR", "AZ", "CA", "CO", "CT", "DC", 
                            "DE", "FL", "GA", "IA", "ID", "IL", "IN", "KS", "KY", "LA", 
                            "MA", "MD", "ME", "MI", "MN", "MO", "MS", "MT", "NC", "ND", 
                            "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", "PA", 
                            "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", "WI", 
                            "WV", "WY"), class = "factor"), age = structure(c(4L, 4L, 
                            3L, 2L, 4L, 3L, 4L, 4L, 1L, 4L, 3L, 1L, 4L, 2L, 1L, 3L, 4L, 
                            2L, 1L, 3L, 2L, 2L, 1L, 3L, 2L, 4L, 3L, 3L, 4L, 1L, 3L, 4L, 
                            4L, 2L, 3L, 3L, 4L, 3L, 1L, 3L, 3L, 4L, 4L, 3L, 4L, 3L, 3L, 
                            3L, 4L, 1L, 4L, 3L, 4L, 2L, 4L, 2L, 3L, 3L, 1L, 2L, 4L, 1L, 
                            1L, 2L, 3L, 4L, 3L, 2L, 2L, 3L, 3L, 2L, 3L, 2L, 4L, 1L, 2L, 
                            3L, 2L, 4L, 3L, 3L, 3L, 3L, 1L, 2L, 1L, 4L, 2L, 2L, 3L, 3L, 
                            3L, 1L, 2L, 4L, 3L, 1L, 1L, 2L, 3L, 4L, 4L, 3L, 2L, 4L, 4L, 
                            3L, 2L, 3L, 3L, 2L, 3L, 2L, 2L, 1L, 3L, 2L, 3L, 3L, 3L, 3L, 
                            1L, 2L, 3L, 4L, 2L, 3L, 1L, 3L, 2L, 3L, 3L, 2L, 4L, 2L, 4L, 
                            2L, 4L, 4L, 4L, 3L, 3L, 3L, 4L, 3L, 3L, 2L, 1L, 1L, 3L, 2L, 
                            2L, 3L, 4L, 1L, 2L, 3L, 3L, 1L, 2L, 2L, 3L, 4L, 4L, 1L, 3L, 
                            2L, 2L, 4L, 4L, 3L, 2L, 3L, 4L, 2L, 2L, 3L, 3L, 3L, 2L, 2L, 
                            4L, 2L, 4L, 2L, 4L, 1L, 2L, 4L, 4L, 4L, 3L, 2L, 1L, 3L, 2L, 
                            2L, 2L, 2L, 2L, 2L, 3L, 1L, 4L, 3L, 4L, 2L, 3L, 2L, 3L, 3L, 
                            3L, 1L, 3L, 3L, 4L, 3L, 4L, 1L, 1L, 4L, 3L, 4L, 3L, 4L, 4L, 
                            4L, 3L, 4L, 3L, 3L, 3L, 3L, 2L, 3L, 3L, 2L, 2L, 1L, 2L, 3L, 
                            2L, 2L, 3L, 4L, 2L, 4L, 3L, 2L, 3L, 3L, 4L, 3L, 3L, 3L, 4L, 
                            4L, 3L, 4L, 2L, 3L, 4L, 3L, 3L, 4L, 3L, 2L, 2L, 3L, 4L, 3L, 
                            3L, 3L, 2L, 2L, 3L, 4L, 4L, 3L, 2L, 2L, 4L, 3L, 3L, 3L, 3L, 
                            4L, 3L, 3L, 3L, 4L, 2L, 1L, 2L, 4L, 2L, 3L, 1L, 2L, 1L, 1L, 
                            3L, 1L, 3L, 4L, 1L, 1L, 3L, 1L, 4L, 1L, 3L, 4L, 4L, 2L, 2L, 
                            3L, 3L, 1L, 1L, 1L, 4L, 3L, 4L, 1L, 3L, 3L, 2L, 2L, 3L, 4L, 
                            4L, 3L, 3L, 2L, 1L, 1L, 1L, 3L, 4L, 3L, 4L, 3L, 4L, 4L, 3L, 
                            3L, 4L, 2L, 3L, 3L, 2L, 2L, 4L, 3L, 4L, 4L, 1L, 2L, 2L, 3L, 
                            4L, 1L, 3L, 2L, 4L, 3L, 1L, 3L, 3L, 3L, 4L, 3L, 1L, 4L, 4L, 
                            1L, 2L, 3L, 1L, 1L, 2L, 4L, 2L, 3L, 3L, 3L, 3L, 3L, 4L, 1L, 
                            3L, 1L, 2L, 4L, 4L, 3L, 1L, 4L, 4L, 1L, 3L, 4L, 1L, 4L, 3L, 
                            2L, 4L, 4L, 3L, 3L, 4L, 2L, 2L, 2L, 1L, 3L, 3L, 3L, 3L, 3L, 
                            4L, 2L, 2L, 3L, 3L, 1L, 1L, 2L, 1L, 4L, 3L, 2L, 3L, 1L, 2L, 
                            2L, 4L, 3L, 4L, 1L, 4L, 3L, 4L, 2L, 1L, 1L, 2L, 2L, 2L, 2L, 
                            2L, 2L, 1L, 1L, 1L, 1L, 4L, 4L, 2L, 2L, 1L, 3L, 1L, 2L, 4L, 
                            3L, 4L, 2L, 2L, 4L, 2L, 2L, 3L, 4L, 2L, 3L, 2L, 3L, 2L, 1L, 
                            3L, 2L, 1L, 2L, 2L, 4L, 3L, 3L, 3L, 2L, 3L, 3L, 4L, 3L, 2L, 
                            4L, 1L, 3L, 4L, 3L, 3L, 2L, 4L, 4L, 3L, 1L, 4L, 4L, 1L, 3L, 
                            4L, 2L, 2L, 2L, 3L, 2L, 2L, 4L, 3L, 3L, 3L, 2L, 3L, 2L, 1L, 
                            2L, 3L, 4L, 3L, 4L, 2L, 3L, 3L, 4L, 4L, 3L, 2L, 3L, 3L, 3L, 
                            3L, 3L, 1L, 4L, 3L, 3L, 3L, 3L, 4L, 2L, 2L, 1L, 2L, 1L, 3L, 
                            2L, 2L, 4L, 1L, 1L, 3L, 3L, 1L, 4L, 3L, 2L, 3L, 4L, 1L, 1L, 
                            1L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 2L, 2L, 4L, 2L, 3L, 4L, 
                            2L, 3L, 2L, 3L, 2L, 2L, 2L, 2L, 1L, 3L, 3L, 2L, 1L, 3L, 2L, 
                            4L, 3L, 4L, 4L, 3L, 4L, 3L, 4L, 3L, 3L, 2L, 1L, 2L, 4L, 4L, 
                            4L, 2L, 1L, 3L, 4L, 1L, 3L, 3L, 3L, 2L, 1L, 3L, 3L, 3L, 4L, 
                            4L, 3L, 3L, 3L, 3L, 1L, 3L, 1L, 3L, 1L, 1L, 1L, 4L, 3L, 4L, 
                            2L, 2L, 4L, 4L, 2L, 2L, 3L, 3L, 2L, 3L, 2L, 3L, 1L, 4L, 3L, 
                            2L, 3L, 4L, 4L, 2L, 4L, 2L, 4L, 3L, 3L, 3L, 3L, 2L, 1L, 1L, 
                            1L, 2L, 3L, 4L, 3L, 4L, 3L, 1L, 3L, 3L, 3L, 3L, 4L, 3L, 3L, 
                            2L, 4L, 3L, 3L, 4L, 2L, 1L, 3L, 4L, 2L, 3L, 3L, 4L, 2L, 3L, 
                            4L, 2L, 2L, 3L, 3L, 3L, 2L, 3L, 4L, 4L, 3L, 2L, 2L, 3L, 3L, 
                            4L, 2L, 2L, 2L, 1L, 2L, 1L, 3L, 2L, 3L, 4L, 2L, 3L, 2L, 3L, 
                            3L, 3L, 4L, 4L, 4L, 3L, 1L, 3L, 1L, 1L, 3L, 4L, 1L, 2L, 3L, 
                            3L, 3L, 2L, 4L, 1L, 2L, 3L, 3L, 3L, 4L, 3L, 4L, 2L, 1L, 4L, 
                            3L, 3L, 2L, 2L, 4L, 3L, 3L, 1L, 2L, 4L, 4L, 4L, 3L, 3L, 2L, 
                            4L, 3L, 4L, 3L, 3L, 1L, 2L, 1L, 2L, 3L, 2L, 4L, 3L, 3L, 2L, 
                            2L, 4L, 2L, 3L, 3L, 4L, 3L, 4L, 3L, 4L, 4L, 4L, 3L, 4L, 3L, 
                            3L, 1L, 1L, 1L, 3L, 4L, 3L, 4L, 4L, 2L, 2L, 3L, 3L, 3L, 3L, 
                            3L, 2L, 4L, 3L, 1L, 3L, 1L, 3L, 2L, 3L, 1L, 4L, 3L, 3L, 2L, 
                            2L, 2L, 4L, 4L, 3L, 3L, 3L, 4L, 2L, 1L, 3L, 2L, 2L, 3L, 4L, 
                            2L, 2L, 3L, 2L, 2L, 2L, 3L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 1L, 
                            3L, 1L, 4L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 3L, 1L, 2L, 
                            2L, 2L, 4L, 1L, 1L, 2L, 1L, 1L, 3L, 2L, 2L, 3L, 3L, 3L, 2L, 
                            1L, 4L, 4L, 4L, 2L, 1L, 3L, 3L, 3L, 2L, 1L, 4L, 4L, 3L, 2L, 
                            3L, 3L, 1L, 3L, 1L, 2L, 3L, 2L, 2L, 4L, 3L, 1L, 4L, 2L, 3L, 
                            3L, 3L, 4L, 3L, 2L, 3L, 4L, 3L, 2L, 2L, 3L, 1L, 3L, 1L, 2L, 
                            3L, 2L, 1L, 1L, 1L, 1L, 3L, 2L, 4L, 3L, 2L, 3L, 3L, 2L, 2L, 
                            3L, 2L, 3L, 3L, 4L, 3L, 3L, 2L, 2L, 1L, 2L, 2L, 1L, 2L, 2L, 
                            4L, 3L, 3L, 3L, 2L, 3L, 4L, 1L, 4L, 4L, 3L, 3L, 2L, 3L, 1L, 
                            4L, 4L, 2L, 2L, 1L, 3L, 2L, 2L, 3L, 3L, 1L, 4L, 2L, 2L, 3L, 
                            4L, 2L, 3L, 3L, 2L, 1L, 2L, 3L, 2L, 4L, 1L, 2L, 3L, 2L, 2L, 
                            2L, 2L, 1L, 2L, 4L, 3L, 1L, 3L, 1L, 2L, 4L, 1L, 3L, 1L, 4L, 
                            1L, 2L, 4L, 4L, 3L, 1L, 3L, 2L, 2L, 3L, 1L, 3L, 4L, 3L, 2L, 
                            3L, 2L, 2L, 3L, 4L, 2L, 3L, 1L, 4L, 3L, 1L, 4L, 2L, 3L, 4L, 
                            3L, 3L, 3L, 4L, 3L, 4L, 1L, 1L, 2L, 4L, 3L, 3L, 3L, 3L, 4L, 
                            4L, 2L, 1L, 1L, 2L, 4L, 1L, 3L, 2L, 1L, 4L, 1L, 3L, 3L, 4L, 
                            4L, 4L, 2L, 3L, 3L, 3L, 2L, 2L, 2L, 3L, 2L, 3L, 3L, 1L, 2L, 
                            3L, 4L, 3L, 3L, 1L, 3L, 3L, 3L, 4L, 3L, 1L, 1L, 2L, 1L, 2L, 
                            3L, 4L, 3L, 3L, 2L, 2L, 3L, 3L, 3L, 4L, 4L, 3L, 3L, 3L, 1L, 
                            1L, 4L, 4L, 1L, 4L, 2L, 1L, 1L, 1L, 3L, 1L, 2L, 3L, 2L, 3L, 
                            1L, 1L, 2L, 2L, 3L, 4L, 2L, 2L, 2L, 2L, 4L, 4L, 2L, 3L, 3L, 
                            4L, 3L, 4L, 1L, 3L, 3L, 1L, 4L, 2L, 3L, 2L, 1L, 1L, 3L, 1L, 
                            4L, 4L, 2L, 4L, 3L, 3L, 2L, 2L, 3L, 1L, 1L, 2L, 3L, 1L, 2L, 
                            2L, 1L, 4L, 3L, 3L, 2L, 1L, 3L, 1L, 1L, 2L, 3L, 1L, 2L, 1L, 
                            2L, 2L, 2L, 3L, 3L, 2L, 2L, 4L, 4L, 3L, 4L, 4L, 4L, 3L, 3L, 
                            4L, 3L, 2L, 4L, 3L, 1L, 4L, 2L, 3L, 3L, 4L, 4L, 3L, 4L, 3L, 
                            4L, 3L, 1L, 2L, 3L, 1L, 1L, 2L, 3L, 4L, 3L, 3L, 4L, 3L, 4L, 
                            4L, 4L, 2L, 2L, 2L, 4L, 2L, 2L, 2L, 2L, 3L, 2L, 1L, 3L, 2L, 
                            3L, 1L, 3L, 3L, 3L, 4L, 1L, 3L, 3L, 3L, 4L, 1L, 2L, 1L, 3L, 
                            3L, 2L, 2L, 3L, 3L, 3L, 4L, 3L, 3L, 2L, 3L, 1L, 3L, 2L, 3L, 
                            3L, 3L, 3L, 3L, 1L, 4L, 2L, 2L, 3L, 3L, 2L, 3L, 2L, 2L, 2L, 
                            1L, 1L, 3L, 2L, 3L, 4L, 2L, 3L, 2L, 3L, 1L, 3L, 3L, 3L, 1L, 
                            3L, 3L, 2L, 3L, 4L, 4L, 2L, 2L, 4L, 4L, 1L, 1L, 3L, 4L, 2L, 
                            3L, 3L, 1L, 4L, 3L, 3L, 1L, 3L, 4L, 2L, 3L, 3L, 3L, 3L, 4L, 
                            1L, 3L, 3L, 2L, 4L, 3L, 2L, 3L, 2L, 3L, 2L, 3L, 3L, 4L, 1L, 
                            4L, 3L, 4L, 2L, 1L, 3L, 1L, 2L, 1L, 2L, 4L, 3L, 2L, 3L, 2L, 
                            3L, 3L, 3L, 1L, 3L, 3L, 3L, 2L, 4L, 3L, 4L, 4L, 1L, 2L, 3L, 
                            2L, 1L, 3L, 3L, 2L, 3L, 3L, 1L, 4L, 3L, 1L, 3L, 2L, 4L, 1L, 
                            2L, 2L, 2L, 3L, 3L, 2L, 3L, 1L, 3L, 3L, 2L, 3L, 2L, 1L, 1L, 
                            3L, 2L, 3L, 3L, 3L, 3L, 3L, 2L, 2L, 3L, 2L, 3L, 3L, 4L, 2L, 
                            3L, 3L, 3L, 2L, 2L, 3L, 4L, 1L, 1L, 4L, 3L, 2L, 2L, 4L, 3L, 
                            1L, 2L, 4L, 3L, 3L, 2L, 3L, 4L, 3L, 2L, 2L, 3L, 2L, 1L, 2L, 
                            1L, 3L, 2L, 3L, 3L, 4L, 2L, 2L, 3L, 3L, 1L, 3L, 3L, 3L, 4L, 
                            1L, 3L, 2L, 1L, 2L, 4L, 3L, 3L, 3L, 3L, 2L, 4L, 4L, 2L, 2L, 
                            3L, 3L, 2L, 1L, 4L, 1L, 3L, 3L, 1L, 1L, 3L, 4L, 3L, 2L, 2L, 
                            1L, 3L, 3L, 3L, 2L, 2L, 3L, 3L, 3L, 4L, 3L, 3L, 3L, 3L, 3L, 
                            2L, 3L, 2L, 2L, 4L, 3L, 2L, 2L, 3L, 4L, 3L, 2L, 4L, 3L, 1L, 
                            2L, 2L, 3L, 4L, 4L, 2L, 3L, 3L, 1L, 3L, 2L, 2L, 2L, 3L, 1L, 
                            3L, 2L, 4L, 3L, 3L, 1L, 2L, 4L, 3L, 2L, 3L, 3L, 3L, 3L, 2L, 
                            1L, 4L, 3L, 4L, 2L, 4L, 2L, 3L, 2L, 2L, 3L, 2L, 3L, 1L, 1L, 
                            3L, 2L, 4L, 2L, 4L, 2L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 1L, 
                            2L, 1L, 1L, 1L, 3L, 4L, 2L, 1L, 2L, 1L, 4L, 2L, 3L, 3L, 2L, 
                            2L, 2L, 2L, 2L, 2L, 4L, 4L, 2L, 2L, 3L, 2L, 2L, 3L, 2L, 3L, 
                            1L, 4L, 3L, 2L, 3L, 3L, 3L, 1L, 3L, 4L, 4L, 3L, 4L, 4L, 3L, 
                            3L, 2L, 2L, 3L, 1L, 2L, 2L, 3L, 3L, 3L, 2L, 3L, 3L, 3L, 1L, 
                            3L, 1L, 2L, 3L, 4L, 3L, 4L, 2L, 4L, 4L, 3L, 1L, 3L, 3L, 3L, 
                            3L, 2L, 3L, 2L, 3L, 4L, 3L, 3L, 2L, 1L, 3L, 3L, 4L, 4L, 3L, 
                            2L, 2L, 1L, 4L, 2L, 3L, 3L, 1L, 2L, 4L, 3L, 1L, 2L, 3L, 1L, 
                            3L, 4L, 3L, 1L, 3L, 2L, 2L, 4L, 3L, 2L, 2L, 3L, 3L, 3L, 3L, 
                            3L, 2L, 1L, 3L, 2L, 3L, 1L, 1L, 1L, 1L, 1L, 3L, 3L, 4L, 1L, 
                            2L, 2L, 3L, 2L, 2L, 1L, 2L, 3L, 2L, 2L, 2L, 1L, 4L, 1L, 1L, 
                            4L, 1L, 1L, 2L, 4L, 3L, 1L, 4L, 1L, 2L, 3L, 3L, 2L, 4L, 1L, 
                            3L, 3L, 1L, 3L, 2L, 2L, 2L, 1L, 2L, 1L, 2L, 4L, 3L, 2L, 1L, 
                            2L, 3L, 3L, 4L, 4L, 4L, 3L, 1L, 3L, 2L, 3L, 1L, 1L, 2L, 1L, 
                            1L, 2L, 2L, 1L, 1L, 2L, 3L, 1L, 1L, 3L, 2L, 3L, 3L, 3L, 2L, 
                            2L, 2L, 2L, 3L, 1L, 3L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
                            3L, 1L, 1L, 3L, 2L, 3L, 3L, 4L, 2L, 2L, 1L, 3L, 3L, 3L, 4L, 
                            3L, 1L, 2L, 2L, 3L, 3L, 2L, 2L, 3L, 3L, 3L, 4L, 1L, 2L, 1L, 
                            2L, 1L, 4L, 4L, 4L, 2L, 3L, 1L, 3L, 1L, 2L, 1L, 2L, 4L, 1L, 
                            1L, 2L, 3L, 4L, 1L, 3L, 2L, 3L, 4L, 3L, 1L, 2L, 3L, 3L, 3L, 
                            2L, 4L, 3L, 2L, 4L, 4L, 3L, 2L, 3L, 2L, 1L, 1L, 4L, 4L, 3L, 
                            4L, 1L, 2L, 2L, 3L, 2L, 4L, 1L, 3L, 1L, 1L, 4L, 4L, 3L, 2L, 
                            3L, 2L, 3L, 2L, 2L, 4L, 4L, 2L, 4L, 4L, 2L, 2L, 1L, 1L, 2L, 
                            3L, 2L, 1L, 2L, 1L, 2L, 2L), .Label = c("18-29", "30-44", 
                            "45-64", "65+"), class = "factor"), edu = structure(c(4L, 
                            2L, 4L, 4L, 2L, 3L, 2L, 1L, 2L, 2L, 2L, 2L, 4L, 2L, 2L, 2L, 
                            1L, 3L, 4L, 3L, 1L, 4L, 3L, 2L, 2L, 3L, 2L, 3L, 2L, 4L, 4L, 
                            2L, 4L, 2L, 2L, 4L, 4L, 2L, 3L, 3L, 2L, 3L, 3L, 3L, 2L, 4L, 
                            2L, 3L, 1L, 1L, 3L, 2L, 2L, 4L, 3L, 4L, 4L, 2L, 3L, 3L, 2L, 
                            2L, 4L, 2L, 2L, 4L, 2L, 3L, 2L, 4L, 1L, 4L, 3L, 1L, 3L, 3L, 
                            2L, 2L, 2L, 2L, 1L, 4L, 1L, 2L, 4L, 4L, 2L, 1L, 4L, 2L, 1L, 
                            3L, 2L, 4L, 4L, 1L, 2L, 4L, 3L, 4L, 4L, 2L, 3L, 2L, 3L, 4L, 
                            2L, 2L, 3L, 2L, 2L, 2L, 3L, 3L, 4L, 1L, 4L, 4L, 2L, 3L, 2L, 
                            2L, 3L, 2L, 4L, 3L, 3L, 2L, 3L, 3L, 4L, 4L, 2L, 1L, 2L, 2L, 
                            2L, 4L, 1L, 4L, 3L, 3L, 2L, 2L, 2L, 2L, 3L, 4L, 4L, 1L, 2L, 
                            4L, 3L, 2L, 3L, 3L, 4L, 4L, 2L, 3L, 2L, 4L, 2L, 1L, 4L, 4L, 
                            2L, 3L, 2L, 2L, 4L, 2L, 3L, 2L, 3L, 4L, 3L, 1L, 4L, 3L, 2L, 
                            4L, 2L, 3L, 3L, 3L, 2L, 3L, 2L, 2L, 4L, 2L, 2L, 3L, 4L, 3L, 
                            4L, 4L, 3L, 2L, 4L, 4L, 4L, 4L, 3L, 2L, 4L, 3L, 2L, 4L, 2L, 
                            4L, 3L, 2L, 4L, 3L, 4L, 4L, 2L, 2L, 2L, 2L, 2L, 2L, 4L, 1L, 
                            3L, 2L, 4L, 3L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 
                            4L, 2L, 2L, 4L, 2L, 4L, 1L, 3L, 3L, 3L, 2L, 1L, 4L, 3L, 3L, 
                            1L, 3L, 4L, 3L, 3L, 3L, 3L, 2L, 4L, 4L, 1L, 4L, 4L, 2L, 3L, 
                            3L, 4L, 4L, 4L, 4L, 2L, 1L, 2L, 3L, 2L, 2L, 2L, 2L, 2L, 3L, 
                            4L, 2L, 3L, 4L, 2L, 3L, 2L, 3L, 4L, 2L, 1L, 4L, 2L, 4L, 2L, 
                            2L, 2L, 2L, 1L, 2L, 2L, 4L, 4L, 3L, 3L, 2L, 4L, 2L, 4L, 3L, 
                            3L, 3L, 2L, 2L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 2L, 4L, 2L, 2L, 
                            3L, 4L, 4L, 2L, 4L, 2L, 2L, 3L, 4L, 2L, 1L, 2L, 3L, 4L, 4L, 
                            3L, 3L, 3L, 3L, 4L, 2L, 1L, 2L, 3L, 4L, 3L, 4L, 2L, 3L, 4L, 
                            2L, 2L, 2L, 3L, 4L, 2L, 4L, 1L, 3L, 2L, 4L, 1L, 3L, 2L, 4L, 
                            4L, 2L, 3L, 4L, 1L, 4L, 3L, 2L, 4L, 4L, 4L, 2L, 4L, 2L, 1L, 
                            2L, 3L, 3L, 3L, 3L, 3L, 4L, 3L, 4L, 2L, 2L, 4L, 2L, 3L, 2L, 
                            4L, 3L, 4L, 3L, 4L, 3L, 2L, 4L, 3L, 4L, 3L, 3L, 4L, 3L, 2L, 
                            2L, 2L, 4L, 4L, 3L, 3L, 4L, 2L, 4L, 4L, 3L, 2L, 1L, 2L, 3L, 
                            3L, 4L, 1L, 3L, 3L, 4L, 2L, 2L, 4L, 4L, 4L, 1L, 4L, 2L, 2L, 
                            4L, 2L, 4L, 2L, 4L, 4L, 3L, 2L, 2L, 4L, 3L, 3L, 4L, 2L, 4L, 
                            4L, 2L, 2L, 2L, 3L, 2L, 1L, 3L, 3L, 2L, 4L, 4L, 4L, 2L, 1L, 
                            2L, 4L, 2L, 2L, 4L, 3L, 3L, 4L, 1L, 4L, 4L, 3L, 2L, 1L, 2L, 
                            4L, 3L, 2L, 3L, 1L, 1L, 2L, 2L, 2L, 4L, 4L, 2L, 4L, 3L, 3L, 
                            4L, 1L, 1L, 4L, 1L, 3L, 4L, 3L, 2L, 2L, 1L, 3L, 4L, 2L, 3L, 
                            2L, 4L, 4L, 2L, 1L, 2L, 3L, 3L, 2L, 1L, 4L, 3L, 4L, 3L, 3L, 
                            3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 2L, 2L, 2L, 4L, 3L, 2L, 3L, 
                            4L, 4L, 4L, 2L, 4L, 3L, 3L, 2L, 1L, 2L, 4L, 2L, 2L, 3L, 3L, 
                            1L, 3L, 3L, 2L, 1L, 1L, 2L, 4L, 3L, 2L, 4L, 2L, 4L, 3L, 4L, 
                            1L, 1L, 2L, 2L, 2L, 2L, 2L, 4L, 2L, 4L, 4L, 3L, 2L, 2L, 4L, 
                            1L, 3L, 4L, 4L, 4L, 3L, 2L, 4L, 3L, 3L, 4L, 3L, 3L, 3L, 2L, 
                            2L, 3L, 4L, 2L, 2L, 4L, 3L, 3L, 2L, 3L, 4L, 3L, 4L, 4L, 2L, 
                            1L, 2L, 3L, 3L, 4L, 3L, 3L, 4L, 2L, 4L, 2L, 3L, 3L, 2L, 2L, 
                            2L, 4L, 3L, 3L, 2L, 4L, 3L, 4L, 2L, 4L, 2L, 2L, 2L, 2L, 2L, 
                            4L, 4L, 4L, 3L, 3L, 3L, 3L, 3L, 2L, 3L, 3L, 4L, 4L, 4L, 2L, 
                            2L, 1L, 3L, 2L, 2L, 3L, 2L, 2L, 1L, 3L, 3L, 2L, 2L, 4L, 2L, 
                            3L, 3L, 4L, 4L, 3L, 1L, 4L, 2L, 3L, 4L, 4L, 3L, 3L, 2L, 4L, 
                            4L, 2L, 3L, 1L, 2L, 4L, 2L, 4L, 4L, 2L, 4L, 2L, 3L, 4L, 4L, 
                            4L, 3L, 3L, 2L, 3L, 2L, 4L, 4L, 4L, 3L, 2L, 1L, 3L, 3L, 4L, 
                            2L, 2L, 2L, 4L, 4L, 4L, 4L, 3L, 3L, 2L, 2L, 1L, 3L, 2L, 4L, 
                            3L, 3L, 3L, 4L, 3L, 2L, 4L, 2L, 4L, 1L, 2L, 4L, 3L, 3L, 2L, 
                            1L, 3L, 2L, 4L, 4L, 2L, 2L, 2L, 1L, 4L, 2L, 4L, 3L, 2L, 2L, 
                            2L, 2L, 2L, 2L, 2L, 3L, 1L, 4L, 3L, 2L, 2L, 4L, 2L, 3L, 2L, 
                            2L, 2L, 4L, 3L, 4L, 4L, 2L, 2L, 2L, 3L, 4L, 2L, 2L, 4L, 2L, 
                            2L, 3L, 2L, 1L, 2L, 3L, 4L, 2L, 2L, 2L, 3L, 3L, 3L, 2L, 4L, 
                            3L, 4L, 2L, 1L, 4L, 4L, 3L, 4L, 2L, 3L, 1L, 4L, 4L, 4L, 3L, 
                            4L, 2L, 2L, 4L, 1L, 2L, 4L, 4L, 2L, 2L, 3L, 4L, 2L, 4L, 2L, 
                            2L, 3L, 4L, 3L, 4L, 4L, 2L, 4L, 2L, 2L, 3L, 2L, 2L, 3L, 2L, 
                            2L, 4L, 4L, 3L, 3L, 1L, 3L, 2L, 4L, 3L, 4L, 3L, 4L, 2L, 2L, 
                            4L, 4L, 2L, 2L, 3L, 3L, 4L, 3L, 3L, 3L, 2L, 2L, 2L, 3L, 2L, 
                            2L, 4L, 1L, 2L, 2L, 4L, 3L, 4L, 2L, 4L, 2L, 3L, 1L, 2L, 3L, 
                            2L, 2L, 4L, 2L, 4L, 3L, 1L, 1L, 3L, 2L, 3L, 3L, 3L, 1L, 4L, 
                            3L, 4L, 4L, 3L, 3L, 4L, 2L, 3L, 2L, 3L, 2L, 2L, 1L, 4L, 3L, 
                            1L, 1L, 1L, 3L, 3L, 2L, 2L, 3L, 4L, 4L, 3L, 4L, 2L, 1L, 4L, 
                            2L, 3L, 2L, 4L, 2L, 4L, 2L, 4L, 2L, 2L, 3L, 2L, 4L, 4L, 4L, 
                            3L, 1L, 3L, 4L, 4L, 4L, 4L, 4L, 3L, 4L, 4L, 3L, 3L, 2L, 4L, 
                            3L, 2L, 1L, 2L, 1L, 1L, 2L, 4L, 2L, 2L, 3L, 4L, 1L, 4L, 2L, 
                            4L, 3L, 4L, 3L, 3L, 4L, 1L, 3L, 3L, 4L, 3L, 4L, 3L, 4L, 3L, 
                            4L, 2L, 2L, 4L, 2L, 2L, 2L, 3L, 3L, 2L, 4L, 4L, 2L, 4L, 2L, 
                            4L, 1L, 4L, 4L, 2L, 2L, 2L, 2L, 3L, 2L, 2L, 2L, 4L, 1L, 2L, 
                            2L, 2L, 1L, 2L, 4L, 4L, 4L, 3L, 2L, 2L, 4L, 4L, 3L, 1L, 3L, 
                            2L, 3L, 4L, 1L, 4L, 2L, 1L, 1L, 3L, 4L, 3L, 2L, 3L, 4L, 4L, 
                            4L, 2L, 4L, 2L, 2L, 4L, 3L, 1L, 4L, 3L, 2L, 1L, 2L, 2L, 2L, 
                            2L, 2L, 3L, 3L, 3L, 3L, 4L, 2L, 2L, 2L, 4L, 3L, 2L, 4L, 3L, 
                            4L, 1L, 2L, 4L, 3L, 4L, 3L, 2L, 4L, 2L, 3L, 4L, 2L, 4L, 2L, 
                            4L, 1L, 3L, 4L, 3L, 3L, 3L, 4L, 2L, 4L, 4L, 3L, 3L, 3L, 4L, 
                            2L, 1L, 2L, 4L, 4L, 2L, 3L, 4L, 2L, 2L, 3L, 3L, 4L, 2L, 2L, 
                            2L, 4L, 3L, 4L, 3L, 4L, 1L, 2L, 1L, 4L, 4L, 2L, 2L, 4L, 4L, 
                            2L, 1L, 4L, 4L, 2L, 3L, 2L, 3L, 3L, 2L, 4L, 2L, 1L, 3L, 4L, 
                            3L, 4L, 2L, 3L, 1L, 4L, 4L, 4L, 4L, 4L, 4L, 2L, 3L, 2L, 3L, 
                            4L, 4L, 4L, 4L, 2L, 3L, 4L, 2L, 3L, 3L, 1L, 2L, 4L, 4L, 2L, 
                            2L, 4L, 4L, 4L, 4L, 2L, 2L, 2L, 3L, 2L, 2L, 2L, 1L, 4L, 2L, 
                            3L, 3L, 4L, 4L, 2L, 4L, 4L, 1L, 2L, 3L, 3L, 1L, 2L, 2L, 2L, 
                            3L, 2L, 1L, 2L, 2L, 4L, 3L, 1L, 3L, 2L, 2L, 3L, 4L, 2L, 4L, 
                            3L, 4L, 1L, 3L, 3L, 2L, 2L, 4L, 1L, 4L, 3L, 2L, 4L, 4L, 4L, 
                            4L, 3L, 2L, 3L, 4L, 2L, 3L, 2L, 4L, 4L, 3L, 4L, 2L, 2L, 3L, 
                            4L, 4L, 3L, 4L, 4L, 4L, 2L, 1L, 3L, 2L, 3L, 3L, 3L, 3L, 3L, 
                            3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 2L, 2L, 2L, 4L, 2L, 4L, 2L, 
                            2L, 4L, 2L, 2L, 3L, 3L, 3L, 4L, 4L, 3L, 1L, 3L, 4L, 4L, 2L, 
                            4L, 4L, 4L, 2L, 2L, 4L, 4L, 4L, 4L, 4L, 4L, 3L, 2L, 3L, 3L, 
                            2L, 4L, 4L, 4L, 3L, 2L, 4L, 2L, 2L, 2L, 4L, 4L, 3L, 2L, 1L, 
                            2L, 2L, 3L, 4L, 4L, 2L, 2L, 4L, 4L, 3L, 4L, 4L, 4L, 2L, 3L, 
                            3L, 4L, 4L, 3L, 3L, 2L, 3L, 4L, 3L, 2L, 2L, 2L, 4L, 4L, 4L, 
                            4L, 3L, 3L, 2L, 4L, 4L, 2L, 3L, 4L, 2L, 4L, 4L, 3L, 1L, 2L, 
                            4L, 3L, 2L, 3L, 4L, 4L, 4L, 4L, 4L, 3L, 4L, 3L, 2L, 4L, 4L, 
                            2L, 4L, 2L, 3L, 3L, 4L, 4L, 4L, 2L, 3L, 4L, 4L, 4L, 3L, 3L, 
                            3L, 3L, 3L, 3L, 4L, 3L, 4L, 2L, 4L, 4L, 4L, 4L, 3L, 4L, 1L, 
                            4L, 3L, 3L, 4L, 3L, 4L, 2L, 2L, 2L, 4L, 2L, 2L, 4L, 4L, 2L, 
                            2L, 2L, 3L, 3L, 3L, 4L, 2L, 3L, 2L, 3L, 1L, 4L, 4L, 4L, 3L, 
                            3L, 1L, 1L, 2L, 4L, 3L, 3L, 2L, 3L, 3L, 4L, 2L, 4L, 4L, 4L, 
                            2L, 2L, 4L, 4L, 4L, 3L, 2L, 3L, 2L, 2L, 3L, 4L, 4L, 3L, 4L, 
                            3L, 3L, 2L, 4L, 3L, 2L, 4L, 3L, 4L, 2L, 2L, 2L, 3L, 4L, 4L, 
                            4L, 3L, 2L, 2L, 3L, 4L, 2L, 4L, 2L, 4L, 4L, 4L, 2L, 3L, 4L, 
                            4L, 2L, 2L, 3L, 2L, 4L, 2L, 2L, 4L, 3L, 4L, 3L, 3L, 3L, 4L, 
                            4L, 2L, 2L, 1L, 2L, 3L, 2L, 3L, 2L, 4L, 4L, 4L, 3L, 3L, 3L, 
                            3L, 4L, 3L, 4L, 2L, 4L, 1L, 4L, 2L, 4L, 2L, 2L, 4L, 4L, 2L, 
                            3L, 2L, 3L, 3L, 1L, 3L, 2L, 4L, 2L, 3L, 1L, 2L, 4L, 4L, 3L, 
                            2L, 4L, 3L, 4L, 4L, 3L, 4L, 3L, 1L, 4L, 4L, 2L, 1L, 4L, 2L, 
                            4L, 3L, 2L, 2L, 4L, 3L, 4L, 3L, 2L, 4L, 4L, 4L, 4L, 2L, 2L, 
                            1L, 4L, 4L, 3L, 2L, 1L, 4L, 4L, 3L, 3L, 2L, 4L, 2L, 4L, 4L, 
                            3L, 1L, 4L, 4L, 4L, 3L, 4L, 4L, 3L, 1L, 2L, 2L, 2L, 2L, 3L, 
                            2L, 2L, 2L, 4L, 4L, 2L, 4L, 4L, 2L, 3L, 4L, 2L, 4L, 4L, 1L, 
                            4L, 2L, 3L, 4L, 2L, 3L, 4L, 3L, 2L, 1L, 2L, 2L, 3L, 2L, 2L, 
                            2L, 3L, 4L, 4L, 3L, 4L, 2L, 4L, 4L, 2L, 2L, 2L, 4L, 2L, 4L, 
                            3L, 2L, 3L, 2L, 4L, 3L, 3L, 4L, 2L, 3L, 2L, 2L, 4L, 2L, 4L, 
                            1L, 2L, 2L, 2L, 1L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 2L, 4L, 2L, 
                            2L, 3L, 4L, 4L, 2L, 4L, 2L, 1L, 2L, 3L, 3L, 3L, 4L, 3L, 3L, 
                            3L, 2L, 3L, 2L, 3L, 4L, 2L, 2L, 4L, 3L, 3L, 3L, 3L, 4L, 2L, 
                            3L, 3L, 3L, 4L, 2L, 4L, 3L, 2L, 3L, 3L, 2L, 4L, 2L, 2L, 4L, 
                            4L, 3L, 4L, 3L, 3L, 2L, 4L, 4L, 3L, 2L, 2L, 3L, 2L, 2L, 4L, 
                            2L, 4L, 3L, 3L, 2L, 2L, 1L, 2L, 2L, 1L, 2L, 4L, 4L, 2L, 2L, 
                            4L, 4L, 3L, 4L, 3L, 4L, 3L, 3L, 4L, 2L, 3L, 3L, 3L, 2L, 4L, 
                            3L, 3L, 2L, 4L, 2L, 4L, 3L, 4L, 3L, 2L, 2L, 4L, 4L, 4L, 2L, 
                            4L, 2L, 2L, 3L, 2L, 2L, 4L, 3L, 3L, 4L, 3L, 4L, 4L, 4L, 4L, 
                            2L, 4L, 4L, 4L, 4L, 3L, 2L, 4L, 4L, 3L, 4L, 2L, 2L, 1L, 3L, 
                            4L, 3L, 4L, 3L, 4L, 2L, 2L, 3L, 3L, 4L, 2L, 4L, 2L, 3L, 3L, 
                            4L, 3L, 4L, 4L, 3L, 2L, 4L, 3L, 4L, 1L, 4L, 4L, 4L, 4L, 4L, 
                            3L, 4L, 2L, 3L, 4L, 2L, 2L, 4L, 3L, 4L, 4L, 3L, 4L, 4L, 1L, 
                            4L, 2L, 3L, 2L, 3L, 4L, 2L, 2L, 3L, 4L, 2L, 3L, 4L, 2L, 2L, 
                            1L, 4L, 4L, 4L, 4L, 4L, 2L, 2L, 4L, 4L, 4L, 2L, 3L, 2L, 4L, 
                            4L, 3L, 4L, 3L, 4L, 3L, 2L, 4L), .Label = c("< High School", 
                            "High School", "Some College", "Graduated College"), class = "factor"), 
                    weight = c(1.06521737575531, 1.93478262424469, 2.04347825050354, 
                        1.76086962223053, 1.95652174949646, 1.52173912525177, 1.36956524848938, 
                        4.17000007629395, 4.17000007629395, 2.80434775352478, 1.80434787273407, 
                        2.10869574546814, 1.15217387676239, 3.73913049697876, 4.17000007629395, 
                        2.39130425453186, 3.47826075553894, 2.52173924446106, 2.5, 
                        1.76086962223053, 4.17000007629395, 2.15217399597168, 2.5, 
                        1.7826087474823, 3.60869574546814, 1.63043475151062, 3.36956524848938, 
                        1.63043475151062, 2.80434775352478, 1.97826087474823, 1.26086962223053, 
                        2.19565224647522, 1, 2.5, 2.7173912525177, 1.2826087474823, 
                        1.06521737575531, 2.2173912525177, 1.69565212726593, 1.08695650100708, 
                        1.82608699798584, 1, 2.36956524848938, 1.47826087474823, 
                        1.86956524848938, 2.0652174949646, 1.7826087474823, 1.80434787273407, 
                        1.97826087474823, 3.13043475151062, 1.26086962223053, 1.60869562625885, 
                        2.30434775352478, 2.5, 1.41304349899292, 2.36956524848938, 
                        1.23913037776947, 2.39130425453186, 2.32608699798584, 3.89130425453186, 
                        1.7173912525177, 2.47826075553894, 1.80434787273407, 2.60869574546814, 
                        2.45652174949646, 1.60869562625885, 1.60869562625885, 1.7173912525177, 
                        4.17000007629395, 1.23913037776947, 4.17000007629395, 2.0652174949646, 
                        1.97826087474823, 4.17000007629395, 1.19565212726593, 4.04347848892212, 
                        4.17000007629395, 2.0652174949646, 3.10869574546814, 2.67391300201416, 
                        2.97826075553894, 1.65217387676239, 4, 3.02173924446106, 
                        3.2173912525177, 2.39130425453186, 3.23913049697876, 2.2826087474823, 
                        2.10869574546814, 3.95652174949646, 4.17000007629395, 1, 
                        1.84782612323761, 2.2826087474823, 2.5, 4.17000007629395, 
                        2.65217399597168, 2.17391300201416, 2.30434775352478, 1.80434787273407, 
                        2.15217399597168, 1.73913037776947, 1, 1.84782612323761, 
                        1.65217387676239, 1.15217387676239, 1.56521737575531, 2.58695650100708, 
                        1.84782612323761, 2.30434775352478, 2.45652174949646, 2.65217399597168, 
                        1.34782612323761, 3.04347825050354, 4.17000007629395, 4.17000007629395, 
                        1.47826087474823, 1.80434787273407, 3.08695650100708, 2.02173924446106, 
                        2.67391300201416, 3.10869574546814, 2.7826087474823, 3.08695650100708, 
                        1.19565212726593, 1.60869562625885, 1.67391300201416, 2.15217399597168, 
                        2.2173912525177, 1.2826087474823, 2, 1.30434787273407, 1.69565212726593, 
                        4.0652174949646, 2.2173912525177, 2.69565224647522, 2.80434775352478, 
                        1.63043475151062, 4.15217399597168, 1.63043475151062, 1.15217387676239, 
                        1.80434787273407, 2.65217399597168, 2.69565224647522, 2.23913049697876, 
                        2.39130425453186, 1.56521737575531, 2.2826087474823, 3.10869574546814, 
                        4.17000007629395, 2.63043475151062, 1.82608699798584, 2.2826087474823, 
                        2.45652174949646, 1.7173912525177, 2.02173924446106, 1.30434787273407, 
                        1.73913037776947, 3.0652174949646, 3.58695650100708, 3.13043475151062, 
                        2.84782600402832, 2.02173924446106, 2.4347825050354, 1.2173912525177, 
                        1.80434787273407, 1.80434787273407, 2.17391300201416, 3.15217399597168, 
                        1.34782612323761, 1, 2.02173924446106, 1.7173912525177, 1.41304349899292, 
                        1.06521737575531, 2.10869574546814, 1.67391300201416, 3.67391300201416, 
                        1, 1.52173912525177, 3.2173912525177, 1.45652174949646, 2.2173912525177, 
                        1.67391300201416, 1.19565212726593, 1.65217387676239, 1.47826087474823, 
                        2.2173912525177, 3.08695650100708, 1.41304349899292, 1, 1.39130437374115, 
                        2.13043475151062, 1.7173912525177, 1.91304349899292, 1.47826087474823, 
                        1.41304349899292, 1.67391300201416, 2.23913049697876, 1.82608699798584, 
                        2.0652174949646, 1.2826087474823, 1.60869562625885, 1.54347825050354, 
                        2.17391300201416, 1.52173912525177, 1, 1.52173912525177, 
                        1.41304349899292, 1.2826087474823, 1.41304349899292, 1.2826087474823, 
                        1, 1.73913037776947, 1.08695650100708, 2.39130425453186, 
                        1.10869562625885, 1.02173912525177, 1.56521737575531, 4.17000007629395, 
                        2.5652174949646, 2.19565224647522, 1.76086962223053, 1.36956524848938, 
                        2.0652174949646, 1.97826087474823, 1.02173912525177, 2.5652174949646, 
                        1, 1.58695650100708, 1.41304349899292, 2.69565224647522, 
                        1.95652174949646, 1.43478262424469, 2.45652174949646, 1.30434787273407, 
                        1.91304349899292, 1.45652174949646, 1.73913037776947, 1.89130437374115, 
                        2.5, 1.63043475151062, 3.5, 2.7173912525177, 1.04347825050354, 
                        1.41304349899292, 2.15217399597168, 3.15217399597168, 2.30434775352478, 
                        2.84782600402832, 2.0652174949646, 1.93478262424469, 4, 1.56521737575531, 
                        1.10869562625885, 1.45652174949646, 4.17000007629395, 1.52173912525177, 
                        2.30434775352478, 1, 2.41304349899292, 1.56521737575531, 
                        1.02173912525177, 2.60869574546814, 2.63043475151062, 1.19565212726593, 
                        2.69565224647522, 2.73913049697876, 1.63043475151062, 1.84782612323761, 
                        1.06521737575531, 1.13043475151062, 1.97826087474823, 1.60869562625885, 
                        2.10869574546814, 1.41304349899292, 2.17391300201416, 4.02173900604248, 
                        1.56521737575531, 1, 2.73913049697876, 2.58695650100708, 
                        1.76086962223053, 1.84782612323761, 1.7826087474823, 1.69565212726593, 
                        1.60869562625885, 1.69565212726593, 1.45652174949646, 1.13043475151062, 
                        2.45652174949646, 1.30434787273407, 3.04347825050354, 2.58695650100708, 
                        1.32608699798584, 1.67391300201416, 4.17000007629395, 1.45652174949646, 
                        1.80434787273407, 1.60869562625885, 2.54347825050354, 4.08695650100708, 
                        1.60869562625885, 1.93478262424469, 4.17000007629395, 1.52173912525177, 
                        3.86956524848938, 1.82608699798584, 1.06521737575531, 2.2173912525177, 
                        1, 3.84782600402832, 1, 1.2173912525177, 1, 1.43478262424469, 
                        1.7173912525177, 2.2826087474823, 2.04347825050354, 2.02173924446106, 
                        2.13043475151062, 1.73913037776947, 1.02173912525177, 2, 
                        1.02173912525177, 1.39130437374115, 1.19565212726593, 2.39130425453186, 
                        2.5652174949646, 2.4347825050354, 1.58695650100708, 1.02173912525177, 
                        1, 1.15217387676239, 2.39130425453186, 1.69565212726593, 
                        4.15217399597168, 2.45652174949646, 3.58695650100708, 1.02173912525177, 
                        2.52173924446106, 4.17000007629395, 1.7173912525177, 1.43478262424469, 
                        1.10869562625885, 1.15217387676239, 2.2826087474823, 1.13043475151062, 
                        1.2826087474823, 2.15217399597168, 1.26086962223053, 2.69565224647522, 
                        4.17000007629395, 2.58695650100708, 1.2826087474823, 1.65217387676239, 
                        1.06521737575531, 1.41304349899292, 1.95652174949646, 1.86956524848938, 
                        1.5, 2.58695650100708, 2.45652174949646, 2.54347825050354, 
                        1.08695650100708, 2.60869574546814, 1.93478262424469, 2.13043475151062, 
                        4.17000007629395, 1.34782612323761, 2.13043475151062, 1.2826087474823, 
                        2.36956524848938, 1.84782612323761, 1.73913037776947, 1.2826087474823, 
                        1, 3.23913049697876, 1.7173912525177, 1.26086962223053, 3.60869574546814, 
                        2.58695650100708, 1.60869562625885, 2.02173924446106, 1.2826087474823, 
                        1.39130437374115, 1.17391300201416, 2.04347825050354, 1.26086962223053, 
                        1.69565212726593, 2.7826087474823, 2.26086950302124, 1.34782612323761, 
                        4.17000007629395, 3.5, 1, 1.02173912525177, 1.41304349899292, 
                        2.32608699798584, 1, 1.7173912525177, 1.47826087474823, 1.15217387676239, 
                        3.45652174949646, 2.58695650100708, 2.2173912525177, 1.13043475151062, 
                        1.56521737575531, 1.06521737575531, 1.39130437374115, 1.47826087474823, 
                        2.34782600402832, 1.93478262424469, 1.43478262424469, 1.60869562625885, 
                        1.43478262424469, 2.30434775352478, 2.15217399597168, 1.60869562625885, 
                        1.56521737575531, 2.02173924446106, 2.45652174949646, 1.76086962223053, 
                        1.93478262424469, 1.63043475151062, 1.19565212726593, 1, 
                        1.47826087474823, 4.17000007629395, 1.2826087474823, 1.76086962223053, 
                        1.17391300201416, 1.43478262424469, 2.36956524848938, 2.04347825050354, 
                        1.7826087474823, 2.15217399597168, 2.5, 4.17000007629395, 
                        1.86956524848938, 1, 1.54347825050354, 1.36956524848938, 
                        1.91304349899292, 1.04347825050354, 1.60869562625885, 1.84782612323761, 
                        2.76086950302124, 1.76086962223053, 2.9347825050354, 3.91304349899292, 
                        1.2826087474823, 2.9347825050354, 1.84782612323761, 1.02173912525177, 
                        1.73913037776947, 2.4347825050354, 2.2173912525177, 1.86956524848938, 
                        1.80434787273407, 1.60869562625885, 1.7173912525177, 2.52173924446106, 
                        1.58695650100708, 3.34782600402832, 2.5, 1.10869562625885, 
                        1.69565212726593, 1.76086962223053, 3, 2.02173924446106, 
                        1.86956524848938, 2.4347825050354, 2, 1.45652174949646, 1.36956524848938, 
                        1.67391300201416, 1.30434787273407, 1.60869562625885, 1.47826087474823, 
                        4.10869550704956, 2.95652174949646, 1, 3.08695650100708, 
                        2.13043475151062, 1.43478262424469, 2.9347825050354, 1.30434787273407, 
                        2.45652174949646, 4.17000007629395, 1.30434787273407, 1.73913037776947, 
                        2.30434775352478, 2.45652174949646, 4.17000007629395, 2.4347825050354, 
                        1.32608699798584, 1.30434787273407, 4.17000007629395, 2.4347825050354, 
                        1.80434787273407, 4.17000007629395, 2.32608699798584, 2.02173924446106, 
                        1.36956524848938, 1.15217387676239, 1.30434787273407, 2.84782600402832, 
                        1.36956524848938, 1.19565212726593, 2.2826087474823, 1.08695650100708, 
                        2.69565224647522, 4.17000007629395, 1.69565212726593, 3.26086950302124, 
                        1.19565212726593, 1.45652174949646, 1.43478262424469, 1.52173912525177, 
                        2.04347825050354, 2.13043475151062, 1.63043475151062, 3.39130425453186, 
                        1.54347825050354, 1.76086962223053, 3.08695650100708, 2.39130425453186, 
                        1.63043475151062, 2.23913049697876, 4.17000007629395, 1.7173912525177, 
                        2.17391300201416, 1.23913037776947, 2.2826087474823, 2.47826075553894, 
                        1, 1.30434787273407, 2.5, 1.30434787273407, 1.2173912525177, 
                        1.45652174949646, 1, 1.26086962223053, 2.69565224647522, 
                        1.47826087474823, 2.4347825050354, 1.56521737575531, 2.10869574546814, 
                        2.10869574546814, 1.36956524848938, 2.7826087474823, 1.84782612323761, 
                        3.17391300201416, 3.2173912525177, 4.17000007629395, 1.23913037776947, 
                        1.39130437374115, 1.58695650100708, 2.17391300201416, 2.2826087474823, 
                        2.89130425453186, 1.43478262424469, 2.30434775352478, 2.73913049697876, 
                        1.86956524848938, 1.63043475151062, 2.41304349899292, 2.52173924446106, 
                        1.02173912525177, 2.23913049697876, 2.84782600402832, 2.02173924446106, 
                        2.36956524848938, 1.93478262424469, 4.17000007629395, 4.17000007629395, 
                        1.41304349899292, 1.2173912525177, 1.36956524848938, 2.47826075553894, 
                        2.10869574546814, 2.4347825050354, 1.13043475151062, 2, 1.41304349899292, 
                        2.47826075553894, 4.17000007629395, 2.76086950302124, 3.10869574546814, 
                        2.04347825050354, 3.08695650100708, 2.86956524848938, 2.2826087474823, 
                        3.26086950302124, 2.5, 1.15217387676239, 1.67391300201416, 
                        2.67391300201416, 2.58695650100708, 1.10869562625885, 4.17000007629395, 
                        1, 1.39130437374115, 1.2826087474823, 1, 1.43478262424469, 
                        1.23913037776947, 1.34782612323761, 1.13043475151062, 1.65217387676239, 
                        1, 1.39130437374115, 2, 1.52173912525177, 1.2173912525177, 
                        1.2173912525177, 1.02173912525177, 1.73913037776947, 2.34782600402832, 
                        1.52173912525177, 1, 3.58695650100708, 3.10869574546814, 
                        2.4347825050354, 1, 1.84782612323761, 4.17000007629395, 1.2826087474823, 
                        1.32608699798584, 3.13043475151062, 1.39130437374115, 1.73913037776947, 
                        2.15217399597168, 1.58695650100708, 1.32608699798584, 2.7826087474823, 
                        2.91304349899292, 1, 3.19565224647522, 1.39130437374115, 
                        1.60869562625885, 2.4347825050354, 3.65217399597168, 1.7173912525177, 
                        2.97826075553894, 2.45652174949646, 2.0652174949646, 1.76086962223053, 
                        1, 2.45652174949646, 2.23913049697876, 1.93478262424469, 
                        1.45652174949646, 3.30434775352478, 1.84782612323761, 2.19565224647522, 
                        3.54347825050354, 3.02173924446106, 4.08695650100708, 1.56521737575531, 
                        1, 1.45652174949646, 1.56521737575531, 1, 1, 1.86956524848938, 
                        1.17391300201416, 1.7173912525177, 1.76086962223053, 1.43478262424469, 
                        1.34782612323761, 1.41304349899292, 1.63043475151062, 2.36956524848938, 
                        3.23913049697876, 3.9347825050354, 4.17000007629395, 2.52173924446106, 
                        2.19565224647522, 3.2826087474823, 1.2173912525177, 1.47826087474823, 
                        2.69565224647522, 4.17000007629395, 1.15217387676239, 1.08695650100708, 
                        2.52173924446106, 2.69565224647522, 1.39130437374115, 2.41304349899292, 
                        1.52173912525177, 2, 1, 1.41304349899292, 1, 2.47826075553894, 
                        1.7173912525177, 4.17000007629395, 1.89130437374115, 1.41304349899292, 
                        2.02173924446106, 1.65217387676239, 1.43478262424469, 2.19565224647522, 
                        1.7826087474823, 1.73913037776947, 1.36956524848938, 1.67391300201416, 
                        3.7173912525177, 2.7826087474823, 1, 1.47826087474823, 1.89130437374115, 
                        2.0652174949646, 1.41304349899292, 1.08695650100708, 2.10869574546814, 
                        3.34782600402832, 1.89130437374115, 1.43478262424469, 1, 
                        2.52173924446106, 3, 2.91304349899292, 2.5, 4.02173900604248, 
                        1.17391300201416, 2.47826075553894, 1, 1.47826087474823, 
                        2.39130425453186, 1.60869562625885, 1.84782612323761, 1.63043475151062, 
                        1.56521737575531, 2.34782600402832, 3.7826087474823, 1.80434787273407, 
                        1, 1.06521737575531, 1, 1.93478262424469, 1.89130437374115, 
                        1.23913037776947, 2.34782600402832, 2.4347825050354, 4.17000007629395, 
                        1.04347825050354, 2.41304349899292, 1.41304349899292, 1.91304349899292, 
                        2.15217399597168, 1.36956524848938, 1.84782612323761, 1, 
                        2.23913049697876, 1.7173912525177, 1.60869562625885, 1.63043475151062, 
                        2.95652174949646, 2.80434775352478, 1.65217387676239, 1.7826087474823, 
                        2, 2.5, 4.17000007629395, 1.54347825050354, 1.26086962223053, 
                        1.41304349899292, 1.7173912525177, 2.19565224647522, 2.13043475151062, 
                        2.34782600402832, 4.17000007629395, 1.41304349899292, 1.23913037776947, 
                        1.06521737575531, 1, 1.41304349899292, 2.45652174949646, 
                        2.52173924446106, 1.34782612323761, 2.19565224647522, 1.47826087474823, 
                        1.7826087474823, 1.56521737575531, 4.17000007629395, 1.65217387676239, 
                        4.08695650100708, 2.4347825050354, 1.76086962223053, 1.45652174949646, 
                        1.86956524848938, 1.58695650100708, 3.0652174949646, 2.73913049697876, 
                        4.17000007629395, 3.10869574546814, 2.0652174949646, 1.26086962223053, 
                        1.2826087474823, 1.23913037776947, 1.7826087474823, 1.7173912525177, 
                        1.15217387676239, 1.39130437374115, 2.45652174949646, 2.02173924446106, 
                        2.04347825050354, 2.80434775352478, 2.82608699798584, 1.80434787273407, 
                        2.5, 4.17000007629395, 4.15217399597168, 1.30434787273407, 
                        1.86956524848938, 3.0652174949646, 1.86956524848938, 2.80434775352478, 
                        3.04347825050354, 3.58695650100708, 1.80434787273407, 2.2173912525177, 
                        1.58695650100708, 1.60869562625885, 1.08695650100708, 3.89130425453186, 
                        3.58695650100708, 1.30434787273407, 1.97826087474823, 1.23913037776947, 
                        1.97826087474823, 2.2173912525177, 1.19565212726593, 3.69565224647522, 
                        3.34782600402832, 1.15217387676239, 1, 1.60869562625885, 
                        1.17391300201416, 2.67391300201416, 2.67391300201416, 1.13043475151062, 
                        4.15217399597168, 3.0652174949646, 1.84782612323761, 2.17391300201416, 
                        1.7173912525177, 2.5652174949646, 3.36956524848938, 1.23913037776947, 
                        1.93478262424469, 1.36956524848938, 2.65217399597168, 1.23913037776947, 
                        2.02173924446106, 1.32608699798584, 1, 1.82608699798584, 
                        1.60869562625885, 1.93478262424469, 1.23913037776947, 2.30434775352478, 
                        2.39130425453186, 3.30434775352478, 3.2826087474823, 2.41304349899292, 
                        1.95652174949646, 3.0652174949646, 2.45652174949646, 1.65217387676239, 
                        1.2826087474823, 1.04347825050354, 3.13043475151062, 4.17000007629395, 
                        2.02173924446106, 1.73913037776947, 1.26086962223053, 1.32608699798584, 
                        1.26086962223053, 1.58695650100708, 1, 4.17000007629395, 
                        2.58695650100708, 1.43478262424469, 1.76086962223053, 2.41304349899292, 
                        1.58695650100708, 4.17000007629395, 2.69565224647522, 1.69565212726593, 
                        3.95652174949646, 2.80434775352478, 1.41304349899292, 3.08695650100708, 
                        2.73913049697876, 3.65217399597168, 1.47826087474823, 2.15217399597168, 
                        3.17391300201416, 2.0652174949646, 4.17000007629395, 2.67391300201416, 
                        1.54347825050354, 2.60869574546814, 2.19565224647522, 2.04347825050354, 
                        2.65217399597168, 1.65217387676239, 4.17000007629395, 3.89130425453186, 
                        3, 1.36956524848938, 1.65217387676239, 4.0652174949646, 3.0652174949646, 
                        1.7826087474823, 2.84782600402832, 1.34782612323761, 3.5, 
                        4.17000007629395, 4.17000007629395, 2.5652174949646, 3.7173912525177, 
                        1, 1.36956524848938, 2.5, 3.76086950302124, 1.84782612323761, 
                        2.2826087474823, 1.36956524848938, 1.17391300201416, 1.2173912525177, 
                        1.39130437374115, 2.19565224647522, 2.2173912525177, 1.13043475151062, 
                        2.34782600402832, 1.82608699798584, 2.67391300201416, 3.63043475151062, 
                        4.17000007629395, 1.47826087474823, 2.80434775352478, 4.17000007629395, 
                        2.69565224647522, 3.39130425453186, 2.5, 2.19565224647522, 
                        2.47826075553894, 2.13043475151062, 1.80434787273407, 1.2826087474823, 
                        1.26086962223053, 1.39130437374115, 2.02173924446106, 2, 
                        4.15217399597168, 1.82608699798584, 1.93478262424469, 1.36956524848938, 
                        3.15217399597168, 3.30434775352478, 2.32608699798584, 1, 
                        2.2173912525177, 1.36956524848938, 3, 4.02173900604248, 3.67391300201416, 
                        2.5, 2.23913049697876, 1.36956524848938, 1.76086962223053, 
                        1.67391300201416, 3.4347825050354, 1.34782612323761, 1.2173912525177, 
                        1.26086962223053, 1.86956524848938, 1.36956524848938, 1.13043475151062, 
                        2.47826075553894, 1.06521737575531, 1, 1.34782612323761, 
                        1, 2.67391300201416, 1.63043475151062, 2.7826087474823, 1.56521737575531, 
                        2.5652174949646, 2.41304349899292, 3.7826087474823, 4.17000007629395, 
                        2.10869574546814, 2.23913049697876, 4.17000007629395, 2.69565224647522, 
                        1.06521737575531, 1.2826087474823, 4.17000007629395, 2.69565224647522, 
                        2.76086950302124, 1.23913037776947, 1, 1.43478262424469, 
                        1.52173912525177, 1, 1.86956524848938, 2.95652174949646, 
                        1.60869562625885, 1.65217387676239, 1.2826087474823, 1.26086962223053, 
                        1.80434787273407, 2.82608699798584, 1.30434787273407, 1.76086962223053, 
                        1.43478262424469, 3.36956524848938, 2.17391300201416, 2.0652174949646, 
                        2.82608699798584, 1.86956524848938, 2.17391300201416, 2.89130425453186, 
                        1.41304349899292, 2.26086950302124, 1.47826087474823, 1.06521737575531, 
                        3.08695650100708, 1.30434787273407, 1.93478262424469, 1, 
                        4.17000007629395, 1.2826087474823, 1, 2.2173912525177, 2.4347825050354, 
                        2.04347825050354, 1.69565212726593, 2.23913049697876, 2.52173924446106, 
                        3.41304349899292, 3, 1.5, 3.41304349899292, 2.13043475151062, 
                        2.13043475151062, 3.2173912525177, 4.17000007629395, 2.19565224647522, 
                        1.13043475151062, 1.10869562625885, 1.43478262424469, 1.17391300201416, 
                        3.19565224647522, 1.65217387676239, 1, 2.65217399597168, 
                        1.26086962223053, 3.10869574546814, 1.86956524848938, 1.86956524848938, 
                        1, 1.2173912525177, 2.19565224647522, 1, 3.15217399597168, 
                        1.95652174949646, 3.2826087474823, 4.17000007629395, 1.80434787273407, 
                        1.45652174949646, 2.47826075553894, 1.08695650100708, 2.26086950302124, 
                        1.08695650100708, 1.34782612323761, 2.10869574546814, 1.89130437374115, 
                        2.63043475151062, 1.69565212726593, 1.80434787273407, 1.30434787273407, 
                        3.52173924446106, 1.80434787273407, 1.95652174949646, 1.86956524848938, 
                        1.80434787273407, 4.17000007629395, 1.76086962223053, 3.10869574546814, 
                        1.93478262424469, 1.47826087474823, 1.17391300201416, 2, 
                        1.36956524848938, 1.63043475151062, 1, 2.2173912525177, 2.76086950302124, 
                        2.47826075553894, 1.56521737575531, 1.7173912525177, 3.0652174949646, 
                        2.0652174949646, 2.91304349899292, 1.2826087474823, 4.17000007629395, 
                        1.56521737575531, 2.02173924446106, 2.73913049697876, 1.58695650100708, 
                        1.65217387676239, 2.34782600402832, 1.89130437374115, 1.36956524848938, 
                        1.30434787273407, 1.97826087474823, 2.02173924446106, 2.5, 
                        3.0652174949646, 1.65217387676239, 4.17000007629395, 1, 1.45652174949646, 
                        1.52173912525177, 2.02173924446106, 1.60869562625885, 1, 
                        2.45652174949646, 1.7826087474823, 1.76086962223053, 1.2826087474823, 
                        1.23913037776947, 1.63043475151062, 1.82608699798584, 2.10869574546814, 
                        4.17000007629395, 1.23913037776947, 1, 1.52173912525177, 
                        1.97826087474823, 2.5, 1.89130437374115, 3.2173912525177, 
                        2.13043475151062, 1.5, 2.45652174949646, 1.45652174949646, 
                        2.45652174949646, 2.2173912525177, 2.2173912525177, 2.5, 
                        3.19565224647522, 1.89130437374115, 2.2826087474823, 1.26086962223053, 
                        1.69565212726593, 3.10869574546814, 4.17000007629395, 2.4347825050354, 
                        1.45652174949646, 2.80434775352478, 1.93478262424469, 1.45652174949646, 
                        1.23913037776947, 2.54347825050354, 1.56521737575531, 1, 
                        1.34782612323761, 4.17000007629395, 1.15217387676239, 2.47826075553894, 
                        3.34782600402832, 1, 2.82608699798584, 1.13043475151062, 
                        2.36956524848938, 2.60869574546814, 3.54347825050354, 2.54347825050354, 
                        1.84782612323761, 1.15217387676239, 1.23913037776947, 2.02173924446106, 
                        3.89130425453186, 1.08695650100708, 1.97826087474823, 2.0652174949646, 
                        1.41304349899292, 1.56521737575531, 1.82608699798584, 1.54347825050354, 
                        1.80434787273407, 2.32608699798584, 3.65217399597168, 1.63043475151062, 
                        1.7826087474823, 2.84782600402832, 1.36956524848938, 2.04347825050354, 
                        1.10869562625885, 1.45652174949646, 3.32608699798584, 1.08695650100708, 
                        2.84782600402832, 4.17000007629395, 2.7826087474823, 1.2826087474823, 
                        3.19565224647522, 2.41304349899292, 3.19565224647522, 2.89130425453186, 
                        1.60869562625885, 1.67391300201416, 1.45652174949646, 3.23913049697876, 
                        4.17000007629395, 2.52173924446106, 1.06521737575531, 2.2173912525177, 
                        1.82608699798584, 1.56521737575531, 1.97826087474823, 1, 
                        2.73913049697876, 1.80434787273407, 1.23913037776947, 1.60869562625885, 
                        2.4347825050354, 1.56521737575531, 1.41304349899292, 1.65217387676239, 
                        1.97826087474823, 4.17000007629395, 1.04347825050354, 1.58695650100708, 
                        2.41304349899292, 1.60869562625885, 1.45652174949646, 1.86956524848938, 
                        1.23913037776947, 1.60869562625885, 2.69565224647522, 2.73913049697876, 
                        3.08695650100708, 1.17391300201416, 2.5652174949646, 4.17000007629395, 
                        1.91304349899292, 3.97826075553894, 1.86956524848938, 1.47826087474823, 
                        1, 1.56521737575531, 1.67391300201416, 1.65217387676239, 
                        1, 4.17000007629395, 1.56521737575531, 1.45652174949646, 
                        3.39130425453186, 2.2173912525177, 2.39130425453186, 2.73913049697876, 
                        2, 1.60869562625885, 3.23913049697876, 1.76086962223053, 
                        3.10869574546814, 1, 1.63043475151062, 1.26086962223053, 
                        2.84782600402832, 1.7173912525177, 1, 1.89130437374115, 1, 
                        3.02173924446106, 1.04347825050354, 1.73913037776947, 1.80434787273407, 
                        1, 2.13043475151062, 3.23913049697876, 3.60869574546814, 
                        1.58695650100708, 1.39130437374115, 1.84782612323761, 1.76086962223053, 
                        2.0652174949646, 1, 2.91304349899292, 4.17000007629395, 1.91304349899292, 
                        2.7826087474823, 3.7173912525177, 2.9347825050354, 3.58695650100708, 
                        1.80434787273407, 2.02173924446106, 1.47826087474823, 1.65217387676239, 
                        1.32608699798584, 1, 1.23913037776947, 1.43478262424469, 
                        1, 1.93478262424469, 2.10869574546814, 2.19565224647522, 
                        2.26086950302124, 1.89130437374115, 2.47826075553894, 1.58695650100708, 
                        3.4347825050354, 2.82608699798584, 1.39130437374115, 2.47826075553894, 
                        1.54347825050354, 3.17391300201416, 1.23913037776947, 1, 
                        1.63043475151062, 1.43478262424469, 2.34782600402832, 4.17000007629395, 
                        3.47826075553894, 1, 1, 2.13043475151062, 1.47826087474823, 
                        1.02173912525177, 1, 2.4347825050354, 1.26086962223053, 1, 
                        1, 1.45652174949646, 1.43478262424469, 1.23913037776947, 
                        1.19565212726593, 4.17000007629395, 3.84782600402832, 1.58695650100708, 
                        1.15217387676239, 1.93478262424469, 1.17391300201416, 1.41304349899292, 
                        2.97826075553894, 1.65217387676239, 2.0652174949646, 2.63043475151062, 
                        2.2826087474823, 1.84782612323761, 2.45652174949646, 1.7173912525177, 
                        1.19565212726593, 1.80434787273407, 1.91304349899292, 2.91304349899292, 
                        1.39130437374115, 4.17000007629395, 1.89130437374115, 1.23913037776947, 
                        2.4347825050354, 1.84782612323761, 1.45652174949646, 1.97826087474823, 
                        1.43478262424469, 1.60869562625885, 2.02173924446106, 2.34782600402832, 
                        1.26086962223053, 2.17391300201416, 1.2173912525177, 1.93478262424469, 
                        1, 1.76086962223053, 1.2173912525177, 2.2173912525177, 2.2826087474823, 
                        1.08695650100708, 2.4347825050354, 2.08695650100708, 4.17000007629395, 
                        4.17000007629395, 2.2173912525177, 1.08695650100708, 2.2826087474823, 
                        1.65217387676239, 1.58695650100708, 1.15217387676239, 1.52173912525177, 
                        3.17391300201416, 2.65217399597168, 1.76086962223053, 3.10869574546814, 
                        1.15217387676239, 1.63043475151062, 2.45652174949646, 1.2826087474823, 
                        1.2173912525177, 1.7173912525177, 2.52173924446106, 2.4347825050354, 
                        1.39130437374115, 2.4347825050354, 3.58695650100708, 1.32608699798584, 
                        1, 1.32608699798584, 1.39130437374115, 1.76086962223053, 
                        2.36956524848938, 1.06521737575531, 1, 1.69565212726593, 
                        1.65217387676239, 1.2826087474823, 1, 3.58695650100708, 2.58695650100708, 
                        2.5, 2.84782600402832, 1.26086962223053, 1, 1.32608699798584, 
                        1.26086962223053, 1.60869562625885, 1.65217387676239, 1, 
                        1.63043475151062, 1.15217387676239, 2.15217399597168, 3.0652174949646, 
                        4.02173900604248, 1.2173912525177, 2.58695650100708, 1, 1.76086962223053, 
                        1.47826087474823, 1.15217387676239, 2.13043475151062, 2.5652174949646, 
                        2.34782600402832, 1.26086962223053, 3.2826087474823, 3.52173924446106, 
                        1.13043475151062, 2.58695650100708, 2.4347825050354, 1.67391300201416, 
                        1.45652174949646, 2.63043475151062, 2, 2.34782600402832, 
                        4.17000007629395, 1.86956524848938, 4.17000007629395, 1.58695650100708, 
                        1.7173912525177, 1.60869562625885, 1.76086962223053, 2.08695650100708, 
                        1.86956524848938, 1.54347825050354, 1.86956524848938, 1.76086962223053, 
                        1.04347825050354, 1.41304349899292, 2.0652174949646, 2.47826075553894, 
                        1.47826087474823, 2.80434775352478, 1.36956524848938, 4.17000007629395, 
                        2.36956524848938, 2.0652174949646, 1.43478262424469, 2.65217399597168, 
                        1.76086962223053, 3.08695650100708, 4.17000007629395, 2.5, 
                        1.80434787273407, 1.76086962223053, 1.30434787273407, 2.58695650100708, 
                        2.4347825050354, 1.43478262424469, 1.58695650100708, 1.82608699798584, 
                        2.26086950302124, 1.34782612323761, 1.56521737575531, 1.65217387676239, 
                        1.93478262424469, 1.69565212726593, 1.84782612323761, 2.0652174949646, 
                        3.19565224647522, 1.47826087474823, 1.84782612323761, 2.04347825050354, 
                        3.04347825050354, 1.89130437374115, 1.45652174949646, 1.36956524848938, 
                        1.52173912525177, 1.76086962223053, 2.7826087474823, 1.26086962223053, 
                        2.41304349899292, 2.5652174949646, 3.26086950302124, 1.7173912525177, 
                        2.73913049697876, 1, 1.39130437374115, 3.86956524848938, 
                        3.08695650100708, 2.13043475151062, 1.30434787273407, 1.08695650100708, 
                        1.7826087474823, 2.19565224647522, 2.45652174949646, 1.84782612323761, 
                        1.45652174949646, 1.13043475151062, 1.7173912525177, 2.23913049697876, 
                        1.39130437374115, 2.2173912525177, 1.43478262424469, 1, 1.60869562625885, 
                        3.84782600402832, 1.54347825050354, 1.2173912525177, 1.2173912525177, 
                        3.10869574546814, 1.26086962223053, 1.84782612323761, 4.17000007629395, 
                        1.73913037776947, 2.67391300201416, 3.10869574546814, 1.15217387676239, 
                        1.32608699798584, 1.39130437374115, 1.69565212726593, 2.15217399597168, 
                        1.15217387676239, 1.23913037776947, 1.39130437374115, 2.32608699798584, 
                        2.47826075553894, 4.17000007629395, 1.7173912525177, 1, 2.19565224647522, 
                        1.56521737575531, 2.69565224647522, 3.13043475151062, 1.76086962223053, 
                        2.5, 1.86956524848938, 2.63043475151062, 1.04347825050354, 
                        1.82608699798584, 1.08695650100708, 2.17391300201416, 1, 
                        3.7173912525177, 2.30434775352478, 2.84782600402832, 3.58695650100708, 
                        1.7173912525177, 1.43478262424469, 2.17391300201416, 4.17000007629395, 
                        1.23913037776947, 1.58695650100708, 1.54347825050354, 1.95652174949646, 
                        2.30434775352478, 1.43478262424469, 1.41304349899292, 2.86956524848938, 
                        1.93478262424469, 1.86956524848938, 2.34782600402832, 1.54347825050354, 
                        2.17391300201416, 4.17000007629395, 2.34782600402832, 1.60869562625885, 
                        1.56521737575531, 3.10869574546814, 3.9347825050354, 1, 2.08695650100708, 
                        1.73913037776947, 1.65217387676239, 1, 1.63043475151062, 
                        1.54347825050354, 4.17000007629395, 1.63043475151062, 1, 
                        2.73913049697876, 1.97826087474823, 1, 2.5652174949646, 1.2826087474823, 
                        2.91304349899292, 2.97826075553894, 2.47826075553894, 1.39130437374115, 
                        2.04347825050354, 1, 3.17391300201416, 1.93478262424469, 
                        2.08695650100708, 2.5, 1.86956524848938, 1.47826087474823, 
                        1.97826087474823, 2.54347825050354, 3.65217399597168, 1.97826087474823, 
                        1.43478262424469, 4.17000007629395, 3.2173912525177, 2.60869574546814, 
                        1.7173912525177, 1, 2.84782600402832, 2.7826087474823, 2.69565224647522, 
                        1.32608699798584, 2.4347825050354, 2.58695650100708, 1.5, 
                        1.47826087474823, 3.30434775352478, 1.15217387676239, 1.60869562625885, 
                        1.84782612323761, 1.10869562625885, 2.2173912525177, 1.17391300201416, 
                        1.67391300201416, 4.17000007629395, 1.56521737575531, 1.47826087474823, 
                        2.47826075553894, 2.5652174949646, 1.30434787273407, 1.69565212726593, 
                        2.39130425453186, 3.5, 2.26086950302124, 1, 2.30434775352478, 
                        2.02173924446106, 1.45652174949646, 1.82608699798584, 2.30434775352478, 
                        1.13043475151062, 2.97826075553894, 1.26086962223053, 1.58695650100708, 
                        3.67391300201416, 2.5652174949646, 1.39130437374115, 4.17000007629395, 
                        3.2826087474823, 2.32608699798584, 1, 1.23913037776947, 1.19565212726593, 
                        2.30434775352478, 4.17000007629395, 1.93478262424469, 2.82608699798584, 
                        2.52173924446106, 3.41304349899292, 1.60869562625885, 3.0652174949646, 
                        2.4347825050354, 1.95652174949646, 1.73913037776947, 1.69565212726593, 
                        1.47826087474823, 1.47826087474823, 1, 2.58695650100708, 
                        2.91304349899292, 4.08695650100708, 1.89130437374115, 1.60869562625885, 
                        2.10869574546814, 1.17391300201416, 1.89130437374115, 3.15217399597168, 
                        1.86956524848938, 2.2173912525177, 1.15217387676239, 2.7173912525177, 
                        2.7826087474823, 1.36956524848938, 2.76086950302124, 4.0652174949646, 
                        1.56521737575531, 2.02173924446106, 1.97826087474823, 3.17391300201416, 
                        1.2173912525177, 4.17000007629395, 2.39130425453186, 2.67391300201416, 
                        2.73913049697876, 3.4347825050354, 2.65217399597168, 1.89130437374115, 
                        2.2173912525177, 1.08695650100708, 1, 1.80434787273407, 1.41304349899292, 
                        1.60869562625885, 1.65217387676239, 1.73913037776947, 2.30434775352478, 
                        1.80434787273407, 4.17000007629395, 1.56521737575531, 4.1304349899292, 
                        1.65217387676239, 2.39130425453186, 2.4347825050354, 2.02173924446106, 
                        1.65217387676239, 2.91304349899292, 3.5, 1.43478262424469, 
                        1.7826087474823, 1, 4.1304349899292, 3.5, 1.95652174949646, 
                        3.63043475151062, 1.43478262424469, 2.23913049697876, 2.76086950302124, 
                        4.17000007629395, 2.04347825050354, 1.63043475151062, 1.43478262424469, 
                        2.34782600402832, 2.47826075553894, 1, 2.2173912525177, 2.34782600402832, 
                        1.30434787273407, 4.08695650100708, 1.67391300201416, 3.41304349899292, 
                        1, 2.2826087474823, 4.17000007629395, 1, 4.17000007629395, 
                        2.73913049697876, 1.43478262424469, 1.84782612323761, 2.23913049697876, 
                        1.2826087474823, 1.58695650100708, 1.2173912525177, 1.7826087474823, 
                        2.36956524848938, 1.36956524848938, 3.08695650100708, 1.7173912525177, 
                        3.65217399597168, 4.17000007629395, 3.69565224647522, 4.17000007629395, 
                        2.54347825050354, 2.32608699798584, 2.63043475151062, 1.80434787273407, 
                        1.69565212726593, 1.82608699798584, 1, 2.30434775352478, 
                        1.47826087474823, 1.56521737575531, 2.2826087474823, 1.76086962223053, 
                        2.39130425453186, 4.17000007629395, 2.39130425453186, 1.17391300201416, 
                        4.1304349899292, 4.08695650100708, 2.60869574546814, 1.2826087474823, 
                        1.76086962223053, 1.86956524848938, 2.39130425453186, 3.5, 
                        2, 1.39130437374115, 1.26086962223053, 1.73913037776947, 
                        2.02173924446106, 1.7173912525177, 1.63043475151062, 1.19565212726593, 
                        1.84782612323761, 1, 1.91304349899292, 1.97826087474823, 
                        2.45652174949646, 1.69565212726593, 2, 1.82608699798584, 
                        1.5, 2.08695650100708, 1.95652174949646, 3.08695650100708, 
                        2.7826087474823, 1.76086962223053, 1.5, 2.39130425453186, 
                        2.82608699798584, 3.39130425453186, 2.39130425453186, 3.91304349899292, 
                        2.7173912525177, 3.2173912525177, 3.15217399597168, 1.36956524848938, 
                        2.08695650100708, 1.19565212726593, 1.63043475151062, 3.86956524848938, 
                        2.65217399597168, 1.23913037776947, 1, 1.41304349899292, 
                        1.47826087474823, 1.06521737575531, 1.58695650100708, 1.23913037776947, 
                        1.80434787273407, 1.10869562625885, 2.69565224647522, 2.5652174949646, 
                        1.80434787273407, 1.47826087474823, 1, 2.39130425453186, 
                        1.7173912525177, 3.02173924446106, 1.60869562625885, 1.97826087474823, 
                        1.80434787273407, 2.54347825050354, 1.15217387676239, 1.15217387676239, 
                        1.7173912525177, 2.82608699798584, 1.52173912525177, 2.67391300201416, 
                        1.30434787273407, 2.2173912525177, 1.41304349899292, 2.02173924446106, 
                        1.65217387676239, 1.26086962223053, 1.91304349899292, 3.13043475151062, 
                        1.7826087474823, 1.30434787273407, 1.15217387676239, 2.23913049697876, 
                        1.52173912525177, 1.82608699798584, 1.52173912525177, 2.7826087474823, 
                        1.19565212726593, 2.82608699798584, 2.04347825050354, 2.58695650100708, 
                        1.95652174949646, 3.45652174949646, 1.91304349899292, 1.52173912525177, 
                        2.02173924446106, 1.80434787273407, 2.80434775352478, 1.93478262424469, 
                        1.13043475151062, 1.47826087474823, 1.39130437374115, 2.15217399597168, 
                        3.10869574546814, 2.26086950302124, 1.36956524848938, 1.69565212726593, 
                        2.26086950302124, 2.41304349899292, 4.17000007629395, 3.95652174949646, 
                        1.69565212726593, 1.06521737575531, 2.86956524848938, 1.93478262424469, 
                        2.23913049697876, 1.86956524848938, 4.17000007629395, 4.08695650100708, 
                        1.69565212726593, 2.67391300201416, 2.17391300201416, 4.17000007629395, 
                        2.0652174949646, 1.43478262424469, 1.13043475151062, 1.65217387676239, 
                        1.7826087474823, 1.93478262424469, 1.93478262424469, 2.04347825050354, 
                        1.2826087474823, 1.13043475151062, 3.2173912525177, 2.60869574546814, 
                        2.41304349899292, 2.2826087474823, 1.76086962223053, 1.32608699798584, 
                        1.5, 1.41304349899292, 1.54347825050354, 3.02173924446106, 
                        2.76086950302124, 1.7173912525177)), .Names = c("yes.of.all", 
                  "state", "age", "edu", "weight"), row.names = c("2013", "2014", 
                  "2015", "2016", "2017", "2018", "2019", "2020", "2021", "2022", 
                  "2023", "2024", "2025", "2026", "2027", "2028", "2029", "2030", 
                  "2032", "2033", "2034", "2035", "2036", "2038", "2039", "2040", 
                  "2041", "2043", "2044", "2045", "2046", "2047", "2048", "2049", 
                  "2050", "2051", "2052", "2053", "2054", "2055", "2056", "2057", 
                  "2058", "2059", "2060", "2062", "2063", "2064", "2065", "2066", 
                  "2067", "2068", "2069", "2070", "2071", "2072", "2073", "2074", 
                  "2075", "2076", "2077", "2078", "2079", "2080", "2081", "2082", 
                  "2083", "2084", "2085", "2086", "2087", "2088", "2089", "2090", 
                  "2091", "2092", "2093", "2094", "2095", "2096", "2097", "2098", 
                  "2099", "2100", "2101", "2102", "2103", "2104", "2105", "2106", 
                  "2107", "2108", "2109", "2110", "2111", "2112", "2113", "2114", 
                  "2115", "2116", "2117", "2118", "2119", "2120", "2121", "2122", 
                  "2123", "2124", "2125", "2126", "2127", "2128", "2129", "2130", 
                  "2131", "2132", "2133", "2134", "2135", "2136", "2137", "2138", 
                  "2139", "2140", "2141", "2142", "2143", "2144", "2145", "2146", 
                  "2147", "2148", "2149", "2150", "2151", "2152", "2153", "2154", 
                  "2155", "2156", "2157", "2158", "2159", "2160", "2161", "2162", 
                  "2163", "2164", "2165", "2166", "2167", "2168", "2169", "2170", 
                  "2171", "2172", "2173", "2174", "2175", "2177", "2178", "2179", 
                  "2180", "2181", "2182", "2183", "2184", "2185", "2186", "2187", 
                  "2188", "2189", "2190", "2191", "2192", "2193", "2194", "2195", 
                  "2196", "2197", "2198", "2199", "2200", "2201", "2202", "2203", 
                  "2204", "2205", "2206", "2207", "2208", "2210", "2211", "2212", 
                  "2213", "2214", "2215", "2216", "2217", "2218", "2219", "2220", 
                  "2221", "2222", "2223", "2224", "2225", "2226", "2227", "2228", 
                  "2229", "2230", "2231", "2232", "2233", "2234", "2235", "2237", 
                  "2238", "2239", "2240", "2242", "2243", "2244", "2245", "2246", 
                  "2247", "2249", "2250", "2251", "2252", "2253", "2254", "2255", 
                  "2256", "2257", "2258", "2259", "2260", "2261", "2262", "2263", 
                  "2264", "2265", "2266", "2267", "2268", "2269", "2270", "2271", 
                  "2272", "2273", "2274", "2275", "2276", "2277", "2278", "2279", 
                  "2280", "2281", "2282", "2283", "2284", "2285", "2286", "2287", 
                  "2288", "2289", "2290", "2291", "2292", "2293", "2294", "2295", 
                  "2296", "2297", "2298", "2299", "2300", "2301", "2302", "2303", 
                  "2304", "2305", "2306", "2307", "2308", "2309", "2310", "2311", 
                  "2312", "2313", "2314", "2315", "2316", "2317", "2318", "2319", 
                  "2320", "2321", "2322", "2323", "2324", "2325", "2326", "2327", 
                  "2328", "2329", "2330", "2331", "2332", "2333", "2334", "2335", 
                  "2336", "2337", "2338", "2339", "2340", "2341", "2342", "2343", 
                  "2344", "2345", "2346", "2347", "2348", "2349", "2350", "2351", 
                  "2352", "2353", "2354", "2355", "2356", "2357", "2358", "2359", 
                  "2360", "2361", "2362", "2363", "2365", "2366", "2367", "2368", 
                  "2369", "2370", "2371", "2372", "2373", "2374", "2375", "2376", 
                  "2377", "2378", "2379", "2380", "2381", "2382", "2383", "2384", 
                  "2385", "2386", "2387", "2388", "2389", "2390", "2391", "2392", 
                  "2393", "2394", "2395", "2396", "2397", "2398", "2399", "2400", 
                  "2401", "2402", "2403", "2404", "2405", "2406", "2407", "2408", 
                  "2409", "2410", "2411", "2412", "2413", "2414", "2415", "2416", 
                  "2417", "2418", "2419", "2420", "2421", "2422", "2423", "2424", 
                  "2425", "2426", "2427", "2429", "2430", "2431", "2432", "2433", 
                  "2434", "2435", "2436", "2437", "2438", "2439", "2440", "2441", 
                  "2442", "2443", "2444", "2445", "2446", "2447", "2448", "2449", 
                  "2450", "2451", "2453", "2454", "2455", "2456", "2457", "2458", 
                  "2459", "2460", "2461", "2462", "2463", "2464", "2465", "2466", 
                  "2467", "2468", "2469", "2470", "2471", "2472", "2473", "2474", 
                  "2475", "2476", "2477", "2478", "2479", "2480", "2481", "2482", 
                  "2483", "2484", "2485", "2486", "2487", "2488", "2489", "2490", 
                  "2491", "2492", "2493", "2494", "2495", "2496", "2497", "2498", 
                  "2499", "2500", "2501", "2502", "2503", "2504", "2505", "2506", 
                  "2507", "2508", "2509", "2510", "2511", "2512", "2513", "2514", 
                  "2515", "2516", "2517", "2518", "2519", "2520", "2521", "2522", 
                  "2523", "2524", "2525", "2526", "2527", "2528", "2529", "2530", 
                  "2531", "2532", "2533", "2534", "2535", "2536", "2537", "2538", 
                  "2539", "2540", "2541", "2542", "2543", "2544", "2545", "2547", 
                  "2548", "2549", "2551", "2552", "2554", "2555", "2556", "2557", 
                  "2558", "2559", "2560", "2561", "2562", "2563", "2564", "2565", 
                  "2566", "2567", "2568", "2569", "2570", "2571", "2572", "2573", 
                  "2574", "2575", "2576", "2577", "2578", "2579", "2580", "2581", 
                  "2582", "2583", "2584", "2585", "2586", "2587", "2588", "2589", 
                  "2590", "2591", "2592", "2593", "2594", "2595", "2596", "2597", 
                  "2598", "2599", "2600", "2601", "2602", "2603", "2604", "2605", 
                  "2606", "2607", "2608", "2609", "2610", "2611", "2612", "2613", 
                  "2614", "2615", "2616", "2617", "2618", "2619", "2620", "2621", 
                  "2622", "2623", "2624", "2625", "2626", "2627", "2628", "2629", 
                  "2630", "2631", "2632", "2633", "2634", "2635", "2636", "2637", 
                  "2638", "2639", "2640", "2641", "2642", "2643", "2645", "2646", 
                  "2647", "2648", "2649", "2650", "2651", "2652", "2653", "2654", 
                  "2655", "2656", "2657", "2658", "2659", "2660", "2661", "2662", 
                  "2663", "2664", "2665", "2666", "2667", "2668", "2669", "2670", 
                  "2671", "2672", "2673", "2674", "2675", "2676", "2677", "2678", 
                  "2679", "2680", "2681", "2682", "2683", "2684", "2685", "2686", 
                  "2687", "2688", "2689", "2690", "2691", "2692", "2693", "2694", 
                  "2695", "2696", "2697", "2698", "2699", "2700", "2701", "2702", 
                  "2703", "2704", "2705", "2706", "2707", "2708", "2709", "2710", 
                  "2711", "2712", "2713", "2714", "2715", "2716", "2717", "2718", 
                  "2719", "2720", "2721", "2722", "2723", "2724", "2725", "2726", 
                  "2727", "2728", "2729", "2730", "2731", "2732", "2733", "2734", 
                  "2735", "2736", "2737", "2738", "2739", "2740", "2741", "2742", 
                  "2743", "2744", "2745", "2746", "2747", "2748", "2749", "2750", 
                  "2751", "2752", "2753", "2754", "2755", "2756", "2757", "2758", 
                  "2759", "2760", "2761", "2762", "2763", "2764", "2765", "2766", 
                  "2767", "2768", "2769", "2770", "2771", "2772", "2773", "2774", 
                  "2775", "2776", "2777", "2778", "2779", "2780", "2781", "2782", 
                  "2783", "2784", "2785", "2786", "2787", "2788", "2789", "2790", 
                  "2791", "2793", "2794", "2795", "2796", "2797", "2798", "2799", 
                  "2800", "2801", "2802", "2803", "2804", "2805", "2806", "2807", 
                  "2808", "2809", "2810", "2811", "2813", "2814", "2815", "2816", 
                  "2818", "2819", "2820", "2821", "2822", "2823", "2824", "2825", 
                  "2826", "2827", "2828", "2829", "2830", "2831", "2832", "2833", 
                  "2834", "2835", "2836", "2837", "2838", "2839", "2840", "2841", 
                  "2842", "2843", "2844", "2845", "2846", "2847", "2848", "2849", 
                  "2850", "2851", "2852", "2853", "2854", "2855", "2856", "2857", 
                  "2858", "2859", "2860", "2861", "2863", "2864", "2865", "2866", 
                  "2867", "2868", "2869", "2870", "2871", "2872", "2873", "2874", 
                  "2875", "2876", "2877", "2878", "2879", "2880", "2882", "2883", 
                  "2884", "2885", "2886", "2887", "2888", "2889", "2890", "2891", 
                  "2892", "2893", "2894", "2895", "2896", "2897", "2898", "2899", 
                  "2900", "2901", "2902", "2903", "2904", "2905", "2906", "2907", 
                  "2908", "2909", "2910", "2911", "2912", "2913", "2914", "2915", 
                  "2916", "2918", "2919", "2920", "2921", "2922", "2923", "2924", 
                  "2925", "2926", "2927", "2928", "2929", "2930", "2931", "2933", 
                  "2934", "2935", "2936", "2937", "2938", "2939", "2940", "2941", 
                  "2942", "2943", "2944", "2945", "2946", "2947", "2948", "2949", 
                  "2950", "2951", "2952", "2953", "2954", "2955", "2956", "2957", 
                  "2958", "2959", "2960", "2961", "2962", "2963", "2964", "2965", 
                  "2966", "2967", "2968", "2969", "2970", "2971", "2972", "2973", 
                  "2974", "2975", "2976", "2977", "2978", "2979", "2980", "2981", 
                  "2982", "2983", "2984", "2985", "2986", "2987", "2988", "2989", 
                  "2990", "2991", "2992", "2993", "2994", "2995", "2996", "2997", 
                  "2998", "2999", "3000", "3001", "3002", "3003", "3004", "3005", 
                  "3006", "3007", "3008", "3009", "3010", "3011", "3012", "3013", 
                  "3014", "3015", "3016", "3017", "3018", "3019", "3020", "3022", 
                  "3023", "3024", "3025", "3026", "3027", "3028", "3029", "3030", 
                  "3031", "3032", "3033", "3034", "3035", "3036", "3037", "3038", 
                  "3039", "3041", "3042", "3043", "3044", "3045", "3046", "3047", 
                  "3048", "3049", "3050", "3051", "3052", "3053", "3054", "3055", 
                  "3056", "3057", "3058", "3059", "3060", "3061", "3062", "3063", 
                  "3064", "3065", "3066", "3067", "3068", "3069", "3070", "3071", 
                  "3072", "3073", "3074", "3075", "3076", "3077", "3079", "3080", 
                  "3081", "3082", "3083", "3084", "3085", "3086", "3087", "3088", 
                  "3089", "3090", "3091", "3092", "3093", "3094", "3095", "3096", 
                  "3097", "3098", "3099", "3100", "3101", "3102", "3103", "3104", 
                  "3105", "3106", "3107", "3108", "3109", "3110", "3111", "3112", 
                  "3113", "3114", "3115", "3116", "3117", "3118", "3120", "3121", 
                  "3122", "3123", "3124", "3125", "3126", "3127", "3128", "3129", 
                  "3130", "3131", "3132", "3133", "3134", "3135", "3137", "3138", 
                  "3139", "3140", "3141", "3142", "3143", "3144", "3145", "3146", 
                  "3147", "3148", "3149", "3150", "3151", "3152", "3153", "3154", 
                  "3155", "3156", "3157", "3158", "3159", "3160", "3161", "3162", 
                  "3163", "3164", "3165", "3166", "3167", "3168", "3169", "3170", 
                  "3171", "3172", "3173", "3174", "3175", "3176", "3177", "3178", 
                  "3179", "3180", "3181", "3182", "3183", "3184", "3185", "3186", 
                  "3187", "3188", "3189", "3190", "3191", "3192", "3193", "3194", 
                  "3195", "3196", "3197", "3198", "3199", "3200", "3201", "3202", 
                  "3203", "3204", "3205", "3206", "3207", "3208", "3209", "3210", 
                  "3211", "3212", "3213", "3214", "3215", "3216", "3217", "3218", 
                  "3219", "3220", "3221", "3222", "3223", "3224", "3225", "3226", 
                  "3227", "3228", "3229", "3230", "3231", "3232", "3233", "3234", 
                  "3235", "3236", "3237", "3238", "3239", "3240", "3241", "3242", 
                  "3243", "3244", "3245", "3246", "3247", "3248", "3249", "3250", 
                  "3251", "3252", "3253", "3254", "3255", "3256", "3257", "3258", 
                  "3259", "3260", "3261", "3262", "3263", "3264", "3265", "3266", 
                  "3267", "3268", "3269", "3270", "3271", "3272", "3273", "3274", 
                  "3275", "3276", "3277", "3278", "3279", "3280", "3281", "3282", 
                  "3283", "3284", "3285", "3286", "3287", "3288", "3289", "3290", 
                  "3291", "3292", "3293", "3294", "3295", "3296", "3297", "3298", 
                  "3299", "3300", "3301", "3302", "3303", "3304", "3305", "3306", 
                  "3307", "3308", "3309", "3310", "3311", "3312", "3313", "3314", 
                  "3315", "3316", "3317", "3318", "3319", "3320", "3321", "3322", 
                  "3323", "3324", "3325", "3326", "3327", "3328", "3329", "3330", 
                  "3331", "3332", "3333", "3334", "3335", "3337", "3338", "3339", 
                  "3340", "3341", "3342", "3343", "3344", "3345", "3346", "3347", 
                  "3348", "3349", "3350", "3351", "3352", "3353", "3354", "3355", 
                  "3356", "3357", "3358", "3359", "3360", "3361", "3362", "3363", 
                  "3364", "3365", "3366", "3367", "3368", "3369", "3370", "3371", 
                  "3372", "3373", "3374", "3375", "3376", "3377", "3378", "3379", 
                  "3380", "3381", "3382", "3383", "3384", "3385", "3386", "3387", 
                  "3388", "3389", "3390", "3391", "3392", "3393", "3394", "3395", 
                  "3396", "3397", "3398", "3399", "3400", "3401", "3402", "3403", 
                  "3404", "3405", "3406", "3407", "3408", "3409", "3410", "3411", 
                  "3412", "3413", "3414", "3415", "3416", "3417", "3418", "3419", 
                  "3420", "3421", "3422", "3423", "3424", "3425", "3426", "3427", 
                  "3428", "3429", "3430", "3431", "3432", "3433", "3434", "3435", 
                  "3436", "3437", "3438", "3439", "3440", "3441", "3442", "3443", 
                  "3444", "3445", "3446", "3447", "3448", "3449", "3450", "3451", 
                  "3452", "3453", "3454", "3455", "3456", "3457", "3458", "3459", 
                  "3460", "3461", "3462", "3463", "3464", "3465", "3466", "3467", 
                  "3469", "3471", "3472", "3473", "3474", "3475", "3476", "3477", 
                  "3478", "3479", "3480", "3481", "3482", "3483", "3484", "3485", 
                  "3486", "3487", "3488", "3489", "3491", "3492", "3493", "3494", 
                  "3495", "3496", "3497", "3498", "3499", "3500", "3501", "3502", 
                  "3503", "3504", "3505", "3506", "3507", "3508", "3509", "3510", 
                  "3511", "3512", "3513", "3514", "3515", "3516", "3517", "3518", 
                  "3519", "3520", "3521", "3522", "3523", "3524", "3525", "3526", 
                  "3527", "3528", "3529", "3530", "3531", "3532", "3533", "3534", 
                  "3535", "3536", "3537", "3538", "3539", "3540", "3541", "3542", 
                  "3543", "3544", "3545", "3546", "3547", "3548", "3549", "3550", 
                  "3551", "3552", "3553", "3554", "3555", "3556", "3557", "3558", 
                  "3559", "3560", "3561", "3562", "3563", "3564", "3565", "3566", 
                  "3567", "3568", "3569", "3570", "3571", "3572", "3573", "3574", 
                  "3575", "3576", "3577", "3578", "3579", "3580", "3581", "3582", 
                  "3583", "3584", "3585", "3587", "3588", "3589", "3590", "3591", 
                  "3592", "3593", "3594", "3595", "3596", "3597", "3598", "3599", 
                  "3600", "3601", "3602", "3603", "3604", "3605", "3606", "3607", 
                  "3608", "3609", "3610", "3611", "3612", "3613", "3614", "3615", 
                  "3616", "3617", "3618", "3619", "3620", "3621", "3622", "3623", 
                  "3624", "3625", "3626", "3627", "3628", "3629", "3630", "3631", 
                  "3632", "3633", "3634", "3635", "3636", "3637", "3638", "3639", 
                  "3640", "3641", "3642", "3643", "3644", "3645", "3646", "3647", 
                  "3648", "3649", "3650", "3651", "3652", "3653", "3654", "3655", 
                  "3656", "3657", "3658", "3659", "3661", "3662", "3663", "3664", 
                  "3665", "3666", "3667", "3668", "3669", "3670", "3671", "3672", 
                  "3673", "3674", "3675", "3676", "3677", "3678", "3679", "3680", 
                  "3681", "3682", "3683", "3684", "3685", "3686", "3687", "3688", 
                  "3689", "3690", "3691", "3692", "3693", "3694", "3695", "3697", 
                  "3698", "3699", "3700", "3701", "3702", "3703", "3704", "3705", 
                  "3706", "3707", "3708", "3709", "3710", "3711", "3712", "3713", 
                  "3714", "3715", "3716", "3717", "3718", "3719", "3720", "3721", 
                  "3722", "3723", "3724", "3725", "3726", "3727", "3728", "3729", 
                  "3730", "3731", "3733", "3734", "3735", "3736", "3737", "3738", 
                  "3739", "3740", "3741", "3742", "3743", "3744", "3745", "3746", 
                  "3747", "3748", "3749", "3750", "3751", "3752", "3753", "3754", 
                  "3755", "3756", "3757", "3758", "3759", "3760", "3761", "3762", 
                  "3763", "3764", "3765", "3766", "3767", "3768", "3769", "3770", 
                  "3771", "3772", "3773", "3774", "3775", "3776", "3777", "3778", 
                  "3779", "3780", "3781", "3782", "3783", "3784", "3785", "3786", 
                  "3787", "3788", "3789", "3790", "3791", "3792", "3794", "3795", 
                  "3796", "3797", "3798", "3799", "3800", "3801", "3802", "3803", 
                  "3804", "3805", "3806", "3807", "3808", "3809", "3810", "3811", 
                  "3812", "3813", "3814", "3815", "3816", "3817", "3818", "3819", 
                  "3820", "3821", "3822", "3823", "3824", "3825", "3826", "3827", 
                  "3828", "3829", "3830", "3831", "3832", "3833", "3834", "3835", 
                  "3836", "3837", "3839", "3840", "3841", "3842", "3843", "3844", 
                  "3845", "3846", "3847", "3848", "3849", "3850", "3851", "3852", 
                  "3853", "3854", "3855", "3856", "3857", "3858", "3859", "3860", 
                  "3861", "3862", "3863", "3864", "3865", "3866", "3867", "3868", 
                  "3869", "3870", "3871", "3872", "3873", "3874", "3875", "3876", 
                  "3877", "3878", "3879", "3880", "3881", "3882", "3883", "3884", 
                  "3885", "3886", "3887", "3888", "3889", "3890", "3891", "3892", 
                  "3893", "3894", "3895", "3896", "3897", "3898", "3899", "3900", 
                  "3901", "3902", "3903", "3904", "3905", "3906", "3907", "3908", 
                  "3909", "3910", "3911", "3912", "3913", "3914", "3915", "3917", 
                  "3918", "3919", "3920", "3921", "3922", "3923", "3924", "3925", 
                  "3926", "3927", "3928", "3929", "3930", "3931", "3932", "3933", 
                  "3934", "3935", "3936", "3937", "3938", "3939", "3940", "3941", 
                  "3942", "3943", "3944", "3945", "3946", "3947", "3948", "3949", 
                  "3950", "3951", "3952", "3953", "3954", "3955", "3956", "3957", 
                  "3958", "3959", "3960", "3961", "3962", "3963", "3964", "3965", 
                  "3966", "3967", "3968", "3969", "3970", "3971", "3972", "3973", 
                  "3974", "3975", "3976", "3977", "3978", "3979", "3980", "3981", 
                  "3982", "3983", "3984", "3985", "3986", "3988", "3989", "3990", 
                  "3992", "3993", "3994", "3995", "3996", "3997", "3998", "3999", 
                  "4000", "4001", "4002", "4003", "4004", "4005", "4006", "4007", 
                  "4008", "4009", "4010", "4011", "4012"), class = "data.frame")
}

testPopulation <- function () {
  population <- structure(list(state = structure(c(1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 
5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 5L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 
6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 6L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 
7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 7L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 
8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 8L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 
9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 9L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 10L, 
10L, 10L, 10L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 
11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 11L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 12L, 
12L, 12L, 12L, 12L, 12L, 12L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 13L, 
13L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 
14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 14L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 15L, 
15L, 15L, 15L, 15L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 
16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 16L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 17L, 
17L, 17L, 17L, 17L, 17L, 17L, 17L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 18L, 
18L, 18L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 
19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 19L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 20L, 
20L, 20L, 20L, 20L, 20L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 21L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 
22L, 22L, 22L, 22L, 22L, 22L, 22L, 22L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 23L, 
23L, 23L, 23L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 
24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 24L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 25L, 
25L, 25L, 25L, 25L, 25L, 25L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 26L, 
26L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 
27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 27L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 28L, 
28L, 28L, 28L, 28L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 
29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 29L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 30L, 
30L, 30L, 30L, 30L, 30L, 30L, 30L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 31L, 
31L, 31L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 
32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 32L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 33L, 
33L, 33L, 33L, 33L, 33L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 34L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 
35L, 35L, 35L, 35L, 35L, 35L, 35L, 35L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 36L, 
36L, 36L, 36L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 
37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 37L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 38L, 
38L, 38L, 38L, 38L, 38L, 38L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 39L, 
39L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 
40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 40L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 41L, 
41L, 41L, 41L, 41L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 
42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 42L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 43L, 
43L, 43L, 43L, 43L, 43L, 43L, 43L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 44L, 
44L, 44L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 
45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 45L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 46L, 
46L, 46L, 46L, 46L, 46L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 47L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 
48L, 48L, 48L, 48L, 48L, 48L, 48L, 48L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 49L, 
49L, 49L, 49L), .Label = c("AL", "AZ", "AR", "CA", "CO", "CT", 
"DE", "DC", "FL", "GA", "ID", "IL", "IN", "IA", "KS", "KY", "LA", 
"ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", 
"NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", 
"SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY"), class = "factor"), 
    age = structure(c(1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L, 
    1L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 
    3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 4L, 4L, 4L), .Label = c("18-29", "30-44", "45-64", 
    "65+"), class = "factor"), edu = structure(c(1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 
    1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 
    4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 3L, 3L, 3L, 3L, 4L, 
    4L, 4L, 4L, 4L, 4L, 4L, 4L, 1L, 1L, 1L, 1L, 2L, 2L, 2L, 2L, 
    3L, 3L, 3L, 3L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L), .Label = c("< High School", 
    "High School", "Some College", "Graduated College"), class = "factor"), 
    weighted2008 = c(2026L, 399L, 1763L, 4844L, 1486L, 569L, 
    959L, 5266L, 744L, 779L, 390L, 11119L, 307L, 155L, 0L, 2336L, 
    0L, 55L, 0L, 376L, 2675L, 431L, 2994L, 3207L, 2576L, 383L, 
    3572L, 4216L, 1729L, 1013L, 4140L, 9850L, 133L, 318L, 251L, 
    2585L, 0L, 83L, 0L, 468L, 3616L, 1341L, 1020L, 4672L, 3494L, 
    785L, 941L, 4721L, 1474L, 512L, 353L, 3245L, 187L, 30L, 18L, 
    825L, 135L, 31L, 0L, 153L, 2393L, 1643L, 2569L, 2539L, 3201L, 
    995L, 5033L, 3226L, 3167L, 670L, 4085L, 2811L, 362L, 54L, 
    491L, 836L, 157L, 0L, 74L, 414L, 1047L, 7080L, 362L, 9095L, 
    1592L, 5163L, 523L, 7964L, 653L, 2763L, 146L, 5423L, 163L, 
    653L, 107L, 1786L, 44L, 441L, 27L, 572L, 508L, 6912L, 766L, 
    10498L, 638L, 8317L, 840L, 13729L, 532L, 3230L, 1317L, 7860L, 
    126L, 687L, 112L, 2059L, 8L, 309L, 31L, 728L, 141L, 12552L, 
    95L, 8921L, 0L, 6401L, 0L, 4744L, 25L, 2942L, 22L, 2043L, 
    0L, 689L, 0L, 1033L, 0L, 511L, 0L, 416L, 86L, 10195L, 0L, 
    35226L, 0L, 7276L, 0L, 25889L, 0L, 2316L, 0L, 10152L, 0L, 
    531L, 0L, 2199L, 0L, 294L, 0L, 980L, 2536L, 911L, 3427L, 
    6023L, 5552L, 1980L, 2945L, 7297L, 3468L, 2149L, 1409L, 9718L, 
    521L, 867L, 288L, 3008L, 147L, 149L, 13L, 504L, 3138L, 1019L, 
    2226L, 3537L, 7122L, 1949L, 3621L, 5844L, 4897L, 2897L, 2802L, 
    8830L, 575L, 963L, 584L, 3863L, 139L, 162L, 118L, 872L, 6182L, 
    2263L, 1214L, 4664L, 10244L, 3024L, 2314L, 6892L, 7358L, 
    1173L, 1533L, 5343L, 1409L, 483L, 238L, 2502L, 559L, 72L, 
    155L, 929L, 5268L, 2350L, 1820L, 2609L, 9614L, 3233L, 3176L, 
    4579L, 8934L, 1954L, 5806L, 3837L, 1490L, 178L, 1231L, 1719L, 
    366L, 97L, 558L, 760L, 1799L, 11042L, 375L, 5609L, 3628L, 
    13828L, 804L, 10325L, 2512L, 9908L, 424L, 7962L, 602L, 2150L, 
    107L, 2070L, 373L, 955L, 75L, 606L, 1289L, 10932L, 655L, 
    4214L, 2009L, 22381L, 1197L, 12489L, 1324L, 8918L, 1327L, 
    11874L, 354L, 1828L, 381L, 3103L, 102L, 1412L, 194L, 1686L, 
    40L, 17116L, 128L, 4134L, 56L, 19047L, 14L, 4751L, 13L, 9961L, 
    107L, 2850L, 26L, 3386L, 0L, 1072L, 0L, 1263L, 0L, 369L, 
    0L, 12084L, 218L, 9506L, 0L, 18826L, 120L, 15760L, 27L, 7319L, 
    87L, 8597L, 0L, 2142L, 0L, 3667L, 0L, 722L, 0L, 1960L, 1629L, 
    1081L, 2418L, 7004L, 5487L, 3797L, 5092L, 12768L, 4772L, 
    3944L, 2737L, 14117L, 1122L, 2351L, 206L, 4386L, 564L, 545L, 
    198L, 731L, 1641L, 453L, 1765L, 3406L, 6462L, 2727L, 4401L, 
    8901L, 8664L, 4723L, 3228L, 10171L, 3589L, 3723L, 532L, 4606L, 
    603L, 1026L, 24L, 662L, 7211L, 3144L, 1042L, 3573L, 21038L, 
    6248L, 2623L, 7316L, 22578L, 4981L, 1438L, 8011L, 8988L, 
    2540L, 597L, 4142L, 3054L, 637L, 42L, 1566L, 5105L, 2491L, 
    714L, 1830L, 19761L, 7172L, 1890L, 4520L, 23767L, 5324L, 
    3891L, 4224L, 10967L, 1449L, 1876L, 2766L, 3299L, 1062L, 
    991L, 1779L, 2458L, 11529L, 263L, 2916L, 8246L, 31419L, 769L, 
    7733L, 6406L, 23972L, 447L, 6979L, 2850L, 8529L, 81L, 3703L, 
    1405L, 4892L, 51L, 1893L, 672L, 10354L, 414L, 1985L, 4691L, 
    38593L, 1196L, 8857L, 4870L, 26758L, 1544L, 9784L, 1997L, 
    6430L, 1023L, 4014L, 1106L, 5131L, 579L, 4441L, 123L, 7117L, 
    106L, 2136L, 50L, 14816L, 183L, 2278L, 101L, 13265L, 0L, 
    1737L, 57L, 7327L, 0L, 1507L, 50L, 4165L, 0L, 746L, 16L, 
    5740L, 404L, 5088L, 64L, 15613L, 411L, 6773L, 116L, 9758L, 
    133L, 4428L, 0L, 2697L, 0L, 2154L, 0L, 1853L, 20L, 1585L, 
    87L, 191L, 1942L, 3502L, 958L, 1293L, 3677L, 10089L, 2142L, 
    1535L, 4208L, 11215L, 1004L, 2004L, 439L, 3382L, 255L, 794L, 
    48L, 563L, 177L, 385L, 1029L, 2174L, 1299L, 1180L, 2338L, 
    4588L, 3016L, 1881L, 4230L, 8440L, 2311L, 3484L, 333L, 2777L, 
    1001L, 1346L, 66L, 536L, 1006L, 861L, 509L, 2018L, 12076L, 
    4382L, 909L, 3019L, 17287L, 5297L, 770L, 3654L, 18406L, 4694L, 
    597L, 2779L, 7793L, 1998L, 55L, 1347L, 1242L, 853L, 204L, 
    714L, 10636L, 3558L, 583L, 2010L, 19763L, 6498L, 1021L, 2295L, 
    19773L, 4648L, 746L, 2063L, 10685L, 2086L, 337L, 1177L, 972L, 
    5317L, 88L, 866L, 5833L, 22072L, 291L, 3051L, 9432L, 23892L, 
    263L, 3532L, 8630L, 19275L, 534L, 3846L, 5349L, 11904L, 60L, 
    2201L, 300L, 3678L, 52L, 476L, 4058L, 27044L, 403L, 1721L, 
    6551L, 27623L, 411L, 3787L, 5609L, 14649L, 439L, 3020L, 3466L, 
    11686L, 534L, 2751L, 0L, 2062L, 169L, 667L, 171L, 5033L, 
    28L, 458L, 53L, 6638L, 67L, 804L, 78L, 6132L, 107L, 651L, 
    160L, 5671L, 13L, 382L, 0L, 1474L, 253L, 1960L, 68L, 7088L, 
    641L, 2195L, 0L, 4869L, 218L, 1499L, 40L, 2871L, 0L, 479L, 
    0L, 2300L, 0L, 771L, 0L, 0L, 553L, 712L, 77L, 61L, 724L, 
    2385L, 75L, 187L, 909L, 3825L, 41L, 226L, 267L, 1468L, 162L, 
    83L, 0L, 166L, 0L, 0L, 139L, 459L, 53L, 119L, 445L, 1350L, 
    272L, 184L, 1258L, 2450L, 324L, 530L, 343L, 1136L, 0L, 184L, 
    0L, 285L, 167L, 36L, 10L, 231L, 942L, 310L, 40L, 668L, 1943L, 
    342L, 142L, 586L, 4175L, 1013L, 68L, 260L, 4601L, 791L, 69L, 
    290L, 88L, 238L, 0L, 40L, 1211L, 432L, 0L, 146L, 3255L, 1200L, 
    64L, 389L, 6523L, 989L, 287L, 267L, 3591L, 820L, 88L, 208L, 
    86L, 555L, 0L, 57L, 1271L, 2859L, 61L, 303L, 1453L, 4500L, 
    33L, 706L, 3441L, 8085L, 26L, 1101L, 4548L, 8788L, 348L, 
    1020L, 54L, 360L, 0L, 187L, 741L, 4465L, 35L, 306L, 1713L, 
    6615L, 95L, 189L, 2675L, 7975L, 49L, 612L, 2059L, 6071L, 
    177L, 918L, 0L, 227L, 45L, 76L, 0L, 966L, 15L, 262L, 0L, 
    1808L, 0L, 172L, 81L, 2492L, 45L, 238L, 70L, 2651L, 0L, 277L, 
    0L, 299L, 101L, 287L, 0L, 1363L, 305L, 791L, 17L, 1480L, 
    19L, 545L, 0L, 1576L, 107L, 439L, 51L, 727L, 0L, 241L, 569L, 
    151L, 3227L, 5951L, 337L, 128L, 2869L, 5183L, 321L, 469L, 
    240L, 4606L, 78L, 121L, 0L, 306L, 15L, 0L, 0L, 0L, 554L, 
    161L, 8020L, 3972L, 742L, 336L, 9154L, 6066L, 670L, 331L, 
    6461L, 6940L, 155L, 159L, 225L, 1125L, 0L, 47L, 11L, 188L, 
    715L, 526L, 1031L, 3239L, 851L, 795L, 1112L, 5302L, 422L, 
    200L, 199L, 2299L, 74L, 37L, 144L, 256L, 0L, 34L, 0L, 84L, 
    923L, 409L, 6348L, 3177L, 1330L, 846L, 9875L, 4632L, 778L, 
    551L, 7075L, 2119L, 40L, 60L, 558L, 326L, 0L, 30L, 32L, 171L, 
    699L, 2796L, 269L, 8300L, 853L, 1920L, 299L, 7106L, 550L, 
    994L, 244L, 2308L, 87L, 71L, 29L, 692L, 0L, 26L, 0L, 225L, 
    470L, 2197L, 1051L, 10325L, 696L, 3410L, 2031L, 11107L, 435L, 
    1152L, 1490L, 7277L, 9L, 28L, 71L, 1487L, 0L, 0L, 79L, 351L, 
    48L, 4077L, 14L, 7065L, 0L, 1508L, 69L, 1567L, 0L, 295L, 
    0L, 682L, 0L, 214L, 0L, 315L, 0L, 66L, 0L, 210L, 0L, 2449L, 
    62L, 19872L, 0L, 1620L, 0L, 7010L, 0L, 572L, 0L, 2185L, 0L, 
    28L, 0L, 534L, 0L, 112L, 0L, 542L, 1021L, 472L, 3391L, 4318L, 
    1850L, 489L, 2493L, 7296L, 530L, 358L, 1287L, 4485L, 103L, 
    43L, 187L, 714L, 62L, 0L, 0L, 191L, 318L, 117L, 3054L, 2538L, 
    2087L, 361L, 3649L, 5136L, 1073L, 505L, 3872L, 6990L, 82L, 
    166L, 640L, 1925L, 54L, 0L, 119L, 252L, 1726L, 564L, 422L, 
    3196L, 4145L, 1294L, 1871L, 7402L, 1941L, 669L, 673L, 2912L, 
    328L, 120L, 151L, 1101L, 32L, 14L, 123L, 55L, 1493L, 549L, 
    1019L, 1848L, 3647L, 1450L, 4164L, 3999L, 3137L, 634L, 5970L, 
    3984L, 512L, 70L, 1630L, 1068L, 187L, 90L, 482L, 405L, 1184L, 
    3823L, 424L, 3237L, 1545L, 5179L, 565L, 5102L, 636L, 2267L, 
    360L, 3635L, 140L, 376L, 26L, 1083L, 29L, 85L, 24L, 88L, 
    727L, 3061L, 446L, 3413L, 1189L, 5951L, 1829L, 8201L, 628L, 
    3296L, 1589L, 6969L, 43L, 624L, 490L, 1620L, 21L, 314L, 355L, 
    906L, 71L, 3804L, 141L, 2222L, 95L, 2448L, 0L, 1118L, 0L, 
    1154L, 0L, 574L, 0L, 282L, 0L, 102L, 80L, 244L, 0L, 151L, 
    0L, 2211L, 349L, 5256L, 47L, 1840L, 116L, 2595L, 0L, 958L, 
    0L, 1516L, 0L, 355L, 31L, 699L, 0L, 293L, 0L, 970L, 68L, 
    53L, 1873L, 2525L, 1271L, 471L, 4474L, 6695L, 1000L, 441L, 
    1904L, 4093L, 261L, 352L, 205L, 1162L, 125L, 29L, 93L, 242L, 
    160L, 47L, 664L, 1712L, 903L, 491L, 2779L, 3167L, 1882L, 
    521L, 2704L, 4827L, 409L, 327L, 584L, 1571L, 0L, 41L, 0L, 
    478L, 906L, 338L, 443L, 1779L, 7590L, 2392L, 1799L, 5035L, 
    5641L, 1105L, 1909L, 2778L, 875L, 338L, 144L, 1493L, 278L, 
    113L, 55L, 694L, 537L, 532L, 653L, 808L, 5040L, 1804L, 1776L, 
    2028L, 6031L, 1156L, 2196L, 3399L, 1574L, 496L, 1451L, 1778L, 
    1139L, 298L, 465L, 954L, 1023L, 3550L, 406L, 1993L, 2965L, 
    6251L, 171L, 4465L, 2565L, 4215L, 348L, 2990L, 353L, 1123L, 
    40L, 872L, 186L, 442L, 26L, 272L, 674L, 2189L, 319L, 1139L, 
    1726L, 5937L, 560L, 4101L, 1768L, 5085L, 906L, 4560L, 523L, 
    1546L, 361L, 2488L, 127L, 861L, 199L, 1699L, 90L, 2037L, 
    71L, 1156L, 29L, 1417L, 0L, 657L, 0L, 1127L, 38L, 229L, 20L, 
    301L, 0L, 123L, 0L, 477L, 0L, 133L, 8L, 785L, 238L, 2629L, 
    7L, 1114L, 85L, 1320L, 0L, 936L, 27L, 880L, 0L, 296L, 0L, 
    539L, 0L, 457L, 0L, 829L, 0L, 30L, 598L, 721L, 388L, 170L, 
    1501L, 2729L, 404L, 113L, 1020L, 2553L, 292L, 252L, 20L, 
    904L, 0L, 139L, 0L, 0L, 0L, 0L, 464L, 460L, 245L, 61L, 753L, 
    1841L, 371L, 187L, 1207L, 2412L, 200L, 322L, 420L, 1311L, 
    50L, 208L, 0L, 151L, 196L, 127L, 85L, 294L, 2189L, 1238L, 
    472L, 1571L, 2811L, 955L, 277L, 826L, 1425L, 545L, 251L, 
    636L, 916L, 308L, 50L, 97L, 285L, 502L, 150L, 163L, 1259L, 
    762L, 158L, 619L, 2981L, 811L, 464L, 663L, 2620L, 407L, 163L, 
    765L, 1473L, 510L, 56L, 446L, 283L, 1053L, 37L, 625L, 1536L, 
    3732L, 14L, 749L, 1881L, 3062L, 63L, 847L, 1006L, 1533L, 
    143L, 566L, 777L, 1545L, 84L, 276L, 49L, 727L, 104L, 455L, 
    571L, 1851L, 114L, 830L, 1262L, 3641L, 394L, 1007L, 1418L, 
    2490L, 181L, 845L, 634L, 1951L, 55L, 726L, 27L, 349L, 56L, 
    243L, 0L, 398L, 45L, 87L, 0L, 437L, 0L, 76L, 0L, 402L, 0L, 
    20L, 0L, 407L, 0L, 75L, 0L, 286L, 56L, 1041L, 0L, 265L, 87L, 
    416L, 0L, 241L, 0L, 255L, 0L, 131L, 0L, 359L, 0L, 376L, 0L, 
    335L, 0L, 0L, 0L, 148L, 0L, 0L, 134L, 37L, 0L, 0L, 63L, 252L, 
    21L, 0L, 0L, 165L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 30L, 0L, 
    0L, 107L, 78L, 29L, 0L, 91L, 111L, 24L, 0L, 0L, 243L, 0L, 
    0L, 0L, 96L, 0L, 0L, 32L, 149L, 107L, 30L, 16L, 138L, 195L, 
    14L, 0L, 168L, 490L, 18L, 0L, 51L, 235L, 136L, 0L, 0L, 0L, 
    0L, 55L, 26L, 89L, 35L, 0L, 0L, 158L, 40L, 17L, 54L, 346L, 
    54L, 0L, 34L, 616L, 94L, 22L, 30L, 47L, 76L, 0L, 0L, 55L, 
    183L, 0L, 55L, 253L, 378L, 34L, 137L, 63L, 327L, 0L, 200L, 
    377L, 538L, 0L, 31L, 7L, 44L, 0L, 34L, 0L, 159L, 27L, 54L, 
    56L, 243L, 23L, 22L, 259L, 420L, 0L, 35L, 118L, 552L, 0L, 
    129L, 0L, 64L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 45L, 
    0L, 47L, 0L, 0L, 0L, 76L, 0L, 9L, 0L, 17L, 0L, 82L, 0L, 63L, 
    0L, 62L, 0L, 16L, 0L, 0L, 0L, 86L, 0L, 97L, 0L, 24L, 0L, 
    0L, 75L, 47L, 0L, 196L, 42L, 34L, 48L, 86L, 0L, 19L, 8L, 
    146L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 96L, 0L, 133L, 9L, 
    99L, 122L, 84L, 60L, 0L, 48L, 30L, 94L, 16L, 0L, 17L, 27L, 
    0L, 0L, 0L, 0L, 136L, 59L, 67L, 271L, 133L, 0L, 0L, 188L, 
    0L, 0L, 0L, 0L, 37L, 0L, 0L, 149L, 0L, 0L, 0L, 0L, 36L, 16L, 
    122L, 25L, 0L, 0L, 0L, 15L, 20L, 0L, 55L, 12L, 9L, 0L, 0L, 
    0L, 20L, 0L, 0L, 0L, 85L, 146L, 0L, 127L, 0L, 57L, 0L, 7L, 
    33L, 0L, 0L, 20L, 10L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 55L, 
    105L, 67L, 84L, 69L, 0L, 57L, 0L, 73L, 0L, 116L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 96L, 0L, 46L, 0L, 31L, 0L, 27L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 6L, 0L, 
    141L, 0L, 84L, 0L, 79L, 0L, 19L, 0L, 74L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 37L, 57L, 61L, 222L, 134L, 33L, 72L, 147L, 
    12L, 0L, 28L, 88L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 3L, 39L, 
    58L, 19L, 83L, 36L, 97L, 142L, 7L, 150L, 3L, 62L, 50L, 56L, 
    0L, 0L, 0L, 0L, 0L, 0L, 20L, 149L, 72L, 234L, 144L, 146L, 
    71L, 13L, 25L, 143L, 13L, 45L, 91L, 19L, 0L, 0L, 11L, 39L, 
    0L, 0L, 0L, 148L, 0L, 11L, 30L, 73L, 237L, 0L, 0L, 247L, 
    0L, 48L, 0L, 96L, 33L, 0L, 26L, 0L, 0L, 70L, 16L, 201L, 57L, 
    0L, 45L, 31L, 188L, 33L, 0L, 63L, 108L, 0L, 0L, 19L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 56L, 26L, 0L, 170L, 0L, 77L, 0L, 
    0L, 22L, 18L, 0L, 74L, 0L, 0L, 33L, 106L, 0L, 0L, 0L, 0L, 
    0L, 26L, 0L, 0L, 0L, 123L, 0L, 9L, 0L, 0L, 0L, 77L, 0L, 0L, 
    0L, 107L, 0L, 0L, 0L, 0L, 0L, 102L, 0L, 48L, 0L, 89L, 0L, 
    124L, 0L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 161L, 
    24L, 83L, 158L, 138L, 152L, 162L, 186L, 4L, 3L, 25L, 132L, 
    46L, 14L, 0L, 26L, 0L, 0L, 0L, 13L, 202L, 0L, 60L, 11L, 40L, 
    80L, 454L, 151L, 122L, 64L, 217L, 254L, 54L, 14L, 0L, 5L, 
    10L, 19L, 0L, 18L, 168L, 77L, 0L, 73L, 325L, 79L, 45L, 12L, 
    43L, 167L, 8L, 175L, 56L, 12L, 0L, 123L, 87L, 0L, 0L, 0L, 
    158L, 25L, 0L, 20L, 129L, 78L, 81L, 0L, 271L, 153L, 137L, 
    147L, 66L, 42L, 26L, 21L, 0L, 0L, 0L, 19L, 384L, 38L, 0L, 
    87L, 130L, 91L, 51L, 52L, 101L, 273L, 91L, 58L, 0L, 122L, 
    60L, 0L, 44L, 0L, 0L, 17L, 77L, 75L, 0L, 0L, 29L, 152L, 58L, 
    89L, 0L, 161L, 59L, 98L, 0L, 122L, 0L, 0L, 0L, 0L, 0L, 39L, 
    0L, 69L, 0L, 0L, 35L, 0L, 0L, 0L, 65L, 87L, 0L, 44L, 0L, 
    6L, 0L, 0L, 0L, 12L, 0L, 44L, 0L, 0L, 0L, 8L, 0L, 147L, 0L, 
    59L, 0L, 106L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 46L, 46L, 21L, 0L, 32L, 63L, 0L, 50L, 152L, 138L, 0L, 
    64L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 44L, 
    68L, 134L, 0L, 49L, 86L, 0L, 142L, 0L, 60L, 0L, 0L, 0L, 0L, 
    77L, 91L, 20L, 0L, 146L, 33L, 33L, 6L, 169L, 0L, 0L, 61L, 
    94L, 50L, 118L, 34L, 11L, 21L, 3L, 0L, 53L, 0L, 0L, 0L, 154L, 
    35L, 0L, 0L, 392L, 121L, 0L, 0L, 85L, 66L, 0L, 59L, 66L, 
    24L, 0L, 0L, 0L, 20L, 0L, 0L, 66L, 19L, 4L, 0L, 166L, 351L, 
    0L, 17L, 64L, 126L, 0L, 36L, 57L, 135L, 0L, 0L, 0L, 100L, 
    0L, 0L, 71L, 230L, 12L, 16L, 15L, 344L, 8L, 32L, 148L, 142L, 
    0L, 64L, 0L, 114L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 0L, 9L, 
    0L, 22L, 0L, 0L, 0L, 34L, 0L, 25L, 0L, 101L, 0L, 41L, 0L, 
    28L, 0L, 18L, 0L, 52L, 0L, 0L, 0L, 27L, 0L, 12L, 0L, 127L, 
    0L, 0L, 0L, 122L, 0L, 0L, 0L, 0L, 186L, 0L, 0L, 0L, 0L, 0L, 
    11L, 0L, 35L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 58L, 0L, 25L, 23L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 0L, 11L, 36L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 48L, 23L, 0L, 25L, 17L, 0L, 0L, 0L, 
    0L, 4L, 0L, 0L, 102L, 0L, 0L, 0L, 100L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 
    42L, 33L, 0L, 0L, 7L, 50L, 61L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 24L, 55L, 0L, 21L, 0L, 151L, 0L, 13L, 66L, 35L, 0L, 
    84L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 532L, 
    226L, 1111L, 2252L, 641L, 690L, 889L, 5108L, 852L, 433L, 
    351L, 10763L, 196L, 187L, 18L, 2095L, 51L, 14L, 0L, 354L, 
    318L, 153L, 1847L, 1750L, 998L, 357L, 2529L, 3511L, 915L, 
    840L, 2047L, 10506L, 226L, 296L, 104L, 2427L, 40L, 0L, 112L, 
    517L, 305L, 311L, 1270L, 1929L, 1413L, 590L, 545L, 4183L, 
    1047L, 780L, 602L, 4934L, 252L, 191L, 425L, 1815L, 191L, 
    50L, 0L, 609L, 621L, 338L, 1404L, 1251L, 1106L, 860L, 2590L, 
    2914L, 2021L, 672L, 4529L, 3755L, 314L, 290L, 444L, 1401L, 
    147L, 141L, 135L, 312L, 216L, 1808L, 134L, 3244L, 754L, 3465L, 
    348L, 7342L, 433L, 3962L, 236L, 9978L, 469L, 1402L, 76L, 
    2695L, 146L, 1085L, 135L, 1413L, 129L, 1653L, 242L, 3200L, 
    460L, 5192L, 755L, 9639L, 492L, 6254L, 1843L, 13098L, 105L, 
    1459L, 260L, 4450L, 118L, 613L, 199L, 2089L, 0L, 4296L, 0L, 
    5569L, 25L, 7052L, 0L, 6212L, 19L, 5174L, 0L, 5629L, 0L, 
    1909L, 0L, 1898L, 0L, 1325L, 0L, 1370L, 0L, 2427L, 118L, 
    14102L, 0L, 8485L, 324L, 26658L, 0L, 3831L, 0L, 17579L, 0L, 
    1183L, 0L, 5090L, 0L, 465L, 0L, 2597L, 847L, 261L, 1901L, 
    3335L, 2061L, 1119L, 2404L, 8652L, 2684L, 2282L, 1836L, 13949L, 
    649L, 532L, 85L, 3572L, 85L, 70L, 37L, 302L, 1333L, 397L, 
    2137L, 2324L, 2636L, 1238L, 2869L, 6320L, 3706L, 2470L, 3582L, 
    13249L, 671L, 964L, 354L, 5486L, 155L, 144L, 38L, 806L, 1359L, 
    487L, 664L, 2615L, 4094L, 1522L, 1792L, 8502L, 5456L, 1961L, 
    1814L, 9210L, 1591L, 489L, 386L, 4099L, 595L, 213L, 270L, 
    1057L, 1461L, 525L, 889L, 1437L, 4281L, 2091L, 4463L, 4172L, 
    5902L, 1474L, 6767L, 7422L, 1659L, 572L, 1384L, 3118L, 698L, 
    193L, 672L, 1756L, 636L, 2726L, 251L, 2746L, 1716L, 8221L, 
    843L, 11630L, 2621L, 10209L, 758L, 14025L, 831L, 3310L, 193L, 
    5627L, 319L, 1713L, 81L, 2739L, 363L, 3528L, 369L, 2937L, 
    1394L, 12649L, 1748L, 12739L, 1980L, 13166L, 2517L, 19054L, 
    745L, 4259L, 754L, 6314L, 207L, 902L, 211L, 3608L, 23L, 11067L, 
    61L, 3116L, 42L, 21623L, 226L, 6020L, 240L, 21257L, 52L, 
    6350L, 0L, 7888L, 0L, 2990L, 276L, 4836L, 0L, 1893L, 44L, 
    7915L, 299L, 6233L, 0L, 23634L, 184L, 18278L, 0L, 16513L, 
    129L, 18107L, 38L, 3816L, 0L, 5554L, 0L, 1896L, 86L, 4103L, 
    727L, 343L, 2986L, 4649L, 3757L, 2893L, 4696L, 15766L, 5855L, 
    5080L, 3774L, 20885L, 1595L, 2864L, 329L, 7062L, 539L, 392L, 
    24L, 1025L, 1153L, 521L, 2006L, 3400L, 5750L, 2463L, 3610L, 
    8574L, 8986L, 4739L, 5508L, 14236L, 3171L, 3983L, 449L, 8709L, 
    349L, 550L, 18L, 1661L, 2495L, 1386L, 881L, 3316L, 12633L, 
    4459L, 3752L, 13274L, 19791L, 5699L, 3480L, 14456L, 8980L, 
    3079L, 1180L, 7910L, 3223L, 1057L, 264L, 2614L, 2345L, 504L, 
    925L, 2060L, 10894L, 3913L, 3220L, 5410L, 20209L, 5299L, 
    8577L, 11003L, 9703L, 2875L, 2781L, 6788L, 3364L, 1516L, 
    1065L, 3803L, 1018L, 3888L, 251L, 3010L, 5597L, 19054L, 877L, 
    12216L, 7535L, 28497L, 1810L, 16569L, 3804L, 12271L, 917L, 
    8247L, 1855L, 5807L, 324L, 3887L, 679L, 3574L, 356L, 2252L, 
    2935L, 27251L, 2051L, 11436L, 6025L, 33878L, 3177L, 22405L, 
    2400L, 10663L, 1377L, 9946L, 862L, 6283L, 993L, 8099L, 64L, 
    6682L, 149L, 2046L, 169L, 18699L, 71L, 4329L, 147L, 24513L, 
    30L, 4768L, 53L, 14347L, 0L, 3197L, 6L, 11312L, 26L, 2285L, 
    53L, 5972L, 519L, 4832L, 142L, 21574L, 810L, 10841L, 0L, 
    18512L, 521L, 10068L, 18L, 8402L, 59L, 5020L, 0L, 4426L, 
    0L, 3840L, 469L, 240L, 2334L, 4615L, 1541L, 1666L, 5923L, 
    12452L, 2695L, 2584L, 5988L, 17178L, 1347L, 2288L, 808L, 
    7124L, 343L, 636L, 0L, 668L, 406L, 163L, 2226L, 2650L, 1871L, 
    1385L, 4725L, 8894L, 4494L, 3224L, 6303L, 13096L, 2432L, 
    4284L, 945L, 6503L, 1061L, 1182L, 213L, 1060L, 1644L, 858L, 
    206L, 1978L, 9575L, 3961L, 2367L, 6779L, 22298L, 8705L, 2119L, 
    10572L, 19113L, 6903L, 1162L, 9115L, 9842L, 2407L, 522L, 
    3440L, 1488L, 513L, 330L, 730L, 10969L, 4672L, 1519L, 2816L, 
    26810L, 9236L, 2851L, 7440L, 20960L, 6578L, 2205L, 5793L, 
    9978L, 3132L, 718L, 2681L, 928L, 3104L, 286L, 1179L, 6263L, 
    17520L, 1320L, 5193L, 14101L, 36188L, 1370L, 10225L, 10448L, 
    22915L, 570L, 7428L, 7030L, 16535L, 407L, 4275L, 298L, 3175L, 
    108L, 868L, 4234L, 22199L, 1246L, 4694L, 10503L, 40430L, 
    1930L, 10770L, 7218L, 19354L, 1229L, 6034L, 4511L, 15185L, 
    1186L, 5851L, 194L, 1723L, 165L, 1330L, 292L, 5566L, 129L, 
    1170L, 152L, 11107L, 138L, 2064L, 110L, 10381L, 27L, 1570L, 
    95L, 12417L, 0L, 1440L, 143L, 1371L, 533L, 2112L, 99L, 7381L, 
    1142L, 5917L, 122L, 8401L, 582L, 4047L, 39L, 6126L, 38L, 
    1704L, 36L, 4541L, 81L, 2166L, 0L, 0L, 1361L, 1340L, 157L, 
    198L, 2227L, 3905L, 287L, 374L, 1974L, 4528L, 192L, 375L, 
    346L, 2443L, 104L, 119L, 51L, 348L, 0L, 63L, 641L, 647L, 
    212L, 250L, 1529L, 2026L, 684L, 517L, 2238L, 4613L, 402L, 
    829L, 215L, 2548L, 82L, 396L, 0L, 351L, 253L, 92L, 0L, 132L, 
    1192L, 939L, 224L, 1441L, 3544L, 2326L, 204L, 2159L, 6524L, 
    2103L, 443L, 2807L, 6206L, 2021L, 105L, 1362L, 189L, 324L, 
    61L, 317L, 1436L, 880L, 289L, 1565L, 5151L, 2373L, 390L, 
    874L, 9231L, 2969L, 339L, 1892L, 4918L, 1884L, 81L, 986L, 
    158L, 895L, 71L, 200L, 1525L, 3698L, 199L, 856L, 2929L, 9567L, 
    224L, 1811L, 6028L, 13182L, 289L, 2158L, 6701L, 12775L, 208L, 
    2528L, 106L, 692L, 0L, 24L, 828L, 5621L, 229L, 765L, 3737L, 
    13713L, 658L, 2106L, 5503L, 10576L, 478L, 2251L, 3383L, 8076L, 
    218L, 2005L, 0L, 596L, 32L, 173L, 104L, 1420L, 84L, 449L, 
    20L, 2643L, 37L, 425L, 315L, 3832L, 35L, 764L, 162L, 5158L, 
    0L, 598L, 0L, 560L, 270L, 573L, 267L, 2296L, 227L, 2200L, 
    48L, 2424L, 275L, 1283L, 0L, 2476L, 97L, 696L, 20L, 1983L, 
    75L, 740L, 0L, 0L, 175L, 504L, 32L, 19L, 114L, 416L, 79L, 
    0L, 33L, 910L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 66L, 32L, 0L, 
    99L, 310L, 50L, 173L, 828L, 255L, 0L, 98L, 553L, 960L, 0L, 
    43L, 0L, 36L, 0L, 0L, 0L, 16L, 0L, 99L, 0L, 466L, 103L, 62L, 
    120L, 458L, 126L, 15L, 105L, 237L, 65L, 8L, 164L, 72L, 0L, 
    26L, 0L, 24L, 0L, 170L, 395L, 206L, 0L, 33L, 343L, 342L, 
    57L, 69L, 632L, 266L, 0L, 0L, 193L, 204L, 0L, 0L, 0L, 128L, 
    0L, 227L, 0L, 614L, 115L, 149L, 32L, 556L, 167L, 408L, 100L, 
    581L, 0L, 27L, 0L, 70L, 0L, 21L, 68L, 0L, 31L, 40L, 153L, 
    809L, 250L, 166L, 165L, 776L, 188L, 255L, 107L, 1186L, 0L, 
    66L, 63L, 106L, 0L, 73L, 0L, 110L, 0L, 329L, 0L, 461L, 29L, 
    173L, 89L, 183L, 0L, 71L, 0L, 202L, 0L, 114L, 0L, 0L, 0L, 
    0L, 0L, 24L, 0L, 245L, 0L, 645L, 0L, 110L, 0L, 508L, 0L, 
    77L, 0L, 710L, 0L, 28L, 0L, 213L, 0L, 0L, 0L, 29L, 38L, 21L, 
    177L, 147L, 157L, 204L, 402L, 992L, 158L, 112L, 68L, 1314L, 
    0L, 0L, 0L, 178L, 0L, 0L, 0L, 48L, 43L, 22L, 278L, 233L, 
    111L, 21L, 547L, 284L, 216L, 102L, 766L, 705L, 0L, 0L, 0L, 
    192L, 0L, 0L, 66L, 30L, 216L, 51L, 113L, 105L, 405L, 128L, 
    228L, 741L, 712L, 111L, 171L, 988L, 18L, 93L, 0L, 274L, 59L, 
    0L, 0L, 104L, 52L, 0L, 164L, 84L, 326L, 216L, 591L, 402L, 
    566L, 171L, 950L, 417L, 26L, 70L, 416L, 149L, 50L, 0L, 14L, 
    374L, 26L, 70L, 82L, 36L, 96L, 333L, 170L, 229L, 159L, 528L, 
    128L, 772L, 28L, 48L, 66L, 301L, 89L, 42L, 20L, 151L, 0L, 
    68L, 18L, 86L, 47L, 411L, 17L, 791L, 192L, 239L, 550L, 1250L, 
    0L, 59L, 20L, 296L, 59L, 58L, 0L, 131L, 72L, 141L, 0L, 153L, 
    0L, 186L, 31L, 32L, 18L, 416L, 22L, 255L, 0L, 51L, 0L, 76L, 
    0L, 20L, 0L, 80L, 0L, 153L, 0L, 185L, 0L, 377L, 0L, 365L, 
    0L, 149L, 0L, 386L, 0L, 0L, 0L, 172L, 0L, 0L, 0L, 94L, 16L, 
    0L, 401L, 339L, 92L, 145L, 641L, 779L, 307L, 217L, 401L, 
    1095L, 42L, 74L, 210L, 585L, 28L, 0L, 0L, 0L, 0L, 0L, 187L, 
    58L, 127L, 37L, 79L, 204L, 352L, 123L, 493L, 647L, 27L, 25L, 
    54L, 138L, 0L, 0L, 17L, 148L, 112L, 0L, 0L, 432L, 816L, 189L, 
    469L, 781L, 1152L, 351L, 210L, 1198L, 421L, 262L, 123L, 574L, 
    257L, 26L, 0L, 52L, 42L, 35L, 0L, 59L, 330L, 366L, 142L, 
    464L, 910L, 138L, 601L, 822L, 473L, 201L, 364L, 146L, 103L, 
    0L, 114L, 227L, 0L, 111L, 42L, 34L, 257L, 575L, 191L, 451L, 
    336L, 1141L, 34L, 896L, 73L, 461L, 90L, 162L, 153L, 41L, 
    21L, 133L, 40L, 195L, 37L, 154L, 100L, 610L, 56L, 414L, 261L, 
    1342L, 247L, 1192L, 29L, 253L, 128L, 257L, 12L, 18L, 26L, 
    237L, 0L, 262L, 23L, 54L, 0L, 400L, 0L, 28L, 47L, 455L, 0L, 
    21L, 0L, 241L, 0L, 27L, 0L, 108L, 0L, 0L, 0L, 230L, 35L, 
    319L, 0L, 106L, 0L, 208L, 0L, 216L, 0L, 198L, 0L, 131L, 0L, 
    131L, 0L, 148L, 0L, 127L, 0L, 31L, 49L, 160L, 0L, 0L, 240L, 
    499L, 40L, 83L, 295L, 851L, 68L, 75L, 31L, 144L, 69L, 0L, 
    0L, 68L, 0L, 0L, 43L, 84L, 0L, 0L, 143L, 572L, 404L, 156L, 
    485L, 584L, 161L, 23L, 167L, 351L, 108L, 45L, 171L, 156L, 
    77L, 0L, 0L, 280L, 459L, 270L, 403L, 408L, 1329L, 659L, 82L, 
    601L, 705L, 213L, 17L, 136L, 311L, 22L, 76L, 102L, 49L, 34L, 
    0L, 35L, 265L, 106L, 104L, 311L, 817L, 94L, 100L, 384L, 426L, 
    129L, 44L, 309L, 261L, 38L, 103L, 73L, 17L, 144L, 24L, 24L, 
    240L, 506L, 0L, 338L, 530L, 1131L, 0L, 532L, 366L, 481L, 
    25L, 228L, 118L, 465L, 20L, 102L, 0L, 0L, 0L, 0L, 47L, 247L, 
    0L, 350L, 319L, 918L, 53L, 454L, 249L, 601L, 0L, 281L, 25L, 
    397L, 0L, 128L, 0L, 32L, 35L, 321L, 0L, 94L, 0L, 81L, 0L, 
    205L, 0L, 194L, 0L, 117L, 0L, 24L, 0L, 98L, 0L, 22L, 0L, 
    0L, 34L, 124L, 0L, 98L, 0L, 225L, 0L, 95L, 0L, 48L, 0L, 25L, 
    30L, 65L, 0L, 77L, 0L, 20L, 0L, 0L, 23L, 148L, 0L, 0L, 64L, 
    74L, 57L, 30L, 0L, 109L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 
    0L, 0L, 0L, 113L, 0L, 0L, 0L, 0L, 49L, 0L, 0L, 30L, 0L, 49L, 
    0L, 214L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 94L, 45L, 0L, 
    208L, 57L, 0L, 0L, 5L, 92L, 18L, 92L, 56L, 69L, 95L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 46L, 0L, 0L, 107L, 
    63L, 0L, 0L, 17L, 87L, 35L, 98L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 68L, 58L, 382L, 0L, 0L, 130L, 148L, 0L, 0L, 101L, 160L, 
    0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 80L, 21L, 276L, 0L, 
    0L, 75L, 59L, 0L, 0L, 20L, 196L, 0L, 0L, 0L, 0L, 0L, 38L, 
    0L, 26L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 26L, 0L, 0L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 41L, 
    0L, 32L, 0L, 13L, 0L, 0L, 0L, 0L, 843L, 156L, 1739L, 1804L, 
    619L, 134L, 1375L, 2794L, 245L, 169L, 509L, 2741L, 0L, 66L, 
    0L, 299L, 0L, 0L, 0L, 13L, 1522L, 48L, 3120L, 1175L, 1694L, 
    308L, 2814L, 1816L, 550L, 236L, 1584L, 2648L, 0L, 0L, 0L, 
    412L, 0L, 30L, 97L, 192L, 1700L, 590L, 419L, 1439L, 994L, 
    422L, 438L, 1783L, 518L, 139L, 30L, 750L, 73L, 0L, 0L, 77L, 
    22L, 0L, 0L, 31L, 1552L, 447L, 1858L, 664L, 912L, 147L, 2152L, 
    814L, 786L, 348L, 1457L, 872L, 100L, 0L, 189L, 223L, 18L, 
    0L, 161L, 20L, 1126L, 1803L, 292L, 1996L, 369L, 687L, 249L, 
    2030L, 158L, 514L, 203L, 1284L, 70L, 67L, 0L, 326L, 0L, 89L, 
    0L, 59L, 621L, 1815L, 1067L, 3255L, 177L, 801L, 670L, 2074L, 
    144L, 384L, 515L, 1877L, 0L, 19L, 51L, 287L, 0L, 23L, 0L, 
    36L, 145L, 2990L, 0L, 2378L, 0L, 581L, 39L, 636L, 20L, 354L, 
    0L, 257L, 0L, 59L, 0L, 35L, 0L, 93L, 31L, 0L, 0L, 2051L, 
    12L, 5773L, 0L, 784L, 0L, 1825L, 27L, 191L, 32L, 1062L, 0L, 
    0L, 0L, 232L, 0L, 0L, 25L, 132L, 1549L, 286L, 2468L, 2719L, 
    2112L, 253L, 2910L, 3312L, 1167L, 309L, 1007L, 3601L, 468L, 
    116L, 55L, 590L, 0L, 0L, 0L, 45L, 1728L, 261L, 1765L, 2118L, 
    2451L, 556L, 3473L, 3609L, 1933L, 316L, 2567L, 3434L, 146L, 
    104L, 389L, 935L, 0L, 0L, 35L, 110L, 4310L, 810L, 487L, 2637L, 
    3206L, 339L, 1382L, 3100L, 2679L, 375L, 604L, 2868L, 702L, 
    166L, 288L, 442L, 51L, 0L, 0L, 23L, 3342L, 539L, 1935L, 886L, 
    2956L, 401L, 2717L, 1623L, 2177L, 371L, 3194L, 2075L, 323L, 
    111L, 370L, 537L, 71L, 66L, 106L, 196L, 1817L, 2368L, 375L, 
    2291L, 1349L, 1720L, 455L, 2070L, 806L, 1689L, 68L, 1925L, 
    125L, 271L, 27L, 615L, 46L, 135L, 21L, 21L, 1048L, 2663L, 
    425L, 3424L, 695L, 2406L, 416L, 2742L, 581L, 2087L, 856L, 
    2805L, 78L, 186L, 111L, 616L, 0L, 101L, 29L, 277L, 71L, 3604L, 
    233L, 1112L, 18L, 1760L, 30L, 535L, 0L, 1028L, 61L, 388L, 
    0L, 118L, 0L, 132L, 0L, 199L, 0L, 56L, 0L, 2841L, 187L, 2783L, 
    0L, 1305L, 0L, 1036L, 0L, 755L, 0L, 291L, 0L, 76L, 0L, 0L, 
    0L, 99L, 37L, 129L, 1385L, 210L, 3797L, 3812L, 2222L, 929L, 
    4589L, 5649L, 2352L, 938L, 3022L, 6611L, 644L, 260L, 264L, 
    1112L, 60L, 167L, 0L, 108L, 1758L, 162L, 2034L, 2096L, 2691L, 
    939L, 4246L, 5959L, 3122L, 1467L, 3116L, 5238L, 572L, 632L, 
    421L, 1760L, 114L, 21L, 17L, 522L, 3788L, 404L, 915L, 2815L, 
    5748L, 1418L, 2702L, 4267L, 7594L, 1001L, 1142L, 3405L, 999L, 
    333L, 277L, 1069L, 408L, 122L, 0L, 298L, 3339L, 745L, 759L, 
    1015L, 5768L, 1239L, 1990L, 2037L, 9084L, 1277L, 3008L, 2225L, 
    1362L, 202L, 500L, 861L, 823L, 185L, 293L, 486L, 2469L, 3750L, 
    827L, 1313L, 1803L, 4015L, 272L, 2255L, 2451L, 3405L, 270L, 
    2161L, 418L, 899L, 88L, 588L, 241L, 474L, 141L, 325L, 1773L, 
    3636L, 832L, 2318L, 1489L, 4842L, 435L, 3185L, 1635L, 3910L, 
    575L, 3552L, 315L, 662L, 31L, 821L, 22L, 212L, 102L, 412L, 
    295L, 2066L, 239L, 597L, 16L, 1532L, 0L, 214L, 107L, 1142L, 
    0L, 294L, 84L, 341L, 0L, 148L, 0L, 356L, 0L, 115L, 122L, 
    1709L, 335L, 2757L, 13L, 1153L, 216L, 685L, 0L, 622L, 0L, 
    627L, 0L, 203L, 38L, 183L, 0L, 69L, 0L, 147L, 99L, 237L, 
    1345L, 2236L, 582L, 585L, 2942L, 5140L, 645L, 521L, 2345L, 
    4570L, 262L, 293L, 180L, 760L, 45L, 28L, 0L, 113L, 49L, 174L, 
    1248L, 987L, 715L, 637L, 2290L, 2502L, 1258L, 745L, 2250L, 
    3399L, 426L, 304L, 269L, 1423L, 195L, 95L, 0L, 19L, 849L, 
    328L, 596L, 1116L, 3808L, 1138L, 865L, 1705L, 6797L, 1638L, 
    656L, 2133L, 2400L, 769L, 305L, 1145L, 952L, 63L, 68L, 628L, 
    756L, 792L, 230L, 138L, 3859L, 838L, 677L, 1799L, 6488L, 
    1323L, 981L, 1350L, 3246L, 759L, 173L, 800L, 995L, 331L, 
    21L, 559L, 1001L, 1743L, 26L, 761L, 1093L, 2654L, 320L, 1074L, 
    1740L, 4427L, 59L, 1273L, 1015L, 1440L, 147L, 251L, 693L, 
    970L, 12L, 271L, 495L, 2264L, 359L, 464L, 1187L, 4001L, 427L, 
    623L, 1523L, 4316L, 454L, 1788L, 760L, 991L, 110L, 250L, 
    205L, 557L, 70L, 343L, 185L, 367L, 57L, 167L, 0L, 466L, 40L, 
    279L, 102L, 619L, 0L, 33L, 0L, 329L, 0L, 25L, 0L, 441L, 0L, 
    47L, 125L, 262L, 280L, 1070L, 0L, 537L, 243L, 250L, 0L, 412L, 
    35L, 77L, 0L, 177L, 0L, 297L, 0L, 120L, 0L, 69L, 0L, 0L, 
    176L, 385L, 24L, 174L, 454L, 335L, 130L, 60L, 131L, 797L, 
    23L, 24L, 0L, 181L, 0L, 0L, 0L, 0L, 84L, 0L, 170L, 171L, 
    156L, 127L, 265L, 541L, 55L, 53L, 289L, 701L, 49L, 171L, 
    0L, 136L, 20L, 82L, 0L, 11L, 89L, 0L, 0L, 0L, 221L, 75L, 
    82L, 109L, 691L, 253L, 143L, 387L, 605L, 120L, 112L, 129L, 
    321L, 47L, 9L, 16L, 37L, 19L, 148L, 0L, 331L, 71L, 0L, 238L, 
    670L, 174L, 135L, 246L, 750L, 472L, 23L, 233L, 352L, 95L, 
    29L, 162L, 8L, 168L, 0L, 91L, 197L, 227L, 24L, 406L, 405L, 
    1001L, 60L, 203L, 443L, 663L, 0L, 116L, 332L, 468L, 0L, 220L, 
    174L, 384L, 0L, 83L, 54L, 759L, 22L, 77L, 386L, 1160L, 0L, 
    172L, 195L, 586L, 0L, 49L, 212L, 604L, 22L, 18L, 46L, 176L, 
    130L, 265L, 0L, 225L, 0L, 0L, 0L, 167L, 0L, 70L, 0L, 112L, 
    0L, 0L, 22L, 157L, 0L, 34L, 38L, 46L, 0L, 232L, 0L, 173L, 
    28L, 93L, 0L, 42L, 32L, 14L, 0L, 41L, 0L, 0L, 0L, 49L, 0L, 
    19L, 1289L, 278L, 1630L, 3029L, 2137L, 706L, 1101L, 4938L, 
    1134L, 841L, 227L, 7909L, 156L, 175L, 0L, 1578L, 0L, 32L, 
    0L, 227L, 2051L, 193L, 2585L, 1323L, 2671L, 819L, 4362L, 
    4270L, 1581L, 894L, 2412L, 5652L, 122L, 337L, 99L, 2004L, 
    0L, 0L, 31L, 159L, 1761L, 695L, 828L, 2842L, 2559L, 764L, 
    775L, 3982L, 1116L, 566L, 597L, 2431L, 88L, 257L, 17L, 258L, 
    102L, 17L, 24L, 254L, 1605L, 803L, 2343L, 1786L, 2494L, 1262L, 
    4049L, 2683L, 1688L, 400L, 4000L, 1875L, 489L, 0L, 387L, 
    300L, 79L, 0L, 27L, 202L, 559L, 4894L, 553L, 6448L, 774L, 
    4740L, 140L, 7503L, 478L, 2160L, 114L, 4615L, 180L, 779L, 
    0L, 1582L, 70L, 96L, 0L, 432L, 452L, 4634L, 758L, 7402L, 
    562L, 6777L, 1273L, 10160L, 254L, 3149L, 716L, 6555L, 40L, 
    505L, 213L, 1029L, 22L, 250L, 173L, 534L, 34L, 10352L, 13L, 
    6436L, 0L, 5359L, 0L, 4037L, 0L, 1860L, 0L, 1563L, 35L, 717L, 
    0L, 575L, 0L, 369L, 0L, 385L, 45L, 6909L, 85L, 24313L, 0L, 
    6614L, 0L, 19498L, 0L, 1520L, 0L, 7348L, 0L, 188L, 0L, 944L, 
    0L, 200L, 0L, 599L, 1623L, 583L, 1719L, 3985L, 4472L, 2035L, 
    3336L, 8514L, 2687L, 1869L, 949L, 5985L, 409L, 779L, 8L, 
    1925L, 12L, 0L, 0L, 202L, 1492L, 634L, 2047L, 1225L, 5833L, 
    1820L, 2908L, 6401L, 4303L, 2391L, 2477L, 5596L, 988L, 739L, 
    489L, 2037L, 76L, 110L, 128L, 283L, 3740L, 1478L, 1201L, 
    2885L, 9501L, 3566L, 1912L, 7234L, 5127L, 1361L, 1197L, 4230L, 
    1124L, 290L, 215L, 1054L, 453L, 70L, 0L, 217L, 2361L, 810L, 
    976L, 1382L, 7684L, 3416L, 3158L, 4291L, 7796L, 1922L, 5306L, 
    2933L, 1184L, 143L, 1193L, 1476L, 250L, 26L, 181L, 450L, 
    1729L, 7124L, 678L, 3857L, 3484L, 13362L, 833L, 8472L, 1434L, 
    6434L, 336L, 4681L, 489L, 1548L, 32L, 1560L, 197L, 636L, 
    0L, 479L, 1032L, 6456L, 428L, 3380L, 1848L, 19238L, 1241L, 
    9125L, 1313L, 7153L, 960L, 7991L, 257L, 1705L, 324L, 2197L, 
    157L, 716L, 68L, 1065L, 89L, 12800L, 17L, 2698L, 201L, 14405L, 
    66L, 2851L, 37L, 7600L, 0L, 2034L, 0L, 2860L, 0L, 1127L, 
    30L, 1254L, 0L, 727L, 27L, 7559L, 196L, 6282L, 6L, 15349L, 
    139L, 8596L, 0L, 5995L, 46L, 5575L, 0L, 1099L, 11L, 1692L, 
    0L, 465L, 0L, 1213L, 819L, 972L, 1295L, 3582L, 4186L, 3091L, 
    3255L, 11938L, 4877L, 2201L, 1115L, 7923L, 1895L, 1886L, 
    69L, 2000L, 247L, 723L, 33L, 237L, 821L, 293L, 1359L, 1235L, 
    4962L, 2717L, 2206L, 6837L, 6780L, 3117L, 2673L, 6027L, 2803L, 
    2903L, 230L, 2092L, 480L, 882L, 0L, 349L, 3452L, 2100L, 631L, 
    2246L, 16113L, 4270L, 1554L, 7335L, 14183L, 4214L, 1071L, 
    4782L, 5462L, 1068L, 358L, 2328L, 1913L, 401L, 123L, 900L, 
    1793L, 1584L, 590L, 1160L, 15050L, 5667L, 2071L, 3481L, 15470L, 
    3786L, 2071L, 3586L, 7303L, 1653L, 788L, 1978L, 2315L, 566L, 
    325L, 1277L, 1413L, 7947L, 217L, 1856L, 6051L, 24797L, 949L, 
    6108L, 3474L, 16321L, 665L, 5654L, 2268L, 5898L, 180L, 2666L, 
    566L, 2578L, 63L, 1117L, 674L, 6215L, 311L, 1503L, 3639L, 
    29678L, 922L, 5977L, 3073L, 18736L, 670L, 5984L, 1191L, 5557L, 
    333L, 4035L, 409L, 3286L, 287L, 2995L, 25L, 5860L, 116L, 
    1426L, 53L, 11200L, 8L, 1604L, 127L, 9075L, 34L, 1082L, 10L, 
    4866L, 0L, 1117L, 0L, 3256L, 0L, 617L, 63L, 4038L, 469L, 
    3600L, 0L, 11122L, 93L, 4210L, 0L, 6080L, 331L, 2739L, 0L, 
    2871L, 44L, 1254L, 0L, 1431L, 0L, 1363L, 254L, 79L, 453L, 
    1701L, 1031L, 1299L, 2993L, 5810L, 1437L, 1163L, 2252L, 6313L, 
    1175L, 1116L, 261L, 1720L, 125L, 426L, 0L, 297L, 273L, 229L, 
    833L, 898L, 1022L, 1276L, 1119L, 2040L, 2487L, 835L, 2637L, 
    4771L, 1707L, 1967L, 245L, 1420L, 823L, 440L, 16L, 213L, 
    869L, 423L, 332L, 1012L, 7279L, 2443L, 648L, 2151L, 9872L, 
    2991L, 630L, 2039L, 10534L, 1895L, 390L, 1480L, 3873L, 660L, 
    117L, 316L, 635L, 370L, 55L, 99L, 5510L, 2102L, 241L, 854L, 
    11931L, 3653L, 452L, 1143L, 11822L, 1987L, 531L, 1081L, 5150L, 
    1151L, 290L, 485L, 689L, 2030L, 46L, 336L, 3650L, 12876L, 
    147L, 1987L, 4467L, 15514L, 0L, 1604L, 3946L, 9151L, 260L, 
    1320L, 2982L, 7329L, 79L, 828L, 224L, 1562L, 165L, 416L, 
    2197L, 15183L, 322L, 1601L, 3144L, 16831L, 154L, 2057L, 3318L, 
    9106L, 240L, 1428L, 1689L, 6028L, 145L, 1111L, 34L, 991L, 
    36L, 239L, 25L, 4048L, 0L, 365L, 66L, 3891L, 0L, 594L, 0L, 
    3031L, 36L, 149L, 42L, 2894L, 0L, 424L, 0L, 1181L, 107L, 
    1146L, 34L, 3389L, 110L, 1554L, 0L, 2469L, 72L, 1005L, 0L, 
    1889L, 77L, 176L, 0L, 1259L, 0L, 360L, 0L, 0L, 313L, 502L, 
    8L, 163L, 234L, 1019L, 136L, 203L, 396L, 1037L, 8L, 38L, 
    116L, 323L, 50L, 0L, 0L, 0L, 0L, 0L, 162L, 37L, 52L, 203L, 
    188L, 526L, 244L, 76L, 599L, 747L, 173L, 183L, 176L, 435L, 
    16L, 24L, 0L, 98L, 340L, 29L, 0L, 50L, 1074L, 186L, 0L, 589L, 
    1079L, 410L, 32L, 514L, 2011L, 571L, 0L, 695L, 2190L, 284L, 
    0L, 166L, 182L, 0L, 0L, 0L, 1060L, 382L, 19L, 55L, 1372L, 
    629L, 46L, 198L, 3366L, 401L, 0L, 133L, 1431L, 516L, 131L, 
    28L, 0L, 274L, 32L, 237L, 277L, 1859L, 189L, 417L, 940L, 
    3103L, 56L, 534L, 1658L, 4254L, 111L, 298L, 2188L, 3460L, 
    0L, 273L, 0L, 286L, 0L, 0L, 483L, 2255L, 135L, 302L, 771L, 
    3478L, 0L, 269L, 1413L, 4306L, 71L, 317L, 1003L, 2745L, 40L, 
    204L, 177L, 236L, 0L, 69L, 0L, 599L, 33L, 66L, 0L, 595L, 
    19L, 70L, 33L, 1171L, 0L, 211L, 0L, 1242L, 0L, 112L, 0L, 
    93L, 0L, 320L, 128L, 918L, 41L, 199L, 0L, 683L, 0L, 103L, 
    0L, 938L, 46L, 207L, 0L, 373L, 0L, 56L, 264L, 208L, 757L, 
    1919L, 684L, 233L, 720L, 3449L, 393L, 302L, 715L, 3141L, 
    0L, 0L, 0L, 230L, 0L, 0L, 0L, 0L, 105L, 0L, 2294L, 1056L, 
    659L, 142L, 4079L, 3397L, 294L, 153L, 2630L, 2860L, 0L, 0L, 
    167L, 262L, 0L, 0L, 31L, 0L, 57L, 150L, 429L, 1459L, 1000L, 
    198L, 758L, 2386L, 249L, 47L, 352L, 779L, 0L, 0L, 0L, 57L, 
    0L, 24L, 0L, 0L, 245L, 99L, 1812L, 1085L, 345L, 341L, 3459L, 
    1851L, 501L, 82L, 2679L, 924L, 81L, 0L, 607L, 105L, 0L, 11L, 
    0L, 173L, 177L, 640L, 271L, 2462L, 437L, 870L, 420L, 2859L, 
    134L, 277L, 47L, 1283L, 0L, 114L, 0L, 73L, 0L, 39L, 0L, 153L, 
    297L, 769L, 353L, 4629L, 71L, 1072L, 882L, 3964L, 52L, 309L, 
    303L, 2367L, 0L, 0L, 0L, 430L, 0L, 29L, 30L, 226L, 0L, 1384L, 
    16L, 2369L, 0L, 391L, 77L, 925L, 0L, 87L, 0L, 539L, 0L, 4L, 
    0L, 6L, 0L, 55L, 0L, 86L, 0L, 1018L, 0L, 7295L, 0L, 339L, 
    110L, 2022L, 0L, 130L, 0L, 1077L, 0L, 0L, 0L, 156L, 0L, 22L, 
    0L, 166L, 399L, 79L, 643L, 1182L, 495L, 220L, 1885L, 2096L, 
    529L, 101L, 345L, 1675L, 33L, 76L, 0L, 529L, 0L, 0L, 0L, 
    113L, 87L, 18L, 723L, 526L, 618L, 163L, 1809L, 2181L, 451L, 
    58L, 2573L, 1787L, 62L, 79L, 364L, 850L, 25L, 25L, 0L, 129L, 
    283L, 44L, 342L, 490L, 1478L, 849L, 1348L, 1632L, 842L, 134L, 
    587L, 981L, 71L, 0L, 30L, 308L, 0L, 0L, 0L, 43L, 322L, 172L, 
    407L, 605L, 1353L, 519L, 2394L, 1832L, 970L, 165L, 2652L, 
    1621L, 340L, 60L, 521L, 285L, 29L, 0L, 125L, 0L, 474L, 772L, 
    61L, 1470L, 364L, 1638L, 623L, 3271L, 497L, 934L, 45L, 683L, 
    66L, 129L, 0L, 160L, 133L, 52L, 40L, 203L, 266L, 1135L, 72L, 
    714L, 283L, 1780L, 480L, 2261L, 160L, 1160L, 572L, 2592L, 
    66L, 315L, 120L, 750L, 0L, 0L, 26L, 545L, 25L, 1278L, 7L, 
    525L, 20L, 850L, 0L, 400L, 0L, 213L, 83L, 101L, 0L, 34L, 
    0L, 58L, 0L, 76L, 0L, 0L, 13L, 567L, 290L, 1930L, 0L, 629L, 
    62L, 920L, 0L, 345L, 21L, 436L, 0L, 71L, 0L, 317L, 0L, 99L, 
    0L, 107L, 0L, 0L, 1010L, 845L, 539L, 112L, 1185L, 1183L, 
    594L, 126L, 400L, 1190L, 158L, 241L, 131L, 113L, 0L, 0L, 
    0L, 129L, 160L, 0L, 268L, 427L, 341L, 123L, 1159L, 1354L, 
    492L, 119L, 724L, 902L, 320L, 109L, 175L, 412L, 27L, 0L, 
    34L, 75L, 115L, 131L, 125L, 340L, 2699L, 683L, 506L, 1276L, 
    2164L, 559L, 431L, 521L, 372L, 290L, 171L, 121L, 136L, 91L, 
    122L, 0L, 129L, 127L, 23L, 50L, 1866L, 788L, 604L, 696L, 
    2024L, 639L, 1175L, 918L, 1098L, 144L, 396L, 328L, 156L, 
    51L, 99L, 56L, 408L, 1030L, 62L, 417L, 1199L, 2796L, 223L, 
    781L, 406L, 1958L, 154L, 603L, 262L, 597L, 27L, 466L, 69L, 
    112L, 0L, 122L, 88L, 724L, 159L, 446L, 602L, 2454L, 180L, 
    936L, 341L, 2119L, 411L, 1152L, 152L, 675L, 311L, 898L, 90L, 
    200L, 308L, 614L, 0L, 518L, 36L, 200L, 88L, 277L, 0L, 190L, 
    0L, 245L, 15L, 142L, 0L, 21L, 0L, 31L, 0L, 163L, 0L, 19L, 
    0L, 211L, 183L, 448L, 0L, 261L, 159L, 415L, 0L, 182L, 0L, 
    251L, 0L, 0L, 3L, 158L, 0L, 86L, 0L, 67L, 0L, 0L, 252L, 257L, 
    86L, 33L, 394L, 912L, 195L, 115L, 265L, 572L, 61L, 0L, 77L, 
    297L, 30L, 0L, 0L, 0L, 0L, 0L, 130L, 431L, 94L, 5L, 175L, 
    327L, 209L, 86L, 294L, 527L, 25L, 58L, 417L, 169L, 23L, 0L, 
    33L, 55L, 0L, 57L, 0L, 103L, 810L, 226L, 25L, 332L, 936L, 
    346L, 0L, 410L, 655L, 68L, 0L, 77L, 120L, 21L, 0L, 0L, 0L, 
    15L, 0L, 12L, 253L, 316L, 238L, 390L, 799L, 334L, 26L, 261L, 
    914L, 207L, 20L, 165L, 372L, 78L, 0L, 85L, 105L, 220L, 0L, 
    71L, 461L, 925L, 52L, 327L, 525L, 1122L, 85L, 223L, 160L, 
    641L, 43L, 145L, 109L, 237L, 0L, 120L, 0L, 123L, 49L, 69L, 
    119L, 459L, 296L, 378L, 352L, 1228L, 50L, 420L, 342L, 512L, 
    42L, 162L, 111L, 470L, 0L, 30L, 0L, 76L, 0L, 9L, 0L, 110L, 
    0L, 0L, 0L, 112L, 0L, 92L, 0L, 60L, 0L, 12L, 0L, 101L, 37L, 
    0L, 0L, 26L, 78L, 356L, 0L, 22L, 38L, 201L, 0L, 38L, 0L, 
    0L, 0L, 24L, 0L, 16L, 0L, 124L, 0L, 61L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 0L, 150L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 77L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 0L, 
    21L, 97L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 7L, 0L, 0L, 0L, 31L, 
    162L, 0L, 0L, 0L, 37L, 0L, 34L, 62L, 51L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 6L, 0L, 151L, 0L, 81L, 35L, 32L, 0L, 
    8L, 0L, 58L, 0L, 0L, 0L, 31L, 0L, 41L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 54L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 
    22L, 0L, 14L, 390L, 85L, 186L, 282L, 154L, 14L, 58L, 136L, 
    0L, 45L, 0L, 103L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 475L, 
    0L, 272L, 0L, 0L, 0L, 312L, 370L, 0L, 0L, 208L, 40L, 0L, 
    0L, 0L, 13L, 0L, 0L, 0L, 0L, 421L, 23L, 133L, 141L, 193L, 
    1L, 38L, 0L, 90L, 0L, 0L, 68L, 43L, 0L, 0L, 0L, 26L, 0L, 
    0L, 0L, 168L, 0L, 32L, 41L, 87L, 0L, 221L, 146L, 24L, 0L, 
    301L, 0L, 91L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 92L, 108L, 
    52L, 0L, 0L, 0L, 70L, 0L, 0L, 0L, 178L, 0L, 19L, 0L, 15L, 
    0L, 5L, 0L, 0L, 0L, 121L, 69L, 201L, 23L, 202L, 45L, 165L, 
    0L, 0L, 133L, 37L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 137L, 
    0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 43L, 0L, 0L, 0L, 134L, 74L, 155L, 0L, 0L, 0L, 181L, 0L, 
    23L, 0L, 41L, 0L, 0L, 0L, 80L, 0L, 0L, 0L, 0L, 216L, 87L, 
    180L, 80L, 221L, 0L, 96L, 278L, 72L, 18L, 134L, 166L, 69L, 
    49L, 0L, 92L, 0L, 0L, 0L, 0L, 72L, 67L, 22L, 38L, 488L, 108L, 
    74L, 347L, 15L, 0L, 60L, 62L, 0L, 11L, 0L, 0L, 0L, 21L, 0L, 
    0L, 199L, 112L, 176L, 30L, 252L, 72L, 46L, 35L, 296L, 0L, 
    0L, 61L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 490L, 0L, 36L, 
    128L, 289L, 0L, 116L, 32L, 119L, 13L, 396L, 51L, 52L, 0L, 
    48L, 0L, 0L, 0L, 0L, 0L, 330L, 246L, 88L, 140L, 100L, 90L, 
    0L, 162L, 136L, 113L, 0L, 57L, 0L, 0L, 0L, 27L, 13L, 0L, 
    0L, 0L, 140L, 421L, 61L, 8L, 18L, 208L, 0L, 10L, 38L, 225L, 
    0L, 72L, 57L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 287L, 0L, 0L, 
    8L, 77L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 93L, 
    0L, 0L, 0L, 80L, 0L, 23L, 0L, 203L, 0L, 137L, 0L, 0L, 0L, 
    140L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 176L, 196L, 160L, 
    93L, 210L, 67L, 246L, 569L, 0L, 132L, 94L, 67L, 0L, 34L, 
    0L, 0L, 0L, 0L, 0L, 0L, 70L, 0L, 75L, 250L, 226L, 124L, 369L, 
    110L, 93L, 163L, 59L, 247L, 0L, 15L, 0L, 0L, 0L, 0L, 0L, 
    0L, 573L, 0L, 47L, 43L, 155L, 129L, 69L, 266L, 483L, 83L, 
    0L, 180L, 35L, 0L, 0L, 62L, 82L, 0L, 0L, 0L, 277L, 0L, 22L, 
    61L, 225L, 65L, 0L, 0L, 206L, 70L, 42L, 157L, 114L, 0L, 0L, 
    0L, 28L, 0L, 0L, 50L, 229L, 417L, 0L, 0L, 4L, 310L, 0L, 61L, 
    60L, 146L, 0L, 312L, 38L, 56L, 0L, 0L, 0L, 96L, 0L, 0L, 42L, 
    154L, 0L, 135L, 250L, 179L, 0L, 8L, 55L, 233L, 0L, 184L, 
    0L, 27L, 0L, 19L, 0L, 24L, 0L, 0L, 49L, 68L, 0L, 0L, 0L, 
    28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 20L, 0L, 23L, 0L, 36L, 0L, 0L, 0L, 81L, 0L, 
    0L, 0L, 0L, 0L, 31L, 0L, 0L, 85L, 0L, 29L, 60L, 18L, 0L, 
    72L, 64L, 0L, 20L, 35L, 78L, 0L, 33L, 24L, 0L, 0L, 0L, 0L, 
    0L, 0L, 69L, 97L, 111L, 0L, 14L, 29L, 38L, 0L, 0L, 18L, 58L, 
    0L, 0L, 0L, 60L, 25L, 0L, 0L, 0L, 62L, 38L, 0L, 113L, 135L, 
    0L, 0L, 157L, 182L, 0L, 112L, 0L, 50L, 0L, 0L, 54L, 146L, 
    0L, 0L, 0L, 45L, 81L, 97L, 0L, 27L, 0L, 0L, 0L, 114L, 0L, 
    0L, 44L, 126L, 31L, 0L, 0L, 24L, 23L, 20L, 0L, 15L, 0L, 16L, 
    99L, 28L, 13L, 0L, 32L, 50L, 149L, 0L, 26L, 58L, 57L, 0L, 
    0L, 23L, 63L, 0L, 0L, 0L, 79L, 0L, 47L, 30L, 48L, 0L, 30L, 
    0L, 113L, 0L, 0L, 0L, 116L, 0L, 0L, 0L, 246L, 0L, 0L, 0L, 
    0L, 14L, 0L, 0L, 49L, 0L, 0L, 0L, 51L, 0L, 12L, 0L, 0L, 0L, 
    0L, 0L, 57L, 0L, 15L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 13L, 
    0L, 0L, 0L, 0L, 15L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 84L, 0L, 0L, 0L, 62L, 22L, 0L, 
    0L, 107L, 16L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 35L, 0L, 75L, 0L, 0L, 0L, 
    0L, 0L, 58L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 100L, 0L, 0L, 0L, 0L, 0L, 0L, 1475L, 
    150L, 3214L, 5555L, 1436L, 1274L, 3271L, 18213L, 1608L, 1890L, 
    2522L, 37047L, 316L, 769L, 519L, 9745L, 63L, 191L, 147L, 
    1270L, 1585L, 213L, 4798L, 3754L, 3175L, 1625L, 7092L, 14806L, 
    2998L, 2193L, 10415L, 37538L, 437L, 1156L, 620L, 11614L, 
    39L, 253L, 36L, 2134L, 1985L, 1327L, 1295L, 6860L, 5300L, 
    2374L, 2870L, 15856L, 4599L, 1879L, 2378L, 15057L, 2267L, 
    1153L, 420L, 6730L, 762L, 387L, 153L, 2803L, 1792L, 932L, 
    4962L, 5415L, 4160L, 1830L, 9631L, 10085L, 7361L, 2200L, 
    14349L, 11980L, 2643L, 595L, 3105L, 7393L, 733L, 318L, 686L, 
    2932L, 1046L, 4374L, 905L, 12941L, 2949L, 8591L, 2104L, 24591L, 
    2674L, 10463L, 1343L, 34829L, 2402L, 4342L, 701L, 14981L, 
    946L, 2496L, 482L, 7090L, 1142L, 6581L, 2192L, 15427L, 1876L, 
    11660L, 3499L, 32378L, 2753L, 12889L, 5815L, 49245L, 1239L, 
    4425L, 2104L, 16833L, 368L, 1802L, 623L, 7142L, 127L, 16023L, 
    190L, 18168L, 192L, 16884L, 179L, 21607L, 168L, 14728L, 55L, 
    20103L, 83L, 5699L, 76L, 9911L, 0L, 4793L, 20L, 6150L, 0L, 
    12771L, 268L, 60372L, 0L, 19881L, 308L, 93753L, 28L, 11828L, 
    61L, 75668L, 0L, 4281L, 94L, 19358L, 0L, 1810L, 48L, 10561L, 
    2612L, 643L, 5480L, 10878L, 5881L, 4288L, 9915L, 32407L, 
    6901L, 5962L, 5925L, 46026L, 1124L, 2142L, 480L, 16190L, 
    118L, 710L, 0L, 2120L, 3387L, 1036L, 5587L, 6014L, 7218L, 
    4414L, 13157L, 20332L, 11760L, 7149L, 12246L, 42064L, 2079L, 
    3635L, 1030L, 21425L, 361L, 499L, 98L, 3706L, 4817L, 2126L, 
    3030L, 9247L, 12956L, 5458L, 5808L, 23828L, 14232L, 5730L, 
    4311L, 27259L, 5744L, 2468L, 953L, 14240L, 1788L, 920L, 267L, 
    4840L, 4351L, 1549L, 3822L, 4518L, 12734L, 3871L, 11459L, 
    13097L, 17840L, 5537L, 22251L, 22189L, 5758L, 2356L, 4266L, 
    12382L, 1657L, 844L, 928L, 5189L, 2261L, 8237L, 1372L, 10984L, 
    5504L, 21075L, 2961L, 35060L, 8411L, 27150L, 3216L, 48193L, 
    3823L, 9614L, 1259L, 19601L, 2187L, 5386L, 561L, 8033L, 892L, 
    10018L, 1797L, 11083L, 3920L, 29702L, 5598L, 40506L, 6162L, 
    32743L, 10376L, 65047L, 2694L, 9046L, 3670L, 23706L, 1321L, 
    3698L, 1298L, 10566L, 498L, 28180L, 289L, 14077L, 324L, 45722L, 
    171L, 21867L, 539L, 47078L, 253L, 24829L, 78L, 19749L, 88L, 
    11926L, 84L, 13498L, 0L, 8317L, 235L, 21904L, 695L, 32101L, 
    0L, 54805L, 741L, 72746L, 122L, 40453L, 406L, 71908L, 70L, 
    10800L, 91L, 23611L, 0L, 4421L, 37L, 14572L, 2237L, 1038L, 
    8913L, 16817L, 11950L, 8002L, 18930L, 58570L, 13974L, 12637L, 
    13650L, 79054L, 4351L, 8032L, 1144L, 34221L, 941L, 1710L, 
    88L, 4934L, 2440L, 1025L, 6013L, 9699L, 14010L, 6640L, 15452L, 
    34046L, 24513L, 16340L, 19488L, 67990L, 6466L, 9780L, 2220L, 
    40584L, 1358L, 2257L, 315L, 6822L, 9007L, 2919L, 3404L, 12598L, 
    40073L, 13284L, 9776L, 39516L, 58495L, 16635L, 10622L, 52522L, 
    27050L, 10683L, 3109L, 39004L, 12378L, 3987L, 684L, 14230L, 
    7401L, 2254L, 3754L, 5816L, 37538L, 11566L, 10770L, 20912L, 
    67436L, 16695L, 25038L, 36523L, 33168L, 9896L, 9320L, 35263L, 
    9218L, 4918L, 4901L, 19209L, 4558L, 12388L, 1481L, 12081L, 
    19786L, 56696L, 5319L, 46861L, 33688L, 86978L, 7529L, 70758L, 
    17060L, 33502L, 2915L, 39439L, 8661L, 18106L, 2033L, 20774L, 
    2475L, 14721L, 1463L, 8433L, 12521L, 71511L, 6382L, 42162L, 
    23057L, 95420L, 13297L, 93030L, 10437L, 31075L, 7962L, 48136L, 
    4844L, 13715L, 4287L, 31572L, 355L, 20525L, 242L, 7410L, 
    709L, 50435L, 826L, 15962L, 672L, 73688L, 155L, 20255L, 171L, 
    42455L, 159L, 13750L, 425L, 32445L, 282L, 11783L, 236L, 17115L, 
    1593L, 18918L, 383L, 58665L, 1689L, 43015L, 273L, 58277L, 
    809L, 49118L, 36L, 26050L, 409L, 25166L, 22L, 12133L, 186L, 
    16625L, 1275L, 687L, 9010L, 15416L, 5767L, 8431L, 27515L, 
    69521L, 8275L, 12536L, 28921L, 94449L, 4182L, 11310L, 2805L, 
    49469L, 954L, 2693L, 123L, 6349L, 1245L, 1147L, 6655L, 10135L, 
    8017L, 8037L, 21702L, 42229L, 14064L, 14814L, 32360L, 79778L, 
    9069L, 19678L, 4191L, 45599L, 2557L, 5342L, 437L, 8461L, 
    9251L, 3800L, 1674L, 9736L, 53512L, 18451L, 8696L, 38776L, 
    98150L, 32668L, 9103L, 52833L, 89068L, 33449L, 5364L, 58947L, 
    42363L, 15595L, 1968L, 24504L, 6021L, 3070L, 1844L, 3342L, 
    49860L, 15708L, 5872L, 17278L, 116850L, 32235L, 13790L, 34098L, 
    101896L, 28596L, 9150L, 40998L, 44230L, 16993L, 3702L, 23827L, 
    4249L, 12861L, 1239L, 7162L, 31392L, 71582L, 5270L, 29880L, 
    71306L, 157122L, 8191L, 54991L, 61405L, 99992L, 5375L, 46162L, 
    43154L, 69637L, 3941L, 33919L, 2573L, 13461L, 930L, 5020L, 
    22214L, 88262L, 6438L, 25673L, 56547L, 176943L, 9545L, 60335L, 
    44230L, 92893L, 7066L, 45253L, 21898L, 55466L, 6886L, 42209L, 
    825L, 9552L, 315L, 3786L, 1365L, 25146L, 1015L, 7526L, 1140L, 
    52509L, 1038L, 11230L, 871L, 46777L, 326L, 10621L, 684L, 
    50245L, 732L, 11782L, 357L, 7437L, 1861L, 10601L, 1156L, 
    30248L, 4475L, 21898L, 398L, 45075L, 2528L, 23403L, 85L, 
    29696L, 537L, 14586L, 123L, 16350L, 762L, 12758L, 118L, 218L, 
    4479L, 6812L, 667L, 1596L, 14095L, 25355L, 1646L, 2210L, 
    16224L, 39890L, 512L, 2767L, 2814L, 23641L, 154L, 1391L, 
    116L, 2954L, 151L, 120L, 3190L, 3798L, 1311L, 1933L, 8518L, 
    15201L, 2856L, 2499L, 15163L, 29986L, 1945L, 5004L, 3929L, 
    22348L, 535L, 2080L, 245L, 4298L, 1441L, 601L, 201L, 2141L, 
    9682L, 4849L, 1492L, 11090L, 25641L, 10757L, 2629L, 17522L, 
    55791L, 22793L, 2373L, 26480L, 45047L, 14462L, 1750L, 15855L, 
    1376L, 659L, 414L, 921L, 12043L, 4495L, 1765L, 5680L, 35187L, 
    9648L, 3265L, 9158L, 65816L, 22409L, 3066L, 15083L, 45072L, 
    14657L, 2382L, 10607L, 1873L, 3782L, 208L, 2222L, 9014L, 
    19503L, 1400L, 9441L, 28167L, 56583L, 3134L, 16865L, 58368L, 
    78624L, 3257L, 22316L, 64494L, 90137L, 3261L, 22643L, 795L, 
    3259L, 224L, 1529L, 8419L, 30890L, 1277L, 6135L, 27162L, 
    79538L, 2986L, 14932L, 47301L, 77562L, 2707L, 13992L, 34210L, 
    63979L, 2811L, 15468L, 311L, 3209L, 182L, 1198L, 582L, 7633L, 
    695L, 2469L, 825L, 16238L, 266L, 4021L, 743L, 25502L, 312L, 
    4900L, 1451L, 38254L, 259L, 6679L, 371L, 2309L, 710L, 2879L, 
    564L, 11316L, 2557L, 8097L, 208L, 18344L, 1073L, 9455L, 215L, 
    17272L, 884L, 6598L, 118L, 10705L, 391L, 4417L, 282L, 36L, 
    3077L, 3642L, 830L, 327L, 3146L, 9018L, 74L, 295L, 2107L, 
    6812L, 138L, 0L, 22L, 394L, 0L, 0L, 0L, 34L, 407L, 80L, 4990L, 
    2747L, 857L, 287L, 9957L, 6350L, 625L, 170L, 6652L, 6075L, 
    62L, 133L, 159L, 805L, 0L, 0L, 99L, 212L, 445L, 370L, 514L, 
    2958L, 1135L, 533L, 1204L, 4910L, 885L, 328L, 839L, 4232L, 
    185L, 0L, 130L, 569L, 95L, 58L, 219L, 188L, 481L, 452L, 4902L, 
    2762L, 1309L, 735L, 9711L, 4219L, 1167L, 439L, 10461L, 3972L, 
    212L, 208L, 722L, 1254L, 0L, 38L, 104L, 580L, 501L, 462L, 
    293L, 5313L, 472L, 1755L, 833L, 9028L, 664L, 1365L, 388L, 
    7166L, 95L, 285L, 221L, 1527L, 146L, 80L, 73L, 659L, 16L, 
    956L, 2144L, 7119L, 509L, 1886L, 2822L, 11232L, 486L, 1642L, 
    2807L, 14228L, 31L, 546L, 303L, 2277L, 66L, 137L, 167L, 853L, 
    123L, 1825L, 139L, 5322L, 27L, 1129L, 29L, 3323L, 62L, 1139L, 
    106L, 2633L, 64L, 69L, 23L, 760L, 0L, 67L, 0L, 287L, 68L, 
    1033L, 129L, 14103L, 0L, 1044L, 110L, 8137L, 0L, 974L, 101L, 
    7979L, 0L, 94L, 0L, 1314L, 0L, 203L, 25L, 868L, 364L, 142L, 
    2513L, 3444L, 1329L, 699L, 5166L, 8478L, 1463L, 725L, 3008L, 
    8169L, 110L, 47L, 31L, 2034L, 40L, 82L, 82L, 110L, 352L, 
    61L, 2592L, 2294L, 1147L, 631L, 6972L, 8448L, 1304L, 494L, 
    7832L, 9643L, 271L, 99L, 538L, 2441L, 25L, 0L, 0L, 315L, 
    985L, 333L, 583L, 2526L, 2764L, 880L, 3636L, 8248L, 2386L, 
    836L, 2190L, 6968L, 750L, 87L, 319L, 2153L, 95L, 29L, 0L, 
    300L, 900L, 153L, 1950L, 2136L, 1869L, 504L, 7262L, 5418L, 
    3694L, 1044L, 10959L, 7870L, 377L, 126L, 1600L, 1968L, 264L, 
    0L, 489L, 755L, 578L, 1339L, 412L, 2637L, 1181L, 2818L, 620L, 
    7286L, 1402L, 2881L, 967L, 7384L, 493L, 371L, 23L, 1528L, 
    151L, 214L, 117L, 879L, 294L, 1569L, 1070L, 4302L, 900L, 
    3000L, 2647L, 10115L, 843L, 3228L, 3302L, 15320L, 252L, 730L, 
    1179L, 2698L, 64L, 107L, 53L, 1215L, 15L, 3525L, 92L, 2337L, 
    0L, 2675L, 112L, 3012L, 130L, 2273L, 55L, 2596L, 0L, 592L, 
    0L, 792L, 0L, 249L, 24L, 213L, 0L, 1976L, 210L, 5427L, 48L, 
    1998L, 468L, 5630L, 0L, 1683L, 31L, 6222L, 0L, 362L, 72L, 
    1662L, 0L, 210L, 0L, 1029L, 229L, 56L, 2956L, 4247L, 1565L, 
    584L, 5862L, 12149L, 1524L, 1326L, 5249L, 12394L, 277L, 111L, 
    250L, 2342L, 24L, 72L, 0L, 104L, 362L, 61L, 2309L, 1751L, 
    1454L, 1010L, 5334L, 7019L, 1688L, 1068L, 5964L, 13482L, 
    270L, 303L, 561L, 3519L, 133L, 67L, 129L, 883L, 1407L, 590L, 
    855L, 2803L, 6642L, 2017L, 3842L, 7889L, 9366L, 2415L, 2868L, 
    10561L, 2485L, 706L, 763L, 4359L, 865L, 411L, 25L, 1395L, 
    975L, 151L, 806L, 1099L, 3936L, 1296L, 4000L, 5654L, 8604L, 
    2070L, 9179L, 9463L, 2326L, 663L, 2616L, 5250L, 590L, 370L, 
    1096L, 2493L, 482L, 1663L, 244L, 2071L, 1961L, 5541L, 1269L, 
    5773L, 4782L, 7270L, 1112L, 10456L, 1604L, 2434L, 585L, 3985L, 
    890L, 708L, 132L, 1445L, 140L, 1399L, 370L, 1939L, 979L, 
    5830L, 1643L, 6820L, 3002L, 7879L, 3598L, 19444L, 474L, 2703L, 
    866L, 5585L, 249L, 636L, 329L, 3464L, 108L, 2206L, 184L, 
    1622L, 50L, 3796L, 32L, 1980L, 134L, 4547L, 36L, 1721L, 17L, 
    1349L, 72L, 504L, 29L, 862L, 258L, 319L, 47L, 1325L, 216L, 
    3475L, 0L, 2331L, 313L, 3433L, 26L, 2283L, 210L, 5064L, 0L, 
    877L, 114L, 1480L, 29L, 802L, 0L, 1655L, 72L, 191L, 1567L, 
    3209L, 459L, 564L, 5131L, 9098L, 1245L, 1192L, 3983L, 12045L, 
    111L, 399L, 341L, 3836L, 122L, 70L, 150L, 335L, 98L, 149L, 
    1216L, 1439L, 729L, 396L, 2683L, 5764L, 617L, 1044L, 3639L, 
    9098L, 826L, 839L, 798L, 3862L, 79L, 96L, 159L, 790L, 387L, 
    444L, 239L, 2217L, 5185L, 1592L, 2373L, 6355L, 13401L, 3514L, 
    1865L, 7463L, 6154L, 2589L, 1202L, 6386L, 2101L, 1387L, 289L, 
    1800L, 641L, 237L, 205L, 711L, 3561L, 1219L, 1584L, 3028L, 
    10269L, 2332L, 3596L, 5134L, 5793L, 1740L, 2320L, 5700L, 
    3189L, 1432L, 969L, 1957L, 600L, 1292L, 344L, 1060L, 2951L, 
    6841L, 747L, 5597L, 6677L, 12200L, 941L, 7531L, 4463L, 5083L, 
    402L, 3532L, 1944L, 2363L, 302L, 1267L, 210L, 859L, 331L, 
    883L, 854L, 5817L, 1130L, 3267L, 4404L, 12561L, 1976L, 9106L, 
    2802L, 5294L, 990L, 5705L, 995L, 2917L, 847L, 4075L, 0L, 
    1248L, 34L, 355L, 62L, 2090L, 64L, 778L, 240L, 3778L, 0L, 
    1053L, 95L, 1276L, 34L, 547L, 49L, 1991L, 0L, 724L, 0L, 436L, 
    505L, 1070L, 0L, 1234L, 214L, 2444L, 132L, 2349L, 342L, 2763L, 
    0L, 816L, 99L, 1315L, 0L, 957L, 0L, 829L, 83L, 0L, 243L, 
    459L, 51L, 104L, 805L, 2670L, 269L, 120L, 1240L, 3420L, 57L, 
    21L, 144L, 1289L, 0L, 27L, 0L, 51L, 0L, 0L, 203L, 301L, 90L, 
    82L, 797L, 1037L, 178L, 64L, 1112L, 3074L, 0L, 302L, 271L, 
    1063L, 0L, 29L, 43L, 664L, 0L, 68L, 77L, 139L, 293L, 503L, 
    145L, 1651L, 2222L, 1043L, 183L, 1577L, 1850L, 688L, 399L, 
    1874L, 1782L, 1043L, 0L, 784L, 96L, 28L, 0L, 56L, 598L, 191L, 
    206L, 821L, 1013L, 798L, 243L, 958L, 2299L, 406L, 363L, 1314L, 
    1923L, 999L, 167L, 787L, 0L, 168L, 46L, 486L, 430L, 814L, 
    34L, 1183L, 1825L, 3190L, 217L, 1715L, 2311L, 2841L, 124L, 
    388L, 1787L, 2504L, 198L, 991L, 0L, 408L, 0L, 245L, 309L, 
    922L, 103L, 966L, 864L, 2510L, 445L, 1871L, 1216L, 2358L, 
    144L, 1284L, 1490L, 2484L, 108L, 866L, 0L, 133L, 0L, 73L, 
    24L, 348L, 70L, 241L, 159L, 936L, 0L, 201L, 86L, 477L, 0L, 
    130L, 67L, 1045L, 38L, 221L, 31L, 132L, 254L, 275L, 0L, 294L, 
    34L, 177L, 0L, 762L, 193L, 539L, 0L, 229L, 67L, 248L, 0L, 
    403L, 40L, 122L, 4776L, 1254L, 10158L, 9091L, 3454L, 1078L, 
    9650L, 9189L, 1200L, 800L, 4158L, 11960L, 54L, 130L, 43L, 
    1145L, 12L, 31L, 0L, 175L, 5166L, 1117L, 15385L, 5072L, 4905L, 
    1347L, 16139L, 9164L, 2605L, 1795L, 11592L, 14803L, 80L, 
    157L, 558L, 1873L, 74L, 96L, 100L, 244L, 9801L, 1744L, 3006L, 
    5435L, 5747L, 1071L, 1422L, 8000L, 2134L, 492L, 1610L, 5784L, 
    495L, 67L, 465L, 1012L, 113L, 53L, 125L, 321L, 9204L, 1589L, 
    14538L, 3774L, 5705L, 1274L, 10057L, 3711L, 3543L, 719L, 
    9250L, 4179L, 399L, 196L, 931L, 879L, 59L, 0L, 289L, 331L, 
    6030L, 7624L, 1733L, 8133L, 2073L, 3310L, 701L, 7697L, 1397L, 
    1949L, 465L, 5709L, 373L, 576L, 380L, 1426L, 190L, 211L, 
    99L, 528L, 4086L, 9989L, 6746L, 17453L, 1994L, 3862L, 3124L, 
    10309L, 721L, 2932L, 2789L, 8036L, 48L, 296L, 264L, 1558L, 
    0L, 68L, 258L, 536L, 1085L, 16840L, 217L, 11466L, 124L, 3700L, 
    111L, 3692L, 267L, 2751L, 32L, 2321L, 0L, 405L, 0L, 369L, 
    0L, 244L, 0L, 254L, 423L, 11547L, 866L, 39201L, 0L, 4040L, 
    211L, 12250L, 0L, 1417L, 133L, 5921L, 0L, 190L, 27L, 1270L, 
    0L, 130L, 0L, 571L, 7011L, 1509L, 19721L, 15187L, 9047L, 
    3616L, 23095L, 26991L, 6268L, 2517L, 11711L, 21275L, 629L, 
    810L, 875L, 3651L, 20L, 20L, 0L, 598L, 8069L, 1507L, 13982L, 
    9677L, 11733L, 4172L, 24222L, 18943L, 9306L, 3949L, 21486L, 
    22120L, 921L, 711L, 1199L, 4962L, 199L, 123L, 134L, 655L, 
    30162L, 3953L, 6566L, 10621L, 22725L, 3937L, 5599L, 14724L, 
    11172L, 2142L, 2669L, 10510L, 2403L, 626L, 633L, 2635L, 469L, 
    208L, 25L, 507L, 20366L, 3182L, 10704L, 6394L, 18207L, 2878L, 
    14651L, 8912L, 13583L, 2760L, 14766L, 9534L, 1936L, 869L, 
    1546L, 2513L, 437L, 237L, 374L, 844L, 17875L, 19471L, 3440L, 
    10959L, 7185L, 10227L, 1613L, 13022L, 4774L, 6704L, 1187L, 
    9222L, 938L, 1160L, 323L, 2343L, 581L, 542L, 183L, 518L, 
    9486L, 20893L, 7196L, 16332L, 4161L, 12193L, 3662L, 14566L, 
    3581L, 6197L, 4898L, 13549L, 597L, 1114L, 330L, 2319L, 426L, 
    511L, 100L, 886L, 1356L, 20946L, 603L, 7210L, 207L, 8158L, 
    294L, 3408L, 119L, 5788L, 68L, 2325L, 28L, 1331L, 0L, 468L, 
    0L, 687L, 28L, 296L, 487L, 17096L, 2794L, 18499L, 39L, 7928L, 
    602L, 7829L, 0L, 2980L, 35L, 5573L, 0L, 511L, 129L, 1192L, 
    0L, 484L, 0L, 813L, 7606L, 3974L, 25293L, 23424L, 14646L, 
    6960L, 42172L, 47367L, 11840L, 6307L, 25525L, 41804L, 1606L, 
    1737L, 2016L, 8163L, 149L, 262L, 197L, 1115L, 10366L, 2366L, 
    18547L, 12806L, 20127L, 8271L, 36471L, 35185L, 18827L, 9842L, 
    35869L, 44642L, 2721L, 3076L, 3903L, 12026L, 659L, 491L, 
    425L, 1781L, 41387L, 7206L, 7266L, 15008L, 47207L, 9136L, 
    9487L, 26778L, 39972L, 7690L, 7796L, 21037L, 8399L, 3062L, 
    1102L, 8009L, 2042L, 489L, 320L, 3190L, 33120L, 5639L, 7764L, 
    7954L, 39761L, 8172L, 13826L, 15114L, 43028L, 7029L, 15345L, 
    17719L, 8587L, 3321L, 3221L, 8140L, 2277L, 682L, 1154L, 3524L, 
    26476L, 29565L, 3207L, 10324L, 16575L, 20755L, 3464L, 15405L, 
    13824L, 16781L, 2641L, 13461L, 2861L, 3970L, 633L, 4599L, 
    1696L, 1039L, 280L, 1404L, 16633L, 28302L, 8633L, 15571L, 
    11163L, 25163L, 4657L, 17153L, 9830L, 20112L, 5515L, 17570L, 
    1819L, 2632L, 1214L, 5405L, 745L, 1470L, 762L, 2680L, 2533L, 
    17035L, 1161L, 5069L, 402L, 8565L, 554L, 2488L, 806L, 7494L, 
    179L, 1998L, 155L, 1959L, 44L, 845L, 173L, 1516L, 0L, 698L, 
    1427L, 12601L, 5044L, 14364L, 339L, 8571L, 1135L, 8258L, 
    41L, 4395L, 396L, 3880L, 0L, 1030L, 127L, 1216L, 0L, 513L, 
    0L, 780L, 2833L, 2526L, 14003L, 17509L, 8973L, 7611L, 32732L, 
    50210L, 6589L, 6791L, 27004L, 45005L, 1913L, 2493L, 1904L, 
    12519L, 431L, 288L, 405L, 1539L, 3425L, 2241L, 8568L, 8557L, 
    9288L, 7275L, 25976L, 31150L, 12123L, 8669L, 29146L, 46128L, 
    3105L, 4454L, 4976L, 13499L, 739L, 984L, 403L, 2954L, 17156L, 
    6064L, 4006L, 7705L, 33015L, 11989L, 7263L, 21606L, 45907L, 
    11184L, 5127L, 21173L, 19791L, 7335L, 1935L, 11210L, 6564L, 
    2259L, 258L, 4385L, 13717L, 4410L, 3025L, 4038L, 34178L, 
    10046L, 5765L, 13313L, 53744L, 11459L, 7864L, 17097L, 22009L, 
    6743L, 2307L, 9983L, 8002L, 3934L, 1051L, 4166L, 15392L, 
    21272L, 2239L, 6116L, 15539L, 23741L, 1842L, 9511L, 19672L, 
    32402L, 1508L, 10966L, 8021L, 9906L, 807L, 4479L, 4887L, 
    5692L, 333L, 2413L, 10644L, 21358L, 4765L, 7111L, 12000L, 
    30562L, 3873L, 10385L, 15702L, 33458L, 3686L, 13316L, 5738L, 
    8453L, 882L, 6572L, 2889L, 3839L, 493L, 3532L, 2083L, 9676L, 
    1018L, 3281L, 817L, 4330L, 333L, 1874L, 502L, 5780L, 134L, 
    1012L, 387L, 2264L, 82L, 560L, 173L, 2302L, 0L, 510L, 1189L, 
    7435L, 4784L, 10010L, 409L, 4145L, 1498L, 4037L, 88L, 3431L, 
    455L, 2453L, 0L, 755L, 381L, 567L, 0L, 701L, 69L, 841L, 401L, 
    284L, 1984L, 2079L, 807L, 1009L, 5565L, 9988L, 660L, 946L, 
    6489L, 9819L, 133L, 747L, 934L, 3959L, 98L, 163L, 168L, 982L, 
    200L, 151L, 1404L, 1601L, 868L, 939L, 3201L, 6716L, 1009L, 
    1413L, 7691L, 10922L, 681L, 1557L, 1541L, 4582L, 145L, 425L, 
    66L, 995L, 1981L, 813L, 766L, 1473L, 3424L, 2092L, 665L, 
    2947L, 7134L, 3364L, 833L, 3922L, 6430L, 2091L, 340L, 3934L, 
    3320L, 1266L, 319L, 1415L, 1341L, 528L, 517L, 705L, 4471L, 
    2276L, 722L, 1772L, 10377L, 3164L, 1292L, 3798L, 7536L, 2978L, 
    486L, 2501L, 5437L, 1740L, 604L, 1138L, 1812L, 3245L, 308L, 
    1155L, 2662L, 4246L, 667L, 1767L, 4504L, 7598L, 393L, 2771L, 
    4323L, 4203L, 158L, 1822L, 4269L, 4811L, 445L, 1396L, 1458L, 
    3448L, 1010L, 1157L, 2458L, 5474L, 565L, 1514L, 3809L, 8580L, 
    176L, 2373L, 3666L, 4646L, 290L, 1535L, 2690L, 4173L, 107L, 
    1282L, 374L, 1933L, 167L, 827L, 140L, 778L, 166L, 243L, 286L, 
    1100L, 0L, 371L, 42L, 911L, 0L, 110L, 148L, 1009L, 0L, 178L, 
    319L, 1019L, 1008L, 1608L, 122L, 944L, 908L, 626L, 29L, 630L, 
    196L, 653L, 0L, 595L, 187L, 326L, 0L, 355L, 42L, 209L, 264L, 
    27L, 1260L, 1306L, 836L, 308L, 1062L, 5708L, 735L, 963L, 
    353L, 14205L, 25L, 423L, 85L, 3228L, 67L, 29L, 0L, 199L, 
    449L, 100L, 2093L, 1439L, 1214L, 301L, 3061L, 3701L, 1856L, 
    713L, 2347L, 14322L, 261L, 355L, 142L, 4724L, 0L, 70L, 21L, 
    749L, 609L, 45L, 145L, 1723L, 1254L, 975L, 1039L, 3934L, 
    1135L, 607L, 574L, 4505L, 427L, 164L, 125L, 2030L, 95L, 34L, 
    125L, 730L, 379L, 395L, 835L, 1068L, 994L, 537L, 2275L, 2093L, 
    2272L, 582L, 3380L, 2990L, 685L, 321L, 1094L, 1494L, 266L, 
    4L, 488L, 800L, 64L, 669L, 199L, 2345L, 421L, 1996L, 220L, 
    6606L, 677L, 2336L, 473L, 7677L, 385L, 1362L, 245L, 3736L, 
    497L, 654L, 88L, 1702L, 106L, 1005L, 205L, 2944L, 487L, 3240L, 
    768L, 7263L, 417L, 2781L, 1005L, 10905L, 438L, 1596L, 593L, 
    4410L, 146L, 488L, 136L, 1922L, 0L, 3151L, 59L, 3373L, 54L, 
    3923L, 0L, 3875L, 51L, 1722L, 69L, 2230L, 0L, 1248L, 0L, 
    1527L, 0L, 705L, 0L, 1170L, 0L, 2053L, 0L, 10521L, 0L, 4637L, 
    0L, 18652L, 0L, 2029L, 0L, 13070L, 0L, 830L, 0L, 3865L, 0L, 
    246L, 0L, 1381L, 1009L, 408L, 1443L, 3727L, 2820L, 1467L, 
    2300L, 10747L, 2397L, 2072L, 1165L, 15905L, 1331L, 1219L, 
    131L, 6169L, 151L, 342L, 34L, 548L, 895L, 311L, 1034L, 1478L, 
    3265L, 1116L, 3186L, 5420L, 3652L, 1845L, 2598L, 13197L, 
    1058L, 1872L, 255L, 9320L, 102L, 457L, 0L, 1116L, 1246L, 
    414L, 521L, 1636L, 4465L, 1196L, 996L, 7639L, 5040L, 1808L, 
    1251L, 8054L, 2492L, 766L, 730L, 4751L, 644L, 183L, 173L, 
    834L, 739L, 377L, 491L, 727L, 3858L, 1152L, 2478L, 3135L, 
    6066L, 1385L, 5737L, 4929L, 2797L, 814L, 2087L, 5234L, 614L, 
    261L, 469L, 1983L, 506L, 1655L, 495L, 1699L, 1117L, 6106L, 
    919L, 9725L, 2096L, 6674L, 660L, 10436L, 1454L, 3242L, 572L, 
    6200L, 672L, 1777L, 98L, 2337L, 159L, 1820L, 308L, 2101L, 
    1076L, 8397L, 1355L, 9434L, 1934L, 8312L, 1898L, 16124L, 
    882L, 2849L, 809L, 6997L, 220L, 1550L, 361L, 3460L, 37L, 
    4995L, 33L, 1728L, 147L, 10715L, 55L, 3349L, 0L, 8578L, 0L, 
    3036L, 43L, 4327L, 28L, 2182L, 61L, 2879L, 0L, 1208L, 0L, 
    3726L, 84L, 4320L, 0L, 12879L, 61L, 12341L, 0L, 7361L, 0L, 
    10326L, 0L, 2610L, 0L, 4037L, 0L, 826L, 0L, 1591L, 1025L, 
    354L, 3113L, 5942L, 3159L, 2864L, 5098L, 15475L, 4867L, 4241L, 
    3253L, 15793L, 1941L, 3950L, 382L, 10721L, 181L, 520L, 186L, 
    986L, 987L, 539L, 2057L, 1887L, 4585L, 2671L, 3377L, 8657L, 
    7835L, 4668L, 4612L, 14459L, 3373L, 5248L, 454L, 10677L, 
    477L, 1180L, 30L, 1545L, 2030L, 524L, 483L, 2405L, 12631L, 
    4465L, 2489L, 10128L, 20522L, 6243L, 2843L, 11536L, 12789L, 
    4698L, 1112L, 11242L, 4948L, 1229L, 315L, 3768L, 2266L, 565L, 
    501L, 937L, 11985L, 4775L, 2766L, 4627L, 20435L, 4920L, 4559L, 
    8072L, 15383L, 4034L, 3367L, 9176L, 4682L, 1484L, 1653L, 
    4285L, 1275L, 3233L, 203L, 2122L, 5987L, 17638L, 1074L, 8855L, 
    8376L, 21874L, 1437L, 12533L, 5323L, 12758L, 1049L, 7986L, 
    2146L, 6936L, 303L, 3290L, 386L, 3081L, 147L, 1551L, 4153L, 
    21917L, 1234L, 10189L, 5406L, 27167L, 2474L, 15532L, 3574L, 
    11240L, 1863L, 10919L, 1446L, 6109L, 1200L, 8943L, 0L, 4081L, 
    226L, 936L, 25L, 11368L, 31L, 2156L, 22L, 12326L, 70L, 2238L, 
    27L, 9262L, 149L, 1992L, 25L, 8315L, 0L, 1866L, 92L, 2791L, 
    177L, 1903L, 24L, 11944L, 218L, 6116L, 16L, 9990L, 232L, 
    4681L, 30L, 5873L, 60L, 3524L, 0L, 3638L, 105L, 2270L, 400L, 
    492L, 2732L, 4840L, 1712L, 1376L, 5678L, 13518L, 1861L, 2847L, 
    5578L, 15189L, 1286L, 3892L, 359L, 9390L, 269L, 976L, 156L, 
    1009L, 231L, 117L, 2049L, 2464L, 1797L, 1667L, 3672L, 8873L, 
    2959L, 2667L, 4651L, 10915L, 2290L, 5785L, 946L, 7932L, 926L, 
    1978L, 319L, 1653L, 1191L, 470L, 544L, 1163L, 10350L, 5234L, 
    2245L, 6140L, 20201L, 8931L, 1646L, 8741L, 28472L, 9616L, 
    1096L, 11385L, 13772L, 4773L, 506L, 4187L, 1474L, 290L, 152L, 
    385L, 10153L, 4975L, 1245L, 2262L, 25015L, 7706L, 1600L, 
    5294L, 31208L, 10331L, 1915L, 7415L, 13203L, 4818L, 968L, 
    4512L, 673L, 1830L, 76L, 979L, 6417L, 20591L, 1044L, 4611L, 
    14226L, 31980L, 1349L, 6880L, 15968L, 27174L, 1492L, 7958L, 
    10859L, 19213L, 899L, 5748L, 401L, 2432L, 122L, 309L, 4912L, 
    23733L, 995L, 3834L, 12430L, 36535L, 722L, 6963L, 11634L, 
    24167L, 1105L, 6418L, 6958L, 15958L, 904L, 5524L, 0L, 1200L, 
    191L, 470L, 217L, 4838L, 197L, 1232L, 108L, 6268L, 71L, 949L, 
    164L, 7215L, 103L, 1097L, 187L, 9451L, 0L, 1461L, 0L, 678L, 
    160L, 1159L, 155L, 4456L, 1170L, 3420L, 90L, 6182L, 149L, 
    1476L, 66L, 5846L, 190L, 1123L, 0L, 2979L, 106L, 1835L, 47L, 
    0L, 860L, 670L, 121L, 278L, 945L, 4651L, 147L, 590L, 1806L, 
    4504L, 92L, 426L, 149L, 3260L, 0L, 131L, 0L, 250L, 135L, 
    0L, 552L, 937L, 118L, 236L, 1056L, 1527L, 370L, 615L, 1807L, 
    3342L, 289L, 734L, 448L, 2071L, 42L, 364L, 0L, 177L, 212L, 
    99L, 36L, 238L, 1484L, 1005L, 14L, 1079L, 3706L, 1540L, 118L, 
    1214L, 9957L, 3161L, 376L, 4194L, 7101L, 2605L, 208L, 1196L, 
    240L, 105L, 62L, 32L, 1707L, 663L, 51L, 254L, 4742L, 1478L, 
    179L, 551L, 12335L, 3281L, 799L, 1273L, 7819L, 2686L, 175L, 
    1178L, 109L, 326L, 32L, 187L, 1542L, 3158L, 152L, 893L, 3304L, 
    7611L, 185L, 1748L, 8918L, 14783L, 552L, 2284L, 9674L, 16442L, 
    346L, 3196L, 93L, 432L, 0L, 146L, 1038L, 4629L, 209L, 414L, 
    4095L, 11617L, 262L, 986L, 7146L, 15958L, 490L, 2041L, 5873L, 
    11060L, 302L, 2047L, 12L, 371L, 0L, 106L, 152L, 872L, 44L, 
    217L, 37L, 1123L, 0L, 233L, 105L, 3222L, 109L, 796L, 120L, 
    4227L, 0L, 731L, 59L, 131L, 202L, 179L, 42L, 1125L, 434L, 
    1050L, 77L, 1797L, 363L, 958L, 0L, 1918L, 24L, 874L, 22L, 
    1276L, 0L, 547L, 0L, 0L, 143L, 489L, 132L, 0L, 286L, 397L, 
    24L, 0L, 77L, 1068L, 0L, 24L, 0L, 198L, 0L, 0L, 0L, 24L, 
    98L, 0L, 265L, 374L, 24L, 0L, 728L, 515L, 100L, 0L, 635L, 
    310L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 0L, 33L, 66L, 164L, 287L, 
    134L, 22L, 97L, 422L, 0L, 0L, 33L, 452L, 0L, 0L, 0L, 0L, 
    105L, 0L, 0L, 308L, 28L, 48L, 478L, 268L, 0L, 78L, 421L, 
    147L, 26L, 0L, 928L, 571L, 0L, 0L, 108L, 37L, 0L, 0L, 0L, 
    21L, 0L, 51L, 0L, 308L, 0L, 147L, 0L, 777L, 202L, 335L, 41L, 
    663L, 28L, 133L, 0L, 63L, 0L, 0L, 0L, 0L, 0L, 204L, 158L, 
    404L, 73L, 32L, 105L, 525L, 38L, 112L, 93L, 1122L, 29L, 0L, 
    0L, 29L, 0L, 0L, 28L, 163L, 0L, 20L, 59L, 373L, 0L, 65L, 
    0L, 194L, 0L, 151L, 17L, 36L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 
    0L, 0L, 63L, 0L, 682L, 0L, 0L, 0L, 737L, 0L, 64L, 0L, 460L, 
    0L, 0L, 0L, 104L, 0L, 0L, 0L, 359L, 0L, 0L, 381L, 261L, 80L, 
    269L, 525L, 626L, 348L, 25L, 50L, 1000L, 128L, 0L, 27L, 167L, 
    0L, 0L, 0L, 0L, 31L, 0L, 117L, 20L, 141L, 86L, 657L, 403L, 
    122L, 96L, 501L, 120L, 128L, 0L, 107L, 340L, 0L, 37L, 0L, 
    100L, 64L, 0L, 0L, 36L, 343L, 71L, 84L, 512L, 450L, 157L, 
    198L, 642L, 0L, 52L, 87L, 128L, 49L, 0L, 0L, 32L, 0L, 76L, 
    239L, 236L, 413L, 193L, 297L, 77L, 508L, 29L, 609L, 338L, 
    100L, 0L, 200L, 153L, 0L, 15L, 49L, 174L, 32L, 23L, 0L, 127L, 
    87L, 268L, 178L, 1199L, 102L, 575L, 66L, 720L, 85L, 169L, 
    0L, 381L, 0L, 103L, 0L, 19L, 26L, 80L, 108L, 179L, 93L, 242L, 
    260L, 918L, 107L, 177L, 286L, 619L, 0L, 174L, 24L, 100L, 
    0L, 0L, 127L, 19L, 0L, 174L, 0L, 139L, 43L, 307L, 0L, 152L, 
    29L, 221L, 23L, 126L, 0L, 20L, 0L, 80L, 0L, 29L, 0L, 0L, 
    0L, 23L, 0L, 271L, 0L, 262L, 0L, 287L, 0L, 133L, 0L, 385L, 
    0L, 24L, 0L, 60L, 0L, 0L, 0L, 214L, 0L, 0L, 352L, 352L, 220L, 
    370L, 645L, 987L, 278L, 154L, 256L, 806L, 0L, 29L, 0L, 371L, 
    0L, 0L, 0L, 0L, 68L, 75L, 319L, 156L, 208L, 0L, 336L, 362L, 
    20L, 206L, 753L, 577L, 110L, 135L, 0L, 121L, 36L, 0L, 0L, 
    0L, 81L, 0L, 51L, 137L, 787L, 413L, 386L, 1179L, 1378L, 507L, 
    244L, 612L, 365L, 208L, 97L, 546L, 20L, 0L, 0L, 167L, 229L, 
    47L, 0L, 191L, 720L, 156L, 342L, 384L, 1172L, 268L, 851L, 
    679L, 412L, 0L, 138L, 504L, 28L, 0L, 56L, 147L, 62L, 92L, 
    95L, 199L, 291L, 297L, 172L, 483L, 456L, 1200L, 45L, 869L, 
    351L, 278L, 24L, 207L, 40L, 84L, 0L, 58L, 0L, 314L, 39L, 
    46L, 31L, 455L, 143L, 997L, 260L, 965L, 332L, 812L, 109L, 
    112L, 0L, 257L, 0L, 192L, 68L, 103L, 0L, 253L, 0L, 134L, 
    0L, 429L, 0L, 0L, 0L, 305L, 0L, 103L, 0L, 42L, 0L, 30L, 0L, 
    89L, 0L, 0L, 0L, 77L, 0L, 370L, 0L, 188L, 0L, 253L, 0L, 199L, 
    0L, 182L, 0L, 0L, 0L, 55L, 0L, 147L, 0L, 105L, 0L, 0L, 0L, 
    41L, 10L, 107L, 243L, 541L, 98L, 73L, 42L, 539L, 33L, 0L, 
    24L, 164L, 0L, 0L, 0L, 0L, 0L, 0L, 75L, 45L, 0L, 0L, 25L, 
    274L, 0L, 30L, 406L, 122L, 45L, 34L, 73L, 192L, 30L, 0L, 
    33L, 0L, 0L, 0L, 0L, 49L, 399L, 33L, 0L, 142L, 835L, 229L, 
    76L, 364L, 795L, 338L, 70L, 141L, 494L, 37L, 99L, 145L, 26L, 
    0L, 0L, 0L, 99L, 74L, 0L, 0L, 578L, 134L, 0L, 61L, 941L, 
    432L, 106L, 93L, 303L, 17L, 0L, 53L, 27L, 48L, 0L, 65L, 264L, 
    403L, 0L, 119L, 574L, 1297L, 0L, 259L, 362L, 453L, 0L, 167L, 
    306L, 310L, 31L, 273L, 0L, 41L, 0L, 90L, 125L, 428L, 99L, 
    82L, 261L, 553L, 74L, 210L, 26L, 407L, 37L, 330L, 312L, 358L, 
    0L, 158L, 0L, 0L, 22L, 0L, 0L, 93L, 0L, 0L, 0L, 380L, 0L, 
    0L, 0L, 151L, 0L, 24L, 0L, 59L, 0L, 0L, 0L, 48L, 0L, 108L, 
    0L, 79L, 46L, 32L, 0L, 126L, 33L, 59L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 46L, 0L, 76L, 0L, 54L, 0L, 
    70L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 
    296L, 0L, 0L, 0L, 297L, 80L, 167L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 94L, 232L, 63L, 137L, 
    81L, 0L, 0L, 0L, 80L, 57L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 43L, 50L, 227L, 0L, 0L, 49L, 26L, 0L, 32L, 32L, 60L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 25L, 66L, 27L, 83L, 0L, 
    0L, 22L, 374L, 0L, 0L, 143L, 419L, 0L, 0L, 0L, 0L, 0L, 0L, 
    27L, 91L, 0L, 24L, 0L, 233L, 0L, 0L, 96L, 47L, 73L, 0L, 98L, 
    114L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 44L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 40L, 0L, 0L, 77L, 0L, 0L, 0L, 0L, 29L, 0L, 33L, 0L, 
    0L, 620L, 117L, 1487L, 1266L, 427L, 52L, 918L, 1176L, 285L, 
    25L, 171L, 1369L, 0L, 98L, 0L, 268L, 0L, 0L, 0L, 127L, 654L, 
    194L, 2058L, 893L, 639L, 112L, 1776L, 1126L, 455L, 154L, 
    953L, 1267L, 20L, 0L, 6L, 61L, 0L, 0L, 0L, 0L, 764L, 190L, 
    278L, 1270L, 806L, 116L, 643L, 1199L, 512L, 127L, 174L, 713L, 
    18L, 27L, 0L, 0L, 0L, 0L, 0L, 35L, 681L, 234L, 1734L, 1030L, 
    542L, 181L, 2411L, 650L, 683L, 129L, 1579L, 802L, 57L, 66L, 
    0L, 91L, 0L, 23L, 194L, 27L, 199L, 1148L, 266L, 1488L, 146L, 
    414L, 337L, 1453L, 199L, 366L, 36L, 881L, 20L, 57L, 29L, 
    131L, 0L, 0L, 0L, 31L, 121L, 909L, 843L, 2556L, 94L, 887L, 
    240L, 2079L, 137L, 287L, 250L, 1726L, 0L, 0L, 10L, 139L, 
    0L, 14L, 53L, 224L, 80L, 1332L, 68L, 1768L, 0L, 612L, 0L, 
    664L, 0L, 83L, 0L, 111L, 0L, 60L, 0L, 33L, 0L, 0L, 0L, 20L, 
    0L, 1174L, 0L, 3899L, 0L, 392L, 0L, 1567L, 0L, 219L, 0L, 
    707L, 0L, 0L, 0L, 115L, 0L, 0L, 0L, 154L, 1150L, 129L, 1496L, 
    1551L, 1078L, 345L, 1161L, 3218L, 409L, 246L, 625L, 2098L, 
    168L, 25L, 0L, 400L, 24L, 0L, 0L, 0L, 1257L, 171L, 1511L, 
    1407L, 1280L, 138L, 1630L, 2117L, 1193L, 279L, 1131L, 2503L, 
    283L, 255L, 66L, 548L, 0L, 31L, 0L, 61L, 2098L, 381L, 308L, 
    1147L, 2822L, 321L, 789L, 2039L, 2156L, 355L, 169L, 1851L, 
    210L, 76L, 0L, 783L, 167L, 41L, 47L, 36L, 1995L, 95L, 1205L, 
    629L, 1465L, 304L, 1462L, 383L, 1725L, 302L, 2036L, 1312L, 
    370L, 183L, 516L, 302L, 136L, 0L, 88L, 108L, 1171L, 1201L, 
    229L, 967L, 533L, 1356L, 543L, 2380L, 276L, 796L, 163L, 1502L, 
    95L, 251L, 37L, 184L, 0L, 115L, 24L, 75L, 457L, 1875L, 259L, 
    1196L, 278L, 2035L, 226L, 1290L, 378L, 864L, 371L, 1599L, 
    62L, 81L, 235L, 417L, 32L, 70L, 28L, 106L, 210L, 2016L, 47L, 
    769L, 31L, 1173L, 0L, 467L, 8L, 600L, 0L, 200L, 0L, 165L, 
    0L, 49L, 0L, 124L, 0L, 0L, 40L, 1899L, 61L, 1106L, 0L, 1112L, 
    0L, 495L, 0L, 308L, 0L, 328L, 0L, 183L, 0L, 155L, 0L, 113L, 
    0L, 58L, 937L, 345L, 1017L, 2061L, 1605L, 784L, 2568L, 4180L, 
    1068L, 662L, 896L, 2010L, 268L, 93L, 43L, 602L, 48L, 36L, 
    30L, 40L, 1225L, 221L, 962L, 835L, 2448L, 689L, 2178L, 2598L, 
    1609L, 431L, 1333L, 2649L, 249L, 280L, 386L, 672L, 21L, 73L, 
    0L, 212L, 3060L, 813L, 429L, 1177L, 3531L, 974L, 1093L, 2319L, 
    3579L, 673L, 127L, 1925L, 1054L, 176L, 121L, 1408L, 255L, 
    46L, 56L, 33L, 1373L, 285L, 612L, 454L, 3111L, 1437L, 665L, 
    828L, 3621L, 653L, 1603L, 1259L, 1053L, 237L, 383L, 767L, 
    302L, 32L, 73L, 285L, 712L, 2114L, 165L, 916L, 1548L, 4175L, 
    461L, 1867L, 1055L, 2594L, 107L, 1384L, 380L, 497L, 0L, 592L, 
    154L, 485L, 15L, 365L, 434L, 2149L, 303L, 1189L, 756L, 3758L, 
    236L, 1961L, 542L, 2565L, 302L, 1865L, 187L, 829L, 36L, 368L, 
    59L, 188L, 38L, 322L, 20L, 849L, 86L, 657L, 0L, 1013L, 0L, 
    251L, 0L, 595L, 0L, 230L, 39L, 329L, 0L, 7L, 0L, 140L, 0L, 
    33L, 72L, 814L, 122L, 965L, 0L, 652L, 18L, 506L, 0L, 262L, 
    0L, 327L, 0L, 87L, 44L, 27L, 22L, 67L, 0L, 50L, 263L, 365L, 
    1331L, 1349L, 504L, 423L, 1424L, 2190L, 536L, 342L, 952L, 
    1859L, 120L, 200L, 155L, 1151L, 0L, 98L, 0L, 31L, 233L, 314L, 
    473L, 892L, 577L, 272L, 843L, 1832L, 560L, 732L, 891L, 1955L, 
    511L, 392L, 66L, 778L, 43L, 35L, 0L, 34L, 747L, 497L, 279L, 
    773L, 2494L, 528L, 200L, 1489L, 2825L, 1158L, 287L, 1482L, 
    1639L, 644L, 102L, 658L, 807L, 320L, 0L, 300L, 682L, 191L, 
    189L, 235L, 2345L, 613L, 377L, 771L, 3383L, 564L, 478L, 657L, 
    2070L, 707L, 127L, 672L, 677L, 213L, 21L, 109L, 577L, 1280L, 
    0L, 369L, 814L, 1503L, 176L, 688L, 1342L, 3109L, 55L, 477L, 
    784L, 714L, 25L, 431L, 402L, 1027L, 0L, 112L, 407L, 928L, 
    52L, 176L, 853L, 2957L, 338L, 624L, 1126L, 2629L, 216L, 891L, 
    676L, 799L, 127L, 310L, 317L, 370L, 27L, 141L, 7L, 394L, 
    33L, 131L, 0L, 441L, 0L, 20L, 71L, 549L, 0L, 25L, 19L, 43L, 
    0L, 24L, 0L, 143L, 0L, 0L, 0L, 469L, 67L, 578L, 38L, 437L, 
    104L, 42L, 6L, 164L, 0L, 124L, 0L, 112L, 0L, 75L, 0L, 60L, 
    0L, 71L, 43L, 68L, 138L, 147L, 0L, 0L, 334L, 73L, 25L, 91L, 
    210L, 352L, 0L, 38L, 53L, 147L, 0L, 0L, 0L, 68L, 24L, 0L, 
    173L, 102L, 54L, 0L, 123L, 94L, 0L, 286L, 240L, 384L, 0L, 
    157L, 49L, 113L, 0L, 0L, 0L, 0L, 0L, 65L, 0L, 0L, 64L, 152L, 
    0L, 157L, 331L, 162L, 47L, 226L, 452L, 129L, 33L, 139L, 288L, 
    38L, 0L, 28L, 76L, 0L, 52L, 0L, 105L, 103L, 0L, 38L, 652L, 
    196L, 52L, 14L, 505L, 257L, 33L, 197L, 315L, 40L, 0L, 0L, 
    57L, 20L, 0L, 98L, 108L, 30L, 33L, 34L, 149L, 479L, 0L, 0L, 
    323L, 413L, 0L, 0L, 369L, 284L, 0L, 62L, 25L, 43L, 0L, 110L, 
    118L, 133L, 0L, 89L, 224L, 637L, 0L, 53L, 220L, 217L, 0L, 
    51L, 230L, 316L, 0L, 79L, 0L, 0L, 0L, 0L, 34L, 30L, 0L, 0L, 
    0L, 97L, 0L, 134L, 0L, 10L, 0L, 0L, 0L, 88L, 0L, 0L, 0L, 
    5L, 0L, 35L, 0L, 84L, 88L, 0L, 0L, 9L, 0L, 50L, 0L, 48L, 
    0L, 20L, 0L, 21L, 0L, 0L, 46L, 0L, 143L, 670L, 164L, 91L, 
    368L, 1978L, 123L, 24L, 214L, 2120L, 54L, 50L, 0L, 826L, 
    0L, 80L, 0L, 69L, 164L, 187L, 844L, 471L, 156L, 0L, 860L, 
    830L, 181L, 102L, 791L, 2948L, 31L, 0L, 97L, 1166L, 21L, 
    56L, 0L, 477L, 129L, 106L, 80L, 1237L, 475L, 166L, 337L, 
    2723L, 257L, 108L, 119L, 988L, 312L, 72L, 0L, 626L, 535L, 
    40L, 0L, 183L, 120L, 0L, 857L, 405L, 458L, 411L, 1611L, 760L, 
    470L, 339L, 1478L, 898L, 215L, 80L, 308L, 464L, 146L, 42L, 
    172L, 540L, 203L, 553L, 0L, 2581L, 36L, 1309L, 108L, 5123L, 
    242L, 675L, 69L, 2253L, 324L, 360L, 63L, 1378L, 160L, 145L, 
    0L, 540L, 102L, 857L, 84L, 2126L, 240L, 1427L, 745L, 6423L, 
    373L, 999L, 569L, 4096L, 212L, 218L, 158L, 1672L, 126L, 249L, 
    194L, 981L, 0L, 2788L, 83L, 4588L, 0L, 2957L, 0L, 3296L, 
    0L, 749L, 0L, 1504L, 24L, 630L, 0L, 635L, 6L, 127L, 0L, 630L, 
    0L, 2518L, 0L, 17656L, 0L, 3245L, 0L, 20976L, 0L, 828L, 0L, 
    6753L, 0L, 383L, 0L, 2215L, 0L, 258L, 0L, 1305L, 183L, 0L, 
    688L, 1054L, 523L, 265L, 560L, 4244L, 310L, 238L, 730L, 3234L, 
    180L, 405L, 52L, 2556L, 30L, 241L, 0L, 463L, 44L, 0L, 708L, 
    443L, 894L, 84L, 1581L, 2370L, 834L, 416L, 1079L, 3093L, 
    95L, 705L, 136L, 2731L, 44L, 67L, 77L, 1065L, 510L, 142L, 
    343L, 1353L, 2818L, 653L, 1003L, 4634L, 1829L, 645L, 347L, 
    2986L, 672L, 238L, 34L, 1734L, 466L, 23L, 0L, 647L, 906L, 
    205L, 224L, 586L, 2155L, 386L, 3137L, 2670L, 1975L, 499L, 
    2477L, 3123L, 748L, 279L, 539L, 1644L, 360L, 153L, 249L, 
    613L, 267L, 1314L, 170L, 1641L, 1560L, 3533L, 334L, 6330L, 
    631L, 2688L, 190L, 4296L, 546L, 937L, 44L, 1894L, 165L, 504L, 
    44L, 1425L, 266L, 1725L, 188L, 1534L, 849L, 5618L, 645L, 
    8804L, 572L, 3355L, 1270L, 6181L, 660L, 889L, 715L, 2817L, 
    162L, 681L, 180L, 1987L, 21L, 8460L, 0L, 3363L, 139L, 10360L, 
    34L, 4619L, 0L, 4567L, 0L, 2618L, 0L, 2574L, 0L, 1342L, 0L, 
    1626L, 6L, 645L, 0L, 6071L, 0L, 5818L, 0L, 11660L, 31L, 14496L, 
    0L, 4568L, 0L, 8176L, 0L, 1033L, 0L, 2769L, 0L, 915L, 0L, 
    1927L, 602L, 111L, 1528L, 2808L, 1453L, 1127L, 3044L, 8903L, 
    1298L, 1196L, 2432L, 6146L, 604L, 1064L, 234L, 5144L, 117L, 
    201L, 107L, 858L, 389L, 128L, 780L, 1617L, 1677L, 1290L, 
    2453L, 5314L, 2740L, 1346L, 3027L, 6695L, 919L, 1094L, 664L, 
    6193L, 240L, 671L, 32L, 1910L, 1489L, 274L, 341L, 1445L, 
    11264L, 3351L, 1947L, 10254L, 8432L, 2393L, 1883L, 7130L, 
    4835L, 1067L, 448L, 4136L, 2225L, 296L, 0L, 1901L, 1242L, 
    400L, 374L, 807L, 8979L, 1988L, 2657L, 3932L, 11126L, 2599L, 
    3691L, 4832L, 6582L, 1318L, 1654L, 3805L, 2850L, 581L, 835L, 
    2773L, 961L, 3746L, 421L, 2371L, 5809L, 14104L, 1008L, 10318L, 
    4706L, 9794L, 719L, 7644L, 2730L, 4583L, 340L, 5086L, 1235L, 
    2966L, 151L, 3233L, 527L, 3290L, 112L, 1773L, 3522L, 17699L, 
    907L, 10385L, 4099L, 11520L, 1662L, 11749L, 2371L, 4910L, 
    1179L, 5325L, 969L, 2721L, 1082L, 5944L, 123L, 5925L, 135L, 
    1965L, 0L, 12341L, 69L, 2962L, 76L, 7659L, 0L, 1960L, 66L, 
    6155L, 24L, 1756L, 21L, 4422L, 0L, 1457L, 59L, 3852L, 157L, 
    3712L, 34L, 14774L, 438L, 8412L, 0L, 6522L, 0L, 4982L, 0L, 
    4070L, 0L, 2782L, 0L, 2073L, 0L, 3302L, 21L, 94L, 1839L, 
    2550L, 771L, 932L, 4877L, 13484L, 641L, 1106L, 4990L, 16129L, 
    875L, 2154L, 751L, 8708L, 364L, 649L, 67L, 1433L, 0L, 50L, 
    1267L, 1114L, 843L, 1029L, 3234L, 6450L, 1580L, 1119L, 5462L, 
    11408L, 1730L, 2761L, 1046L, 8972L, 1005L, 1527L, 187L, 2229L, 
    1494L, 605L, 140L, 1113L, 15226L, 5476L, 1736L, 6545L, 16394L, 
    5948L, 790L, 6721L, 20931L, 4634L, 842L, 5953L, 10234L, 2409L, 
    384L, 2671L, 779L, 225L, 116L, 339L, 12712L, 3582L, 1255L, 
    3137L, 20273L, 5719L, 2483L, 4200L, 24537L, 5169L, 1638L, 
    5389L, 14878L, 4379L, 527L, 2993L, 1243L, 4087L, 172L, 932L, 
    9569L, 22206L, 1111L, 6336L, 12342L, 22759L, 1227L, 5936L, 
    12760L, 16205L, 690L, 5367L, 8348L, 13553L, 437L, 4472L, 
    351L, 2477L, 139L, 429L, 6457L, 26886L, 994L, 5264L, 10281L, 
    27483L, 1046L, 6624L, 9239L, 13001L, 1163L, 5368L, 6055L, 
    14195L, 1268L, 6649L, 389L, 2401L, 210L, 848L, 218L, 6425L, 
    563L, 1603L, 41L, 5990L, 145L, 1023L, 268L, 6548L, 41L, 1154L, 
    154L, 7207L, 57L, 1453L, 164L, 1762L, 446L, 2325L, 518L, 
    6804L, 1551L, 4978L, 11L, 5167L, 58L, 1722L, 64L, 3507L, 
    98L, 1492L, 120L, 3172L, 55L, 2172L, 24L, 0L, 904L, 1192L, 
    0L, 195L, 2709L, 3795L, 0L, 255L, 2324L, 5521L, 91L, 409L, 
    668L, 4278L, 114L, 80L, 42L, 625L, 0L, 0L, 472L, 384L, 24L, 
    252L, 1914L, 2809L, 91L, 194L, 2299L, 4315L, 268L, 947L, 
    563L, 5070L, 127L, 418L, 34L, 907L, 111L, 110L, 116L, 94L, 
    1612L, 661L, 132L, 1267L, 2951L, 1495L, 155L, 1103L, 11518L, 
    3008L, 527L, 2187L, 11313L, 1696L, 171L, 1209L, 75L, 87L, 
    0L, 78L, 2010L, 841L, 158L, 365L, 4754L, 1256L, 98L, 682L, 
    15136L, 2683L, 383L, 1261L, 11849L, 1886L, 341L, 1355L, 227L, 
    602L, 26L, 310L, 1852L, 4332L, 63L, 1142L, 4094L, 6955L, 
    214L, 1178L, 11205L, 13730L, 360L, 2571L, 13647L, 17216L, 
    331L, 2498L, 123L, 648L, 127L, 99L, 1631L, 7148L, 516L, 911L, 
    3932L, 11311L, 414L, 1370L, 9566L, 11924L, 439L, 1799L, 8835L, 
    15528L, 568L, 2143L, 91L, 495L, 0L, 222L, 215L, 1694L, 63L, 
    399L, 97L, 1752L, 29L, 368L, 111L, 3502L, 25L, 581L, 293L, 
    6417L, 123L, 672L, 32L, 279L, 91L, 1023L, 217L, 2001L, 530L, 
    1444L, 32L, 2236L, 151L, 871L, 0L, 2292L, 51L, 1073L, 84L, 
    2219L, 0L, 718L, 82L, 0L, 203L, 410L, 84L, 54L, 489L, 614L, 
    0L, 0L, 251L, 556L, 0L, 0L, 47L, 24L, 0L, 0L, 0L, 0L, 88L, 
    0L, 972L, 192L, 183L, 0L, 1532L, 880L, 66L, 0L, 656L, 593L, 
    0L, 0L, 23L, 70L, 0L, 0L, 0L, 0L, 94L, 119L, 103L, 104L, 
    99L, 0L, 130L, 654L, 52L, 0L, 0L, 272L, 103L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 96L, 0L, 290L, 471L, 269L, 34L, 1929L, 470L, 
    28L, 0L, 866L, 327L, 0L, 39L, 71L, 252L, 0L, 67L, 0L, 0L, 
    95L, 99L, 0L, 692L, 34L, 150L, 83L, 616L, 0L, 96L, 21L, 631L, 
    0L, 22L, 0L, 106L, 0L, 0L, 0L, 0L, 204L, 102L, 122L, 1961L, 
    28L, 226L, 308L, 1749L, 19L, 109L, 225L, 862L, 0L, 0L, 0L, 
    59L, 0L, 23L, 0L, 75L, 24L, 81L, 0L, 1005L, 0L, 145L, 0L, 
    357L, 0L, 19L, 0L, 129L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 26L, 
    0L, 73L, 0L, 2234L, 0L, 141L, 0L, 1203L, 0L, 26L, 0L, 747L, 
    0L, 20L, 0L, 115L, 0L, 0L, 0L, 0L, 0L, 0L, 250L, 864L, 154L, 
    0L, 439L, 562L, 0L, 54L, 280L, 408L, 0L, 0L, 0L, 248L, 0L, 
    0L, 0L, 0L, 0L, 29L, 563L, 300L, 53L, 49L, 858L, 916L, 167L, 
    64L, 950L, 495L, 0L, 0L, 49L, 776L, 0L, 0L, 0L, 35L, 117L, 
    55L, 0L, 164L, 289L, 198L, 264L, 904L, 148L, 26L, 185L, 394L, 
    96L, 103L, 0L, 255L, 23L, 0L, 32L, 0L, 73L, 68L, 510L, 67L, 
    481L, 115L, 1713L, 1166L, 225L, 114L, 1745L, 939L, 92L, 31L, 
    208L, 167L, 0L, 44L, 90L, 70L, 60L, 262L, 205L, 530L, 137L, 
    417L, 137L, 380L, 194L, 212L, 36L, 511L, 25L, 0L, 21L, 31L, 
    0L, 0L, 0L, 34L, 54L, 281L, 190L, 1232L, 100L, 495L, 293L, 
    1459L, 114L, 191L, 378L, 1037L, 0L, 34L, 44L, 316L, 0L, 25L, 
    0L, 120L, 51L, 448L, 0L, 495L, 0L, 170L, 25L, 329L, 0L, 179L, 
    0L, 325L, 0L, 140L, 0L, 76L, 0L, 25L, 0L, 0L, 0L, 320L, 53L, 
    731L, 0L, 257L, 0L, 866L, 32L, 164L, 0L, 317L, 0L, 51L, 0L, 
    72L, 0L, 19L, 0L, 100L, 0L, 0L, 404L, 718L, 385L, 33L, 1368L, 
    1894L, 106L, 58L, 859L, 1130L, 196L, 22L, 68L, 626L, 0L, 
    0L, 0L, 56L, 0L, 0L, 72L, 344L, 223L, 36L, 615L, 889L, 316L, 
    104L, 1359L, 1440L, 56L, 21L, 174L, 773L, 21L, 0L, 0L, 130L, 
    237L, 0L, 110L, 0L, 1577L, 263L, 469L, 1183L, 667L, 141L, 
    423L, 906L, 154L, 23L, 197L, 323L, 61L, 0L, 30L, 0L, 114L, 
    17L, 227L, 398L, 784L, 267L, 1006L, 811L, 1107L, 288L, 1147L, 
    873L, 632L, 104L, 294L, 991L, 58L, 21L, 545L, 92L, 143L, 
    991L, 31L, 430L, 663L, 1609L, 175L, 1409L, 605L, 616L, 104L, 
    968L, 117L, 85L, 0L, 227L, 185L, 24L, 45L, 275L, 49L, 721L, 
    262L, 682L, 562L, 1549L, 287L, 2237L, 401L, 756L, 256L, 1143L, 
    247L, 141L, 409L, 679L, 43L, 113L, 187L, 480L, 44L, 436L, 
    24L, 387L, 61L, 789L, 71L, 144L, 0L, 441L, 0L, 75L, 0L, 0L, 
    0L, 0L, 0L, 65L, 0L, 94L, 0L, 272L, 0L, 636L, 0L, 412L, 64L, 
    1144L, 0L, 157L, 0L, 356L, 0L, 211L, 0L, 144L, 0L, 0L, 0L, 
    135L, 0L, 0L, 217L, 204L, 152L, 0L, 1260L, 1282L, 204L, 43L, 
    408L, 1069L, 0L, 22L, 42L, 177L, 47L, 59L, 0L, 0L, 0L, 0L, 
    258L, 45L, 26L, 0L, 472L, 843L, 409L, 202L, 334L, 1123L, 
    170L, 100L, 229L, 443L, 20L, 36L, 0L, 150L, 101L, 114L, 0L, 
    320L, 1288L, 272L, 360L, 1241L, 1822L, 514L, 373L, 504L, 
    677L, 302L, 50L, 366L, 495L, 323L, 25L, 103L, 18L, 48L, 53L, 
    27L, 1191L, 250L, 210L, 300L, 1767L, 250L, 733L, 643L, 1081L, 
    149L, 336L, 516L, 578L, 220L, 48L, 115L, 199L, 511L, 0L, 
    282L, 1023L, 1564L, 144L, 661L, 1118L, 1287L, 155L, 433L, 
    416L, 425L, 0L, 158L, 134L, 335L, 35L, 98L, 20L, 552L, 274L, 
    131L, 481L, 1564L, 76L, 1189L, 448L, 1327L, 100L, 733L, 179L, 
    602L, 36L, 255L, 162L, 319L, 70L, 290L, 34L, 320L, 0L, 275L, 
    153L, 627L, 0L, 97L, 0L, 112L, 0L, 38L, 0L, 52L, 0L, 25L, 
    0L, 337L, 0L, 81L, 0L, 123L, 34L, 332L, 0L, 258L, 34L, 274L, 
    0L, 96L, 65L, 163L, 33L, 0L, 27L, 53L, 0L, 163L, 0L, 36L, 
    0L, 0L, 0L, 32L, 0L, 0L, 41L, 134L, 0L, 30L, 27L, 113L, 0L, 
    0L, 0L, 123L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 240L, 
    122L, 0L, 0L, 25L, 172L, 0L, 0L, 40L, 108L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 16L, 83L, 63L, 81L, 178L, 40L, 0L, 312L, 
    343L, 31L, 0L, 177L, 249L, 166L, 69L, 42L, 0L, 0L, 89L, 48L, 
    20L, 80L, 0L, 31L, 253L, 122L, 21L, 101L, 216L, 26L, 148L, 
    58L, 86L, 78L, 0L, 58L, 0L, 101L, 0L, 0L, 56L, 220L, 0L, 
    50L, 59L, 103L, 0L, 28L, 157L, 117L, 44L, 37L, 306L, 352L, 
    0L, 65L, 0L, 31L, 0L, 0L, 26L, 243L, 0L, 71L, 0L, 92L, 0L, 
    63L, 124L, 88L, 0L, 78L, 288L, 204L, 31L, 0L, 0L, 0L, 0L, 
    0L, 38L, 124L, 0L, 60L, 0L, 30L, 0L, 62L, 0L, 38L, 32L, 0L, 
    0L, 48L, 0L, 0L, 0L, 0L, 0L, 114L, 0L, 51L, 0L, 63L, 0L, 
    0L, 0L, 29L, 0L, 0L, 115L, 0L, 0L, 71L, 0L, 0L, 196L, 116L, 
    1134L, 568L, 255L, 0L, 621L, 379L, 0L, 0L, 210L, 244L, 0L, 
    0L, 0L, 83L, 0L, 0L, 0L, 35L, 173L, 40L, 2663L, 410L, 208L, 
    0L, 1737L, 734L, 118L, 0L, 642L, 534L, 0L, 0L, 48L, 58L, 
    0L, 0L, 26L, 23L, 190L, 225L, 233L, 671L, 284L, 200L, 348L, 
    557L, 0L, 83L, 20L, 277L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 67L, 
    276L, 84L, 2315L, 929L, 262L, 54L, 1861L, 428L, 194L, 80L, 
    859L, 258L, 24L, 0L, 186L, 0L, 87L, 0L, 34L, 0L, 397L, 423L, 
    290L, 984L, 58L, 312L, 0L, 409L, 236L, 82L, 0L, 235L, 0L, 
    122L, 0L, 0L, 13L, 0L, 0L, 38L, 77L, 746L, 663L, 2366L, 0L, 
    325L, 546L, 984L, 49L, 272L, 62L, 326L, 23L, 0L, 0L, 318L, 
    0L, 14L, 25L, 22L, 71L, 898L, 0L, 926L, 0L, 181L, 0L, 329L, 
    0L, 76L, 0L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 629L, 
    0L, 2231L, 0L, 26L, 0L, 429L, 0L, 34L, 0L, 91L, 0L, 0L, 0L, 
    131L, 0L, 41L, 0L, 49L, 165L, 17L, 980L, 925L, 415L, 73L, 
    603L, 1478L, 62L, 28L, 289L, 597L, 0L, 0L, 17L, 65L, 0L, 
    0L, 0L, 76L, 251L, 156L, 479L, 507L, 332L, 94L, 1065L, 794L, 
    211L, 65L, 562L, 487L, 0L, 0L, 0L, 221L, 0L, 35L, 88L, 75L, 
    1065L, 293L, 347L, 902L, 1042L, 204L, 912L, 1139L, 370L, 
    26L, 268L, 311L, 107L, 0L, 0L, 0L, 0L, 0L, 0L, 76L, 569L, 
    131L, 643L, 278L, 983L, 511L, 1761L, 338L, 459L, 184L, 1036L, 
    347L, 198L, 46L, 308L, 75L, 28L, 0L, 94L, 75L, 304L, 775L, 
    140L, 1120L, 290L, 597L, 94L, 480L, 168L, 180L, 42L, 156L, 
    0L, 56L, 0L, 80L, 0L, 0L, 0L, 0L, 264L, 903L, 129L, 1165L, 
    160L, 779L, 230L, 517L, 20L, 100L, 71L, 749L, 0L, 45L, 29L, 
    200L, 0L, 58L, 0L, 114L, 40L, 498L, 0L, 173L, 39L, 254L, 
    0L, 32L, 0L, 108L, 0L, 166L, 0L, 281L, 21L, 66L, 0L, 0L, 
    0L, 0L, 0L, 204L, 160L, 455L, 0L, 168L, 180L, 219L, 64L, 
    94L, 28L, 232L, 0L, 152L, 0L, 0L, 0L, 0L, 0L, 0L, 545L, 34L, 
    408L, 740L, 211L, 82L, 1729L, 2169L, 755L, 390L, 454L, 1452L, 
    27L, 0L, 19L, 259L, 89L, 0L, 0L, 0L, 517L, 89L, 837L, 141L, 
    559L, 150L, 1294L, 1465L, 515L, 392L, 762L, 1192L, 101L, 
    176L, 165L, 492L, 0L, 0L, 76L, 25L, 730L, 420L, 398L, 709L, 
    1909L, 593L, 612L, 667L, 1300L, 364L, 456L, 400L, 314L, 141L, 
    54L, 308L, 88L, 58L, 0L, 74L, 741L, 388L, 210L, 426L, 1723L, 
    396L, 901L, 447L, 1405L, 601L, 1151L, 546L, 359L, 78L, 132L, 
    236L, 176L, 28L, 74L, 159L, 223L, 1169L, 26L, 794L, 644L, 
    1074L, 287L, 665L, 426L, 650L, 95L, 235L, 213L, 93L, 0L, 
    307L, 78L, 279L, 0L, 0L, 156L, 1135L, 287L, 674L, 409L, 724L, 
    204L, 789L, 526L, 686L, 159L, 379L, 94L, 125L, 120L, 26L, 
    45L, 68L, 174L, 47L, 109L, 320L, 41L, 0L, 28L, 235L, 0L, 
    0L, 37L, 92L, 0L, 0L, 0L, 93L, 0L, 20L, 0L, 83L, 0L, 0L, 
    20L, 370L, 0L, 453L, 0L, 67L, 0L, 127L, 32L, 101L, 58L, 40L, 
    0L, 29L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 0L, 632L, 236L, 124L, 
    358L, 949L, 1022L, 69L, 44L, 631L, 1009L, 78L, 66L, 80L, 
    289L, 89L, 61L, 0L, 423L, 0L, 0L, 123L, 81L, 279L, 117L, 
    557L, 496L, 88L, 206L, 447L, 1279L, 101L, 132L, 114L, 667L, 
    62L, 129L, 0L, 194L, 357L, 129L, 156L, 51L, 1416L, 231L, 
    627L, 707L, 1235L, 544L, 158L, 819L, 271L, 0L, 22L, 57L, 
    266L, 170L, 15L, 26L, 260L, 53L, 19L, 99L, 1158L, 404L, 46L, 
    759L, 1586L, 225L, 660L, 113L, 1013L, 162L, 102L, 250L, 542L, 
    298L, 39L, 386L, 293L, 697L, 0L, 116L, 712L, 1678L, 0L, 556L, 
    523L, 717L, 98L, 224L, 409L, 383L, 0L, 110L, 110L, 159L, 
    39L, 186L, 52L, 386L, 108L, 158L, 424L, 1757L, 97L, 524L, 
    612L, 930L, 249L, 352L, 159L, 224L, 36L, 216L, 127L, 400L, 
    56L, 166L, 184L, 102L, 0L, 87L, 0L, 192L, 0L, 0L, 0L, 141L, 
    0L, 0L, 0L, 24L, 0L, 0L, 34L, 66L, 0L, 0L, 28L, 159L, 89L, 
    96L, 0L, 80L, 61L, 94L, 0L, 74L, 0L, 47L, 0L, 24L, 0L, 79L, 
    0L, 25L, 0L, 28L, 0L, 0L, 32L, 89L, 0L, 93L, 165L, 100L, 
    0L, 0L, 78L, 165L, 0L, 46L, 45L, 31L, 0L, 0L, 0L, 79L, 0L, 
    0L, 0L, 38L, 0L, 0L, 87L, 22L, 20L, 0L, 52L, 254L, 23L, 53L, 
    27L, 102L, 0L, 0L, 45L, 0L, 58L, 0L, 56L, 0L, 108L, 0L, 0L, 
    103L, 260L, 117L, 59L, 85L, 299L, 104L, 0L, 48L, 352L, 279L, 
    0L, 27L, 0L, 0L, 195L, 120L, 146L, 39L, 0L, 60L, 548L, 72L, 
    40L, 67L, 439L, 143L, 0L, 64L, 307L, 197L, 107L, 0L, 0L, 
    118L, 0L, 57L, 0L, 180L, 0L, 28L, 37L, 134L, 0L, 0L, 126L, 
    103L, 0L, 0L, 561L, 261L, 0L, 61L, 0L, 0L, 103L, 84L, 55L, 
    212L, 91L, 59L, 169L, 336L, 0L, 0L, 222L, 185L, 0L, 0L, 160L, 
    127L, 63L, 35L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 55L, 28L, 0L, 78L, 0L, 74L, 0L, 0L, 0L, 0L, 35L, 
    53L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 6L, 272L, 524L, 39L, 15L, 166L, 564L, 0L, 
    86L, 12L, 1076L, 64L, 0L, 0L, 328L, 0L, 0L, 0L, 175L, 0L, 
    15L, 274L, 290L, 36L, 179L, 496L, 945L, 36L, 88L, 142L, 1582L, 
    75L, 0L, 87L, 273L, 0L, 0L, 0L, 40L, 172L, 100L, 0L, 290L, 
    110L, 71L, 85L, 631L, 156L, 0L, 38L, 418L, 0L, 0L, 0L, 200L, 
    0L, 30L, 0L, 48L, 22L, 34L, 196L, 143L, 287L, 321L, 688L, 
    481L, 126L, 129L, 353L, 331L, 202L, 0L, 144L, 121L, 0L, 0L, 
    40L, 22L, 60L, 456L, 128L, 420L, 91L, 440L, 98L, 1245L, 150L, 
    268L, 0L, 494L, 28L, 17L, 75L, 138L, 0L, 29L, 0L, 142L, 28L, 
    410L, 45L, 1151L, 0L, 685L, 149L, 1952L, 78L, 142L, 153L, 
    980L, 28L, 105L, 78L, 268L, 0L, 35L, 39L, 101L, 0L, 1282L, 
    32L, 1500L, 0L, 686L, 0L, 867L, 0L, 399L, 0L, 287L, 0L, 129L, 
    0L, 141L, 0L, 97L, 0L, 141L, 0L, 572L, 0L, 3665L, 0L, 1049L, 
    0L, 4471L, 0L, 481L, 0L, 1868L, 0L, 138L, 0L, 656L, 0L, 43L, 
    0L, 107L, 474L, 91L, 141L, 637L, 611L, 294L, 272L, 1759L, 
    322L, 30L, 86L, 1321L, 0L, 66L, 0L, 318L, 0L, 0L, 0L, 179L, 
    638L, 21L, 426L, 304L, 474L, 156L, 467L, 1024L, 308L, 32L, 
    504L, 1355L, 79L, 117L, 61L, 932L, 29L, 0L, 0L, 70L, 473L, 
    276L, 287L, 437L, 1199L, 403L, 58L, 1156L, 737L, 140L, 102L, 
    695L, 297L, 32L, 0L, 471L, 28L, 23L, 0L, 0L, 377L, 123L, 
    0L, 295L, 1329L, 209L, 504L, 744L, 760L, 142L, 461L, 442L, 
    377L, 82L, 276L, 488L, 38L, 0L, 127L, 252L, 167L, 770L, 36L, 
    930L, 228L, 1870L, 153L, 2085L, 335L, 923L, 254L, 1495L, 
    32L, 465L, 0L, 530L, 54L, 79L, 26L, 103L, 0L, 499L, 88L, 
    696L, 352L, 2328L, 211L, 2282L, 28L, 1348L, 399L, 1735L, 
    32L, 371L, 46L, 898L, 8L, 223L, 30L, 518L, 32L, 3137L, 0L, 
    759L, 56L, 2969L, 0L, 815L, 0L, 1541L, 0L, 794L, 32L, 501L, 
    0L, 157L, 0L, 302L, 6L, 88L, 0L, 2064L, 0L, 1394L, 0L, 3698L, 
    0L, 3660L, 0L, 1410L, 0L, 1741L, 0L, 351L, 0L, 764L, 0L, 
    212L, 0L, 539L, 165L, 132L, 652L, 938L, 507L, 93L, 1067L, 
    2886L, 702L, 454L, 266L, 2102L, 191L, 564L, 0L, 983L, 169L, 
    243L, 0L, 219L, 243L, 0L, 426L, 535L, 860L, 306L, 757L, 1520L, 
    872L, 397L, 842L, 1832L, 361L, 660L, 92L, 862L, 60L, 222L, 
    30L, 389L, 559L, 136L, 294L, 382L, 3469L, 1095L, 872L, 2485L, 
    2940L, 553L, 228L, 1930L, 1101L, 258L, 146L, 1112L, 340L, 
    156L, 26L, 339L, 650L, 63L, 59L, 337L, 2868L, 992L, 896L, 
    1327L, 3164L, 849L, 785L, 1094L, 1665L, 272L, 604L, 787L, 
    590L, 121L, 87L, 559L, 308L, 1599L, 107L, 448L, 1369L, 4387L, 
    237L, 2498L, 1037L, 2805L, 120L, 2403L, 813L, 1264L, 100L, 
    873L, 158L, 342L, 31L, 457L, 183L, 1231L, 32L, 452L, 1216L, 
    5256L, 168L, 2871L, 751L, 3668L, 479L, 2222L, 533L, 1214L, 
    336L, 1621L, 144L, 548L, 176L, 1142L, 0L, 1446L, 33L, 553L, 
    84L, 3578L, 0L, 833L, 0L, 2720L, 0L, 326L, 0L, 1548L, 0L, 
    335L, 0L, 1146L, 0L, 199L, 0L, 1606L, 0L, 648L, 0L, 3927L, 
    179L, 1847L, 0L, 2036L, 0L, 1023L, 0L, 698L, 0L, 486L, 0L, 
    360L, 0L, 434L, 223L, 46L, 913L, 858L, 376L, 154L, 1196L, 
    2619L, 136L, 372L, 1041L, 2392L, 411L, 453L, 334L, 1364L, 
    59L, 158L, 44L, 202L, 0L, 81L, 352L, 245L, 525L, 87L, 718L, 
    1924L, 686L, 270L, 1357L, 2217L, 417L, 1029L, 144L, 1344L, 
    153L, 193L, 0L, 393L, 902L, 155L, 118L, 188L, 3465L, 1075L, 
    654L, 1853L, 3855L, 1417L, 118L, 1076L, 3263L, 908L, 16L, 
    1205L, 1743L, 666L, 35L, 163L, 189L, 255L, 0L, 258L, 3204L, 
    988L, 349L, 752L, 5147L, 1260L, 584L, 1154L, 4129L, 1028L, 
    339L, 943L, 2373L, 654L, 251L, 282L, 247L, 634L, 0L, 414L, 
    2431L, 5357L, 306L, 1310L, 2355L, 5068L, 107L, 1430L, 1449L, 
    2489L, 23L, 968L, 1502L, 3147L, 71L, 760L, 138L, 616L, 0L, 
    292L, 1877L, 6036L, 228L, 1300L, 1634L, 5638L, 248L, 1363L, 
    1116L, 3034L, 36L, 1312L, 775L, 2577L, 54L, 1013L, 0L, 529L, 
    95L, 414L, 5L, 1548L, 170L, 370L, 0L, 1234L, 0L, 161L, 0L, 
    1705L, 0L, 205L, 0L, 1804L, 0L, 182L, 0L, 301L, 0L, 563L, 
    41L, 1429L, 259L, 879L, 0L, 1420L, 42L, 513L, 0L, 953L, 49L, 
    336L, 0L, 411L, 0L, 295L, 0L, 9L, 53L, 170L, 0L, 101L, 215L, 
    700L, 29L, 46L, 507L, 1011L, 24L, 34L, 166L, 526L, 0L, 74L, 
    0L, 26L, 0L, 0L, 115L, 31L, 16L, 78L, 189L, 391L, 0L, 138L, 
    243L, 968L, 49L, 268L, 31L, 684L, 85L, 22L, 0L, 240L, 0L, 
    42L, 0L, 10L, 267L, 136L, 0L, 306L, 612L, 293L, 0L, 174L, 
    1039L, 422L, 129L, 190L, 1054L, 357L, 0L, 161L, 0L, 64L, 
    0L, 99L, 350L, 119L, 0L, 44L, 756L, 196L, 0L, 87L, 1209L, 
    402L, 30L, 124L, 1255L, 401L, 37L, 168L, 30L, 48L, 48L, 101L, 
    503L, 957L, 120L, 267L, 523L, 1676L, 49L, 483L, 1092L, 1960L, 
    35L, 321L, 1327L, 2405L, 31L, 653L, 27L, 86L, 13L, 31L, 329L, 
    1370L, 26L, 81L, 544L, 1919L, 102L, 105L, 980L, 1642L, 0L, 
    132L, 857L, 2568L, 65L, 211L, 0L, 76L, 0L, 59L, 0L, 424L, 
    0L, 31L, 0L, 250L, 0L, 10L, 0L, 750L, 0L, 22L, 44L, 1072L, 
    0L, 96L, 0L, 78L, 0L, 187L, 0L, 282L, 141L, 142L, 0L, 401L, 
    35L, 70L, 0L, 515L, 0L, 106L, 0L, 301L, 0L, 63L, 0L, 0L, 
    128L, 303L, 0L, 0L, 401L, 496L, 0L, 0L, 185L, 43L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 771L, 298L, 68L, 0L, 1291L, 
    268L, 0L, 0L, 367L, 223L, 0L, 0L, 0L, 38L, 51L, 0L, 0L, 0L, 
    0L, 37L, 195L, 130L, 164L, 0L, 108L, 492L, 15L, 0L, 0L, 95L, 
    0L, 0L, 0L, 130L, 0L, 0L, 0L, 0L, 126L, 0L, 335L, 409L, 41L, 
    149L, 962L, 469L, 157L, 0L, 701L, 62L, 0L, 0L, 57L, 0L, 0L, 
    0L, 0L, 0L, 29L, 240L, 32L, 252L, 37L, 160L, 0L, 727L, 0L, 
    95L, 0L, 454L, 28L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 234L, 
    249L, 681L, 0L, 100L, 119L, 738L, 0L, 113L, 159L, 421L, 0L, 
    0L, 27L, 57L, 26L, 0L, 0L, 40L, 0L, 370L, 0L, 694L, 0L, 37L, 
    0L, 79L, 0L, 45L, 0L, 70L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 
    0L, 113L, 0L, 1304L, 0L, 198L, 0L, 1131L, 0L, 32L, 32L, 278L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 5L, 0L, 0L, 634L, 707L, 0L, 83L, 
    249L, 831L, 41L, 30L, 193L, 628L, 0L, 55L, 27L, 161L, 0L, 
    0L, 0L, 31L, 119L, 0L, 139L, 240L, 0L, 124L, 820L, 683L, 
    59L, 30L, 323L, 539L, 0L, 99L, 70L, 100L, 0L, 0L, 0L, 25L, 
    82L, 0L, 130L, 91L, 29L, 168L, 641L, 698L, 71L, 276L, 234L, 
    506L, 0L, 114L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 144L, 61L, 
    28L, 146L, 1221L, 382L, 268L, 123L, 716L, 464L, 83L, 62L, 
    166L, 34L, 0L, 30L, 0L, 0L, 28L, 91L, 132L, 181L, 32L, 478L, 
    122L, 315L, 0L, 349L, 0L, 238L, 89L, 190L, 0L, 45L, 0L, 0L, 
    0L, 21L, 0L, 148L, 181L, 269L, 112L, 387L, 247L, 1141L, 0L, 
    421L, 81L, 743L, 0L, 27L, 0L, 126L, 0L, 126L, 0L, 59L, 0L, 
    618L, 0L, 270L, 0L, 272L, 0L, 106L, 0L, 200L, 0L, 78L, 0L, 
    95L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 412L, 0L, 461L, 0L, 316L, 
    28L, 303L, 6L, 178L, 79L, 145L, 0L, 34L, 0L, 30L, 0L, 18L, 
    0L, 0L, 76L, 0L, 133L, 689L, 231L, 0L, 228L, 781L, 213L, 
    122L, 198L, 639L, 0L, 37L, 56L, 401L, 0L, 0L, 0L, 44L, 112L, 
    0L, 273L, 203L, 255L, 110L, 257L, 408L, 149L, 123L, 712L, 
    651L, 23L, 91L, 38L, 156L, 0L, 0L, 45L, 0L, 62L, 193L, 0L, 
    86L, 855L, 87L, 533L, 1097L, 125L, 279L, 254L, 551L, 300L, 
    172L, 28L, 650L, 190L, 0L, 0L, 209L, 21L, 0L, 112L, 142L, 
    497L, 380L, 535L, 664L, 377L, 83L, 684L, 550L, 291L, 117L, 
    259L, 240L, 141L, 0L, 92L, 242L, 197L, 426L, 15L, 353L, 308L, 
    957L, 130L, 904L, 246L, 470L, 57L, 405L, 31L, 150L, 40L, 
    16L, 24L, 35L, 0L, 29L, 115L, 518L, 78L, 183L, 199L, 758L, 
    178L, 1185L, 159L, 655L, 243L, 1148L, 110L, 162L, 84L, 248L, 
    38L, 27L, 0L, 354L, 0L, 173L, 0L, 212L, 22L, 331L, 0L, 134L, 
    0L, 414L, 29L, 17L, 15L, 40L, 0L, 0L, 0L, 121L, 0L, 21L, 
    0L, 50L, 0L, 354L, 0L, 231L, 0L, 248L, 0L, 166L, 0L, 107L, 
    22L, 76L, 0L, 184L, 0L, 47L, 0L, 48L, 0L, 0L, 0L, 223L, 158L, 
    0L, 304L, 1479L, 135L, 0L, 296L, 672L, 25L, 0L, 188L, 215L, 
    39L, 0L, 0L, 0L, 0L, 0L, 189L, 272L, 29L, 39L, 380L, 447L, 
    24L, 64L, 378L, 490L, 0L, 35L, 119L, 506L, 35L, 62L, 0L, 
    31L, 83L, 47L, 0L, 23L, 609L, 235L, 318L, 264L, 882L, 194L, 
    90L, 357L, 645L, 125L, 214L, 35L, 166L, 24L, 0L, 35L, 27L, 
    30L, 0L, 0L, 647L, 132L, 231L, 428L, 865L, 232L, 131L, 144L, 
    734L, 57L, 71L, 288L, 199L, 111L, 25L, 62L, 84L, 299L, 0L, 
    447L, 214L, 919L, 0L, 273L, 354L, 1312L, 39L, 551L, 341L, 
    187L, 0L, 205L, 212L, 184L, 0L, 117L, 25L, 270L, 0L, 475L, 
    242L, 843L, 173L, 502L, 169L, 755L, 130L, 469L, 111L, 282L, 
    129L, 254L, 190L, 364L, 23L, 251L, 0L, 21L, 0L, 125L, 0L, 
    166L, 0L, 206L, 0L, 55L, 0L, 20L, 0L, 20L, 0L, 0L, 0L, 34L, 
    0L, 33L, 0L, 76L, 83L, 237L, 0L, 110L, 0L, 211L, 0L, 0L, 
    0L, 100L, 0L, 17L, 28L, 69L, 0L, 22L, 0L, 29L, 0L, 0L, 0L, 
    23L, 0L, 0L, 0L, 0L, 47L, 0L, 0L, 294L, 0L, 0L, 0L, 215L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 84L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 
    24L, 0L, 48L, 0L, 0L, 0L, 0L, 66L, 174L, 0L, 0L, 46L, 80L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 82L, 35L, 143L, 0L, 125L, 0L, 
    0L, 0L, 56L, 0L, 0L, 10L, 247L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    141L, 0L, 0L, 43L, 145L, 278L, 0L, 0L, 118L, 266L, 0L, 0L, 
    63L, 152L, 13L, 0L, 0L, 0L, 0L, 0L, 118L, 6L, 53L, 0L, 0L, 
    245L, 0L, 39L, 65L, 182L, 0L, 0L, 36L, 197L, 0L, 35L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 0L, 
    0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 60L, 0L, 0L, 
    0L, 0L, 25L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 215L, 
    152L, 0L, 0L, 73L, 32L, 0L, 0L, 0L, 63L, 0L, 0L, 0L, 0L, 
    0L, 40L, 0L, 0L, 22L, 0L, 145L, 72L, 66L, 0L, 216L, 0L, 0L, 
    0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 101L, 0L, 0L, 
    248L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 25L, 0L, 
    29L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 32L, 0L, 0L, 164L, 0L, 
    0L, 0L, 0L, 84L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 35L, 0L, 
    0L, 75L, 0L, 0L, 0L, 0L, 32L, 69L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 112L, 189L, 0L, 0L, 0L, 0L, 203L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 
    0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 15L, 0L, 0L, 0L, 166L, 0L, 0L, 0L, 0L, 0L, 92L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 95L, 0L, 0L, 
    21L, 24L, 0L, 0L, 30L, 128L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 282L, 20L, 41L, 0L, 136L, 22L, 0L, 0L, 0L, 25L, 
    0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 155L, 0L, 71L, 34L, 85L, 
    0L, 83L, 0L, 0L, 0L, 31L, 97L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 105L, 148L, 60L, 0L, 73L, 66L, 85L, 12L, 70L, 0L, 25L, 
    31L, 0L, 0L, 42L, 0L, 0L, 0L, 0L, 0L, 124L, 189L, 0L, 202L, 
    0L, 0L, 0L, 69L, 49L, 0L, 0L, 36L, 0L, 0L, 0L, 94L, 0L, 0L, 
    0L, 0L, 0L, 98L, 0L, 116L, 0L, 51L, 0L, 0L, 0L, 10L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 
    43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 37L, 0L, 53L, 0L, 12L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 55L, 0L, 0L, 0L, 52L, 96L, 0L, 106L, 196L, 0L, 122L, 
    29L, 168L, 0L, 0L, 0L, 254L, 0L, 0L, 0L, 0L, 0L, 0L, 51L, 
    0L, 130L, 100L, 164L, 68L, 100L, 87L, 97L, 179L, 33L, 13L, 
    37L, 249L, 0L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 181L, 50L, 37L, 
    119L, 185L, 138L, 97L, 0L, 244L, 0L, 0L, 9L, 98L, 99L, 0L, 
    0L, 0L, 0L, 0L, 0L, 112L, 24L, 28L, 28L, 85L, 0L, 144L, 201L, 
    113L, 68L, 25L, 10L, 77L, 0L, 0L, 61L, 0L, 0L, 0L, 0L, 0L, 
    50L, 0L, 165L, 38L, 37L, 0L, 124L, 0L, 55L, 0L, 52L, 11L, 
    37L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 277L, 10L, 67L, 
    0L, 160L, 0L, 0L, 0L, 29L, 0L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 
    164L, 51L, 0L, 10L, 0L, 45L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 152L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 32L, 0L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 0L, 
    6L, 129L, 73L, 4L, 0L, 33L, 181L, 0L, 0L, 26L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 36L, 0L, 9L, 0L, 35L, 
    0L, 0L, 0L, 77L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 143L, 0L, 
    0L, 48L, 219L, 0L, 0L, 0L, 364L, 0L, 26L, 0L, 72L, 31L, 0L, 
    29L, 0L, 0L, 21L, 33L, 45L, 0L, 0L, 0L, 183L, 18L, 0L, 0L, 
    204L, 95L, 118L, 0L, 263L, 80L, 0L, 159L, 0L, 0L, 0L, 0L, 
    111L, 103L, 0L, 121L, 0L, 142L, 0L, 0L, 39L, 38L, 0L, 92L, 
    42L, 49L, 0L, 100L, 0L, 9L, 0L, 0L, 21L, 55L, 159L, 0L, 0L, 
    0L, 0L, 0L, 0L, 68L, 0L, 0L, 33L, 0L, 0L, 60L, 33L, 0L, 0L, 
    0L, 0L, 50L, 70L, 0L, 0L, 9L, 0L, 0L, 0L, 55L, 0L, 89L, 0L, 
    0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 100L, 0L, 33L, 0L, 0L, 0L, 
    0L, 0L, 50L, 0L, 106L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 33L, 0L, 0L, 0L, 84L, 19L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    25L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 
    0L, 75L, 33L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 50L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 50L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 42L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 101L, 0L, 0L, 36L, 31L, 
    0L, 0L, 25L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 22L, 107L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 
    414L, 57L, 69L, 0L, 737L, 0L, 0L, 0L, 224L, 0L, 0L, 20L, 
    0L, 0L, 45L, 0L, 623L, 59L, 0L, 0L, 1002L, 0L, 35L, 0L, 1519L, 
    0L, 0L, 0L, 364L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 139L, 0L, 19L, 0L, 397L, 0L, 0L, 0L, 87L, 0L, 0L, 0L, 
    65L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 20L, 0L, 81L, 
    0L, 0L, 30L, 390L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 92L, 0L, 
    0L, 41L, 92L, 0L, 18L, 0L, 211L, 0L, 0L, 0L, 129L, 0L, 0L, 
    23L, 88L, 0L, 0L, 0L, 52L, 18L, 17L, 0L, 106L, 0L, 25L, 0L, 
    109L, 0L, 94L, 140L, 136L, 0L, 51L, 0L, 136L, 0L, 0L, 0L, 
    73L, 0L, 30L, 0L, 54L, 0L, 55L, 0L, 64L, 0L, 0L, 0L, 122L, 
    0L, 27L, 0L, 88L, 0L, 30L, 0L, 178L, 0L, 62L, 0L, 99L, 0L, 
    21L, 0L, 161L, 0L, 67L, 0L, 353L, 0L, 0L, 0L, 0L, 22L, 42L, 
    0L, 25L, 0L, 11L, 0L, 322L, 49L, 101L, 0L, 920L, 0L, 45L, 
    35L, 152L, 0L, 0L, 0L, 63L, 24L, 13L, 0L, 27L, 31L, 0L, 0L, 
    126L, 19L, 17L, 20L, 2112L, 0L, 47L, 0L, 421L, 0L, 0L, 0L, 
    0L, 19L, 0L, 0L, 68L, 0L, 46L, 0L, 191L, 0L, 0L, 0L, 291L, 
    0L, 23L, 0L, 508L, 0L, 0L, 0L, 34L, 0L, 0L, 60L, 0L, 19L, 
    0L, 0L, 95L, 21L, 27L, 0L, 374L, 0L, 77L, 32L, 258L, 0L, 
    42L, 0L, 0L, 0L, 0L, 0L, 105L, 0L, 0L, 0L, 151L, 0L, 50L, 
    0L, 264L, 0L, 42L, 0L, 462L, 0L, 41L, 0L, 0L, 0L, 101L, 0L, 
    139L, 0L, 34L, 0L, 176L, 0L, 43L, 18L, 487L, 0L, 115L, 55L, 
    200L, 0L, 25L, 0L, 0L, 0L, 53L, 0L, 62L, 0L, 29L, 0L, 115L, 
    0L, 50L, 0L, 120L, 0L, 80L, 0L, 141L, 0L, 0L, 0L, 35L, 0L, 
    83L, 0L, 187L, 0L, 31L, 0L, 541L, 0L, 105L, 0L, 347L, 0L, 
    23L, 0L, 392L, 0L, 0L, 0L, 0L, 42L, 35L, 0L, 44L, 22L, 78L, 
    24L, 258L, 0L, 234L, 21L, 2562L, 0L, 89L, 0L, 561L, 45L, 
    0L, 0L, 0L, 0L, 0L, 35L, 101L, 0L, 56L, 22L, 291L, 26L, 268L, 
    0L, 3073L, 0L, 152L, 26L, 1423L, 0L, 0L, 0L, 0L, 39L, 0L, 
    0L, 118L, 42L, 138L, 0L, 96L, 134L, 156L, 0L, 1482L, 140L, 
    155L, 0L, 1729L, 0L, 0L, 0L, 0L, 20L, 0L, 0L, 0L, 22L, 32L, 
    33L, 235L, 56L, 63L, 0L, 1028L, 273L, 188L, 37L, 1576L, 0L, 
    28L, 0L, 58L, 0L, 21L, 0L, 58L, 0L, 32L, 0L, 378L, 47L, 141L, 
    18L, 687L, 0L, 207L, 0L, 640L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    192L, 0L, 21L, 22L, 405L, 90L, 42L, 51L, 777L, 0L, 247L, 
    83L, 636L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 122L, 0L, 120L, 0L, 
    175L, 0L, 148L, 0L, 171L, 0L, 123L, 49L, 331L, 0L, 0L, 0L, 
    58L, 0L, 23L, 0L, 331L, 0L, 97L, 0L, 346L, 0L, 28L, 0L, 129L, 
    0L, 52L, 0L, 634L, 0L, 0L, 14L, 0L, 0L, 0L, 0L, 205L, 0L, 
    19L, 35L, 210L, 49L, 279L, 0L, 2481L, 42L, 195L, 0L, 863L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 84L, 20L, 17L, 20L, 159L, 100L, 
    329L, 86L, 4052L, 0L, 359L, 36L, 1694L, 0L, 0L, 0L, 60L, 
    0L, 35L, 0L, 419L, 38L, 57L, 0L, 627L, 490L, 584L, 41L, 1997L, 
    665L, 1025L, 19L, 2613L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 22L, 
    70L, 21L, 71L, 140L, 483L, 907L, 87L, 1155L, 887L, 1067L, 
    0L, 3021L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 45L, 63L, 43L, 39L, 
    98L, 93L, 330L, 52L, 916L, 340L, 535L, 66L, 1802L, 0L, 21L, 
    0L, 0L, 0L, 0L, 0L, 106L, 0L, 217L, 0L, 153L, 172L, 267L, 
    43L, 1367L, 143L, 659L, 165L, 1663L, 0L, 30L, 0L, 41L, 0L, 
    0L, 0L, 103L, 26L, 59L, 0L, 35L, 0L, 283L, 0L, 86L, 0L, 1011L, 
    0L, 391L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 185L, 0L, 167L, 0L, 
    360L, 0L, 466L, 0L, 393L, 0L, 387L, 0L, 410L, 0L, 0L, 32L, 
    82L, 0L, 52L, 14L, 161L, 0L, 83L, 101L, 217L, 0L, 174L, 102L, 
    2865L, 22L, 211L, 0L, 603L, 0L, 0L, 0L, 23L, 0L, 0L, 83L, 
    149L, 0L, 0L, 33L, 233L, 0L, 128L, 54L, 1712L, 41L, 363L, 
    0L, 709L, 0L, 0L, 0L, 0L, 23L, 20L, 0L, 0L, 48L, 88L, 44L, 
    352L, 437L, 545L, 39L, 1670L, 1561L, 1281L, 167L, 2546L, 
    0L, 0L, 0L, 0L, 0L, 20L, 47L, 0L, 21L, 89L, 29L, 65L, 763L, 
    987L, 53L, 683L, 1995L, 1487L, 214L, 1268L, 0L, 0L, 0L, 0L, 
    0L, 23L, 0L, 169L, 41L, 276L, 0L, 275L, 633L, 1079L, 30L, 
    965L, 1338L, 3781L, 149L, 1595L, 0L, 0L, 0L, 0L, 34L, 197L, 
    0L, 71L, 38L, 254L, 0L, 228L, 293L, 1615L, 73L, 329L, 1060L, 
    2977L, 115L, 963L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 53L, 
    0L, 0L, 0L, 445L, 0L, 95L, 81L, 2086L, 0L, 537L, 0L, 0L, 
    0L, 0L, 0L, 198L, 0L, 31L, 0L, 104L, 0L, 62L, 0L, 515L, 0L, 
    153L, 0L, 816L, 0L, 417L, 0L, 0L, 849L, 884L, 51L, 111L, 
    429L, 1229L, 52L, 0L, 88L, 649L, 0L, 87L, 0L, 377L, 0L, 0L, 
    37L, 0L, 21L, 0L, 1364L, 770L, 207L, 0L, 1858L, 848L, 69L, 
    0L, 861L, 904L, 0L, 56L, 44L, 197L, 0L, 0L, 0L, 59L, 0L, 
    53L, 274L, 1113L, 76L, 86L, 86L, 1051L, 110L, 58L, 90L, 524L, 
    23L, 0L, 0L, 108L, 0L, 0L, 0L, 28L, 47L, 127L, 1012L, 603L, 
    240L, 24L, 2019L, 1471L, 23L, 253L, 954L, 498L, 25L, 0L, 
    49L, 163L, 0L, 0L, 29L, 81L, 20L, 462L, 79L, 1649L, 86L, 
    372L, 101L, 1890L, 61L, 146L, 21L, 924L, 0L, 72L, 138L, 408L, 
    0L, 68L, 0L, 124L, 0L, 265L, 916L, 3036L, 147L, 342L, 445L, 
    2782L, 111L, 202L, 574L, 1883L, 0L, 0L, 46L, 194L, 0L, 0L, 
    0L, 129L, 32L, 684L, 22L, 1940L, 21L, 120L, 76L, 871L, 0L, 
    117L, 0L, 429L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 78L, 0L, 534L, 
    0L, 4484L, 0L, 214L, 0L, 3173L, 0L, 193L, 0L, 1256L, 0L, 
    0L, 0L, 220L, 0L, 0L, 0L, 50L, 22L, 0L, 259L, 759L, 165L, 
    51L, 548L, 1606L, 111L, 47L, 26L, 875L, 0L, 0L, 0L, 467L, 
    0L, 0L, 0L, 0L, 0L, 0L, 542L, 739L, 196L, 67L, 1452L, 998L, 
    40L, 23L, 676L, 1172L, 107L, 0L, 43L, 651L, 0L, 0L, 29L, 
    60L, 0L, 0L, 230L, 590L, 75L, 243L, 512L, 1414L, 176L, 0L, 
    296L, 1255L, 56L, 23L, 0L, 209L, 0L, 0L, 0L, 116L, 93L, 93L, 
    542L, 831L, 274L, 96L, 2220L, 1285L, 152L, 128L, 981L, 753L, 
    50L, 57L, 116L, 328L, 0L, 26L, 48L, 255L, 26L, 344L, 165L, 
    957L, 201L, 558L, 0L, 2285L, 45L, 175L, 52L, 1050L, 26L, 
    20L, 0L, 234L, 81L, 21L, 98L, 206L, 19L, 551L, 158L, 1168L, 
    22L, 455L, 406L, 2107L, 72L, 291L, 237L, 1550L, 25L, 20L, 
    0L, 467L, 29L, 21L, 0L, 220L, 0L, 785L, 0L, 826L, 20L, 357L, 
    0L, 565L, 0L, 187L, 20L, 462L, 0L, 64L, 0L, 120L, 0L, 44L, 
    37L, 154L, 0L, 354L, 34L, 1009L, 0L, 691L, 0L, 1652L, 0L, 
    267L, 31L, 1275L, 0L, 126L, 0L, 243L, 0L, 59L, 0L, 406L, 
    26L, 15L, 348L, 562L, 98L, 57L, 825L, 1132L, 201L, 60L, 262L, 
    1514L, 0L, 0L, 0L, 841L, 0L, 0L, 0L, 28L, 21L, 0L, 22L, 410L, 
    44L, 42L, 692L, 1114L, 285L, 135L, 477L, 1080L, 19L, 103L, 
    50L, 678L, 0L, 0L, 0L, 170L, 111L, 78L, 248L, 475L, 430L, 
    387L, 242L, 1684L, 304L, 362L, 61L, 1187L, 44L, 122L, 0L, 
    736L, 18L, 62L, 0L, 475L, 94L, 57L, 479L, 561L, 520L, 176L, 
    495L, 935L, 303L, 164L, 942L, 724L, 81L, 174L, 459L, 1118L, 
    0L, 20L, 148L, 803L, 116L, 163L, 21L, 809L, 250L, 961L, 46L, 
    1783L, 184L, 270L, 26L, 1545L, 79L, 42L, 0L, 633L, 43L, 97L, 
    0L, 472L, 102L, 253L, 25L, 639L, 157L, 780L, 374L, 2101L, 
    234L, 729L, 452L, 3033L, 0L, 171L, 143L, 573L, 42L, 155L, 
    141L, 1027L, 0L, 573L, 21L, 582L, 0L, 589L, 20L, 517L, 0L, 
    337L, 0L, 163L, 0L, 230L, 0L, 187L, 0L, 144L, 0L, 95L, 0L, 
    525L, 40L, 860L, 0L, 569L, 0L, 1442L, 0L, 258L, 0L, 673L, 
    0L, 150L, 0L, 669L, 0L, 125L, 0L, 341L, 0L, 41L, 251L, 636L, 
    0L, 0L, 562L, 1069L, 130L, 122L, 182L, 1080L, 50L, 59L, 33L, 
    595L, 0L, 0L, 0L, 0L, 0L, 0L, 185L, 207L, 108L, 112L, 280L, 
    961L, 113L, 94L, 468L, 623L, 60L, 21L, 0L, 572L, 24L, 0L, 
    0L, 309L, 64L, 0L, 46L, 538L, 535L, 308L, 224L, 1143L, 341L, 
    215L, 26L, 869L, 358L, 208L, 71L, 1280L, 226L, 167L, 0L, 
    407L, 173L, 0L, 52L, 161L, 200L, 139L, 109L, 585L, 460L, 
    226L, 366L, 676L, 202L, 161L, 43L, 761L, 319L, 205L, 133L, 
    727L, 50L, 119L, 41L, 538L, 156L, 480L, 175L, 1530L, 311L, 
    461L, 64L, 1174L, 190L, 356L, 22L, 642L, 95L, 257L, 39L, 
    609L, 22L, 61L, 97L, 406L, 156L, 364L, 73L, 1490L, 193L, 
    615L, 112L, 1725L, 223L, 421L, 134L, 907L, 124L, 438L, 189L, 
    1044L, 0L, 297L, 0L, 281L, 0L, 470L, 0L, 166L, 0L, 467L, 
    0L, 156L, 0L, 161L, 0L, 111L, 0L, 224L, 0L, 188L, 73L, 80L, 
    0L, 537L, 0L, 545L, 113L, 821L, 0L, 196L, 0L, 414L, 0L, 189L, 
    0L, 376L, 0L, 202L, 0L, 275L, 0L, 0L, 109L, 58L, 0L, 0L, 
    22L, 201L, 0L, 0L, 30L, 203L, 0L, 0L, 0L, 130L, 40L, 0L, 
    0L, 56L, 0L, 0L, 60L, 29L, 0L, 0L, 148L, 127L, 0L, 39L, 0L, 
    491L, 0L, 0L, 24L, 367L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 79L, 
    95L, 0L, 30L, 329L, 22L, 35L, 41L, 428L, 149L, 171L, 0L, 
    195L, 409L, 67L, 0L, 264L, 0L, 0L, 0L, 96L, 42L, 73L, 0L, 
    142L, 118L, 22L, 0L, 174L, 193L, 76L, 74L, 422L, 310L, 127L, 
    66L, 252L, 0L, 24L, 0L, 68L, 87L, 257L, 167L, 237L, 33L, 
    229L, 0L, 413L, 104L, 382L, 0L, 207L, 214L, 662L, 0L, 90L, 
    0L, 60L, 80L, 21L, 119L, 125L, 0L, 323L, 74L, 330L, 0L, 461L, 
    105L, 333L, 29L, 180L, 205L, 640L, 28L, 314L, 0L, 106L, 0L, 
    76L, 0L, 40L, 0L, 60L, 18L, 43L, 0L, 20L, 0L, 79L, 34L, 87L, 
    0L, 231L, 0L, 75L, 0L, 39L, 0L, 245L, 0L, 108L, 96L, 340L, 
    0L, 128L, 0L, 113L, 0L, 85L, 0L, 250L, 0L, 147L, 0L, 18L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 44L, 0L, 0L, 
    0L, 53L, 0L, 0L, 0L, 141L, 0L, 0L, 0L, 114L, 0L, 0L, 0L, 
    168L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 175L, 0L, 0L, 0L, 84L, 
    28L, 0L, 69L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 22L, 0L, 0L, 0L, 0L, 0L, 67L, 104L, 74L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 92L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    89L, 0L, 0L, 0L, 92L, 0L, 27L, 0L, 0L, 0L, 144L, 0L, 0L, 
    0L, 99L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 253L, 0L, 0L, 0L, 146L, 0L, 19L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 128L, 0L, 0L, 
    0L, 59L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 76L, 0L, 0L, 0L, 0L, 
    0L, 0L, 115L, 0L, 51L, 60L, 31L, 0L, 0L, 0L, 59L, 127L, 0L, 
    0L, 0L, 72L, 0L, 42L, 0L, 62L, 46L, 81L, 0L, 42L, 33L, 0L, 
    0L, 59L, 53L, 0L, 0L, 73L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 32L, 
    56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 77L, 27L, 29L, 0L, 0L, 0L, 
    33L, 66L, 0L, 27L, 0L, 0L, 0L, 56L, 0L, 25L, 0L, 0L, 0L, 
    127L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 
    0L, 128L, 100L, 0L, 20L, 0L, 30L, 0L, 0L, 0L, 31L, 0L, 0L, 
    0L, 0L, 0L, 33L, 0L, 89L, 0L, 34L, 0L, 25L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 
    0L, 119L, 0L, 0L, 0L, 66L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 56L, 
    0L, 0L, 0L, 25L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 182L, 0L, 0L, 
    0L, 34L, 0L, 0L, 0L, 140L, 0L, 0L, 0L, 21L, 0L, 52L, 29L, 
    30L, 0L, 0L, 27L, 99L, 33L, 0L, 45L, 0L, 0L, 95L, 0L, 97L, 
    0L, 49L, 0L, 95L, 0L, 62L, 0L, 0L, 0L, 32L, 0L, 86L, 95L, 
    21L, 0L, 92L, 92L, 33L, 0L, 0L, 21L, 57L, 0L, 21L, 0L, 106L, 
    0L, 0L, 0L, 0L, 0L, 43L, 23L, 0L, 50L, 80L, 32L, 31L, 35L, 
    58L, 0L, 0L, 0L, 97L, 22L, 74L, 0L, 53L, 0L, 31L, 0L, 95L, 
    0L, 22L, 0L, 33L, 0L, 0L, 0L, 28L, 0L, 42L, 0L, 23L, 31L, 
    58L, 0L, 234L, 19L, 84L, 0L, 0L, 27L, 37L, 0L, 105L, 0L, 
    0L, 0L, 72L, 0L, 0L, 0L, 55L, 0L, 85L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 36L, 0L, 
    0L, 46L, 56L, 0L, 0L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 
    28L, 0L, 18L, 0L, 31L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 
    66L, 0L, 72L, 0L, 92L, 0L, 118L, 0L, 24L, 0L, 38L, 32L, 0L, 
    0L, 29L, 0L, 58L, 0L, 79L, 18L, 0L, 107L, 29L, 0L, 77L, 0L, 
    181L, 0L, 33L, 0L, 150L, 23L, 0L, 108L, 0L, 0L, 93L, 0L, 
    39L, 0L, 0L, 91L, 30L, 0L, 48L, 0L, 68L, 0L, 83L, 0L, 160L, 
    53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 221L, 0L, 
    0L, 147L, 69L, 69L, 30L, 213L, 49L, 0L, 0L, 32L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 
    89L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 78L, 0L, 19L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 31L, 0L, 0L, 54L, 0L, 27L, 
    0L, 46L, 0L, 0L, 0L, 50L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 58L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 60L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 189L, 0L, 0L, 
    0L, 52L, 0L, 0L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 0L, 0L, 22L, 
    0L, 29L, 0L, 149L, 105L, 44L, 0L, 75L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 29L, 0L, 0L, 64L, 51L, 0L, 
    67L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 33L, 
    21L, 0L, 53L, 52L, 0L, 22L, 143L, 0L, 28L, 0L, 33L, 0L, 71L, 
    0L, 0L, 0L, 0L, 0L, 0L, 30L, 27L, 0L, 0L, 47L, 72L, 36L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 29L, 0L, 0L, 35L, 0L, 32L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1319L, 306L, 
    3846L, 5156L, 2881L, 1107L, 3797L, 13364L, 1166L, 1240L, 
    1671L, 23509L, 231L, 389L, 0L, 6049L, 54L, 76L, 0L, 724L, 
    2739L, 642L, 5802L, 5169L, 3024L, 828L, 9143L, 10904L, 2494L, 
    1478L, 4873L, 24233L, 317L, 533L, 301L, 7229L, 0L, 96L, 0L, 
    1088L, 2563L, 1053L, 1526L, 6676L, 4926L, 1981L, 2709L, 14923L, 
    2430L, 1319L, 1601L, 9391L, 995L, 525L, 198L, 3798L, 347L, 
    191L, 23L, 939L, 2739L, 1006L, 4174L, 4306L, 5066L, 2252L, 
    9492L, 8515L, 4035L, 1681L, 8835L, 7924L, 1159L, 495L, 1919L, 
    3228L, 453L, 139L, 464L, 996L, 1120L, 6881L, 663L, 13879L, 
    2513L, 12051L, 1386L, 27692L, 1886L, 10215L, 1098L, 23895L, 
    951L, 4243L, 176L, 9998L, 280L, 1963L, 175L, 3888L, 679L, 
    7657L, 1408L, 15454L, 1982L, 19196L, 3463L, 36904L, 1423L, 
    12191L, 3219L, 30629L, 685L, 3676L, 1353L, 9920L, 175L, 1785L, 
    280L, 4977L, 106L, 24093L, 109L, 22347L, 69L, 29633L, 30L, 
    26536L, 116L, 15246L, 0L, 14954L, 14L, 6530L, 20L, 6594L, 
    0L, 3213L, 0L, 3653L, 0L, 18294L, 155L, 64446L, 24L, 34398L, 
    168L, 115254L, 25L, 11603L, 38L, 57086L, 0L, 3265L, 0L, 15636L, 
    0L, 1125L, 0L, 7630L, 3859L, 1822L, 6725L, 12645L, 8127L, 
    3425L, 10260L, 33453L, 5113L, 4038L, 4085L, 31073L, 1006L, 
    2046L, 461L, 10313L, 154L, 404L, 20L, 1345L, 4705L, 1327L, 
    7216L, 8348L, 9062L, 4466L, 11606L, 20854L, 9497L, 6084L, 
    9279L, 27834L, 1392L, 2492L, 1561L, 14999L, 311L, 373L, 33L, 
    2139L, 7277L, 2950L, 3013L, 10344L, 18774L, 7941L, 7653L, 
    30029L, 14100L, 5064L, 4287L, 23902L, 4704L, 1549L, 521L, 
    11222L, 1123L, 492L, 277L, 3054L, 5909L, 2666L, 4182L, 5349L, 
    18683L, 6308L, 13278L, 16633L, 17174L, 4732L, 17856L, 18209L, 
    5587L, 1664L, 4604L, 8865L, 1529L, 528L, 1081L, 3511L, 3158L, 
    13911L, 1448L, 15056L, 8090L, 35621L, 2975L, 40869L, 6293L, 
    28250L, 2905L, 35227L, 2318L, 9682L, 655L, 15171L, 1202L, 
    4612L, 265L, 4998L, 1614L, 14404L, 1509L, 11288L, 5903L, 
    55563L, 5484L, 47703L, 4162L, 33724L, 6575L, 49821L, 1724L, 
    8584L, 2355L, 17123L, 491L, 3770L, 819L, 8035L, 473L, 47278L, 
    110L, 14255L, 486L, 85645L, 58L, 24243L, 176L, 57277L, 27L, 
    20643L, 29L, 27180L, 28L, 8918L, 0L, 12648L, 22L, 5218L, 
    100L, 34856L, 621L, 29041L, 113L, 99975L, 971L, 76526L, 87L, 
    42894L, 275L, 49432L, 0L, 12663L, 0L, 18097L, 0L, 5653L, 
    32L, 9880L, 2969L, 2127L, 8963L, 17119L, 11045L, 7363L, 16457L, 
    44887L, 11305L, 9754L, 9343L, 45739L, 3629L, 5409L, 1319L, 
    20115L, 487L, 1354L, 38L, 2561L, 4129L, 1212L, 5783L, 11108L, 
    13652L, 8008L, 15001L, 27437L, 18286L, 10937L, 11691L, 42860L, 
    7224L, 9156L, 1630L, 21899L, 933L, 2413L, 283L, 3361L, 11788L, 
    5459L, 3699L, 11248L, 51781L, 17904L, 10193L, 41223L, 52586L, 
    18550L, 6504L, 38845L, 22807L, 7317L, 2637L, 19722L, 7868L, 
    2311L, 338L, 7459L, 9733L, 3700L, 3248L, 5938L, 49322L, 16868L, 
    11527L, 20348L, 59721L, 17682L, 16390L, 25532L, 26739L, 8342L, 
    6684L, 16680L, 7568L, 2943L, 2471L, 7514L, 6406L, 18601L, 
    1439L, 10445L, 21345L, 76453L, 5750L, 40452L, 23819L, 76844L, 
    4360L, 42905L, 11763L, 33328L, 1563L, 23701L, 5312L, 17490L, 
    435L, 10883L, 2639L, 19653L, 1259L, 6684L, 13958L, 103136L, 
    6068L, 40522L, 17881L, 92174L, 8746L, 55024L, 8529L, 29858L, 
    4316L, 26187L, 2669L, 15032L, 2706L, 20329L, 558L, 28346L, 
    722L, 7399L, 628L, 73891L, 796L, 15914L, 468L, 72636L, 119L, 
    15115L, 230L, 46044L, 80L, 11301L, 303L, 34175L, 273L, 7692L, 
    130L, 19186L, 1497L, 17010L, 228L, 86629L, 2324L, 40396L, 
    175L, 55371L, 421L, 27876L, 46L, 23412L, 301L, 14399L, 0L, 
    13558L, 191L, 11376L, 554L, 1168L, 6457L, 13156L, 2883L, 
    4285L, 15042L, 39864L, 4098L, 5586L, 12602L, 40607L, 2356L, 
    6412L, 1131L, 17056L, 658L, 2046L, 21L, 2136L, 470L, 1343L, 
    4523L, 6851L, 5067L, 4405L, 10804L, 22363L, 6875L, 7535L, 
    12592L, 34520L, 5976L, 10263L, 1880L, 17204L, 1591L, 3983L, 
    255L, 3201L, 5748L, 4168L, 1439L, 4731L, 34373L, 16295L, 
    4186L, 21657L, 53174L, 19903L, 4682L, 24949L, 46166L, 17226L, 
    2735L, 21137L, 20651L, 7329L, 708L, 7094L, 3999L, 2222L, 
    931L, 1618L, 32811L, 15045L, 4325L, 11279L, 67315L, 21633L, 
    6486L, 17089L, 53691L, 17064L, 4625L, 15267L, 20930L, 8505L, 
    1782L, 6175L, 2703L, 10872L, 912L, 4120L, 21151L, 60457L, 
    2051L, 19653L, 32683L, 93201L, 2614L, 22665L, 31955L, 67174L, 
    1888L, 22396L, 19967L, 42587L, 1300L, 13904L, 1218L, 8233L, 
    656L, 2616L, 14811L, 84333L, 3085L, 16933L, 29031L, 104888L, 
    3450L, 25730L, 21766L, 58764L, 2463L, 15565L, 10061L, 37786L, 
    2267L, 13199L, 568L, 7335L, 310L, 2751L, 613L, 24104L, 822L, 
    6246L, 584L, 35445L, 406L, 6437L, 314L, 35102L, 163L, 6111L, 
    167L, 37189L, 51L, 6488L, 164L, 5589L, 1255L, 8572L, 298L, 
    33068L, 3999L, 19460L, 293L, 30144L, 827L, 11371L, 39L, 18328L, 
    600L, 5914L, 48L, 14551L, 166L, 5547L, 139L, 17L, 1509L, 
    2657L, 186L, 428L, 3700L, 8101L, 297L, 602L, 5266L, 11103L, 
    299L, 655L, 517L, 5012L, 314L, 253L, 275L, 815L, 17L, 66L, 
    1195L, 1386L, 230L, 517L, 2792L, 5304L, 1206L, 1601L, 3579L, 
    8844L, 881L, 1185L, 821L, 4374L, 296L, 616L, 101L, 516L, 
    855L, 356L, 244L, 1020L, 4412L, 1914L, 352L, 3060L, 8768L, 
    3535L, 690L, 4621L, 18128L, 5958L, 910L, 6592L, 14363L, 4026L, 
    491L, 3280L, 531L, 347L, 102L, 316L, 6505L, 2997L, 243L, 
    1397L, 13097L, 3996L, 915L, 2802L, 23137L, 6816L, 925L, 3062L, 
    13332L, 4476L, 466L, 2174L, 536L, 2004L, 126L, 486L, 4341L, 
    11689L, 716L, 2986L, 8321L, 23290L, 874L, 5143L, 16676L, 
    36670L, 913L, 8462L, 17849L, 33672L, 760L, 6718L, 470L, 1892L, 
    19L, 611L, 3701L, 20702L, 745L, 2531L, 8194L, 34985L, 671L, 
    4998L, 13728L, 32383L, 641L, 4391L, 8733L, 23790L, 560L, 
    4313L, 141L, 1990L, 0L, 883L, 180L, 6139L, 186L, 1280L, 271L, 
    10341L, 79L, 1714L, 148L, 17663L, 99L, 3300L, 353L, 20194L, 
    53L, 2877L, 83L, 1847L, 66L, 1422L, 59L, 9286L, 1677L, 5317L, 
    98L, 11601L, 485L, 4174L, 0L, 10786L, 251L, 3632L, 28L, 5984L, 
    238L, 1839L, 450L, 65L, 3422L, 6516L, 590L, 583L, 3735L, 
    8066L, 534L, 265L, 1549L, 7817L, 58L, 33L, 0L, 962L, 0L, 
    0L, 0L, 0L, 284L, 245L, 9046L, 5040L, 1395L, 308L, 14999L, 
    10587L, 1282L, 160L, 6067L, 9367L, 23L, 258L, 370L, 1252L, 
    0L, 0L, 20L, 23L, 748L, 927L, 876L, 4238L, 1868L, 1327L, 
    1565L, 5349L, 934L, 459L, 842L, 2190L, 92L, 75L, 21L, 470L, 
    0L, 50L, 19L, 22L, 744L, 555L, 7170L, 3671L, 2325L, 1514L, 
    14082L, 7155L, 1723L, 546L, 7741L, 3626L, 57L, 22L, 735L, 
    707L, 22L, 81L, 85L, 270L, 951L, 3124L, 852L, 8253L, 1133L, 
    2422L, 628L, 8099L, 293L, 1535L, 356L, 4043L, 94L, 287L, 
    51L, 365L, 88L, 183L, 26L, 190L, 673L, 3567L, 2149L, 13873L, 
    314L, 3284L, 3203L, 16232L, 502L, 1584L, 1648L, 9603L, 62L, 
    277L, 222L, 1260L, 71L, 260L, 298L, 342L, 146L, 6015L, 0L, 
    8909L, 42L, 2321L, 71L, 2616L, 0L, 905L, 0L, 737L, 55L, 105L, 
    0L, 200L, 0L, 109L, 22L, 120L, 0L, 3530L, 198L, 22480L, 0L, 
    2420L, 58L, 9372L, 0L, 854L, 0L, 4148L, 0L, 187L, 0L, 1159L, 
    0L, 172L, 0L, 475L, 899L, 332L, 4639L, 7020L, 2088L, 1062L, 
    6489L, 14740L, 1293L, 730L, 2841L, 10058L, 207L, 134L, 202L, 
    2731L, 27L, 0L, 0L, 397L, 471L, 373L, 3757L, 4167L, 2388L, 
    1757L, 8217L, 9810L, 1800L, 1073L, 8859L, 11226L, 253L, 436L, 
    879L, 2736L, 51L, 108L, 277L, 884L, 1655L, 1170L, 923L, 4491L, 
    6633L, 2371L, 2701L, 10495L, 3651L, 1127L, 1610L, 5537L, 
    594L, 280L, 235L, 1679L, 249L, 170L, 0L, 570L, 2167L, 640L, 
    3085L, 1781L, 5670L, 2335L, 11686L, 8407L, 4747L, 1637L, 
    13307L, 7436L, 1027L, 280L, 2650L, 2353L, 306L, 426L, 1096L, 
    729L, 2182L, 5472L, 1132L, 5388L, 3707L, 6648L, 1167L, 9972L, 
    1347L, 2720L, 390L, 5307L, 231L, 598L, 55L, 1716L, 289L, 
    238L, 189L, 598L, 990L, 4824L, 1766L, 6126L, 1821L, 8231L, 
    4252L, 14375L, 1377L, 4046L, 2776L, 11699L, 335L, 730L, 546L, 
    3294L, 113L, 332L, 136L, 871L, 54L, 6220L, 70L, 3520L, 212L, 
    4286L, 137L, 2480L, 83L, 1896L, 120L, 1269L, 52L, 648L, 0L, 
    533L, 0L, 219L, 0L, 196L, 38L, 3469L, 605L, 7587L, 128L, 
    3438L, 175L, 4823L, 43L, 1504L, 162L, 2684L, 0L, 640L, 0L, 
    1009L, 0L, 294L, 0L, 605L, 694L, 212L, 3649L, 7370L, 1705L, 
    920L, 7599L, 15993L, 2709L, 1922L, 4452L, 12451L, 356L, 508L, 
    587L, 3673L, 53L, 264L, 75L, 294L, 361L, 213L, 2678L, 4476L, 
    3072L, 1051L, 7549L, 10988L, 3486L, 1926L, 5798L, 13493L, 
    1090L, 937L, 635L, 3422L, 255L, 307L, 265L, 878L, 2441L, 
    1117L, 1067L, 3826L, 11951L, 3586L, 3922L, 10990L, 10379L, 
    3789L, 2397L, 6677L, 2937L, 1583L, 674L, 2642L, 941L, 113L, 
    279L, 1431L, 1292L, 983L, 741L, 1903L, 8854L, 3323L, 3947L, 
    6806L, 11504L, 3322L, 6328L, 6562L, 4288L, 671L, 2662L, 4813L, 
    1324L, 672L, 1432L, 2298L, 2163L, 5913L, 449L, 4946L, 6381L, 
    10997L, 1079L, 7558L, 4766L, 8279L, 825L, 4758L, 1648L, 3027L, 
    259L, 2142L, 602L, 1314L, 232L, 1148L, 1313L, 4989L, 1079L, 
    3863L, 3565L, 11147L, 2293L, 10491L, 3136L, 10147L, 2429L, 
    10953L, 1188L, 2915L, 1337L, 5529L, 493L, 1989L, 633L, 3966L, 
    228L, 4872L, 177L, 2251L, 53L, 3469L, 79L, 1178L, 105L, 2489L, 
    17L, 895L, 81L, 1040L, 0L, 319L, 31L, 1059L, 20L, 243L, 40L, 
    2390L, 1051L, 5675L, 27L, 2231L, 389L, 3702L, 27L, 1798L, 
    56L, 2119L, 0L, 849L, 61L, 1329L, 0L, 717L, 26L, 883L, 87L, 
    90L, 2691L, 3200L, 989L, 886L, 3643L, 8369L, 920L, 372L, 
    3427L, 6012L, 278L, 486L, 621L, 2042L, 106L, 145L, 113L, 
    311L, 15L, 0L, 1161L, 1411L, 612L, 445L, 3432L, 4799L, 1233L, 
    674L, 2823L, 7370L, 730L, 725L, 779L, 3436L, 373L, 489L, 
    86L, 636L, 456L, 299L, 78L, 1090L, 4473L, 1913L, 1164L, 4638L, 
    8447L, 2701L, 1226L, 3544L, 6624L, 1140L, 287L, 2077L, 2133L, 
    541L, 72L, 591L, 499L, 216L, 259L, 702L, 3887L, 1350L, 852L, 
    2172L, 7229L, 2616L, 1283L, 2090L, 6464L, 1425L, 758L, 2560L, 
    3419L, 706L, 515L, 1153L, 768L, 2018L, 290L, 840L, 3109L, 
    6630L, 266L, 2750L, 4448L, 7504L, 618L, 1913L, 2647L, 4575L, 
    220L, 1475L, 1722L, 2821L, 284L, 357L, 403L, 1550L, 308L, 
    642L, 1418L, 7085L, 568L, 2862L, 2843L, 6985L, 1001L, 3103L, 
    2095L, 4796L, 563L, 1919L, 1555L, 3642L, 275L, 1443L, 120L, 
    1656L, 152L, 775L, 283L, 1349L, 116L, 377L, 267L, 1290L, 
    0L, 264L, 0L, 1337L, 0L, 154L, 93L, 1792L, 0L, 349L, 223L, 
    678L, 409L, 1875L, 224L, 850L, 129L, 1311L, 0L, 784L, 126L, 
    380L, 56L, 797L, 124L, 488L, 0L, 1047L, 48L, 466L, 0L, 0L, 
    123L, 331L, 0L, 25L, 419L, 443L, 0L, 144L, 546L, 1536L, 27L, 
    0L, 0L, 609L, 0L, 0L, 0L, 57L, 0L, 0L, 184L, 185L, 83L, 54L, 
    389L, 515L, 19L, 34L, 223L, 767L, 109L, 169L, 86L, 490L, 
    0L, 0L, 19L, 179L, 21L, 18L, 43L, 124L, 287L, 309L, 26L, 
    353L, 432L, 332L, 75L, 296L, 1063L, 292L, 73L, 176L, 762L, 
    252L, 55L, 203L, 0L, 31L, 87L, 53L, 223L, 38L, 126L, 229L, 
    714L, 161L, 136L, 245L, 1238L, 344L, 86L, 351L, 663L, 146L, 
    72L, 44L, 122L, 168L, 92L, 52L, 246L, 1072L, 0L, 112L, 720L, 
    721L, 59L, 126L, 537L, 1326L, 12L, 266L, 783L, 1324L, 116L, 
    345L, 0L, 71L, 0L, 59L, 132L, 487L, 55L, 271L, 286L, 1059L, 
    123L, 194L, 610L, 1528L, 78L, 60L, 628L, 1546L, 0L, 431L, 
    0L, 98L, 0L, 67L, 0L, 83L, 0L, 62L, 0L, 65L, 0L, 20L, 54L, 
    204L, 0L, 17L, 0L, 294L, 0L, 22L, 0L, 42L, 58L, 251L, 0L, 
    77L, 0L, 81L, 14L, 137L, 34L, 23L, 0L, 26L, 119L, 59L, 0L, 
    212L, 0L, 66L, 840L, 187L, 1454L, 3259L, 984L, 325L, 1227L, 
    3698L, 310L, 342L, 597L, 3732L, 33L, 12L, 29L, 808L, 27L, 
    0L, 0L, 209L, 1009L, 234L, 2946L, 1821L, 1279L, 230L, 3471L, 
    3739L, 831L, 290L, 3198L, 4029L, 41L, 63L, 234L, 820L, 0L, 
    0L, 73L, 355L, 1661L, 692L, 642L, 2743L, 2091L, 682L, 527L, 
    2771L, 1336L, 203L, 262L, 1707L, 261L, 131L, 17L, 365L, 221L, 
    0L, 0L, 345L, 1416L, 312L, 2993L, 1830L, 2067L, 835L, 4757L, 
    2317L, 1439L, 376L, 4006L, 1481L, 541L, 156L, 1033L, 850L, 
    279L, 24L, 272L, 281L, 820L, 3858L, 300L, 3533L, 1113L, 2168L, 
    238L, 3085L, 591L, 1549L, 256L, 2261L, 260L, 658L, 371L, 
    870L, 220L, 166L, 23L, 457L, 617L, 4867L, 1072L, 6211L, 1070L, 
    3498L, 1891L, 7089L, 650L, 1796L, 780L, 5730L, 244L, 1309L, 
    181L, 2194L, 105L, 117L, 287L, 482L, 252L, 15770L, 279L, 
    7530L, 70L, 5751L, 28L, 2661L, 0L, 2019L, 0L, 1794L, 0L, 
    1861L, 96L, 573L, 65L, 863L, 0L, 661L, 0L, 13023L, 148L, 
    25841L, 0L, 4834L, 88L, 10483L, 0L, 2212L, 0L, 5284L, 0L, 
    1295L, 0L, 3397L, 0L, 448L, 0L, 1290L, 1555L, 625L, 3742L, 
    3995L, 2664L, 1150L, 5782L, 9623L, 1538L, 787L, 2859L, 7058L, 
    380L, 282L, 118L, 1836L, 0L, 105L, 0L, 335L, 1757L, 280L, 
    2616L, 2268L, 3340L, 965L, 4238L, 5578L, 2358L, 1070L, 4929L, 
    6990L, 321L, 531L, 518L, 1786L, 29L, 124L, 118L, 615L, 5476L, 
    1129L, 1346L, 2962L, 7676L, 2856L, 1914L, 4433L, 5907L, 1037L, 
    1291L, 5157L, 1804L, 544L, 387L, 2475L, 458L, 222L, 130L, 
    649L, 4377L, 844L, 1744L, 2042L, 7795L, 1510L, 5343L, 2628L, 
    6310L, 1194L, 6556L, 5197L, 2189L, 424L, 1719L, 2210L, 538L, 
    147L, 434L, 471L, 3808L, 6154L, 840L, 3387L, 3619L, 5760L, 
    951L, 5196L, 2315L, 4751L, 480L, 4659L, 989L, 1747L, 172L, 
    1678L, 242L, 606L, 38L, 699L, 2034L, 6088L, 1274L, 4784L, 
    2185L, 8205L, 1536L, 7983L, 1893L, 4750L, 2687L, 8195L, 744L, 
    1330L, 899L, 2799L, 202L, 690L, 269L, 939L, 411L, 10550L, 
    173L, 2528L, 152L, 7415L, 308L, 1998L, 164L, 3602L, 0L, 1231L, 
    103L, 2405L, 56L, 776L, 120L, 1563L, 0L, 630L, 331L, 7899L, 
    1443L, 10054L, 138L, 6613L, 470L, 4952L, 0L, 2823L, 113L, 
    3042L, 0L, 1725L, 158L, 2343L, 0L, 959L, 31L, 1270L, 845L, 
    459L, 3151L, 5504L, 3385L, 2253L, 6962L, 12969L, 3353L, 2148L, 
    3970L, 11901L, 477L, 1214L, 356L, 3863L, 128L, 99L, 0L, 576L, 
    1453L, 690L, 2184L, 3812L, 4086L, 2005L, 6018L, 8205L, 4836L, 
    3397L, 5814L, 11743L, 1201L, 1467L, 800L, 3369L, 140L, 335L, 
    0L, 742L, 6691L, 1499L, 1301L, 2642L, 14366L, 4992L, 3069L, 
    7544L, 14541L, 4554L, 2247L, 8418L, 6146L, 1565L, 363L, 4695L, 
    1840L, 687L, 94L, 1834L, 3813L, 1095L, 1084L, 1125L, 13271L, 
    4328L, 3653L, 3945L, 16766L, 4385L, 5530L, 6416L, 6667L, 
    2047L, 1810L, 2877L, 1943L, 700L, 780L, 1493L, 3065L, 6098L, 
    749L, 1813L, 5281L, 11409L, 551L, 3345L, 5657L, 10779L, 726L, 
    4358L, 3120L, 4311L, 44L, 2386L, 1304L, 1492L, 143L, 1387L, 
    1407L, 6727L, 1053L, 2310L, 3622L, 13408L, 2204L, 6211L, 
    5076L, 10651L, 2065L, 8910L, 2035L, 4293L, 1171L, 4490L, 
    718L, 1470L, 632L, 1721L, 963L, 6752L, 301L, 1670L, 309L, 
    4744L, 423L, 752L, 360L, 3975L, 143L, 624L, 77L, 3071L, 51L, 
    456L, 0L, 2152L, 0L, 385L, 594L, 5452L, 2199L, 7339L, 83L, 
    4278L, 703L, 3415L, 142L, 2984L, 183L, 2086L, 0L, 1095L, 
    112L, 1534L, 0L, 1035L, 65L, 1008L, 537L, 329L, 1963L, 3431L, 
    1429L, 1135L, 4736L, 8564L, 1027L, 1233L, 4006L, 9686L, 269L, 
    1084L, 608L, 3031L, 111L, 428L, 20L, 497L, 495L, 179L, 1305L, 
    1439L, 1398L, 1558L, 3165L, 5386L, 2246L, 2489L, 4795L, 9005L, 
    1082L, 2186L, 1111L, 3399L, 423L, 879L, 210L, 912L, 2185L, 
    1040L, 626L, 1216L, 6918L, 2570L, 1060L, 4491L, 14171L, 4363L, 
    1139L, 5616L, 8958L, 2649L, 725L, 2688L, 5255L, 1887L, 203L, 
    1623L, 1172L, 723L, 528L, 447L, 7158L, 2817L, 820L, 1890L, 
    16451L, 3671L, 2197L, 3545L, 12220L, 3808L, 1382L, 2697L, 
    5484L, 1668L, 574L, 1438L, 1379L, 2545L, 214L, 930L, 2802L, 
    7210L, 329L, 2065L, 7313L, 8675L, 769L, 2812L, 4869L, 7134L, 
    327L, 2349L, 2652L, 3525L, 109L, 1058L, 1044L, 2636L, 705L, 
    1071L, 2602L, 8830L, 1167L, 3081L, 4715L, 12196L, 877L, 4447L, 
    2877L, 6011L, 489L, 2864L, 1543L, 2752L, 333L, 1490L, 404L, 
    2304L, 262L, 1087L, 351L, 1806L, 107L, 499L, 330L, 1893L, 
    127L, 272L, 149L, 1963L, 320L, 309L, 46L, 2152L, 0L, 409L, 
    391L, 1735L, 1675L, 4237L, 103L, 1806L, 1024L, 2291L, 40L, 
    1658L, 228L, 847L, 122L, 999L, 562L, 885L, 0L, 941L, 211L, 
    369L, 36L, 106L, 363L, 489L, 33L, 18L, 614L, 1134L, 269L, 
    360L, 931L, 2151L, 171L, 378L, 370L, 785L, 10L, 47L, 24L, 
    190L, 13L, 0L, 198L, 465L, 149L, 55L, 613L, 1165L, 313L, 
    400L, 1556L, 2171L, 373L, 540L, 311L, 1133L, 48L, 64L, 47L, 
    387L, 237L, 14L, 0L, 166L, 1062L, 404L, 132L, 740L, 2276L, 
    699L, 66L, 1175L, 3104L, 831L, 211L, 1046L, 2930L, 793L, 
    0L, 791L, 222L, 130L, 100L, 283L, 1171L, 316L, 169L, 417L, 
    3460L, 541L, 421L, 739L, 3812L, 1640L, 178L, 585L, 3409L, 
    630L, 69L, 687L, 196L, 399L, 33L, 124L, 614L, 1360L, 163L, 
    190L, 1434L, 1815L, 67L, 574L, 1483L, 3118L, 28L, 562L, 2667L, 
    2846L, 112L, 1151L, 167L, 513L, 41L, 0L, 560L, 2796L, 119L, 
    678L, 1104L, 2702L, 145L, 899L, 1203L, 3128L, 156L, 431L, 
    1510L, 1903L, 87L, 559L, 102L, 421L, 75L, 203L, 114L, 482L, 
    0L, 84L, 72L, 728L, 69L, 119L, 118L, 543L, 0L, 102L, 36L, 
    1200L, 27L, 248L, 0L, 371L, 372L, 1012L, 116L, 458L, 577L, 
    458L, 0L, 597L, 181L, 105L, 0L, 474L, 35L, 210L, 0L, 276L, 
    31L, 211L, 1649L, 890L, 2001L, 5377L, 1485L, 971L, 1219L, 
    6941L, 1012L, 732L, 647L, 13366L, 213L, 302L, 0L, 3842L, 
    80L, 86L, 0L, 252L, 1944L, 1140L, 3589L, 3600L, 2608L, 971L, 
    4165L, 6056L, 1979L, 1041L, 4043L, 13669L, 539L, 479L, 175L, 
    4293L, 223L, 75L, 20L, 481L, 3572L, 1413L, 1958L, 4895L, 
    4062L, 1063L, 908L, 5923L, 1901L, 195L, 530L, 3674L, 243L, 
    192L, 130L, 2228L, 285L, 49L, 0L, 328L, 3402L, 1432L, 3063L, 
    2918L, 4142L, 1326L, 6334L, 5225L, 2868L, 681L, 5224L, 3025L, 
    914L, 185L, 745L, 1340L, 162L, 104L, 145L, 524L, 1020L, 7011L, 
    385L, 11235L, 1062L, 6748L, 717L, 10362L, 511L, 3140L, 287L, 
    6707L, 261L, 1208L, 0L, 3445L, 188L, 388L, 53L, 1354L, 763L, 
    8741L, 1184L, 15066L, 926L, 10221L, 1587L, 17000L, 241L, 
    3751L, 1096L, 10092L, 211L, 1370L, 404L, 3015L, 117L, 463L, 
    199L, 1795L, 155L, 13195L, 0L, 10305L, 106L, 7363L, 49L, 
    5931L, 0L, 4029L, 0L, 3107L, 0L, 1178L, 0L, 1267L, 0L, 979L, 
    0L, 569L, 9L, 9485L, 285L, 40438L, 0L, 8884L, 95L, 31477L, 
    0L, 2916L, 23L, 12946L, 0L, 984L, 0L, 3380L, 0L, 375L, 0L, 
    1629L, 3817L, 1185L, 3823L, 8042L, 6542L, 3181L, 2523L, 14517L, 
    5654L, 3017L, 2083L, 15620L, 804L, 922L, 207L, 5323L, 251L, 
    172L, 51L, 674L, 4218L, 1216L, 2589L, 4974L, 10526L, 2953L, 
    5391L, 9096L, 7393L, 4161L, 4387L, 12858L, 1200L, 1459L, 
    376L, 6272L, 129L, 187L, 148L, 1456L, 8160L, 2520L, 1576L, 
    6224L, 14897L, 3628L, 3376L, 13097L, 7770L, 2055L, 2007L, 
    9410L, 2565L, 665L, 233L, 5062L, 842L, 271L, 148L, 1403L, 
    6015L, 2463L, 2163L, 3591L, 13420L, 3452L, 8845L, 8216L, 
    10973L, 2470L, 7595L, 7487L, 2868L, 701L, 2068L, 4893L, 887L, 
    184L, 457L, 2235L, 2276L, 12827L, 711L, 8293L, 4063L, 18251L, 
    1061L, 15428L, 2490L, 9422L, 838L, 10000L, 892L, 3818L, 256L, 
    4638L, 445L, 1514L, 31L, 1507L, 1430L, 12124L, 741L, 8170L, 
    3539L, 27173L, 2088L, 20198L, 1661L, 12288L, 1626L, 17611L, 
    778L, 3112L, 738L, 6546L, 277L, 1247L, 469L, 3171L, 133L, 
    19151L, 266L, 5364L, 104L, 21089L, 212L, 5379L, 50L, 12464L, 
    0L, 4400L, 24L, 5357L, 0L, 1864L, 0L, 2698L, 0L, 748L, 84L, 
    14727L, 219L, 13371L, 0L, 22959L, 137L, 20345L, 0L, 8607L, 
    184L, 12996L, 0L, 2188L, 16L, 4668L, 18L, 811L, 0L, 2176L, 
    3664L, 1831L, 5611L, 10409L, 10221L, 6792L, 7373L, 23696L, 
    7542L, 7441L, 3569L, 17965L, 2176L, 4761L, 285L, 9036L, 555L, 
    793L, 37L, 886L, 2937L, 1786L, 4621L, 6186L, 11632L, 4419L, 
    7839L, 14257L, 14987L, 10583L, 8127L, 14782L, 4999L, 7101L, 
    687L, 9741L, 1245L, 1530L, 18L, 2109L, 9146L, 3632L, 1798L, 
    6714L, 37749L, 10493L, 4286L, 19028L, 32966L, 8609L, 2455L, 
    14816L, 16924L, 4222L, 1347L, 10960L, 5824L, 1360L, 157L, 
    4586L, 6919L, 2975L, 1299L, 2825L, 33773L, 10857L, 6108L, 
    8880L, 37870L, 10294L, 5888L, 9859L, 19753L, 3481L, 3698L, 
    10347L, 6106L, 1667L, 1670L, 6143L, 3790L, 17278L, 1034L, 
    7490L, 12478L, 41798L, 1740L, 16437L, 10667L, 32270L, 2071L, 
    15443L, 6103L, 13884L, 630L, 9661L, 2856L, 7367L, 209L, 4562L, 
    1620L, 14571L, 811L, 3891L, 8505L, 54329L, 1865L, 16413L, 
    7621L, 34251L, 3007L, 19827L, 4633L, 12707L, 1648L, 11241L, 
    1682L, 6548L, 1450L, 9229L, 314L, 10625L, 319L, 3641L, 367L, 
    22177L, 102L, 3438L, 152L, 17746L, 91L, 3086L, 73L, 10721L, 
    0L, 1601L, 173L, 7045L, 57L, 1259L, 180L, 7534L, 691L, 7937L, 
    51L, 22692L, 599L, 10730L, 139L, 13266L, 470L, 7993L, 0L, 
    5913L, 6L, 4061L, 0L, 3285L, 0L, 3152L, 534L, 1105L, 5237L, 
    7557L, 3393L, 3590L, 8233L, 18938L, 3233L, 3764L, 8775L, 
    21091L, 2046L, 4309L, 818L, 9627L, 676L, 1043L, 74L, 1184L, 
    968L, 771L, 3024L, 3904L, 3157L, 2471L, 6711L, 9773L, 5545L, 
    5079L, 8053L, 16535L, 4874L, 7095L, 1096L, 10094L, 2088L, 
    2432L, 63L, 2282L, 4539L, 1933L, 526L, 2304L, 23723L, 8836L, 
    1809L, 9396L, 30540L, 8888L, 1418L, 10436L, 37622L, 11407L, 
    897L, 14244L, 15906L, 3570L, 448L, 5300L, 2767L, 1147L, 188L, 
    638L, 21142L, 8293L, 1484L, 4825L, 36054L, 8858L, 2359L, 
    5538L, 45454L, 10767L, 2154L, 10120L, 20962L, 5791L, 1121L, 
    4508L, 2222L, 7333L, 487L, 1923L, 12398L, 34929L, 1053L, 
    5760L, 18429L, 44369L, 1363L, 8009L, 20276L, 34345L, 1305L, 
    8995L, 12892L, 22793L, 718L, 5242L, 966L, 5672L, 647L, 1346L, 
    6964L, 46215L, 1561L, 6579L, 14049L, 48600L, 1387L, 8248L, 
    15325L, 26258L, 1593L, 7924L, 8998L, 21314L, 1072L, 7014L, 
    247L, 3268L, 245L, 1309L, 414L, 7824L, 198L, 1702L, 55L, 
    9861L, 181L, 1535L, 112L, 10431L, 253L, 1041L, 226L, 10490L, 
    32L, 1024L, 47L, 2468L, 478L, 4096L, 328L, 9968L, 2316L, 
    5350L, 109L, 7947L, 814L, 3689L, 45L, 5317L, 72L, 2451L, 
    0L, 3996L, 59L, 1148L, 76L, 126L, 1420L, 1496L, 185L, 388L, 
    2816L, 4286L, 459L, 324L, 2957L, 5851L, 83L, 737L, 281L, 
    3649L, 255L, 58L, 21L, 739L, 115L, 32L, 617L, 1289L, 469L, 
    295L, 1918L, 2170L, 455L, 436L, 2553L, 4825L, 534L, 1560L, 
    586L, 2784L, 184L, 296L, 0L, 469L, 350L, 213L, 68L, 380L, 
    2857L, 1128L, 436L, 1753L, 4153L, 1637L, 272L, 2157L, 16453L, 
    4623L, 660L, 4600L, 12408L, 2140L, 216L, 2990L, 318L, 257L, 
    66L, 393L, 2466L, 935L, 164L, 789L, 7195L, 1888L, 359L, 975L, 
    21719L, 4418L, 600L, 2522L, 11634L, 2820L, 500L, 1658L, 563L, 
    823L, 27L, 428L, 2109L, 4579L, 145L, 1232L, 4118L, 10724L, 
    442L, 2074L, 14220L, 20750L, 197L, 3284L, 12991L, 20394L, 
    228L, 3191L, 230L, 924L, 27L, 303L, 2264L, 8412L, 448L, 1802L, 
    4511L, 16376L, 259L, 2393L, 11157L, 19494L, 633L, 2939L, 
    7212L, 14440L, 456L, 2144L, 0L, 727L, 0L, 221L, 363L, 1857L, 
    22L, 306L, 116L, 2388L, 79L, 380L, 132L, 4990L, 21L, 373L, 
    196L, 5070L, 27L, 338L, 24L, 713L, 75L, 931L, 263L, 2286L, 
    550L, 1750L, 0L, 2824L, 447L, 1077L, 154L, 2838L, 216L, 1004L, 
    76L, 1452L, 0L, 924L, 700L, 262L, 4877L, 8848L, 1065L, 459L, 
    3643L, 10830L, 347L, 366L, 1651L, 7307L, 78L, 104L, 19L, 
    1398L, 0L, 0L, 0L, 53L, 661L, 230L, 12595L, 5748L, 1023L, 
    345L, 14404L, 8781L, 1287L, 506L, 11227L, 9709L, 100L, 118L, 
    752L, 2698L, 0L, 0L, 250L, 252L, 1724L, 565L, 1210L, 4765L, 
    2061L, 820L, 1553L, 9567L, 1276L, 195L, 336L, 3356L, 245L, 
    63L, 75L, 816L, 66L, 238L, 0L, 372L, 1269L, 768L, 8179L, 
    4703L, 3471L, 866L, 17157L, 8950L, 2044L, 296L, 11863L, 4830L, 
    269L, 73L, 1109L, 1476L, 12L, 70L, 267L, 388L, 913L, 4348L, 
    615L, 13036L, 1267L, 2617L, 572L, 11474L, 471L, 1204L, 70L, 
    4882L, 133L, 81L, 116L, 1225L, 49L, 79L, 96L, 506L, 324L, 
    4310L, 2684L, 22350L, 664L, 4247L, 3580L, 19072L, 693L, 1615L, 
    2040L, 10320L, 147L, 425L, 374L, 1849L, 0L, 203L, 133L, 635L, 
    168L, 5717L, 103L, 8804L, 0L, 1297L, 31L, 2252L, 0L, 1000L, 
    0L, 971L, 0L, 175L, 0L, 105L, 0L, 115L, 0L, 84L, 0L, 3643L, 
    692L, 28345L, 0L, 1831L, 37L, 10816L, 65L, 506L, 30L, 3837L, 
    0L, 244L, 0L, 806L, 0L, 27L, 38L, 681L, 946L, 718L, 3445L, 
    10518L, 2488L, 778L, 6686L, 14076L, 1866L, 897L, 2888L, 10463L, 
    231L, 210L, 140L, 3360L, 0L, 26L, 0L, 508L, 884L, 291L, 3966L, 
    5721L, 2578L, 711L, 9050L, 12422L, 2925L, 869L, 7080L, 10340L, 
    618L, 444L, 1443L, 3733L, 20L, 86L, 138L, 934L, 2186L, 1221L, 
    1080L, 5224L, 7185L, 3310L, 3687L, 14881L, 3832L, 1409L, 
    1565L, 8964L, 1039L, 212L, 663L, 3248L, 447L, 51L, 287L, 
    395L, 1678L, 740L, 2922L, 3114L, 4831L, 2401L, 11175L, 9671L, 
    5274L, 1930L, 15020L, 11134L, 1273L, 340L, 4600L, 3739L, 
    549L, 35L, 866L, 1366L, 1411L, 4955L, 1205L, 8743L, 2205L, 
    9078L, 1624L, 10512L, 1572L, 2961L, 724L, 5588L, 614L, 662L, 
    208L, 2338L, 106L, 342L, 278L, 423L, 1062L, 4863L, 2029L, 
    8009L, 1674L, 8979L, 3970L, 17542L, 1342L, 4508L, 3404L, 
    13537L, 235L, 1030L, 971L, 4153L, 137L, 270L, 480L, 1429L, 
    103L, 5676L, 76L, 3317L, 136L, 3312L, 134L, 1321L, 0L, 1266L, 
    0L, 1016L, 62L, 168L, 0L, 396L, 0L, 146L, 0L, 230L, 20L, 
    3370L, 493L, 8560L, 0L, 2348L, 292L, 4164L, 24L, 985L, 31L, 
    2345L, 0L, 364L, 0L, 1236L, 0L, 145L, 0L, 1045L, 808L, 253L, 
    5487L, 9208L, 2353L, 1090L, 7272L, 16714L, 3103L, 1004L, 
    2872L, 12768L, 626L, 256L, 432L, 3108L, 98L, 15L, 25L, 481L, 
    656L, 346L, 2779L, 3673L, 2520L, 995L, 6575L, 12159L, 4294L, 
    1131L, 6359L, 12199L, 1302L, 491L, 2028L, 5070L, 380L, 207L, 
    465L, 1241L, 2706L, 1272L, 924L, 3775L, 15052L, 6926L, 5613L, 
    13547L, 13045L, 3126L, 2870L, 12168L, 4302L, 1392L, 591L, 
    4584L, 858L, 521L, 106L, 1285L, 1434L, 1003L, 615L, 1833L, 
    10732L, 5229L, 5652L, 9004L, 16487L, 3647L, 8605L, 10907L, 
    5392L, 1935L, 4937L, 6975L, 1606L, 494L, 1888L, 3306L, 1400L, 
    5210L, 559L, 4463L, 6164L, 13148L, 1064L, 9100L, 5286L, 7859L, 
    799L, 7751L, 1392L, 2787L, 367L, 2838L, 1042L, 1204L, 93L, 
    887L, 684L, 4345L, 1113L, 3939L, 3156L, 12601L, 3235L, 11384L, 
    3882L, 9826L, 3059L, 13227L, 1253L, 3282L, 1351L, 5357L, 
    602L, 1394L, 997L, 3936L, 58L, 3656L, 409L, 1369L, 91L, 2644L, 
    177L, 971L, 76L, 2031L, 0L, 881L, 21L, 702L, 58L, 186L, 16L, 
    525L, 0L, 348L, 29L, 2275L, 589L, 5809L, 22L, 2245L, 520L, 
    3014L, 0L, 721L, 497L, 1456L, 57L, 477L, 154L, 565L, 0L, 
    620L, 62L, 865L, 29L, 16L, 1750L, 3803L, 409L, 563L, 2953L, 
    8416L, 690L, 974L, 2274L, 7927L, 459L, 321L, 978L, 3316L, 
    64L, 158L, 0L, 318L, 16L, 41L, 1326L, 1815L, 315L, 146L, 
    3459L, 5858L, 1412L, 1098L, 4055L, 6349L, 866L, 497L, 1026L, 
    3633L, 370L, 473L, 247L, 826L, 297L, 362L, 204L, 1506L, 5958L, 
    3408L, 906L, 4635L, 10860L, 3200L, 1110L, 4960L, 8181L, 2627L, 
    945L, 3657L, 3222L, 808L, 75L, 1364L, 370L, 362L, 286L, 760L, 
    4677L, 1858L, 1577L, 3670L, 9859L, 3271L, 2680L, 4859L, 9341L, 
    2997L, 2018L, 3374L, 5277L, 1440L, 941L, 2568L, 536L, 1637L, 
    20L, 1874L, 4056L, 8641L, 469L, 3747L, 5289L, 9731L, 898L, 
    3127L, 3847L, 4965L, 447L, 1738L, 1324L, 2468L, 120L, 1793L, 
    181L, 1772L, 446L, 1672L, 1319L, 7355L, 1208L, 4217L, 3790L, 
    9716L, 1271L, 4100L, 2743L, 5304L, 399L, 2798L, 2058L, 3594L, 
    580L, 3399L, 104L, 904L, 228L, 824L, 62L, 923L, 36L, 235L, 
    24L, 973L, 25L, 204L, 0L, 765L, 0L, 84L, 0L, 660L, 0L, 107L, 
    0L, 385L, 517L, 1913L, 31L, 594L, 623L, 1606L, 0L, 403L, 
    187L, 538L, 0L, 328L, 105L, 490L, 0L, 720L, 63L, 657L, 0L, 
    0L, 213L, 449L, 182L, 260L, 224L, 637L, 107L, 19L, 542L, 
    1896L, 27L, 190L, 79L, 540L, 0L, 76L, 0L, 0L, 0L, 10L, 367L, 
    172L, 85L, 211L, 345L, 271L, 124L, 63L, 331L, 1320L, 99L, 
    408L, 257L, 829L, 16L, 61L, 0L, 105L, 75L, 124L, 0L, 333L, 
    317L, 246L, 285L, 502L, 636L, 360L, 173L, 821L, 1572L, 616L, 
    71L, 501L, 1058L, 392L, 29L, 489L, 50L, 0L, 26L, 39L, 308L, 
    176L, 113L, 220L, 748L, 125L, 300L, 568L, 1183L, 785L, 114L, 
    558L, 1509L, 635L, 180L, 277L, 0L, 68L, 120L, 163L, 195L, 
    330L, 0L, 847L, 413L, 1228L, 212L, 597L, 1212L, 1761L, 0L, 
    595L, 1125L, 1357L, 141L, 424L, 0L, 231L, 121L, 236L, 21L, 
    492L, 210L, 223L, 236L, 954L, 179L, 269L, 1402L, 1442L, 207L, 
    733L, 592L, 1554L, 29L, 231L, 0L, 111L, 0L, 90L, 0L, 103L, 
    0L, 0L, 0L, 97L, 0L, 0L, 0L, 98L, 0L, 0L, 22L, 272L, 0L, 
    61L, 0L, 32L, 31L, 614L, 0L, 21L, 27L, 286L, 0L, 32L, 38L, 
    0L, 0L, 107L, 0L, 88L, 0L, 147L, 0L, 106L, 206L, 121L, 241L, 
    126L, 260L, 104L, 354L, 517L, 156L, 170L, 52L, 380L, 0L, 
    31L, 0L, 102L, 0L, 0L, 0L, 0L, 768L, 104L, 405L, 103L, 376L, 
    73L, 493L, 272L, 76L, 104L, 159L, 562L, 0L, 24L, 0L, 81L, 
    0L, 12L, 0L, 6L, 509L, 48L, 150L, 716L, 259L, 127L, 181L, 
    399L, 155L, 0L, 0L, 141L, 50L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 
    333L, 143L, 218L, 241L, 199L, 86L, 345L, 258L, 401L, 76L, 
    285L, 0L, 0L, 28L, 71L, 46L, 0L, 0L, 28L, 0L, 84L, 117L, 
    181L, 271L, 29L, 182L, 203L, 334L, 213L, 36L, 0L, 63L, 67L, 
    221L, 0L, 0L, 0L, 21L, 0L, 26L, 82L, 84L, 175L, 339L, 0L, 
    329L, 129L, 344L, 67L, 31L, 385L, 477L, 0L, 0L, 38L, 27L, 
    0L, 0L, 21L, 93L, 174L, 71L, 0L, 200L, 0L, 192L, 0L, 255L, 
    0L, 104L, 0L, 14L, 0L, 0L, 0L, 39L, 0L, 32L, 0L, 43L, 0L, 
    143L, 0L, 678L, 0L, 44L, 26L, 232L, 0L, 70L, 0L, 196L, 0L, 
    0L, 0L, 42L, 0L, 0L, 0L, 0L, 293L, 251L, 558L, 764L, 709L, 
    169L, 205L, 572L, 396L, 308L, 198L, 403L, 27L, 14L, 0L, 203L, 
    58L, 47L, 0L, 30L, 739L, 144L, 526L, 212L, 921L, 162L, 875L, 
    296L, 376L, 138L, 163L, 674L, 352L, 91L, 12L, 425L, 26L, 
    0L, 0L, 31L, 1735L, 387L, 440L, 320L, 1531L, 309L, 214L, 
    617L, 666L, 11L, 115L, 774L, 288L, 16L, 0L, 94L, 106L, 0L, 
    0L, 52L, 928L, 111L, 329L, 382L, 427L, 99L, 281L, 309L, 597L, 
    11L, 526L, 560L, 124L, 0L, 223L, 231L, 21L, 39L, 76L, 91L, 
    435L, 593L, 55L, 333L, 276L, 321L, 209L, 21L, 106L, 144L, 
    0L, 117L, 0L, 321L, 30L, 48L, 42L, 0L, 0L, 125L, 166L, 311L, 
    184L, 427L, 104L, 403L, 21L, 289L, 173L, 626L, 125L, 353L, 
    32L, 61L, 135L, 126L, 0L, 0L, 20L, 72L, 0L, 356L, 162L, 22L, 
    79L, 304L, 0L, 68L, 32L, 69L, 0L, 29L, 0L, 124L, 3L, 26L, 
    0L, 0L, 0L, 18L, 0L, 209L, 0L, 332L, 47L, 139L, 0L, 276L, 
    0L, 221L, 0L, 27L, 0L, 57L, 0L, 17L, 0L, 0L, 0L, 61L, 274L, 
    223L, 270L, 1017L, 465L, 210L, 371L, 966L, 266L, 589L, 330L, 
    831L, 21L, 87L, 0L, 392L, 0L, 0L, 0L, 70L, 500L, 69L, 280L, 
    195L, 569L, 535L, 448L, 890L, 552L, 403L, 574L, 710L, 64L, 
    149L, 65L, 264L, 0L, 88L, 31L, 90L, 1229L, 536L, 644L, 668L, 
    1107L, 859L, 330L, 584L, 1475L, 453L, 113L, 559L, 500L, 136L, 
    60L, 452L, 109L, 19L, 0L, 472L, 713L, 71L, 185L, 145L, 1161L, 
    245L, 281L, 164L, 1329L, 319L, 350L, 341L, 606L, 330L, 143L, 
    392L, 209L, 31L, 26L, 106L, 836L, 513L, 64L, 130L, 666L, 
    360L, 11L, 327L, 568L, 697L, 127L, 296L, 252L, 286L, 0L, 
    104L, 70L, 131L, 0L, 84L, 337L, 262L, 0L, 248L, 206L, 1178L, 
    121L, 297L, 158L, 594L, 186L, 691L, 170L, 201L, 0L, 427L, 
    36L, 164L, 30L, 94L, 0L, 107L, 0L, 154L, 0L, 247L, 0L, 22L, 
    0L, 242L, 0L, 15L, 0L, 226L, 0L, 0L, 0L, 203L, 0L, 0L, 0L, 
    117L, 44L, 219L, 0L, 318L, 93L, 306L, 0L, 241L, 76L, 129L, 
    0L, 137L, 177L, 32L, 0L, 131L, 0L, 17L, 199L, 359L, 616L, 
    229L, 75L, 244L, 357L, 511L, 56L, 335L, 381L, 502L, 145L, 
    70L, 24L, 308L, 30L, 96L, 0L, 196L, 84L, 0L, 170L, 319L, 
    215L, 355L, 591L, 220L, 143L, 111L, 474L, 428L, 187L, 96L, 
    0L, 310L, 107L, 60L, 18L, 258L, 584L, 60L, 144L, 361L, 841L, 
    164L, 272L, 426L, 1162L, 318L, 49L, 355L, 1127L, 249L, 26L, 
    867L, 405L, 171L, 103L, 71L, 358L, 48L, 61L, 144L, 692L, 
    178L, 173L, 82L, 1151L, 168L, 149L, 242L, 1250L, 351L, 133L, 
    200L, 501L, 225L, 0L, 204L, 262L, 356L, 0L, 76L, 244L, 316L, 
    0L, 84L, 1112L, 679L, 162L, 187L, 383L, 417L, 85L, 144L, 
    196L, 318L, 0L, 255L, 74L, 345L, 221L, 0L, 236L, 404L, 79L, 
    254L, 568L, 925L, 0L, 119L, 329L, 594L, 38L, 73L, 109L, 383L, 
    88L, 71L, 25L, 33L, 0L, 0L, 0L, 197L, 0L, 25L, 0L, 21L, 0L, 
    84L, 0L, 123L, 0L, 0L, 0L, 135L, 0L, 0L, 0L, 98L, 147L, 33L, 
    0L, 32L, 62L, 225L, 25L, 109L, 0L, 213L, 0L, 0L, 0L, 0L, 
    0L, 79L, 14L, 0L, 0L, 109L, 66L, 45L, 0L, 0L, 96L, 118L, 
    0L, 0L, 36L, 158L, 0L, 0L, 0L, 62L, 0L, 18L, 0L, 0L, 0L, 
    0L, 18L, 0L, 0L, 58L, 51L, 153L, 88L, 13L, 92L, 123L, 0L, 
    57L, 0L, 34L, 0L, 0L, 0L, 0L, 45L, 263L, 0L, 0L, 30L, 83L, 
    0L, 0L, 111L, 11L, 0L, 0L, 361L, 18L, 0L, 201L, 500L, 58L, 
    0L, 37L, 0L, 104L, 22L, 0L, 97L, 56L, 0L, 0L, 389L, 58L, 
    27L, 39L, 256L, 162L, 148L, 107L, 348L, 24L, 22L, 0L, 19L, 
    51L, 0L, 203L, 19L, 0L, 0L, 65L, 96L, 107L, 0L, 66L, 243L, 
    49L, 0L, 126L, 217L, 229L, 50L, 90L, 78L, 89L, 0L, 84L, 22L, 
    51L, 0L, 19L, 39L, 228L, 0L, 0L, 155L, 241L, 0L, 0L, 49L, 
    112L, 22L, 0L, 0L, 0L, 0L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 53L, 0L, 0L, 50L, 0L, 0L, 0L, 0L, 
    0L, 0L, 116L, 0L, 29L, 0L, 39L, 0L, 0L, 0L, 0L, 50L, 21L, 
    0L, 0L, 599L, 60L, 742L, 724L, 681L, 548L, 621L, 2146L, 1222L, 
    1132L, 75L, 3293L, 214L, 27L, 0L, 702L, 93L, 0L, 0L, 39L, 
    496L, 114L, 1281L, 784L, 778L, 522L, 1567L, 1807L, 1319L, 
    842L, 1816L, 5638L, 208L, 183L, 50L, 1180L, 56L, 0L, 0L, 
    56L, 410L, 51L, 127L, 647L, 1010L, 455L, 766L, 1559L, 690L, 
    64L, 381L, 1750L, 328L, 43L, 72L, 115L, 23L, 0L, 0L, 0L, 
    353L, 269L, 516L, 637L, 1031L, 234L, 1424L, 1174L, 1031L, 
    237L, 2882L, 1064L, 376L, 61L, 279L, 287L, 66L, 0L, 65L, 
    413L, 132L, 1223L, 232L, 1358L, 616L, 1535L, 100L, 2710L, 
    377L, 1411L, 312L, 2670L, 323L, 302L, 41L, 708L, 189L, 107L, 
    0L, 154L, 41L, 899L, 229L, 1716L, 180L, 1999L, 209L, 4587L, 
    456L, 1759L, 739L, 3462L, 109L, 491L, 142L, 864L, 41L, 68L, 
    0L, 423L, 0L, 2268L, 44L, 1837L, 8L, 2356L, 0L, 2018L, 0L, 
    1250L, 0L, 1616L, 0L, 440L, 0L, 389L, 0L, 264L, 0L, 128L, 
    0L, 1211L, 0L, 5174L, 0L, 2930L, 0L, 8063L, 0L, 1107L, 0L, 
    5162L, 0L, 190L, 0L, 852L, 0L, 112L, 0L, 480L, 564L, 222L, 
    1523L, 1698L, 2450L, 1061L, 1544L, 5775L, 3101L, 1560L, 773L, 
    6169L, 686L, 604L, 0L, 1235L, 71L, 33L, 0L, 0L, 927L, 109L, 
    869L, 881L, 2548L, 960L, 1920L, 3214L, 4100L, 1506L, 1718L, 
    5887L, 1012L, 740L, 80L, 1746L, 79L, 49L, 0L, 65L, 1112L, 
    105L, 371L, 558L, 3761L, 837L, 1225L, 2341L, 4412L, 636L, 
    846L, 3053L, 1413L, 247L, 69L, 725L, 493L, 19L, 0L, 422L, 
    1022L, 44L, 270L, 228L, 3657L, 726L, 2139L, 1215L, 4869L, 
    714L, 1969L, 1439L, 1116L, 357L, 700L, 961L, 132L, 86L, 35L, 
    434L, 390L, 1589L, 293L, 1546L, 1319L, 5127L, 284L, 4181L, 
    1910L, 4733L, 377L, 3841L, 510L, 1391L, 170L, 1255L, 117L, 
    428L, 0L, 997L, 408L, 1509L, 128L, 886L, 1259L, 7037L, 527L, 
    3393L, 1064L, 5519L, 701L, 6213L, 403L, 1212L, 568L, 1629L, 
    92L, 470L, 116L, 469L, 98L, 4254L, 0L, 951L, 122L, 6974L, 
    0L, 1862L, 65L, 4471L, 10L, 1162L, 0L, 1787L, 0L, 324L, 38L, 
    726L, 0L, 313L, 0L, 2853L, 0L, 2120L, 62L, 7002L, 35L, 4398L, 
    27L, 3617L, 0L, 4117L, 0L, 1164L, 0L, 1306L, 0L, 378L, 0L, 
    365L, 803L, 406L, 1515L, 2048L, 2031L, 1475L, 3158L, 6974L, 
    3896L, 2417L, 1366L, 6610L, 1440L, 1400L, 106L, 2077L, 295L, 
    123L, 0L, 176L, 1070L, 128L, 707L, 924L, 3560L, 1026L, 2342L, 
    3224L, 5720L, 3154L, 1368L, 4452L, 2156L, 1550L, 284L, 1514L, 
    495L, 229L, 0L, 119L, 1220L, 424L, 257L, 712L, 7407L, 2053L, 
    1482L, 3378L, 11144L, 2290L, 948L, 3272L, 6865L, 1304L, 272L, 
    2605L, 2298L, 279L, 111L, 140L, 979L, 533L, 182L, 358L, 7615L, 
    2184L, 1304L, 1197L, 11589L, 2536L, 1372L, 2412L, 6151L, 
    1153L, 692L, 1053L, 1418L, 424L, 223L, 577L, 830L, 2034L, 
    229L, 848L, 3857L, 9785L, 730L, 2731L, 4373L, 13410L, 611L, 
    3723L, 2030L, 4620L, 145L, 2177L, 1215L, 2184L, 0L, 1139L, 
    715L, 1886L, 115L, 392L, 1912L, 12004L, 466L, 2237L, 4102L, 
    12981L, 679L, 4383L, 1952L, 4461L, 424L, 2216L, 412L, 1365L, 
    98L, 1423L, 76L, 2297L, 0L, 461L, 86L, 5600L, 38L, 945L, 
    0L, 4675L, 0L, 623L, 63L, 2916L, 0L, 648L, 33L, 2467L, 0L, 
    225L, 41L, 1785L, 110L, 1018L, 0L, 4370L, 181L, 1666L, 0L, 
    4224L, 62L, 1546L, 0L, 1982L, 0L, 791L, 0L, 773L, 24L, 303L, 
    365L, 9L, 1018L, 1092L, 471L, 641L, 2147L, 4075L, 493L, 713L, 
    1265L, 3583L, 437L, 473L, 118L, 851L, 87L, 71L, 0L, 23L, 
    286L, 11L, 534L, 414L, 538L, 544L, 1137L, 2111L, 1476L, 805L, 
    674L, 1877L, 343L, 641L, 112L, 1187L, 185L, 306L, 0L, 100L, 
    589L, 161L, 18L, 205L, 4402L, 849L, 973L, 964L, 6388L, 1890L, 
    658L, 1281L, 5627L, 1836L, 241L, 956L, 3673L, 586L, 0L, 194L, 
    506L, 147L, 70L, 131L, 3917L, 1402L, 144L, 756L, 9021L, 1467L, 
    558L, 884L, 6888L, 1512L, 249L, 574L, 2337L, 527L, 199L, 
    620L, 137L, 714L, 29L, 203L, 2306L, 5505L, 151L, 1205L, 3831L, 
    10102L, 118L, 1232L, 3154L, 6574L, 73L, 1027L, 2009L, 4707L, 
    106L, 991L, 130L, 811L, 31L, 87L, 1313L, 7987L, 181L, 743L, 
    3000L, 11101L, 190L, 1249L, 2331L, 6500L, 47L, 537L, 953L, 
    2923L, 80L, 805L, 52L, 285L, 90L, 270L, 17L, 2130L, 0L, 335L, 
    41L, 1886L, 0L, 349L, 39L, 1459L, 0L, 347L, 0L, 1883L, 0L, 
    245L, 0L, 245L, 136L, 277L, 28L, 1290L, 86L, 588L, 0L, 1359L, 
    176L, 492L, 0L, 939L, 0L, 248L, 12L, 429L, 0L, 235L, 0L, 
    44L, 303L, 273L, 72L, 91L, 388L, 694L, 79L, 72L, 561L, 524L, 
    90L, 95L, 62L, 162L, 0L, 0L, 0L, 0L, 10L, 0L, 126L, 90L, 
    27L, 43L, 95L, 555L, 75L, 100L, 167L, 203L, 130L, 48L, 118L, 
    323L, 27L, 0L, 0L, 0L, 151L, 0L, 78L, 81L, 425L, 149L, 0L, 
    286L, 760L, 176L, 117L, 259L, 1412L, 240L, 40L, 250L, 1237L, 
    258L, 29L, 45L, 34L, 0L, 0L, 38L, 544L, 202L, 183L, 39L, 
    1414L, 230L, 41L, 62L, 1443L, 338L, 65L, 91L, 735L, 187L, 
    0L, 87L, 16L, 195L, 66L, 117L, 309L, 719L, 168L, 174L, 735L, 
    1637L, 32L, 131L, 1032L, 2224L, 0L, 291L, 1340L, 2410L, 0L, 
    359L, 36L, 95L, 0L, 91L, 624L, 1272L, 83L, 86L, 658L, 2495L, 
    0L, 379L, 897L, 2147L, 96L, 286L, 635L, 1337L, 0L, 164L, 
    0L, 91L, 28L, 131L, 39L, 216L, 0L, 97L, 0L, 701L, 0L, 48L, 
    0L, 591L, 0L, 46L, 54L, 624L, 0L, 39L, 0L, 90L, 0L, 67L, 
    0L, 538L, 158L, 261L, 0L, 495L, 135L, 37L, 0L, 321L, 0L, 
    178L, 0L, 85L, 0L, 89L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 
    0L, 0L, 0L, 76L, 0L, 0L, 0L, 0L, 84L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 
    25L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 3L, 0L, 0L, 0L, 12L, 0L, 
    0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 11L, 15L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 251L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 135L, 0L, 0L, 1L, 0L, 0L, 0L, 
    0L, 43L, 0L, 87L, 0L, 94L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 145L, 0L, 0L, 0L, 0L, 0L, 0L, 
    45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 71L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 19L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 75L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 134L, 38L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 166L, 0L, 85L, 0L, 18L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 0L, 0L, 23L, 182L, 0L, 0L, 
    0L, 64L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 61L, 
    0L, 0L, 0L, 34L, 37L, 0L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 139L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 
    41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 
    27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 48L, 0L, 0L, 0L, 21L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 64L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 198L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 72L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 31L, 0L, 343L, 75L, 67L, 0L, 181L, 5L, 107L, 
    97L, 72L, 47L, 0L, 0L, 0L, 61L, 0L, 0L, 0L, 0L, 98L, 0L, 
    210L, 332L, 161L, 0L, 506L, 109L, 39L, 0L, 109L, 236L, 0L, 
    0L, 0L, 17L, 0L, 0L, 0L, 0L, 283L, 43L, 68L, 218L, 47L, 0L, 
    0L, 196L, 31L, 78L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 88L, 129L, 166L, 81L, 0L, 0L, 17L, 259L, 254L, 0L, 40L, 
    0L, 0L, 0L, 87L, 0L, 0L, 0L, 0L, 0L, 113L, 44L, 0L, 208L, 
    98L, 118L, 0L, 125L, 41L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 23L, 89L, 95L, 384L, 0L, 44L, 0L, 56L, 0L, 59L, 
    0L, 77L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 10L, 65L, 0L, 201L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 99L, 0L, 204L, 0L, 0L, 0L, 97L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 458L, 0L, 330L, 620L, 341L, 
    0L, 367L, 288L, 355L, 81L, 45L, 220L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 264L, 0L, 247L, 334L, 463L, 59L, 302L, 278L, 
    160L, 49L, 162L, 0L, 161L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 948L, 
    17L, 28L, 80L, 743L, 54L, 0L, 228L, 343L, 33L, 0L, 25L, 192L, 
    0L, 18L, 0L, 0L, 0L, 0L, 20L, 428L, 49L, 206L, 60L, 418L, 
    41L, 241L, 68L, 364L, 70L, 202L, 42L, 83L, 0L, 0L, 121L, 
    0L, 0L, 0L, 0L, 193L, 275L, 109L, 76L, 64L, 233L, 0L, 136L, 
    43L, 92L, 96L, 195L, 0L, 43L, 0L, 0L, 0L, 0L, 38L, 16L, 229L, 
    337L, 187L, 202L, 108L, 466L, 0L, 197L, 70L, 15L, 0L, 95L, 
    0L, 0L, 42L, 0L, 0L, 0L, 0L, 0L, 0L, 339L, 0L, 19L, 0L, 168L, 
    0L, 0L, 0L, 53L, 0L, 62L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 106L, 111L, 167L, 0L, 0L, 0L, 0L, 0L, 15L, 0L, 43L, 0L, 
    0L, 0L, 0L, 0L, 52L, 0L, 0L, 81L, 91L, 295L, 171L, 353L, 
    52L, 241L, 311L, 346L, 0L, 207L, 723L, 87L, 10L, 0L, 0L, 
    0L, 33L, 0L, 131L, 240L, 41L, 162L, 139L, 320L, 0L, 299L, 
    305L, 229L, 18L, 212L, 144L, 201L, 94L, 0L, 177L, 0L, 0L, 
    0L, 0L, 623L, 20L, 39L, 0L, 403L, 54L, 102L, 210L, 686L, 
    142L, 141L, 150L, 175L, 0L, 0L, 0L, 10L, 46L, 37L, 65L, 423L, 
    29L, 154L, 71L, 342L, 150L, 124L, 121L, 881L, 7L, 22L, 78L, 
    48L, 20L, 102L, 130L, 0L, 0L, 0L, 32L, 210L, 364L, 137L, 
    17L, 0L, 159L, 25L, 65L, 145L, 278L, 12L, 79L, 27L, 28L, 
    83L, 43L, 102L, 5L, 0L, 142L, 147L, 207L, 27L, 11L, 72L, 
    199L, 28L, 192L, 185L, 367L, 45L, 302L, 36L, 105L, 0L, 0L, 
    0L, 20L, 0L, 0L, 10L, 55L, 0L, 0L, 0L, 153L, 0L, 15L, 0L, 
    130L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 82L, 0L, 
    55L, 0L, 17L, 0L, 0L, 0L, 181L, 0L, 37L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 250L, 77L, 74L, 22L, 211L, 178L, 
    33L, 0L, 69L, 208L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 
    0L, 72L, 180L, 0L, 32L, 34L, 31L, 0L, 0L, 170L, 60L, 21L, 
    58L, 0L, 64L, 0L, 0L, 0L, 0L, 93L, 0L, 0L, 31L, 404L, 138L, 
    0L, 67L, 205L, 36L, 0L, 11L, 30L, 0L, 27L, 10L, 107L, 0L, 
    0L, 104L, 103L, 60L, 0L, 0L, 334L, 29L, 0L, 48L, 427L, 28L, 
    27L, 93L, 74L, 42L, 0L, 0L, 42L, 110L, 0L, 23L, 271L, 147L, 
    7L, 31L, 44L, 40L, 0L, 0L, 165L, 180L, 0L, 31L, 49L, 41L, 
    0L, 0L, 90L, 26L, 0L, 118L, 43L, 165L, 0L, 44L, 154L, 259L, 
    0L, 62L, 0L, 90L, 0L, 0L, 0L, 52L, 0L, 43L, 0L, 14L, 0L, 
    0L, 0L, 32L, 25L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 
    39L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 8L, 84L, 42L, 0L, 66L, 
    22L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 29L, 72L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 71L, 
    0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 
    28L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 
    0L, 0L, 113L, 56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 3L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 
    0L, 47L, 0L, 30L, 0L, 29L, 0L, 0L, 0L, 0L, 0L, 57L, 0L, 0L, 
    0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 245L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 1251L, 235L, 2971L, 3504L, 2121L, 677L, 
    3699L, 11014L, 1674L, 710L, 1272L, 19177L, 245L, 635L, 141L, 
    7359L, 54L, 203L, 0L, 1035L, 1697L, 299L, 4296L, 2918L, 2954L, 
    582L, 7769L, 9342L, 2545L, 1003L, 8080L, 24996L, 483L, 656L, 
    527L, 7779L, 47L, 38L, 239L, 1357L, 1629L, 1095L, 1218L, 
    3071L, 3563L, 1059L, 2047L, 8336L, 3035L, 801L, 801L, 6385L, 
    1256L, 162L, 33L, 3167L, 378L, 147L, 64L, 1260L, 1673L, 789L, 
    3470L, 2082L, 3873L, 1604L, 7603L, 5270L, 3494L, 651L, 8792L, 
    5364L, 1537L, 126L, 1631L, 3221L, 361L, 251L, 489L, 1482L, 
    432L, 4207L, 464L, 7416L, 1771L, 7170L, 490L, 16831L, 1204L, 
    4553L, 491L, 13238L, 571L, 2144L, 68L, 5521L, 121L, 800L, 
    30L, 2475L, 711L, 5114L, 617L, 9547L, 1174L, 10026L, 2562L, 
    21033L, 950L, 5150L, 2183L, 19457L, 400L, 1622L, 449L, 4904L, 
    203L, 720L, 306L, 2766L, 170L, 10330L, 16L, 14267L, 4L, 13117L, 
    53L, 12402L, 0L, 4456L, 0L, 5681L, 0L, 1488L, 0L, 2305L, 
    0L, 1317L, 0L, 1236L, 0L, 8847L, 53L, 55363L, 0L, 12465L, 
    250L, 68460L, 0L, 4696L, 0L, 26596L, 0L, 1169L, 0L, 5428L, 
    0L, 679L, 36L, 3420L, 1790L, 692L, 3565L, 5854L, 6045L, 1579L, 
    6221L, 18146L, 4269L, 2841L, 3556L, 24769L, 1445L, 1793L, 
    253L, 11883L, 91L, 402L, 34L, 1281L, 2310L, 645L, 3396L, 
    3393L, 6346L, 1676L, 6957L, 9170L, 8508L, 3927L, 8218L, 21401L, 
    1160L, 2252L, 1111L, 16178L, 258L, 472L, 183L, 3018L, 3793L, 
    1677L, 1530L, 4932L, 11733L, 3897L, 4171L, 18068L, 10718L, 
    2547L, 3436L, 14765L, 3711L, 1384L, 421L, 6792L, 1046L, 652L, 
    224L, 2174L, 3578L, 774L, 2222L, 2101L, 11613L, 3547L, 8331L, 
    9551L, 12365L, 2682L, 12000L, 10783L, 3758L, 1384L, 3753L, 
    6550L, 1192L, 688L, 725L, 2991L, 2148L, 7595L, 965L, 7025L, 
    4508L, 22341L, 1249L, 23574L, 4014L, 14813L, 896L, 17749L, 
    1410L, 4283L, 234L, 7272L, 1311L, 1759L, 45L, 3591L, 442L, 
    8982L, 931L, 6464L, 3279L, 30308L, 3365L, 28544L, 2181L, 
    18017L, 3594L, 30870L, 1263L, 3890L, 1241L, 9033L, 308L, 
    2077L, 418L, 4903L, 145L, 28667L, 175L, 9892L, 164L, 46683L, 
    192L, 14636L, 204L, 21517L, 0L, 7935L, 56L, 7636L, 35L, 3870L, 
    0L, 4124L, 34L, 2549L, 0L, 22163L, 381L, 20452L, 37L, 50429L, 
    374L, 48320L, 0L, 17362L, 112L, 26966L, 0L, 4304L, 0L, 8091L, 
    0L, 1815L, 33L, 5339L, 1399L, 558L, 5164L, 8857L, 8028L, 
    4743L, 11524L, 32273L, 10294L, 7614L, 10146L, 35117L, 4038L, 
    6392L, 1019L, 20026L, 981L, 1152L, 106L, 2891L, 1757L, 621L, 
    4084L, 5230L, 10261L, 3292L, 10118L, 18151L, 18611L, 8615L, 
    11574L, 28738L, 6031L, 9676L, 1558L, 21921L, 1228L, 2032L, 
    254L, 4428L, 5975L, 1975L, 1758L, 4309L, 43110L, 10622L, 
    7529L, 24018L, 51258L, 10615L, 5471L, 27231L, 24940L, 5831L, 
    1404L, 18393L, 8274L, 2449L, 401L, 6748L, 4875L, 1660L, 1711L, 
    2581L, 40341L, 9014L, 7041L, 11822L, 56086L, 11220L, 11469L, 
    15024L, 29020L, 4832L, 5220L, 15995L, 9024L, 1682L, 2020L, 
    9321L, 3197L, 12936L, 873L, 6634L, 20385L, 60285L, 3137L, 
    28084L, 21151L, 53388L, 2608L, 28550L, 9593L, 18709L, 1100L, 
    15982L, 4007L, 8977L, 332L, 7592L, 1685L, 13072L, 749L, 4104L, 
    13699L, 76637L, 3867L, 26841L, 14794L, 59781L, 6104L, 34091L, 
    6888L, 16591L, 2674L, 17570L, 3038L, 9019L, 2053L, 14582L, 
    499L, 16784L, 327L, 4893L, 237L, 44159L, 346L, 8951L, 403L, 
    30153L, 82L, 5768L, 77L, 15988L, 130L, 4989L, 88L, 11105L, 
    34L, 3067L, 105L, 11318L, 1365L, 12983L, 411L, 43419L, 1433L, 
    23363L, 206L, 22946L, 363L, 15489L, 56L, 11014L, 56L, 7355L, 
    0L, 4850L, 6L, 6737L, 763L, 541L, 5823L, 9145L, 2941L, 3079L, 
    15354L, 35552L, 4113L, 4744L, 17511L, 45107L, 3795L, 9003L, 
    2543L, 24462L, 1398L, 2006L, 106L, 3113L, 357L, 367L, 3717L, 
    4741L, 3892L, 2477L, 10452L, 16804L, 7818L, 5513L, 16887L, 
    37603L, 6915L, 12139L, 2989L, 27111L, 2478L, 4620L, 353L, 
    4160L, 3718L, 1042L, 650L, 2047L, 34375L, 10952L, 3468L, 
    14118L, 57309L, 15967L, 3429L, 18889L, 62558L, 16419L, 2530L, 
    20145L, 29500L, 7894L, 759L, 8480L, 2314L, 1218L, 603L, 1167L, 
    31330L, 9675L, 3243L, 7644L, 67126L, 16687L, 4105L, 11399L, 
    68805L, 14478L, 2619L, 13966L, 34542L, 8453L, 1722L, 8734L, 
    2907L, 9080L, 295L, 2854L, 24113L, 59703L, 2086L, 14092L, 
    35268L, 80526L, 1667L, 16730L, 31913L, 50420L, 894L, 13868L, 
    20974L, 33735L, 686L, 9734L, 1275L, 8651L, 874L, 1635L, 16634L, 
    71593L, 2566L, 11850L, 29600L, 83652L, 2292L, 15836L, 23946L, 
    43947L, 2227L, 13075L, 13626L, 31205L, 1383L, 12079L, 63L, 
    5136L, 461L, 1807L, 364L, 15858L, 555L, 3358L, 162L, 15919L, 
    296L, 2417L, 120L, 12736L, 81L, 2399L, 230L, 14914L, 75L, 
    2234L, 95L, 3384L, 1388L, 6042L, 128L, 15113L, 3114L, 10364L, 
    24L, 12004L, 573L, 4262L, 49L, 8080L, 211L, 3384L, 0L, 5793L, 
    153L, 3438L, 0L, 134L, 2051L, 2365L, 56L, 228L, 4691L, 8596L, 
    58L, 485L, 7579L, 15444L, 451L, 1640L, 1284L, 10564L, 205L, 
    712L, 339L, 1565L, 3L, 20L, 2055L, 1511L, 62L, 330L, 4074L, 
    5341L, 347L, 342L, 5939L, 11923L, 675L, 2190L, 2431L, 9564L, 
    190L, 1235L, 291L, 2149L, 215L, 358L, 51L, 200L, 4226L, 1788L, 
    499L, 2649L, 5747L, 2526L, 217L, 2719L, 27299L, 8095L, 589L, 
    6359L, 23920L, 6584L, 539L, 4809L, 276L, 164L, 92L, 69L, 
    4139L, 1376L, 227L, 1393L, 11545L, 2963L, 584L, 1818L, 33856L, 
    7937L, 1054L, 4309L, 22209L, 5338L, 941L, 4094L, 485L, 1057L, 
    0L, 873L, 3963L, 9245L, 211L, 1952L, 8777L, 17674L, 188L, 
    3419L, 21433L, 30414L, 383L, 4370L, 26553L, 33226L, 729L, 
    6855L, 203L, 1105L, 34L, 230L, 4065L, 14422L, 223L, 1415L, 
    9717L, 24869L, 519L, 2626L, 19835L, 27434L, 640L, 3176L, 
    13782L, 25871L, 1018L, 4566L, 0L, 1201L, 14L, 599L, 237L, 
    3462L, 324L, 1082L, 201L, 5031L, 216L, 876L, 212L, 7560L, 
    66L, 1441L, 254L, 11586L, 249L, 1371L, 0L, 957L, 164L, 1297L, 
    287L, 5358L, 1046L, 3094L, 67L, 5028L, 239L, 2079L, 29L, 
    5727L, 113L, 1414L, 0L, 3946L, 105L, 1314L, 273L, 249L, 3190L, 
    6187L, 395L, 469L, 3543L, 6692L, 360L, 326L, 2062L, 4116L, 
    0L, 0L, 95L, 627L, 0L, 0L, 0L, 111L, 377L, 56L, 7734L, 4686L, 
    435L, 376L, 10476L, 6005L, 605L, 512L, 10081L, 7554L, 152L, 
    32L, 415L, 1041L, 25L, 0L, 40L, 43L, 978L, 81L, 1017L, 3957L, 
    1720L, 402L, 1377L, 4875L, 1099L, 312L, 1146L, 2605L, 332L, 
    59L, 121L, 526L, 0L, 0L, 0L, 182L, 817L, 80L, 7113L, 2779L, 
    1677L, 438L, 9521L, 4154L, 1579L, 204L, 9319L, 4000L, 320L, 
    157L, 722L, 1183L, 24L, 0L, 177L, 183L, 172L, 1779L, 327L, 
    7636L, 318L, 2105L, 476L, 8398L, 631L, 862L, 382L, 6103L, 
    27L, 309L, 589L, 885L, 91L, 40L, 0L, 259L, 370L, 1827L, 1841L, 
    12391L, 346L, 2397L, 2886L, 11510L, 454L, 2065L, 2962L, 10563L, 
    211L, 193L, 160L, 1151L, 14L, 215L, 108L, 758L, 36L, 2599L, 
    75L, 7345L, 52L, 1576L, 28L, 2957L, 75L, 603L, 45L, 1972L, 
    0L, 317L, 0L, 441L, 0L, 132L, 0L, 91L, 0L, 1764L, 228L, 19300L, 
    0L, 1235L, 31L, 9107L, 0L, 861L, 31L, 6914L, 115L, 27L, 0L, 
    779L, 0L, 168L, 76L, 290L, 282L, 139L, 4654L, 6185L, 728L, 
    716L, 5170L, 8636L, 1395L, 768L, 1756L, 4951L, 0L, 166L, 
    245L, 850L, 32L, 0L, 0L, 166L, 131L, 111L, 3121L, 3424L, 
    1207L, 372L, 5883L, 6610L, 1162L, 786L, 6501L, 6414L, 217L, 
    281L, 1031L, 2347L, 0L, 27L, 171L, 391L, 796L, 301L, 906L, 
    2170L, 1990L, 872L, 2083L, 7659L, 2535L, 807L, 1440L, 5197L, 
    361L, 49L, 287L, 1524L, 192L, 53L, 135L, 274L, 518L, 344L, 
    1570L, 1420L, 1341L, 493L, 7432L, 4329L, 2858L, 1311L, 9930L, 
    6739L, 583L, 313L, 2068L, 2350L, 417L, 216L, 379L, 777L, 
    682L, 2539L, 251L, 3683L, 1642L, 3554L, 747L, 7111L, 1034L, 
    2245L, 384L, 5829L, 141L, 490L, 28L, 1140L, 74L, 260L, 0L, 
    101L, 316L, 1589L, 1335L, 4956L, 843L, 4216L, 2762L, 10670L, 
    823L, 3756L, 2445L, 12473L, 54L, 437L, 298L, 2988L, 25L, 
    275L, 249L, 1557L, 115L, 4349L, 262L, 3176L, 0L, 2986L, 31L, 
    2208L, 0L, 1200L, 0L, 1008L, 0L, 227L, 0L, 310L, 28L, 126L, 
    0L, 175L, 67L, 2285L, 424L, 5917L, 0L, 2467L, 270L, 4386L, 
    0L, 1648L, 48L, 4879L, 0L, 177L, 0L, 1146L, 0L, 167L, 0L, 
    620L, 99L, 385L, 2715L, 4686L, 1791L, 670L, 4452L, 9178L, 
    971L, 791L, 4042L, 7062L, 264L, 393L, 613L, 1808L, 40L, 34L, 
    143L, 405L, 78L, 201L, 2093L, 2285L, 910L, 87L, 4420L, 6633L, 
    1667L, 589L, 6754L, 7488L, 267L, 498L, 849L, 3241L, 44L, 
    97L, 91L, 1271L, 948L, 483L, 744L, 2311L, 4713L, 1617L, 2597L, 
    8214L, 6799L, 1599L, 2491L, 7992L, 1564L, 757L, 344L, 3671L, 
    514L, 609L, 298L, 1007L, 728L, 107L, 650L, 1480L, 3427L, 
    1666L, 3716L, 4059L, 6642L, 1694L, 7426L, 8133L, 2993L, 635L, 
    3360L, 3720L, 670L, 354L, 1411L, 1449L, 688L, 2716L, 363L, 
    2885L, 3230L, 5829L, 620L, 6954L, 2115L, 6103L, 1069L, 7249L, 
    1292L, 1971L, 215L, 2969L, 444L, 693L, 147L, 1567L, 452L, 
    1800L, 435L, 2077L, 1438L, 5467L, 1790L, 9328L, 2235L, 7121L, 
    3121L, 14200L, 916L, 2083L, 680L, 4287L, 537L, 842L, 597L, 
    3224L, 147L, 2517L, 373L, 1995L, 274L, 3197L, 77L, 1367L, 
    267L, 1818L, 24L, 657L, 0L, 699L, 39L, 539L, 38L, 272L, 0L, 
    455L, 0L, 1053L, 592L, 3457L, 22L, 2029L, 539L, 4268L, 8L, 
    1586L, 45L, 2854L, 0L, 301L, 99L, 1265L, 0L, 372L, 0L, 1144L, 
    38L, 39L, 1279L, 1761L, 353L, 306L, 2927L, 6510L, 551L, 464L, 
    3026L, 7489L, 199L, 311L, 318L, 2665L, 102L, 0L, 39L, 430L, 
    0L, 0L, 1052L, 1426L, 483L, 178L, 1552L, 3027L, 810L, 381L, 
    2615L, 7704L, 246L, 459L, 935L, 2480L, 84L, 265L, 120L, 758L, 
    299L, 141L, 229L, 1433L, 3423L, 1218L, 1049L, 6683L, 7753L, 
    2229L, 1436L, 4520L, 3515L, 1527L, 456L, 1991L, 1804L, 810L, 
    150L, 602L, 292L, 184L, 123L, 345L, 2505L, 950L, 411L, 2582L, 
    5773L, 3083L, 1664L, 4534L, 5178L, 1420L, 769L, 3137L, 3124L, 
    755L, 660L, 1362L, 334L, 1044L, 39L, 1565L, 2152L, 6109L, 
    718L, 4005L, 3614L, 8247L, 320L, 3080L, 2572L, 3275L, 69L, 
    2112L, 1905L, 2352L, 150L, 1489L, 353L, 971L, 219L, 1368L, 
    492L, 4543L, 1130L, 3900L, 2852L, 8310L, 1039L, 5364L, 1866L, 
    2995L, 824L, 3232L, 1159L, 3146L, 450L, 3460L, 296L, 1569L, 
    100L, 1309L, 83L, 1411L, 104L, 574L, 59L, 1550L, 53L, 473L, 
    0L, 463L, 0L, 347L, 0L, 850L, 0L, 414L, 42L, 440L, 291L, 
    1743L, 35L, 794L, 129L, 1902L, 0L, 866L, 0L, 1272L, 0L, 451L, 
    80L, 420L, 0L, 676L, 0L, 1048L, 0L, 0L, 66L, 280L, 0L, 57L, 
    632L, 888L, 0L, 28L, 365L, 1036L, 0L, 31L, 63L, 369L, 0L, 
    28L, 0L, 0L, 0L, 0L, 27L, 102L, 0L, 147L, 124L, 558L, 0L, 
    0L, 587L, 422L, 19L, 0L, 40L, 660L, 0L, 0L, 35L, 154L, 0L, 
    0L, 43L, 431L, 165L, 593L, 128L, 1215L, 424L, 98L, 129L, 
    804L, 1247L, 242L, 0L, 638L, 823L, 764L, 0L, 205L, 30L, 0L, 
    0L, 128L, 252L, 280L, 94L, 255L, 453L, 297L, 126L, 699L, 
    1550L, 418L, 60L, 440L, 1136L, 1115L, 134L, 257L, 33L, 306L, 
    0L, 421L, 313L, 1030L, 100L, 500L, 525L, 704L, 0L, 522L, 
    842L, 933L, 0L, 162L, 583L, 1231L, 0L, 244L, 22L, 86L, 23L, 
    114L, 98L, 388L, 62L, 424L, 179L, 797L, 60L, 505L, 543L, 
    1460L, 29L, 231L, 393L, 1105L, 137L, 560L, 0L, 234L, 0L, 
    242L, 0L, 90L, 0L, 37L, 0L, 231L, 37L, 26L, 0L, 90L, 0L, 
    28L, 0L, 492L, 0L, 248L, 49L, 138L, 0L, 216L, 0L, 83L, 0L, 
    166L, 0L, 58L, 209L, 83L, 0L, 109L, 0L, 0L, 0L, 267L, 0L, 
    68L, 378L, 182L, 1273L, 1927L, 613L, 115L, 893L, 1661L, 282L, 
    23L, 426L, 1610L, 58L, 0L, 0L, 453L, 0L, 0L, 0L, 142L, 697L, 
    146L, 2317L, 1222L, 677L, 99L, 2263L, 1715L, 838L, 29L, 2100L, 
    2146L, 52L, 0L, 125L, 599L, 0L, 0L, 25L, 104L, 1583L, 190L, 
    448L, 1092L, 1700L, 431L, 726L, 1680L, 516L, 72L, 111L, 752L, 
    11L, 0L, 0L, 150L, 48L, 67L, 0L, 0L, 961L, 327L, 1891L, 877L, 
    607L, 136L, 1344L, 1077L, 510L, 156L, 1441L, 813L, 227L, 
    0L, 135L, 140L, 41L, 0L, 28L, 228L, 852L, 1703L, 166L, 2109L, 
    604L, 657L, 54L, 1341L, 70L, 266L, 0L, 787L, 0L, 25L, 0L, 
    35L, 0L, 29L, 0L, 33L, 330L, 1138L, 515L, 3220L, 229L, 513L, 
    251L, 1542L, 55L, 242L, 154L, 1479L, 0L, 326L, 0L, 242L, 
    0L, 0L, 0L, 0L, 271L, 1592L, 0L, 2003L, 0L, 713L, 0L, 436L, 
    0L, 183L, 0L, 191L, 0L, 154L, 0L, 179L, 0L, 39L, 0L, 40L, 
    66L, 1542L, 142L, 3523L, 0L, 535L, 0L, 1007L, 0L, 145L, 0L, 
    855L, 0L, 0L, 0L, 270L, 0L, 37L, 0L, 133L, 1505L, 313L, 3386L, 
    2583L, 1612L, 842L, 3029L, 3726L, 661L, 299L, 1459L, 2615L, 
    48L, 89L, 155L, 1360L, 22L, 0L, 0L, 467L, 1645L, 237L, 1290L, 
    1801L, 2364L, 496L, 2594L, 3272L, 1233L, 414L, 2795L, 3833L, 
    456L, 192L, 267L, 697L, 0L, 24L, 9L, 135L, 5277L, 1071L, 
    891L, 1405L, 3636L, 793L, 1089L, 2317L, 1715L, 489L, 668L, 
    885L, 627L, 22L, 173L, 412L, 174L, 62L, 0L, 44L, 3232L, 624L, 
    1193L, 644L, 3556L, 411L, 2419L, 1503L, 1764L, 337L, 1617L, 
    1092L, 681L, 120L, 384L, 528L, 118L, 27L, 190L, 89L, 3064L, 
    3513L, 312L, 1425L, 1450L, 1823L, 261L, 2023L, 274L, 709L, 
    90L, 867L, 92L, 178L, 27L, 304L, 27L, 0L, 0L, 0L, 1154L, 
    3147L, 939L, 2431L, 823L, 1518L, 676L, 1502L, 274L, 796L, 
    518L, 1616L, 154L, 84L, 104L, 261L, 0L, 32L, 32L, 325L, 56L, 
    2255L, 98L, 1205L, 102L, 1002L, 0L, 516L, 0L, 334L, 0L, 384L, 
    0L, 143L, 0L, 69L, 0L, 30L, 0L, 74L, 0L, 1794L, 374L, 2000L, 
    0L, 1077L, 0L, 672L, 0L, 181L, 60L, 481L, 0L, 108L, 0L, 42L, 
    0L, 37L, 0L, 26L, 1010L, 350L, 2696L, 3176L, 1979L, 1201L, 
    5392L, 8123L, 2054L, 550L, 3615L, 8142L, 383L, 329L, 325L, 
    1904L, 102L, 105L, 33L, 358L, 1935L, 274L, 2079L, 2376L, 
    3293L, 1187L, 4437L, 3514L, 3268L, 589L, 4660L, 5090L, 660L, 
    961L, 672L, 1335L, 69L, 154L, 89L, 414L, 6304L, 1191L, 788L, 
    2018L, 10202L, 2112L, 1301L, 3130L, 6144L, 1323L, 1178L, 
    3046L, 2013L, 192L, 329L, 2790L, 620L, 96L, 156L, 284L, 5587L, 
    701L, 676L, 907L, 6505L, 1522L, 1485L, 1388L, 7044L, 1068L, 
    2092L, 2146L, 1682L, 330L, 574L, 811L, 548L, 253L, 428L, 
    350L, 4408L, 6144L, 423L, 1710L, 2724L, 3904L, 553L, 1893L, 
    1788L, 2540L, 404L, 1225L, 453L, 462L, 16L, 318L, 97L, 273L, 
    0L, 194L, 1877L, 5032L, 777L, 2115L, 2179L, 3594L, 771L, 
    1901L, 1486L, 2037L, 673L, 1990L, 571L, 469L, 245L, 614L, 
    76L, 114L, 77L, 659L, 484L, 2301L, 186L, 203L, 458L, 897L, 
    0L, 392L, 104L, 493L, 0L, 55L, 0L, 296L, 0L, 69L, 0L, 203L, 
    0L, 65L, 530L, 1237L, 669L, 2254L, 132L, 636L, 153L, 772L, 
    0L, 359L, 184L, 345L, 0L, 162L, 42L, 145L, 0L, 75L, 0L, 100L, 
    563L, 532L, 1935L, 2521L, 1166L, 751L, 4707L, 5676L, 825L, 
    847L, 4565L, 7506L, 489L, 310L, 960L, 2470L, 0L, 116L, 37L, 
    330L, 499L, 127L, 1465L, 1039L, 1776L, 998L, 2546L, 3000L, 
    1614L, 1264L, 4496L, 5790L, 447L, 890L, 1140L, 2260L, 299L, 
    130L, 269L, 239L, 3793L, 438L, 636L, 1010L, 4820L, 1883L, 
    958L, 2357L, 4849L, 1954L, 496L, 1997L, 2910L, 1173L, 117L, 
    1722L, 1992L, 459L, 26L, 724L, 1827L, 722L, 352L, 451L, 4554L, 
    922L, 543L, 1249L, 6228L, 1582L, 1130L, 1402L, 3795L, 1092L, 
    300L, 1032L, 1814L, 895L, 260L, 459L, 3426L, 4305L, 172L, 
    1053L, 2963L, 4085L, 203L, 1313L, 2324L, 2919L, 112L, 1343L, 
    1077L, 1300L, 58L, 477L, 538L, 774L, 79L, 180L, 1634L, 2841L, 
    674L, 879L, 2530L, 3883L, 362L, 641L, 1956L, 3413L, 318L, 
    1763L, 791L, 1353L, 187L, 363L, 342L, 557L, 83L, 219L, 317L, 
    1085L, 119L, 717L, 100L, 286L, 38L, 107L, 45L, 443L, 0L, 
    30L, 0L, 255L, 0L, 0L, 0L, 287L, 0L, 179L, 154L, 656L, 566L, 
    971L, 54L, 404L, 291L, 145L, 0L, 308L, 0L, 186L, 0L, 40L, 
    38L, 69L, 0L, 126L, 0L, 82L, 0L, 111L, 27L, 274L, 34L, 16L, 
    286L, 1227L, 92L, 50L, 530L, 1536L, 85L, 0L, 232L, 691L, 
    0L, 35L, 0L, 143L, 21L, 0L, 148L, 89L, 0L, 124L, 243L, 267L, 
    50L, 33L, 256L, 1203L, 22L, 345L, 44L, 782L, 44L, 126L, 0L, 
    131L, 179L, 83L, 0L, 43L, 287L, 221L, 397L, 467L, 559L, 194L, 
    91L, 685L, 935L, 149L, 39L, 345L, 492L, 37L, 38L, 158L, 106L, 
    127L, 0L, 43L, 478L, 391L, 103L, 64L, 628L, 327L, 130L, 118L, 
    971L, 257L, 23L, 145L, 714L, 117L, 0L, 25L, 219L, 843L, 133L, 
    78L, 228L, 588L, 19L, 380L, 659L, 558L, 72L, 142L, 255L, 
    676L, 0L, 57L, 579L, 678L, 0L, 301L, 177L, 553L, 64L, 130L, 
    66L, 415L, 16L, 463L, 405L, 810L, 0L, 27L, 455L, 333L, 29L, 
    180L, 326L, 454L, 55L, 65L, 0L, 184L, 73L, 0L, 0L, 73L, 0L, 
    9L, 0L, 41L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 256L, 0L, 0L, 0L, 
    381L, 68L, 278L, 0L, 76L, 197L, 43L, 0L, 69L, 0L, 0L, 30L, 
    0L, 60L, 170L, 0L, 65L, 0L, 38L, 2238L, 404L, 2826L, 5166L, 
    2179L, 765L, 2390L, 9720L, 800L, 699L, 1238L, 17648L, 152L, 
    334L, 85L, 3562L, 0L, 91L, 21L, 219L, 2450L, 616L, 5858L, 
    3447L, 3870L, 626L, 8709L, 6190L, 1667L, 920L, 6040L, 18652L, 
    187L, 607L, 283L, 4080L, 69L, 92L, 0L, 559L, 2601L, 860L, 
    1377L, 5058L, 4913L, 1202L, 2754L, 9543L, 1542L, 490L, 960L, 
    4233L, 639L, 163L, 158L, 1405L, 120L, 23L, 23L, 512L, 2485L, 
    1140L, 3743L, 3676L, 4331L, 1739L, 9061L, 6425L, 2099L, 566L, 
    8770L, 3588L, 632L, 79L, 913L, 1114L, 62L, 92L, 26L, 265L, 
    998L, 5495L, 505L, 8316L, 1376L, 6375L, 815L, 13822L, 794L, 
    2843L, 294L, 5909L, 435L, 624L, 14L, 2795L, 90L, 475L, 116L, 
    1036L, 529L, 5631L, 1078L, 11007L, 1336L, 8930L, 2209L, 19557L, 
    482L, 2579L, 1263L, 12604L, 179L, 612L, 309L, 2648L, 192L, 
    267L, 121L, 1272L, 92L, 8210L, 0L, 10188L, 0L, 8362L, 31L, 
    8739L, 0L, 2488L, 33L, 2718L, 34L, 793L, 0L, 710L, 0L, 394L, 
    0L, 725L, 0L, 6442L, 118L, 36273L, 0L, 9548L, 7L, 49022L, 
    0L, 1658L, 7L, 15100L, 0L, 440L, 0L, 2174L, 0L, 287L, 0L, 
    1738L, 3590L, 970L, 4650L, 6571L, 6903L, 2557L, 6429L, 16377L, 
    4175L, 2474L, 2410L, 16108L, 987L, 2091L, 159L, 5061L, 203L, 
    249L, 122L, 1008L, 3728L, 623L, 4775L, 4077L, 8214L, 2792L, 
    8056L, 8723L, 7079L, 3542L, 6515L, 12737L, 1226L, 1965L, 
    417L, 6446L, 254L, 116L, 67L, 985L, 5498L, 2650L, 2315L, 
    4715L, 14656L, 4698L, 6021L, 17711L, 7864L, 2252L, 3482L, 
    10421L, 3108L, 737L, 362L, 4187L, 853L, 294L, 35L, 923L, 
    4690L, 2103L, 2772L, 3568L, 12331L, 4862L, 8739L, 9273L, 
    10242L, 2701L, 10401L, 8288L, 2617L, 832L, 2088L, 3250L, 
    661L, 164L, 714L, 877L, 1654L, 10224L, 414L, 6723L, 4863L, 
    24400L, 2001L, 22755L, 2590L, 10574L, 938L, 11169L, 578L, 
    2648L, 247L, 3819L, 413L, 1452L, 77L, 1955L, 826L, 11758L, 
    822L, 5832L, 3737L, 31797L, 3414L, 26282L, 1775L, 12698L, 
    2011L, 17358L, 518L, 2780L, 597L, 4459L, 269L, 1536L, 200L, 
    2957L, 93L, 22402L, 183L, 6535L, 50L, 34880L, 0L, 9252L, 
    80L, 13201L, 0L, 3711L, 35L, 4312L, 18L, 1535L, 0L, 3806L, 
    0L, 1109L, 22L, 15940L, 192L, 13087L, 29L, 37315L, 136L, 
    30104L, 7L, 11017L, 71L, 10868L, 0L, 1694L, 13L, 3513L, 0L, 
    1945L, 0L, 3396L, 3057L, 1181L, 6171L, 9292L, 10317L, 5150L, 
    9790L, 23972L, 9769L, 6847L, 5970L, 21337L, 2954L, 5602L, 
    500L, 9356L, 273L, 675L, 66L, 1051L, 3293L, 1102L, 5642L, 
    6270L, 12037L, 4255L, 7510L, 13093L, 14481L, 6979L, 7076L, 
    18042L, 5575L, 8299L, 1182L, 9511L, 853L, 1013L, 45L, 1558L, 
    8456L, 2968L, 2010L, 5512L, 45774L, 11634L, 6314L, 22107L, 
    37651L, 8591L, 5065L, 15542L, 17639L, 2861L, 1378L, 7182L, 
    5081L, 1106L, 306L, 2082L, 7415L, 3322L, 1765L, 2662L, 40511L, 
    11790L, 6574L, 11048L, 42362L, 8467L, 8856L, 8302L, 21763L, 
    3096L, 3415L, 5160L, 5275L, 897L, 1411L, 2631L, 3357L, 14836L, 
    1253L, 6131L, 19290L, 60109L, 2549L, 21943L, 11288L, 36799L, 
    1151L, 13438L, 4765L, 11384L, 702L, 5499L, 2961L, 7600L, 
    382L, 3344L, 2329L, 13950L, 548L, 4394L, 11910L, 73208L, 
    2755L, 17888L, 8792L, 37859L, 2252L, 16399L, 3267L, 9658L, 
    1272L, 6936L, 1675L, 7647L, 1146L, 8743L, 190L, 10563L, 106L, 
    2485L, 118L, 31250L, 76L, 4752L, 133L, 16399L, 47L, 2186L, 
    21L, 8536L, 143L, 1445L, 63L, 7535L, 0L, 1284L, 245L, 7210L, 
    650L, 6813L, 68L, 30439L, 728L, 12843L, 45L, 11666L, 50L, 
    4999L, 0L, 4027L, 0L, 2338L, 0L, 4066L, 0L, 3324L, 793L, 
    391L, 6190L, 6925L, 2941L, 2136L, 9830L, 19509L, 3212L, 2468L, 
    7353L, 20192L, 2496L, 4078L, 708L, 7917L, 700L, 1035L, 117L, 
    1065L, 1096L, 470L, 3720L, 3628L, 3440L, 1350L, 5494L, 9602L, 
    5806L, 3368L, 8411L, 14849L, 4722L, 6731L, 1249L, 6270L, 
    952L, 1788L, 80L, 968L, 2758L, 1016L, 338L, 1689L, 25133L, 
    7667L, 3261L, 8705L, 33643L, 8304L, 2031L, 7442L, 30394L, 
    6773L, 902L, 4477L, 10491L, 2598L, 399L, 1944L, 2823L, 678L, 
    477L, 692L, 22721L, 8033L, 2410L, 4652L, 38162L, 9567L, 1985L, 
    5669L, 34532L, 7388L, 1264L, 4063L, 13271L, 2910L, 623L, 
    2257L, 2104L, 7881L, 516L, 1514L, 15006L, 48979L, 1286L, 
    8749L, 15557L, 44341L, 870L, 6301L, 15442L, 25902L, 629L, 
    4018L, 9046L, 18254L, 381L, 2878L, 938L, 6433L, 157L, 984L, 
    10503L, 53252L, 1023L, 6566L, 12074L, 45753L, 1482L, 5316L, 
    9834L, 21469L, 535L, 3535L, 6542L, 20009L, 564L, 3551L, 245L, 
    2464L, 252L, 934L, 80L, 8728L, 497L, 1573L, 172L, 6209L, 
    60L, 750L, 198L, 5777L, 0L, 962L, 64L, 7429L, 25L, 898L, 
    51L, 2442L, 614L, 2898L, 202L, 7859L, 750L, 4993L, 8L, 5420L, 
    134L, 1541L, 0L, 2433L, 114L, 1148L, 0L, 3750L, 11L, 1320L, 
    0L, 37L, 1334L, 1232L, 122L, 122L, 1489L, 2537L, 89L, 450L, 
    2712L, 3977L, 283L, 242L, 479L, 2372L, 0L, 44L, 0L, 47L, 
    0L, 0L, 742L, 716L, 62L, 76L, 1372L, 1433L, 86L, 470L, 1478L, 
    3189L, 428L, 470L, 583L, 1409L, 43L, 119L, 20L, 403L, 359L, 
    81L, 62L, 436L, 1793L, 374L, 31L, 760L, 3132L, 389L, 272L, 
    912L, 7642L, 1535L, 311L, 1031L, 6559L, 1213L, 0L, 516L, 
    318L, 72L, 0L, 98L, 2282L, 1001L, 117L, 232L, 4659L, 807L, 
    222L, 897L, 9840L, 1730L, 163L, 626L, 5030L, 1133L, 238L, 
    263L, 72L, 1215L, 16L, 90L, 2038L, 4534L, 105L, 690L, 2819L, 
    6169L, 217L, 1183L, 4720L, 10482L, 180L, 1011L, 6478L, 10366L, 
    45L, 1904L, 152L, 868L, 39L, 86L, 1599L, 6197L, 93L, 692L, 
    2707L, 9946L, 151L, 839L, 4533L, 8628L, 139L, 813L, 3766L, 
    7559L, 158L, 973L, 0L, 361L, 0L, 326L, 38L, 1835L, 94L, 461L, 
    0L, 1473L, 0L, 177L, 32L, 1822L, 0L, 396L, 44L, 3287L, 0L, 
    317L, 0L, 494L, 75L, 382L, 82L, 1688L, 144L, 936L, 0L, 1901L, 
    0L, 371L, 29L, 1175L, 48L, 319L, 0L, 1373L, 48L, 260L, 99L, 
    250L, 978L, 1612L, 176L, 62L, 799L, 1756L, 0L, 41L, 287L, 
    2322L, 0L, 0L, 0L, 312L, 0L, 0L, 0L, 0L, 128L, 51L, 3152L, 
    1885L, 257L, 0L, 4775L, 1710L, 551L, 41L, 2478L, 3195L, 0L, 
    0L, 74L, 322L, 0L, 20L, 26L, 34L, 413L, 23L, 305L, 998L, 
    228L, 560L, 714L, 2082L, 363L, 69L, 123L, 1589L, 112L, 33L, 
    21L, 316L, 0L, 0L, 0L, 116L, 162L, 54L, 1607L, 1358L, 568L, 
    203L, 4552L, 1583L, 321L, 293L, 3013L, 1250L, 56L, 0L, 137L, 
    412L, 0L, 0L, 35L, 0L, 186L, 584L, 120L, 2006L, 154L, 510L, 
    331L, 2854L, 82L, 135L, 76L, 1309L, 0L, 44L, 0L, 452L, 39L, 
    142L, 0L, 194L, 51L, 653L, 449L, 3649L, 124L, 583L, 900L, 
    4199L, 118L, 409L, 576L, 3660L, 0L, 24L, 35L, 472L, 0L, 0L, 
    0L, 52L, 33L, 432L, 27L, 2024L, 0L, 359L, 0L, 455L, 0L, 319L, 
    0L, 271L, 0L, 97L, 0L, 113L, 0L, 51L, 0L, 0L, 0L, 245L, 0L, 
    3806L, 0L, 424L, 66L, 3329L, 0L, 134L, 0L, 1445L, 0L, 0L, 
    0L, 297L, 0L, 110L, 0L, 206L, 30L, 65L, 1090L, 1039L, 368L, 
    238L, 1243L, 2098L, 278L, 66L, 821L, 1849L, 162L, 135L, 0L, 
    352L, 105L, 0L, 0L, 36L, 95L, 0L, 819L, 852L, 497L, 30L, 
    1917L, 1902L, 347L, 89L, 1774L, 2547L, 157L, 38L, 513L, 698L, 
    0L, 0L, 0L, 26L, 239L, 38L, 186L, 781L, 1048L, 408L, 1277L, 
    2817L, 806L, 289L, 845L, 1585L, 70L, 239L, 107L, 296L, 24L, 
    0L, 0L, 21L, 63L, 148L, 1030L, 463L, 782L, 379L, 2356L, 1857L, 
    908L, 279L, 4261L, 1966L, 152L, 0L, 550L, 683L, 23L, 89L, 
    122L, 100L, 157L, 823L, 58L, 829L, 194L, 1572L, 486L, 2757L, 
    316L, 992L, 178L, 1345L, 154L, 77L, 0L, 436L, 71L, 0L, 0L, 
    110L, 72L, 921L, 130L, 1309L, 416L, 1353L, 596L, 3143L, 91L, 
    789L, 942L, 3993L, 36L, 184L, 203L, 406L, 17L, 106L, 105L, 
    292L, 38L, 1450L, 41L, 979L, 71L, 932L, 0L, 579L, 27L, 349L, 
    0L, 295L, 0L, 41L, 0L, 176L, 0L, 179L, 0L, 0L, 22L, 825L, 
    111L, 1675L, 0L, 602L, 44L, 1491L, 0L, 375L, 0L, 1038L, 0L, 
    52L, 0L, 178L, 0L, 150L, 0L, 277L, 22L, 84L, 1012L, 1146L, 
    592L, 84L, 1007L, 2550L, 964L, 474L, 520L, 3169L, 142L, 122L, 
    193L, 593L, 0L, 0L, 30L, 49L, 0L, 72L, 415L, 638L, 237L, 
    118L, 1033L, 1048L, 684L, 228L, 1057L, 1444L, 278L, 113L, 
    180L, 216L, 0L, 17L, 0L, 25L, 372L, 164L, 384L, 419L, 3081L, 
    803L, 1158L, 2514L, 2706L, 790L, 719L, 1592L, 836L, 101L, 
    237L, 617L, 61L, 0L, 0L, 224L, 350L, 0L, 138L, 231L, 2101L, 
    565L, 1473L, 1221L, 2721L, 653L, 1550L, 1689L, 962L, 240L, 
    353L, 255L, 172L, 75L, 94L, 469L, 398L, 646L, 91L, 681L, 
    1516L, 3129L, 267L, 2604L, 956L, 2323L, 51L, 1581L, 216L, 
    593L, 120L, 490L, 100L, 204L, 0L, 157L, 104L, 953L, 159L, 
    504L, 409L, 2635L, 469L, 2886L, 730L, 2776L, 302L, 2210L, 
    273L, 709L, 344L, 1067L, 20L, 232L, 91L, 555L, 35L, 1442L, 
    41L, 474L, 70L, 1400L, 154L, 235L, 0L, 631L, 0L, 246L, 0L, 
    146L, 0L, 28L, 0L, 195L, 0L, 0L, 0L, 539L, 0L, 765L, 0L, 
    803L, 36L, 874L, 0L, 870L, 0L, 424L, 0L, 59L, 0L, 135L, 0L, 
    292L, 0L, 118L, 0L, 0L, 482L, 794L, 84L, 119L, 1168L, 1751L, 
    83L, 80L, 195L, 1706L, 46L, 70L, 58L, 241L, 290L, 31L, 0L, 
    34L, 0L, 0L, 182L, 267L, 328L, 306L, 411L, 802L, 118L, 19L, 
    308L, 1010L, 98L, 153L, 27L, 222L, 78L, 50L, 0L, 47L, 334L, 
    48L, 0L, 500L, 1231L, 582L, 382L, 428L, 1186L, 1052L, 217L, 
    856L, 1318L, 288L, 177L, 399L, 364L, 94L, 180L, 176L, 101L, 
    62L, 0L, 336L, 798L, 362L, 57L, 796L, 1898L, 847L, 399L, 
    585L, 1014L, 264L, 122L, 457L, 501L, 237L, 34L, 523L, 19L, 
    497L, 33L, 230L, 1653L, 1626L, 57L, 1104L, 845L, 1703L, 144L, 
    759L, 418L, 622L, 0L, 251L, 157L, 615L, 42L, 168L, 43L, 287L, 
    118L, 128L, 483L, 1591L, 125L, 874L, 658L, 1501L, 103L, 984L, 
    568L, 336L, 34L, 460L, 138L, 1142L, 115L, 298L, 0L, 258L, 
    0L, 116L, 0L, 359L, 0L, 103L, 0L, 170L, 0L, 0L, 0L, 89L, 
    0L, 72L, 0L, 325L, 0L, 115L, 0L, 39L, 39L, 408L, 0L, 240L, 
    33L, 232L, 0L, 152L, 35L, 67L, 0L, 0L, 0L, 44L, 0L, 241L, 
    20L, 103L, 0L, 0L, 0L, 60L, 0L, 0L, 48L, 173L, 0L, 0L, 81L, 
    453L, 0L, 0L, 0L, 121L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 74L, 
    0L, 0L, 0L, 0L, 23L, 0L, 0L, 152L, 162L, 0L, 0L, 66L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 214L, 30L, 0L, 134L, 114L, 28L, 
    0L, 6L, 144L, 0L, 0L, 93L, 298L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 74L, 108L, 42L, 33L, 34L, 0L, 0L, 53L, 215L, 70L, 81L, 
    0L, 218L, 0L, 0L, 235L, 0L, 33L, 0L, 0L, 0L, 101L, 53L, 31L, 
    120L, 130L, 54L, 42L, 37L, 307L, 0L, 154L, 132L, 332L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 119L, 52L, 31L, 0L, 198L, 0L, 148L, 
    59L, 153L, 0L, 149L, 128L, 273L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 38L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 
    0L, 37L, 0L, 0L, 0L, 152L, 0L, 39L, 0L, 31L, 0L, 0L, 0L, 
    26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 324L, 44L, 57L, 527L, 
    0L, 0L, 238L, 502L, 112L, 82L, 93L, 328L, 0L, 0L, 0L, 30L, 
    0L, 0L, 0L, 0L, 262L, 0L, 629L, 90L, 124L, 0L, 670L, 170L, 
    15L, 60L, 431L, 617L, 0L, 0L, 0L, 80L, 0L, 0L, 0L, 0L, 517L, 
    98L, 141L, 359L, 148L, 150L, 211L, 282L, 20L, 0L, 196L, 174L, 
    27L, 0L, 0L, 25L, 0L, 28L, 0L, 0L, 339L, 104L, 360L, 138L, 
    35L, 0L, 149L, 300L, 374L, 0L, 319L, 49L, 72L, 0L, 28L, 9L, 
    0L, 0L, 0L, 0L, 93L, 58L, 36L, 255L, 0L, 117L, 40L, 147L, 
    0L, 26L, 0L, 33L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 101L, 
    58L, 508L, 0L, 69L, 19L, 512L, 83L, 121L, 77L, 226L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 42L, 0L, 204L, 0L, 427L, 0L, 33L, 
    0L, 17L, 0L, 116L, 0L, 48L, 0L, 41L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 145L, 0L, 482L, 0L, 93L, 0L, 257L, 0L, 28L, 0L, 0L, 
    0L, 0L, 0L, 70L, 0L, 0L, 0L, 0L, 245L, 134L, 710L, 326L, 
    442L, 133L, 222L, 847L, 109L, 41L, 97L, 494L, 28L, 25L, 53L, 
    184L, 0L, 23L, 0L, 30L, 388L, 218L, 209L, 446L, 523L, 197L, 
    242L, 599L, 170L, 242L, 338L, 451L, 0L, 52L, 0L, 172L, 32L, 
    0L, 45L, 11L, 895L, 198L, 272L, 125L, 661L, 167L, 197L, 652L, 
    277L, 160L, 29L, 346L, 0L, 8L, 93L, 167L, 9L, 0L, 0L, 23L, 
    342L, 30L, 128L, 184L, 563L, 104L, 428L, 339L, 489L, 0L, 
    611L, 224L, 63L, 22L, 66L, 114L, 0L, 98L, 0L, 41L, 252L, 
    321L, 99L, 251L, 295L, 397L, 50L, 443L, 95L, 155L, 27L, 212L, 
    0L, 70L, 0L, 14L, 0L, 5L, 0L, 33L, 113L, 275L, 27L, 20L, 
    22L, 542L, 29L, 868L, 57L, 247L, 50L, 378L, 0L, 0L, 0L, 21L, 
    0L, 0L, 0L, 0L, 0L, 886L, 25L, 252L, 0L, 323L, 0L, 176L, 
    0L, 192L, 0L, 36L, 0L, 47L, 0L, 0L, 0L, 121L, 0L, 23L, 0L, 
    481L, 132L, 201L, 0L, 295L, 0L, 134L, 0L, 44L, 0L, 141L, 
    0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 324L, 74L, 442L, 616L, 449L, 
    74L, 922L, 710L, 181L, 116L, 99L, 709L, 191L, 17L, 70L, 101L, 
    0L, 0L, 0L, 22L, 282L, 0L, 522L, 308L, 192L, 117L, 312L, 
    350L, 525L, 35L, 217L, 516L, 203L, 98L, 159L, 208L, 0L, 21L, 
    0L, 0L, 1137L, 114L, 113L, 169L, 1269L, 384L, 313L, 430L, 
    1481L, 134L, 494L, 273L, 575L, 196L, 70L, 471L, 358L, 0L, 
    0L, 0L, 856L, 67L, 69L, 34L, 1087L, 324L, 139L, 150L, 1560L, 
    367L, 153L, 388L, 331L, 186L, 111L, 53L, 13L, 103L, 60L, 
    73L, 264L, 655L, 0L, 293L, 438L, 944L, 77L, 495L, 270L, 558L, 
    23L, 254L, 223L, 88L, 0L, 0L, 76L, 69L, 0L, 49L, 82L, 600L, 
    31L, 36L, 425L, 1318L, 29L, 380L, 74L, 575L, 53L, 293L, 78L, 
    89L, 25L, 171L, 22L, 83L, 0L, 72L, 33L, 333L, 0L, 109L, 0L, 
    231L, 0L, 0L, 0L, 134L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 249L, 0L, 147L, 32L, 241L, 0L, 61L, 0L, 91L, 
    0L, 77L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 0L, 36L, 11L, 239L, 
    152L, 163L, 26L, 559L, 547L, 59L, 75L, 315L, 595L, 104L, 
    65L, 0L, 133L, 65L, 0L, 0L, 0L, 108L, 0L, 150L, 94L, 231L, 
    45L, 265L, 458L, 90L, 201L, 143L, 613L, 185L, 43L, 17L, 415L, 
    0L, 30L, 0L, 48L, 170L, 144L, 35L, 85L, 480L, 108L, 118L, 
    143L, 859L, 51L, 73L, 58L, 371L, 161L, 0L, 122L, 206L, 25L, 
    73L, 42L, 166L, 0L, 53L, 51L, 656L, 196L, 38L, 154L, 885L, 
    214L, 103L, 211L, 628L, 156L, 152L, 19L, 327L, 79L, 0L, 55L, 
    80L, 445L, 37L, 59L, 496L, 783L, 85L, 185L, 361L, 802L, 0L, 
    202L, 131L, 357L, 0L, 30L, 85L, 254L, 0L, 55L, 34L, 557L, 
    61L, 277L, 283L, 713L, 58L, 102L, 328L, 617L, 49L, 53L, 147L, 
    237L, 125L, 0L, 93L, 97L, 20L, 31L, 0L, 88L, 0L, 0L, 0L, 
    56L, 0L, 0L, 40L, 0L, 61L, 0L, 0L, 0L, 0L, 0L, 25L, 29L, 
    0L, 0L, 0L, 16L, 0L, 36L, 0L, 91L, 57L, 69L, 0L, 49L, 0L, 
    21L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 45L, 0L, 
    0L, 44L, 0L, 0L, 0L, 50L, 62L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 
    23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 125L, 0L, 
    0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    26L, 0L, 0L, 0L, 0L, 96L, 15L, 0L, 39L, 213L, 29L, 0L, 0L, 
    21L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 145L, 26L, 0L, 0L, 121L, 
    0L, 5L, 0L, 162L, 29L, 0L, 0L, 0L, 39L, 0L, 29L, 0L, 31L, 
    0L, 0L, 15L, 0L, 0L, 27L, 44L, 98L, 0L, 0L, 109L, 231L, 0L, 
    6L, 0L, 81L, 0L, 0L, 19L, 16L, 0L, 90L, 35L, 127L, 0L, 46L, 
    41L, 309L, 0L, 0L, 40L, 121L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 87L, 0L, 
    0L, 0L, 0L, 0L, 91L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 281L, 35L, 936L, 2767L, 634L, 
    227L, 1529L, 5686L, 224L, 511L, 1289L, 13375L, 275L, 510L, 
    36L, 3823L, 84L, 52L, 0L, 229L, 121L, 152L, 2126L, 1451L, 
    1175L, 110L, 5039L, 5949L, 1153L, 757L, 3723L, 13521L, 141L, 
    357L, 162L, 3882L, 44L, 9L, 0L, 344L, 596L, 332L, 126L, 1714L, 
    1169L, 726L, 1107L, 4870L, 1117L, 166L, 494L, 2518L, 129L, 
    169L, 219L, 744L, 17L, 77L, 0L, 432L, 200L, 180L, 1336L, 
    709L, 1518L, 534L, 3704L, 3210L, 1028L, 323L, 5579L, 2914L, 
    372L, 60L, 221L, 708L, 107L, 129L, 55L, 184L, 354L, 1102L, 
    444L, 2769L, 770L, 3072L, 163L, 8147L, 500L, 1638L, 73L, 
    4184L, 94L, 306L, 135L, 1472L, 31L, 219L, 0L, 533L, 181L, 
    1005L, 121L, 3275L, 373L, 4520L, 1214L, 11334L, 425L, 1745L, 
    1143L, 5773L, 86L, 602L, 104L, 1029L, 0L, 129L, 82L, 496L, 
    0L, 6076L, 0L, 5683L, 0L, 7244L, 0L, 5925L, 0L, 1555L, 0L, 
    1711L, 0L, 674L, 0L, 527L, 0L, 406L, 0L, 303L, 0L, 3825L, 
    42L, 17532L, 0L, 8130L, 0L, 32076L, 0L, 2702L, 0L, 9413L, 
    0L, 682L, 0L, 2057L, 0L, 253L, 0L, 830L, 1752L, 93L, 2060L, 
    3187L, 2842L, 1258L, 3065L, 10728L, 2707L, 1727L, 1216L, 
    12779L, 640L, 1326L, 88L, 3675L, 52L, 126L, 52L, 254L, 725L, 
    80L, 2578L, 1170L, 3422L, 472L, 2515L, 4255L, 5089L, 2382L, 
    5308L, 9445L, 1207L, 1661L, 716L, 5855L, 74L, 125L, 0L, 532L, 
    1567L, 488L, 377L, 1573L, 7141L, 1712L, 2658L, 9512L, 4566L, 
    1110L, 1281L, 5213L, 1338L, 557L, 401L, 3121L, 439L, 0L, 
    26L, 343L, 1596L, 739L, 551L, 803L, 5219L, 1804L, 4486L, 
    3020L, 6684L, 1273L, 6064L, 4299L, 2129L, 223L, 2030L, 2383L, 
    350L, 238L, 374L, 322L, 832L, 3427L, 300L, 3849L, 2677L, 
    13182L, 1213L, 12917L, 1979L, 7629L, 626L, 6554L, 566L, 1919L, 
    283L, 2769L, 440L, 799L, 54L, 995L, 557L, 3161L, 169L, 2007L, 
    1731L, 17391L, 1522L, 12452L, 1549L, 9398L, 1610L, 10102L, 
    440L, 1734L, 467L, 3081L, 97L, 542L, 130L, 1421L, 49L, 10875L, 
    0L, 2574L, 56L, 23813L, 37L, 5116L, 13L, 6886L, 43L, 2219L, 
    0L, 2783L, 0L, 802L, 0L, 1642L, 0L, 418L, 0L, 6178L, 19L, 
    5732L, 0L, 23538L, 53L, 16447L, 0L, 7718L, 15L, 7893L, 0L, 
    1994L, 0L, 3360L, 0L, 261L, 0L, 1554L, 506L, 286L, 1802L, 
    3641L, 4402L, 2964L, 3421L, 12168L, 6031L, 4415L, 3054L, 
    13176L, 1846L, 3409L, 252L, 6538L, 431L, 488L, 0L, 651L, 
    430L, 272L, 1808L, 1833L, 4533L, 1267L, 3492L, 5512L, 9324L, 
    5056L, 4166L, 11369L, 4187L, 6225L, 215L, 5599L, 532L, 1282L, 
    72L, 720L, 2565L, 695L, 525L, 797L, 20911L, 4208L, 4042L, 
    8481L, 23184L, 4415L, 2963L, 7661L, 10551L, 2336L, 1135L, 
    4029L, 2816L, 638L, 205L, 1071L, 1826L, 395L, 559L, 631L, 
    15729L, 4577L, 2772L, 3262L, 26609L, 5998L, 4702L, 4253L, 
    12795L, 1696L, 2150L, 3508L, 2341L, 395L, 336L, 868L, 1328L, 
    5437L, 224L, 1942L, 9431L, 32947L, 1204L, 10222L, 6872L, 
    22622L, 942L, 6879L, 2592L, 8902L, 278L, 3522L, 1114L, 3811L, 
    9L, 1483L, 758L, 4465L, 244L, 1170L, 5280L, 36841L, 1376L, 
    8033L, 5514L, 26506L, 1452L, 7559L, 2309L, 9353L, 1021L, 
    4115L, 455L, 2796L, 313L, 3271L, 7L, 6688L, 82L, 1166L, 67L, 
    20182L, 0L, 2467L, 106L, 8829L, 43L, 1180L, 33L, 5008L, 0L, 
    803L, 0L, 3388L, 0L, 721L, 0L, 2917L, 134L, 1875L, 0L, 17221L, 
    91L, 5547L, 0L, 9126L, 44L, 3436L, 0L, 3613L, 0L, 2005L, 
    0L, 1530L, 79L, 1542L, 303L, 26L, 1072L, 2481L, 1323L, 767L, 
    4234L, 6959L, 1468L, 1492L, 3314L, 8381L, 1101L, 1630L, 264L, 
    3885L, 98L, 521L, 54L, 133L, 98L, 172L, 1829L, 1199L, 871L, 
    449L, 2431L, 3973L, 2199L, 1190L, 3190L, 5810L, 2476L, 2981L, 
    386L, 2762L, 422L, 495L, 20L, 254L, 765L, 251L, 62L, 239L, 
    12436L, 2665L, 908L, 3061L, 15742L, 3340L, 849L, 3393L, 17604L, 
    3053L, 469L, 2360L, 6384L, 831L, 168L, 534L, 672L, 262L, 
    52L, 242L, 9090L, 1979L, 386L, 1286L, 20766L, 3851L, 1243L, 
    2049L, 19989L, 3068L, 498L, 1228L, 7117L, 1329L, 615L, 517L, 
    593L, 2234L, 109L, 620L, 7680L, 22587L, 405L, 3091L, 8452L, 
    21718L, 372L, 2611L, 8202L, 15438L, 388L, 1444L, 4157L, 9964L, 
    177L, 1392L, 48L, 1437L, 70L, 213L, 3919L, 21067L, 263L, 
    2359L, 7363L, 28382L, 502L, 2593L, 6556L, 15761L, 380L, 1885L, 
    3078L, 7500L, 437L, 1620L, 13L, 1835L, 18L, 224L, 118L, 6173L, 
    52L, 995L, 178L, 3593L, 48L, 506L, 31L, 3088L, 8L, 392L, 
    90L, 3732L, 0L, 454L, 0L, 1121L, 0L, 486L, 2L, 5147L, 126L, 
    1511L, 9L, 3686L, 62L, 924L, 0L, 2463L, 0L, 631L, 0L, 1183L, 
    14L, 240L, 37L, 0L, 379L, 210L, 106L, 30L, 359L, 623L, 20L, 
    134L, 586L, 1328L, 35L, 79L, 0L, 311L, 30L, 50L, 0L, 53L, 
    31L, 0L, 259L, 123L, 23L, 30L, 219L, 512L, 232L, 176L, 503L, 
    841L, 75L, 137L, 132L, 679L, 155L, 89L, 0L, 43L, 37L, 29L, 
    48L, 279L, 959L, 197L, 259L, 351L, 1561L, 223L, 9L, 671L, 
    3638L, 573L, 44L, 282L, 3439L, 378L, 117L, 43L, 62L, 90L, 
    0L, 2L, 646L, 184L, 133L, 125L, 2112L, 606L, 57L, 133L, 5182L, 
    1048L, 133L, 284L, 2546L, 88L, 57L, 180L, 175L, 272L, 0L, 
    126L, 610L, 2712L, 11L, 815L, 961L, 3358L, 0L, 330L, 2595L, 
    5204L, 59L, 392L, 2306L, 4638L, 65L, 1138L, 79L, 243L, 82L, 
    38L, 723L, 2843L, 150L, 395L, 1020L, 4887L, 208L, 471L, 2243L, 
    5372L, 9L, 793L, 1428L, 2894L, 33L, 189L, 0L, 334L, 0L, 2L, 
    0L, 1196L, 0L, 246L, 0L, 753L, 0L, 198L, 0L, 859L, 0L, 98L, 
    47L, 1733L, 0L, 354L, 0L, 48L, 0L, 144L, 0L, 1497L, 0L, 236L, 
    0L, 1023L, 0L, 113L, 0L, 939L, 0L, 134L, 0L, 452L, 0L, 9L, 
    173L, 0L, 400L, 714L, 42L, 0L, 129L, 253L, 0L, 0L, 0L, 280L, 
    0L, 0L, 13L, 250L, 0L, 0L, 0L, 0L, 0L, 0L, 376L, 126L, 39L, 
    0L, 402L, 109L, 0L, 54L, 1322L, 396L, 0L, 0L, 0L, 29L, 0L, 
    0L, 0L, 48L, 0L, 0L, 0L, 162L, 0L, 0L, 37L, 158L, 0L, 0L, 
    57L, 72L, 0L, 0L, 0L, 188L, 0L, 0L, 0L, 124L, 0L, 0L, 327L, 
    244L, 0L, 33L, 651L, 0L, 38L, 0L, 629L, 136L, 66L, 0L, 57L, 
    0L, 0L, 0L, 0L, 78L, 0L, 169L, 0L, 229L, 65L, 164L, 54L, 
    430L, 85L, 41L, 0L, 24L, 0L, 15L, 0L, 42L, 0L, 0L, 0L, 0L, 
    0L, 24L, 263L, 522L, 105L, 0L, 0L, 86L, 0L, 93L, 142L, 393L, 
    0L, 0L, 0L, 0L, 0L, 56L, 0L, 0L, 0L, 32L, 0L, 106L, 0L, 150L, 
    0L, 99L, 0L, 0L, 0L, 207L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 94L, 26L, 851L, 0L, 0L, 0L, 222L, 0L, 0L, 0L, 292L, 0L, 
    0L, 0L, 71L, 0L, 0L, 0L, 50L, 0L, 0L, 13L, 130L, 211L, 0L, 
    353L, 74L, 0L, 0L, 0L, 227L, 0L, 0L, 0L, 373L, 0L, 0L, 0L, 
    0L, 0L, 55L, 162L, 43L, 57L, 0L, 236L, 170L, 126L, 16L, 232L, 
    214L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 324L, 
    173L, 0L, 162L, 73L, 116L, 67L, 153L, 0L, 0L, 0L, 84L, 41L, 
    0L, 134L, 0L, 0L, 0L, 0L, 88L, 38L, 0L, 211L, 402L, 54L, 
    0L, 681L, 37L, 0L, 0L, 350L, 0L, 0L, 42L, 42L, 0L, 57L, 56L, 
    62L, 100L, 130L, 116L, 0L, 102L, 234L, 42L, 0L, 344L, 36L, 
    43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 222L, 0L, 348L, 173L, 185L, 
    0L, 266L, 0L, 102L, 0L, 216L, 34L, 0L, 0L, 30L, 0L, 0L, 0L, 
    24L, 0L, 81L, 0L, 104L, 0L, 180L, 0L, 68L, 0L, 47L, 0L, 48L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 
    0L, 147L, 0L, 0L, 0L, 97L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 124L, 0L, 29L, 120L, 313L, 144L, 49L, 47L, 152L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 236L, 0L, 0L, 51L, 0L, 0L, 
    56L, 284L, 143L, 0L, 0L, 133L, 0L, 64L, 0L, 108L, 20L, 0L, 
    0L, 0L, 28L, 0L, 0L, 35L, 444L, 159L, 74L, 114L, 361L, 205L, 
    124L, 41L, 172L, 0L, 0L, 122L, 253L, 0L, 0L, 162L, 101L, 
    0L, 0L, 0L, 61L, 0L, 0L, 97L, 77L, 39L, 49L, 86L, 381L, 0L, 
    271L, 51L, 113L, 0L, 0L, 177L, 9L, 115L, 0L, 44L, 26L, 324L, 
    0L, 153L, 216L, 238L, 0L, 154L, 120L, 0L, 0L, 15L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 124L, 36L, 266L, 42L, 67L, 42L, 
    208L, 0L, 35L, 0L, 108L, 0L, 11L, 0L, 0L, 0L, 178L, 0L, 0L, 
    0L, 0L, 0L, 32L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 64L, 0L, 258L, 0L, 170L, 0L, 242L, 0L, 0L, 0L, 
    61L, 0L, 6L, 0L, 68L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 32L, 144L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 5L, 123L, 0L, 0L, 0L, 90L, 107L, 0L, 69L, 0L, 
    0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 35L, 23L, 0L, 40L, 82L, 
    0L, 0L, 247L, 0L, 0L, 0L, 262L, 0L, 0L, 95L, 58L, 0L, 0L, 
    27L, 0L, 0L, 0L, 52L, 41L, 39L, 0L, 0L, 267L, 49L, 0L, 0L, 
    0L, 9L, 49L, 0L, 46L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 46L, 110L, 
    0L, 0L, 119L, 420L, 0L, 52L, 64L, 0L, 0L, 57L, 0L, 36L, 0L, 
    50L, 0L, 86L, 0L, 0L, 0L, 188L, 0L, 11L, 57L, 150L, 51L, 
    18L, 0L, 66L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 53L, 0L, 
    0L, 0L, 0L, 0L, 33L, 0L, 27L, 0L, 43L, 0L, 38L, 0L, 60L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 216L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 226L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 0L, 0L, 
    38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 155L, 55L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 52L, 0L, 0L, 168L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 
    0L, 56L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 0L, 
    150L, 80L, 0L, 0L, 242L, 209L, 0L, 0L, 6L, 168L, 0L, 0L, 
    0L, 183L, 0L, 0L, 0L, 0L, 313L, 0L, 420L, 0L, 7L, 0L, 224L, 
    218L, 23L, 109L, 112L, 76L, 35L, 55L, 0L, 7L, 0L, 0L, 0L, 
    11L, 204L, 87L, 0L, 367L, 95L, 5L, 151L, 44L, 0L, 29L, 35L, 
    28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 64L, 39L, 217L, 
    0L, 10L, 84L, 5L, 62L, 0L, 106L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 34L, 52L, 23L, 55L, 0L, 0L, 0L, 0L, 126L, 226L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 117L, 0L, 42L, 0L, 36L, 
    92L, 55L, 0L, 0L, 9L, 51L, 0L, 145L, 187L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 22L, 0L, 151L, 0L, 54L, 0L, 94L, 0L, 
    27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 
    280L, 0L, 47L, 0L, 178L, 0L, 0L, 0L, 50L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 55L, 41L, 176L, 90L, 209L, 0L, 332L, 381L, 
    291L, 15L, 209L, 73L, 0L, 0L, 0L, 316L, 0L, 0L, 0L, 0L, 116L, 
    0L, 136L, 147L, 159L, 52L, 172L, 0L, 320L, 16L, 95L, 93L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 457L, 32L, 0L, 48L, 156L, 
    0L, 0L, 209L, 154L, 0L, 0L, 28L, 0L, 0L, 0L, 286L, 43L, 0L, 
    0L, 0L, 168L, 0L, 63L, 0L, 109L, 79L, 100L, 0L, 180L, 0L, 
    202L, 52L, 0L, 11L, 0L, 299L, 0L, 0L, 0L, 57L, 229L, 251L, 
    0L, 103L, 209L, 226L, 0L, 38L, 58L, 85L, 0L, 9L, 0L, 11L, 
    0L, 37L, 0L, 9L, 0L, 0L, 0L, 7L, 138L, 82L, 47L, 104L, 134L, 
    532L, 0L, 87L, 109L, 29L, 0L, 0L, 0L, 90L, 22L, 0L, 0L, 0L, 
    0L, 69L, 0L, 13L, 0L, 150L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 154L, 0L, 62L, 0L, 188L, 0L, 
    91L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 149L, 361L, 78L, 282L, 676L, 575L, 35L, 35L, 139L, 181L, 
    0L, 14L, 0L, 0L, 83L, 0L, 0L, 0L, 0L, 0L, 340L, 183L, 281L, 
    0L, 259L, 99L, 106L, 0L, 122L, 157L, 0L, 57L, 0L, 50L, 0L, 
    0L, 0L, 52L, 401L, 127L, 51L, 23L, 237L, 234L, 307L, 132L, 
    357L, 0L, 31L, 101L, 79L, 0L, 0L, 0L, 53L, 36L, 0L, 64L, 
    129L, 40L, 0L, 35L, 609L, 126L, 70L, 52L, 337L, 0L, 46L, 
    104L, 108L, 29L, 0L, 0L, 0L, 16L, 0L, 0L, 249L, 117L, 0L, 
    28L, 48L, 321L, 0L, 69L, 142L, 268L, 0L, 139L, 0L, 0L, 0L, 
    32L, 28L, 0L, 0L, 0L, 95L, 155L, 158L, 0L, 199L, 401L, 61L, 
    213L, 98L, 161L, 19L, 0L, 0L, 151L, 0L, 0L, 8L, 18L, 0L, 
    0L, 0L, 84L, 23L, 34L, 0L, 118L, 0L, 0L, 0L, 123L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 94L, 17L, 70L, 0L, 195L, 
    0L, 27L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 102L, 127L, 0L, 5L, 77L, 197L, 42L, 0L, 42L, 122L, 
    71L, 81L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 56L, 0L, 54L, 
    263L, 57L, 220L, 0L, 13L, 44L, 180L, 24L, 132L, 0L, 70L, 
    0L, 22L, 0L, 0L, 185L, 0L, 0L, 33L, 132L, 50L, 125L, 101L, 
    174L, 130L, 26L, 43L, 277L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 
    222L, 66L, 41L, 0L, 153L, 9L, 17L, 0L, 348L, 0L, 0L, 50L, 
    129L, 192L, 0L, 0L, 17L, 0L, 0L, 53L, 47L, 37L, 0L, 0L, 188L, 
    171L, 0L, 109L, 31L, 33L, 0L, 0L, 0L, 133L, 0L, 0L, 39L, 
    50L, 0L, 59L, 9L, 0L, 0L, 37L, 33L, 73L, 0L, 0L, 28L, 174L, 
    0L, 132L, 153L, 0L, 0L, 0L, 0L, 67L, 0L, 66L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 40L, 0L, 78L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 114L, 0L, 0L, 0L, 2L, 0L, 
    123L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 
    0L, 0L, 20L, 0L, 0L, 0L, 56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 63L, 0L, 0L, 33L, 128L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 124L, 0L, 153L, 41L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 97L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 61L, 
    0L, 0L, 0L, 114L, 0L, 113L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 90L, 29L, 27L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 103L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 718L, 260L, 1426L, 1960L, 705L, 584L, 819L, 4100L, 793L, 
    1187L, 259L, 11052L, 58L, 345L, 0L, 1973L, 41L, 59L, 0L, 
    76L, 784L, 204L, 1949L, 848L, 941L, 381L, 3053L, 3206L, 907L, 
    1084L, 2612L, 12651L, 231L, 450L, 32L, 2927L, 0L, 0L, 0L, 
    262L, 283L, 313L, 254L, 1353L, 1579L, 318L, 1102L, 3567L, 
    878L, 458L, 641L, 2160L, 278L, 65L, 215L, 828L, 93L, 95L, 
    0L, 124L, 392L, 168L, 1236L, 754L, 1250L, 700L, 2078L, 1752L, 
    1459L, 544L, 3366L, 2583L, 326L, 84L, 672L, 885L, 71L, 0L, 
    339L, 211L, 192L, 1285L, 45L, 2081L, 607L, 2409L, 149L, 6341L, 
    681L, 1693L, 141L, 4997L, 245L, 537L, 0L, 1748L, 26L, 265L, 
    0L, 620L, 249L, 1198L, 303L, 2582L, 423L, 2929L, 631L, 6749L, 
    244L, 2057L, 881L, 5629L, 154L, 223L, 0L, 1348L, 158L, 261L, 
    94L, 747L, 0L, 3833L, 0L, 3469L, 5L, 3776L, 0L, 4553L, 0L, 
    1529L, 0L, 1744L, 0L, 659L, 0L, 727L, 0L, 511L, 0L, 48L, 
    0L, 2689L, 29L, 10645L, 0L, 5084L, 0L, 20704L, 0L, 1848L, 
    0L, 9573L, 0L, 403L, 0L, 1999L, 0L, 58L, 0L, 869L, 1151L, 
    330L, 1427L, 2513L, 4288L, 976L, 2696L, 7432L, 3538L, 2544L, 
    822L, 11712L, 648L, 606L, 191L, 2691L, 207L, 92L, 0L, 370L, 
    1364L, 45L, 1322L, 1279L, 4179L, 1062L, 3446L, 3731L, 5652L, 
    2029L, 3225L, 7292L, 819L, 1566L, 681L, 4195L, 109L, 199L, 
    30L, 390L, 1414L, 520L, 425L, 1776L, 5419L, 1406L, 1817L, 
    6357L, 5086L, 1197L, 1749L, 5065L, 1661L, 379L, 302L, 3164L, 
    727L, 176L, 53L, 454L, 994L, 328L, 670L, 845L, 3891L, 1572L, 
    3334L, 2821L, 5541L, 1247L, 4393L, 3655L, 2225L, 199L, 1140L, 
    2139L, 279L, 132L, 410L, 675L, 588L, 2266L, 367L, 2213L, 
    1799L, 7694L, 595L, 6747L, 1514L, 5012L, 311L, 6028L, 337L, 
    1909L, 357L, 2678L, 256L, 477L, 0L, 1262L, 260L, 2545L, 109L, 
    1897L, 1421L, 10204L, 585L, 8087L, 778L, 6881L, 1368L, 9185L, 
    567L, 1682L, 592L, 3441L, 92L, 684L, 35L, 1510L, 169L, 7073L, 
    0L, 2186L, 90L, 13955L, 0L, 3904L, 28L, 7201L, 37L, 2310L, 
    0L, 3024L, 21L, 1030L, 0L, 1598L, 0L, 284L, 0L, 4094L, 0L, 
    3554L, 21L, 14111L, 128L, 10634L, 0L, 7391L, 29L, 7983L, 
    0L, 1875L, 0L, 2356L, 0L, 603L, 0L, 1476L, 231L, 225L, 2110L, 
    2529L, 3554L, 1583L, 3754L, 9105L, 5021L, 2969L, 2699L, 10405L, 
    1536L, 2916L, 276L, 4729L, 391L, 230L, 0L, 399L, 898L, 396L, 
    1040L, 1635L, 3662L, 1506L, 2567L, 4520L, 6828L, 3010L, 3464L, 
    7398L, 3196L, 3612L, 695L, 4718L, 420L, 597L, 103L, 1006L, 
    1723L, 920L, 572L, 920L, 13131L, 3962L, 1729L, 5151L, 15959L, 
    2845L, 2530L, 5019L, 10274L, 2201L, 933L, 2967L, 3589L, 796L, 
    162L, 1288L, 1407L, 586L, 571L, 570L, 11005L, 3803L, 2431L, 
    2673L, 18397L, 3460L, 3369L, 2887L, 11355L, 1398L, 1983L, 
    2695L, 3380L, 710L, 678L, 1398L, 978L, 3435L, 245L, 849L, 
    6063L, 20728L, 908L, 7252L, 6673L, 17373L, 575L, 5865L, 3548L, 
    7608L, 350L, 3943L, 1484L, 3885L, 343L, 2011L, 321L, 3454L, 
    63L, 1060L, 3308L, 22535L, 1175L, 5372L, 5305L, 20773L, 1024L, 
    7123L, 2272L, 7260L, 664L, 3783L, 1559L, 3371L, 272L, 4522L, 
    1L, 3191L, 84L, 812L, 140L, 12860L, 2L, 2273L, 10L, 8865L, 
    9L, 1064L, 33L, 5355L, 0L, 1213L, 0L, 3673L, 27L, 646L, 0L, 
    2148L, 102L, 1889L, 0L, 11324L, 207L, 4375L, 11L, 7654L, 
    268L, 3599L, 0L, 3667L, 0L, 1921L, 0L, 2043L, 40L, 1824L, 
    133L, 347L, 1747L, 2848L, 1078L, 709L, 3562L, 5929L, 1115L, 
    1513L, 4113L, 9338L, 544L, 2165L, 340L, 2853L, 498L, 676L, 
    0L, 258L, 24L, 19L, 982L, 1074L, 881L, 313L, 2136L, 4122L, 
    1822L, 1203L, 3557L, 5111L, 2067L, 3011L, 492L, 2724L, 741L, 
    918L, 76L, 393L, 808L, 335L, 122L, 397L, 7272L, 1916L, 458L, 
    2780L, 11712L, 3072L, 519L, 2853L, 15978L, 3069L, 564L, 2212L, 
    6467L, 1664L, 169L, 1096L, 295L, 386L, 0L, 81L, 6839L, 2625L, 
    495L, 1073L, 14061L, 2894L, 1193L, 1762L, 18574L, 2324L, 
    1017L, 1488L, 6987L, 1754L, 289L, 858L, 319L, 1207L, 80L, 
    447L, 5154L, 14650L, 205L, 2303L, 8716L, 20949L, 406L, 2086L, 
    9181L, 15660L, 308L, 2069L, 4640L, 10434L, 238L, 1824L, 263L, 
    1003L, 89L, 361L, 2568L, 16177L, 274L, 1652L, 6033L, 23427L, 
    282L, 3108L, 6226L, 14342L, 571L, 2502L, 3948L, 9653L, 469L, 
    2159L, 0L, 901L, 96L, 66L, 88L, 4210L, 0L, 921L, 0L, 4013L, 
    0L, 300L, 38L, 4444L, 0L, 616L, 101L, 3160L, 0L, 580L, 39L, 
    678L, 119L, 610L, 0L, 4310L, 227L, 1907L, 41L, 3869L, 189L, 
    759L, 0L, 2459L, 83L, 735L, 0L, 1415L, 11L, 618L, 0L, 0L, 
    331L, 399L, 0L, 29L, 511L, 1104L, 36L, 82L, 1479L, 2010L, 
    43L, 212L, 98L, 604L, 41L, 40L, 84L, 50L, 0L, 25L, 318L, 
    314L, 0L, 153L, 394L, 541L, 78L, 67L, 584L, 1492L, 132L, 
    402L, 85L, 399L, 96L, 80L, 0L, 172L, 75L, 92L, 17L, 17L, 
    489L, 143L, 63L, 226L, 1300L, 361L, 86L, 375L, 4965L, 616L, 
    160L, 462L, 3418L, 608L, 48L, 124L, 24L, 0L, 0L, 0L, 437L, 
    217L, 115L, 130L, 2268L, 713L, 129L, 155L, 5694L, 704L, 135L, 
    86L, 3007L, 356L, 72L, 222L, 49L, 221L, 83L, 71L, 700L, 1153L, 
    23L, 449L, 1439L, 2925L, 61L, 709L, 3908L, 5954L, 47L, 734L, 
    3324L, 6188L, 142L, 528L, 36L, 232L, 0L, 332L, 499L, 2910L, 
    9L, 271L, 1745L, 4832L, 33L, 416L, 2958L, 5763L, 49L, 682L, 
    1987L, 4188L, 70L, 288L, 0L, 133L, 0L, 0L, 13L, 1133L, 0L, 
    100L, 0L, 820L, 42L, 156L, 0L, 1818L, 0L, 151L, 0L, 1958L, 
    0L, 318L, 15L, 109L, 41L, 203L, 0L, 870L, 0L, 205L, 0L, 1042L, 
    119L, 312L, 0L, 946L, 0L, 203L, 0L, 792L, 16L, 143L, 46L, 
    0L, 352L, 215L, 0L, 164L, 129L, 572L, 0L, 533L, 39L, 632L, 
    27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 566L, 167L, 99L, 
    415L, 875L, 273L, 61L, 0L, 420L, 333L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 223L, 0L, 0L, 125L, 181L, 247L, 154L, 636L, 110L, 
    433L, 60L, 572L, 0L, 0L, 0L, 77L, 0L, 0L, 0L, 0L, 67L, 0L, 
    352L, 256L, 368L, 145L, 919L, 532L, 114L, 0L, 862L, 98L, 
    0L, 0L, 0L, 45L, 0L, 0L, 0L, 10L, 0L, 287L, 0L, 518L, 90L, 
    301L, 83L, 880L, 71L, 103L, 0L, 323L, 0L, 19L, 0L, 86L, 0L, 
    0L, 0L, 50L, 0L, 168L, 67L, 695L, 72L, 229L, 119L, 1065L, 
    0L, 32L, 250L, 740L, 0L, 24L, 26L, 87L, 0L, 0L, 32L, 155L, 
    0L, 229L, 0L, 519L, 0L, 58L, 0L, 352L, 0L, 0L, 0L, 214L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 139L, 0L, 1673L, 0L, 
    128L, 0L, 657L, 0L, 0L, 0L, 409L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 29L, 22L, 185L, 128L, 643L, 58L, 0L, 660L, 754L, 31L, 
    0L, 103L, 61L, 45L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 51L, 
    386L, 155L, 215L, 35L, 781L, 964L, 291L, 0L, 531L, 638L, 
    152L, 173L, 55L, 0L, 0L, 0L, 0L, 0L, 91L, 0L, 0L, 201L, 479L, 
    284L, 395L, 406L, 447L, 0L, 198L, 427L, 81L, 0L, 210L, 27L, 
    116L, 0L, 0L, 0L, 0L, 0L, 201L, 0L, 300L, 0L, 647L, 681L, 
    376L, 205L, 809L, 258L, 32L, 47L, 193L, 330L, 0L, 34L, 0L, 
    28L, 0L, 258L, 0L, 74L, 235L, 349L, 0L, 831L, 229L, 31L, 
    39L, 848L, 0L, 42L, 95L, 116L, 0L, 66L, 0L, 17L, 0L, 64L, 
    161L, 103L, 239L, 515L, 184L, 1021L, 67L, 337L, 160L, 851L, 
    0L, 30L, 44L, 352L, 29L, 0L, 0L, 26L, 0L, 291L, 0L, 335L, 
    26L, 284L, 117L, 280L, 0L, 46L, 0L, 56L, 0L, 144L, 0L, 73L, 
    0L, 66L, 0L, 0L, 0L, 208L, 0L, 232L, 0L, 120L, 0L, 323L, 
    0L, 121L, 0L, 330L, 0L, 0L, 0L, 147L, 0L, 184L, 0L, 33L, 
    0L, 0L, 306L, 500L, 0L, 142L, 522L, 794L, 662L, 179L, 215L, 
    1505L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 195L, 140L, 
    79L, 145L, 306L, 315L, 55L, 199L, 426L, 785L, 0L, 51L, 0L, 
    185L, 46L, 0L, 0L, 0L, 164L, 0L, 42L, 44L, 472L, 229L, 183L, 
    648L, 497L, 204L, 295L, 395L, 728L, 30L, 0L, 259L, 258L, 
    0L, 0L, 92L, 136L, 0L, 39L, 0L, 312L, 140L, 153L, 163L, 651L, 
    460L, 656L, 137L, 160L, 37L, 390L, 0L, 219L, 0L, 39L, 122L, 
    36L, 155L, 0L, 100L, 254L, 776L, 111L, 900L, 646L, 1162L, 
    71L, 641L, 101L, 139L, 0L, 57L, 53L, 22L, 0L, 41L, 35L, 26L, 
    0L, 78L, 337L, 422L, 355L, 808L, 194L, 713L, 130L, 616L, 
    125L, 566L, 118L, 189L, 0L, 107L, 0L, 265L, 0L, 107L, 0L, 
    0L, 0L, 400L, 0L, 0L, 0L, 239L, 0L, 69L, 0L, 116L, 0L, 0L, 
    0L, 0L, 0L, 24L, 0L, 58L, 25L, 112L, 0L, 180L, 0L, 108L, 
    0L, 131L, 0L, 177L, 0L, 31L, 0L, 57L, 0L, 158L, 0L, 71L, 
    0L, 0L, 56L, 137L, 0L, 0L, 97L, 320L, 59L, 159L, 236L, 215L, 
    0L, 0L, 0L, 91L, 0L, 0L, 0L, 30L, 0L, 0L, 220L, 164L, 57L, 
    0L, 105L, 424L, 45L, 0L, 111L, 379L, 62L, 0L, 0L, 0L, 0L, 
    0L, 0L, 55L, 0L, 47L, 39L, 0L, 287L, 26L, 57L, 180L, 737L, 
    195L, 64L, 479L, 774L, 9L, 0L, 76L, 174L, 73L, 0L, 0L, 0L, 
    0L, 0L, 0L, 168L, 106L, 48L, 0L, 914L, 128L, 55L, 84L, 426L, 
    0L, 0L, 90L, 157L, 34L, 27L, 0L, 52L, 21L, 0L, 0L, 119L, 
    528L, 31L, 256L, 257L, 888L, 132L, 201L, 163L, 707L, 0L, 
    121L, 53L, 231L, 13L, 63L, 0L, 114L, 0L, 75L, 59L, 560L, 
    0L, 99L, 97L, 713L, 0L, 256L, 63L, 426L, 31L, 29L, 156L, 
    342L, 0L, 0L, 0L, 62L, 13L, 0L, 0L, 43L, 0L, 0L, 0L, 237L, 
    0L, 117L, 0L, 43L, 0L, 0L, 24L, 109L, 0L, 0L, 0L, 56L, 0L, 
    0L, 0L, 46L, 0L, 62L, 0L, 54L, 122L, 43L, 0L, 83L, 0L, 25L, 
    0L, 111L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 85L, 41L, 0L, 
    0L, 0L, 210L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 
    0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 130L, 0L, 0L, 0L, 21L, 0L, 41L, 
    0L, 29L, 57L, 0L, 0L, 60L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 
    0L, 0L, 0L, 0L, 29L, 0L, 32L, 139L, 48L, 0L, 0L, 199L, 0L, 
    38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 54L, 
    23L, 110L, 0L, 42L, 0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 29L, 0L, 0L, 0L, 0L, 29L, 28L, 0L, 0L, 55L, 177L, 
    0L, 54L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 
    162L, 253L, 115L, 55L, 228L, 254L, 194L, 38L, 18L, 102L, 
    895L, 0L, 0L, 0L, 199L, 0L, 0L, 0L, 0L, 197L, 190L, 849L, 
    156L, 143L, 49L, 561L, 413L, 80L, 141L, 472L, 200L, 80L, 
    0L, 0L, 81L, 0L, 0L, 0L, 0L, 492L, 159L, 0L, 96L, 178L, 81L, 
    97L, 250L, 0L, 23L, 0L, 82L, 0L, 195L, 0L, 0L, 0L, 0L, 0L, 
    0L, 282L, 0L, 216L, 13L, 243L, 77L, 264L, 58L, 178L, 0L, 
    199L, 0L, 0L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 54L, 74L, 0L, 
    433L, 70L, 181L, 0L, 248L, 0L, 0L, 0L, 51L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 36L, 237L, 121L, 0L, 49L, 24L, 185L, 
    0L, 63L, 162L, 393L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    220L, 0L, 138L, 0L, 47L, 0L, 102L, 0L, 0L, 0L, 75L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 202L, 0L, 648L, 0L, 144L, 0L, 
    122L, 0L, 32L, 0L, 79L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 
    116L, 127L, 256L, 446L, 518L, 299L, 134L, 438L, 218L, 91L, 
    0L, 632L, 35L, 49L, 0L, 66L, 0L, 0L, 0L, 0L, 290L, 185L, 
    507L, 373L, 663L, 105L, 552L, 642L, 356L, 135L, 406L, 171L, 
    0L, 229L, 0L, 92L, 0L, 0L, 0L, 147L, 514L, 10L, 304L, 142L, 
    341L, 385L, 106L, 402L, 381L, 183L, 182L, 318L, 72L, 12L, 
    0L, 103L, 0L, 0L, 0L, 0L, 1146L, 132L, 249L, 220L, 433L, 
    66L, 299L, 166L, 369L, 1L, 361L, 66L, 13L, 0L, 18L, 102L, 
    0L, 0L, 86L, 0L, 451L, 547L, 0L, 105L, 56L, 229L, 0L, 347L, 
    110L, 347L, 0L, 219L, 0L, 35L, 0L, 69L, 0L, 41L, 0L, 0L, 
    286L, 414L, 28L, 45L, 0L, 356L, 53L, 219L, 107L, 290L, 0L, 
    222L, 54L, 0L, 24L, 30L, 31L, 20L, 0L, 34L, 44L, 409L, 46L, 
    163L, 34L, 110L, 0L, 56L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 325L, 0L, 236L, 0L, 175L, 0L, 141L, 0L, 
    67L, 0L, 26L, 0L, 78L, 0L, 61L, 0L, 0L, 0L, 0L, 374L, 167L, 
    263L, 373L, 185L, 30L, 385L, 568L, 623L, 196L, 116L, 548L, 
    0L, 162L, 0L, 174L, 0L, 0L, 0L, 0L, 198L, 118L, 310L, 430L, 
    380L, 124L, 636L, 512L, 599L, 128L, 468L, 582L, 92L, 21L, 
    0L, 103L, 0L, 0L, 0L, 24L, 904L, 9L, 82L, 507L, 764L, 62L, 
    128L, 322L, 1757L, 166L, 90L, 177L, 498L, 0L, 39L, 0L, 163L, 
    38L, 0L, 39L, 793L, 0L, 303L, 187L, 1144L, 185L, 206L, 94L, 
    927L, 60L, 366L, 123L, 604L, 21L, 0L, 102L, 0L, 87L, 0L, 
    83L, 504L, 628L, 45L, 43L, 337L, 586L, 31L, 141L, 283L, 333L, 
    91L, 315L, 0L, 212L, 0L, 52L, 0L, 0L, 0L, 47L, 165L, 517L, 
    354L, 0L, 254L, 802L, 179L, 642L, 404L, 272L, 0L, 98L, 80L, 
    151L, 75L, 146L, 0L, 0L, 0L, 35L, 41L, 41L, 0L, 0L, 20L, 
    118L, 0L, 96L, 0L, 141L, 0L, 50L, 0L, 106L, 0L, 0L, 0L, 79L, 
    0L, 0L, 29L, 176L, 185L, 131L, 19L, 87L, 0L, 47L, 0L, 65L, 
    55L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 53L, 0L, 279L, 176L, 
    0L, 0L, 512L, 887L, 127L, 31L, 594L, 249L, 0L, 0L, 0L, 37L, 
    0L, 0L, 0L, 0L, 41L, 0L, 59L, 0L, 35L, 249L, 143L, 255L, 
    340L, 0L, 185L, 543L, 42L, 191L, 0L, 30L, 23L, 77L, 0L, 53L, 
    367L, 0L, 0L, 0L, 615L, 100L, 0L, 95L, 233L, 32L, 89L, 326L, 
    356L, 73L, 0L, 44L, 183L, 48L, 0L, 40L, 68L, 0L, 0L, 0L, 
    452L, 32L, 45L, 97L, 282L, 53L, 64L, 0L, 442L, 69L, 0L, 0L, 
    85L, 35L, 0L, 174L, 240L, 430L, 0L, 0L, 223L, 546L, 0L, 148L, 
    237L, 313L, 48L, 0L, 158L, 574L, 0L, 121L, 61L, 350L, 0L, 
    128L, 0L, 77L, 0L, 0L, 217L, 393L, 0L, 30L, 258L, 512L, 0L, 
    82L, 120L, 440L, 0L, 22L, 128L, 39L, 0L, 0L, 24L, 24L, 0L, 
    0L, 0L, 49L, 0L, 0L, 0L, 117L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 
    59L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 124L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 32L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 28L, 0L, 11L, 123L, 0L, 0L, 0L, 120L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 4L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 155L, 0L, 0L, 30L, 0L, 0L, 
    0L, 44L, 143L, 0L, 0L, 27L, 190L, 29L, 0L, 0L, 238L, 0L, 
    0L, 0L, 39L, 0L, 0L, 0L, 108L, 76L, 0L, 0L, 142L, 36L, 0L, 
    37L, 316L, 82L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 73L, 0L, 0L, 83L, 27L, 0L, 25L, 0L, 143L, 0L, 0L, 13L, 
    42L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 127L, 0L, 0L, 
    0L, 0L, 43L, 21L, 0L, 31L, 0L, 42L, 0L, 0L, 85L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 3069L, 791L, 3807L, 6057L, 3034L, 
    1503L, 2320L, 9396L, 1708L, 678L, 1053L, 11239L, 103L, 377L, 
    70L, 2093L, 6L, 36L, 0L, 234L, 2859L, 1027L, 6600L, 5203L, 
    4706L, 1153L, 8795L, 7380L, 3199L, 834L, 7590L, 11203L, 423L, 
    314L, 171L, 3220L, 63L, 40L, 0L, 845L, 6173L, 2420L, 2135L, 
    8433L, 5792L, 1728L, 2837L, 9462L, 2135L, 598L, 593L, 3101L, 
    372L, 169L, 79L, 859L, 214L, 25L, 0L, 471L, 4239L, 2668L, 
    5232L, 4662L, 6458L, 2747L, 8159L, 7313L, 4002L, 873L, 7466L, 
    3174L, 728L, 177L, 568L, 1371L, 161L, 149L, 196L, 430L, 2814L, 
    13290L, 1284L, 16662L, 1890L, 8563L, 739L, 11744L, 458L, 
    2810L, 209L, 4895L, 144L, 643L, 28L, 1922L, 144L, 285L, 0L, 
    720L, 1251L, 12406L, 1583L, 18135L, 1213L, 12212L, 2146L, 
    19470L, 410L, 4004L, 1209L, 9277L, 90L, 820L, 317L, 1302L, 
    0L, 510L, 51L, 1126L, 175L, 17513L, 65L, 16406L, 0L, 5210L, 
    0L, 5629L, 0L, 1620L, 0L, 2730L, 6L, 420L, 0L, 740L, 0L, 
    440L, 0L, 427L, 0L, 12084L, 375L, 45683L, 0L, 6049L, 91L, 
    26809L, 0L, 1518L, 0L, 9735L, 0L, 259L, 0L, 1826L, 0L, 205L, 
    0L, 976L, 2874L, 1041L, 2907L, 6373L, 6153L, 3326L, 4631L, 
    14105L, 3411L, 2297L, 1495L, 12414L, 482L, 1064L, 27L, 3424L, 
    194L, 26L, 17L, 564L, 2015L, 650L, 2842L, 3503L, 9328L, 3201L, 
    4290L, 8435L, 6929L, 3383L, 4985L, 10208L, 1381L, 1587L, 
    655L, 4582L, 120L, 207L, 111L, 756L, 6164L, 2951L, 1584L, 
    5103L, 14632L, 4528L, 3465L, 12028L, 7874L, 1259L, 1771L, 
    6789L, 1686L, 242L, 249L, 3423L, 725L, 213L, 25L, 741L, 4550L, 
    3154L, 1483L, 2677L, 13398L, 5055L, 7245L, 8048L, 10493L, 
    2386L, 6387L, 5616L, 2538L, 291L, 1622L, 3882L, 840L, 369L, 
    443L, 1430L, 2726L, 16207L, 839L, 9431L, 5115L, 21510L, 867L, 
    15239L, 1907L, 7740L, 914L, 6647L, 415L, 2236L, 170L, 1971L, 
    248L, 1225L, 25L, 1443L, 769L, 15065L, 801L, 5561L, 2528L, 
    28036L, 1758L, 17817L, 1357L, 9714L, 1973L, 13503L, 689L, 
    1867L, 797L, 3240L, 231L, 1254L, 390L, 2732L, 569L, 22273L, 
    124L, 5777L, 62L, 18507L, 0L, 4490L, 97L, 7533L, 76L, 2400L, 
    0L, 2425L, 0L, 838L, 0L, 1514L, 86L, 925L, 82L, 15000L, 340L, 
    13378L, 32L, 18605L, 187L, 14317L, 0L, 6449L, 32L, 7001L, 
    0L, 1134L, 0L, 3191L, 0L, 621L, 0L, 2080L, 1576L, 903L, 3697L, 
    6787L, 7256L, 3605L, 6311L, 18377L, 5750L, 4814L, 4087L, 
    16159L, 2115L, 2686L, 361L, 4832L, 354L, 682L, 0L, 798L, 
    1819L, 671L, 2620L, 2959L, 7090L, 3925L, 4996L, 9476L, 10066L, 
    5203L, 5922L, 11593L, 4124L, 4370L, 633L, 4320L, 1358L, 1630L, 
    72L, 1228L, 6002L, 2005L, 1213L, 3964L, 29755L, 9060L, 4109L, 
    14956L, 23364L, 5488L, 3008L, 8117L, 8472L, 2642L, 355L, 
    5012L, 3601L, 1390L, 204L, 2223L, 3816L, 2046L, 1151L, 1961L, 
    24924L, 8415L, 3279L, 6396L, 29445L, 6440L, 5596L, 6096L, 
    10491L, 2592L, 2110L, 4079L, 4715L, 1277L, 1015L, 2592L, 
    3046L, 14269L, 496L, 3709L, 11369L, 38580L, 1390L, 12943L, 
    6538L, 21762L, 586L, 7982L, 3044L, 8248L, 276L, 3394L, 1236L, 
    5126L, 135L, 2655L, 1119L, 9785L, 622L, 2773L, 6611L, 47139L, 
    1227L, 11434L, 4628L, 24659L, 1571L, 11557L, 2333L, 6326L, 
    811L, 5349L, 971L, 6810L, 773L, 5580L, 40L, 10257L, 310L, 
    2499L, 192L, 14505L, 317L, 1774L, 93L, 9850L, 0L, 1396L, 
    74L, 4808L, 0L, 985L, 0L, 3718L, 0L, 571L, 142L, 6425L, 540L, 
    6358L, 27L, 14077L, 222L, 5995L, 82L, 7368L, 298L, 4464L, 
    0L, 2620L, 23L, 2148L, 0L, 2271L, 0L, 2161L, 210L, 313L, 
    2652L, 2966L, 2139L, 1235L, 4462L, 12192L, 1378L, 2297L, 
    4325L, 13794L, 1109L, 1812L, 317L, 3405L, 730L, 709L, 0L, 
    783L, 174L, 58L, 1211L, 1403L, 1724L, 1524L, 3469L, 6505L, 
    3649L, 2058L, 4990L, 10852L, 2918L, 2913L, 440L, 4574L, 1549L, 
    1164L, 18L, 758L, 2329L, 992L, 385L, 746L, 15256L, 4904L, 
    1379L, 5762L, 18439L, 4260L, 841L, 4624L, 16879L, 4166L, 
    666L, 3327L, 8496L, 1546L, 305L, 1529L, 1036L, 283L, 181L, 
    665L, 11789L, 4650L, 822L, 1936L, 20871L, 6156L, 1740L, 3498L, 
    18506L, 4062L, 713L, 2136L, 12635L, 2818L, 257L, 1261L, 1435L, 
    4613L, 112L, 1403L, 7412L, 24338L, 474L, 4062L, 8824L, 23645L, 
    447L, 3345L, 6293L, 15112L, 425L, 3047L, 5464L, 11290L, 253L, 
    2280L, 512L, 3097L, 195L, 676L, 4706L, 27684L, 461L, 2468L, 
    6625L, 26202L, 659L, 4404L, 4755L, 10484L, 374L, 2207L, 4604L, 
    13868L, 183L, 3098L, 135L, 2358L, 233L, 1023L, 128L, 5195L, 
    0L, 707L, 8L, 4207L, 125L, 880L, 52L, 3363L, 6L, 765L, 61L, 
    3895L, 0L, 505L, 0L, 1432L, 473L, 2167L, 99L, 4236L, 520L, 
    2297L, 0L, 3267L, 255L, 1416L, 6L, 1734L, 30L, 843L, 0L, 
    1895L, 46L, 739L, 55L, 0L, 555L, 410L, 38L, 97L, 882L, 1464L, 
    26L, 7L, 1348L, 2830L, 78L, 76L, 276L, 927L, 142L, 95L, 0L, 
    162L, 135L, 0L, 394L, 219L, 103L, 111L, 802L, 578L, 365L, 
    53L, 1825L, 1258L, 108L, 218L, 82L, 669L, 253L, 190L, 0L, 
    63L, 368L, 171L, 118L, 54L, 1391L, 641L, 274L, 824L, 1357L, 
    485L, 86L, 118L, 4149L, 799L, 164L, 494L, 3324L, 610L, 98L, 
    324L, 30L, 32L, 14L, 41L, 1230L, 327L, 188L, 189L, 2762L, 
    720L, 29L, 168L, 4964L, 727L, 129L, 392L, 3143L, 836L, 111L, 
    105L, 207L, 631L, 0L, 379L, 785L, 2568L, 172L, 663L, 1830L, 
    3743L, 214L, 492L, 3662L, 5967L, 64L, 676L, 3679L, 7794L, 
    137L, 865L, 229L, 473L, 0L, 127L, 782L, 3858L, 38L, 459L, 
    1767L, 6297L, 32L, 873L, 2742L, 4560L, 144L, 443L, 2457L, 
    5869L, 49L, 824L, 63L, 500L, 42L, 200L, 6L, 900L, 46L, 99L, 
    29L, 1280L, 24L, 105L, 22L, 1493L, 34L, 151L, 0L, 1862L, 
    0L, 211L, 0L, 401L, 0L, 279L, 0L, 1110L, 40L, 442L, 31L, 
    1429L, 40L, 643L, 0L, 1027L, 10L, 336L, 0L, 609L, 0L, 252L, 
    199L, 0L, 371L, 1238L, 50L, 105L, 736L, 1405L, 84L, 86L, 
    194L, 979L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 189L, 59L, 1442L, 
    700L, 140L, 156L, 2284L, 1017L, 288L, 160L, 2044L, 1068L, 
    0L, 0L, 96L, 190L, 0L, 0L, 24L, 276L, 23L, 51L, 60L, 608L, 
    319L, 0L, 203L, 1032L, 56L, 0L, 255L, 548L, 0L, 0L, 0L, 112L, 
    0L, 0L, 0L, 32L, 156L, 130L, 1308L, 846L, 201L, 134L, 2503L, 
    1336L, 284L, 49L, 2613L, 753L, 86L, 0L, 123L, 186L, 0L, 0L, 
    0L, 0L, 64L, 282L, 140L, 1314L, 0L, 357L, 32L, 2076L, 0L, 
    372L, 130L, 1015L, 0L, 31L, 0L, 82L, 0L, 23L, 0L, 83L, 0L, 
    227L, 116L, 2370L, 23L, 614L, 412L, 3473L, 16L, 258L, 177L, 
    1472L, 0L, 0L, 35L, 375L, 0L, 0L, 0L, 30L, 0L, 661L, 0L, 
    1459L, 42L, 268L, 0L, 503L, 26L, 141L, 0L, 192L, 0L, 92L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 299L, 0L, 3587L, 0L, 277L, 0L, 
    2212L, 0L, 35L, 0L, 420L, 0L, 30L, 0L, 229L, 0L, 52L, 0L, 
    0L, 160L, 0L, 848L, 1394L, 342L, 247L, 899L, 1536L, 170L, 
    34L, 482L, 1538L, 0L, 31L, 0L, 315L, 0L, 0L, 0L, 194L, 0L, 
    0L, 593L, 581L, 481L, 193L, 1507L, 1295L, 114L, 196L, 1450L, 
    1665L, 44L, 44L, 143L, 433L, 0L, 0L, 82L, 42L, 258L, 218L, 
    138L, 377L, 711L, 163L, 475L, 1668L, 407L, 268L, 128L, 1254L, 
    160L, 0L, 0L, 150L, 0L, 86L, 0L, 104L, 119L, 313L, 329L, 
    259L, 456L, 189L, 1286L, 860L, 630L, 352L, 2478L, 937L, 129L, 
    0L, 185L, 333L, 6L, 0L, 82L, 90L, 226L, 615L, 24L, 778L, 
    189L, 1084L, 61L, 2241L, 376L, 437L, 129L, 838L, 0L, 107L, 
    0L, 314L, 4L, 100L, 0L, 36L, 244L, 568L, 51L, 958L, 207L, 
    1153L, 484L, 2230L, 142L, 754L, 614L, 1622L, 0L, 0L, 100L, 
    407L, 0L, 27L, 19L, 185L, 0L, 725L, 44L, 821L, 0L, 814L, 
    0L, 417L, 0L, 305L, 0L, 319L, 0L, 166L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 496L, 76L, 1257L, 0L, 609L, 0L, 777L, 0L, 104L, 
    0L, 578L, 0L, 87L, 117L, 158L, 0L, 0L, 0L, 71L, 79L, 54L, 
    366L, 721L, 251L, 4L, 691L, 1713L, 264L, 167L, 358L, 1657L, 
    368L, 156L, 175L, 287L, 0L, 0L, 0L, 0L, 80L, 0L, 188L, 343L, 
    244L, 151L, 471L, 1103L, 541L, 246L, 432L, 865L, 113L, 52L, 
    151L, 435L, 0L, 18L, 0L, 45L, 69L, 17L, 192L, 565L, 1446L, 
    621L, 535L, 1524L, 2283L, 293L, 446L, 1384L, 333L, 235L, 
    114L, 942L, 133L, 0L, 0L, 337L, 180L, 80L, 86L, 191L, 878L, 
    496L, 323L, 426L, 1868L, 365L, 1082L, 1100L, 629L, 183L, 
    292L, 141L, 130L, 0L, 327L, 172L, 154L, 642L, 0L, 678L, 510L, 
    1805L, 89L, 1142L, 269L, 1768L, 108L, 1115L, 198L, 372L, 
    117L, 286L, 46L, 251L, 0L, 243L, 0L, 655L, 86L, 832L, 223L, 
    1701L, 154L, 1702L, 157L, 1844L, 470L, 1134L, 139L, 201L, 
    128L, 530L, 12L, 104L, 144L, 418L, 48L, 477L, 69L, 302L, 
    0L, 411L, 0L, 116L, 0L, 317L, 0L, 88L, 0L, 86L, 0L, 93L, 
    0L, 51L, 0L, 0L, 0L, 194L, 0L, 672L, 49L, 338L, 0L, 328L, 
    0L, 187L, 0L, 237L, 0L, 78L, 0L, 0L, 0L, 97L, 0L, 111L, 0L, 
    0L, 174L, 311L, 0L, 18L, 219L, 446L, 118L, 0L, 159L, 635L, 
    0L, 0L, 41L, 64L, 0L, 39L, 0L, 0L, 0L, 42L, 49L, 52L, 0L, 
    0L, 173L, 305L, 0L, 61L, 81L, 372L, 18L, 0L, 137L, 291L, 
    23L, 61L, 0L, 31L, 56L, 42L, 65L, 102L, 378L, 96L, 337L, 
    353L, 729L, 275L, 24L, 295L, 1156L, 94L, 133L, 105L, 238L, 
    204L, 0L, 136L, 0L, 33L, 0L, 81L, 196L, 166L, 88L, 56L, 907L, 
    168L, 236L, 269L, 776L, 125L, 88L, 191L, 295L, 33L, 46L, 
    152L, 2L, 150L, 0L, 55L, 408L, 989L, 0L, 175L, 313L, 1166L, 
    0L, 280L, 321L, 373L, 0L, 51L, 194L, 362L, 0L, 56L, 0L, 23L, 
    0L, 52L, 55L, 663L, 27L, 155L, 199L, 1116L, 0L, 455L, 227L, 
    645L, 31L, 294L, 137L, 382L, 49L, 393L, 0L, 101L, 0L, 104L, 
    0L, 146L, 0L, 86L, 0L, 87L, 0L, 0L, 0L, 47L, 0L, 0L, 0L, 
    58L, 0L, 0L, 0L, 100L, 0L, 182L, 0L, 43L, 0L, 203L, 0L, 23L, 
    44L, 220L, 0L, 58L, 0L, 0L, 0L, 30L, 0L, 86L, 0L, 0L, 0L, 
    178L, 0L, 0L, 0L, 45L, 44L, 0L, 0L, 302L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 37L, 24L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 29L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 27L, 90L, 0L, 87L, 91L, 
    24L, 0L, 56L, 71L, 0L, 0L, 71L, 0L, 17L, 0L, 0L, 0L, 77L, 
    0L, 0L, 0L, 271L, 0L, 0L, 21L, 117L, 0L, 75L, 81L, 162L, 
    0L, 0L, 0L, 27L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 32L, 35L, 68L, 
    0L, 67L, 0L, 0L, 52L, 205L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 23L, 130L, 197L, 41L, 76L, 84L, 17L, 
    8L, 0L, 0L, 56L, 263L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 254L, 
    127L, 51L, 0L, 81L, 0L, 69L, 24L, 17L, 121L, 89L, 45L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 36L, 95L, 0L, 0L, 
    48L, 162L, 15L, 0L, 108L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 32L, 
    61L, 25L, 39L, 144L, 34L, 0L, 36L, 0L, 0L, 0L, 0L, 29L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 4L, 85L, 0L, 29L, 0L, 38L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 13L, 0L, 0L, 0L, 0L, 0L, 
    10L, 23L, 19L, 0L, 112L, 19L, 389L, 0L, 0L, 0L, 98L, 36L, 
    0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 77L, 0L, 11L, 0L, 32L, 0L, 
    10L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    131L, 19L, 281L, 0L, 31L, 0L, 102L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 12L, 26L, 56L, 255L, 36L, 38L, 27L, 
    24L, 118L, 33L, 69L, 129L, 18L, 0L, 0L, 37L, 0L, 0L, 0L, 
    0L, 73L, 51L, 0L, 26L, 22L, 70L, 51L, 13L, 79L, 0L, 20L, 
    165L, 0L, 0L, 43L, 0L, 0L, 0L, 0L, 16L, 259L, 0L, 64L, 0L, 
    34L, 0L, 49L, 114L, 76L, 8L, 9L, 95L, 55L, 8L, 0L, 0L, 25L, 
    0L, 0L, 0L, 0L, 0L, 0L, 87L, 205L, 0L, 154L, 0L, 31L, 0L, 
    122L, 0L, 57L, 86L, 44L, 39L, 0L, 0L, 41L, 0L, 3L, 115L, 
    0L, 205L, 18L, 140L, 0L, 141L, 0L, 0L, 0L, 158L, 0L, 0L, 
    0L, 41L, 0L, 0L, 0L, 0L, 0L, 229L, 0L, 0L, 0L, 57L, 14L, 
    0L, 43L, 140L, 30L, 58L, 0L, 0L, 0L, 161L, 0L, 0L, 0L, 0L, 
    0L, 74L, 0L, 50L, 0L, 26L, 0L, 44L, 0L, 35L, 0L, 0L, 0L, 
    46L, 0L, 0L, 0L, 60L, 0L, 89L, 0L, 120L, 0L, 0L, 0L, 14L, 
    0L, 47L, 0L, 0L, 0L, 75L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 
    311L, 0L, 86L, 351L, 274L, 0L, 57L, 650L, 9L, 0L, 35L, 71L, 
    22L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 132L, 74L, 93L, 
    15L, 49L, 90L, 79L, 27L, 78L, 107L, 2L, 0L, 0L, 36L, 0L, 
    0L, 0L, 0L, 71L, 0L, 0L, 62L, 257L, 133L, 21L, 97L, 159L, 
    18L, 0L, 81L, 48L, 9L, 0L, 0L, 0L, 123L, 0L, 0L, 124L, 0L, 
    0L, 0L, 145L, 0L, 0L, 211L, 369L, 15L, 57L, 58L, 46L, 0L, 
    60L, 62L, 0L, 0L, 0L, 0L, 0L, 50L, 0L, 132L, 41L, 74L, 0L, 
    0L, 134L, 83L, 0L, 186L, 0L, 73L, 76L, 24L, 0L, 63L, 0L, 
    0L, 0L, 0L, 0L, 21L, 0L, 121L, 0L, 133L, 4L, 128L, 0L, 95L, 
    51L, 66L, 0L, 28L, 0L, 0L, 18L, 17L, 0L, 28L, 0L, 0L, 0L, 
    33L, 0L, 0L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 64L, 0L, 
    0L, 0L, 103L, 20L, 0L, 0L, 0L, 0L, 63L, 0L, 0L, 0L, 30L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 53L, 30L, 168L, 12L, 
    156L, 0L, 155L, 0L, 0L, 0L, 25L, 70L, 14L, 0L, 116L, 0L, 
    0L, 0L, 0L, 108L, 0L, 0L, 18L, 36L, 12L, 78L, 50L, 22L, 0L, 
    0L, 63L, 24L, 0L, 0L, 11L, 47L, 0L, 0L, 0L, 0L, 0L, 0L, 159L, 
    30L, 81L, 0L, 0L, 139L, 0L, 0L, 99L, 63L, 36L, 0L, 91L, 74L, 
    81L, 0L, 0L, 0L, 0L, 0L, 0L, 282L, 47L, 0L, 0L, 173L, 0L, 
    63L, 0L, 86L, 21L, 17L, 0L, 189L, 0L, 24L, 0L, 10L, 65L, 
    0L, 0L, 5L, 148L, 0L, 39L, 58L, 328L, 0L, 32L, 65L, 156L, 
    0L, 0L, 86L, 55L, 0L, 41L, 0L, 122L, 0L, 39L, 0L, 168L, 0L, 
    0L, 40L, 117L, 0L, 0L, 0L, 77L, 0L, 0L, 140L, 40L, 0L, 0L, 
    0L, 54L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 6L, 
    0L, 0L, 0L, 0L, 0L, 45L, 0L, 27L, 0L, 22L, 0L, 24L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 4L, 0L, 0L, 0L, 0L, 5L, 10L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 91L, 0L, 45L, 
    0L, 0L, 0L, 0L, 0L, 123L, 64L, 0L, 0L, 13L, 49L, 0L, 0L, 
    55L, 0L, 0L, 0L, 61L, 0L, 92L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 109L, 0L, 0L, 
    0L, 0L, 48L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 
    0L, 0L, 104L, 42L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 1107L, 265L, 1700L, 2839L, 1366L, 592L, 1373L, 
    4417L, 746L, 710L, 306L, 7757L, 159L, 366L, 20L, 2228L, 15L, 
    0L, 0L, 198L, 1337L, 424L, 3510L, 2044L, 2085L, 667L, 3299L, 
    4017L, 1260L, 926L, 2608L, 10803L, 103L, 231L, 344L, 2431L, 
    28L, 81L, 15L, 441L, 2552L, 1068L, 767L, 3120L, 2373L, 783L, 
    676L, 3890L, 1191L, 396L, 114L, 1855L, 357L, 46L, 0L, 649L, 
    61L, 20L, 0L, 132L, 2380L, 673L, 2458L, 1788L, 3240L, 1040L, 
    3967L, 2712L, 1731L, 423L, 2532L, 1945L, 223L, 25L, 237L, 
    735L, 6L, 25L, 126L, 439L, 1086L, 4557L, 327L, 7425L, 1577L, 
    3981L, 489L, 6801L, 562L, 2369L, 301L, 3406L, 347L, 743L, 
    0L, 1445L, 29L, 464L, 19L, 456L, 640L, 4786L, 926L, 7397L, 
    905L, 6757L, 1041L, 12015L, 330L, 2745L, 591L, 6684L, 90L, 
    364L, 96L, 1752L, 14L, 99L, 80L, 510L, 62L, 8352L, 19L, 7533L, 
    10L, 5306L, 110L, 4214L, 0L, 1972L, 0L, 1797L, 0L, 1021L, 
    0L, 887L, 0L, 233L, 0L, 600L, 31L, 5913L, 93L, 23982L, 0L, 
    6012L, 32L, 22344L, 0L, 1558L, 81L, 8119L, 0L, 304L, 0L, 
    1828L, 0L, 112L, 0L, 831L, 1987L, 586L, 3081L, 4465L, 4987L, 
    1166L, 2978L, 7736L, 2333L, 1752L, 1145L, 9260L, 446L, 265L, 
    94L, 2945L, 57L, 64L, 28L, 455L, 2194L, 439L, 2023L, 2937L, 
    4502L, 1441L, 3284L, 6190L, 3786L, 1869L, 3833L, 7651L, 985L, 
    491L, 515L, 3824L, 70L, 164L, 83L, 469L, 4345L, 1472L, 1318L, 
    3988L, 7878L, 2316L, 1303L, 7162L, 4147L, 935L, 789L, 3687L, 
    780L, 383L, 392L, 1441L, 377L, 161L, 0L, 527L, 2943L, 1229L, 
    1041L, 1940L, 8298L, 2426L, 3425L, 4219L, 4940L, 976L, 4358L, 
    4105L, 1292L, 345L, 1538L, 2242L, 576L, 117L, 250L, 866L, 
    1825L, 8417L, 424L, 4664L, 2877L, 13035L, 518L, 8151L, 1361L, 
    6173L, 664L, 6293L, 503L, 2170L, 20L, 1908L, 118L, 966L, 
    0L, 834L, 734L, 8270L, 468L, 4005L, 1566L, 18654L, 724L, 
    11286L, 1169L, 7099L, 864L, 7070L, 223L, 1474L, 487L, 3567L, 
    112L, 605L, 259L, 1864L, 57L, 11903L, 29L, 3415L, 25L, 13676L, 
    10L, 3797L, 57L, 5861L, 0L, 2252L, 0L, 2498L, 0L, 1060L, 
    42L, 1225L, 0L, 852L, 0L, 7872L, 132L, 6762L, 0L, 14481L, 
    166L, 12451L, 0L, 4850L, 131L, 6084L, 0L, 1396L, 0L, 2730L, 
    0L, 781L, 0L, 1839L, 2035L, 1256L, 2974L, 6275L, 5815L, 3951L, 
    5065L, 11723L, 3702L, 3344L, 3585L, 11564L, 1854L, 1948L, 
    250L, 5496L, 448L, 342L, 0L, 430L, 1268L, 795L, 1937L, 3286L, 
    6863L, 2454L, 4877L, 6696L, 7625L, 4159L, 4292L, 9918L, 3332L, 
    4174L, 642L, 5119L, 479L, 435L, 115L, 820L, 5994L, 1882L, 
    1188L, 3475L, 20541L, 5217L, 2529L, 7850L, 14156L, 3659L, 
    1741L, 6438L, 6292L, 1592L, 803L, 3081L, 1972L, 498L, 219L, 
    751L, 3843L, 1769L, 840L, 1296L, 18866L, 5367L, 1757L, 4773L, 
    16460L, 3703L, 3481L, 4187L, 7788L, 1516L, 1972L, 2859L, 
    2534L, 740L, 661L, 1530L, 2019L, 9447L, 192L, 2798L, 7486L, 
    25651L, 1397L, 9103L, 5489L, 14754L, 896L, 6545L, 2638L, 
    5324L, 140L, 3296L, 937L, 2900L, 243L, 2008L, 877L, 7273L, 
    465L, 1934L, 4799L, 31427L, 957L, 8341L, 3189L, 15356L, 1172L, 
    7934L, 1828L, 5273L, 913L, 5354L, 703L, 2732L, 463L, 4002L, 
    76L, 4389L, 70L, 1818L, 250L, 11839L, 387L, 2183L, 9L, 9039L, 
    0L, 1382L, 179L, 5642L, 0L, 874L, 28L, 3412L, 25L, 778L, 
    22L, 3767L, 266L, 4098L, 44L, 10961L, 294L, 5977L, 34L, 5795L, 
    59L, 3527L, 0L, 3072L, 23L, 2084L, 26L, 1458L, 0L, 1484L, 
    352L, 473L, 3037L, 4506L, 1521L, 1149L, 3937L, 11199L, 1621L, 
    2065L, 3829L, 11401L, 1204L, 1708L, 558L, 3085L, 352L, 318L, 
    305L, 481L, 245L, 156L, 1952L, 2296L, 1614L, 1753L, 3871L, 
    6163L, 2708L, 2257L, 4133L, 10417L, 3013L, 2370L, 777L, 3542L, 
    1224L, 888L, 0L, 541L, 2812L, 570L, 439L, 2016L, 14454L, 
    4868L, 861L, 4177L, 15215L, 3536L, 503L, 4837L, 14439L, 2721L, 
    514L, 2604L, 5577L, 1151L, 171L, 1690L, 1530L, 681L, 55L, 
    438L, 13205L, 4085L, 803L, 1884L, 17673L, 3805L, 1018L, 2443L, 
    17209L, 3057L, 998L, 2388L, 6271L, 1609L, 253L, 1808L, 1209L, 
    4774L, 169L, 1221L, 7800L, 22119L, 459L, 4686L, 7064L, 21729L, 
    252L, 3658L, 7073L, 14298L, 619L, 3540L, 3095L, 8574L, 49L, 
    1862L, 553L, 2780L, 242L, 833L, 4546L, 25641L, 622L, 4068L, 
    5078L, 21781L, 288L, 4085L, 5147L, 12522L, 396L, 2576L, 2638L, 
    8443L, 66L, 2589L, 22L, 1594L, 94L, 720L, 280L, 4811L, 95L, 
    1172L, 114L, 4714L, 33L, 873L, 61L, 4912L, 29L, 598L, 48L, 
    4188L, 0L, 824L, 0L, 1503L, 303L, 1647L, 266L, 4624L, 1033L, 
    3133L, 80L, 3492L, 60L, 1634L, 0L, 2551L, 90L, 860L, 0L, 
    1242L, 18L, 1013L, 0L, 0L, 772L, 730L, 162L, 259L, 929L, 
    2207L, 57L, 113L, 1079L, 3114L, 180L, 77L, 116L, 1601L, 0L, 
    21L, 62L, 210L, 85L, 62L, 507L, 255L, 212L, 186L, 531L, 1491L, 
    328L, 192L, 1082L, 2600L, 509L, 179L, 339L, 1285L, 72L, 322L, 
    59L, 209L, 424L, 71L, 110L, 62L, 1766L, 612L, 220L, 922L, 
    1593L, 256L, 47L, 611L, 3580L, 646L, 178L, 681L, 3076L, 585L, 
    61L, 728L, 371L, 47L, 30L, 67L, 1311L, 842L, 113L, 649L, 
    2604L, 649L, 61L, 549L, 5202L, 1064L, 150L, 483L, 2681L, 
    303L, 61L, 716L, 358L, 464L, 61L, 152L, 1213L, 3285L, 205L, 
    935L, 1413L, 4841L, 51L, 544L, 3330L, 6194L, 106L, 684L, 
    3222L, 6452L, 206L, 1319L, 115L, 345L, 118L, 202L, 1021L, 
    4179L, 220L, 1179L, 1696L, 5559L, 37L, 717L, 2513L, 7261L, 
    103L, 597L, 1635L, 4195L, 239L, 347L, 67L, 234L, 23L, 330L, 
    97L, 704L, 22L, 192L, 75L, 1454L, 35L, 234L, 30L, 1391L, 
    35L, 284L, 108L, 2811L, 99L, 546L, 157L, 416L, 25L, 452L, 
    31L, 1110L, 177L, 1117L, 0L, 1381L, 68L, 465L, 0L, 1119L, 
    0L, 328L, 31L, 589L, 0L, 199L, 295L, 216L, 3922L, 7999L, 
    559L, 605L, 3062L, 7226L, 121L, 141L, 1429L, 4653L, 28L, 
    4L, 0L, 602L, 0L, 0L, 0L, 16L, 455L, 211L, 10044L, 5698L, 
    1101L, 551L, 12279L, 7519L, 527L, 433L, 6356L, 6494L, 0L, 
    50L, 356L, 719L, 21L, 0L, 0L, 201L, 1260L, 296L, 1181L, 4218L, 
    1425L, 806L, 1601L, 5177L, 665L, 179L, 236L, 2117L, 67L, 
    286L, 107L, 347L, 0L, 0L, 0L, 102L, 1101L, 541L, 8267L, 4262L, 
    1831L, 1102L, 9953L, 6405L, 843L, 352L, 6416L, 1948L, 187L, 
    31L, 614L, 385L, 78L, 126L, 458L, 160L, 854L, 3317L, 486L, 
    11727L, 699L, 2226L, 717L, 7988L, 266L, 696L, 104L, 2679L, 
    95L, 47L, 36L, 510L, 0L, 19L, 0L, 194L, 347L, 2840L, 2256L, 
    13095L, 483L, 3174L, 3807L, 13929L, 286L, 1028L, 1531L, 5435L, 
    44L, 210L, 112L, 904L, 56L, 45L, 35L, 223L, 74L, 4881L, 0L, 
    8314L, 22L, 1231L, 56L, 1869L, 0L, 300L, 0L, 388L, 0L, 24L, 
    40L, 95L, 0L, 53L, 0L, 199L, 0L, 2887L, 0L, 20145L, 0L, 1592L, 
    165L, 6341L, 0L, 426L, 26L, 1779L, 0L, 118L, 0L, 793L, 0L, 
    64L, 0L, 195L, 741L, 464L, 4527L, 6683L, 1775L, 492L, 2912L, 
    11138L, 1073L, 382L, 1815L, 5691L, 235L, 0L, 142L, 713L, 
    0L, 0L, 0L, 32L, 453L, 195L, 2529L, 2908L, 1590L, 249L, 4621L, 
    6577L, 1250L, 659L, 4761L, 6655L, 294L, 130L, 886L, 1416L, 
    38L, 28L, 109L, 197L, 2116L, 270L, 867L, 4275L, 4107L, 1923L, 
    1695L, 6215L, 1943L, 402L, 745L, 2596L, 354L, 209L, 215L, 
    1400L, 26L, 108L, 0L, 135L, 1613L, 373L, 2306L, 3192L, 3674L, 
    1311L, 4436L, 4756L, 3063L, 884L, 5305L, 3883L, 287L, 185L, 
    1421L, 1089L, 74L, 290L, 433L, 508L, 942L, 4216L, 715L, 5091L, 
    1769L, 5269L, 708L, 6184L, 1008L, 2022L, 606L, 2265L, 52L, 
    458L, 82L, 486L, 35L, 245L, 0L, 137L, 663L, 2949L, 1078L, 
    4728L, 1361L, 6355L, 2047L, 8234L, 623L, 3275L, 1722L, 7205L, 
    129L, 500L, 596L, 2519L, 0L, 222L, 104L, 986L, 118L, 5091L, 
    212L, 2485L, 72L, 2045L, 165L, 1266L, 34L, 578L, 20L, 317L, 
    0L, 251L, 0L, 177L, 0L, 106L, 0L, 154L, 0L, 2194L, 117L, 
    4965L, 55L, 1761L, 425L, 2338L, 14L, 595L, 97L, 932L, 15L, 
    339L, 0L, 674L, 0L, 350L, 0L, 823L, 811L, 296L, 2724L, 3948L, 
    1777L, 666L, 3199L, 9006L, 1773L, 401L, 1664L, 5376L, 191L, 
    159L, 150L, 586L, 0L, 158L, 0L, 94L, 304L, 176L, 1443L, 2684L, 
    1540L, 124L, 2976L, 4930L, 1650L, 524L, 2849L, 5122L, 425L, 
    627L, 514L, 2104L, 110L, 0L, 0L, 378L, 1428L, 754L, 832L, 
    2319L, 5882L, 2243L, 1653L, 6006L, 4582L, 1248L, 978L, 2821L, 
    1138L, 204L, 193L, 1076L, 250L, 241L, 0L, 143L, 985L, 528L, 
    369L, 1247L, 5428L, 2422L, 1596L, 2823L, 4888L, 1694L, 2341L, 
    3058L, 1742L, 749L, 1569L, 1397L, 785L, 179L, 270L, 875L, 
    1113L, 4035L, 607L, 3030L, 2767L, 9084L, 660L, 3258L, 1335L, 
    4236L, 505L, 2415L, 431L, 1162L, 100L, 824L, 206L, 280L, 
    12L, 444L, 282L, 1966L, 660L, 1634L, 1729L, 7821L, 1106L, 
    4083L, 1554L, 5929L, 626L, 4626L, 359L, 1846L, 602L, 1967L, 
    260L, 1173L, 93L, 2205L, 35L, 1877L, 199L, 1216L, 57L, 1578L, 
    54L, 420L, 26L, 1140L, 0L, 127L, 0L, 246L, 0L, 53L, 0L, 481L, 
    0L, 123L, 0L, 940L, 497L, 2839L, 29L, 1122L, 335L, 1824L, 
    0L, 620L, 0L, 670L, 0L, 440L, 213L, 497L, 0L, 371L, 0L, 485L, 
    57L, 54L, 1400L, 2111L, 275L, 457L, 1885L, 3716L, 614L, 92L, 
    1051L, 3519L, 169L, 153L, 277L, 493L, 36L, 43L, 0L, 0L, 34L, 
    109L, 499L, 1115L, 252L, 286L, 798L, 1363L, 400L, 166L, 1155L, 
    1781L, 467L, 58L, 220L, 396L, 22L, 65L, 110L, 168L, 421L, 
    216L, 212L, 814L, 3545L, 1042L, 704L, 1391L, 3243L, 619L, 
    344L, 1574L, 1656L, 572L, 211L, 933L, 595L, 34L, 0L, 153L, 
    337L, 95L, 46L, 289L, 2136L, 409L, 483L, 737L, 3353L, 860L, 
    435L, 1358L, 3075L, 594L, 486L, 421L, 1371L, 269L, 185L, 
    393L, 103L, 1119L, 518L, 1487L, 1816L, 3648L, 133L, 1749L, 
    1491L, 3456L, 98L, 1196L, 965L, 2302L, 134L, 294L, 491L, 
    768L, 26L, 174L, 234L, 401L, 406L, 498L, 506L, 3202L, 655L, 
    1893L, 994L, 3833L, 202L, 1345L, 1191L, 1702L, 50L, 862L, 
    603L, 2107L, 163L, 844L, 0L, 668L, 32L, 1082L, 111L, 301L, 
    271L, 262L, 11L, 338L, 27L, 97L, 0L, 246L, 82L, 90L, 0L, 
    710L, 0L, 7L, 0L, 246L, 180L, 915L, 0L, 233L, 471L, 792L, 
    23L, 194L, 138L, 451L, 0L, 231L, 87L, 181L, 0L, 398L, 19L, 
    305L, 0L, 0L, 40L, 104L, 0L, 0L, 395L, 244L, 0L, 0L, 57L, 
    273L, 0L, 0L, 0L, 188L, 0L, 0L, 0L, 0L, 0L, 0L, 90L, 108L, 
    0L, 0L, 141L, 135L, 0L, 0L, 277L, 67L, 0L, 0L, 0L, 183L, 
    0L, 20L, 0L, 49L, 14L, 0L, 0L, 79L, 208L, 98L, 0L, 233L, 
    116L, 0L, 0L, 37L, 341L, 0L, 0L, 0L, 157L, 49L, 0L, 40L, 
    0L, 31L, 0L, 0L, 438L, 0L, 109L, 66L, 215L, 14L, 286L, 163L, 
    497L, 72L, 0L, 54L, 143L, 15L, 34L, 76L, 75L, 240L, 0L, 120L, 
    37L, 324L, 0L, 88L, 530L, 392L, 0L, 132L, 129L, 303L, 0L, 
    84L, 149L, 373L, 26L, 96L, 16L, 67L, 0L, 146L, 91L, 262L, 
    0L, 106L, 48L, 333L, 19L, 136L, 313L, 425L, 17L, 158L, 158L, 
    432L, 0L, 55L, 0L, 26L, 0L, 100L, 0L, 32L, 0L, 70L, 0L, 71L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 169L, 0L, 39L, 0L, 27L, 45L, 
    247L, 0L, 221L, 119L, 55L, 0L, 62L, 33L, 129L, 0L, 0L, 0L, 
    0L, 0L, 41L, 0L, 16L, 11L, 0L, 68L, 129L, 31L, 46L, 27L, 
    160L, 104L, 0L, 21L, 450L, 33L, 0L, 0L, 129L, 0L, 0L, 0L, 
    0L, 62L, 0L, 116L, 107L, 137L, 68L, 230L, 109L, 80L, 0L, 
    51L, 184L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 50L, 78L, 82L, 
    86L, 44L, 172L, 0L, 115L, 88L, 0L, 0L, 165L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 70L, 115L, 51L, 165L, 75L, 89L, 294L, 
    85L, 81L, 102L, 113L, 147L, 29L, 6L, 47L, 91L, 0L, 37L, 46L, 
    0L, 73L, 204L, 9L, 232L, 0L, 0L, 0L, 301L, 18L, 33L, 0L, 
    82L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 28L, 37L, 13L, 62L, 420L, 
    0L, 40L, 0L, 312L, 0L, 30L, 145L, 35L, 0L, 33L, 0L, 94L, 
    0L, 0L, 0L, 0L, 0L, 139L, 89L, 210L, 0L, 236L, 0L, 61L, 20L, 
    33L, 0L, 84L, 0L, 40L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 366L, 
    50L, 673L, 0L, 100L, 0L, 479L, 0L, 14L, 0L, 287L, 0L, 0L, 
    0L, 0L, 0L, 14L, 0L, 28L, 15L, 0L, 255L, 213L, 219L, 380L, 
    55L, 506L, 32L, 0L, 95L, 373L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 
    23L, 104L, 0L, 170L, 63L, 153L, 171L, 75L, 32L, 177L, 221L, 
    155L, 201L, 0L, 0L, 0L, 192L, 0L, 0L, 0L, 50L, 400L, 87L, 
    118L, 189L, 321L, 0L, 130L, 103L, 48L, 170L, 38L, 145L, 0L, 
    0L, 0L, 129L, 26L, 0L, 0L, 0L, 131L, 0L, 0L, 0L, 174L, 0L, 
    73L, 0L, 343L, 93L, 187L, 303L, 50L, 104L, 135L, 111L, 93L, 
    0L, 0L, 0L, 134L, 278L, 0L, 122L, 203L, 171L, 0L, 492L, 60L, 
    195L, 29L, 97L, 52L, 0L, 10L, 31L, 35L, 37L, 0L, 8L, 100L, 
    177L, 0L, 144L, 45L, 133L, 0L, 365L, 89L, 58L, 119L, 304L, 
    68L, 47L, 0L, 73L, 21L, 83L, 0L, 54L, 0L, 215L, 0L, 150L, 
    17L, 465L, 0L, 33L, 0L, 47L, 0L, 0L, 0L, 56L, 0L, 0L, 0L, 
    39L, 0L, 0L, 0L, 189L, 0L, 313L, 0L, 250L, 0L, 361L, 0L, 
    0L, 0L, 279L, 0L, 65L, 0L, 471L, 0L, 0L, 0L, 21L, 33L, 0L, 
    58L, 388L, 74L, 33L, 190L, 428L, 57L, 24L, 64L, 349L, 17L, 
    46L, 0L, 34L, 0L, 0L, 0L, 47L, 31L, 164L, 5L, 76L, 51L, 50L, 
    166L, 62L, 151L, 32L, 87L, 512L, 14L, 87L, 0L, 247L, 0L, 
    38L, 0L, 0L, 216L, 74L, 26L, 464L, 454L, 210L, 0L, 264L, 
    589L, 126L, 69L, 308L, 58L, 173L, 59L, 46L, 9L, 56L, 0L, 
    0L, 173L, 73L, 0L, 36L, 430L, 34L, 91L, 174L, 660L, 36L, 
    432L, 208L, 276L, 106L, 29L, 123L, 66L, 150L, 0L, 178L, 55L, 
    445L, 0L, 29L, 188L, 762L, 12L, 376L, 179L, 430L, 0L, 289L, 
    116L, 65L, 0L, 175L, 80L, 20L, 0L, 0L, 45L, 317L, 0L, 44L, 
    100L, 881L, 0L, 150L, 127L, 313L, 23L, 166L, 84L, 154L, 16L, 
    224L, 0L, 0L, 0L, 53L, 0L, 291L, 23L, 18L, 0L, 162L, 0L, 
    0L, 0L, 299L, 0L, 32L, 94L, 53L, 0L, 31L, 0L, 123L, 0L, 0L, 
    78L, 91L, 40L, 86L, 0L, 263L, 56L, 197L, 0L, 108L, 0L, 18L, 
    0L, 81L, 0L, 0L, 0L, 29L, 0L, 92L, 0L, 0L, 164L, 279L, 0L, 
    0L, 93L, 102L, 0L, 0L, 210L, 366L, 0L, 16L, 0L, 271L, 25L, 
    53L, 0L, 30L, 0L, 0L, 12L, 165L, 31L, 9L, 61L, 653L, 63L, 
    120L, 95L, 190L, 54L, 132L, 20L, 57L, 0L, 155L, 0L, 43L, 
    23L, 85L, 68L, 0L, 248L, 79L, 72L, 162L, 111L, 81L, 25L, 
    175L, 204L, 107L, 0L, 134L, 135L, 133L, 50L, 7L, 0L, 36L, 
    21L, 0L, 181L, 120L, 0L, 0L, 465L, 169L, 27L, 95L, 580L, 
    60L, 0L, 84L, 374L, 41L, 94L, 0L, 79L, 84L, 0L, 0L, 429L, 
    209L, 0L, 74L, 236L, 455L, 96L, 67L, 134L, 294L, 0L, 136L, 
    39L, 93L, 0L, 0L, 0L, 195L, 0L, 69L, 172L, 603L, 0L, 57L, 
    57L, 294L, 0L, 255L, 202L, 261L, 0L, 127L, 69L, 106L, 0L, 
    33L, 0L, 17L, 0L, 0L, 0L, 84L, 16L, 40L, 0L, 39L, 0L, 17L, 
    0L, 79L, 0L, 0L, 0L, 89L, 0L, 67L, 0L, 0L, 14L, 73L, 0L, 
    93L, 0L, 20L, 0L, 82L, 0L, 64L, 0L, 0L, 62L, 0L, 0L, 19L, 
    0L, 32L, 0L, 0L, 57L, 190L, 0L, 0L, 0L, 144L, 0L, 0L, 0L, 
    218L, 0L, 0L, 58L, 85L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 0L, 
    0L, 0L, 34L, 0L, 6L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 15L, 24L, 0L, 0L, 0L, 23L, 13L, 0L, 210L, 
    0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 168L, 45L, 0L, 
    0L, 0L, 26L, 0L, 0L, 0L, 72L, 0L, 0L, 0L, 80L, 33L, 0L, 37L, 
    0L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 62L, 24L, 0L, 121L, 106L, 
    22L, 0L, 0L, 128L, 228L, 27L, 92L, 0L, 0L, 0L, 0L, 27L, 162L, 
    0L, 38L, 47L, 168L, 0L, 0L, 137L, 97L, 0L, 0L, 41L, 159L, 
    29L, 0L, 0L, 0L, 0L, 75L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 
    0L, 45L, 34L, 0L, 0L, 8L, 0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 74L, 0L, 0L, 39L, 0L, 0L, 45L, 0L, 0L, 0L, 64L, 0L, 0L, 
    197L, 0L, 690L, 1182L, 542L, 124L, 490L, 1954L, 270L, 132L, 
    353L, 2297L, 119L, 91L, 45L, 790L, 0L, 0L, 0L, 125L, 340L, 
    0L, 816L, 679L, 720L, 94L, 2426L, 1845L, 470L, 55L, 1285L, 
    3167L, 52L, 30L, 115L, 857L, 0L, 0L, 0L, 111L, 519L, 267L, 
    421L, 1444L, 909L, 356L, 936L, 3112L, 688L, 165L, 271L, 1015L, 
    50L, 99L, 188L, 300L, 0L, 29L, 0L, 136L, 549L, 293L, 1289L, 
    105L, 1451L, 750L, 2708L, 1542L, 774L, 369L, 2020L, 1806L, 
    234L, 45L, 372L, 790L, 131L, 0L, 226L, 153L, 129L, 1494L, 
    118L, 3271L, 230L, 2289L, 130L, 4630L, 296L, 1587L, 230L, 
    2293L, 45L, 292L, 85L, 699L, 120L, 275L, 0L, 399L, 0L, 1426L, 
    36L, 2858L, 54L, 3582L, 893L, 7232L, 171L, 1424L, 801L, 3771L, 
    87L, 462L, 208L, 1021L, 49L, 161L, 51L, 621L, 0L, 4825L, 
    11L, 3906L, 0L, 3004L, 0L, 2757L, 0L, 856L, 16L, 1402L, 0L, 
    64L, 0L, 344L, 0L, 127L, 0L, 754L, 0L, 2730L, 47L, 9428L, 
    0L, 3974L, 6L, 11736L, 0L, 537L, 0L, 4397L, 0L, 125L, 0L, 
    2005L, 0L, 41L, 0L, 433L, 378L, 39L, 901L, 1450L, 1369L, 
    567L, 1654L, 5207L, 757L, 602L, 910L, 3127L, 41L, 170L, 0L, 
    1317L, 0L, 0L, 0L, 0L, 744L, 44L, 791L, 1007L, 1433L, 523L, 
    2705L, 2782L, 1261L, 542L, 891L, 4276L, 241L, 566L, 47L, 
    1974L, 122L, 0L, 0L, 231L, 597L, 375L, 524L, 1076L, 4378L, 
    1132L, 2002L, 4915L, 2711L, 482L, 866L, 1774L, 1156L, 194L, 
    264L, 914L, 102L, 192L, 25L, 185L, 684L, 199L, 129L, 230L, 
    3680L, 1108L, 2062L, 2618L, 3737L, 404L, 2654L, 1849L, 851L, 
    224L, 775L, 1395L, 343L, 188L, 178L, 466L, 249L, 2656L, 356L, 
    1832L, 1245L, 8011L, 267L, 5239L, 958L, 4213L, 278L, 3299L, 
    388L, 1323L, 67L, 1785L, 50L, 859L, 33L, 798L, 121L, 1966L, 
    176L, 777L, 753L, 11844L, 431L, 6907L, 585L, 4566L, 586L, 
    4942L, 281L, 1416L, 296L, 2166L, 155L, 947L, 307L, 1154L, 
    39L, 4902L, 208L, 1236L, 67L, 8624L, 13L, 2624L, 53L, 3183L, 
    0L, 1043L, 0L, 1924L, 0L, 381L, 0L, 1205L, 0L, 664L, 0L, 
    2684L, 19L, 2643L, 0L, 8020L, 18L, 5436L, 0L, 3259L, 20L, 
    3538L, 0L, 1277L, 0L, 1881L, 0L, 464L, 0L, 1359L, 219L, 170L, 
    1157L, 882L, 1680L, 990L, 2764L, 6166L, 901L, 1592L, 1184L, 
    4927L, 695L, 986L, 377L, 1310L, 0L, 71L, 0L, 288L, 253L, 
    105L, 1366L, 817L, 2015L, 777L, 2299L, 2581L, 1834L, 1584L, 
    2420L, 4648L, 1082L, 1668L, 165L, 2228L, 97L, 291L, 23L, 
    238L, 964L, 589L, 342L, 1155L, 11677L, 3419L, 2716L, 4961L, 
    8024L, 2262L, 1286L, 4181L, 3627L, 1096L, 648L, 1883L, 1504L, 
    140L, 110L, 298L, 645L, 203L, 154L, 596L, 10113L, 3106L, 
    1345L, 2091L, 9714L, 2824L, 2299L, 2651L, 4984L, 1127L, 1640L, 
    1992L, 1633L, 775L, 399L, 955L, 513L, 3155L, 24L, 1034L, 
    4432L, 14046L, 445L, 4924L, 3584L, 10296L, 486L, 4273L, 1748L, 
    3626L, 425L, 1727L, 1026L, 2274L, 236L, 957L, 206L, 2002L, 
    197L, 510L, 2494L, 16981L, 344L, 3528L, 2474L, 11020L, 928L, 
    3979L, 2068L, 4393L, 897L, 3628L, 792L, 2007L, 471L, 2623L, 
    0L, 2486L, 0L, 649L, 39L, 5885L, 0L, 865L, 25L, 3329L, 0L, 
    587L, 11L, 3005L, 0L, 138L, 0L, 2917L, 0L, 402L, 0L, 1275L, 
    33L, 1379L, 132L, 5672L, 348L, 2742L, 33L, 2858L, 22L, 1395L, 
    0L, 1869L, 0L, 1321L, 0L, 840L, 0L, 1091L, 0L, 58L, 433L, 
    1727L, 136L, 741L, 1506L, 4938L, 398L, 539L, 908L, 3358L, 
    598L, 682L, 20L, 1682L, 37L, 160L, 0L, 63L, 0L, 39L, 621L, 
    796L, 152L, 469L, 698L, 3367L, 825L, 646L, 1256L, 3270L, 
    490L, 853L, 122L, 1955L, 154L, 314L, 0L, 199L, 171L, 100L, 
    112L, 455L, 3947L, 1590L, 526L, 2413L, 5007L, 1635L, 288L, 
    1965L, 6368L, 913L, 345L, 1664L, 2331L, 868L, 0L, 425L, 113L, 
    16L, 63L, 80L, 4728L, 1619L, 599L, 1298L, 6059L, 3072L, 712L, 
    1114L, 6212L, 1746L, 789L, 986L, 3734L, 740L, 240L, 835L, 
    413L, 1013L, 0L, 382L, 2851L, 9283L, 613L, 1855L, 3751L, 
    9678L, 319L, 1139L, 4145L, 8003L, 174L, 2075L, 2480L, 4079L, 
    93L, 957L, 0L, 633L, 42L, 182L, 1180L, 9608L, 673L, 1811L, 
    2690L, 9910L, 314L, 1845L, 3390L, 6698L, 223L, 1105L, 1780L, 
    4625L, 291L, 1230L, 9L, 765L, 0L, 229L, 64L, 1887L, 45L, 
    501L, 0L, 960L, 0L, 322L, 12L, 2096L, 65L, 370L, 0L, 2554L, 
    0L, 275L, 0L, 376L, 234L, 608L, 33L, 1543L, 273L, 1167L, 
    7L, 913L, 0L, 524L, 0L, 1640L, 13L, 491L, 0L, 740L, 0L, 628L, 
    0L, 0L, 151L, 264L, 72L, 16L, 476L, 1133L, 0L, 0L, 327L, 
    190L, 40L, 67L, 54L, 327L, 0L, 0L, 56L, 0L, 0L, 0L, 77L, 
    283L, 0L, 0L, 16L, 167L, 83L, 134L, 178L, 677L, 35L, 0L, 
    46L, 264L, 0L, 0L, 0L, 54L, 19L, 79L, 0L, 15L, 489L, 34L, 
    24L, 184L, 579L, 304L, 47L, 147L, 867L, 220L, 166L, 188L, 
    958L, 577L, 39L, 79L, 0L, 0L, 0L, 52L, 303L, 192L, 188L, 
    198L, 717L, 372L, 170L, 16L, 1394L, 247L, 30L, 366L, 598L, 
    273L, 85L, 99L, 72L, 105L, 0L, 94L, 179L, 1031L, 14L, 325L, 
    315L, 1470L, 54L, 124L, 1249L, 2258L, 53L, 310L, 1455L, 2861L, 
    37L, 317L, 0L, 56L, 0L, 70L, 386L, 1377L, 118L, 217L, 457L, 
    1609L, 68L, 120L, 1235L, 2620L, 142L, 321L, 992L, 2069L, 
    0L, 55L, 0L, 76L, 0L, 36L, 37L, 310L, 0L, 97L, 0L, 397L, 
    0L, 118L, 30L, 905L, 0L, 207L, 18L, 1142L, 0L, 306L, 0L, 
    88L, 49L, 58L, 0L, 468L, 57L, 204L, 0L, 236L, 36L, 425L, 
    19L, 820L, 0L, 250L, 0L, 475L, 0L, 194L, 0L, 0L, 0L, 0L, 
    0L, 32L, 0L, 178L, 0L, 0L, 122L, 0L, 0L, 0L, 0L, 30L, 0L, 
    0L, 0L, 0L, 0L, 0L, 84L, 0L, 29L, 0L, 37L, 128L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 83L, 0L, 0L, 0L, 0L, 0L, 94L, 0L, 11L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 176L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 51L, 0L, 0L, 
    0L, 0L, 0L, 0L, 250L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 219L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 78L, 0L, 9L, 0L, 0L, 127L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 142L, 0L, 0L, 0L, 76L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 
    0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 
    0L, 0L, 100L, 0L, 0L, 0L, 51L, 107L, 23L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 109L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 
    0L, 36L, 36L, 0L, 0L, 0L, 57L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 188L, 0L, 0L, 
    58L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    11L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 156L, 2L, 0L, 71L, 0L, 61L, 0L, 0L, 0L, 
    12L, 0L, 0L, 8L, 5L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 110L, 0L, 
    0L, 101L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 153L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 83L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 5L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 0L, 0L, 0L, 0L, 0L, 
    100L, 0L, 72L, 0L, 0L, 0L, 0L, 0L, 0L, 51L, 134L, 0L, 216L, 
    0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 
    0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 117L, 0L, 0L, 37L, 0L, 0L, 0L, 132L, 
    154L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 151L, 
    0L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 83L, 
    0L, 0L, 0L, 115L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 139L, 0L, 23L, 0L, 0L, 0L, 0L, 24L, 33L, 0L, 0L, 0L, 
    14L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 
    101L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 50L, 29L, 27L, 
    22L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    15L, 21L, 24L, 101L, 0L, 0L, 206L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 29L, 0L, 0L, 47L, 0L, 0L, 72L, 0L, 31L, 25L, 0L, 0L, 
    54L, 49L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 234L, 101L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    70L, 0L, 7L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 152L, 0L, 
    0L, 0L, 39L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 79L, 0L, 
    107L, 0L, 47L, 0L, 0L, 72L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 
    19L, 0L, 30L, 0L, 147L, 0L, 0L, 0L, 77L, 0L, 110L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 50L, 0L, 0L, 13L, 
    0L, 84L, 0L, 109L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 111L, 
    120L, 14L, 37L, 67L, 74L, 0L, 69L, 0L, 106L, 0L, 0L, 21L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 164L, 38L, 7L, 0L, 0L, 58L, 0L, 
    0L, 61L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 120L, 0L, 79L, 0L, 0L, 0L, 0L, 0L, 20L, 
    10L, 0L, 0L, 0L, 0L, 0L, 27L, 69L, 0L, 0L, 0L, 156L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 88L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 0L, 0L, 7L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 12L, 37L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 42L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 50L, 
    0L, 0L, 0L, 102L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 58L, 0L, 0L, 0L, 15L, 16L, 0L, 0L, 0L, 0L, 0L, 177L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 56L, 
    0L, 68L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 46L, 21L, 23L, 94L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 66L, 0L, 108L, 14L, 109L, 0L, 
    0L, 47L, 49L, 0L, 0L, 0L, 38L, 0L, 67L, 0L, 0L, 0L, 0L, 0L, 
    99L, 0L, 31L, 105L, 49L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 70L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 43L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 208L, 157L, 
    585L, 1143L, 152L, 218L, 287L, 2074L, 161L, 125L, 226L, 4461L, 
    195L, 177L, 19L, 1863L, 49L, 73L, 0L, 118L, 384L, 107L, 1318L, 
    439L, 350L, 0L, 1660L, 1382L, 444L, 255L, 1109L, 5176L, 188L, 
    264L, 59L, 1915L, 44L, 42L, 11L, 479L, 602L, 138L, 639L, 
    1267L, 519L, 61L, 427L, 2253L, 215L, 149L, 73L, 1620L, 314L, 
    68L, 0L, 666L, 83L, 30L, 0L, 175L, 412L, 79L, 861L, 759L, 
    797L, 241L, 2720L, 1901L, 497L, 164L, 2201L, 1390L, 287L, 
    18L, 326L, 312L, 216L, 59L, 139L, 211L, 391L, 1273L, 251L, 
    4151L, 444L, 1483L, 173L, 3970L, 403L, 825L, 134L, 3114L, 
    107L, 482L, 34L, 1537L, 48L, 116L, 26L, 883L, 158L, 1448L, 
    465L, 3643L, 270L, 2574L, 554L, 6771L, 272L, 1208L, 550L, 
    4787L, 58L, 453L, 149L, 1657L, 27L, 515L, 166L, 1081L, 0L, 
    3734L, 31L, 4628L, 0L, 3063L, 0L, 3095L, 0L, 906L, 0L, 1556L, 
    0L, 736L, 0L, 682L, 52L, 485L, 0L, 602L, 0L, 3263L, 0L, 18542L, 
    0L, 3015L, 148L, 18214L, 0L, 936L, 0L, 7905L, 0L, 551L, 0L, 
    2338L, 0L, 200L, 0L, 1577L, 607L, 251L, 578L, 1727L, 1101L, 
    704L, 1666L, 6101L, 632L, 986L, 794L, 6026L, 257L, 282L, 
    127L, 2971L, 161L, 138L, 0L, 422L, 601L, 78L, 831L, 1058L, 
    1792L, 871L, 2662L, 4655L, 1452L, 717L, 1828L, 5908L, 310L, 
    540L, 90L, 4499L, 21L, 170L, 0L, 774L, 1065L, 461L, 219L, 
    1511L, 2872L, 644L, 1539L, 4573L, 2920L, 563L, 688L, 3106L, 
    746L, 382L, 88L, 2365L, 389L, 143L, 93L, 774L, 1035L, 488L, 
    704L, 856L, 3292L, 1155L, 2914L, 3210L, 2533L, 582L, 3841L, 
    2409L, 852L, 213L, 776L, 1738L, 375L, 66L, 233L, 747L, 422L, 
    4260L, 560L, 3758L, 1279L, 5905L, 568L, 8014L, 757L, 2867L, 
    355L, 4674L, 367L, 1092L, 23L, 2704L, 299L, 829L, 0L, 1071L, 
    247L, 3595L, 379L, 2609L, 881L, 7891L, 940L, 8490L, 548L, 
    3893L, 1181L, 8229L, 345L, 1089L, 408L, 2829L, 261L, 583L, 
    523L, 1865L, 56L, 9885L, 0L, 4051L, 23L, 10332L, 0L, 4617L, 
    35L, 4498L, 25L, 2596L, 8L, 3013L, 0L, 1433L, 0L, 1414L, 
    0L, 1103L, 0L, 7629L, 154L, 7743L, 0L, 11765L, 85L, 15627L, 
    0L, 4295L, 0L, 8739L, 0L, 1495L, 0L, 3594L, 0L, 760L, 0L, 
    2178L, 917L, 401L, 2572L, 3518L, 3151L, 2244L, 4746L, 11389L, 
    2914L, 2445L, 1711L, 10626L, 1874L, 1994L, 139L, 6997L, 247L, 
    660L, 63L, 1178L, 845L, 544L, 1777L, 1821L, 2942L, 1653L, 
    4890L, 7972L, 5738L, 3308L, 3410L, 9883L, 2203L, 3027L, 710L, 
    8909L, 522L, 1059L, 22L, 1422L, 3599L, 1146L, 888L, 2771L, 
    13012L, 3527L, 2199L, 11135L, 10879L, 3755L, 1552L, 7532L, 
    6472L, 2095L, 500L, 6191L, 3019L, 1580L, 100L, 2589L, 1646L, 
    985L, 727L, 1693L, 12885L, 2888L, 2759L, 5484L, 13859L, 3080L, 
    4144L, 5534L, 7535L, 1667L, 1714L, 5767L, 3313L, 1017L, 1470L, 
    4939L, 1573L, 6541L, 421L, 3562L, 5887L, 18750L, 1008L, 11669L, 
    4291L, 11945L, 1056L, 9854L, 2500L, 5207L, 368L, 5193L, 1629L, 
    2926L, 236L, 3967L, 812L, 5474L, 363L, 2754L, 4410L, 26167L, 
    1293L, 10308L, 2881L, 13262L, 1994L, 13092L, 1651L, 4696L, 
    1224L, 8603L, 1168L, 3076L, 1121L, 7652L, 126L, 7813L, 164L, 
    2221L, 74L, 12710L, 82L, 2620L, 60L, 10475L, 173L, 2679L, 
    0L, 7875L, 0L, 1755L, 55L, 6918L, 0L, 2097L, 0L, 5319L, 192L, 
    5258L, 101L, 17181L, 445L, 10461L, 0L, 8431L, 76L, 6101L, 
    0L, 3827L, 45L, 3786L, 0L, 2460L, 0L, 3667L, 139L, 187L, 
    2978L, 4764L, 1886L, 2040L, 8449L, 17523L, 1657L, 1909L, 
    6239L, 15870L, 1329L, 4630L, 669L, 11080L, 652L, 1405L, 148L, 
    1257L, 193L, 220L, 1716L, 1757L, 1773L, 1265L, 5248L, 9524L, 
    3872L, 3056L, 6973L, 13050L, 3163L, 5800L, 1572L, 13195L, 
    766L, 2240L, 161L, 2435L, 2720L, 1722L, 692L, 3089L, 17784L, 
    5414L, 2403L, 8681L, 21579L, 5914L, 1907L, 7969L, 24297L, 
    6312L, 1268L, 8000L, 16211L, 4640L, 678L, 4602L, 1367L, 622L, 
    396L, 1033L, 16642L, 5600L, 1318L, 4548L, 25553L, 6395L, 
    2467L, 4905L, 29683L, 6199L, 1638L, 6316L, 17167L, 4654L, 
    1793L, 6067L, 1719L, 5162L, 471L, 2713L, 9291L, 25086L, 1204L, 
    7238L, 13397L, 28602L, 1129L, 8005L, 13768L, 18841L, 951L, 
    7397L, 12133L, 16827L, 704L, 7167L, 588L, 4696L, 218L, 1414L, 
    7092L, 29590L, 1074L, 7029L, 11570L, 33233L, 1017L, 8668L, 
    11152L, 17471L, 1586L, 8294L, 7221L, 13852L, 1650L, 8835L, 
    264L, 3014L, 208L, 1237L, 345L, 6685L, 215L, 1870L, 194L, 
    6533L, 69L, 1063L, 97L, 9379L, 138L, 1527L, 217L, 11485L, 
    26L, 2393L, 167L, 2322L, 692L, 3200L, 206L, 8476L, 1335L, 
    4606L, 49L, 7145L, 316L, 3024L, 0L, 5042L, 144L, 2238L, 35L, 
    4508L, 117L, 2252L, 186L, 0L, 1143L, 1258L, 153L, 364L, 3670L, 
    6148L, 281L, 658L, 3907L, 7950L, 353L, 492L, 641L, 5054L, 
    62L, 272L, 98L, 952L, 19L, 83L, 674L, 881L, 146L, 370L, 2347L, 
    2761L, 475L, 437L, 3220L, 7323L, 316L, 953L, 1122L, 5665L, 
    146L, 511L, 122L, 1222L, 374L, 113L, 110L, 297L, 2213L, 1469L, 
    374L, 1437L, 4668L, 1478L, 420L, 2164L, 11856L, 3035L, 485L, 
    2478L, 13981L, 2883L, 90L, 2069L, 72L, 55L, 110L, 167L, 2779L, 
    816L, 348L, 779L, 6092L, 2002L, 300L, 1342L, 15139L, 3549L, 
    548L, 2265L, 15960L, 3562L, 356L, 1690L, 337L, 1084L, 46L, 
    487L, 2013L, 5521L, 310L, 1933L, 4254L, 10217L, 453L, 2062L, 
    12410L, 17357L, 372L, 2808L, 19307L, 27386L, 381L, 3324L, 
    154L, 815L, 55L, 205L, 1982L, 7756L, 105L, 1635L, 4526L, 
    15580L, 325L, 2263L, 11226L, 18045L, 721L, 2725L, 13144L, 
    21013L, 730L, 3430L, 49L, 631L, 149L, 349L, 40L, 1581L, 209L, 
    449L, 55L, 2613L, 31L, 539L, 231L, 4141L, 130L, 752L, 356L, 
    9342L, 72L, 1239L, 25L, 449L, 408L, 670L, 158L, 2348L, 786L, 
    2145L, 26L, 2788L, 269L, 1263L, 86L, 3373L, 132L, 987L, 27L, 
    3476L, 142L, 925L, 40L, 173L, 1712L, 2364L, 274L, 118L, 767L, 
    3998L, 53L, 126L, 449L, 1355L, 0L, 131L, 28L, 432L, 0L, 0L, 
    0L, 113L, 16L, 84L, 2399L, 1806L, 158L, 115L, 5356L, 2656L, 
    51L, 176L, 2990L, 2109L, 25L, 0L, 194L, 801L, 0L, 36L, 37L, 
    48L, 62L, 148L, 360L, 1783L, 693L, 555L, 486L, 2288L, 40L, 
    86L, 55L, 827L, 48L, 0L, 54L, 138L, 0L, 0L, 0L, 133L, 257L, 
    234L, 2907L, 970L, 1055L, 154L, 5498L, 2196L, 304L, 168L, 
    2384L, 2017L, 23L, 0L, 231L, 365L, 26L, 0L, 133L, 61L, 348L, 
    885L, 62L, 3992L, 172L, 945L, 382L, 4640L, 125L, 788L, 162L, 
    1444L, 22L, 24L, 0L, 531L, 41L, 111L, 0L, 173L, 246L, 1274L, 
    1036L, 6831L, 167L, 1107L, 1149L, 7364L, 128L, 510L, 1101L, 
    3819L, 48L, 45L, 224L, 983L, 0L, 45L, 30L, 678L, 49L, 1942L, 
    135L, 4076L, 54L, 729L, 0L, 1348L, 0L, 223L, 0L, 685L, 0L, 
    0L, 0L, 296L, 0L, 26L, 0L, 241L, 0L, 1083L, 0L, 11553L, 0L, 
    761L, 0L, 6071L, 0L, 81L, 0L, 2217L, 0L, 25L, 42L, 645L, 
    0L, 0L, 0L, 476L, 429L, 198L, 1752L, 3345L, 423L, 471L, 3360L, 
    5993L, 602L, 158L, 810L, 3019L, 0L, 76L, 0L, 1379L, 24L, 
    0L, 0L, 107L, 381L, 93L, 2175L, 1632L, 958L, 369L, 5366L, 
    3330L, 635L, 189L, 4211L, 5820L, 466L, 36L, 516L, 1557L, 
    0L, 0L, 273L, 558L, 894L, 205L, 495L, 2908L, 2122L, 648L, 
    1918L, 3409L, 1698L, 791L, 926L, 3347L, 289L, 37L, 186L, 
    970L, 51L, 0L, 0L, 288L, 705L, 230L, 1915L, 1406L, 2155L, 
    513L, 6180L, 4409L, 1941L, 418L, 6683L, 4060L, 211L, 186L, 
    1110L, 1159L, 94L, 0L, 298L, 560L, 504L, 1574L, 236L, 3584L, 
    765L, 2308L, 804L, 6015L, 302L, 1237L, 220L, 2932L, 120L, 
    458L, 70L, 781L, 51L, 355L, 67L, 438L, 207L, 1638L, 705L, 
    4143L, 499L, 2319L, 1817L, 8276L, 444L, 2115L, 1300L, 7566L, 
    136L, 286L, 309L, 1771L, 38L, 126L, 36L, 906L, 136L, 3187L, 
    38L, 2697L, 24L, 1995L, 33L, 1147L, 23L, 873L, 0L, 731L, 
    0L, 92L, 0L, 236L, 0L, 154L, 0L, 116L, 115L, 1519L, 170L, 
    4247L, 26L, 2091L, 46L, 3596L, 0L, 690L, 0L, 2502L, 0L, 208L, 
    0L, 763L, 0L, 200L, 0L, 843L, 61L, 118L, 1844L, 2799L, 1249L, 
    561L, 4977L, 7508L, 1448L, 433L, 2250L, 7239L, 382L, 264L, 
    408L, 2320L, 0L, 86L, 83L, 421L, 201L, 113L, 1565L, 1773L, 
    959L, 729L, 3882L, 6635L, 1738L, 445L, 4003L, 7865L, 382L, 
    220L, 1107L, 3326L, 87L, 140L, 269L, 804L, 675L, 234L, 417L, 
    2654L, 4782L, 1995L, 3076L, 7422L, 4222L, 1576L, 1611L, 5366L, 
    2137L, 262L, 284L, 2600L, 1136L, 306L, 128L, 1139L, 429L, 
    376L, 733L, 1462L, 4021L, 1430L, 4771L, 4868L, 4216L, 1339L, 
    6856L, 6898L, 2250L, 902L, 2665L, 4445L, 997L, 215L, 1396L, 
    3096L, 670L, 2878L, 328L, 2889L, 2388L, 6779L, 778L, 5490L, 
    1745L, 3947L, 733L, 5951L, 871L, 1345L, 142L, 2313L, 699L, 
    706L, 207L, 814L, 406L, 2028L, 925L, 2852L, 1211L, 6954L, 
    2053L, 9850L, 1852L, 5635L, 2633L, 10040L, 347L, 1796L, 1203L, 
    4457L, 200L, 670L, 462L, 3062L, 52L, 2692L, 57L, 1328L, 104L, 
    2024L, 152L, 1320L, 97L, 1854L, 0L, 863L, 0L, 966L, 0L, 399L, 
    32L, 694L, 0L, 235L, 17L, 958L, 553L, 3145L, 0L, 1839L, 482L, 
    2496L, 34L, 1172L, 98L, 2037L, 6L, 597L, 81L, 673L, 0L, 626L, 
    0L, 1163L, 232L, 139L, 1385L, 2593L, 726L, 354L, 3669L, 7561L, 
    1094L, 401L, 2920L, 7918L, 478L, 301L, 316L, 1924L, 68L, 
    0L, 114L, 461L, 190L, 64L, 705L, 1438L, 993L, 330L, 3194L, 
    6616L, 1262L, 517L, 3415L, 7415L, 547L, 505L, 1094L, 3269L, 
    356L, 398L, 155L, 1065L, 950L, 337L, 243L, 3955L, 7169L, 
    3143L, 1770L, 5281L, 8534L, 2580L, 1507L, 3717L, 6240L, 1615L, 
    701L, 2482L, 2781L, 907L, 433L, 948L, 215L, 340L, 180L, 866L, 
    4757L, 2094L, 1556L, 4086L, 10340L, 3009L, 2695L, 4837L, 
    6811L, 2386L, 2381L, 2834L, 4630L, 1458L, 855L, 2680L, 475L, 
    2336L, 50L, 1814L, 4347L, 8346L, 894L, 4529L, 4660L, 8006L, 
    534L, 4340L, 2869L, 3524L, 207L, 1543L, 2139L, 2930L, 265L, 
    1370L, 289L, 1606L, 189L, 1525L, 1866L, 6943L, 1232L, 6333L, 
    3387L, 8899L, 1397L, 7261L, 2063L, 4108L, 1404L, 4100L, 1576L, 
    3723L, 718L, 3999L, 156L, 1680L, 117L, 579L, 68L, 1671L, 
    67L, 1294L, 38L, 1922L, 36L, 238L, 0L, 1253L, 0L, 150L, 49L, 
    1402L, 0L, 426L, 98L, 1001L, 450L, 1709L, 18L, 1105L, 549L, 
    2064L, 36L, 896L, 232L, 1482L, 0L, 806L, 24L, 899L, 0L, 768L, 
    164L, 847L, 0L, 16L, 504L, 270L, 335L, 171L, 620L, 1100L, 
    0L, 62L, 703L, 2177L, 88L, 209L, 222L, 1711L, 0L, 0L, 0L, 
    121L, 0L, 17L, 103L, 237L, 58L, 363L, 343L, 977L, 99L, 128L, 
    831L, 1690L, 77L, 69L, 432L, 1626L, 0L, 21L, 28L, 356L, 55L, 
    34L, 23L, 200L, 876L, 558L, 152L, 1122L, 1362L, 505L, 106L, 
    647L, 2405L, 523L, 238L, 509L, 2397L, 538L, 192L, 555L, 81L, 
    0L, 124L, 326L, 680L, 148L, 307L, 549L, 1439L, 392L, 200L, 
    737L, 2441L, 547L, 335L, 973L, 2987L, 603L, 100L, 859L, 159L, 
    374L, 0L, 283L, 473L, 1401L, 94L, 593L, 1434L, 2655L, 97L, 
    369L, 1325L, 2192L, 0L, 410L, 2143L, 3007L, 64L, 385L, 0L, 
    186L, 0L, 237L, 538L, 1305L, 298L, 697L, 751L, 3448L, 201L, 
    588L, 1231L, 2610L, 254L, 850L, 956L, 2835L, 440L, 743L, 
    118L, 188L, 24L, 258L, 161L, 188L, 0L, 14L, 0L, 409L, 0L, 
    0L, 0L, 288L, 0L, 114L, 60L, 616L, 0L, 105L, 92L, 98L, 28L, 
    311L, 55L, 121L, 357L, 248L, 0L, 147L, 45L, 311L, 0L, 150L, 
    78L, 68L, 0L, 301L, 89L, 202L, 0L, 36L, 22L, 57L, 17L, 0L, 
    118L, 353L, 22L, 0L, 0L, 145L, 0L, 38L, 0L, 13L, 0L, 0L, 
    0L, 0L, 0L, 0L, 215L, 9L, 50L, 0L, 354L, 136L, 0L, 0L, 50L, 
    243L, 72L, 0L, 0L, 18L, 0L, 0L, 0L, 23L, 90L, 49L, 0L, 0L, 
    69L, 22L, 107L, 104L, 0L, 0L, 24L, 56L, 51L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 68L, 0L, 323L, 0L, 71L, 42L, 235L, 67L, 92L, 
    0L, 356L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 59L, 127L, 
    0L, 543L, 97L, 0L, 20L, 38L, 0L, 0L, 32L, 63L, 0L, 0L, 0L, 
    86L, 0L, 0L, 0L, 117L, 0L, 199L, 146L, 165L, 0L, 71L, 0L, 
    449L, 0L, 27L, 37L, 182L, 0L, 0L, 56L, 105L, 0L, 0L, 0L, 
    0L, 0L, 151L, 0L, 57L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 60L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 71L, 0L, 819L, 0L, 0L, 0L, 
    260L, 0L, 0L, 0L, 150L, 0L, 0L, 0L, 152L, 0L, 0L, 0L, 46L, 
    69L, 0L, 153L, 103L, 151L, 40L, 86L, 347L, 82L, 64L, 82L, 
    369L, 0L, 24L, 0L, 171L, 0L, 0L, 0L, 14L, 230L, 45L, 205L, 
    200L, 143L, 0L, 365L, 121L, 166L, 21L, 216L, 525L, 0L, 48L, 
    91L, 209L, 0L, 0L, 0L, 19L, 496L, 92L, 57L, 83L, 220L, 173L, 
    181L, 365L, 212L, 26L, 110L, 138L, 96L, 36L, 79L, 27L, 23L, 
    22L, 0L, 24L, 276L, 0L, 121L, 26L, 168L, 57L, 128L, 178L, 
    98L, 0L, 396L, 170L, 149L, 0L, 240L, 50L, 81L, 0L, 0L, 21L, 
    83L, 42L, 52L, 169L, 82L, 183L, 39L, 19L, 53L, 35L, 21L, 
    172L, 45L, 37L, 50L, 0L, 23L, 56L, 0L, 47L, 0L, 0L, 30L, 
    252L, 36L, 33L, 0L, 250L, 48L, 88L, 38L, 126L, 0L, 33L, 0L, 
    33L, 0L, 42L, 0L, 32L, 0L, 299L, 0L, 59L, 0L, 184L, 0L, 0L, 
    0L, 178L, 0L, 39L, 0L, 30L, 0L, 28L, 0L, 44L, 0L, 0L, 0L, 
    160L, 141L, 124L, 0L, 185L, 0L, 160L, 0L, 49L, 0L, 126L, 
    0L, 46L, 148L, 0L, 0L, 0L, 0L, 28L, 210L, 155L, 219L, 707L, 
    205L, 161L, 539L, 704L, 392L, 274L, 346L, 496L, 19L, 57L, 
    0L, 327L, 60L, 79L, 23L, 90L, 375L, 50L, 113L, 292L, 151L, 
    199L, 419L, 403L, 325L, 219L, 326L, 564L, 64L, 161L, 76L, 
    509L, 75L, 20L, 30L, 155L, 459L, 22L, 35L, 152L, 1219L, 339L, 
    125L, 182L, 656L, 226L, 108L, 665L, 471L, 173L, 22L, 387L, 
    54L, 18L, 0L, 112L, 451L, 78L, 133L, 238L, 831L, 145L, 410L, 
    162L, 991L, 152L, 720L, 332L, 560L, 38L, 71L, 283L, 132L, 
    0L, 73L, 293L, 356L, 301L, 0L, 117L, 226L, 372L, 104L, 238L, 
    161L, 399L, 38L, 185L, 29L, 249L, 30L, 75L, 110L, 150L, 27L, 
    26L, 27L, 167L, 247L, 115L, 213L, 474L, 31L, 522L, 130L, 
    602L, 55L, 254L, 14L, 110L, 140L, 192L, 0L, 85L, 66L, 222L, 
    128L, 156L, 0L, 0L, 0L, 194L, 0L, 125L, 0L, 113L, 0L, 0L, 
    0L, 138L, 0L, 0L, 0L, 238L, 0L, 0L, 0L, 93L, 129L, 250L, 
    0L, 207L, 33L, 104L, 120L, 157L, 0L, 17L, 0L, 104L, 0L, 141L, 
    0L, 94L, 0L, 61L, 4L, 90L, 295L, 663L, 222L, 104L, 351L, 
    768L, 228L, 174L, 438L, 697L, 239L, 28L, 38L, 336L, 14L, 
    35L, 0L, 132L, 163L, 65L, 87L, 204L, 244L, 109L, 419L, 402L, 
    523L, 37L, 399L, 540L, 94L, 181L, 192L, 379L, 0L, 169L, 0L, 
    370L, 203L, 152L, 4L, 170L, 502L, 199L, 272L, 178L, 1158L, 
    378L, 65L, 247L, 923L, 165L, 0L, 499L, 329L, 59L, 20L, 325L, 
    317L, 0L, 149L, 80L, 405L, 224L, 34L, 156L, 1529L, 271L, 
    273L, 303L, 815L, 326L, 120L, 84L, 818L, 97L, 64L, 79L, 107L, 
    210L, 0L, 69L, 612L, 434L, 0L, 73L, 325L, 771L, 12L, 190L, 
    530L, 228L, 47L, 77L, 297L, 328L, 0L, 149L, 114L, 735L, 167L, 
    127L, 378L, 138L, 0L, 355L, 413L, 943L, 314L, 296L, 356L, 
    677L, 159L, 313L, 264L, 466L, 55L, 145L, 46L, 327L, 0L, 44L, 
    36L, 34L, 0L, 37L, 0L, 87L, 0L, 10L, 35L, 277L, 0L, 0L, 0L, 
    383L, 0L, 39L, 0L, 147L, 144L, 232L, 28L, 65L, 53L, 30L, 
    0L, 66L, 22L, 119L, 0L, 0L, 0L, 49L, 0L, 31L, 0L, 141L, 26L, 
    0L, 0L, 8L, 0L, 29L, 117L, 379L, 0L, 31L, 104L, 88L, 0L, 
    0L, 19L, 173L, 0L, 0L, 0L, 0L, 0L, 64L, 82L, 31L, 0L, 84L, 
    43L, 108L, 63L, 0L, 108L, 279L, 0L, 35L, 78L, 205L, 12L, 
    0L, 0L, 97L, 51L, 80L, 0L, 20L, 168L, 180L, 0L, 86L, 187L, 
    21L, 114L, 34L, 226L, 296L, 54L, 65L, 510L, 128L, 0L, 113L, 
    44L, 0L, 0L, 0L, 273L, 96L, 4L, 30L, 293L, 163L, 0L, 34L, 
    478L, 71L, 0L, 70L, 481L, 193L, 0L, 145L, 15L, 37L, 0L, 32L, 
    110L, 101L, 0L, 0L, 136L, 250L, 0L, 117L, 122L, 204L, 0L, 
    49L, 782L, 432L, 0L, 91L, 46L, 70L, 90L, 27L, 5L, 391L, 31L, 
    0L, 211L, 388L, 46L, 45L, 218L, 283L, 0L, 49L, 607L, 325L, 
    20L, 39L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 0L, 
    0L, 66L, 0L, 54L, 37L, 212L, 0L, 28L, 0L, 0L, 0L, 75L, 0L, 
    30L, 96L, 72L, 0L, 54L, 0L, 69L, 0L, 77L, 0L, 27L, 0L, 79L, 
    0L, 33L, 161L, 0L, 1111L, 2297L, 420L, 196L, 1287L, 3443L, 
    62L, 326L, 504L, 8337L, 194L, 226L, 65L, 3238L, 0L, 0L, 0L, 
    804L, 418L, 0L, 1821L, 1521L, 716L, 243L, 3174L, 4217L, 202L, 
    138L, 2517L, 7305L, 256L, 272L, 59L, 4749L, 24L, 47L, 9L, 
    873L, 550L, 471L, 749L, 2275L, 1526L, 829L, 760L, 5411L, 
    881L, 249L, 158L, 2909L, 570L, 209L, 233L, 2241L, 376L, 46L, 
    0L, 592L, 620L, 128L, 2035L, 1437L, 1540L, 808L, 5317L, 3867L, 
    1530L, 320L, 4844L, 3787L, 677L, 226L, 839L, 1860L, 358L, 
    110L, 406L, 1189L, 267L, 1568L, 246L, 6243L, 905L, 1770L, 
    266L, 11708L, 425L, 1264L, 402L, 6940L, 470L, 1058L, 52L, 
    3868L, 320L, 449L, 0L, 2149L, 136L, 2005L, 714L, 7554L, 507L, 
    2871L, 1790L, 12990L, 695L, 2031L, 1636L, 9156L, 188L, 999L, 
    787L, 4715L, 246L, 473L, 393L, 2480L, 0L, 6813L, 0L, 10447L, 
    0L, 6528L, 0L, 9345L, 26L, 2928L, 0L, 3879L, 0L, 1339L, 0L, 
    2344L, 50L, 1339L, 0L, 1009L, 0L, 6239L, 52L, 30453L, 0L, 
    7748L, 0L, 46878L, 0L, 2138L, 0L, 16538L, 0L, 1365L, 0L, 
    5147L, 0L, 707L, 0L, 3473L, 347L, 199L, 1550L, 3121L, 855L, 
    508L, 2800L, 6767L, 579L, 700L, 1626L, 6987L, 170L, 658L, 
    61L, 4904L, 125L, 504L, 0L, 998L, 209L, 194L, 1409L, 2203L, 
    2001L, 630L, 3962L, 4691L, 1114L, 655L, 3613L, 9527L, 309L, 
    845L, 344L, 7460L, 116L, 153L, 48L, 1837L, 1304L, 312L, 1116L, 
    3399L, 4360L, 1215L, 1831L, 10331L, 3279L, 1048L, 1252L, 
    5541L, 2354L, 375L, 220L, 3804L, 754L, 224L, 139L, 1541L, 
    1091L, 291L, 1014L, 1918L, 5078L, 1122L, 4895L, 5090L, 4346L, 
    907L, 4939L, 5949L, 2592L, 690L, 1254L, 4393L, 874L, 184L, 
    376L, 1836L, 1109L, 3629L, 304L, 4222L, 2113L, 7355L, 662L, 
    13309L, 1533L, 5254L, 609L, 9941L, 1349L, 2336L, 240L, 6018L, 
    653L, 1828L, 270L, 3010L, 553L, 4734L, 513L, 3327L, 1746L, 
    10574L, 2044L, 14874L, 1116L, 6912L, 2317L, 16471L, 1121L, 
    2740L, 1130L, 6762L, 328L, 1218L, 676L, 4133L, 0L, 14332L, 
    64L, 6431L, 9L, 21501L, 95L, 8774L, 8L, 10198L, 0L, 4258L, 
    15L, 5744L, 0L, 3173L, 0L, 3339L, 0L, 2363L, 0L, 10748L, 
    270L, 9393L, 52L, 24703L, 183L, 27667L, 0L, 9094L, 0L, 12946L, 
    0L, 3247L, 61L, 7500L, 0L, 1981L, 51L, 5452L, 627L, 178L, 
    2925L, 4239L, 3052L, 2459L, 7079L, 17946L, 1399L, 1501L, 
    3425L, 15406L, 820L, 2256L, 580L, 12086L, 210L, 633L, 33L, 
    1747L, 358L, 226L, 2177L, 2537L, 3846L, 1474L, 5668L, 11397L, 
    2984L, 2814L, 5156L, 15436L, 1675L, 3158L, 644L, 16207L, 
    628L, 1654L, 21L, 3824L, 3078L, 1201L, 683L, 3404L, 21190L, 
    5237L, 3254L, 20978L, 16009L, 3759L, 2398L, 11907L, 9317L, 
    3264L, 773L, 13540L, 4115L, 1515L, 345L, 4462L, 1992L, 475L, 
    791L, 1367L, 18424L, 5990L, 4564L, 8862L, 21592L, 3562L, 
    6242L, 10603L, 13486L, 2801L, 3746L, 13409L, 5386L, 1850L, 
    2656L, 9455L, 1880L, 8652L, 834L, 4711L, 10879L, 24368L, 
    2477L, 21221L, 8903L, 19320L, 776L, 15975L, 6400L, 10508L, 
    1087L, 10045L, 2514L, 5502L, 492L, 4993L, 1011L, 7502L, 425L, 
    3169L, 5999L, 31491L, 2480L, 17970L, 7298L, 23890L, 3986L, 
    23080L, 4536L, 8472L, 2244L, 14136L, 2050L, 5476L, 2211L, 
    13052L, 315L, 10336L, 227L, 2922L, 184L, 19514L, 110L, 5017L, 
    123L, 15208L, 0L, 3418L, 30L, 10636L, 0L, 2445L, 25L, 9423L, 
    0L, 2959L, 276L, 6238L, 586L, 6836L, 134L, 24136L, 700L, 
    15585L, 18L, 12445L, 60L, 9179L, 0L, 5858L, 93L, 5513L, 0L, 
    4495L, 55L, 5557L, 70L, 242L, 3699L, 6317L, 1349L, 2086L, 
    10320L, 27342L, 1241L, 2587L, 11329L, 26094L, 1305L, 5099L, 
    2050L, 22583L, 392L, 1584L, 45L, 3387L, 101L, 193L, 2430L, 
    4068L, 2070L, 1588L, 8090L, 15409L, 2250L, 2875L, 10863L, 
    23042L, 2613L, 7199L, 2031L, 26946L, 922L, 3619L, 528L, 6191L, 
    3130L, 1101L, 729L, 2685L, 25959L, 8933L, 2948L, 17532L, 
    27657L, 8122L, 1546L, 10409L, 38228L, 11713L, 1612L, 16621L, 
    20153L, 5482L, 868L, 8279L, 1570L, 593L, 658L, 745L, 19663L, 
    6412L, 2126L, 7286L, 37972L, 8341L, 3715L, 11312L, 46579L, 
    11147L, 3700L, 16279L, 24931L, 7833L, 2350L, 10010L, 2110L, 
    7717L, 426L, 2459L, 17232L, 37650L, 1651L, 13145L, 20305L, 
    37054L, 1789L, 11076L, 24158L, 31020L, 1311L, 10719L, 18850L, 
    25701L, 950L, 7647L, 1136L, 6946L, 275L, 1738L, 10886L, 39979L, 
    1949L, 10564L, 18184L, 45642L, 2110L, 13749L, 20716L, 28476L, 
    2654L, 13382L, 13493L, 22333L, 2335L, 14465L, 474L, 4204L, 
    436L, 1803L, 1085L, 9460L, 551L, 2805L, 334L, 9300L, 129L, 
    1937L, 300L, 9651L, 50L, 1966L, 282L, 12229L, 63L, 2480L, 
    319L, 2625L, 853L, 3537L, 780L, 10512L, 2167L, 8665L, 181L, 
    7866L, 707L, 3802L, 142L, 5801L, 525L, 2560L, 0L, 5480L, 
    154L, 3128L, 0L, 12L, 1173L, 1610L, 105L, 681L, 3800L, 7834L, 
    169L, 298L, 4274L, 10642L, 109L, 1417L, 1084L, 10532L, 44L, 
    398L, 24L, 1596L, 0L, 148L, 1023L, 1010L, 262L, 389L, 2472L, 
    5065L, 246L, 546L, 4210L, 9394L, 478L, 1728L, 1408L, 11365L, 
    221L, 943L, 299L, 1752L, 234L, 195L, 0L, 528L, 2443L, 1443L, 
    455L, 3078L, 4557L, 1409L, 207L, 4268L, 18714L, 5389L, 805L, 
    6089L, 17083L, 5010L, 538L, 4092L, 260L, 121L, 34L, 271L, 
    2197L, 994L, 293L, 695L, 6760L, 2374L, 285L, 1897L, 22745L, 
    4528L, 1117L, 3343L, 18307L, 5320L, 730L, 3308L, 530L, 977L, 
    118L, 676L, 2908L, 7649L, 117L, 2080L, 5315L, 11079L, 359L, 
    1742L, 16068L, 19324L, 520L, 4005L, 23077L, 27880L, 1140L, 
    5076L, 385L, 734L, 28L, 335L, 2689L, 9151L, 428L, 1477L, 
    5621L, 16693L, 596L, 2618L, 15471L, 20295L, 906L, 3735L, 
    15838L, 23390L, 994L, 4847L, 147L, 654L, 108L, 557L, 608L, 
    1650L, 141L, 795L, 107L, 2084L, 122L, 367L, 244L, 5221L, 
    24L, 809L, 381L, 10036L, 47L, 1489L, 32L, 471L, 274L, 1037L, 
    534L, 2444L, 988L, 2707L, 233L, 3098L, 234L, 1816L, 156L, 
    3667L, 184L, 1438L, 95L, 3359L, 90L, 1665L, 0L, 0L, 140L, 
    529L, 0L, 25L, 580L, 653L, 0L, 0L, 424L, 1042L, 0L, 34L, 
    39L, 92L, 0L, 0L, 0L, 69L, 0L, 21L, 1029L, 416L, 153L, 0L, 
    1391L, 425L, 132L, 29L, 1419L, 1129L, 0L, 0L, 140L, 129L, 
    0L, 0L, 0L, 26L, 31L, 0L, 103L, 633L, 69L, 0L, 153L, 535L, 
    140L, 0L, 41L, 476L, 0L, 0L, 0L, 120L, 66L, 0L, 0L, 40L, 
    209L, 20L, 334L, 291L, 79L, 128L, 1979L, 696L, 156L, 197L, 
    1195L, 482L, 90L, 0L, 159L, 125L, 0L, 0L, 0L, 29L, 15L, 208L, 
    67L, 1012L, 59L, 293L, 86L, 1447L, 29L, 129L, 0L, 486L, 29L, 
    0L, 0L, 51L, 0L, 113L, 0L, 46L, 21L, 283L, 274L, 1639L, 23L, 
    305L, 397L, 1525L, 138L, 241L, 129L, 1488L, 0L, 0L, 66L, 
    335L, 0L, 0L, 29L, 138L, 0L, 382L, 0L, 848L, 0L, 351L, 0L, 
    220L, 0L, 46L, 0L, 361L, 0L, 48L, 0L, 0L, 0L, 46L, 0L, 46L, 
    0L, 228L, 62L, 1908L, 0L, 293L, 0L, 1691L, 0L, 54L, 0L, 686L, 
    0L, 58L, 0L, 121L, 0L, 0L, 0L, 71L, 59L, 0L, 533L, 634L, 
    191L, 0L, 899L, 1009L, 0L, 121L, 347L, 742L, 255L, 13L, 0L, 
    63L, 0L, 0L, 0L, 30L, 118L, 0L, 503L, 200L, 18L, 0L, 745L, 
    347L, 169L, 31L, 998L, 803L, 0L, 23L, 484L, 286L, 0L, 0L, 
    0L, 85L, 22L, 209L, 178L, 311L, 498L, 113L, 350L, 867L, 434L, 
    184L, 96L, 556L, 92L, 0L, 0L, 344L, 21L, 0L, 40L, 95L, 37L, 
    0L, 275L, 132L, 375L, 0L, 1442L, 508L, 394L, 369L, 1749L, 
    790L, 114L, 42L, 258L, 259L, 31L, 23L, 70L, 38L, 71L, 128L, 
    0L, 525L, 253L, 482L, 174L, 1123L, 276L, 398L, 69L, 445L, 
    0L, 23L, 0L, 120L, 0L, 0L, 0L, 165L, 0L, 79L, 175L, 556L, 
    34L, 619L, 323L, 1343L, 113L, 355L, 264L, 440L, 83L, 80L, 
    68L, 204L, 0L, 120L, 0L, 113L, 35L, 413L, 0L, 457L, 0L, 357L, 
    0L, 157L, 0L, 141L, 0L, 152L, 0L, 88L, 0L, 53L, 0L, 7L, 0L, 
    25L, 37L, 316L, 107L, 561L, 0L, 264L, 58L, 776L, 0L, 206L, 
    0L, 267L, 0L, 37L, 0L, 87L, 0L, 73L, 0L, 172L, 0L, 0L, 576L, 
    593L, 142L, 32L, 574L, 1375L, 414L, 57L, 901L, 1265L, 126L, 
    146L, 0L, 612L, 0L, 0L, 0L, 47L, 0L, 0L, 393L, 565L, 87L, 
    25L, 967L, 814L, 431L, 138L, 1028L, 1672L, 388L, 0L, 135L, 
    660L, 0L, 0L, 0L, 61L, 343L, 62L, 52L, 271L, 1090L, 201L, 
    343L, 1620L, 1539L, 312L, 428L, 1815L, 567L, 377L, 83L, 616L, 
    129L, 115L, 36L, 94L, 81L, 34L, 202L, 151L, 910L, 239L, 758L, 
    480L, 1486L, 376L, 1569L, 774L, 864L, 220L, 430L, 124L, 219L, 
    216L, 296L, 628L, 528L, 363L, 27L, 357L, 994L, 759L, 201L, 
    1245L, 580L, 546L, 62L, 551L, 348L, 265L, 22L, 500L, 235L, 
    179L, 20L, 429L, 193L, 495L, 126L, 512L, 618L, 1000L, 387L, 
    1065L, 425L, 670L, 467L, 1406L, 66L, 284L, 195L, 832L, 126L, 
    98L, 0L, 317L, 28L, 417L, 25L, 83L, 0L, 418L, 49L, 400L, 
    0L, 390L, 0L, 133L, 0L, 133L, 0L, 20L, 0L, 120L, 0L, 0L, 
    55L, 95L, 36L, 302L, 0L, 552L, 22L, 434L, 22L, 96L, 0L, 147L, 
    0L, 189L, 0L, 148L, 0L, 22L, 0L, 187L, 0L, 0L, 122L, 696L, 
    0L, 0L, 503L, 1169L, 21L, 229L, 668L, 1280L, 0L, 175L, 40L, 
    1028L, 0L, 0L, 0L, 84L, 0L, 94L, 127L, 138L, 29L, 0L, 155L, 
    421L, 376L, 23L, 565L, 1906L, 157L, 229L, 142L, 700L, 62L, 
    35L, 0L, 114L, 46L, 0L, 98L, 109L, 757L, 262L, 368L, 711L, 
    866L, 483L, 257L, 770L, 629L, 160L, 133L, 453L, 455L, 239L, 
    22L, 87L, 39L, 47L, 39L, 53L, 415L, 121L, 83L, 496L, 851L, 
    418L, 341L, 926L, 838L, 215L, 215L, 653L, 270L, 85L, 261L, 
    356L, 270L, 469L, 0L, 423L, 321L, 912L, 47L, 349L, 1018L, 
    1181L, 144L, 764L, 330L, 490L, 19L, 205L, 319L, 588L, 0L, 
    180L, 59L, 507L, 93L, 328L, 281L, 1143L, 354L, 886L, 452L, 
    1032L, 169L, 666L, 383L, 504L, 274L, 537L, 132L, 193L, 137L, 
    894L, 0L, 137L, 88L, 129L, 125L, 336L, 33L, 69L, 0L, 189L, 
    0L, 17L, 0L, 116L, 0L, 18L, 0L, 204L, 0L, 55L, 107L, 165L, 
    60L, 81L, 0L, 193L, 80L, 266L, 0L, 108L, 0L, 212L, 0L, 60L, 
    0L, 19L, 0L, 34L, 0L, 0L, 0L, 0L, 79L, 81L, 0L, 0L, 80L, 
    344L, 0L, 17L, 115L, 763L, 0L, 0L, 0L, 439L, 24L, 17L, 0L, 
    47L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 112L, 35L, 0L, 172L, 208L, 
    0L, 0L, 72L, 238L, 52L, 31L, 0L, 145L, 0L, 29L, 0L, 34L, 
    32L, 0L, 30L, 189L, 191L, 48L, 30L, 240L, 150L, 39L, 168L, 
    375L, 336L, 117L, 0L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 194L, 
    191L, 0L, 48L, 189L, 133L, 54L, 72L, 108L, 408L, 46L, 53L, 
    92L, 0L, 17L, 0L, 193L, 124L, 133L, 0L, 196L, 77L, 314L, 
    0L, 272L, 156L, 230L, 0L, 51L, 202L, 311L, 0L, 92L, 0L, 103L, 
    0L, 67L, 40L, 99L, 0L, 14L, 258L, 312L, 32L, 50L, 140L, 197L, 
    18L, 197L, 73L, 413L, 50L, 592L, 0L, 21L, 0L, 26L, 0L, 75L, 
    0L, 0L, 0L, 14L, 0L, 20L, 0L, 44L, 0L, 0L, 0L, 46L, 0L, 99L, 
    0L, 34L, 0L, 166L, 0L, 0L, 0L, 80L, 0L, 11L, 152L, 0L, 0L, 
    0L, 0L, 0L, 0L, 20L, 0L, 0L, 86L, 204L, 1048L, 1348L, 140L, 
    151L, 562L, 1113L, 114L, 0L, 280L, 1032L, 0L, 31L, 0L, 40L, 
    0L, 0L, 0L, 30L, 143L, 158L, 3410L, 1168L, 271L, 83L, 2439L, 
    1155L, 331L, 118L, 1666L, 1101L, 0L, 36L, 73L, 600L, 0L, 
    0L, 22L, 117L, 508L, 37L, 288L, 1373L, 1015L, 331L, 621L, 
    1283L, 35L, 139L, 233L, 190L, 22L, 0L, 0L, 73L, 0L, 0L, 22L, 
    101L, 296L, 247L, 1878L, 985L, 606L, 30L, 2627L, 849L, 428L, 
    59L, 2229L, 395L, 22L, 24L, 238L, 132L, 0L, 0L, 68L, 91L, 
    205L, 1068L, 0L, 2156L, 160L, 434L, 31L, 585L, 76L, 123L, 
    0L, 454L, 53L, 126L, 0L, 209L, 0L, 34L, 0L, 49L, 383L, 706L, 
    940L, 3902L, 116L, 633L, 616L, 2678L, 22L, 140L, 442L, 943L, 
    80L, 102L, 0L, 119L, 0L, 0L, 56L, 116L, 84L, 1075L, 0L, 1185L, 
    0L, 360L, 0L, 132L, 0L, 7L, 0L, 105L, 0L, 65L, 0L, 77L, 0L, 
    0L, 0L, 31L, 0L, 950L, 48L, 2436L, 0L, 139L, 0L, 657L, 0L, 
    0L, 0L, 325L, 0L, 65L, 0L, 99L, 0L, 0L, 0L, 22L, 117L, 58L, 
    852L, 1991L, 715L, 420L, 910L, 1712L, 138L, 22L, 447L, 833L, 
    0L, 70L, 0L, 334L, 0L, 27L, 0L, 16L, 109L, 150L, 807L, 637L, 
    546L, 246L, 1660L, 1112L, 431L, 96L, 787L, 1670L, 0L, 59L, 
    223L, 551L, 0L, 0L, 0L, 201L, 893L, 216L, 262L, 795L, 583L, 
    330L, 649L, 796L, 417L, 90L, 153L, 398L, 132L, 0L, 0L, 131L, 
    203L, 0L, 0L, 24L, 605L, 203L, 896L, 674L, 716L, 94L, 1924L, 
    689L, 620L, 34L, 1392L, 494L, 104L, 25L, 329L, 212L, 0L, 
    0L, 0L, 41L, 382L, 727L, 397L, 1022L, 126L, 379L, 210L, 791L, 
    153L, 170L, 79L, 101L, 34L, 144L, 0L, 170L, 0L, 28L, 0L, 
    0L, 227L, 984L, 499L, 1047L, 166L, 285L, 522L, 815L, 123L, 
    143L, 338L, 786L, 50L, 148L, 35L, 222L, 0L, 0L, 0L, 25L, 
    0L, 547L, 83L, 255L, 59L, 457L, 0L, 94L, 0L, 84L, 0L, 26L, 
    0L, 19L, 26L, 0L, 42L, 24L, 0L, 0L, 0L, 408L, 127L, 391L, 
    0L, 357L, 0L, 296L, 0L, 24L, 0L, 35L, 0L, 109L, 0L, 22L, 
    0L, 0L, 0L, 139L, 194L, 160L, 1000L, 1183L, 448L, 381L, 1397L, 
    2080L, 199L, 204L, 486L, 1714L, 0L, 30L, 41L, 503L, 92L, 
    23L, 0L, 31L, 96L, 82L, 849L, 238L, 310L, 203L, 1914L, 1296L, 
    522L, 148L, 519L, 2098L, 102L, 244L, 22L, 735L, 0L, 49L, 
    0L, 196L, 1056L, 168L, 312L, 787L, 1760L, 326L, 917L, 832L, 
    1455L, 406L, 780L, 1139L, 352L, 0L, 0L, 405L, 184L, 216L, 
    72L, 291L, 455L, 69L, 135L, 157L, 1697L, 473L, 456L, 435L, 
    1657L, 114L, 1692L, 565L, 645L, 16L, 242L, 552L, 139L, 347L, 
    132L, 193L, 232L, 631L, 315L, 667L, 412L, 1324L, 124L, 402L, 
    460L, 398L, 151L, 184L, 260L, 96L, 0L, 111L, 15L, 191L, 0L, 
    142L, 0L, 477L, 122L, 549L, 359L, 1208L, 158L, 803L, 520L, 
    796L, 210L, 834L, 103L, 186L, 134L, 96L, 104L, 103L, 194L, 
    300L, 0L, 396L, 0L, 0L, 20L, 118L, 0L, 55L, 0L, 80L, 0L, 
    0L, 0L, 0L, 0L, 50L, 0L, 127L, 0L, 75L, 0L, 232L, 235L, 176L, 
    0L, 0L, 43L, 167L, 0L, 105L, 0L, 126L, 0L, 37L, 0L, 32L, 
    0L, 29L, 0L, 73L, 0L, 0L, 415L, 400L, 253L, 80L, 915L, 2721L, 
    163L, 243L, 1425L, 931L, 54L, 86L, 133L, 830L, 0L, 96L, 0L, 
    256L, 45L, 0L, 165L, 382L, 301L, 43L, 801L, 436L, 72L, 226L, 
    747L, 1038L, 184L, 289L, 433L, 749L, 0L, 148L, 0L, 195L, 
    411L, 54L, 20L, 368L, 1201L, 313L, 573L, 1583L, 1253L, 350L, 
    222L, 463L, 898L, 277L, 371L, 515L, 475L, 27L, 0L, 449L, 
    146L, 99L, 56L, 208L, 874L, 262L, 146L, 262L, 1704L, 521L, 
    326L, 831L, 845L, 268L, 213L, 46L, 686L, 266L, 99L, 448L, 
    309L, 681L, 239L, 401L, 462L, 759L, 241L, 363L, 316L, 208L, 
    46L, 215L, 401L, 344L, 0L, 136L, 285L, 350L, 30L, 172L, 25L, 
    180L, 48L, 144L, 492L, 621L, 188L, 180L, 465L, 487L, 44L, 
    354L, 311L, 327L, 77L, 119L, 454L, 419L, 82L, 161L, 108L, 
    103L, 0L, 41L, 85L, 226L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 
    0L, 22L, 0L, 98L, 0L, 0L, 42L, 194L, 351L, 128L, 0L, 116L, 
    39L, 110L, 0L, 49L, 0L, 0L, 35L, 60L, 52L, 31L, 0L, 88L, 
    0L, 24L, 40L, 0L, 52L, 37L, 0L, 66L, 108L, 492L, 0L, 23L, 
    229L, 584L, 0L, 97L, 53L, 308L, 29L, 31L, 0L, 0L, 22L, 0L, 
    0L, 89L, 0L, 44L, 129L, 74L, 0L, 52L, 139L, 196L, 21L, 122L, 
    0L, 325L, 0L, 21L, 70L, 0L, 24L, 26L, 0L, 0L, 198L, 0L, 0L, 
    0L, 26L, 0L, 30L, 21L, 241L, 0L, 0L, 0L, 186L, 288L, 17L, 
    156L, 30L, 0L, 0L, 0L, 56L, 75L, 23L, 26L, 165L, 86L, 0L, 
    125L, 209L, 126L, 0L, 28L, 547L, 174L, 22L, 44L, 39L, 98L, 
    0L, 0L, 18L, 54L, 0L, 33L, 4L, 204L, 29L, 48L, 113L, 152L, 
    0L, 33L, 230L, 458L, 0L, 49L, 19L, 87L, 0L, 0L, 56L, 0L, 
    47L, 0L, 270L, 199L, 38L, 57L, 88L, 231L, 42L, 23L, 206L, 
    285L, 51L, 62L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 21L, 0L, 0L, 0L, 30L, 0L, 32L, 0L, 0L, 0L, 0L, 
    0L, 18L, 0L, 54L, 41L, 0L, 0L, 31L, 0L, 0L, 0L, 51L, 0L, 
    32L, 0L, 0L, 2613L, 274L, 4452L, 8553L, 2931L, 950L, 4300L, 
    12100L, 1518L, 1052L, 1699L, 26456L, 365L, 304L, 132L, 5738L, 
    0L, 28L, 32L, 777L, 2851L, 408L, 8008L, 4840L, 3748L, 1751L, 
    9184L, 10619L, 3454L, 1178L, 8152L, 25926L, 359L, 653L, 442L, 
    7031L, 43L, 194L, 69L, 1041L, 3583L, 1024L, 1890L, 5699L, 
    5800L, 2557L, 3286L, 11177L, 3853L, 1125L, 1796L, 8193L, 
    941L, 405L, 44L, 2444L, 477L, 160L, 110L, 999L, 2688L, 890L, 
    4363L, 3985L, 7118L, 2178L, 10817L, 8340L, 4960L, 1557L, 
    10698L, 7594L, 1272L, 188L, 1322L, 1924L, 234L, 93L, 229L, 
    367L, 1791L, 5527L, 1439L, 9383L, 2736L, 8461L, 2252L, 21807L, 
    2060L, 6734L, 477L, 14143L, 484L, 1441L, 61L, 3911L, 215L, 
    759L, 45L, 1445L, 802L, 5665L, 1129L, 10556L, 2334L, 12842L, 
    2671L, 29670L, 1513L, 7097L, 2681L, 20926L, 795L, 1307L, 
    834L, 4254L, 236L, 579L, 313L, 2215L, 99L, 12527L, 258L, 
    14122L, 85L, 12157L, 38L, 12122L, 33L, 4985L, 0L, 5528L, 
    21L, 1588L, 0L, 1896L, 0L, 1333L, 0L, 975L, 32L, 8905L, 294L, 
    50674L, 9L, 15622L, 128L, 64653L, 9L, 4114L, 0L, 21649L, 
    0L, 827L, 0L, 5103L, 0L, 361L, 0L, 2712L, 2401L, 1078L, 5737L, 
    9236L, 7176L, 2912L, 7891L, 23533L, 6278L, 4036L, 5974L, 
    28005L, 1059L, 1462L, 317L, 8091L, 205L, 398L, 73L, 800L, 
    2948L, 481L, 4094L, 5638L, 7349L, 3058L, 9081L, 13864L, 9411L, 
    3855L, 9928L, 27424L, 1484L, 2387L, 891L, 10248L, 177L, 225L, 
    91L, 1158L, 5878L, 1274L, 2810L, 6546L, 18447L, 4995L, 5980L, 
    21985L, 12533L, 2602L, 3468L, 15429L, 4271L, 837L, 528L, 
    4638L, 961L, 272L, 176L, 1684L, 4862L, 1076L, 2289L, 3294L, 
    17563L, 4411L, 12665L, 10220L, 17570L, 3567L, 14642L, 12454L, 
    4686L, 760L, 2442L, 5065L, 773L, 469L, 769L, 1373L, 3292L, 
    9677L, 951L, 8303L, 6543L, 29702L, 2184L, 29443L, 5396L, 
    21776L, 1450L, 20063L, 2159L, 4656L, 210L, 5963L, 878L, 2388L, 
    136L, 2877L, 1627L, 10856L, 610L, 6749L, 4594L, 42895L, 3765L, 
    32243L, 3769L, 23684L, 3867L, 31436L, 1352L, 4622L, 1421L, 
    8744L, 700L, 2269L, 254L, 4074L, 218L, 33154L, 98L, 10196L, 
    201L, 46715L, 6L, 13923L, 103L, 25487L, 193L, 8388L, 50L, 
    6954L, 0L, 3366L, 12L, 3173L, 0L, 1863L, 56L, 20761L, 224L, 
    21424L, 62L, 55930L, 83L, 43938L, 8L, 17725L, 81L, 19843L, 
    0L, 3947L, 0L, 6583L, 0L, 1743L, 0L, 4763L, 1681L, 817L, 
    7120L, 11885L, 8231L, 5856L, 13324L, 35249L, 11362L, 7526L, 
    9059L, 37609L, 3712L, 6143L, 781L, 13346L, 516L, 954L, 201L, 
    2180L, 1256L, 745L, 4764L, 6789L, 9964L, 4015L, 10525L, 17738L, 
    17230L, 9872L, 12518L, 34487L, 6602L, 8460L, 1318L, 15875L, 
    793L, 1724L, 224L, 2287L, 8867L, 2595L, 2404L, 5511L, 49050L, 
    13939L, 8065L, 28390L, 54731L, 12467L, 6221L, 27314L, 23705L, 
    5360L, 1935L, 11695L, 7977L, 1395L, 470L, 4162L, 5600L, 2087L, 
    1694L, 2750L, 45441L, 12695L, 7451L, 14017L, 66710L, 10843L, 
    11603L, 12761L, 27263L, 5592L, 4932L, 9909L, 6064L, 2264L, 
    1582L, 6126L, 4532L, 16603L, 1202L, 7418L, 21689L, 69427L, 
    2834L, 28765L, 21680L, 60512L, 2959L, 30294L, 8780L, 18768L, 
    775L, 10824L, 3796L, 11110L, 280L, 5453L, 2613L, 14315L, 
    780L, 3962L, 13462L, 88923L, 3250L, 24920L, 14983L, 66499L, 
    4945L, 28833L, 6593L, 18904L, 2406L, 14976L, 1747L, 9083L, 
    1374L, 11333L, 455L, 18634L, 493L, 4249L, 266L, 37796L, 225L, 
    6534L, 277L, 30955L, 44L, 5199L, 0L, 16502L, 8L, 2866L, 260L, 
    12164L, 0L, 2592L, 104L, 11900L, 665L, 9671L, 112L, 43340L, 
    1031L, 17749L, 60L, 20702L, 132L, 10366L, 0L, 8705L, 90L, 
    4806L, 0L, 5921L, 250L, 6265L, 528L, 256L, 5966L, 7909L, 
    2649L, 3092L, 13991L, 30263L, 3815L, 4322L, 17389L, 43201L, 
    2850L, 5879L, 1471L, 14611L, 658L, 1288L, 107L, 1276L, 565L, 
    416L, 4146L, 5334L, 2499L, 1880L, 10873L, 16727L, 6907L, 
    4993L, 17083L, 33825L, 5788L, 9371L, 2106L, 16115L, 1533L, 
    2958L, 263L, 1876L, 4048L, 1157L, 1164L, 2664L, 30205L, 9511L, 
    3477L, 14337L, 53599L, 14455L, 3853L, 14991L, 49078L, 12280L, 
    1653L, 11137L, 25350L, 4747L, 466L, 5157L, 2666L, 1732L, 
    639L, 953L, 31604L, 8898L, 2004L, 5852L, 64017L, 14395L, 
    4277L, 8329L, 54098L, 12038L, 2769L, 7449L, 26031L, 6015L, 
    1203L, 4349L, 3202L, 8682L, 296L, 2197L, 20623L, 55086L, 
    2083L, 10847L, 31707L, 81611L, 1833L, 14883L, 26082L, 42691L, 
    1216L, 10007L, 16504L, 29828L, 898L, 7202L, 1619L, 6485L, 
    768L, 1968L, 16238L, 68780L, 1994L, 9606L, 25607L, 81348L, 
    2431L, 12206L, 17864L, 36509L, 1021L, 7139L, 10031L, 27739L, 
    1437L, 8889L, 297L, 4025L, 345L, 1761L, 353L, 9531L, 115L, 
    2187L, 339L, 12244L, 443L, 1424L, 258L, 10354L, 40L, 1826L, 
    224L, 14656L, 9L, 2009L, 217L, 2986L, 793L, 3940L, 390L, 
    12225L, 1360L, 7640L, 16L, 8912L, 199L, 3281L, 32L, 6574L, 
    141L, 2527L, 0L, 5284L, 218L, 2160L, 173L, 20L, 1681L, 1724L, 
    117L, 199L, 3183L, 4891L, 75L, 431L, 4785L, 10760L, 91L, 
    469L, 727L, 4200L, 53L, 192L, 196L, 646L, 119L, 0L, 1288L, 
    744L, 164L, 232L, 1934L, 3001L, 295L, 491L, 3880L, 7558L, 
    486L, 622L, 1031L, 4123L, 148L, 344L, 43L, 642L, 497L, 53L, 
    287L, 201L, 2913L, 1286L, 199L, 2042L, 5562L, 1565L, 502L, 
    2776L, 11874L, 2919L, 436L, 2511L, 13964L, 2288L, 235L, 1518L, 
    300L, 239L, 35L, 185L, 2993L, 1566L, 367L, 701L, 8308L, 1617L, 
    628L, 1527L, 15787L, 2870L, 764L, 1770L, 12705L, 3074L, 217L, 
    1173L, 563L, 1068L, 380L, 520L, 2274L, 6858L, 507L, 2206L, 
    4864L, 13951L, 613L, 2161L, 11147L, 18338L, 234L, 2959L, 
    15544L, 23222L, 769L, 3204L, 174L, 725L, 34L, 56L, 2238L, 
    10476L, 199L, 776L, 5896L, 19599L, 127L, 1169L, 9250L, 17675L, 
    295L, 1754L, 8766L, 17152L, 559L, 2299L, 32L, 568L, 168L, 
    320L, 57L, 2648L, 87L, 408L, 119L, 2793L, 0L, 290L, 35L, 
    4459L, 0L, 495L, 247L, 6685L, 0L, 876L, 0L, 383L, 146L, 671L, 
    85L, 3236L, 419L, 1307L, 0L, 2616L, 238L, 561L, 90L, 2980L, 
    50L, 460L, 0L, 2320L, 40L, 895L, 207L, 232L, 4997L, 4734L, 
    516L, 228L, 2074L, 5366L, 162L, 15L, 1268L, 4674L, 106L, 
    0L, 82L, 310L, 0L, 0L, 0L, 97L, 164L, 32L, 5516L, 3302L, 
    545L, 191L, 10088L, 5455L, 368L, 113L, 7283L, 4694L, 20L, 
    0L, 246L, 1137L, 0L, 0L, 0L, 171L, 469L, 256L, 1386L, 4428L, 
    1763L, 449L, 2274L, 7743L, 810L, 295L, 440L, 2366L, 89L, 
    0L, 27L, 319L, 54L, 66L, 32L, 67L, 856L, 169L, 7038L, 2365L, 
    1870L, 726L, 9817L, 4580L, 1253L, 193L, 9364L, 3656L, 267L, 
    27L, 790L, 750L, 0L, 0L, 173L, 290L, 666L, 1350L, 718L, 8163L, 
    689L, 1406L, 628L, 6447L, 297L, 665L, 174L, 4937L, 34L, 149L, 
    32L, 532L, 0L, 28L, 0L, 275L, 179L, 1007L, 1542L, 7597L, 
    319L, 2024L, 2713L, 11052L, 271L, 1211L, 1796L, 9053L, 0L, 
    92L, 171L, 1303L, 0L, 29L, 92L, 512L, 0L, 1515L, 492L, 4662L, 
    0L, 1084L, 0L, 2225L, 0L, 336L, 163L, 1102L, 0L, 0L, 0L, 
    76L, 0L, 34L, 0L, 65L, 0L, 1155L, 180L, 12192L, 0L, 804L, 
    373L, 7828L, 0L, 136L, 0L, 4781L, 0L, 69L, 0L, 847L, 0L, 
    0L, 0L, 184L, 101L, 193L, 3512L, 4400L, 1052L, 87L, 3212L, 
    6981L, 574L, 147L, 1269L, 4462L, 0L, 67L, 0L, 641L, 44L, 
    35L, 0L, 164L, 116L, 147L, 2417L, 2420L, 486L, 230L, 4905L, 
    4568L, 756L, 524L, 5127L, 5962L, 96L, 73L, 799L, 1733L, 22L, 
    0L, 0L, 73L, 1121L, 74L, 1804L, 1997L, 2295L, 885L, 1484L, 
    6874L, 2096L, 438L, 1325L, 4126L, 292L, 184L, 191L, 506L, 
    49L, 0L, 259L, 111L, 919L, 118L, 1368L, 1161L, 1915L, 716L, 
    7217L, 6077L, 2645L, 402L, 8304L, 5586L, 344L, 212L, 1083L, 
    911L, 187L, 0L, 76L, 258L, 526L, 1575L, 821L, 3755L, 1063L, 
    3551L, 631L, 5151L, 918L, 1492L, 698L, 4595L, 140L, 457L, 
    29L, 1060L, 118L, 250L, 0L, 247L, 428L, 1465L, 1242L, 2476L, 
    750L, 3908L, 1945L, 9335L, 524L, 2199L, 2138L, 10064L, 86L, 
    361L, 580L, 1777L, 75L, 291L, 60L, 1034L, 214L, 4588L, 94L, 
    2946L, 92L, 2917L, 0L, 2285L, 0L, 1112L, 235L, 1354L, 60L, 
    203L, 0L, 266L, 0L, 107L, 0L, 87L, 0L, 2435L, 224L, 4648L, 
    7L, 1923L, 178L, 3847L, 0L, 1220L, 164L, 3841L, 0L, 87L, 
    54L, 755L, 16L, 168L, 0L, 379L, 205L, 133L, 1682L, 3528L, 
    712L, 426L, 3033L, 8312L, 1532L, 262L, 1609L, 5482L, 168L, 
    54L, 232L, 1132L, 186L, 0L, 0L, 173L, 73L, 393L, 1122L, 2137L, 
    979L, 316L, 2214L, 4589L, 1491L, 734L, 2973L, 7477L, 465L, 
    181L, 1191L, 1691L, 41L, 0L, 38L, 650L, 1309L, 256L, 537L, 
    2655L, 3757L, 1163L, 2209L, 7628L, 4114L, 1863L, 1420L, 6346L, 
    1650L, 573L, 376L, 1431L, 375L, 34L, 60L, 605L, 534L, 196L, 
    315L, 1240L, 3224L, 942L, 2618L, 4660L, 6122L, 920L, 5378L, 
    4836L, 1757L, 461L, 2383L, 2161L, 506L, 307L, 869L, 1328L, 
    829L, 1800L, 322L, 2064L, 2757L, 4710L, 714L, 6821L, 2173L, 
    4738L, 820L, 5165L, 389L, 1011L, 251L, 2084L, 257L, 238L, 
    47L, 845L, 400L, 1495L, 649L, 2516L, 1055L, 5429L, 1556L, 
    5961L, 1221L, 3735L, 2454L, 9955L, 530L, 1457L, 629L, 3019L, 
    107L, 436L, 446L, 2489L, 29L, 2062L, 265L, 917L, 29L, 2509L, 
    180L, 1254L, 0L, 1247L, 0L, 736L, 0L, 278L, 31L, 249L, 0L, 
    493L, 0L, 167L, 0L, 835L, 230L, 3151L, 35L, 1506L, 0L, 2417L, 
    0L, 1428L, 246L, 2032L, 0L, 449L, 41L, 442L, 28L, 383L, 64L, 
    984L, 44L, 0L, 845L, 1780L, 417L, 202L, 2484L, 3670L, 938L, 
    167L, 1394L, 4145L, 249L, 41L, 34L, 711L, 189L, 173L, 0L, 
    0L, 0L, 0L, 614L, 853L, 610L, 248L, 1150L, 2142L, 583L, 354L, 
    1835L, 4300L, 171L, 269L, 397L, 1103L, 149L, 27L, 37L, 307L, 
    324L, 160L, 165L, 605L, 3493L, 939L, 743L, 2732L, 4114L, 
    1399L, 804L, 2664L, 2466L, 695L, 272L, 1027L, 1254L, 422L, 
    85L, 291L, 186L, 50L, 542L, 231L, 1677L, 592L, 549L, 1718L, 
    5414L, 1108L, 1055L, 2438L, 2144L, 715L, 713L, 1596L, 2182L, 
    613L, 258L, 746L, 113L, 977L, 0L, 965L, 1656L, 3427L, 714L, 
    2156L, 3273L, 5169L, 259L, 2184L, 1742L, 2089L, 34L, 810L, 
    992L, 1754L, 0L, 392L, 169L, 910L, 326L, 815L, 756L, 2831L, 
    231L, 1891L, 1567L, 5184L, 1081L, 3545L, 1237L, 2559L, 273L, 
    1317L, 1092L, 1884L, 123L, 2326L, 0L, 1053L, 64L, 463L, 70L, 
    1087L, 0L, 346L, 26L, 938L, 95L, 300L, 119L, 343L, 56L, 0L, 
    0L, 744L, 0L, 296L, 0L, 631L, 200L, 1029L, 0L, 287L, 453L, 
    1110L, 36L, 907L, 267L, 1038L, 0L, 295L, 91L, 227L, 0L, 330L, 
    0L, 267L, 0L, 0L, 137L, 148L, 0L, 0L, 131L, 567L, 0L, 68L, 
    170L, 944L, 0L, 50L, 0L, 97L, 0L, 35L, 0L, 270L, 0L, 0L, 
    45L, 0L, 0L, 0L, 218L, 108L, 0L, 62L, 262L, 376L, 0L, 0L, 
    345L, 364L, 59L, 71L, 0L, 31L, 119L, 0L, 0L, 326L, 160L, 
    56L, 79L, 540L, 370L, 186L, 105L, 192L, 845L, 188L, 0L, 780L, 
    711L, 27L, 0L, 251L, 27L, 0L, 161L, 133L, 115L, 26L, 61L, 
    199L, 302L, 212L, 110L, 63L, 422L, 0L, 171L, 113L, 1097L, 
    131L, 25L, 306L, 0L, 128L, 0L, 119L, 186L, 565L, 150L, 101L, 
    427L, 890L, 78L, 202L, 571L, 1051L, 55L, 79L, 471L, 746L, 
    131L, 65L, 0L, 0L, 113L, 0L, 111L, 410L, 96L, 413L, 262L, 
    595L, 46L, 316L, 389L, 957L, 0L, 393L, 415L, 1261L, 23L, 
    158L, 0L, 134L, 0L, 121L, 0L, 115L, 0L, 76L, 169L, 96L, 0L, 
    58L, 0L, 98L, 0L, 0L, 0L, 295L, 0L, 66L, 0L, 68L, 37L, 241L, 
    0L, 80L, 0L, 55L, 44L, 21L, 0L, 69L, 0L, 75L, 0L, 0L, 0L, 
    118L, 0L, 66L, 276L, 270L, 485L, 433L, 150L, 201L, 378L, 
    824L, 31L, 46L, 461L, 800L, 0L, 26L, 0L, 119L, 0L, 0L, 0L, 
    14L, 376L, 0L, 809L, 413L, 344L, 162L, 672L, 462L, 150L, 
    0L, 900L, 1351L, 0L, 0L, 0L, 60L, 0L, 0L, 0L, 0L, 332L, 31L, 
    258L, 401L, 108L, 353L, 643L, 499L, 76L, 38L, 31L, 570L, 
    36L, 40L, 0L, 163L, 41L, 0L, 0L, 0L, 110L, 0L, 723L, 266L, 
    309L, 0L, 714L, 252L, 237L, 29L, 898L, 403L, 29L, 0L, 129L, 
    53L, 0L, 41L, 186L, 0L, 244L, 323L, 0L, 601L, 35L, 103L, 
    24L, 834L, 101L, 210L, 67L, 268L, 0L, 52L, 0L, 15L, 0L, 0L, 
    0L, 57L, 92L, 264L, 67L, 669L, 0L, 277L, 282L, 496L, 239L, 
    117L, 88L, 318L, 0L, 58L, 53L, 44L, 0L, 0L, 0L, 0L, 0L, 483L, 
    0L, 289L, 0L, 36L, 0L, 129L, 0L, 35L, 0L, 84L, 0L, 0L, 0L, 
    39L, 0L, 0L, 0L, 0L, 0L, 513L, 11L, 1101L, 0L, 35L, 87L, 
    527L, 0L, 21L, 0L, 126L, 0L, 0L, 0L, 76L, 0L, 32L, 0L, 131L, 
    400L, 42L, 1108L, 677L, 360L, 47L, 497L, 1269L, 278L, 186L, 
    165L, 711L, 106L, 0L, 0L, 220L, 51L, 0L, 0L, 0L, 321L, 0L, 
    783L, 617L, 831L, 345L, 762L, 522L, 490L, 190L, 473L, 1054L, 
    38L, 9L, 0L, 268L, 0L, 0L, 0L, 0L, 960L, 190L, 242L, 266L, 
    1178L, 183L, 156L, 1062L, 637L, 50L, 247L, 517L, 53L, 14L, 
    0L, 209L, 86L, 0L, 0L, 51L, 910L, 124L, 307L, 73L, 978L, 
    158L, 519L, 803L, 756L, 12L, 997L, 406L, 484L, 157L, 63L, 
    85L, 0L, 0L, 42L, 54L, 452L, 1118L, 125L, 754L, 258L, 685L, 
    63L, 726L, 176L, 107L, 0L, 600L, 35L, 0L, 0L, 49L, 0L, 53L, 
    0L, 258L, 107L, 915L, 78L, 748L, 151L, 949L, 42L, 947L, 96L, 
    315L, 310L, 777L, 0L, 11L, 83L, 95L, 41L, 111L, 0L, 49L, 
    8L, 891L, 82L, 314L, 0L, 349L, 0L, 236L, 0L, 66L, 0L, 16L, 
    0L, 43L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 537L, 70L, 437L, 0L, 
    616L, 0L, 127L, 0L, 248L, 0L, 94L, 0L, 242L, 0L, 139L, 0L, 
    16L, 0L, 0L, 121L, 186L, 724L, 1545L, 883L, 300L, 1255L, 
    1077L, 345L, 184L, 796L, 1240L, 34L, 37L, 0L, 161L, 0L, 37L, 
    0L, 0L, 499L, 70L, 276L, 394L, 710L, 504L, 1293L, 916L, 535L, 
    356L, 698L, 923L, 289L, 158L, 0L, 245L, 0L, 57L, 28L, 0L, 
    813L, 48L, 389L, 485L, 1636L, 680L, 280L, 973L, 1656L, 222L, 
    138L, 860L, 486L, 27L, 0L, 514L, 110L, 75L, 0L, 321L, 436L, 
    211L, 60L, 374L, 2019L, 457L, 189L, 338L, 2168L, 327L, 730L, 
    307L, 544L, 174L, 165L, 232L, 172L, 36L, 33L, 57L, 454L, 
    745L, 89L, 322L, 359L, 1689L, 38L, 782L, 525L, 639L, 96L, 
    528L, 186L, 203L, 0L, 79L, 63L, 49L, 0L, 101L, 119L, 258L, 
    100L, 235L, 441L, 1687L, 105L, 625L, 430L, 757L, 100L, 545L, 
    124L, 181L, 393L, 280L, 0L, 127L, 37L, 151L, 8L, 650L, 68L, 
    144L, 37L, 401L, 77L, 173L, 0L, 426L, 0L, 64L, 0L, 66L, 0L, 
    0L, 0L, 92L, 0L, 114L, 8L, 462L, 0L, 215L, 0L, 411L, 0L, 
    78L, 0L, 285L, 0L, 105L, 0L, 64L, 0L, 65L, 0L, 25L, 0L, 0L, 
    0L, 55L, 233L, 479L, 14L, 0L, 620L, 988L, 176L, 7L, 939L, 
    1335L, 90L, 48L, 33L, 57L, 72L, 25L, 0L, 52L, 31L, 0L, 124L, 
    123L, 179L, 0L, 301L, 785L, 343L, 176L, 577L, 1516L, 45L, 
    211L, 70L, 315L, 186L, 0L, 0L, 53L, 240L, 0L, 322L, 256L, 
    998L, 278L, 146L, 641L, 1183L, 508L, 86L, 373L, 834L, 195L, 
    9L, 276L, 325L, 80L, 63L, 27L, 201L, 0L, 46L, 50L, 846L, 
    320L, 261L, 338L, 1916L, 268L, 248L, 266L, 768L, 299L, 25L, 
    155L, 356L, 130L, 76L, 45L, 199L, 715L, 67L, 253L, 298L, 
    743L, 0L, 277L, 790L, 1081L, 0L, 258L, 377L, 474L, 50L, 61L, 
    204L, 505L, 0L, 146L, 280L, 154L, 0L, 136L, 591L, 1503L, 
    30L, 274L, 330L, 791L, 49L, 210L, 262L, 620L, 32L, 283L, 
    147L, 289L, 48L, 29L, 0L, 162L, 0L, 57L, 20L, 96L, 0L, 62L, 
    0L, 22L, 0L, 0L, 0L, 81L, 0L, 0L, 0L, 67L, 0L, 100L, 0L, 
    110L, 123L, 76L, 0L, 201L, 84L, 80L, 0L, 26L, 24L, 28L, 0L, 
    45L, 0L, 0L, 0L, 36L, 0L, 119L, 0L, 68L, 79L, 25L, 96L, 0L, 
    94L, 143L, 0L, 0L, 49L, 528L, 0L, 0L, 0L, 106L, 0L, 0L, 0L, 
    44L, 0L, 0L, 36L, 44L, 0L, 119L, 0L, 318L, 35L, 0L, 45L, 
    240L, 0L, 0L, 0L, 221L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 36L, 12L, 0L, 10L, 0L, 36L, 29L, 29L, 0L, 0L, 104L, 244L, 
    33L, 80L, 0L, 0L, 0L, 41L, 11L, 58L, 26L, 0L, 173L, 0L, 0L, 
    27L, 333L, 62L, 0L, 67L, 45L, 58L, 0L, 107L, 14L, 71L, 0L, 
    0L, 0L, 263L, 0L, 10L, 86L, 50L, 0L, 29L, 33L, 129L, 0L, 
    100L, 302L, 321L, 14L, 67L, 0L, 0L, 0L, 0L, 31L, 91L, 0L, 
    0L, 76L, 406L, 0L, 0L, 254L, 210L, 12L, 92L, 195L, 102L, 
    33L, 206L, 0L, 77L, 0L, 0L, 0L, 0L, 0L, 47L, 0L, 0L, 25L, 
    0L, 0L, 0L, 0L, 36L, 31L, 134L, 0L, 33L, 0L, 53L, 0L, 55L, 
    0L, 67L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 90L, 0L, 101L, 
    0L, 58L, 410L, 186L, 737L, 2700L, 584L, 278L, 1352L, 6446L, 
    407L, 439L, 906L, 11526L, 519L, 397L, 0L, 3110L, 0L, 42L, 
    0L, 198L, 346L, 32L, 1912L, 1306L, 756L, 258L, 4065L, 4560L, 
    1002L, 395L, 5984L, 14188L, 200L, 433L, 375L, 3968L, 0L, 
    90L, 0L, 417L, 415L, 10L, 830L, 1518L, 1267L, 483L, 1041L, 
    4711L, 1234L, 384L, 1138L, 4171L, 289L, 39L, 193L, 2116L, 
    146L, 24L, 0L, 313L, 519L, 165L, 1587L, 611L, 1041L, 411L, 
    3146L, 2231L, 1575L, 402L, 4597L, 2817L, 775L, 150L, 595L, 
    1142L, 105L, 56L, 98L, 595L, 560L, 1153L, 114L, 3713L, 708L, 
    3032L, 937L, 11452L, 675L, 2472L, 432L, 7422L, 325L, 538L, 
    121L, 3080L, 0L, 528L, 39L, 728L, 128L, 1290L, 464L, 2980L, 
    557L, 4974L, 988L, 12906L, 597L, 2365L, 943L, 10694L, 173L, 
    691L, 528L, 2930L, 195L, 497L, 45L, 1094L, 17L, 9822L, 0L, 
    7890L, 0L, 7845L, 0L, 6870L, 0L, 2879L, 0L, 3311L, 0L, 1157L, 
    34L, 1524L, 0L, 510L, 0L, 541L, 20L, 5897L, 0L, 23798L, 0L, 
    11097L, 0L, 35505L, 0L, 3952L, 41L, 15304L, 0L, 707L, 0L, 
    3373L, 0L, 254L, 0L, 1291L, 715L, 292L, 2489L, 3720L, 2238L, 
    1621L, 3193L, 11892L, 4104L, 2287L, 2785L, 18887L, 514L, 
    1385L, 106L, 4690L, 38L, 256L, 0L, 582L, 1050L, 533L, 1149L, 
    1380L, 3400L, 1267L, 4067L, 5877L, 4775L, 2037L, 5322L, 17547L, 
    634L, 1750L, 394L, 8631L, 128L, 241L, 64L, 1116L, 1213L, 
    721L, 713L, 1722L, 5437L, 1477L, 2535L, 10840L, 6372L, 1644L, 
    2368L, 10346L, 2336L, 868L, 365L, 4601L, 1044L, 71L, 12L, 
    649L, 346L, 412L, 1041L, 612L, 5747L, 1358L, 3820L, 3703L, 
    7318L, 1888L, 8082L, 6957L, 2237L, 669L, 1697L, 4389L, 762L, 
    530L, 480L, 1773L, 510L, 2652L, 378L, 2981L, 2308L, 13124L, 
    1135L, 13092L, 3093L, 8694L, 871L, 12062L, 992L, 2874L, 198L, 
    4525L, 473L, 1000L, 0L, 1459L, 203L, 2584L, 109L, 2438L, 
    1582L, 18232L, 2062L, 16599L, 2327L, 9953L, 2600L, 15680L, 
    774L, 3163L, 1137L, 6400L, 252L, 606L, 93L, 2231L, 0L, 15430L, 
    43L, 4274L, 0L, 25355L, 49L, 6277L, 35L, 11453L, 20L, 3362L, 
    23L, 4171L, 0L, 1694L, 13L, 2483L, 0L, 1255L, 0L, 8881L, 
    56L, 7415L, 0L, 27839L, 247L, 19543L, 0L, 9934L, 0L, 12146L, 
    20L, 3062L, 0L, 5213L, 0L, 1060L, 0L, 3153L, 1128L, 510L, 
    4291L, 5106L, 5854L, 3583L, 7219L, 17178L, 8286L, 6114L, 
    4982L, 26436L, 3139L, 4187L, 715L, 11679L, 510L, 917L, 0L, 
    1066L, 492L, 365L, 2790L, 3350L, 4932L, 1895L, 5379L, 7895L, 
    12980L, 6825L, 7567L, 20996L, 5732L, 6753L, 1022L, 13389L, 
    633L, 862L, 39L, 1526L, 3185L, 635L, 572L, 2158L, 23491L, 
    6405L, 4734L, 14633L, 34793L, 7185L, 3618L, 17056L, 16677L, 
    2783L, 1524L, 9021L, 5474L, 628L, 332L, 1896L, 1665L, 754L, 
    322L, 1189L, 18820L, 5282L, 3937L, 6001L, 39652L, 6538L, 
    9165L, 8401L, 19665L, 3533L, 2870L, 7746L, 4797L, 1260L, 
    1413L, 3981L, 1575L, 4893L, 213L, 3271L, 12239L, 38807L, 
    1915L, 15570L, 12123L, 33777L, 2856L, 16413L, 5341L, 13643L, 
    764L, 7258L, 2476L, 4919L, 226L, 3305L, 524L, 4317L, 334L, 
    1019L, 7192L, 46829L, 1743L, 11664L, 9970L, 38485L, 2792L, 
    18387L, 5058L, 13382L, 1981L, 10486L, 1488L, 3903L, 1225L, 
    6892L, 157L, 8644L, 53L, 1548L, 166L, 22440L, 37L, 3656L, 
    113L, 14425L, 0L, 2947L, 18L, 9435L, 71L, 1899L, 36L, 7522L, 
    0L, 1441L, 37L, 4195L, 137L, 2643L, 35L, 21427L, 741L, 7872L, 
    83L, 13566L, 87L, 6416L, 0L, 7083L, 0L, 4222L, 0L, 2033L, 
    37L, 2131L, 313L, 332L, 3765L, 5341L, 2211L, 1645L, 9033L, 
    19535L, 3407L, 4523L, 8272L, 21467L, 2903L, 5112L, 834L, 
    9787L, 432L, 898L, 62L, 1141L, 266L, 159L, 2762L, 3058L, 
    1890L, 938L, 6033L, 9672L, 5121L, 4731L, 8267L, 17012L, 4978L, 
    7679L, 1142L, 9368L, 1365L, 1874L, 57L, 906L, 1374L, 489L, 
    503L, 1191L, 16488L, 5329L, 1932L, 8493L, 38221L, 10019L, 
    2806L, 8994L, 39146L, 8721L, 1529L, 6802L, 14419L, 2909L, 
    782L, 2561L, 826L, 515L, 62L, 321L, 14128L, 4917L, 1313L, 
    3142L, 43078L, 9166L, 3527L, 6185L, 45683L, 9026L, 2721L, 
    6581L, 16738L, 4160L, 981L, 2477L, 1106L, 3613L, 189L, 1824L, 
    12688L, 35571L, 1239L, 7151L, 22432L, 45866L, 1278L, 7792L, 
    19207L, 31977L, 772L, 8011L, 9943L, 16554L, 422L, 3193L, 
    460L, 2075L, 13L, 758L, 6574L, 39464L, 944L, 4327L, 18693L, 
    51109L, 1027L, 9923L, 15481L, 28257L, 788L, 6143L, 6949L, 
    13851L, 860L, 4033L, 106L, 2201L, 100L, 875L, 63L, 6829L, 
    127L, 1302L, 208L, 6517L, 0L, 1037L, 113L, 6254L, 0L, 1142L, 
    213L, 8201L, 0L, 1210L, 39L, 1184L, 215L, 1158L, 0L, 6490L, 
    350L, 3425L, 0L, 5668L, 27L, 2094L, 117L, 5343L, 83L, 1661L, 
    66L, 2874L, 0L, 981L, 0L, 38L, 983L, 1212L, 197L, 166L, 1817L, 
    3117L, 415L, 242L, 3183L, 5261L, 287L, 420L, 238L, 2559L, 
    53L, 71L, 0L, 328L, 36L, 43L, 628L, 520L, 177L, 78L, 1407L, 
    2193L, 357L, 316L, 2347L, 3297L, 185L, 618L, 755L, 2305L, 
    140L, 226L, 183L, 85L, 145L, 233L, 53L, 110L, 1604L, 1079L, 
    76L, 1042L, 4660L, 1365L, 336L, 1239L, 13112L, 2454L, 171L, 
    2513L, 9546L, 1391L, 177L, 1079L, 30L, 255L, 0L, 0L, 1920L, 
    680L, 116L, 274L, 7479L, 2042L, 412L, 387L, 16228L, 2532L, 
    780L, 1236L, 8215L, 1990L, 588L, 960L, 185L, 483L, 0L, 224L, 
    1570L, 4972L, 130L, 1492L, 3872L, 9621L, 388L, 1447L, 8952L, 
    15386L, 204L, 2429L, 10868L, 13160L, 263L, 1887L, 65L, 82L, 
    0L, 55L, 1086L, 6342L, 141L, 899L, 3955L, 13790L, 404L, 1425L, 
    9099L, 13376L, 353L, 1672L, 5686L, 10487L, 414L, 1036L, 0L, 
    379L, 0L, 107L, 0L, 1569L, 12L, 130L, 0L, 2202L, 0L, 335L, 
    0L, 3808L, 0L, 166L, 0L, 3412L, 0L, 328L, 0L, 191L, 9L, 261L, 
    0L, 1761L, 62L, 572L, 0L, 2709L, 71L, 506L, 0L, 2140L, 80L, 
    208L, 0L, 1045L, 53L, 434L, 0L, 36L, 526L, 606L, 256L, 0L, 
    485L, 871L, 285L, 0L, 146L, 216L, 0L, 0L, 0L, 54L, 0L, 0L, 
    0L, 0L, 41L, 0L, 1034L, 693L, 230L, 23L, 876L, 632L, 91L, 
    28L, 1094L, 704L, 0L, 87L, 0L, 84L, 0L, 0L, 0L, 0L, 126L, 
    0L, 45L, 287L, 40L, 66L, 291L, 966L, 296L, 23L, 140L, 402L, 
    0L, 0L, 0L, 371L, 0L, 0L, 0L, 0L, 435L, 76L, 555L, 387L, 
    45L, 45L, 1403L, 1057L, 128L, 0L, 1895L, 492L, 0L, 0L, 55L, 
    167L, 0L, 0L, 0L, 0L, 0L, 109L, 0L, 764L, 0L, 138L, 174L, 
    311L, 0L, 15L, 39L, 734L, 0L, 0L, 0L, 171L, 0L, 0L, 0L, 0L, 
    0L, 121L, 498L, 489L, 95L, 84L, 354L, 581L, 0L, 81L, 264L, 
    387L, 0L, 0L, 0L, 147L, 0L, 0L, 77L, 35L, 0L, 31L, 0L, 315L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 18L, 0L, 719L, 0L, 0L, 0L, 218L, 0L, 56L, 0L, 
    196L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 215L, 168L, 
    84L, 0L, 0L, 1671L, 92L, 0L, 141L, 441L, 0L, 0L, 0L, 233L, 
    0L, 0L, 0L, 133L, 58L, 127L, 286L, 83L, 236L, 101L, 210L, 
    337L, 24L, 33L, 629L, 275L, 0L, 0L, 0L, 196L, 0L, 0L, 0L, 
    0L, 194L, 41L, 162L, 324L, 435L, 57L, 295L, 647L, 669L, 229L, 
    0L, 812L, 0L, 0L, 50L, 513L, 0L, 0L, 0L, 41L, 179L, 0L, 121L, 
    0L, 254L, 0L, 904L, 454L, 401L, 0L, 1165L, 622L, 143L, 0L, 
    154L, 190L, 0L, 45L, 0L, 121L, 112L, 77L, 48L, 244L, 144L, 
    183L, 106L, 914L, 125L, 196L, 43L, 984L, 0L, 44L, 0L, 174L, 
    67L, 0L, 38L, 0L, 0L, 41L, 0L, 209L, 299L, 104L, 67L, 585L, 
    30L, 94L, 350L, 779L, 0L, 55L, 0L, 99L, 0L, 0L, 73L, 123L, 
    0L, 58L, 0L, 25L, 0L, 68L, 0L, 62L, 0L, 220L, 0L, 41L, 0L, 
    0L, 0L, 64L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 50L, 0L, 29L, 0L, 
    28L, 0L, 102L, 0L, 24L, 0L, 0L, 0L, 120L, 0L, 0L, 0L, 0L, 
    0L, 0L, 197L, 422L, 126L, 59L, 174L, 1107L, 40L, 41L, 249L, 
    714L, 191L, 0L, 117L, 679L, 0L, 0L, 0L, 114L, 0L, 0L, 130L, 
    172L, 159L, 118L, 236L, 650L, 65L, 91L, 334L, 792L, 0L, 44L, 
    0L, 230L, 0L, 0L, 0L, 0L, 234L, 129L, 118L, 258L, 371L, 233L, 
    602L, 906L, 784L, 64L, 472L, 799L, 576L, 77L, 117L, 523L, 
    495L, 32L, 0L, 144L, 364L, 112L, 54L, 279L, 537L, 35L, 184L, 
    688L, 545L, 308L, 904L, 468L, 687L, 56L, 319L, 423L, 75L, 
    0L, 178L, 102L, 45L, 140L, 57L, 51L, 100L, 597L, 48L, 392L, 
    363L, 486L, 0L, 676L, 290L, 282L, 0L, 112L, 48L, 0L, 0L, 
    103L, 0L, 159L, 291L, 109L, 0L, 655L, 69L, 453L, 79L, 290L, 
    43L, 670L, 50L, 78L, 90L, 314L, 0L, 0L, 43L, 281L, 0L, 112L, 
    13L, 0L, 0L, 32L, 0L, 0L, 0L, 282L, 0L, 48L, 13L, 65L, 0L, 
    48L, 0L, 56L, 0L, 0L, 0L, 35L, 57L, 0L, 0L, 96L, 0L, 413L, 
    0L, 85L, 40L, 174L, 0L, 35L, 0L, 64L, 0L, 0L, 0L, 0L, 0L, 
    0L, 164L, 123L, 99L, 0L, 327L, 284L, 36L, 0L, 106L, 302L, 
    0L, 0L, 0L, 62L, 53L, 0L, 0L, 0L, 0L, 0L, 47L, 392L, 0L, 
    0L, 246L, 214L, 107L, 135L, 62L, 651L, 0L, 42L, 89L, 205L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 186L, 0L, 0L, 0L, 171L, 856L, 
    356L, 302L, 287L, 650L, 119L, 0L, 0L, 622L, 0L, 0L, 62L, 
    0L, 0L, 206L, 17L, 75L, 365L, 0L, 383L, 385L, 132L, 46L, 
    46L, 261L, 181L, 289L, 99L, 100L, 0L, 126L, 0L, 0L, 49L, 
    75L, 51L, 76L, 649L, 225L, 0L, 583L, 366L, 0L, 284L, 180L, 
    538L, 0L, 290L, 148L, 172L, 0L, 30L, 0L, 35L, 0L, 0L, 0L, 
    491L, 65L, 32L, 382L, 113L, 50L, 235L, 95L, 269L, 45L, 346L, 
    171L, 252L, 65L, 41L, 0L, 44L, 0L, 0L, 0L, 59L, 0L, 0L, 0L, 
    0L, 0L, 71L, 0L, 0L, 0L, 0L, 0L, 214L, 0L, 0L, 0L, 20L, 0L, 
    247L, 0L, 41L, 0L, 35L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 0L, 
    0L, 74L, 0L, 0L, 0L, 23L, 0L, 59L, 0L, 0L, 0L, 0L, 0L, 0L, 
    52L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    43L, 41L, 0L, 0L, 0L, 0L, 0L, 134L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 
    248L, 0L, 0L, 0L, 168L, 38L, 0L, 0L, 80L, 59L, 0L, 59L, 0L, 
    39L, 0L, 0L, 250L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 250L, 0L, 
    0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 152L, 
    180L, 135L, 169L, 0L, 0L, 91L, 0L, 58L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 34L, 0L, 0L, 15L, 0L, 0L, 0L, 0L, 154L, 0L, 
    47L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 
    219L, 19L, 177L, 10L, 0L, 212L, 251L, 82L, 0L, 0L, 229L, 
    0L, 0L, 0L, 61L, 0L, 0L, 0L, 0L, 147L, 0L, 78L, 135L, 73L, 
    0L, 148L, 155L, 81L, 0L, 145L, 298L, 61L, 0L, 0L, 159L, 0L, 
    0L, 0L, 0L, 245L, 315L, 97L, 199L, 59L, 0L, 34L, 359L, 32L, 
    0L, 89L, 258L, 22L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 147L, 152L, 
    113L, 153L, 25L, 63L, 369L, 86L, 0L, 52L, 178L, 39L, 0L, 
    0L, 0L, 0L, 0L, 37L, 0L, 0L, 8L, 96L, 0L, 334L, 0L, 0L, 0L, 
    144L, 0L, 0L, 0L, 50L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 
    67L, 43L, 340L, 15L, 16L, 16L, 237L, 0L, 18L, 240L, 83L, 
    0L, 0L, 185L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 166L, 0L, 
    0L, 0L, 60L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 257L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 115L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 212L, 0L, 274L, 388L, 108L, 
    164L, 344L, 395L, 260L, 62L, 80L, 92L, 0L, 0L, 0L, 45L, 0L, 
    0L, 0L, 0L, 226L, 125L, 213L, 81L, 149L, 0L, 464L, 535L, 
    229L, 0L, 203L, 349L, 86L, 29L, 0L, 118L, 0L, 0L, 0L, 0L, 
    799L, 0L, 180L, 410L, 73L, 0L, 71L, 405L, 240L, 24L, 183L, 
    239L, 66L, 151L, 23L, 7L, 0L, 45L, 0L, 39L, 591L, 0L, 318L, 
    64L, 442L, 83L, 367L, 119L, 337L, 153L, 74L, 86L, 316L, 141L, 
    51L, 95L, 0L, 0L, 0L, 0L, 399L, 55L, 0L, 233L, 108L, 250L, 
    15L, 283L, 60L, 164L, 13L, 15L, 0L, 0L, 0L, 35L, 51L, 0L, 
    0L, 0L, 135L, 67L, 0L, 16L, 134L, 242L, 314L, 350L, 10L, 
    0L, 280L, 161L, 0L, 13L, 52L, 24L, 44L, 0L, 0L, 56L, 0L, 
    252L, 0L, 0L, 0L, 180L, 0L, 37L, 0L, 7L, 0L, 67L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 269L, 8L, 0L, 80L, 180L, 
    134L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 50L, 0L, 0L, 291L, 
    24L, 579L, 264L, 238L, 43L, 158L, 214L, 222L, 159L, 71L, 
    422L, 0L, 66L, 0L, 163L, 0L, 0L, 0L, 0L, 99L, 28L, 105L, 
    175L, 224L, 0L, 374L, 217L, 426L, 157L, 358L, 742L, 20L, 
    114L, 0L, 467L, 0L, 44L, 0L, 0L, 806L, 74L, 89L, 107L, 763L, 
    16L, 278L, 522L, 507L, 117L, 0L, 186L, 68L, 97L, 110L, 375L, 
    46L, 0L, 0L, 52L, 541L, 36L, 38L, 47L, 825L, 109L, 414L, 
    89L, 426L, 178L, 313L, 165L, 15L, 16L, 0L, 171L, 23L, 80L, 
    0L, 177L, 87L, 20L, 0L, 0L, 303L, 298L, 82L, 319L, 34L, 270L, 
    81L, 58L, 79L, 149L, 0L, 39L, 0L, 0L, 0L, 112L, 140L, 262L, 
    116L, 7L, 239L, 374L, 47L, 202L, 125L, 153L, 18L, 128L, 0L, 
    16L, 0L, 51L, 43L, 0L, 0L, 139L, 0L, 171L, 0L, 38L, 0L, 0L, 
    0L, 0L, 0L, 21L, 0L, 56L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 
    0L, 29L, 0L, 110L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 131L, 0L, 
    90L, 0L, 0L, 0L, 51L, 0L, 0L, 0L, 0L, 116L, 236L, 145L, 0L, 
    313L, 664L, 13L, 133L, 10L, 336L, 0L, 180L, 41L, 161L, 0L, 
    0L, 0L, 0L, 0L, 0L, 85L, 117L, 262L, 194L, 261L, 149L, 28L, 
    170L, 64L, 208L, 42L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 242L, 
    27L, 0L, 69L, 243L, 10L, 96L, 82L, 172L, 194L, 93L, 327L, 
    119L, 175L, 34L, 265L, 152L, 0L, 68L, 0L, 93L, 25L, 111L, 
    0L, 288L, 48L, 305L, 89L, 327L, 88L, 0L, 74L, 284L, 227L, 
    237L, 0L, 302L, 0L, 306L, 52L, 0L, 106L, 11L, 0L, 289L, 411L, 
    0L, 23L, 323L, 124L, 147L, 70L, 194L, 137L, 74L, 53L, 141L, 
    65L, 0L, 54L, 0L, 0L, 0L, 144L, 84L, 250L, 32L, 64L, 296L, 
    171L, 0L, 128L, 134L, 93L, 0L, 40L, 0L, 73L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 47L, 0L, 0L, 0L, 25L, 0L, 
    0L, 0L, 0L, 0L, 169L, 0L, 168L, 145L, 0L, 0L, 0L, 117L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    133L, 0L, 0L, 74L, 0L, 0L, 0L, 118L, 143L, 53L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 
    0L, 0L, 0L, 20L, 32L, 0L, 171L, 128L, 65L, 0L, 35L, 72L, 
    11L, 0L, 0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 104L, 0L, 0L, 
    0L, 133L, 0L, 54L, 0L, 89L, 95L, 0L, 0L, 0L, 59L, 0L, 0L, 
    17L, 140L, 0L, 0L, 0L, 53L, 0L, 0L, 26L, 0L, 0L, 0L, 56L, 
    108L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 87L, 31L, 
    0L, 0L, 47L, 149L, 0L, 0L, 48L, 142L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 51L, 1341L, 380L, 1180L, 1033L, 
    1221L, 624L, 657L, 2860L, 448L, 494L, 381L, 5696L, 50L, 202L, 
    0L, 1352L, 0L, 0L, 0L, 179L, 1137L, 341L, 1731L, 1863L, 1406L, 
    355L, 1841L, 2687L, 1111L, 934L, 1956L, 5530L, 17L, 105L, 
    96L, 1240L, 0L, 3L, 18L, 146L, 2055L, 730L, 638L, 1906L, 
    1733L, 1094L, 315L, 2131L, 897L, 458L, 267L, 1606L, 92L, 
    27L, 28L, 433L, 27L, 30L, 0L, 100L, 1656L, 545L, 1808L, 1751L, 
    2168L, 956L, 2061L, 1643L, 1392L, 390L, 2363L, 1627L, 498L, 
    176L, 61L, 30L, 80L, 7L, 30L, 145L, 1215L, 3235L, 387L, 4827L, 
    461L, 3060L, 431L, 5188L, 354L, 2180L, 67L, 3051L, 234L, 
    468L, 121L, 1018L, 26L, 338L, 0L, 404L, 357L, 4036L, 572L, 
    5591L, 505L, 5425L, 457L, 7041L, 328L, 2648L, 541L, 4578L, 
    22L, 494L, 41L, 1145L, 58L, 77L, 23L, 445L, 14L, 7500L, 0L, 
    4707L, 0L, 3876L, 68L, 2996L, 79L, 1928L, 0L, 1230L, 0L, 
    429L, 0L, 496L, 0L, 163L, 0L, 242L, 0L, 4751L, 74L, 16772L, 
    53L, 4357L, 0L, 16000L, 0L, 1802L, 0L, 6860L, 0L, 219L, 0L, 
    1587L, 0L, 14L, 0L, 671L, 1773L, 615L, 1748L, 2486L, 2104L, 
    1248L, 1035L, 5684L, 1658L, 1159L, 796L, 4983L, 376L, 597L, 
    104L, 1418L, 45L, 56L, 0L, 319L, 2199L, 590L, 1312L, 1989L, 
    3299L, 1179L, 2091L, 2272L, 3711L, 1814L, 2568L, 3938L, 491L, 
    488L, 438L, 1595L, 121L, 86L, 27L, 197L, 3759L, 1156L, 1112L, 
    3341L, 5263L, 1356L, 1059L, 5051L, 4677L, 1091L, 920L, 4175L, 
    862L, 223L, 221L, 1654L, 509L, 43L, 0L, 389L, 2296L, 1148L, 
    786L, 1275L, 5259L, 1383L, 2646L, 2230L, 5302L, 1431L, 3393L, 
    2752L, 1206L, 144L, 632L, 939L, 188L, 147L, 157L, 321L, 1056L, 
    5195L, 464L, 3010L, 1802L, 7768L, 419L, 5412L, 1135L, 4443L, 
    375L, 4371L, 274L, 1370L, 94L, 1563L, 147L, 706L, 0L, 432L, 
    606L, 4849L, 317L, 2384L, 1236L, 11153L, 726L, 6007L, 942L, 
    6219L, 525L, 6559L, 313L, 1567L, 106L, 2177L, 136L, 493L, 
    64L, 938L, 91L, 8213L, 33L, 1778L, 31L, 9818L, 23L, 2819L, 
    62L, 6305L, 65L, 1601L, 0L, 2439L, 0L, 536L, 13L, 983L, 0L, 
    359L, 0L, 6024L, 41L, 4212L, 2L, 9251L, 76L, 6697L, 0L, 4529L, 
    0L, 5299L, 0L, 1175L, 0L, 1916L, 0L, 343L, 0L, 854L, 1180L, 
    681L, 2057L, 3217L, 4560L, 2240L, 2908L, 6922L, 3159L, 2249L, 
    2461L, 6380L, 507L, 1565L, 77L, 1714L, 274L, 188L, 45L, 509L, 
    1498L, 406L, 1296L, 1919L, 3818L, 1825L, 1618L, 3588L, 6593L, 
    3040L, 2577L, 5150L, 1830L, 2172L, 222L, 2209L, 290L, 403L, 
    150L, 588L, 3794L, 1126L, 268L, 1600L, 11538L, 3483L, 1007L, 
    4759L, 12529L, 2237L, 1226L, 3587L, 5621L, 1016L, 212L, 2039L, 
    1753L, 352L, 97L, 887L, 2285L, 1006L, 333L, 659L, 10921L, 
    3378L, 1483L, 1972L, 14519L, 2985L, 1606L, 2178L, 6491L, 
    980L, 887L, 1328L, 2111L, 536L, 534L, 816L, 1319L, 5786L, 
    186L, 2037L, 4572L, 16377L, 645L, 3952L, 4930L, 13429L, 443L, 
    3812L, 1292L, 4841L, 176L, 1687L, 855L, 2539L, 71L, 1169L, 
    601L, 4424L, 304L, 1358L, 2370L, 18926L, 797L, 3745L, 2888L, 
    15561L, 781L, 4612L, 1205L, 4787L, 853L, 2147L, 330L, 2860L, 
    133L, 2169L, 0L, 4084L, 64L, 1314L, 63L, 7459L, 153L, 759L, 
    89L, 6917L, 0L, 682L, 0L, 3471L, 0L, 711L, 0L, 2386L, 52L, 
    401L, 0L, 2571L, 564L, 2384L, 45L, 8255L, 228L, 4013L, 0L, 
    4793L, 158L, 2645L, 0L, 1651L, 32L, 1614L, 0L, 1096L, 158L, 
    1103L, 238L, 77L, 1344L, 2541L, 1704L, 745L, 2256L, 5649L, 
    796L, 856L, 2171L, 5734L, 697L, 825L, 71L, 1906L, 72L, 435L, 
    0L, 241L, 482L, 427L, 734L, 1088L, 872L, 751L, 1273L, 2276L, 
    2450L, 869L, 2333L, 4730L, 1592L, 1280L, 241L, 1194L, 455L, 
    696L, 65L, 293L, 1450L, 1074L, 71L, 435L, 5888L, 2398L, 322L, 
    2266L, 8616L, 2304L, 456L, 1364L, 8876L, 1519L, 260L, 1966L, 
    3248L, 812L, 94L, 366L, 442L, 358L, 99L, 170L, 5003L, 2173L, 
    718L, 1414L, 10113L, 3482L, 365L, 992L, 10559L, 2131L, 311L, 
    1157L, 4372L, 1068L, 175L, 393L, 606L, 2679L, 60L, 756L, 
    2990L, 10842L, 154L, 1494L, 4963L, 15375L, 305L, 1405L, 3538L, 
    9834L, 274L, 1719L, 2525L, 5501L, 46L, 725L, 401L, 2101L, 
    40L, 474L, 1873L, 12104L, 146L, 1279L, 3551L, 16463L, 200L, 
    2021L, 2680L, 7967L, 319L, 1117L, 1928L, 5299L, 78L, 1004L, 
    18L, 991L, 95L, 376L, 64L, 2197L, 73L, 584L, 73L, 3396L, 
    0L, 358L, 19L, 2706L, 0L, 268L, 65L, 2687L, 0L, 512L, 0L, 
    693L, 113L, 1544L, 48L, 2519L, 198L, 2026L, 28L, 3239L, 169L, 
    998L, 0L, 1380L, 133L, 904L, 0L, 933L, 0L, 454L, 26L, 0L, 
    388L, 420L, 82L, 0L, 745L, 651L, 54L, 82L, 695L, 1362L, 18L, 
    42L, 162L, 331L, 21L, 0L, 0L, 86L, 67L, 0L, 169L, 77L, 94L, 
    46L, 245L, 474L, 123L, 78L, 660L, 920L, 274L, 117L, 103L, 
    210L, 101L, 44L, 0L, 19L, 170L, 8L, 0L, 45L, 336L, 147L, 
    0L, 445L, 932L, 549L, 0L, 407L, 1949L, 598L, 0L, 247L, 2302L, 
    149L, 26L, 88L, 68L, 81L, 0L, 78L, 509L, 108L, 0L, 79L, 1457L, 
    354L, 0L, 28L, 2837L, 752L, 129L, 102L, 1732L, 390L, 32L, 
    211L, 413L, 282L, 0L, 0L, 594L, 1327L, 21L, 185L, 746L, 2808L, 
    0L, 266L, 1416L, 2948L, 0L, 405L, 2119L, 3531L, 0L, 686L, 
    80L, 292L, 0L, 36L, 256L, 1995L, 44L, 322L, 722L, 3602L, 
    0L, 270L, 1489L, 2903L, 48L, 159L, 1105L, 2896L, 76L, 226L, 
    0L, 170L, 0L, 54L, 0L, 324L, 0L, 0L, 33L, 369L, 0L, 202L, 
    0L, 1240L, 0L, 162L, 46L, 1819L, 69L, 81L, 0L, 101L, 0L, 
    61L, 19L, 424L, 57L, 239L, 0L, 690L, 87L, 288L, 0L, 1002L, 
    35L, 174L, 0L, 442L, 0L, 130L, 218L, 112L, 3219L, 5971L, 
    944L, 358L, 2337L, 6275L, 338L, 68L, 1167L, 4599L, 0L, 0L, 
    52L, 636L, 0L, 0L, 0L, 0L, 174L, 282L, 7637L, 3684L, 775L, 
    171L, 8675L, 5221L, 569L, 365L, 6737L, 4728L, 49L, 0L, 458L, 
    1030L, 42L, 49L, 47L, 28L, 1303L, 452L, 950L, 3471L, 1604L, 
    639L, 1570L, 5981L, 361L, 234L, 767L, 2215L, 64L, 16L, 116L, 
    379L, 27L, 0L, 0L, 24L, 1347L, 562L, 4885L, 3057L, 2129L, 
    1080L, 9112L, 3676L, 1236L, 546L, 6578L, 1893L, 44L, 95L, 
    755L, 325L, 0L, 148L, 127L, 123L, 1156L, 3732L, 430L, 10178L, 
    971L, 2312L, 549L, 5166L, 301L, 618L, 119L, 3187L, 13L, 99L, 
    0L, 308L, 43L, 30L, 83L, 307L, 591L, 2848L, 1491L, 11540L, 
    669L, 2614L, 2692L, 9992L, 189L, 1537L, 1964L, 4902L, 30L, 
    319L, 114L, 1348L, 0L, 37L, 122L, 471L, 105L, 4718L, 133L, 
    6932L, 0L, 659L, 0L, 1076L, 0L, 241L, 0L, 245L, 0L, 72L, 
    0L, 21L, 0L, 100L, 0L, 109L, 0L, 3448L, 310L, 16964L, 0L, 
    801L, 164L, 4873L, 0L, 262L, 0L, 2163L, 0L, 64L, 0L, 598L, 
    0L, 53L, 0L, 756L, 569L, 192L, 2668L, 4989L, 1119L, 255L, 
    3205L, 6884L, 778L, 162L, 1830L, 4466L, 0L, 23L, 264L, 834L, 
    70L, 0L, 46L, 194L, 381L, 49L, 1729L, 2413L, 787L, 438L, 
    3645L, 4471L, 1663L, 210L, 4766L, 4697L, 339L, 116L, 624L, 
    1552L, 0L, 19L, 82L, 146L, 1638L, 892L, 890L, 1767L, 3526L, 
    1294L, 2363L, 4962L, 2263L, 660L, 905L, 2779L, 90L, 135L, 
    96L, 834L, 96L, 0L, 0L, 276L, 914L, 664L, 1356L, 1366L, 3013L, 
    1098L, 4990L, 2827L, 2695L, 939L, 5629L, 2360L, 421L, 175L, 
    1855L, 1272L, 144L, 0L, 473L, 550L, 965L, 4852L, 277L, 4531L, 
    1818L, 4371L, 505L, 4375L, 941L, 2101L, 271L, 2559L, 202L, 
    435L, 25L, 633L, 0L, 256L, 0L, 364L, 541L, 3178L, 803L, 3325L, 
    1290L, 5285L, 1267L, 6111L, 958L, 2440L, 1602L, 4387L, 119L, 
    606L, 577L, 1485L, 48L, 212L, 79L, 522L, 406L, 3465L, 111L, 
    1807L, 9L, 1304L, 261L, 741L, 0L, 600L, 14L, 177L, 0L, 130L, 
    0L, 225L, 0L, 43L, 0L, 150L, 95L, 1913L, 131L, 4716L, 0L, 
    1112L, 0L, 1513L, 15L, 569L, 0L, 596L, 0L, 221L, 0L, 449L, 
    0L, 77L, 0L, 257L, 143L, 47L, 2208L, 2650L, 1028L, 269L, 
    2660L, 5626L, 1037L, 370L, 2461L, 3361L, 168L, 167L, 87L, 
    548L, 127L, 0L, 45L, 187L, 152L, 113L, 1631L, 1722L, 915L, 
    259L, 2013L, 2739L, 1825L, 774L, 2039L, 5265L, 565L, 382L, 
    587L, 1092L, 120L, 31L, 153L, 342L, 1203L, 674L, 529L, 993L, 
    6051L, 1434L, 1414L, 3050L, 5521L, 675L, 843L, 2030L, 1424L, 
    232L, 276L, 957L, 187L, 25L, 100L, 228L, 693L, 257L, 509L, 
    670L, 3751L, 1351L, 1440L, 1801L, 5894L, 784L, 1745L, 1649L, 
    2131L, 563L, 875L, 1581L, 687L, 149L, 331L, 293L, 1035L, 
    2411L, 453L, 1847L, 2796L, 5475L, 364L, 2918L, 1707L, 3738L, 
    677L, 1532L, 258L, 736L, 0L, 625L, 249L, 685L, 81L, 228L, 
    344L, 1618L, 479L, 2000L, 1286L, 4025L, 598L, 2588L, 1260L, 
    4454L, 957L, 2477L, 531L, 739L, 498L, 1721L, 338L, 965L, 
    409L, 1228L, 166L, 1604L, 21L, 453L, 27L, 443L, 0L, 217L, 
    0L, 340L, 0L, 208L, 8L, 315L, 23L, 86L, 42L, 347L, 0L, 110L, 
    22L, 745L, 201L, 2659L, 0L, 368L, 0L, 472L, 10L, 205L, 146L, 
    540L, 0L, 166L, 0L, 191L, 0L, 368L, 31L, 183L, 0L, 103L, 
    653L, 1312L, 123L, 276L, 780L, 2075L, 112L, 102L, 550L, 1823L, 
    139L, 12L, 218L, 442L, 0L, 0L, 0L, 87L, 0L, 106L, 441L, 408L, 
    55L, 228L, 698L, 448L, 333L, 25L, 876L, 1630L, 218L, 211L, 
    185L, 646L, 0L, 43L, 0L, 269L, 181L, 134L, 79L, 505L, 1450L, 
    656L, 189L, 1332L, 2060L, 807L, 179L, 940L, 871L, 341L, 37L, 
    212L, 628L, 30L, 0L, 243L, 76L, 34L, 68L, 65L, 1077L, 337L, 
    197L, 401L, 2011L, 754L, 342L, 1291L, 1190L, 369L, 147L, 
    171L, 1028L, 227L, 174L, 615L, 77L, 1047L, 80L, 79L, 904L, 
    1455L, 48L, 575L, 1139L, 2210L, 174L, 118L, 251L, 1221L, 
    54L, 109L, 345L, 615L, 0L, 185L, 197L, 816L, 234L, 115L, 
    407L, 1726L, 130L, 326L, 365L, 1640L, 180L, 935L, 480L, 1148L, 
    5L, 459L, 263L, 1024L, 29L, 289L, 0L, 333L, 36L, 146L, 4L, 
    338L, 86L, 35L, 35L, 144L, 0L, 64L, 0L, 172L, 0L, 50L, 0L, 
    132L, 42L, 47L, 0L, 70L, 88L, 515L, 42L, 54L, 0L, 197L, 0L, 
    70L, 0L, 62L, 0L, 52L, 0L, 87L, 0L, 289L, 0L, 14L, 0L, 0L, 
    39L, 40L, 0L, 0L, 0L, 66L, 104L, 0L, 14L, 189L, 0L, 0L, 19L, 
    36L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 51L, 0L, 116L, 
    0L, 20L, 315L, 0L, 0L, 0L, 55L, 0L, 35L, 0L, 0L, 0L, 0L, 
    0L, 84L, 77L, 20L, 16L, 82L, 144L, 104L, 16L, 425L, 69L, 
    92L, 0L, 0L, 145L, 64L, 0L, 25L, 24L, 76L, 0L, 0L, 71L, 183L, 
    0L, 0L, 47L, 132L, 0L, 0L, 174L, 0L, 30L, 37L, 136L, 28L, 
    0L, 0L, 0L, 139L, 0L, 0L, 68L, 26L, 0L, 0L, 100L, 301L, 0L, 
    40L, 48L, 49L, 0L, 0L, 72L, 229L, 0L, 0L, 0L, 20L, 0L, 4L, 
    0L, 40L, 36L, 107L, 43L, 183L, 0L, 101L, 17L, 132L, 0L, 81L, 
    149L, 173L, 0L, 82L, 0L, 0L, 0L, 0L, 0L, 69L, 0L, 0L, 0L, 
    35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 85L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 18L, 0L, 104L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 
    0L, 0L, 0L, 30L, 0L, 113L, 51L, 0L, 0L, 0L, 359L, 0L, 0L, 
    0L, 96L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 33L, 174L, 
    0L, 0L, 0L, 16L, 75L, 27L, 39L, 11L, 111L, 0L, 126L, 81L, 
    0L, 0L, 0L, 0L, 0L, 0L, 95L, 25L, 0L, 0L, 92L, 0L, 18L, 0L, 
    0L, 8L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 0L, 0L, 93L, 51L, 
    151L, 49L, 0L, 65L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 14L, 53L, 52L, 0L, 0L, 0L, 28L, 0L, 15L, 
    0L, 58L, 0L, 84L, 0L, 0L, 0L, 7L, 0L, 0L, 0L, 16L, 0L, 142L, 
    0L, 89L, 0L, 69L, 24L, 43L, 0L, 31L, 0L, 0L, 0L, 82L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 103L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 318L, 0L, 
    0L, 0L, 172L, 0L, 26L, 0L, 176L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 31L, 59L, 50L, 77L, 139L, 77L, 0L, 0L, 235L, 8L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 4L, 0L, 0L, 204L, 
    90L, 0L, 46L, 82L, 10L, 158L, 135L, 94L, 0L, 23L, 100L, 0L, 
    0L, 0L, 0L, 0L, 138L, 0L, 43L, 63L, 280L, 75L, 0L, 0L, 69L, 
    0L, 0L, 83L, 29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 107L, 25L, 
    105L, 8L, 149L, 12L, 190L, 164L, 121L, 22L, 74L, 24L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 
    200L, 11L, 69L, 0L, 43L, 24L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 77L, 36L, 52L, 0L, 91L, 0L, 139L, 0L, 21L, 0L, 143L, 
    0L, 55L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 127L, 0L, 43L, 0L, 
    16L, 0L, 28L, 0L, 125L, 0L, 69L, 0L, 6L, 0L, 0L, 0L, 42L, 
    0L, 0L, 0L, 249L, 53L, 36L, 0L, 170L, 0L, 43L, 0L, 27L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 0L, 0L, 51L, 0L, 191L, 238L, 
    32L, 230L, 178L, 0L, 21L, 29L, 247L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 4L, 0L, 188L, 76L, 0L, 21L, 0L, 159L, 50L, 0L, 
    82L, 32L, 0L, 0L, 0L, 35L, 0L, 11L, 0L, 0L, 179L, 146L, 0L, 
    79L, 81L, 80L, 10L, 86L, 64L, 21L, 0L, 119L, 88L, 0L, 0L, 
    36L, 43L, 0L, 0L, 0L, 98L, 0L, 0L, 39L, 126L, 26L, 0L, 0L, 
    286L, 11L, 42L, 0L, 74L, 0L, 7L, 0L, 27L, 0L, 0L, 0L, 7L, 
    66L, 0L, 0L, 43L, 85L, 26L, 32L, 128L, 137L, 16L, 75L, 7L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 78L, 0L, 0L, 0L, 82L, 0L, 
    143L, 98L, 30L, 8L, 58L, 17L, 75L, 0L, 0L, 32L, 52L, 23L, 
    0L, 0L, 45L, 0L, 0L, 0L, 53L, 0L, 0L, 38L, 0L, 0L, 45L, 0L, 
    43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 120L, 11L, 
    0L, 0L, 41L, 0L, 69L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 0L, 15L, 
    244L, 0L, 296L, 0L, 11L, 91L, 29L, 0L, 112L, 0L, 88L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 79L, 0L, 
    0L, 18L, 0L, 87L, 8L, 21L, 63L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 
    0L, 0L, 0L, 69L, 0L, 31L, 160L, 154L, 40L, 25L, 47L, 48L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 32L, 14L, 0L, 
    0L, 57L, 18L, 98L, 0L, 107L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 
    18L, 0L, 0L, 0L, 0L, 60L, 0L, 0L, 34L, 85L, 0L, 0L, 87L, 
    302L, 0L, 0L, 8L, 26L, 0L, 0L, 13L, 0L, 0L, 0L, 0L, 80L, 
    0L, 87L, 27L, 197L, 0L, 0L, 14L, 0L, 0L, 0L, 0L, 23L, 0L, 
    62L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    41L, 0L, 0L, 18L, 62L, 0L, 0L, 0L, 0L, 30L, 8L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 
    0L, 0L, 0L, 24L, 0L, 0L, 34L, 0L, 0L, 16L, 56L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 137L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 34L, 23L, 
    0L, 0L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 11L, 0L, 43L, 0L, 0L, 0L, 0L, 67L, 9L, 0L, 0L, 
    0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 26L, 0L, 
    0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 7L, 0L, 0L, 0L, 
    0L, 0L, 9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 2488L, 657L, 3737L, 4332L, 1903L, 960L, 2294L, 7916L, 
    1106L, 928L, 907L, 14258L, 503L, 764L, 185L, 3724L, 0L, 149L, 
    218L, 301L, 2231L, 519L, 6535L, 3064L, 3907L, 1085L, 7630L, 
    6059L, 2070L, 1197L, 6009L, 12428L, 451L, 538L, 172L, 5227L, 
    24L, 261L, 90L, 545L, 3187L, 1162L, 1875L, 5082L, 4336L, 
    1736L, 2018L, 8574L, 2683L, 571L, 559L, 6539L, 592L, 77L, 
    180L, 1279L, 348L, 104L, 82L, 441L, 2799L, 1619L, 3721L, 
    4027L, 4470L, 1545L, 6950L, 5147L, 3367L, 950L, 6530L, 3810L, 
    621L, 123L, 1513L, 1631L, 116L, 141L, 74L, 195L, 974L, 5669L, 
    495L, 9231L, 1899L, 6906L, 535L, 13738L, 933L, 3199L, 743L, 
    8134L, 300L, 918L, 78L, 2678L, 166L, 460L, 0L, 901L, 729L, 
    5709L, 1401L, 11306L, 1566L, 10066L, 1525L, 19072L, 736L, 
    4105L, 2052L, 12137L, 232L, 1134L, 289L, 3582L, 77L, 564L, 
    49L, 1435L, 26L, 13179L, 5L, 11366L, 7L, 9780L, 30L, 7971L, 
    6L, 3250L, 32L, 3838L, 0L, 1190L, 0L, 1142L, 0L, 494L, 0L, 
    670L, 0L, 9941L, 141L, 41650L, 0L, 11249L, 0L, 39498L, 0L, 
    3412L, 0L, 15421L, 0L, 524L, 0L, 2893L, 0L, 231L, 0L, 1600L, 
    3191L, 1055L, 4437L, 5872L, 7417L, 2802L, 6322L, 18177L, 
    4611L, 3291L, 2290L, 13254L, 1433L, 1321L, 170L, 5243L, 76L, 
    249L, 0L, 680L, 3353L, 689L, 4280L, 4027L, 10323L, 2643L, 
    6098L, 9561L, 7131L, 4157L, 6023L, 15047L, 1748L, 1844L, 
    776L, 8198L, 387L, 351L, 340L, 1345L, 5425L, 2057L, 2205L, 
    4747L, 16886L, 3815L, 4485L, 13393L, 9402L, 2084L, 2646L, 
    8202L, 2368L, 570L, 738L, 4657L, 784L, 222L, 39L, 929L, 4109L, 
    2176L, 1959L, 2729L, 12975L, 4729L, 6972L, 7671L, 11785L, 
    2830L, 9389L, 7120L, 3024L, 486L, 2437L, 4471L, 1202L, 480L, 
    766L, 2196L, 1787L, 9644L, 1021L, 5266L, 4581L, 22781L, 1817L, 
    18027L, 3522L, 11036L, 1022L, 11471L, 1158L, 3491L, 270L, 
    4260L, 504L, 1409L, 141L, 1741L, 1122L, 10329L, 696L, 6593L, 
    3319L, 30079L, 2706L, 22657L, 2169L, 13740L, 3241L, 17586L, 
    667L, 3429L, 717L, 5939L, 139L, 1274L, 395L, 3228L, 175L, 
    22271L, 170L, 5447L, 32L, 30390L, 106L, 9131L, 107L, 13320L, 
    36L, 4250L, 29L, 5112L, 42L, 1971L, 0L, 2443L, 0L, 1126L, 
    101L, 16809L, 375L, 12237L, 38L, 30566L, 338L, 22666L, 22L, 
    10997L, 37L, 10859L, 0L, 2378L, 0L, 3962L, 0L, 1331L, 0L, 
    2655L, 2040L, 841L, 5800L, 8281L, 9560L, 4542L, 7475L, 23295L, 
    9444L, 5647L, 5025L, 18372L, 3803L, 4814L, 710L, 7468L, 536L, 
    987L, 20L, 1384L, 2180L, 450L, 4253L, 4426L, 11475L, 3543L, 
    7110L, 11395L, 14598L, 6934L, 8087L, 17971L, 5938L, 6688L, 
    1124L, 10261L, 1821L, 1407L, 38L, 2149L, 6992L, 2855L, 1878L, 
    4009L, 35059L, 9422L, 5548L, 15054L, 31972L, 6371L, 3309L, 
    13225L, 17080L, 3697L, 901L, 8894L, 5470L, 1215L, 531L, 2760L, 
    5272L, 2262L, 1539L, 1773L, 28611L, 9412L, 5347L, 7010L, 
    36027L, 6947L, 7239L, 7852L, 19825L, 3452L, 3860L, 6150L, 
    7586L, 1737L, 1413L, 3688L, 2087L, 13218L, 978L, 4629L, 14434L, 
    49179L, 1636L, 15632L, 11940L, 33058L, 1594L, 13570L, 5758L, 
    12474L, 732L, 7876L, 2504L, 6914L, 155L, 3307L, 1396L, 11208L, 
    505L, 3617L, 7858L, 55528L, 2293L, 13572L, 8705L, 38921L, 
    2856L, 16396L, 4865L, 11627L, 1152L, 8805L, 1652L, 6622L, 
    1027L, 8333L, 223L, 10929L, 195L, 2523L, 135L, 26002L, 62L, 
    4276L, 146L, 17032L, 3L, 2869L, 58L, 9766L, 0L, 1546L, 78L, 
    7945L, 0L, 1545L, 0L, 8610L, 475L, 6111L, 17L, 26661L, 645L, 
    10811L, 27L, 12074L, 7L, 6333L, 0L, 5350L, 35L, 2953L, 157L, 
    3515L, 0L, 2275L, 357L, 832L, 4030L, 5326L, 2099L, 2109L, 
    8078L, 15624L, 2223L, 2415L, 6980L, 17836L, 2402L, 3776L, 
    743L, 6690L, 520L, 866L, 57L, 750L, 208L, 502L, 3060L, 3136L, 
    1623L, 1940L, 4887L, 7742L, 3986L, 3069L, 7577L, 16897L, 
    3588L, 5884L, 1091L, 7518L, 1300L, 1823L, 28L, 1415L, 2672L, 
    693L, 644L, 1885L, 18757L, 5698L, 1373L, 6807L, 25412L, 6814L, 
    1356L, 6314L, 25569L, 6461L, 1422L, 5108L, 10817L, 3300L, 
    297L, 2779L, 2509L, 603L, 141L, 567L, 16401L, 5009L, 693L, 
    3594L, 28058L, 8076L, 2129L, 4544L, 29335L, 5890L, 1434L, 
    4137L, 15182L, 3278L, 742L, 2218L, 1228L, 4363L, 137L, 1113L, 
    11518L, 31824L, 791L, 5946L, 13553L, 35851L, 750L, 6627L, 
    12919L, 25733L, 847L, 5824L, 8186L, 16311L, 234L, 2948L, 
    919L, 3947L, 83L, 711L, 7431L, 36643L, 912L, 4153L, 11259L, 
    38629L, 1066L, 5983L, 9709L, 20531L, 535L, 4041L, 6160L, 
    16605L, 695L, 4099L, 54L, 2902L, 161L, 1187L, 266L, 6530L, 
    126L, 973L, 150L, 8225L, 0L, 1343L, 147L, 6264L, 0L, 862L, 
    88L, 7369L, 69L, 694L, 30L, 2424L, 319L, 1803L, 170L, 7969L, 
    925L, 3908L, 0L, 6409L, 168L, 2571L, 30L, 3845L, 96L, 1380L, 
    0L, 2308L, 54L, 1008L, 54L, 39L, 1114L, 592L, 64L, 292L, 
    1336L, 3253L, 100L, 232L, 2048L, 5618L, 140L, 297L, 331L, 
    2136L, 260L, 125L, 21L, 219L, 0L, 72L, 487L, 423L, 40L, 205L, 
    1055L, 1965L, 290L, 270L, 1347L, 3779L, 454L, 326L, 196L, 
    1988L, 251L, 280L, 86L, 326L, 371L, 116L, 56L, 350L, 1783L, 
    404L, 228L, 709L, 2933L, 423L, 247L, 1019L, 7155L, 1743L, 
    311L, 1638L, 6860L, 1371L, 79L, 1058L, 279L, 83L, 0L, 71L, 
    2043L, 423L, 148L, 713L, 4518L, 602L, 209L, 428L, 9474L, 
    2014L, 120L, 328L, 6501L, 1173L, 229L, 466L, 93L, 1110L, 
    55L, 185L, 1035L, 4024L, 98L, 881L, 2988L, 6797L, 250L, 1125L, 
    5419L, 11799L, 210L, 1174L, 7617L, 10210L, 187L, 1820L, 138L, 
    806L, 0L, 245L, 1025L, 6425L, 237L, 579L, 2592L, 10223L, 
    142L, 884L, 5418L, 10194L, 71L, 922L, 3994L, 8297L, 138L, 
    1270L, 0L, 699L, 87L, 276L, 67L, 1719L, 34L, 388L, 95L, 1874L, 
    0L, 608L, 66L, 2854L, 41L, 181L, 102L, 2883L, 35L, 350L, 
    0L, 359L, 184L, 711L, 98L, 1914L, 177L, 577L, 0L, 1960L, 
    40L, 466L, 7L, 1632L, 9L, 419L, 0L, 971L, 0L, 503L, 455L, 
    48L, 652L, 2606L, 98L, 164L, 1322L, 3163L, 279L, 178L, 663L, 
    1668L, 0L, 0L, 0L, 497L, 0L, 0L, 0L, 0L, 567L, 0L, 3896L, 
    1401L, 344L, 370L, 5902L, 2916L, 313L, 28L, 2843L, 2657L, 
    37L, 0L, 257L, 303L, 0L, 0L, 27L, 22L, 566L, 198L, 261L, 
    1468L, 965L, 130L, 931L, 2811L, 326L, 234L, 350L, 1525L, 
    0L, 29L, 0L, 224L, 0L, 0L, 0L, 0L, 349L, 35L, 2877L, 1670L, 
    652L, 378L, 5095L, 2362L, 494L, 113L, 4019L, 1218L, 36L, 
    39L, 304L, 453L, 0L, 0L, 207L, 27L, 179L, 1055L, 77L, 3386L, 
    205L, 778L, 253L, 2998L, 110L, 205L, 99L, 1801L, 62L, 138L, 
    114L, 547L, 38L, 42L, 0L, 76L, 137L, 672L, 377L, 4346L, 148L, 
    1216L, 1222L, 4819L, 149L, 292L, 821L, 3564L, 41L, 21L, 0L, 
    233L, 14L, 64L, 27L, 225L, 0L, 1375L, 0L, 3260L, 0L, 489L, 
    53L, 1102L, 0L, 135L, 0L, 345L, 0L, 51L, 0L, 137L, 0L, 68L, 
    0L, 52L, 0L, 637L, 75L, 6489L, 0L, 456L, 0L, 3736L, 0L, 213L, 
    42L, 2057L, 0L, 187L, 0L, 214L, 0L, 0L, 0L, 97L, 353L, 231L, 
    1209L, 1237L, 710L, 1074L, 954L, 3015L, 447L, 199L, 952L, 
    1986L, 95L, 130L, 0L, 480L, 45L, 30L, 0L, 84L, 95L, 0L, 1067L, 
    1094L, 610L, 649L, 2390L, 2739L, 757L, 299L, 1550L, 2666L, 
    0L, 0L, 208L, 633L, 50L, 40L, 54L, 147L, 355L, 125L, 379L, 
    784L, 978L, 686L, 1177L, 3166L, 988L, 232L, 389L, 2616L, 
    113L, 5L, 51L, 299L, 187L, 0L, 108L, 115L, 205L, 85L, 1036L, 
    661L, 570L, 401L, 3489L, 2405L, 986L, 201L, 4126L, 3215L, 
    455L, 49L, 1047L, 816L, 0L, 46L, 150L, 380L, 207L, 579L, 
    144L, 1533L, 657L, 1220L, 287L, 3341L, 286L, 861L, 125L, 
    1559L, 97L, 166L, 25L, 414L, 25L, 109L, 13L, 183L, 22L, 659L, 
    321L, 1666L, 587L, 1266L, 913L, 4087L, 257L, 1150L, 706L, 
    4405L, 20L, 225L, 284L, 1114L, 79L, 217L, 20L, 571L, 52L, 
    1626L, 0L, 1027L, 0L, 1217L, 55L, 901L, 7L, 400L, 29L, 328L, 
    0L, 49L, 0L, 95L, 0L, 123L, 0L, 188L, 0L, 1066L, 0L, 2164L, 
    0L, 1071L, 37L, 1606L, 0L, 614L, 30L, 1556L, 0L, 72L, 0L, 
    648L, 0L, 76L, 0L, 175L, 47L, 51L, 617L, 1424L, 758L, 504L, 
    1937L, 4364L, 931L, 510L, 1384L, 2704L, 100L, 188L, 0L, 594L, 
    0L, 9L, 0L, 0L, 153L, 25L, 569L, 1708L, 703L, 377L, 1478L, 
    1710L, 747L, 386L, 1609L, 2744L, 123L, 150L, 195L, 848L, 
    7L, 123L, 0L, 203L, 248L, 161L, 114L, 1050L, 2517L, 551L, 
    986L, 2153L, 3389L, 459L, 682L, 2048L, 809L, 109L, 177L, 
    1114L, 360L, 157L, 0L, 350L, 435L, 128L, 257L, 516L, 1855L, 
    682L, 1371L, 1793L, 2909L, 551L, 1549L, 2076L, 848L, 173L, 
    804L, 1153L, 236L, 241L, 442L, 679L, 472L, 1010L, 158L, 1031L, 
    946L, 3250L, 389L, 2822L, 1410L, 2318L, 523L, 2091L, 275L, 
    612L, 142L, 587L, 427L, 366L, 0L, 255L, 202L, 568L, 314L, 
    1336L, 605L, 2868L, 404L, 2480L, 1283L, 3041L, 796L, 5077L, 
    259L, 740L, 439L, 1589L, 48L, 638L, 223L, 1009L, 81L, 914L, 
    73L, 578L, 0L, 1050L, 47L, 418L, 22L, 940L, 0L, 295L, 0L, 
    189L, 0L, 61L, 0L, 352L, 0L, 48L, 0L, 361L, 201L, 1664L, 
    0L, 606L, 9L, 970L, 0L, 731L, 307L, 852L, 0L, 232L, 50L, 
    287L, 0L, 100L, 0L, 292L, 0L, 0L, 380L, 515L, 35L, 129L, 
    565L, 1812L, 54L, 353L, 454L, 1132L, 0L, 199L, 196L, 241L, 
    0L, 12L, 47L, 10L, 14L, 0L, 0L, 369L, 0L, 154L, 271L, 844L, 
    171L, 41L, 467L, 1324L, 58L, 53L, 109L, 236L, 35L, 0L, 47L, 
    149L, 0L, 49L, 0L, 129L, 762L, 381L, 224L, 933L, 2340L, 520L, 
    281L, 993L, 1586L, 221L, 0L, 487L, 567L, 125L, 25L, 267L, 
    105L, 32L, 0L, 123L, 532L, 389L, 35L, 808L, 2472L, 423L, 
    93L, 1162L, 1539L, 168L, 102L, 145L, 704L, 59L, 101L, 628L, 
    110L, 438L, 162L, 577L, 820L, 1506L, 10L, 1002L, 1099L, 2249L, 
    123L, 1022L, 653L, 1011L, 0L, 732L, 281L, 953L, 0L, 201L, 
    36L, 279L, 24L, 134L, 304L, 1512L, 71L, 885L, 823L, 2166L, 
    38L, 1184L, 250L, 1015L, 0L, 957L, 394L, 1520L, 93L, 574L, 
    0L, 411L, 36L, 77L, 0L, 581L, 20L, 131L, 42L, 261L, 0L, 76L, 
    0L, 492L, 0L, 0L, 0L, 224L, 0L, 7L, 0L, 188L, 0L, 535L, 23L, 
    199L, 0L, 472L, 0L, 367L, 0L, 388L, 0L, 302L, 10L, 111L, 
    0L, 120L, 0L, 44L, 0L, 0L, 80L, 96L, 0L, 0L, 312L, 77L, 0L, 
    0L, 53L, 147L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    24L, 0L, 0L, 174L, 125L, 0L, 0L, 193L, 199L, 0L, 0L, 0L, 
    110L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 79L, 149L, 0L, 55L, 59L, 
    88L, 55L, 0L, 385L, 392L, 0L, 10L, 0L, 29L, 69L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 109L, 54L, 220L, 0L, 76L, 8L, 308L, 
    56L, 29L, 7L, 173L, 0L, 0L, 0L, 26L, 26L, 181L, 26L, 110L, 
    101L, 73L, 26L, 94L, 186L, 0L, 214L, 148L, 147L, 0L, 0L, 
    193L, 200L, 0L, 86L, 30L, 0L, 0L, 21L, 50L, 194L, 0L, 64L, 
    32L, 276L, 112L, 29L, 31L, 66L, 0L, 0L, 162L, 217L, 0L, 64L, 
    0L, 0L, 0L, 32L, 0L, 61L, 0L, 6L, 0L, 82L, 0L, 33L, 0L, 0L, 
    0L, 0L, 0L, 128L, 0L, 56L, 0L, 0L, 30L, 25L, 0L, 0L, 0L, 
    39L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 142L, 0L, 27L, 
    107L, 52L, 376L, 112L, 82L, 103L, 63L, 217L, 0L, 116L, 0L, 
    311L, 0L, 0L, 0L, 116L, 0L, 0L, 0L, 0L, 535L, 0L, 361L, 3L, 
    70L, 0L, 156L, 17L, 54L, 155L, 234L, 793L, 0L, 0L, 0L, 128L, 
    0L, 0L, 0L, 65L, 70L, 32L, 32L, 151L, 142L, 237L, 171L, 69L, 
    49L, 0L, 0L, 75L, 36L, 0L, 0L, 29L, 0L, 29L, 0L, 0L, 7L, 
    0L, 49L, 56L, 79L, 49L, 224L, 211L, 159L, 38L, 248L, 127L, 
    23L, 0L, 0L, 73L, 32L, 0L, 0L, 25L, 60L, 143L, 0L, 246L, 
    0L, 32L, 0L, 812L, 0L, 33L, 88L, 173L, 49L, 0L, 9L, 0L, 0L, 
    0L, 0L, 0L, 0L, 22L, 0L, 80L, 0L, 96L, 18L, 225L, 0L, 21L, 
    48L, 134L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 81L, 0L, 241L, 0L, 
    119L, 0L, 31L, 0L, 51L, 0L, 29L, 0L, 65L, 0L, 15L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 107L, 0L, 670L, 0L, 28L, 0L, 317L, 0L, 
    30L, 0L, 151L, 0L, 0L, 0L, 82L, 0L, 0L, 0L, 0L, 82L, 116L, 
    47L, 643L, 461L, 387L, 155L, 621L, 158L, 13L, 99L, 205L, 
    108L, 0L, 0L, 105L, 0L, 9L, 0L, 0L, 248L, 91L, 164L, 181L, 
    221L, 0L, 74L, 778L, 261L, 58L, 264L, 31L, 0L, 15L, 0L, 105L, 
    0L, 38L, 0L, 58L, 339L, 178L, 149L, 467L, 182L, 145L, 41L, 
    339L, 175L, 60L, 45L, 186L, 56L, 48L, 34L, 257L, 0L, 0L, 
    0L, 34L, 262L, 214L, 124L, 220L, 453L, 47L, 142L, 126L, 244L, 
    25L, 141L, 24L, 130L, 59L, 0L, 0L, 0L, 0L, 0L, 0L, 260L, 
    586L, 8L, 98L, 43L, 365L, 11L, 202L, 52L, 37L, 0L, 101L, 
    0L, 24L, 0L, 108L, 0L, 0L, 0L, 0L, 0L, 317L, 27L, 171L, 137L, 
    282L, 52L, 159L, 36L, 174L, 0L, 121L, 0L, 0L, 8L, 66L, 0L, 
    0L, 0L, 40L, 0L, 343L, 0L, 57L, 0L, 252L, 0L, 10L, 0L, 77L, 
    0L, 0L, 0L, 93L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 64L, 0L, 92L, 
    0L, 230L, 0L, 89L, 0L, 75L, 0L, 111L, 0L, 0L, 0L, 55L, 0L, 
    0L, 0L, 0L, 53L, 0L, 499L, 302L, 7L, 52L, 330L, 656L, 306L, 
    20L, 73L, 517L, 65L, 72L, 0L, 164L, 0L, 61L, 0L, 41L, 84L, 
    0L, 49L, 110L, 446L, 37L, 368L, 349L, 294L, 157L, 214L, 590L, 
    0L, 133L, 0L, 314L, 0L, 29L, 0L, 106L, 543L, 58L, 206L, 228L, 
    485L, 116L, 262L, 234L, 657L, 110L, 152L, 212L, 252L, 30L, 
    42L, 58L, 38L, 0L, 37L, 159L, 221L, 41L, 28L, 148L, 996L, 
    118L, 120L, 213L, 791L, 83L, 198L, 156L, 534L, 51L, 0L, 78L, 
    175L, 0L, 0L, 91L, 13L, 507L, 5L, 69L, 245L, 565L, 80L, 170L, 
    70L, 631L, 0L, 477L, 59L, 146L, 0L, 73L, 26L, 132L, 0L, 47L, 
    82L, 273L, 0L, 74L, 147L, 838L, 0L, 205L, 216L, 454L, 0L, 
    405L, 0L, 126L, 0L, 79L, 0L, 92L, 0L, 55L, 0L, 167L, 95L, 
    43L, 0L, 78L, 0L, 91L, 0L, 203L, 0L, 60L, 0L, 7L, 0L, 0L, 
    0L, 132L, 0L, 47L, 0L, 142L, 0L, 125L, 0L, 242L, 15L, 216L, 
    0L, 57L, 0L, 0L, 0L, 48L, 0L, 49L, 0L, 0L, 0L, 7L, 0L, 33L, 
    438L, 203L, 172L, 0L, 198L, 305L, 142L, 0L, 133L, 220L, 0L, 
    0L, 0L, 121L, 0L, 113L, 0L, 38L, 16L, 33L, 295L, 124L, 9L, 
    40L, 252L, 177L, 36L, 51L, 238L, 211L, 0L, 53L, 0L, 112L, 
    0L, 0L, 0L, 56L, 44L, 37L, 32L, 122L, 179L, 45L, 84L, 0L, 
    480L, 133L, 0L, 26L, 617L, 159L, 0L, 145L, 211L, 154L, 66L, 
    93L, 279L, 0L, 0L, 0L, 447L, 64L, 0L, 78L, 450L, 200L, 0L, 
    122L, 511L, 0L, 111L, 0L, 142L, 171L, 0L, 0L, 64L, 117L, 
    0L, 95L, 62L, 173L, 0L, 191L, 128L, 159L, 6L, 47L, 386L, 
    116L, 11L, 72L, 179L, 186L, 0L, 0L, 81L, 88L, 0L, 49L, 264L, 
    150L, 0L, 144L, 319L, 729L, 45L, 171L, 195L, 170L, 0L, 0L, 
    0L, 285L, 0L, 81L, 0L, 50L, 0L, 0L, 0L, 68L, 0L, 52L, 0L, 
    130L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    91L, 0L, 71L, 0L, 29L, 0L, 75L, 118L, 0L, 0L, 0L, 0L, 0L, 
    0L, 33L, 0L, 0L, 0L, 0L, 55L, 58L, 0L, 0L, 0L, 0L, 0L, 12L, 
    75L, 324L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 
    0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 106L, 0L, 0L, 21L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 0L, 31L, 68L, 83L, 0L, 0L, 
    104L, 29L, 32L, 0L, 104L, 14L, 0L, 0L, 121L, 0L, 0L, 0L, 
    0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 111L, 0L, 0L, 20L, 
    113L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 82L, 68L, 
    38L, 0L, 0L, 132L, 63L, 0L, 0L, 120L, 252L, 0L, 0L, 0L, 77L, 
    0L, 27L, 0L, 119L, 0L, 0L, 0L, 44L, 0L, 0L, 33L, 114L, 34L, 
    0L, 0L, 66L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 31L, 0L, 23L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    31L, 0L, 0L, 282L, 56L, 101L, 821L, 387L, 425L, 653L, 1968L, 
    261L, 162L, 262L, 4225L, 0L, 0L, 0L, 936L, 0L, 0L, 0L, 277L, 
    119L, 122L, 381L, 332L, 827L, 276L, 1205L, 1750L, 174L, 77L, 
    902L, 4911L, 7L, 29L, 70L, 1173L, 0L, 11L, 0L, 47L, 273L, 
    92L, 76L, 877L, 673L, 265L, 696L, 1113L, 381L, 162L, 379L, 
    664L, 379L, 65L, 42L, 528L, 0L, 0L, 0L, 53L, 321L, 0L, 87L, 
    341L, 696L, 278L, 1072L, 1078L, 846L, 87L, 2062L, 935L, 212L, 
    91L, 393L, 221L, 155L, 0L, 49L, 75L, 99L, 595L, 101L, 1161L, 
    181L, 1309L, 121L, 3524L, 277L, 1073L, 74L, 2193L, 250L, 
    304L, 0L, 731L, 207L, 186L, 0L, 427L, 0L, 465L, 263L, 1330L, 
    469L, 1972L, 241L, 2868L, 129L, 1541L, 669L, 3147L, 102L, 
    522L, 120L, 1075L, 0L, 13L, 81L, 296L, 21L, 1897L, 0L, 1894L, 
    0L, 1932L, 39L, 1959L, 0L, 844L, 0L, 1190L, 0L, 288L, 0L, 
    302L, 0L, 96L, 0L, 184L, 0L, 1154L, 0L, 4430L, 0L, 1807L, 
    0L, 7776L, 0L, 912L, 0L, 3188L, 0L, 229L, 0L, 1023L, 0L, 
    61L, 0L, 646L, 243L, 17L, 301L, 1615L, 1150L, 672L, 1007L, 
    3748L, 1181L, 566L, 673L, 3833L, 203L, 211L, 0L, 1085L, 0L, 
    42L, 0L, 32L, 505L, 139L, 961L, 554L, 1573L, 851L, 1104L, 
    1431L, 1364L, 628L, 747L, 2823L, 422L, 247L, 0L, 1651L, 29L, 
    39L, 0L, 35L, 833L, 254L, 349L, 874L, 2296L, 527L, 424L, 
    2738L, 2437L, 728L, 382L, 1005L, 757L, 469L, 268L, 1184L, 
    396L, 105L, 0L, 85L, 424L, 63L, 58L, 394L, 2942L, 1394L, 
    1342L, 961L, 2205L, 689L, 1318L, 1978L, 987L, 160L, 396L, 
    862L, 177L, 57L, 44L, 463L, 280L, 1092L, 147L, 848L, 1339L, 
    4914L, 66L, 3145L, 994L, 2637L, 479L, 2838L, 544L, 1294L, 
    64L, 1269L, 153L, 321L, 9L, 734L, 170L, 1066L, 7L, 497L, 
    767L, 5263L, 492L, 2712L, 697L, 4433L, 778L, 4199L, 434L, 
    1217L, 256L, 1482L, 24L, 372L, 92L, 436L, 31L, 3056L, 0L, 
    1055L, 11L, 5227L, 0L, 1625L, 0L, 3153L, 0L, 933L, 9L, 1096L, 
    0L, 510L, 39L, 719L, 0L, 271L, 0L, 1577L, 0L, 1458L, 24L, 
    5367L, 39L, 4152L, 0L, 3007L, 0L, 2798L, 0L, 802L, 0L, 1126L, 
    0L, 354L, 0L, 299L, 24L, 0L, 1829L, 1576L, 1213L, 558L, 1913L, 
    3653L, 1190L, 709L, 671L, 3528L, 425L, 935L, 13L, 2141L, 
    92L, 40L, 0L, 309L, 260L, 0L, 469L, 938L, 1103L, 555L, 896L, 
    1791L, 1942L, 1040L, 1282L, 3440L, 816L, 933L, 183L, 1554L, 
    36L, 169L, 0L, 152L, 640L, 286L, 335L, 222L, 5066L, 1681L, 
    505L, 2809L, 6373L, 1316L, 387L, 2393L, 3328L, 730L, 84L, 
    997L, 1088L, 357L, 0L, 298L, 733L, 110L, 61L, 307L, 4945L, 
    1606L, 702L, 2154L, 6735L, 1923L, 970L, 1162L, 4886L, 934L, 
    304L, 768L, 1254L, 655L, 95L, 292L, 139L, 998L, 40L, 702L, 
    2843L, 9806L, 313L, 3853L, 3219L, 8281L, 219L, 2392L, 1831L, 
    5154L, 207L, 1524L, 990L, 2438L, 34L, 810L, 400L, 1370L, 
    32L, 474L, 1597L, 10481L, 601L, 2074L, 2189L, 10571L, 418L, 
    2374L, 1747L, 4504L, 97L, 3155L, 402L, 1513L, 74L, 1234L, 
    216L, 1559L, 34L, 502L, 51L, 4267L, 148L, 722L, 23L, 3526L, 
    0L, 503L, 6L, 2289L, 0L, 501L, 0L, 1961L, 0L, 169L, 0L, 921L, 
    0L, 916L, 85L, 3696L, 293L, 1463L, 0L, 2903L, 0L, 1241L, 
    0L, 1972L, 160L, 627L, 0L, 755L, 39L, 334L, 9L, 123L, 709L, 
    1043L, 389L, 235L, 1553L, 2156L, 550L, 189L, 956L, 3922L, 
    91L, 275L, 31L, 929L, 27L, 181L, 0L, 32L, 2L, 204L, 375L, 
    426L, 404L, 188L, 371L, 1305L, 793L, 269L, 565L, 1710L, 451L, 
    627L, 40L, 248L, 0L, 232L, 0L, 55L, 198L, 152L, 111L, 232L, 
    2131L, 804L, 230L, 1540L, 3617L, 725L, 150L, 456L, 3286L, 
    1018L, 205L, 807L, 1433L, 496L, 0L, 307L, 162L, 31L, 28L, 
    62L, 2338L, 447L, 327L, 594L, 3472L, 587L, 288L, 604L, 5118L, 
    1308L, 303L, 954L, 1233L, 484L, 32L, 140L, 125L, 616L, 0L, 
    186L, 1832L, 4851L, 25L, 967L, 2022L, 5259L, 28L, 1457L, 
    2199L, 5108L, 534L, 1003L, 1638L, 3773L, 127L, 910L, 51L, 
    574L, 76L, 44L, 1051L, 5103L, 36L, 644L, 1634L, 6866L, 160L, 
    867L, 1872L, 4859L, 113L, 705L, 1080L, 2329L, 128L, 451L, 
    0L, 236L, 11L, 354L, 72L, 1228L, 35L, 189L, 54L, 1103L, 0L, 
    265L, 0L, 1055L, 0L, 163L, 0L, 1385L, 0L, 329L, 0L, 140L, 
    35L, 241L, 56L, 978L, 196L, 486L, 0L, 868L, 33L, 376L, 0L, 
    996L, 126L, 120L, 56L, 422L, 81L, 97L, 0L, 0L, 301L, 80L, 
    106L, 0L, 49L, 629L, 0L, 62L, 227L, 325L, 0L, 9L, 88L, 142L, 
    0L, 0L, 0L, 238L, 0L, 0L, 13L, 62L, 31L, 43L, 28L, 318L, 
    46L, 15L, 172L, 202L, 87L, 132L, 167L, 123L, 0L, 0L, 0L, 
    0L, 4L, 0L, 0L, 0L, 210L, 0L, 102L, 45L, 575L, 42L, 0L, 82L, 
    413L, 117L, 0L, 121L, 481L, 10L, 0L, 136L, 77L, 0L, 0L, 93L, 
    239L, 106L, 0L, 130L, 635L, 155L, 76L, 42L, 707L, 55L, 44L, 
    15L, 498L, 13L, 64L, 0L, 51L, 70L, 0L, 18L, 240L, 578L, 0L, 
    281L, 485L, 729L, 0L, 108L, 484L, 994L, 0L, 191L, 597L, 1263L, 
    0L, 165L, 8L, 100L, 0L, 86L, 119L, 649L, 45L, 54L, 455L, 
    1295L, 2L, 181L, 334L, 1005L, 0L, 156L, 352L, 684L, 39L, 
    197L, 0L, 119L, 2L, 0L, 4L, 220L, 0L, 57L, 0L, 282L, 0L, 
    134L, 0L, 390L, 0L, 21L, 152L, 388L, 0L, 0L, 0L, 21L, 0L, 
    0L, 0L, 132L, 0L, 155L, 0L, 355L, 0L, 55L, 0L, 307L, 0L, 
    45L, 103L, 169L, 106L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 91L, 116L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 5L, 0L, 0L, 90L, 0L, 280L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 29L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 
    0L, 0L, 66L, 62L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 87L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 66L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 30L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 21L, 0L, 17L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 27L, 0L, 0L, 0L, 59L, 0L, 98L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    390L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 127L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 49L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 111L, 0L, 0L, 62L, 
    0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 69L, 0L, 0L, 54L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 59L, 154L, 
    0L, 0L, 68L, 120L, 59L, 21L, 13L, 276L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 27L, 0L, 166L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 36L, 0L, 70L, 
    0L, 392L, 0L, 73L, 0L, 122L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 25L, 127L, 60L, 81L, 0L, 0L, 0L, 295L, 0L, 0L, 75L, 
    0L, 0L, 0L, 0L, 0L, 0L, 31L, 0L, 49L, 0L, 4L, 0L, 0L, 0L, 
    79L, 0L, 61L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 20L, 0L, 
    0L, 0L, 69L, 0L, 66L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 107L, 0L, 0L, 0L, 
    0L, 0L, 50L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 11L, 15L, 0L, 104L, 105L, 0L, 7L, 216L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 20L, 186L, 254L, 0L, 0L, 
    216L, 40L, 15L, 0L, 175L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 
    17L, 41L, 0L, 0L, 0L, 34L, 173L, 179L, 30L, 244L, 0L, 30L, 
    0L, 0L, 0L, 13L, 0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 17L, 
    202L, 282L, 0L, 27L, 0L, 0L, 0L, 0L, 248L, 0L, 0L, 0L, 0L, 
    0L, 0L, 33L, 0L, 174L, 35L, 76L, 44L, 0L, 15L, 34L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 278L, 
    0L, 32L, 0L, 0L, 0L, 201L, 0L, 0L, 40L, 129L, 0L, 0L, 0L, 
    0L, 0L, 70L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 107L, 0L, 0L, 0L, 
    40L, 0L, 63L, 0L, 70L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 44L, 207L, 37L, 50L, 0L, 136L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 107L, 0L, 22L, 61L, 55L, 
    5L, 0L, 0L, 0L, 2L, 128L, 0L, 0L, 0L, 0L, 0L, 0L, 13L, 0L, 
    0L, 0L, 13L, 147L, 0L, 29L, 126L, 65L, 0L, 71L, 60L, 80L, 
    0L, 0L, 0L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 162L, 46L, 0L, 0L, 
    109L, 0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 112L, 0L, 64L, 277L, 29L, 0L, 64L, 0L, 61L, 0L, 
    0L, 0L, 0L, 0L, 24L, 57L, 5L, 0L, 0L, 45L, 360L, 0L, 0L, 
    0L, 119L, 0L, 76L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 30L, 
    0L, 0L, 0L, 10L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 129L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 145L, 0L, 0L, 
    0L, 0L, 0L, 0L, 118L, 0L, 13L, 0L, 0L, 44L, 39L, 0L, 0L, 
    0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 11L, 
    78L, 0L, 78L, 8L, 0L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 50L, 0L, 0L, 0L, 95L, 0L, 0L, 0L, 251L, 0L, 0L, 0L, 9L, 
    137L, 67L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 
    0L, 54L, 66L, 25L, 0L, 0L, 29L, 21L, 0L, 60L, 0L, 0L, 0L, 
    0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 75L, 0L, 0L, 0L, 0L, 
    53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 
    49L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 26L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 328L, 0L, 499L, 890L, 189L, 396L, 449L, 
    2948L, 488L, 1031L, 773L, 7511L, 38L, 187L, 19L, 1206L, 34L, 
    0L, 19L, 183L, 97L, 54L, 1185L, 626L, 654L, 271L, 2760L, 
    1491L, 549L, 1009L, 2317L, 5044L, 280L, 146L, 166L, 2366L, 
    35L, 0L, 11L, 109L, 326L, 131L, 131L, 725L, 956L, 244L, 335L, 
    2145L, 691L, 38L, 505L, 2583L, 250L, 0L, 0L, 409L, 49L, 0L, 
    0L, 274L, 45L, 69L, 299L, 378L, 619L, 328L, 1779L, 1424L, 
    1007L, 321L, 2690L, 1321L, 570L, 11L, 373L, 315L, 123L, 0L, 
    131L, 129L, 60L, 803L, 52L, 1287L, 597L, 1653L, 54L, 4242L, 
    268L, 904L, 230L, 2713L, 42L, 305L, 9L, 1114L, 0L, 0L, 0L, 
    597L, 0L, 698L, 64L, 1748L, 421L, 2166L, 490L, 4807L, 177L, 
    903L, 346L, 4591L, 59L, 141L, 269L, 978L, 0L, 121L, 105L, 
    168L, 0L, 3259L, 0L, 2369L, 30L, 3740L, 0L, 3355L, 0L, 823L, 
    0L, 947L, 0L, 268L, 0L, 529L, 0L, 114L, 0L, 69L, 0L, 1890L, 
    0L, 7147L, 0L, 4153L, 0L, 14895L, 0L, 1588L, 0L, 7009L, 0L, 
    363L, 0L, 1193L, 0L, 39L, 0L, 673L, 320L, 53L, 868L, 1127L, 
    1530L, 528L, 1287L, 4388L, 2225L, 997L, 1274L, 9184L, 447L, 
    811L, 190L, 2002L, 51L, 129L, 0L, 162L, 250L, 83L, 478L, 
    1123L, 2209L, 561L, 2363L, 2963L, 3006L, 1020L, 2456L, 6426L, 
    548L, 1020L, 237L, 3629L, 17L, 0L, 0L, 565L, 729L, 203L, 
    227L, 428L, 3098L, 701L, 474L, 4506L, 3127L, 693L, 717L, 
    3929L, 1397L, 158L, 183L, 734L, 387L, 55L, 0L, 210L, 358L, 
    82L, 280L, 388L, 2742L, 662L, 2133L, 1641L, 4211L, 469L, 
    2596L, 2061L, 1111L, 157L, 526L, 1345L, 276L, 312L, 54L, 
    653L, 232L, 1454L, 35L, 1092L, 1688L, 5206L, 612L, 4793L, 
    2078L, 4608L, 539L, 4108L, 544L, 1312L, 0L, 1710L, 217L, 
    524L, 47L, 545L, 128L, 1252L, 22L, 989L, 1312L, 8740L, 379L, 
    5014L, 1598L, 4315L, 898L, 5151L, 488L, 1293L, 130L, 2139L, 
    337L, 414L, 99L, 456L, 0L, 4577L, 48L, 1174L, 7L, 11206L, 
    0L, 2203L, 0L, 4244L, 0L, 1213L, 14L, 1600L, 0L, 621L, 0L, 
    698L, 0L, 320L, 0L, 2561L, 53L, 2544L, 0L, 10639L, 0L, 7161L, 
    0L, 5014L, 0L, 4658L, 0L, 952L, 0L, 1907L, 0L, 120L, 0L, 
    592L, 134L, 385L, 1479L, 1394L, 2312L, 1046L, 2842L, 5747L, 
    3445L, 3034L, 1900L, 9400L, 1752L, 2372L, 461L, 3678L, 209L, 
    225L, 0L, 362L, 213L, 180L, 975L, 847L, 2529L, 931L, 1707L, 
    3358L, 5067L, 2735L, 2517L, 6248L, 2311L, 2822L, 189L, 2460L, 
    438L, 470L, 73L, 322L, 1375L, 227L, 268L, 487L, 8566L, 1723L, 
    1414L, 4889L, 12434L, 2623L, 1134L, 4221L, 6792L, 1161L, 
    656L, 2371L, 1917L, 553L, 32L, 959L, 631L, 16L, 40L, 179L, 
    7882L, 2050L, 1775L, 1388L, 14409L, 2338L, 2142L, 2761L, 
    7940L, 1194L, 1215L, 1901L, 2130L, 368L, 401L, 914L, 603L, 
    1952L, 47L, 570L, 5465L, 14686L, 627L, 4007L, 5599L, 13594L, 
    729L, 3589L, 2614L, 4888L, 127L, 2406L, 1100L, 1638L, 194L, 
    852L, 119L, 1870L, 51L, 634L, 2887L, 17393L, 474L, 3472L, 
    4179L, 14407L, 554L, 5461L, 2394L, 5020L, 863L, 3055L, 509L, 
    2022L, 204L, 2049L, 0L, 2197L, 55L, 618L, 163L, 10729L, 0L, 
    1749L, 0L, 5227L, 0L, 982L, 7L, 3283L, 0L, 497L, 25L, 2476L, 
    0L, 574L, 0L, 1177L, 182L, 728L, 0L, 8556L, 141L, 2664L, 
    0L, 5735L, 0L, 2035L, 0L, 2548L, 0L, 945L, 0L, 816L, 0L, 
    762L, 126L, 67L, 1411L, 1416L, 702L, 310L, 2113L, 4583L, 
    1302L, 1353L, 2242L, 6386L, 961L, 933L, 203L, 2027L, 227L, 
    168L, 41L, 167L, 92L, 10L, 982L, 644L, 570L, 226L, 1632L, 
    2520L, 1085L, 966L, 1985L, 4309L, 1637L, 1812L, 184L, 2663L, 
    655L, 726L, 0L, 119L, 191L, 9L, 0L, 395L, 4153L, 1047L, 350L, 
    1703L, 9410L, 2016L, 672L, 2338L, 11674L, 2109L, 89L, 2008L, 
    5191L, 543L, 128L, 820L, 95L, 77L, 0L, 27L, 4122L, 1049L, 
    386L, 377L, 11499L, 1953L, 487L, 961L, 12912L, 2015L, 818L, 
    1108L, 4899L, 1063L, 398L, 254L, 432L, 1177L, 0L, 534L, 3706L, 
    9258L, 187L, 1743L, 5961L, 12740L, 107L, 2101L, 5794L, 9494L, 
    142L, 1218L, 3522L, 5292L, 82L, 787L, 87L, 739L, 85L, 262L, 
    2276L, 10581L, 293L, 1131L, 5052L, 14260L, 274L, 1839L, 4500L, 
    9564L, 108L, 708L, 2615L, 4035L, 172L, 1137L, 0L, 1060L, 
    0L, 126L, 18L, 3059L, 0L, 527L, 50L, 2011L, 9L, 638L, 11L, 
    1813L, 75L, 269L, 0L, 1979L, 0L, 261L, 0L, 563L, 122L, 663L, 
    48L, 2399L, 214L, 1140L, 50L, 2047L, 29L, 375L, 0L, 1056L, 
    40L, 641L, 0L, 395L, 0L, 295L, 0L, 0L, 151L, 414L, 0L, 89L, 
    252L, 375L, 22L, 109L, 463L, 1743L, 9L, 118L, 58L, 503L, 
    73L, 27L, 28L, 169L, 0L, 0L, 202L, 121L, 7L, 151L, 421L, 
    438L, 70L, 189L, 202L, 918L, 171L, 126L, 0L, 312L, 42L, 55L, 
    0L, 0L, 36L, 0L, 0L, 66L, 586L, 64L, 60L, 197L, 613L, 217L, 
    40L, 359L, 1606L, 455L, 0L, 124L, 1275L, 61L, 41L, 265L, 
    23L, 0L, 0L, 0L, 343L, 19L, 4L, 136L, 1392L, 402L, 72L, 136L, 
    2311L, 281L, 49L, 390L, 1277L, 171L, 38L, 104L, 0L, 105L, 
    0L, 0L, 434L, 1461L, 7L, 235L, 587L, 2280L, 10L, 225L, 1903L, 
    3039L, 107L, 449L, 1493L, 3622L, 48L, 328L, 0L, 132L, 0L, 
    0L, 235L, 1543L, 0L, 20L, 804L, 3635L, 0L, 345L, 1122L, 3100L, 
    0L, 263L, 875L, 2494L, 74L, 262L, 0L, 186L, 0L, 55L, 0L, 
    495L, 5L, 146L, 5L, 509L, 0L, 14L, 0L, 497L, 0L, 0L, 0L, 
    1142L, 0L, 0L, 0L, 59L, 0L, 56L, 0L, 533L, 0L, 107L, 0L, 
    708L, 0L, 239L, 0L, 495L, 0L, 121L, 0L, 131L, 0L, 46L, 0L, 
    0L, 83L, 116L, 47L, 51L, 137L, 770L, 0L, 0L, 80L, 183L, 0L, 
    0L, 0L, 123L, 0L, 0L, 0L, 0L, 41L, 0L, 867L, 41L, 0L, 0L, 
    764L, 66L, 38L, 0L, 715L, 537L, 0L, 0L, 132L, 0L, 0L, 0L, 
    0L, 0L, 25L, 47L, 38L, 301L, 82L, 36L, 0L, 114L, 35L, 0L, 
    0L, 350L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 74L, 37L, 114L, 
    39L, 70L, 38L, 608L, 97L, 0L, 0L, 475L, 197L, 0L, 0L, 165L, 
    0L, 0L, 0L, 0L, 0L, 75L, 140L, 0L, 419L, 0L, 85L, 0L, 497L, 
    0L, 61L, 0L, 298L, 0L, 0L, 45L, 65L, 0L, 0L, 0L, 83L, 0L, 
    67L, 41L, 278L, 35L, 84L, 178L, 897L, 0L, 0L, 0L, 322L, 0L, 
    0L, 0L, 212L, 0L, 0L, 0L, 33L, 0L, 125L, 0L, 247L, 0L, 131L, 
    0L, 146L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 77L, 0L, 371L, 0L, 141L, 0L, 262L, 0L, 38L, 0L, 102L, 
    0L, 39L, 0L, 89L, 0L, 0L, 0L, 0L, 0L, 0L, 77L, 109L, 184L, 
    0L, 275L, 488L, 62L, 69L, 179L, 279L, 48L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 120L, 0L, 0L, 249L, 400L, 75L, 0L, 
    140L, 161L, 0L, 0L, 125L, 0L, 0L, 0L, 0L, 0L, 0L, 7L, 0L, 
    94L, 104L, 0L, 72L, 440L, 178L, 0L, 340L, 468L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 97L, 0L, 126L, 0L, 228L, 40L, 289L, 342L, 
    41L, 0L, 633L, 335L, 0L, 0L, 57L, 0L, 0L, 0L, 21L, 0L, 0L, 
    38L, 0L, 315L, 51L, 319L, 0L, 264L, 115L, 35L, 0L, 126L, 
    0L, 0L, 0L, 36L, 0L, 0L, 0L, 59L, 0L, 33L, 0L, 34L, 41L, 
    234L, 0L, 25L, 35L, 122L, 98L, 374L, 34L, 0L, 0L, 136L, 0L, 
    0L, 0L, 36L, 0L, 52L, 0L, 168L, 0L, 143L, 0L, 57L, 0L, 66L, 
    0L, 59L, 0L, 0L, 0L, 0L, 0L, 57L, 0L, 26L, 0L, 0L, 0L, 158L, 
    0L, 116L, 0L, 166L, 0L, 81L, 0L, 112L, 0L, 100L, 0L, 43L, 
    0L, 0L, 0L, 0L, 0L, 0L, 93L, 61L, 0L, 0L, 209L, 522L, 98L, 
    0L, 0L, 1046L, 50L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    41L, 0L, 72L, 47L, 0L, 81L, 128L, 88L, 120L, 62L, 0L, 0L, 
    0L, 64L, 0L, 0L, 0L, 63L, 0L, 0L, 0L, 54L, 195L, 40L, 311L, 
    93L, 221L, 283L, 150L, 58L, 260L, 0L, 0L, 141L, 0L, 0L, 0L, 
    38L, 0L, 0L, 36L, 145L, 249L, 0L, 174L, 253L, 47L, 40L, 89L, 
    0L, 68L, 0L, 35L, 116L, 0L, 40L, 130L, 0L, 0L, 37L, 0L, 44L, 
    43L, 401L, 0L, 170L, 51L, 450L, 103L, 45L, 0L, 79L, 0L, 65L, 
    0L, 0L, 0L, 0L, 0L, 31L, 0L, 175L, 0L, 250L, 26L, 373L, 81L, 
    227L, 34L, 435L, 0L, 36L, 0L, 48L, 0L, 130L, 0L, 107L, 66L, 
    91L, 0L, 98L, 0L, 0L, 0L, 84L, 0L, 151L, 0L, 0L, 0L, 33L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 75L, 0L, 0L, 0L, 0L, 0L, 220L, 
    0L, 0L, 0L, 114L, 0L, 111L, 0L, 0L, 0L, 38L, 0L, 62L, 0L, 
    0L, 0L, 159L, 0L, 0L, 69L, 123L, 0L, 0L, 78L, 63L, 0L, 46L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 79L, 88L, 
    0L, 132L, 49L, 283L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 144L, 68L, 0L, 0L, 205L, 253L, 166L, 0L, 39L, 219L, 
    40L, 41L, 155L, 43L, 41L, 0L, 0L, 0L, 0L, 0L, 0L, 167L, 41L, 
    0L, 40L, 161L, 0L, 54L, 84L, 181L, 54L, 40L, 0L, 97L, 0L, 
    0L, 0L, 0L, 0L, 0L, 40L, 0L, 175L, 0L, 0L, 177L, 293L, 0L, 
    0L, 38L, 207L, 0L, 65L, 0L, 113L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 69L, 0L, 86L, 0L, 349L, 0L, 74L, 35L, 163L, 0L, 37L, 
    0L, 136L, 31L, 70L, 0L, 0L, 0L, 0L, 0L, 90L, 27L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 97L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 41L, 
    130L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 19L, 0L, 0L, 0L, 38L, 0L, 0L, 14L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 42L, 
    0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 132L, 0L, 21L, 0L, 0L, 0L, 44L, 0L, 0L, 18L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 
    0L, 0L, 0L, 0L, 0L, 41L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 16L, 12L, 78L, 49L, 181L, 0L, 65L, 
    81L, 0L, 52L, 141L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 254L, 
    0L, 188L, 216L, 147L, 0L, 81L, 44L, 57L, 0L, 305L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 40L, 42L, 0L, 0L, 0L, 
    0L, 0L, 55L, 53L, 227L, 0L, 0L, 0L, 100L, 0L, 0L, 0L, 30L, 
    78L, 0L, 100L, 0L, 0L, 0L, 151L, 31L, 0L, 0L, 244L, 92L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 47L, 0L, 0L, 
    0L, 72L, 0L, 0L, 126L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    12L, 225L, 0L, 197L, 0L, 23L, 0L, 7L, 21L, 45L, 0L, 7L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 179L, 0L, 79L, 0L, 66L, 0L, 
    48L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    25L, 0L, 446L, 0L, 40L, 0L, 176L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 45L, 0L, 0L, 0L, 0L, 121L, 26L, 119L, 179L, 82L, 19L, 
    141L, 162L, 110L, 0L, 56L, 828L, 0L, 0L, 0L, 56L, 0L, 0L, 
    0L, 0L, 177L, 0L, 254L, 26L, 160L, 34L, 230L, 349L, 180L, 
    0L, 53L, 386L, 0L, 0L, 66L, 20L, 0L, 0L, 0L, 0L, 695L, 44L, 
    281L, 118L, 253L, 0L, 223L, 18L, 38L, 194L, 0L, 217L, 112L, 
    0L, 0L, 0L, 0L, 0L, 0L, 14L, 317L, 0L, 35L, 53L, 192L, 20L, 
    349L, 0L, 58L, 0L, 479L, 92L, 76L, 0L, 0L, 43L, 0L, 0L, 0L, 
    0L, 258L, 150L, 0L, 104L, 147L, 137L, 180L, 325L, 0L, 50L, 
    0L, 26L, 0L, 57L, 0L, 13L, 0L, 0L, 0L, 35L, 21L, 148L, 0L, 
    143L, 81L, 206L, 45L, 282L, 47L, 0L, 78L, 46L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 22L, 14L, 0L, 172L, 0L, 105L, 0L, 40L, 
    0L, 117L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 
    18L, 89L, 0L, 102L, 0L, 55L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 
    153L, 0L, 0L, 0L, 32L, 77L, 0L, 244L, 215L, 72L, 109L, 346L, 
    170L, 71L, 52L, 175L, 805L, 65L, 0L, 39L, 0L, 0L, 0L, 0L, 
    0L, 47L, 0L, 35L, 160L, 46L, 78L, 260L, 258L, 233L, 54L, 
    268L, 425L, 36L, 36L, 0L, 25L, 0L, 0L, 0L, 0L, 758L, 280L, 
    83L, 0L, 559L, 147L, 34L, 67L, 229L, 277L, 0L, 96L, 168L, 
    112L, 207L, 35L, 39L, 0L, 0L, 0L, 770L, 38L, 0L, 37L, 629L, 
    51L, 17L, 5L, 672L, 0L, 154L, 58L, 162L, 63L, 0L, 0L, 30L, 
    0L, 0L, 38L, 478L, 187L, 0L, 33L, 112L, 371L, 0L, 54L, 88L, 
    158L, 0L, 106L, 0L, 43L, 0L, 37L, 44L, 42L, 0L, 60L, 141L, 
    464L, 93L, 160L, 96L, 458L, 0L, 0L, 127L, 356L, 0L, 61L, 
    24L, 262L, 0L, 0L, 53L, 0L, 0L, 61L, 0L, 103L, 0L, 0L, 0L, 
    0L, 106L, 0L, 0L, 46L, 0L, 13L, 0L, 104L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 53L, 0L, 24L, 0L, 45L, 0L, 74L, 0L, 61L, 0L, 
    0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    16L, 293L, 127L, 0L, 0L, 147L, 273L, 0L, 0L, 0L, 30L, 0L, 
    0L, 0L, 0L, 189L, 0L, 70L, 0L, 71L, 0L, 76L, 232L, 0L, 0L, 
    284L, 56L, 0L, 42L, 0L, 0L, 0L, 0L, 0L, 0L, 98L, 0L, 0L, 
    0L, 180L, 76L, 75L, 123L, 326L, 51L, 0L, 42L, 156L, 0L, 0L, 
    54L, 11L, 0L, 0L, 0L, 297L, 0L, 59L, 0L, 211L, 0L, 44L, 67L, 
    136L, 47L, 67L, 40L, 259L, 154L, 0L, 52L, 132L, 0L, 0L, 0L, 
    0L, 9L, 0L, 11L, 53L, 170L, 0L, 7L, 75L, 219L, 0L, 150L, 
    106L, 108L, 0L, 0L, 104L, 0L, 0L, 30L, 0L, 0L, 0L, 74L, 7L, 
    132L, 54L, 90L, 14L, 233L, 0L, 72L, 13L, 57L, 96L, 0L, 0L, 
    66L, 0L, 0L, 0L, 146L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 106L, 98L, 0L, 0L, 
    10L, 0L, 0L, 0L, 79L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 5L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 35L, 0L, 0L, 0L, 113L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 66L, 0L, 0L, 0L, 31L, 0L, 0L, 49L, 28L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 4L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 
    29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 134L, 29L, 172L, 1127L, 429L, 312L, 648L, 1375L, 
    279L, 161L, 244L, 1996L, 97L, 23L, 0L, 649L, 23L, 26L, 0L, 
    39L, 388L, 54L, 733L, 351L, 397L, 222L, 1356L, 1549L, 485L, 
    372L, 994L, 3019L, 52L, 111L, 56L, 939L, 0L, 0L, 31L, 208L, 
    194L, 244L, 94L, 884L, 269L, 267L, 302L, 1817L, 562L, 159L, 
    195L, 1416L, 243L, 77L, 0L, 662L, 108L, 18L, 0L, 136L, 159L, 
    222L, 475L, 792L, 556L, 315L, 1013L, 1569L, 567L, 250L, 1887L, 
    1159L, 29L, 28L, 233L, 169L, 80L, 0L, 30L, 40L, 43L, 469L, 
    58L, 1811L, 173L, 1701L, 226L, 4029L, 344L, 980L, 51L, 4422L, 
    0L, 572L, 17L, 1374L, 60L, 204L, 0L, 677L, 164L, 499L, 98L, 
    1780L, 266L, 1998L, 295L, 4518L, 188L, 1238L, 811L, 4200L, 
    22L, 423L, 27L, 718L, 36L, 49L, 45L, 577L, 43L, 1417L, 0L, 
    1903L, 0L, 1772L, 108L, 2939L, 0L, 1185L, 28L, 2179L, 0L, 
    225L, 0L, 1058L, 0L, 344L, 0L, 502L, 0L, 1427L, 24L, 5035L, 
    0L, 1894L, 0L, 8694L, 0L, 995L, 0L, 5489L, 0L, 105L, 0L, 
    788L, 0L, 78L, 0L, 365L, 236L, 73L, 549L, 1109L, 1010L, 331L, 
    567L, 2757L, 986L, 478L, 597L, 3638L, 143L, 327L, 0L, 953L, 
    45L, 66L, 0L, 305L, 516L, 149L, 1037L, 517L, 857L, 225L, 
    1658L, 2592L, 1364L, 774L, 1210L, 3598L, 207L, 271L, 88L, 
    1709L, 73L, 0L, 24L, 335L, 505L, 153L, 509L, 876L, 1853L, 
    990L, 726L, 3441L, 1780L, 742L, 357L, 3813L, 315L, 225L, 
    169L, 1340L, 63L, 80L, 52L, 270L, 515L, 153L, 767L, 703L, 
    2313L, 678L, 1300L, 2590L, 1582L, 450L, 2125L, 3043L, 328L, 
    264L, 303L, 671L, 72L, 114L, 191L, 533L, 115L, 1316L, 16L, 
    1950L, 879L, 3665L, 305L, 6588L, 863L, 4118L, 434L, 6541L, 
    135L, 910L, 67L, 1964L, 52L, 316L, 0L, 853L, 28L, 1554L, 
    75L, 1816L, 631L, 5751L, 1137L, 6866L, 449L, 4887L, 702L, 
    7540L, 101L, 743L, 58L, 1552L, 48L, 265L, 45L, 897L, 49L, 
    2950L, 100L, 1381L, 22L, 6982L, 25L, 3221L, 26L, 5074L, 0L, 
    2566L, 0L, 1840L, 0L, 1030L, 0L, 600L, 0L, 600L, 0L, 2642L, 
    0L, 3258L, 0L, 6853L, 0L, 6896L, 0L, 2879L, 37L, 4713L, 0L, 
    574L, 0L, 1323L, 0L, 143L, 0L, 715L, 198L, 76L, 726L, 2159L, 
    2077L, 1075L, 2142L, 7584L, 2353L, 1962L, 1089L, 8570L, 497L, 
    859L, 176L, 2774L, 159L, 185L, 0L, 405L, 784L, 108L, 946L, 
    2560L, 2928L, 1259L, 1351L, 4711L, 3431L, 2095L, 1490L, 5859L, 
    999L, 1600L, 296L, 2763L, 125L, 185L, 0L, 699L, 1326L, 670L, 
    459L, 1555L, 7281L, 2647L, 2079L, 5672L, 8469L, 2629L, 1711L, 
    7313L, 2441L, 1398L, 210L, 2472L, 860L, 443L, 49L, 777L, 
    1413L, 625L, 392L, 451L, 6428L, 2592L, 1877L, 2585L, 7861L, 
    2195L, 3442L, 3701L, 3129L, 1209L, 1269L, 2346L, 889L, 644L, 
    496L, 1248L, 539L, 3052L, 187L, 1587L, 2787L, 10368L, 823L, 
    8022L, 2895L, 11914L, 690L, 8363L, 1179L, 3935L, 109L, 3830L, 
    526L, 1913L, 71L, 1724L, 518L, 2211L, 189L, 1917L, 1505L, 
    13848L, 548L, 6328L, 2406L, 12140L, 952L, 8657L, 457L, 3521L, 
    862L, 3715L, 328L, 1305L, 249L, 2025L, 0L, 2484L, 55L, 1374L, 
    50L, 6592L, 51L, 2522L, 39L, 8255L, 18L, 2433L, 0L, 3979L, 
    0L, 1264L, 0L, 2421L, 0L, 685L, 0L, 2298L, 80L, 1955L, 0L, 
    7566L, 424L, 3687L, 0L, 4703L, 106L, 3660L, 0L, 1576L, 33L, 
    1332L, 0L, 839L, 23L, 436L, 216L, 148L, 1840L, 1661L, 1250L, 
    586L, 2341L, 7436L, 1122L, 1176L, 1665L, 7241L, 687L, 795L, 
    129L, 3220L, 68L, 117L, 62L, 696L, 235L, 150L, 966L, 876L, 
    1084L, 910L, 1967L, 4778L, 1905L, 1708L, 1520L, 6313L, 1263L, 
    1211L, 223L, 2251L, 363L, 280L, 20L, 688L, 897L, 551L, 446L, 
    1090L, 7867L, 3583L, 878L, 5113L, 10797L, 4637L, 1175L, 5301L, 
    5460L, 2029L, 570L, 4066L, 3123L, 1009L, 174L, 1289L, 677L, 
    514L, 186L, 356L, 7491L, 3053L, 1376L, 2073L, 11960L, 4040L, 
    1106L, 2720L, 6093L, 2700L, 583L, 2086L, 3343L, 1152L, 341L, 
    964L, 369L, 1508L, 395L, 664L, 4133L, 11318L, 626L, 3631L, 
    5768L, 17217L, 704L, 4898L, 3048L, 7037L, 409L, 2485L, 2388L, 
    4785L, 209L, 1775L, 445L, 2064L, 67L, 853L, 2485L, 13156L, 
    961L, 3574L, 4168L, 16710L, 1134L, 4752L, 2419L, 5552L, 224L, 
    1913L, 1066L, 4035L, 206L, 2138L, 171L, 1518L, 23L, 475L, 
    118L, 3110L, 93L, 1615L, 13L, 4871L, 227L, 852L, 96L, 3103L, 
    23L, 569L, 0L, 3655L, 0L, 499L, 19L, 602L, 101L, 2039L, 0L, 
    3458L, 708L, 2666L, 20L, 3830L, 210L, 2021L, 0L, 1230L, 111L, 
    596L, 0L, 1013L, 99L, 410L, 26L, 0L, 114L, 847L, 86L, 87L, 
    322L, 2352L, 390L, 387L, 1056L, 1574L, 76L, 282L, 64L, 1374L, 
    28L, 0L, 0L, 87L, 56L, 92L, 364L, 266L, 122L, 344L, 273L, 
    952L, 256L, 237L, 759L, 1311L, 146L, 137L, 74L, 852L, 0L, 
    57L, 8L, 329L, 392L, 83L, 0L, 190L, 1086L, 471L, 173L, 986L, 
    1463L, 642L, 413L, 1303L, 2263L, 1055L, 222L, 978L, 1392L, 
    604L, 91L, 831L, 448L, 133L, 0L, 74L, 1195L, 519L, 138L, 
    398L, 2677L, 757L, 492L, 624L, 3053L, 1096L, 185L, 470L, 
    1014L, 624L, 207L, 431L, 42L, 333L, 41L, 103L, 817L, 1942L, 
    60L, 578L, 1458L, 4584L, 282L, 1174L, 2306L, 5556L, 108L, 
    1374L, 1773L, 4366L, 127L, 861L, 49L, 147L, 104L, 183L, 466L, 
    3143L, 132L, 365L, 1440L, 5755L, 188L, 822L, 1454L, 3966L, 
    168L, 499L, 733L, 3659L, 147L, 371L, 21L, 276L, 0L, 147L, 
    158L, 764L, 0L, 314L, 104L, 1053L, 0L, 366L, 62L, 1635L, 
    0L, 408L, 62L, 1836L, 33L, 324L, 64L, 144L, 53L, 226L, 0L, 
    788L, 227L, 664L, 31L, 883L, 109L, 627L, 35L, 744L, 0L, 140L, 
    0L, 460L, 0L, 166L, 23L, 23L, 282L, 198L, 0L, 0L, 253L, 434L, 
    22L, 80L, 0L, 436L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    859L, 156L, 22L, 19L, 1250L, 440L, 0L, 0L, 158L, 482L, 0L, 
    0L, 0L, 53L, 0L, 0L, 0L, 0L, 21L, 0L, 0L, 138L, 49L, 67L, 
    43L, 501L, 82L, 0L, 102L, 571L, 0L, 0L, 0L, 59L, 0L, 0L, 
    0L, 0L, 0L, 28L, 218L, 277L, 85L, 104L, 1299L, 299L, 200L, 
    0L, 518L, 271L, 0L, 36L, 31L, 19L, 0L, 0L, 0L, 0L, 166L, 
    21L, 61L, 290L, 58L, 122L, 118L, 832L, 17L, 197L, 0L, 267L, 
    0L, 11L, 0L, 57L, 0L, 0L, 0L, 0L, 0L, 48L, 89L, 757L, 65L, 
    97L, 95L, 792L, 0L, 149L, 153L, 940L, 0L, 0L, 0L, 101L, 0L, 
    62L, 29L, 0L, 0L, 173L, 0L, 317L, 0L, 79L, 0L, 396L, 0L, 
    161L, 0L, 328L, 0L, 32L, 0L, 90L, 0L, 0L, 0L, 22L, 0L, 114L, 
    0L, 839L, 0L, 42L, 0L, 669L, 0L, 160L, 0L, 270L, 0L, 0L, 
    0L, 200L, 0L, 38L, 0L, 43L, 0L, 0L, 290L, 254L, 78L, 49L, 
    397L, 1103L, 200L, 102L, 100L, 500L, 59L, 0L, 52L, 74L, 0L, 
    0L, 0L, 0L, 0L, 0L, 167L, 252L, 287L, 0L, 394L, 844L, 185L, 
    0L, 506L, 828L, 0L, 0L, 67L, 229L, 0L, 0L, 0L, 50L, 118L, 
    69L, 24L, 94L, 324L, 57L, 135L, 1087L, 450L, 31L, 100L, 638L, 
    52L, 64L, 107L, 63L, 26L, 0L, 0L, 0L, 103L, 24L, 181L, 86L, 
    183L, 25L, 1139L, 928L, 485L, 61L, 941L, 311L, 68L, 0L, 132L, 
    133L, 0L, 28L, 25L, 25L, 78L, 135L, 0L, 415L, 159L, 472L, 
    43L, 922L, 98L, 288L, 197L, 410L, 183L, 49L, 0L, 316L, 22L, 
    22L, 0L, 0L, 0L, 220L, 50L, 294L, 116L, 289L, 211L, 763L, 
    136L, 357L, 257L, 1219L, 0L, 51L, 17L, 181L, 0L, 0L, 0L, 
    19L, 0L, 236L, 0L, 565L, 0L, 344L, 0L, 263L, 0L, 302L, 0L, 
    212L, 0L, 73L, 0L, 20L, 0L, 0L, 37L, 0L, 0L, 44L, 26L, 402L, 
    0L, 221L, 0L, 424L, 0L, 311L, 0L, 272L, 0L, 111L, 0L, 26L, 
    0L, 0L, 0L, 143L, 9L, 0L, 178L, 420L, 161L, 178L, 532L, 1367L, 
    424L, 0L, 147L, 1307L, 126L, 0L, 21L, 59L, 0L, 0L, 0L, 0L, 
    72L, 0L, 156L, 172L, 229L, 27L, 303L, 991L, 486L, 134L, 218L, 
    554L, 16L, 0L, 0L, 123L, 0L, 14L, 29L, 0L, 117L, 0L, 71L, 
    160L, 1159L, 145L, 418L, 901L, 706L, 472L, 185L, 1055L, 232L, 
    15L, 136L, 151L, 0L, 70L, 0L, 96L, 33L, 23L, 74L, 170L, 797L, 
    155L, 464L, 643L, 606L, 259L, 192L, 610L, 190L, 80L, 77L, 
    133L, 47L, 0L, 55L, 26L, 35L, 250L, 71L, 206L, 293L, 651L, 
    73L, 559L, 505L, 1052L, 174L, 582L, 179L, 267L, 68L, 145L, 
    0L, 84L, 0L, 291L, 0L, 452L, 66L, 341L, 130L, 913L, 305L, 
    893L, 195L, 831L, 214L, 870L, 51L, 242L, 183L, 341L, 23L, 
    102L, 43L, 278L, 0L, 260L, 20L, 71L, 0L, 364L, 0L, 96L, 22L, 
    688L, 0L, 64L, 0L, 64L, 0L, 26L, 0L, 44L, 0L, 0L, 0L, 132L, 
    0L, 313L, 0L, 212L, 24L, 136L, 0L, 395L, 21L, 332L, 0L, 0L, 
    0L, 38L, 0L, 0L, 0L, 203L, 24L, 0L, 0L, 65L, 215L, 59L, 319L, 
    540L, 23L, 41L, 427L, 691L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 
    74L, 0L, 0L, 98L, 84L, 59L, 80L, 64L, 429L, 92L, 108L, 290L, 
    278L, 68L, 0L, 0L, 84L, 0L, 0L, 0L, 0L, 118L, 23L, 19L, 70L, 
    901L, 250L, 24L, 725L, 1139L, 287L, 228L, 381L, 639L, 131L, 
    49L, 74L, 214L, 45L, 0L, 59L, 0L, 59L, 19L, 0L, 803L, 52L, 
    32L, 178L, 1233L, 125L, 183L, 317L, 255L, 135L, 26L, 100L, 
    110L, 119L, 0L, 91L, 95L, 71L, 0L, 145L, 446L, 627L, 41L, 
    298L, 458L, 850L, 110L, 189L, 220L, 357L, 0L, 220L, 107L, 
    198L, 0L, 80L, 0L, 21L, 0L, 33L, 209L, 595L, 0L, 496L, 269L, 
    599L, 107L, 472L, 50L, 434L, 0L, 179L, 102L, 134L, 0L, 165L, 
    0L, 50L, 0L, 0L, 0L, 123L, 0L, 52L, 27L, 389L, 27L, 92L, 
    0L, 140L, 0L, 36L, 0L, 102L, 0L, 51L, 0L, 94L, 0L, 67L, 0L, 
    86L, 22L, 98L, 0L, 117L, 0L, 78L, 0L, 0L, 0L, 0L, 0L, 89L, 
    0L, 80L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 340L, 0L, 0L, 78L, 
    36L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 60L, 34L, 0L, 
    0L, 0L, 202L, 0L, 0L, 0L, 139L, 0L, 63L, 31L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 109L, 71L, 249L, 25L, 152L, 0L, 
    213L, 18L, 0L, 29L, 84L, 0L, 0L, 22L, 58L, 0L, 0L, 0L, 0L, 
    0L, 47L, 29L, 136L, 42L, 0L, 0L, 90L, 0L, 30L, 61L, 0L, 0L, 
    100L, 21L, 0L, 0L, 75L, 0L, 59L, 17L, 79L, 0L, 80L, 0L, 94L, 
    24L, 256L, 21L, 126L, 0L, 0L, 74L, 83L, 0L, 17L, 0L, 0L, 
    0L, 0L, 84L, 41L, 0L, 0L, 74L, 121L, 27L, 95L, 0L, 203L, 
    0L, 54L, 21L, 113L, 109L, 72L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 
    0L, 0L, 58L, 0L, 22L, 0L, 20L, 0L, 0L, 0L, 49L, 0L, 24L, 
    0L, 25L, 0L, 0L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 
    32L, 28L, 0L, 24L, 0L, 0L, 152L, 90L, 414L, 170L, 128L, 0L, 
    176L, 390L, 19L, 0L, 21L, 292L, 0L, 0L, 0L, 112L, 20L, 0L, 
    0L, 27L, 323L, 55L, 467L, 180L, 369L, 51L, 314L, 554L, 0L, 
    22L, 267L, 310L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 0L, 698L, 173L, 
    115L, 83L, 152L, 22L, 0L, 122L, 84L, 100L, 30L, 115L, 0L, 
    0L, 0L, 24L, 0L, 0L, 0L, 0L, 215L, 38L, 574L, 81L, 121L, 
    19L, 288L, 249L, 223L, 0L, 409L, 243L, 57L, 25L, 143L, 0L, 
    0L, 0L, 0L, 4L, 389L, 313L, 29L, 90L, 72L, 86L, 140L, 545L, 
    29L, 48L, 47L, 159L, 57L, 139L, 0L, 37L, 0L, 0L, 0L, 23L, 
    341L, 115L, 124L, 381L, 0L, 333L, 63L, 359L, 32L, 0L, 77L, 
    478L, 110L, 0L, 0L, 19L, 0L, 29L, 0L, 0L, 57L, 310L, 0L, 
    539L, 193L, 150L, 0L, 205L, 0L, 111L, 0L, 338L, 0L, 17L, 
    0L, 84L, 0L, 88L, 0L, 54L, 0L, 274L, 0L, 1124L, 0L, 132L, 
    0L, 358L, 0L, 91L, 0L, 431L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 
    22L, 251L, 198L, 844L, 1036L, 269L, 44L, 866L, 858L, 262L, 
    77L, 238L, 381L, 12L, 0L, 0L, 304L, 68L, 0L, 0L, 0L, 564L, 
    176L, 616L, 429L, 628L, 495L, 978L, 880L, 236L, 186L, 535L, 
    516L, 0L, 15L, 119L, 67L, 0L, 0L, 0L, 24L, 1387L, 570L, 478L, 
    491L, 1223L, 275L, 418L, 754L, 514L, 47L, 266L, 511L, 98L, 
    0L, 21L, 114L, 51L, 76L, 0L, 41L, 1103L, 120L, 707L, 597L, 
    1008L, 115L, 750L, 346L, 434L, 99L, 323L, 470L, 59L, 38L, 
    42L, 93L, 0L, 41L, 0L, 0L, 680L, 611L, 103L, 848L, 638L, 
    364L, 106L, 291L, 158L, 205L, 79L, 507L, 57L, 93L, 0L, 30L, 
    0L, 102L, 0L, 25L, 370L, 447L, 165L, 577L, 90L, 461L, 316L, 
    510L, 90L, 339L, 196L, 677L, 0L, 79L, 0L, 179L, 0L, 8L, 42L, 
    103L, 30L, 493L, 26L, 201L, 16L, 417L, 0L, 194L, 0L, 309L, 
    0L, 130L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 420L, 25L, 
    454L, 0L, 448L, 0L, 295L, 0L, 172L, 0L, 211L, 0L, 0L, 0L, 
    46L, 0L, 0L, 0L, 0L, 784L, 512L, 1208L, 869L, 1164L, 285L, 
    1494L, 2269L, 591L, 206L, 415L, 903L, 38L, 15L, 73L, 174L, 
    0L, 0L, 0L, 0L, 822L, 133L, 835L, 711L, 1427L, 427L, 1345L, 
    1463L, 785L, 404L, 1000L, 1616L, 83L, 64L, 24L, 327L, 0L, 
    0L, 39L, 49L, 2433L, 455L, 426L, 471L, 2540L, 446L, 702L, 
    1945L, 1802L, 354L, 379L, 1398L, 390L, 112L, 111L, 282L, 
    21L, 167L, 68L, 0L, 1972L, 257L, 691L, 343L, 2472L, 288L, 
    606L, 903L, 1619L, 272L, 475L, 402L, 209L, 98L, 143L, 311L, 
    49L, 50L, 68L, 69L, 1605L, 1229L, 387L, 531L, 1107L, 730L, 
    137L, 811L, 448L, 556L, 39L, 633L, 137L, 279L, 62L, 170L, 
    28L, 47L, 45L, 30L, 945L, 1385L, 580L, 384L, 278L, 1068L, 
    255L, 554L, 261L, 1030L, 200L, 588L, 182L, 161L, 118L, 199L, 
    111L, 102L, 0L, 123L, 20L, 683L, 97L, 241L, 64L, 311L, 89L, 
    127L, 0L, 498L, 0L, 74L, 0L, 136L, 0L, 45L, 0L, 123L, 0L, 
    23L, 0L, 505L, 59L, 560L, 0L, 235L, 36L, 197L, 0L, 260L, 
    33L, 349L, 0L, 102L, 0L, 106L, 0L, 0L, 0L, 53L, 287L, 74L, 
    352L, 856L, 158L, 248L, 1313L, 1773L, 195L, 130L, 496L, 1212L, 
    40L, 0L, 46L, 219L, 0L, 9L, 0L, 31L, 271L, 131L, 194L, 403L, 
    228L, 434L, 674L, 1197L, 403L, 368L, 892L, 825L, 142L, 157L, 
    20L, 222L, 22L, 0L, 29L, 28L, 783L, 447L, 250L, 254L, 1689L, 
    821L, 485L, 1324L, 1566L, 494L, 170L, 851L, 548L, 265L, 18L, 
    230L, 349L, 26L, 0L, 93L, 857L, 303L, 109L, 105L, 1872L, 
    232L, 453L, 456L, 2673L, 595L, 171L, 456L, 641L, 292L, 110L, 
    189L, 288L, 119L, 81L, 0L, 696L, 1046L, 75L, 195L, 444L, 
    1135L, 194L, 133L, 395L, 945L, 78L, 454L, 203L, 561L, 51L, 
    150L, 31L, 210L, 0L, 115L, 289L, 735L, 77L, 327L, 229L, 1461L, 
    120L, 143L, 292L, 1604L, 25L, 475L, 83L, 525L, 147L, 88L, 
    117L, 259L, 64L, 0L, 22L, 84L, 0L, 47L, 103L, 222L, 81L, 
    102L, 0L, 277L, 0L, 0L, 0L, 67L, 0L, 0L, 0L, 108L, 0L, 160L, 
    58L, 148L, 232L, 268L, 34L, 126L, 73L, 60L, 0L, 83L, 0L, 
    53L, 0L, 53L, 0L, 0L, 0L, 0L, 60L, 0L, 34L, 0L, 124L, 48L, 
    154L, 77L, 226L, 272L, 107L, 25L, 71L, 195L, 0L, 0L, 0L, 
    60L, 0L, 0L, 0L, 0L, 0L, 0L, 129L, 138L, 0L, 24L, 231L, 61L, 
    147L, 136L, 117L, 20L, 27L, 50L, 0L, 0L, 0L, 0L, 0L, 0L, 
    73L, 173L, 62L, 77L, 216L, 0L, 0L, 52L, 225L, 60L, 167L, 
    78L, 141L, 0L, 20L, 336L, 71L, 0L, 0L, 0L, 56L, 20L, 49L, 
    0L, 131L, 112L, 43L, 31L, 345L, 0L, 46L, 89L, 183L, 76L, 
    29L, 72L, 38L, 26L, 0L, 0L, 83L, 0L, 0L, 23L, 175L, 244L, 
    0L, 56L, 30L, 247L, 28L, 35L, 13L, 73L, 0L, 0L, 93L, 117L, 
    0L, 0L, 18L, 51L, 0L, 111L, 125L, 270L, 0L, 0L, 144L, 477L, 
    106L, 29L, 90L, 85L, 0L, 27L, 20L, 26L, 0L, 0L, 0L, 29L, 
    0L, 35L, 0L, 0L, 0L, 0L, 0L, 80L, 0L, 0L, 0L, 118L, 0L, 0L, 
    0L, 27L, 0L, 0L, 0L, 27L, 0L, 0L, 39L, 0L, 0L, 160L, 0L, 
    58L, 0L, 32L, 0L, 72L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 223L, 
    637L, 202L, 22L, 391L, 1022L, 59L, 0L, 275L, 2096L, 0L, 0L, 
    0L, 613L, 0L, 0L, 0L, 0L, 138L, 0L, 734L, 415L, 174L, 138L, 
    1273L, 1119L, 152L, 0L, 768L, 1479L, 0L, 0L, 0L, 743L, 0L, 
    0L, 0L, 197L, 346L, 90L, 495L, 608L, 227L, 71L, 260L, 1576L, 
    191L, 87L, 124L, 554L, 33L, 0L, 38L, 343L, 53L, 0L, 0L, 212L, 
    324L, 104L, 607L, 200L, 330L, 168L, 1638L, 761L, 250L, 40L, 
    1065L, 666L, 42L, 12L, 187L, 417L, 47L, 0L, 38L, 101L, 88L, 
    634L, 58L, 1437L, 112L, 635L, 220L, 1890L, 108L, 422L, 66L, 
    1647L, 9L, 464L, 48L, 637L, 0L, 206L, 40L, 358L, 34L, 681L, 
    249L, 1586L, 180L, 1453L, 214L, 2882L, 55L, 289L, 373L, 2224L, 
    0L, 174L, 126L, 1089L, 0L, 176L, 109L, 557L, 0L, 1727L, 0L, 
    2121L, 0L, 1506L, 0L, 1269L, 0L, 347L, 0L, 1183L, 0L, 255L, 
    0L, 355L, 0L, 176L, 0L, 376L, 0L, 938L, 43L, 6000L, 0L, 2022L, 
    0L, 6894L, 24L, 461L, 0L, 3941L, 0L, 137L, 0L, 961L, 0L, 
    71L, 0L, 584L, 210L, 0L, 1007L, 1082L, 505L, 307L, 1006L, 
    3060L, 610L, 357L, 256L, 3207L, 222L, 130L, 0L, 1627L, 0L, 
    0L, 0L, 92L, 181L, 0L, 561L, 462L, 700L, 156L, 1177L, 1970L, 
    645L, 318L, 858L, 1995L, 53L, 239L, 112L, 1229L, 0L, 166L, 
    35L, 333L, 705L, 202L, 243L, 1043L, 1237L, 457L, 670L, 3181L, 
    1430L, 360L, 378L, 1660L, 434L, 0L, 70L, 630L, 181L, 59L, 
    0L, 200L, 430L, 125L, 451L, 419L, 1605L, 537L, 1754L, 1690L, 
    1827L, 191L, 2908L, 1574L, 1111L, 152L, 468L, 617L, 218L, 
    145L, 62L, 287L, 309L, 1711L, 124L, 1302L, 872L, 2870L, 636L, 
    4390L, 802L, 2024L, 747L, 2682L, 211L, 934L, 33L, 1334L, 
    199L, 447L, 28L, 368L, 99L, 1302L, 85L, 1299L, 338L, 4214L, 
    912L, 5107L, 558L, 2625L, 575L, 4161L, 204L, 625L, 438L, 
    1280L, 8L, 243L, 98L, 732L, 0L, 3519L, 38L, 1015L, 0L, 4874L, 
    0L, 1588L, 8L, 2366L, 0L, 1000L, 0L, 1081L, 0L, 478L, 0L, 
    769L, 0L, 348L, 0L, 2411L, 0L, 1435L, 0L, 6044L, 0L, 5725L, 
    0L, 1992L, 0L, 2631L, 0L, 802L, 0L, 1243L, 0L, 395L, 0L, 
    964L, 154L, 91L, 1374L, 2241L, 893L, 1464L, 2272L, 6009L, 
    1258L, 688L, 1198L, 5119L, 492L, 1072L, 267L, 1369L, 38L, 
    133L, 0L, 349L, 216L, 251L, 1166L, 1037L, 1237L, 875L, 1904L, 
    4112L, 2004L, 1529L, 1671L, 4550L, 977L, 1317L, 186L, 2535L, 
    123L, 282L, 0L, 412L, 1416L, 982L, 352L, 692L, 7976L, 2204L, 
    1783L, 4660L, 6123L, 1846L, 686L, 2790L, 2952L, 1097L, 163L, 
    2344L, 1360L, 277L, 142L, 411L, 436L, 748L, 391L, 290L, 6880L, 
    2003L, 1505L, 2056L, 7078L, 2375L, 2179L, 2721L, 4243L, 1158L, 
    660L, 2035L, 1027L, 267L, 477L, 775L, 974L, 2961L, 287L, 
    1236L, 3518L, 10094L, 471L, 5025L, 2969L, 7368L, 247L, 3932L, 
    1529L, 3113L, 378L, 2487L, 966L, 1892L, 184L, 1070L, 207L, 
    2279L, 41L, 913L, 2292L, 11472L, 562L, 5951L, 2243L, 8632L, 
    628L, 5439L, 1489L, 3300L, 679L, 3244L, 482L, 1683L, 495L, 
    2049L, 0L, 2243L, 66L, 642L, 35L, 5742L, 85L, 784L, 10L, 
    3420L, 34L, 529L, 94L, 3120L, 28L, 398L, 33L, 2137L, 0L, 
    411L, 71L, 2003L, 143L, 1415L, 45L, 5152L, 106L, 2879L, 0L, 
    3331L, 60L, 1096L, 0L, 1552L, 42L, 877L, 0L, 730L, 0L, 627L, 
    139L, 64L, 1770L, 2467L, 261L, 418L, 2281L, 5920L, 321L, 
    664L, 1983L, 5179L, 421L, 729L, 159L, 2747L, 33L, 303L, 0L, 
    318L, 8L, 12L, 891L, 890L, 589L, 901L, 1805L, 3589L, 733L, 
    928L, 2159L, 6053L, 489L, 1142L, 403L, 3834L, 181L, 671L, 
    10L, 327L, 907L, 327L, 323L, 519L, 7368L, 2912L, 1277L, 4245L, 
    8819L, 2370L, 813L, 3265L, 9765L, 2143L, 496L, 2173L, 4226L, 
    1179L, 97L, 754L, 725L, 206L, 199L, 94L, 6756L, 1975L, 1283L, 
    1782L, 12221L, 2897L, 1086L, 1885L, 11083L, 2285L, 502L, 
    1656L, 4326L, 1097L, 148L, 1171L, 456L, 2223L, 201L, 971L, 
    4264L, 9757L, 190L, 2658L, 5159L, 11182L, 305L, 2625L, 4877L, 
    9181L, 177L, 2380L, 3158L, 5183L, 200L, 1071L, 252L, 1753L, 
    64L, 314L, 1788L, 10844L, 348L, 1955L, 3811L, 12839L, 501L, 
    2923L, 4186L, 7490L, 735L, 2616L, 1993L, 4675L, 233L, 1574L, 
    74L, 619L, 144L, 466L, 226L, 2166L, 81L, 580L, 106L, 1822L, 
    34L, 427L, 122L, 2277L, 48L, 375L, 0L, 2731L, 0L, 423L, 110L, 
    547L, 410L, 919L, 163L, 2563L, 668L, 1678L, 0L, 1535L, 144L, 
    684L, 0L, 1805L, 128L, 480L, 0L, 769L, 10L, 533L, 192L, 49L, 
    310L, 502L, 0L, 123L, 737L, 1141L, 60L, 47L, 355L, 1630L, 
    52L, 203L, 137L, 1281L, 0L, 79L, 0L, 42L, 0L, 94L, 114L, 
    135L, 259L, 46L, 556L, 811L, 46L, 159L, 916L, 1430L, 123L, 
    349L, 63L, 1264L, 0L, 28L, 40L, 98L, 449L, 151L, 0L, 113L, 
    820L, 440L, 228L, 510L, 1222L, 305L, 35L, 474L, 2645L, 557L, 
    116L, 709L, 1841L, 574L, 30L, 557L, 12L, 111L, 31L, 46L, 
    752L, 239L, 67L, 100L, 2152L, 532L, 355L, 391L, 3679L, 1077L, 
    85L, 483L, 2148L, 409L, 64L, 255L, 154L, 258L, 38L, 169L, 
    1059L, 1209L, 38L, 529L, 1305L, 2292L, 0L, 542L, 2109L, 3749L, 
    191L, 503L, 3291L, 4941L, 164L, 635L, 103L, 200L, 35L, 77L, 
    786L, 1752L, 0L, 349L, 1040L, 3298L, 35L, 663L, 1949L, 3703L, 
    73L, 296L, 1689L, 2877L, 50L, 643L, 0L, 259L, 110L, 58L, 
    0L, 476L, 0L, 136L, 37L, 255L, 0L, 58L, 159L, 834L, 0L, 146L, 
    0L, 1359L, 0L, 290L, 0L, 146L, 91L, 223L, 36L, 528L, 42L, 
    579L, 0L, 404L, 10L, 132L, 0L, 975L, 102L, 498L, 28L, 331L, 
    44L, 450L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    17L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 156L, 0L, 0L, 0L, 
    5L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    37L, 60L, 0L, 0L, 0L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 55L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 
    33L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 36L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 56L, 0L, 0L, 108L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 68L, 85L, 0L, 0L, 19L, 98L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    33L, 123L, 0L, 0L, 0L, 0L, 0L, 0L, 118L, 26L, 0L, 66L, 25L, 
    0L, 0L, 0L, 0L, 0L, 0L, 110L, 0L, 34L, 38L, 53L, 28L, 24L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 0L, 0L, 0L, 
    13L, 27L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 0L, 0L, 38L, 0L, 0L, 
    0L, 65L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 54L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 56L, 
    0L, 0L, 59L, 117L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 56L, 0L, 57L, 0L, 24L, 
    158L, 30L, 0L, 0L, 0L, 0L, 0L, 31L, 68L, 0L, 0L, 32L, 70L, 
    0L, 0L, 0L, 29L, 39L, 0L, 46L, 0L, 0L, 0L, 0L, 88L, 0L, 0L, 
    0L, 24L, 0L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 154L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 9L, 0L, 101L, 89L, 26L, 0L, 0L, 0L, 0L, 0L, 30L, 36L, 
    33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 
    28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 103L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 69L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 121L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 159L, 28L, 0L, 30L, 0L, 37L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 65L, 74L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 56L, 0L, 0L, 73L, 0L, 0L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 263L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 0L, 
    0L, 100L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 210L, 0L, 0L, 12L, 0L, 63L, 0L, 0L, 0L, 29L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 28L, 0L, 53L, 0L, 187L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 0L, 43L, 0L, 0L, 137L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    10L, 0L, 0L, 51L, 26L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 43L, 73L, 
    19L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    10L, 61L, 42L, 0L, 12L, 47L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 33L, 0L, 38L, 0L, 0L, 0L, 49L, 0L, 19L, 0L, 36L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 147L, 0L, 
    0L, 0L, 0L, 28L, 0L, 33L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 
    0L, 19L, 0L, 61L, 0L, 0L, 0L, 30L, 0L, 29L, 0L, 0L, 0L, 8L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 
    42L, 0L, 0L, 59L, 27L, 55L, 23L, 27L, 160L, 19L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 136L, 0L, 0L, 
    0L, 27L, 16L, 33L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    116L, 299L, 0L, 30L, 110L, 246L, 0L, 28L, 0L, 81L, 37L, 0L, 
    304L, 0L, 0L, 0L, 0L, 0L, 0L, 129L, 0L, 85L, 0L, 30L, 86L, 
    391L, 0L, 182L, 17L, 165L, 0L, 34L, 0L, 55L, 0L, 30L, 0L, 
    0L, 55L, 0L, 0L, 0L, 61L, 0L, 0L, 136L, 35L, 38L, 0L, 119L, 
    0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 
    0L, 0L, 0L, 94L, 0L, 57L, 45L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 
    51L, 0L, 0L, 0L, 82L, 0L, 0L, 0L, 0L, 0L, 122L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 85L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    37L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 97L, 
    123L, 45L, 31L, 80L, 381L, 0L, 41L, 0L, 76L, 110L, 22L, 0L, 
    72L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 0L, 0L, 0L, 0L, 92L, 0L, 
    32L, 11L, 211L, 235L, 58L, 9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 33L, 0L, 0L, 30L, 0L, 126L, 40L, 0L, 0L, 125L, 0L, 0L, 
    33L, 0L, 0L, 0L, 0L, 123L, 0L, 0L, 0L, 0L, 0L, 43L, 41L, 
    204L, 32L, 0L, 31L, 14L, 0L, 36L, 58L, 112L, 0L, 47L, 0L, 
    0L, 54L, 0L, 0L, 113L, 68L, 0L, 0L, 41L, 26L, 0L, 0L, 15L, 
    0L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 70L, 85L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 176L, 0L, 21L, 0L, 30L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 
    0L, 33L, 23L, 0L, 0L, 0L, 0L, 0L, 64L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 51L, 0L, 130L, 0L, 0L, 0L, 57L, 0L, 0L, 0L, 121L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 143L, 0L, 0L, 0L, 27L, 
    138L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 35L, 0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 5L, 
    0L, 0L, 0L, 143L, 83L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 55L, 0L, 0L, 0L, 45L, 0L, 0L, 95L, 62L, 0L, 144L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 109L, 
    0L, 0L, 12L, 72L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 6L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 142L, 0L, 652L, 751L, 389L, 122L, 1081L, 3197L, 
    399L, 482L, 681L, 3347L, 298L, 384L, 50L, 1815L, 146L, 7L, 
    0L, 63L, 136L, 144L, 579L, 721L, 784L, 280L, 1725L, 1850L, 
    685L, 360L, 1815L, 3981L, 238L, 174L, 92L, 1266L, 29L, 29L, 
    0L, 189L, 626L, 152L, 390L, 1199L, 1614L, 340L, 367L, 3363L, 
    1150L, 385L, 279L, 1501L, 831L, 158L, 45L, 1621L, 170L, 88L, 
    29L, 311L, 619L, 27L, 998L, 798L, 1742L, 439L, 2756L, 3405L, 
    1754L, 274L, 2276L, 2158L, 665L, 117L, 767L, 1173L, 182L, 
    57L, 206L, 356L, 372L, 1762L, 135L, 2781L, 954L, 2125L, 62L, 
    7745L, 883L, 1567L, 154L, 5331L, 411L, 860L, 85L, 2594L, 
    96L, 801L, 104L, 1706L, 282L, 1773L, 532L, 5046L, 851L, 3984L, 
    1101L, 11075L, 385L, 1957L, 958L, 6710L, 294L, 1002L, 608L, 
    2851L, 77L, 540L, 204L, 1626L, 0L, 5917L, 52L, 9131L, 0L, 
    6805L, 29L, 8494L, 0L, 2000L, 0L, 3653L, 0L, 1732L, 0L, 1969L, 
    0L, 924L, 0L, 819L, 0L, 5387L, 0L, 35464L, 0L, 7960L, 79L, 
    46168L, 0L, 2194L, 30L, 13258L, 0L, 952L, 22L, 4535L, 0L, 
    472L, 0L, 1787L, 318L, 68L, 1369L, 1613L, 824L, 831L, 1294L, 
    5344L, 1190L, 360L, 1182L, 6600L, 347L, 234L, 0L, 3504L, 
    26L, 91L, 49L, 478L, 161L, 75L, 1047L, 1252L, 2033L, 791L, 
    2016L, 3902L, 1535L, 1030L, 2879L, 5845L, 391L, 236L, 266L, 
    3547L, 176L, 43L, 28L, 779L, 1183L, 350L, 672L, 2365L, 5619L, 
    1338L, 1429L, 8520L, 3600L, 1204L, 691L, 4779L, 2186L, 437L, 
    222L, 2298L, 510L, 119L, 55L, 428L, 1265L, 390L, 1819L, 1199L, 
    4645L, 1359L, 4680L, 4498L, 3926L, 795L, 4235L, 4091L, 2579L, 
    509L, 1206L, 2717L, 497L, 133L, 355L, 767L, 1439L, 3937L, 
    188L, 4036L, 2704L, 7587L, 763L, 12356L, 1955L, 3910L, 402L, 
    7273L, 1153L, 2532L, 380L, 4551L, 593L, 979L, 21L, 2008L, 
    786L, 4124L, 381L, 4407L, 1852L, 12646L, 3023L, 17327L, 1413L, 
    4093L, 1487L, 11821L, 913L, 2191L, 1125L, 5279L, 308L, 752L, 
    251L, 2386L, 42L, 15908L, 0L, 8588L, 41L, 22101L, 48L, 9809L, 
    0L, 10805L, 0L, 4527L, 29L, 4935L, 0L, 2417L, 0L, 2711L, 
    0L, 1762L, 0L, 12563L, 94L, 15740L, 0L, 27924L, 180L, 33982L, 
    0L, 6697L, 57L, 13598L, 0L, 2372L, 0L, 5607L, 0L, 1387L, 
    52L, 3114L, 345L, 316L, 2756L, 3484L, 2674L, 1804L, 6255L, 
    15021L, 1887L, 1934L, 5288L, 13452L, 807L, 1528L, 553L, 9282L, 
    160L, 173L, 35L, 1057L, 509L, 189L, 1605L, 2277L, 4159L, 
    1357L, 5000L, 8989L, 3745L, 1783L, 5954L, 15332L, 1504L, 
    1886L, 1249L, 11885L, 347L, 610L, 197L, 2092L, 3621L, 1136L, 
    728L, 2644L, 24952L, 5752L, 2808L, 16382L, 17283L, 3875L, 
    1688L, 13154L, 10803L, 2718L, 745L, 11307L, 3511L, 688L, 
    422L, 3240L, 2273L, 852L, 722L, 1348L, 24761L, 5168L, 4882L, 
    9796L, 21110L, 3824L, 5995L, 9763L, 13449L, 2483L, 3065L, 
    9419L, 3868L, 1013L, 1450L, 5198L, 3220L, 8194L, 504L, 4837L, 
    14024L, 27471L, 1446L, 18984L, 9985L, 17424L, 1513L, 14708L, 
    7283L, 9333L, 913L, 10081L, 2345L, 4653L, 131L, 4457L, 1045L, 
    7136L, 547L, 3441L, 9146L, 37366L, 3397L, 22968L, 7937L, 
    19815L, 3552L, 21274L, 4625L, 9788L, 1977L, 14121L, 1693L, 
    4159L, 1014L, 7461L, 141L, 13765L, 227L, 4003L, 254L, 28121L, 
    66L, 7075L, 0L, 17863L, 19L, 3261L, 350L, 12527L, 24L, 4280L, 
    130L, 7892L, 0L, 2245L, 88L, 9590L, 608L, 9778L, 50L, 34966L, 
    784L, 20782L, 0L, 12471L, 201L, 9595L, 16L, 6024L, 90L, 6468L, 
    0L, 3034L, 0L, 5193L, 204L, 264L, 4319L, 5714L, 1187L, 2450L, 
    11841L, 27133L, 1198L, 2553L, 11976L, 30876L, 1763L, 4976L, 
    2172L, 18785L, 467L, 1399L, 90L, 2869L, 188L, 179L, 1974L, 
    3309L, 1893L, 1836L, 8636L, 14460L, 3005L, 3271L, 13132L, 
    25628L, 3800L, 7708L, 2536L, 22020L, 654L, 2914L, 248L, 3855L, 
    3353L, 1491L, 353L, 1627L, 33249L, 10009L, 2833L, 16868L, 
    35975L, 10471L, 1977L, 14460L, 39319L, 12105L, 1240L, 16969L, 
    18771L, 4154L, 525L, 6581L, 2092L, 909L, 319L, 812L, 32268L, 
    8737L, 2527L, 9075L, 41710L, 9046L, 3658L, 9624L, 49724L, 
    10601L, 2885L, 13295L, 20773L, 4597L, 1634L, 6096L, 2707L, 
    8472L, 446L, 2866L, 24077L, 46429L, 2531L, 13371L, 24238L, 
    39959L, 1367L, 10683L, 28476L, 33188L, 1263L, 12674L, 16817L, 
    23924L, 659L, 7824L, 1218L, 6544L, 653L, 2181L, 17135L, 58897L, 
    2477L, 15006L, 20535L, 47530L, 2276L, 14111L, 20508L, 30826L, 
    2280L, 14026L, 9657L, 18457L, 2441L, 12580L, 802L, 7046L, 
    264L, 2284L, 1145L, 15404L, 884L, 3750L, 200L, 12332L, 280L, 
    1620L, 179L, 14133L, 41L, 2325L, 147L, 13362L, 80L, 2562L, 
    155L, 4517L, 1976L, 6911L, 1042L, 18058L, 3278L, 13753L, 
    59L, 8953L, 593L, 4566L, 0L, 7426L, 204L, 3678L, 36L, 5540L, 
    209L, 2759L, 0L, 184L, 2395L, 2569L, 44L, 663L, 5079L, 9976L, 
    168L, 401L, 8165L, 18632L, 226L, 1183L, 2606L, 16720L, 95L, 
    485L, 179L, 1608L, 0L, 45L, 1533L, 1785L, 130L, 433L, 4220L, 
    6694L, 288L, 681L, 8168L, 13963L, 766L, 1955L, 3303L, 13426L, 
    239L, 1156L, 247L, 2997L, 576L, 299L, 137L, 287L, 6140L, 
    2093L, 576L, 3800L, 7645L, 2821L, 284L, 3307L, 26742L, 6972L, 
    997L, 7585L, 22404L, 4750L, 294L, 3511L, 515L, 72L, 114L, 
    321L, 5341L, 1866L, 396L, 1676L, 11422L, 2712L, 549L, 2569L, 
    34605L, 6096L, 949L, 6696L, 21873L, 5351L, 495L, 3011L, 667L, 
    1720L, 57L, 430L, 5719L, 12151L, 560L, 2715L, 9116L, 17503L, 
    873L, 2796L, 25696L, 30770L, 570L, 4723L, 27571L, 34880L, 
    733L, 6193L, 249L, 1615L, 119L, 375L, 5514L, 19737L, 652L, 
    2261L, 9957L, 23646L, 470L, 4116L, 21611L, 29811L, 798L, 
    3676L, 16951L, 26158L, 839L, 4537L, 435L, 1894L, 73L, 1046L, 
    736L, 3889L, 397L, 1419L, 202L, 3376L, 123L, 757L, 349L, 
    7617L, 194L, 1132L, 302L, 11719L, 39L, 1655L, 198L, 1160L, 
    711L, 2063L, 395L, 6092L, 1341L, 4480L, 0L, 3730L, 378L, 
    1861L, 249L, 4899L, 433L, 1507L, 25L, 3672L, 25L, 1224L, 
    322L, 95L, 982L, 2134L, 319L, 90L, 1127L, 2867L, 55L, 0L, 
    723L, 1145L, 0L, 0L, 0L, 336L, 0L, 0L, 0L, 31L, 113L, 71L, 
    3954L, 1805L, 245L, 91L, 5131L, 2155L, 465L, 32L, 2192L, 
    2518L, 88L, 0L, 72L, 535L, 0L, 0L, 63L, 56L, 267L, 76L, 297L, 
    1111L, 647L, 344L, 781L, 2153L, 30L, 174L, 386L, 975L, 61L, 
    85L, 0L, 185L, 37L, 0L, 0L, 174L, 467L, 87L, 2586L, 1503L, 
    791L, 399L, 6074L, 3208L, 408L, 174L, 2662L, 1321L, 21L, 
    111L, 562L, 269L, 111L, 0L, 163L, 233L, 93L, 626L, 164L, 
    2865L, 389L, 762L, 223L, 3440L, 83L, 299L, 369L, 1649L, 20L, 
    190L, 0L, 498L, 0L, 0L, 47L, 146L, 82L, 788L, 627L, 5041L, 
    321L, 1029L, 1562L, 6110L, 193L, 374L, 587L, 3268L, 56L, 
    136L, 158L, 648L, 0L, 48L, 0L, 246L, 40L, 1539L, 22L, 3300L, 
    0L, 644L, 44L, 1920L, 0L, 184L, 61L, 514L, 0L, 22L, 0L, 40L, 
    0L, 25L, 0L, 77L, 6L, 896L, 183L, 9483L, 0L, 661L, 55L, 5620L, 
    0L, 646L, 0L, 2487L, 0L, 0L, 0L, 407L, 0L, 83L, 42L, 322L, 
    0L, 58L, 756L, 1673L, 348L, 96L, 2635L, 4355L, 503L, 211L, 
    751L, 2360L, 0L, 147L, 157L, 631L, 0L, 0L, 0L, 0L, 55L, 8L, 
    1857L, 1071L, 307L, 246L, 3277L, 2863L, 512L, 304L, 3339L, 
    2773L, 31L, 0L, 146L, 1015L, 0L, 0L, 0L, 118L, 300L, 35L, 
    250L, 1139L, 1164L, 418L, 1097L, 4239L, 1074L, 657L, 586L, 
    2076L, 51L, 720L, 155L, 584L, 0L, 24L, 44L, 47L, 757L, 113L, 
    1117L, 1559L, 1613L, 374L, 4059L, 3135L, 812L, 623L, 4388L, 
    2427L, 407L, 46L, 705L, 1128L, 107L, 32L, 542L, 211L, 832L, 
    1649L, 159L, 1397L, 752L, 1206L, 381L, 3524L, 490L, 932L, 
    109L, 1999L, 239L, 57L, 0L, 826L, 75L, 23L, 69L, 173L, 225L, 
    1094L, 860L, 2286L, 522L, 2549L, 1380L, 7453L, 249L, 819L, 
    1212L, 4121L, 182L, 297L, 198L, 1397L, 0L, 48L, 0L, 462L, 
    12L, 1823L, 0L, 1752L, 28L, 1167L, 0L, 1357L, 0L, 907L, 0L, 
    280L, 0L, 230L, 79L, 273L, 0L, 197L, 0L, 143L, 0L, 1105L, 
    55L, 3211L, 0L, 1507L, 98L, 3911L, 0L, 525L, 0L, 1533L, 0L, 
    98L, 0L, 584L, 0L, 21L, 0L, 372L, 153L, 75L, 1280L, 1759L, 
    373L, 449L, 3381L, 5545L, 282L, 448L, 1399L, 4301L, 65L, 
    179L, 415L, 1141L, 0L, 0L, 0L, 294L, 42L, 120L, 1390L, 1103L, 
    355L, 413L, 2541L, 3267L, 546L, 358L, 3829L, 4730L, 234L, 
    313L, 997L, 1849L, 83L, 0L, 96L, 439L, 695L, 521L, 521L, 
    1483L, 3839L, 2328L, 2512L, 4191L, 2994L, 759L, 1088L, 4027L, 
    1270L, 373L, 342L, 1927L, 578L, 40L, 61L, 417L, 603L, 400L, 
    461L, 768L, 2823L, 1485L, 3340L, 4133L, 3880L, 856L, 4153L, 
    3801L, 1093L, 532L, 2166L, 2744L, 228L, 69L, 865L, 1230L, 
    653L, 1937L, 93L, 1931L, 1992L, 4014L, 639L, 4250L, 1914L, 
    3247L, 492L, 3253L, 900L, 811L, 63L, 1702L, 228L, 374L, 0L, 
    718L, 367L, 1459L, 207L, 1884L, 1236L, 4258L, 1744L, 5821L, 
    1114L, 2431L, 1568L, 6969L, 475L, 1079L, 620L, 2526L, 161L, 
    292L, 74L, 1333L, 93L, 1867L, 0L, 1233L, 42L, 2095L, 63L, 
    1529L, 0L, 1370L, 0L, 296L, 36L, 434L, 0L, 177L, 0L, 471L, 
    0L, 180L, 105L, 880L, 14L, 2301L, 34L, 2174L, 256L, 2324L, 
    38L, 1204L, 50L, 1280L, 0L, 410L, 0L, 761L, 0L, 269L, 14L, 
    504L, 0L, 104L, 783L, 1171L, 233L, 532L, 2787L, 5149L, 730L, 
    72L, 1656L, 4112L, 235L, 287L, 373L, 2617L, 0L, 28L, 56L, 
    172L, 0L, 14L, 806L, 949L, 234L, 406L, 2351L, 3606L, 375L, 
    209L, 1768L, 5479L, 354L, 419L, 737L, 2757L, 98L, 60L, 15L, 
    345L, 554L, 153L, 42L, 1119L, 4110L, 1601L, 1343L, 5190L, 
    5115L, 1702L, 930L, 3260L, 2582L, 1756L, 438L, 2613L, 1222L, 
    406L, 52L, 427L, 392L, 122L, 167L, 711L, 3450L, 909L, 1173L, 
    2301L, 5741L, 1482L, 1274L, 2820L, 3587L, 1691L, 1204L, 2520L, 
    1790L, 674L, 339L, 899L, 312L, 1291L, 160L, 859L, 2633L, 
    5279L, 450L, 2858L, 2970L, 4315L, 211L, 2292L, 2590L, 1975L, 
    195L, 1219L, 1265L, 1041L, 112L, 857L, 223L, 946L, 187L, 
    1449L, 1370L, 4473L, 1002L, 3810L, 2319L, 4846L, 1091L, 3954L, 
    1747L, 2807L, 741L, 2554L, 805L, 1559L, 433L, 1411L, 116L, 
    768L, 208L, 836L, 29L, 1806L, 19L, 897L, 15L, 1236L, 0L, 
    441L, 0L, 577L, 0L, 154L, 0L, 470L, 0L, 230L, 66L, 413L, 
    196L, 1377L, 187L, 1171L, 170L, 1712L, 57L, 599L, 179L, 895L, 
    0L, 294L, 150L, 617L, 0L, 471L, 0L, 251L, 0L, 51L, 229L, 
    178L, 0L, 29L, 595L, 1062L, 0L, 0L, 360L, 1037L, 0L, 0L, 
    406L, 647L, 21L, 0L, 0L, 14L, 0L, 0L, 67L, 81L, 0L, 47L, 
    523L, 338L, 43L, 29L, 599L, 1379L, 0L, 125L, 146L, 466L, 
    0L, 0L, 34L, 168L, 61L, 0L, 176L, 212L, 145L, 127L, 143L, 
    293L, 523L, 409L, 102L, 699L, 1409L, 343L, 0L, 523L, 1013L, 
    242L, 0L, 283L, 69L, 0L, 12L, 187L, 28L, 289L, 25L, 225L, 
    593L, 188L, 62L, 241L, 1551L, 198L, 138L, 531L, 1238L, 548L, 
    101L, 335L, 81L, 306L, 0L, 64L, 413L, 778L, 24L, 297L, 573L, 
    1109L, 114L, 491L, 1520L, 1089L, 46L, 246L, 1387L, 1244L, 
    88L, 210L, 30L, 199L, 33L, 366L, 187L, 626L, 73L, 380L, 445L, 
    1214L, 106L, 497L, 728L, 1887L, 22L, 339L, 827L, 938L, 181L, 
    300L, 0L, 131L, 0L, 19L, 0L, 296L, 0L, 62L, 0L, 92L, 0L, 
    13L, 33L, 239L, 0L, 121L, 0L, 270L, 0L, 0L, 32L, 65L, 138L, 
    303L, 0L, 231L, 195L, 270L, 0L, 103L, 128L, 114L, 0L, 246L, 
    79L, 89L, 0L, 240L, 0L, 117L, 87L, 47L, 1196L, 1443L, 72L, 
    0L, 1091L, 1664L, 0L, 109L, 603L, 999L, 0L, 0L, 0L, 46L, 
    0L, 0L, 0L, 193L, 191L, 85L, 1874L, 423L, 322L, 39L, 2672L, 
    1263L, 104L, 163L, 1278L, 659L, 56L, 45L, 98L, 228L, 0L, 
    0L, 156L, 48L, 910L, 211L, 222L, 1148L, 577L, 253L, 196L, 
    1089L, 393L, 174L, 144L, 691L, 27L, 0L, 0L, 54L, 21L, 0L, 
    0L, 0L, 750L, 373L, 2478L, 1134L, 808L, 181L, 3493L, 622L, 
    247L, 47L, 930L, 608L, 0L, 26L, 394L, 82L, 0L, 0L, 87L, 0L, 
    328L, 1769L, 387L, 2426L, 230L, 811L, 211L, 1813L, 69L, 292L, 
    42L, 393L, 27L, 221L, 28L, 110L, 0L, 0L, 0L, 40L, 86L, 1664L, 
    1024L, 4610L, 372L, 861L, 612L, 2511L, 228L, 839L, 281L, 
    1275L, 0L, 25L, 77L, 373L, 0L, 34L, 15L, 160L, 81L, 3143L, 
    52L, 2095L, 101L, 530L, 0L, 718L, 0L, 274L, 0L, 182L, 120L, 
    110L, 0L, 120L, 0L, 24L, 0L, 0L, 0L, 1855L, 174L, 7085L, 
    0L, 488L, 46L, 2692L, 0L, 32L, 0L, 696L, 0L, 68L, 0L, 566L, 
    0L, 18L, 0L, 0L, 321L, 143L, 1217L, 1189L, 572L, 405L, 1610L, 
    3197L, 344L, 122L, 754L, 2541L, 84L, 396L, 41L, 461L, 0L, 
    22L, 0L, 17L, 340L, 85L, 1496L, 498L, 646L, 349L, 2185L, 
    2239L, 835L, 155L, 1345L, 2110L, 33L, 252L, 289L, 965L, 6L, 
    0L, 0L, 0L, 2485L, 541L, 781L, 1187L, 3018L, 588L, 1219L, 
    2130L, 1026L, 359L, 300L, 1835L, 272L, 120L, 182L, 599L, 
    117L, 0L, 0L, 201L, 1843L, 427L, 1663L, 398L, 1403L, 259L, 
    3448L, 1559L, 1988L, 201L, 2619L, 1425L, 818L, 76L, 374L, 
    499L, 20L, 18L, 0L, 138L, 1319L, 2041L, 231L, 1392L, 1414L, 
    1399L, 326L, 1630L, 520L, 495L, 234L, 588L, 174L, 120L, 0L, 
    272L, 28L, 12L, 0L, 159L, 886L, 2291L, 534L, 1460L, 541L, 
    1917L, 432L, 2692L, 501L, 518L, 584L, 1720L, 212L, 114L, 
    335L, 483L, 0L, 0L, 42L, 140L, 232L, 2445L, 40L, 704L, 111L, 
    1565L, 0L, 449L, 69L, 366L, 0L, 245L, 0L, 104L, 0L, 55L, 
    0L, 63L, 0L, 0L, 35L, 2106L, 278L, 1390L, 56L, 907L, 0L, 
    731L, 0L, 316L, 0L, 371L, 0L, 102L, 0L, 380L, 0L, 64L, 0L, 
    25L, 333L, 152L, 1762L, 2226L, 872L, 528L, 2802L, 3393L, 
    578L, 314L, 2113L, 3066L, 69L, 175L, 322L, 974L, 0L, 36L, 
    63L, 118L, 834L, 112L, 2171L, 776L, 1018L, 463L, 2541L, 3164L, 
    1116L, 472L, 2992L, 3406L, 133L, 507L, 663L, 1622L, 48L, 
    0L, 0L, 172L, 2269L, 845L, 857L, 1343L, 5854L, 1372L, 1930L, 
    3178L, 3802L, 832L, 1059L, 2350L, 1206L, 285L, 508L, 1294L, 
    361L, 141L, 0L, 192L, 1952L, 350L, 1024L, 1402L, 4624L, 1189L, 
    2324L, 1961L, 5549L, 1208L, 2984L, 1290L, 1964L, 521L, 903L, 
    934L, 257L, 98L, 417L, 615L, 1617L, 2936L, 609L, 1328L, 3121L, 
    4058L, 447L, 2330L, 2124L, 1890L, 532L, 1256L, 458L, 757L, 
    104L, 905L, 307L, 270L, 82L, 106L, 721L, 3085L, 1361L, 1630L, 
    1716L, 4222L, 983L, 2494L, 1261L, 1437L, 804L, 2878L, 366L, 
    836L, 493L, 1023L, 92L, 132L, 90L, 341L, 328L, 1646L, 179L, 
    563L, 137L, 1063L, 45L, 170L, 28L, 584L, 0L, 93L, 0L, 355L, 
    23L, 0L, 0L, 126L, 0L, 105L, 93L, 1308L, 288L, 1355L, 0L, 
    611L, 163L, 648L, 24L, 260L, 123L, 460L, 127L, 291L, 59L, 
    145L, 0L, 72L, 0L, 297L, 115L, 341L, 849L, 1438L, 1126L, 
    598L, 2196L, 4296L, 496L, 759L, 2653L, 4363L, 248L, 228L, 
    525L, 1513L, 122L, 81L, 52L, 259L, 242L, 125L, 525L, 312L, 
    371L, 439L, 2346L, 2251L, 1219L, 789L, 2562L, 5920L, 467L, 
    615L, 467L, 2988L, 129L, 148L, 47L, 531L, 1501L, 353L, 177L, 
    419L, 6127L, 1637L, 1212L, 2269L, 5984L, 1404L, 723L, 2769L, 
    3501L, 955L, 255L, 1298L, 1515L, 370L, 0L, 580L, 731L, 226L, 
    332L, 190L, 5377L, 1326L, 1063L, 2132L, 6080L, 1194L, 1387L, 
    1234L, 4923L, 1217L, 415L, 826L, 1500L, 865L, 188L, 569L, 
    1395L, 2646L, 395L, 1311L, 2372L, 4122L, 574L, 1541L, 2733L, 
    3436L, 274L, 753L, 2118L, 2002L, 315L, 794L, 708L, 820L, 
    56L, 402L, 436L, 2396L, 321L, 1049L, 1419L, 4438L, 914L, 
    1488L, 1835L, 3183L, 225L, 1691L, 867L, 1486L, 433L, 693L, 
    337L, 779L, 70L, 840L, 245L, 980L, 141L, 450L, 146L, 974L, 
    36L, 155L, 139L, 603L, 86L, 121L, 47L, 341L, 37L, 28L, 0L, 
    402L, 0L, 31L, 276L, 471L, 799L, 1231L, 0L, 437L, 394L, 353L, 
    69L, 235L, 34L, 171L, 34L, 108L, 72L, 189L, 0L, 396L, 86L, 
    115L, 0L, 4L, 41L, 528L, 90L, 94L, 728L, 737L, 0L, 157L, 
    565L, 1282L, 66L, 45L, 162L, 627L, 0L, 0L, 0L, 96L, 25L, 
    40L, 105L, 160L, 149L, 118L, 314L, 738L, 100L, 108L, 475L, 
    959L, 140L, 83L, 248L, 876L, 40L, 19L, 0L, 30L, 56L, 0L, 
    46L, 181L, 490L, 717L, 201L, 351L, 863L, 480L, 113L, 684L, 
    1386L, 474L, 18L, 562L, 1013L, 401L, 25L, 381L, 26L, 79L, 
    0L, 0L, 363L, 289L, 117L, 468L, 995L, 718L, 102L, 529L, 1761L, 
    564L, 65L, 501L, 1310L, 471L, 112L, 0L, 285L, 541L, 135L, 
    409L, 255L, 916L, 126L, 308L, 592L, 554L, 50L, 195L, 653L, 
    701L, 46L, 301L, 777L, 742L, 34L, 100L, 219L, 282L, 155L, 
    109L, 255L, 1054L, 404L, 183L, 623L, 839L, 101L, 244L, 810L, 
    1136L, 25L, 374L, 622L, 711L, 56L, 257L, 0L, 203L, 0L, 132L, 
    111L, 458L, 0L, 40L, 78L, 140L, 0L, 34L, 0L, 89L, 0L, 38L, 
    0L, 272L, 0L, 0L, 0L, 245L, 133L, 394L, 137L, 510L, 197L, 
    94L, 31L, 169L, 29L, 0L, 0L, 128L, 0L, 0L, 0L, 143L, 0L, 
    0L, 87L, 0L, 258L, 816L, 533L, 216L, 327L, 1593L, 162L, 140L, 
    62L, 3574L, 59L, 30L, 0L, 1194L, 0L, 0L, 0L, 60L, 56L, 0L, 
    570L, 1100L, 339L, 0L, 743L, 1673L, 663L, 91L, 932L, 3545L, 
    23L, 72L, 0L, 975L, 0L, 0L, 0L, 253L, 64L, 86L, 89L, 912L, 
    393L, 93L, 89L, 1084L, 408L, 328L, 45L, 1149L, 22L, 24L, 
    24L, 716L, 0L, 0L, 41L, 232L, 49L, 154L, 237L, 374L, 441L, 
    66L, 725L, 866L, 796L, 159L, 1611L, 1311L, 61L, 159L, 130L, 
    321L, 129L, 0L, 170L, 506L, 101L, 421L, 0L, 1128L, 156L, 
    1334L, 89L, 2962L, 184L, 1115L, 220L, 2855L, 234L, 426L, 
    18L, 1336L, 57L, 178L, 70L, 736L, 46L, 627L, 91L, 820L, 42L, 
    1044L, 221L, 3044L, 113L, 1156L, 276L, 3562L, 211L, 407L, 
    163L, 1403L, 0L, 355L, 62L, 1293L, 0L, 1387L, 0L, 1717L, 
    68L, 1602L, 0L, 1173L, 0L, 1312L, 0L, 1447L, 0L, 361L, 0L, 
    654L, 0L, 476L, 0L, 450L, 0L, 812L, 0L, 3824L, 44L, 1798L, 
    166L, 5846L, 0L, 1511L, 0L, 4361L, 0L, 304L, 0L, 1336L, 0L, 
    120L, 0L, 817L, 85L, 116L, 176L, 964L, 1004L, 571L, 1130L, 
    1710L, 1046L, 442L, 573L, 4225L, 173L, 151L, 0L, 1051L, 0L, 
    47L, 0L, 57L, 409L, 24L, 511L, 118L, 1062L, 398L, 878L, 1780L, 
    1374L, 527L, 905L, 3276L, 511L, 313L, 211L, 1115L, 23L, 40L, 
    55L, 113L, 347L, 338L, 64L, 561L, 1032L, 487L, 718L, 1511L, 
    1978L, 505L, 701L, 1519L, 1020L, 81L, 162L, 1121L, 89L, 0L, 
    0L, 372L, 52L, 105L, 43L, 251L, 1595L, 436L, 737L, 674L, 
    1770L, 494L, 1779L, 1732L, 494L, 211L, 610L, 961L, 164L, 
    106L, 182L, 719L, 110L, 503L, 132L, 351L, 434L, 2187L, 108L, 
    2794L, 666L, 2974L, 208L, 3508L, 129L, 866L, 0L, 1086L, 145L, 
    569L, 34L, 1088L, 26L, 783L, 117L, 606L, 448L, 3071L, 534L, 
    2761L, 413L, 3019L, 559L, 4929L, 109L, 902L, 293L, 2497L, 
    35L, 725L, 63L, 1674L, 0L, 1682L, 37L, 614L, 31L, 4549L, 
    0L, 1229L, 17L, 4008L, 0L, 1420L, 32L, 1662L, 0L, 593L, 0L, 
    1104L, 0L, 885L, 0L, 1589L, 0L, 1675L, 0L, 4529L, 67L, 3764L, 
    0L, 3188L, 106L, 3550L, 0L, 1118L, 0L, 1927L, 0L, 406L, 0L, 
    1408L, 75L, 68L, 886L, 981L, 1012L, 291L, 969L, 3633L, 700L, 
    1460L, 948L, 3633L, 389L, 557L, 63L, 1241L, 298L, 61L, 0L, 
    325L, 58L, 59L, 378L, 301L, 796L, 358L, 884L, 2044L, 1526L, 
    1791L, 858L, 3086L, 660L, 1122L, 169L, 1129L, 194L, 238L, 
    0L, 128L, 422L, 209L, 435L, 302L, 3256L, 883L, 660L, 1898L, 
    4615L, 1733L, 382L, 2135L, 2358L, 899L, 357L, 1470L, 1244L, 
    528L, 40L, 571L, 661L, 476L, 203L, 120L, 2602L, 1335L, 488L, 
    874L, 5544L, 1183L, 1447L, 1515L, 2978L, 1122L, 1124L, 1305L, 
    1275L, 346L, 298L, 840L, 330L, 1304L, 45L, 309L, 1120L, 5075L, 
    95L, 2226L, 2234L, 7091L, 165L, 2523L, 1577L, 4085L, 56L, 
    2827L, 436L, 2377L, 211L, 1954L, 169L, 787L, 41L, 377L, 918L, 
    7662L, 373L, 2195L, 1367L, 7030L, 456L, 4241L, 977L, 3105L, 
    635L, 2979L, 508L, 2565L, 520L, 3542L, 34L, 1175L, 541L, 
    304L, 6L, 3692L, 0L, 588L, 0L, 4510L, 0L, 830L, 0L, 2845L, 
    0L, 610L, 0L, 3168L, 0L, 840L, 0L, 949L, 34L, 500L, 33L, 
    4240L, 62L, 1933L, 0L, 3151L, 111L, 2487L, 0L, 1956L, 56L, 
    1184L, 0L, 1172L, 0L, 1569L, 0L, 38L, 171L, 598L, 234L, 276L, 
    849L, 2802L, 364L, 227L, 1280L, 4137L, 83L, 435L, 42L, 657L, 
    141L, 162L, 33L, 209L, 158L, 0L, 386L, 424L, 136L, 259L, 
    540L, 977L, 396L, 455L, 745L, 2029L, 433L, 728L, 56L, 980L, 
    43L, 296L, 0L, 200L, 59L, 73L, 0L, 375L, 1649L, 506L, 53L, 
    1049L, 4266L, 1741L, 493L, 1068L, 3374L, 1035L, 297L, 1079L, 
    2443L, 1082L, 50L, 889L, 113L, 109L, 0L, 315L, 1824L, 644L, 
    137L, 518L, 5120L, 1069L, 183L, 913L, 4755L, 944L, 348L, 
    597L, 2266L, 959L, 210L, 608L, 104L, 345L, 0L, 227L, 1249L, 
    4529L, 52L, 828L, 2295L, 6326L, 226L, 2308L, 2573L, 6835L, 
    592L, 2076L, 2793L, 6289L, 164L, 1765L, 86L, 469L, 30L, 127L, 
    559L, 4515L, 119L, 648L, 2258L, 8497L, 447L, 1533L, 1980L, 
    5293L, 209L, 1985L, 1222L, 5500L, 264L, 2491L, 0L, 261L, 
    150L, 61L, 21L, 1391L, 28L, 216L, 23L, 1964L, 0L, 412L, 0L, 
    2193L, 0L, 579L, 35L, 2881L, 0L, 743L, 0L, 156L, 20L, 363L, 
    0L, 1676L, 120L, 1022L, 22L, 1400L, 132L, 537L, 0L, 1373L, 
    0L, 499L, 0L, 1182L, 0L, 705L, 0L, 0L, 123L, 116L, 0L, 0L, 
    368L, 604L, 0L, 36L, 408L, 539L, 33L, 0L, 0L, 49L, 23L, 83L, 
    0L, 35L, 0L, 0L, 26L, 84L, 168L, 0L, 259L, 337L, 39L, 231L, 
    178L, 388L, 40L, 128L, 80L, 227L, 0L, 43L, 0L, 30L, 42L, 
    15L, 0L, 32L, 199L, 204L, 59L, 0L, 342L, 0L, 80L, 188L, 928L, 
    454L, 93L, 302L, 1178L, 208L, 0L, 283L, 0L, 0L, 0L, 0L, 250L, 
    339L, 52L, 33L, 620L, 194L, 20L, 116L, 1173L, 510L, 23L, 
    188L, 938L, 200L, 142L, 226L, 23L, 131L, 0L, 0L, 144L, 738L, 
    83L, 54L, 411L, 2160L, 56L, 377L, 797L, 2329L, 106L, 468L, 
    1717L, 4037L, 243L, 680L, 17L, 20L, 0L, 0L, 174L, 1274L, 
    31L, 329L, 395L, 2749L, 0L, 429L, 791L, 2602L, 24L, 613L, 
    1052L, 3156L, 133L, 574L, 0L, 81L, 0L, 17L, 0L, 153L, 46L, 
    143L, 0L, 547L, 0L, 95L, 42L, 813L, 0L, 87L, 0L, 1913L, 71L, 
    222L, 0L, 91L, 0L, 97L, 0L, 601L, 45L, 205L, 43L, 541L, 27L, 
    240L, 0L, 781L, 0L, 414L, 0L, 566L, 36L, 72L, 0L, 0L, 85L, 
    0L, 52L, 123L, 100L, 0L, 52L, 0L, 135L, 113L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 94L, 0L, 0L, 75L, 0L, 0L, 0L, 326L, 159L, 
    0L, 0L, 32L, 306L, 0L, 0L, 174L, 54L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 150L, 0L, 74L, 50L, 3L, 0L, 0L, 0L, 360L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 192L, 0L, 0L, 0L, 103L, 
    205L, 0L, 0L, 23L, 151L, 0L, 0L, 62L, 0L, 0L, 0L, 0L, 20L, 
    0L, 0L, 0L, 80L, 0L, 92L, 0L, 400L, 0L, 20L, 0L, 149L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 98L, 0L, 89L, 0L, 
    89L, 0L, 47L, 36L, 214L, 0L, 0L, 0L, 65L, 0L, 45L, 0L, 0L, 
    0L, 13L, 0L, 28L, 0L, 10L, 0L, 68L, 0L, 63L, 0L, 79L, 0L, 
    7L, 0L, 0L, 0L, 0L, 0L, 47L, 0L, 35L, 0L, 481L, 0L, 0L, 0L, 
    13L, 0L, 0L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 40L, 35L, 66L, 125L, 0L, 0L, 328L, 0L, 0L, 
    0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 148L, 0L, 88L, 
    88L, 31L, 42L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 
    0L, 0L, 0L, 62L, 0L, 135L, 297L, 354L, 0L, 26L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 122L, 0L, 0L, 0L, 60L, 0L, 59L, 103L, 
    77L, 9L, 5L, 172L, 339L, 0L, 0L, 41L, 0L, 34L, 0L, 38L, 0L, 
    18L, 109L, 0L, 68L, 27L, 88L, 0L, 82L, 28L, 150L, 0L, 96L, 
    0L, 0L, 0L, 71L, 0L, 0L, 0L, 0L, 0L, 79L, 0L, 0L, 0L, 106L, 
    0L, 127L, 0L, 48L, 98L, 151L, 0L, 0L, 0L, 21L, 0L, 19L, 0L, 
    58L, 0L, 117L, 0L, 95L, 0L, 79L, 0L, 105L, 0L, 24L, 0L, 35L, 
    0L, 57L, 0L, 0L, 0L, 13L, 0L, 20L, 0L, 83L, 0L, 128L, 0L, 
    79L, 0L, 76L, 0L, 43L, 0L, 83L, 0L, 94L, 0L, 37L, 0L, 33L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 524L, 0L, 119L, 23L, 0L, 
    436L, 42L, 96L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 
    0L, 0L, 0L, 232L, 0L, 0L, 65L, 54L, 103L, 0L, 0L, 76L, 0L, 
    0L, 0L, 0L, 0L, 0L, 188L, 58L, 30L, 213L, 0L, 257L, 82L, 
    64L, 99L, 180L, 120L, 16L, 0L, 38L, 31L, 52L, 0L, 200L, 0L, 
    0L, 0L, 58L, 24L, 17L, 168L, 0L, 44L, 98L, 34L, 76L, 45L, 
    31L, 37L, 51L, 39L, 40L, 36L, 38L, 0L, 0L, 0L, 0L, 41L, 126L, 
    0L, 0L, 120L, 166L, 0L, 244L, 0L, 53L, 0L, 0L, 0L, 92L, 0L, 
    50L, 0L, 0L, 0L, 451L, 47L, 89L, 0L, 58L, 57L, 160L, 128L, 
    55L, 0L, 49L, 0L, 25L, 0L, 6L, 47L, 22L, 0L, 19L, 0L, 0L, 
    0L, 11L, 0L, 67L, 0L, 59L, 0L, 0L, 0L, 13L, 0L, 41L, 0L, 
    47L, 0L, 0L, 0L, 32L, 0L, 59L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    74L, 0L, 39L, 0L, 110L, 0L, 0L, 0L, 0L, 0L, 0L, 227L, 66L, 
    0L, 0L, 0L, 144L, 0L, 0L, 0L, 22L, 0L, 0L, 26L, 26L, 0L, 
    0L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 43L, 0L, 0L, 
    69L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 265L, 
    0L, 0L, 0L, 222L, 138L, 24L, 36L, 160L, 36L, 24L, 0L, 76L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 90L, 0L, 0L, 
    0L, 264L, 0L, 0L, 0L, 35L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 126L, 
    124L, 0L, 0L, 278L, 224L, 14L, 84L, 213L, 125L, 0L, 0L, 38L, 
    40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 146L, 236L, 
    23L, 51L, 130L, 134L, 0L, 26L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 21L, 0L, 
    42L, 0L, 39L, 0L, 0L, 0L, 0L, 0L, 57L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 121L, 0L, 0L, 0L, 0L, 102L, 43L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 86L, 40L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 
    0L, 0L, 0L, 59L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 710L, 
    167L, 1868L, 1644L, 722L, 201L, 1208L, 3026L, 324L, 65L, 
    156L, 2264L, 21L, 37L, 0L, 517L, 83L, 0L, 0L, 0L, 1234L, 
    95L, 2460L, 1083L, 834L, 522L, 2585L, 1393L, 919L, 243L, 
    2489L, 2291L, 152L, 32L, 0L, 298L, 94L, 0L, 21L, 0L, 727L, 
    108L, 391L, 1259L, 669L, 351L, 625L, 2514L, 526L, 98L, 663L, 
    832L, 290L, 139L, 0L, 54L, 115L, 0L, 0L, 56L, 761L, 135L, 
    1140L, 653L, 1131L, 106L, 3008L, 1412L, 606L, 335L, 944L, 
    578L, 0L, 0L, 93L, 228L, 0L, 0L, 103L, 150L, 637L, 1408L, 
    167L, 2096L, 418L, 895L, 274L, 2302L, 278L, 424L, 228L, 1482L, 
    16L, 216L, 0L, 97L, 0L, 155L, 0L, 71L, 236L, 1777L, 422L, 
    3215L, 136L, 1425L, 590L, 2814L, 200L, 411L, 347L, 1994L, 
    28L, 169L, 0L, 276L, 0L, 0L, 0L, 225L, 82L, 3696L, 79L, 2655L, 
    57L, 1348L, 0L, 996L, 0L, 336L, 0L, 381L, 0L, 169L, 0L, 86L, 
    0L, 18L, 0L, 54L, 19L, 2998L, 37L, 7362L, 0L, 1264L, 0L, 
    3226L, 0L, 200L, 0L, 931L, 0L, 16L, 0L, 213L, 0L, 0L, 0L, 
    99L, 1253L, 36L, 1291L, 1840L, 1195L, 261L, 2221L, 4066L, 
    752L, 348L, 2019L, 2926L, 328L, 0L, 0L, 493L, 25L, 0L, 0L, 
    0L, 632L, 36L, 2381L, 1255L, 1270L, 259L, 1748L, 1909L, 1359L, 
    710L, 2939L, 3536L, 196L, 0L, 273L, 547L, 31L, 17L, 0L, 23L, 
    1244L, 750L, 362L, 1332L, 2403L, 841L, 1169L, 2703L, 2135L, 
    186L, 777L, 1757L, 311L, 24L, 0L, 588L, 0L, 0L, 0L, 62L, 
    1291L, 287L, 1014L, 631L, 2633L, 904L, 1919L, 2142L, 2642L, 
    338L, 1756L, 1634L, 167L, 0L, 335L, 553L, 108L, 0L, 46L, 
    163L, 1052L, 1814L, 102L, 1932L, 1381L, 3050L, 137L, 2776L, 
    569L, 1159L, 179L, 1486L, 85L, 424L, 0L, 382L, 74L, 131L, 
    0L, 272L, 542L, 2469L, 230L, 1788L, 777L, 3978L, 434L, 2682L, 
    719L, 1742L, 676L, 2316L, 17L, 234L, 194L, 596L, 0L, 60L, 
    21L, 398L, 80L, 2895L, 126L, 964L, 9L, 2218L, 0L, 750L, 0L, 
    1358L, 0L, 263L, 40L, 192L, 41L, 143L, 0L, 170L, 44L, 202L, 
    13L, 2420L, 155L, 2998L, 0L, 2263L, 0L, 1311L, 18L, 814L, 
    0L, 958L, 0L, 242L, 0L, 159L, 0L, 49L, 0L, 206L, 258L, 221L, 
    2089L, 2038L, 1269L, 299L, 2087L, 4555L, 1195L, 505L, 1144L, 
    3899L, 67L, 341L, 49L, 1048L, 38L, 112L, 20L, 106L, 86L, 
    494L, 1178L, 1225L, 1472L, 483L, 2102L, 2569L, 2071L, 1047L, 
    1878L, 3401L, 506L, 442L, 218L, 880L, 45L, 109L, 22L, 116L, 
    1679L, 282L, 623L, 551L, 4331L, 1793L, 981L, 2499L, 4760L, 
    1138L, 593L, 1745L, 1240L, 239L, 245L, 436L, 361L, 71L, 240L, 
    49L, 1009L, 412L, 686L, 530L, 3536L, 1483L, 970L, 1920L, 
    5168L, 1218L, 1425L, 1409L, 1547L, 184L, 534L, 700L, 398L, 
    108L, 288L, 622L, 776L, 1962L, 253L, 453L, 1486L, 5684L, 
    205L, 2152L, 1387L, 2688L, 121L, 1647L, 395L, 1078L, 0L, 
    350L, 158L, 534L, 0L, 293L, 442L, 2051L, 89L, 715L, 1017L, 
    6552L, 567L, 1675L, 747L, 3587L, 191L, 2173L, 243L, 791L, 
    186L, 650L, 226L, 695L, 84L, 747L, 90L, 1759L, 42L, 221L, 
    0L, 1715L, 0L, 488L, 14L, 1197L, 0L, 215L, 11L, 489L, 0L, 
    61L, 0L, 536L, 0L, 157L, 83L, 1216L, 302L, 1683L, 0L, 1946L, 
    152L, 747L, 7L, 1154L, 38L, 224L, 18L, 209L, 0L, 210L, 0L, 
    159L, 0L, 142L, 198L, 80L, 393L, 1328L, 218L, 279L, 1320L, 
    2462L, 233L, 67L, 877L, 3769L, 93L, 93L, 177L, 513L, 45L, 
    0L, 0L, 24L, 125L, 48L, 292L, 573L, 407L, 147L, 1450L, 1576L, 
    678L, 520L, 1194L, 2279L, 237L, 63L, 98L, 807L, 50L, 51L, 
    0L, 136L, 338L, 263L, 30L, 306L, 1901L, 424L, 279L, 1615L, 
    2820L, 718L, 691L, 802L, 1338L, 404L, 291L, 515L, 969L, 211L, 
    0L, 309L, 409L, 69L, 36L, 49L, 1884L, 731L, 308L, 485L, 3564L, 
    693L, 554L, 1320L, 1780L, 586L, 128L, 483L, 1035L, 349L, 
    63L, 220L, 96L, 725L, 16L, 282L, 963L, 2936L, 182L, 1065L, 
    1285L, 2850L, 216L, 741L, 1010L, 1744L, 146L, 312L, 350L, 
    986L, 96L, 331L, 0L, 822L, 68L, 76L, 802L, 3713L, 242L, 611L, 
    1204L, 4029L, 234L, 877L, 518L, 1543L, 25L, 400L, 247L, 1133L, 
    75L, 538L, 0L, 442L, 0L, 133L, 0L, 586L, 0L, 129L, 25L, 401L, 
    36L, 184L, 0L, 236L, 0L, 22L, 0L, 352L, 0L, 37L, 0L, 248L, 
    32L, 645L, 0L, 609L, 136L, 105L, 0L, 192L, 0L, 186L, 0L, 
    31L, 0L, 75L, 0L, 87L, 0L, 66L, 0L, 0L, 21L, 11L, 105L, 0L, 
    245L, 409L, 49L, 0L, 67L, 475L, 0L, 16L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 107L, 154L, 0L, 0L, 47L, 88L, 71L, 0L, 116L, 
    509L, 0L, 17L, 0L, 4L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 129L, 
    93L, 100L, 0L, 108L, 114L, 23L, 66L, 253L, 0L, 99L, 71L, 
    328L, 51L, 0L, 40L, 46L, 29L, 0L, 30L, 253L, 220L, 33L, 0L, 
    524L, 80L, 103L, 30L, 380L, 45L, 0L, 143L, 178L, 55L, 44L, 
    36L, 34L, 140L, 78L, 65L, 176L, 448L, 0L, 74L, 75L, 384L, 
    115L, 34L, 191L, 469L, 0L, 90L, 361L, 607L, 29L, 109L, 0L, 
    75L, 0L, 44L, 30L, 529L, 0L, 7L, 72L, 520L, 39L, 0L, 315L, 
    343L, 0L, 67L, 118L, 454L, 0L, 21L, 0L, 25L, 0L, 0L, 0L, 
    65L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 103L, 0L, 37L, 65L, 154L, 
    0L, 0L, 0L, 0L, 0L, 130L, 0L, 0L, 46L, 28L, 0L, 0L, 0L, 0L, 
    0L, 94L, 0L, 0L, 0L, 83L, 0L, 0L, 2335L, 688L, 4721L, 4999L, 
    3556L, 943L, 4070L, 13161L, 2031L, 1215L, 2738L, 24313L, 
    559L, 554L, 91L, 7875L, 197L, 78L, 90L, 1647L, 3637L, 632L, 
    5937L, 3397L, 5547L, 1510L, 9764L, 10796L, 2473L, 1137L, 
    6978L, 19814L, 682L, 360L, 617L, 8127L, 88L, 164L, 52L, 1762L, 
    4276L, 913L, 2340L, 5895L, 5899L, 2232L, 2535L, 12203L, 3408L, 
    1149L, 1359L, 8538L, 1577L, 641L, 144L, 5057L, 1099L, 129L, 
    123L, 1616L, 3361L, 731L, 4742L, 3438L, 7766L, 1973L, 9298L, 
    7515L, 4587L, 1000L, 9331L, 6853L, 1583L, 535L, 2005L, 4704L, 
    1390L, 322L, 1045L, 2397L, 2101L, 6014L, 605L, 13053L, 3936L, 
    10707L, 2023L, 23876L, 2815L, 3684L, 732L, 17968L, 1119L, 
    2266L, 510L, 8322L, 601L, 1316L, 59L, 5062L, 1309L, 6722L, 
    1703L, 16384L, 2870L, 13754L, 3593L, 32601L, 1611L, 6681L, 
    3399L, 21736L, 705L, 2634L, 1268L, 8200L, 439L, 1752L, 617L, 
    5394L, 167L, 18107L, 72L, 21814L, 35L, 19395L, 14L, 23603L, 
    20L, 7445L, 0L, 9814L, 0L, 5717L, 27L, 6019L, 0L, 3348L, 
    47L, 3252L, 66L, 13159L, 71L, 75210L, 0L, 20493L, 129L, 113822L, 
    0L, 6534L, 0L, 37905L, 0L, 4460L, 0L, 14171L, 0L, 2240L, 
    0L, 7684L, 2388L, 489L, 5906L, 7855L, 6890L, 2718L, 9174L, 
    22176L, 4097L, 2620L, 5266L, 23751L, 1040L, 1114L, 643L, 
    13032L, 201L, 518L, 85L, 2858L, 1945L, 403L, 4880L, 4920L, 
    8267L, 1836L, 11170L, 15067L, 7187L, 3530L, 10694L, 24244L, 
    1741L, 1840L, 1136L, 17381L, 895L, 815L, 247L, 3964L, 6008L, 
    1689L, 2284L, 5997L, 18911L, 5129L, 7506L, 23292L, 12207L, 
    2909L, 3887L, 16528L, 4770L, 1446L, 891L, 9163L, 1652L, 706L, 
    241L, 4244L, 4587L, 1455L, 3363L, 2856L, 18874L, 4270L, 12427L, 
    12327L, 15777L, 2920L, 15473L, 11749L, 5633L, 1351L, 2947L, 
    10859L, 2398L, 856L, 1461L, 5741L, 3289L, 11467L, 871L, 10332L, 
    8936L, 27590L, 2843L, 30474L, 6324L, 15644L, 1738L, 22671L, 
    2706L, 5953L, 721L, 12722L, 1544L, 3143L, 273L, 6378L, 1714L, 
    11414L, 1164L, 9283L, 6427L, 41229L, 4585L, 37531L, 4202L, 
    18941L, 5853L, 37027L, 2192L, 6464L, 2018L, 14721L, 856L, 
    3139L, 1695L, 8331L, 171L, 37214L, 468L, 14340L, 350L, 56547L, 
    109L, 21362L, 167L, 23897L, 36L, 10502L, 0L, 10850L, 26L, 
    7374L, 50L, 6131L, 37L, 4425L, 59L, 24576L, 611L, 27579L, 
    22L, 60859L, 722L, 69003L, 0L, 17503L, 0L, 31007L, 0L, 6422L, 
    61L, 14256L, 0L, 2700L, 0L, 10696L, 1169L, 899L, 8150L, 12657L, 
    7441L, 5103L, 15403L, 40750L, 7570L, 6253L, 14929L, 41479L, 
    3790L, 4347L, 2040L, 28963L, 1147L, 1480L, 95L, 5608L, 2612L, 
    438L, 5449L, 6999L, 9308L, 4328L, 14354L, 23480L, 12546L, 
    7454L, 16977L, 39164L, 5025L, 7334L, 3137L, 33292L, 2148L, 
    3439L, 432L, 9859L, 9539L, 2539L, 2350L, 6981L, 54168L, 13944L, 
    8725L, 34655L, 48824L, 11846L, 5542L, 26858L, 23291L, 7109L, 
    1405L, 26760L, 12236L, 3873L, 730L, 13697L, 6852L, 2297L, 
    1448L, 2731L, 48041L, 12482L, 8749L, 15923L, 63310L, 11799L, 
    12573L, 21306L, 27849L, 7704L, 5472L, 23232L, 15417L, 4342L, 
    4168L, 19423L, 6385L, 20123L, 1305L, 9650L, 29730L, 74317L, 
    4074L, 41529L, 23912L, 57370L, 2932L, 34990L, 13837L, 21502L, 
    1465L, 22082L, 7248L, 14777L, 678L, 14683L, 2500L, 17099L, 
    1076L, 5842L, 18308L, 94581L, 5438L, 40672L, 18557L, 61870L, 
    6457L, 44482L, 9141L, 21439L, 3293L, 26657L, 5498L, 16076L, 
    3870L, 29624L, 610L, 25726L, 289L, 7549L, 596L, 56383L, 408L, 
    13587L, 286L, 36676L, 261L, 7854L, 93L, 22302L, 206L, 7413L, 
    115L, 18221L, 132L, 7772L, 167L, 16785L, 983L, 16859L, 268L, 
    59943L, 1984L, 38202L, 326L, 24861L, 412L, 20377L, 52L, 12498L, 
    138L, 11669L, 0L, 9132L, 43L, 14772L, 464L, 472L, 7182L, 
    9421L, 3545L, 2743L, 20448L, 43039L, 3399L, 4955L, 25962L, 
    61803L, 2643L, 7955L, 4969L, 39816L, 947L, 3777L, 644L, 7266L, 
    294L, 475L, 3934L, 6399L, 3502L, 2800L, 14630L, 23787L, 5032L, 
    4630L, 24953L, 50938L, 5648L, 10895L, 5789L, 48085L, 4142L, 
    7865L, 1041L, 14060L, 5635L, 2125L, 974L, 4125L, 45390L, 
    15598L, 5464L, 22656L, 60868L, 19100L, 4453L, 28188L, 58711L, 
    20977L, 2341L, 35129L, 34121L, 12349L, 1229L, 20982L, 3388L, 
    1848L, 1039L, 1997L, 39967L, 12712L, 4682L, 12383L, 69642L, 
    18102L, 5992L, 17545L, 62088L, 17607L, 4217L, 29085L, 52650L, 
    17212L, 4253L, 23222L, 4221L, 13346L, 967L, 5126L, 39753L, 
    76940L, 2720L, 21223L, 45369L, 85213L, 1826L, 23035L, 42937L, 
    62016L, 2652L, 22611L, 31556L, 48187L, 1855L, 21399L, 2213L, 
    10921L, 588L, 3634L, 25622L, 94542L, 3766L, 21866L, 36570L, 
    90813L, 3890L, 25166L, 30326L, 48680L, 3697L, 23048L, 25740L, 
    51832L, 4492L, 31215L, 778L, 10760L, 740L, 3633L, 1226L, 
    25850L, 1426L, 6334L, 436L, 22082L, 262L, 4227L, 258L, 20649L, 
    221L, 4353L, 461L, 29304L, 201L, 7105L, 641L, 6829L, 2435L, 
    11429L, 995L, 27318L, 5431L, 22384L, 72L, 14508L, 1188L, 
    8065L, 151L, 12118L, 471L, 6361L, 123L, 14528L, 216L, 10149L, 
    143L, 150L, 2315L, 2886L, 107L, 368L, 6472L, 13956L, 260L, 
    972L, 12233L, 24318L, 406L, 2284L, 5237L, 25492L, 272L, 1111L, 
    359L, 4207L, 69L, 193L, 1045L, 1679L, 162L, 554L, 5305L, 
    6915L, 915L, 1353L, 10373L, 16714L, 1146L, 3023L, 4594L, 
    22732L, 540L, 2560L, 879L, 8253L, 907L, 340L, 97L, 787L, 
    7069L, 2935L, 472L, 5345L, 11929L, 4108L, 481L, 7206L, 36704L, 
    13629L, 2418L, 19260L, 35491L, 11007L, 661L, 14089L, 726L, 
    150L, 59L, 599L, 7781L, 2517L, 446L, 2364L, 14386L, 3965L, 
    772L, 4781L, 40551L, 12530L, 1761L, 12615L, 40632L, 12458L, 
    1511L, 10716L, 785L, 2314L, 260L, 1475L, 7196L, 17897L, 438L, 
    4019L, 14178L, 24387L, 882L, 5271L, 30296L, 39463L, 1442L, 
    12018L, 45274L, 59394L, 1036L, 14482L, 621L, 2308L, 183L, 
    1098L, 6405L, 23901L, 678L, 4199L, 12307L, 31269L, 865L, 
    5387L, 24809L, 36956L, 1262L, 9222L, 34955L, 57529L, 1912L, 
    12234L, 308L, 2871L, 170L, 1088L, 415L, 4698L, 490L, 2151L, 
    405L, 7035L, 190L, 2486L, 290L, 14208L, 90L, 3380L, 1115L, 
    25060L, 247L, 4580L, 164L, 1599L, 746L, 2685L, 466L, 7756L, 
    2510L, 7130L, 139L, 5895L, 369L, 3351L, 189L, 9007L, 330L, 
    3875L, 100L, 10971L, 478L, 3901L, 199L, 185L, 5564L, 6198L, 
    566L, 196L, 2827L, 6845L, 353L, 245L, 2032L, 5227L, 0L, 29L, 
    0L, 658L, 0L, 0L, 0L, 60L, 400L, 196L, 10045L, 5441L, 767L, 
    335L, 8252L, 6788L, 664L, 208L, 6478L, 6064L, 107L, 100L, 
    579L, 941L, 0L, 0L, 26L, 212L, 559L, 511L, 1254L, 3854L, 
    1300L, 281L, 1011L, 5718L, 793L, 218L, 914L, 3723L, 118L, 
    98L, 120L, 685L, 0L, 54L, 0L, 200L, 1179L, 326L, 8233L, 3714L, 
    1957L, 542L, 10248L, 6505L, 1164L, 341L, 8569L, 5800L, 117L, 
    22L, 1293L, 1435L, 108L, 33L, 192L, 423L, 799L, 1550L, 574L, 
    8816L, 644L, 1814L, 721L, 8658L, 278L, 877L, 516L, 4565L, 
    145L, 254L, 164L, 1201L, 28L, 0L, 0L, 535L, 339L, 2146L, 
    3201L, 14319L, 428L, 2278L, 3576L, 15981L, 218L, 1134L, 3233L, 
    10756L, 45L, 420L, 503L, 2657L, 21L, 61L, 48L, 862L, 0L, 
    3617L, 53L, 9082L, 121L, 1857L, 119L, 5108L, 29L, 584L, 0L, 
    1937L, 0L, 227L, 35L, 495L, 0L, 117L, 0L, 522L, 25L, 2768L, 
    173L, 24783L, 0L, 1660L, 57L, 17289L, 0L, 477L, 0L, 7609L, 
    0L, 267L, 0L, 1982L, 0L, 100L, 0L, 928L, 456L, 51L, 5643L, 
    6156L, 504L, 488L, 4418L, 9781L, 681L, 161L, 2930L, 7462L, 
    193L, 0L, 427L, 1715L, 0L, 0L, 0L, 202L, 424L, 144L, 4426L, 
    2978L, 1044L, 612L, 5895L, 6505L, 969L, 452L, 7265L, 8034L, 
    22L, 194L, 1745L, 2708L, 80L, 0L, 52L, 381L, 1161L, 480L, 
    661L, 2762L, 3373L, 1318L, 2473L, 8437L, 2069L, 585L, 1668L, 
    6811L, 846L, 217L, 122L, 1705L, 147L, 109L, 0L, 774L, 698L, 
    228L, 3649L, 2118L, 3899L, 1206L, 10208L, 6805L, 3367L, 829L, 
    10285L, 5879L, 603L, 571L, 2872L, 2066L, 96L, 31L, 393L, 
    573L, 1414L, 2201L, 856L, 5100L, 1736L, 3030L, 798L, 7669L, 
    1261L, 2271L, 766L, 5263L, 591L, 798L, 85L, 1689L, 73L, 290L, 
    33L, 698L, 1214L, 2831L, 1867L, 7195L, 1493L, 4849L, 3385L, 
    15434L, 554L, 2648L, 3856L, 12829L, 358L, 665L, 933L, 4312L, 
    87L, 204L, 257L, 979L, 287L, 4732L, 86L, 3483L, 97L, 3473L, 
    0L, 3575L, 32L, 1389L, 0L, 1504L, 0L, 265L, 0L, 655L, 0L, 
    226L, 0L, 443L, 70L, 2636L, 176L, 7101L, 130L, 2883L, 150L, 
    9106L, 0L, 1209L, 90L, 4339L, 0L, 318L, 77L, 1258L, 0L, 285L, 
    0L, 1075L, 84L, 177L, 4568L, 6717L, 758L, 708L, 5776L, 13038L, 
    1514L, 934L, 5860L, 12018L, 221L, 449L, 766L, 3309L, 112L, 
    187L, 0L, 928L, 273L, 141L, 2968L, 4800L, 692L, 779L, 5850L, 
    7890L, 1534L, 528L, 7097L, 13728L, 462L, 592L, 1487L, 5751L, 
    494L, 434L, 425L, 1946L, 1683L, 750L, 1325L, 2736L, 6745L, 
    2118L, 3498L, 10241L, 6631L, 2030L, 2036L, 7118L, 2306L, 
    683L, 968L, 5131L, 484L, 867L, 27L, 1648L, 1324L, 818L, 1307L, 
    1589L, 6233L, 1735L, 5903L, 5581L, 7154L, 2027L, 8702L, 8562L, 
    2590L, 1220L, 3599L, 7538L, 1154L, 679L, 1676L, 3526L, 1842L, 
    4744L, 1194L, 3151L, 5327L, 8968L, 1755L, 9125L, 3469L, 5926L, 
    1321L, 6447L, 1515L, 2155L, 455L, 3403L, 907L, 1002L, 190L, 
    1923L, 1372L, 3639L, 1165L, 4457L, 3129L, 9770L, 2753L, 13238L, 
    2580L, 7027L, 3690L, 14963L, 1055L, 2262L, 2412L, 7575L, 
    450L, 1280L, 628L, 5667L, 202L, 4698L, 287L, 2172L, 206L, 
    5845L, 454L, 2328L, 97L, 2285L, 74L, 1301L, 51L, 613L, 123L, 
    585L, 0L, 594L, 0L, 456L, 109L, 1968L, 844L, 5260L, 229L, 
    3809L, 806L, 7057L, 96L, 1815L, 215L, 3654L, 0L, 617L, 47L, 
    2184L, 0L, 874L, 0L, 2518L, 0L, 236L, 1997L, 4327L, 167L, 
    486L, 5556L, 7951L, 254L, 1417L, 5506L, 11373L, 185L, 290L, 
    500L, 4510L, 0L, 60L, 69L, 1084L, 116L, 230L, 1897L, 2285L, 
    333L, 373L, 3559L, 6167L, 594L, 1295L, 4837L, 13205L, 409L, 
    615L, 2547L, 7677L, 97L, 83L, 183L, 1836L, 975L, 596L, 423L, 
    2438L, 7119L, 2829L, 2048L, 7478L, 7452L, 2337L, 1914L, 8415L, 
    5961L, 1707L, 617L, 5011L, 2306L, 622L, 120L, 2491L, 576L, 
    687L, 368L, 820L, 4020L, 1817L, 1654L, 4244L, 8894L, 2689L, 
    2835L, 7411L, 7452L, 2008L, 2773L, 7857L, 3520L, 1160L, 1288L, 
    3815L, 1792L, 3797L, 364L, 1932L, 6168L, 9873L, 868L, 5959L, 
    6366L, 8870L, 1120L, 4680L, 3189L, 4080L, 446L, 3103L, 2678L, 
    3496L, 205L, 2205L, 998L, 2305L, 536L, 1651L, 3095L, 9728L, 
    1861L, 7646L, 4320L, 9360L, 1487L, 8127L, 3238L, 5382L, 1635L, 
    6289L, 1815L, 4046L, 723L, 5052L, 353L, 2502L, 382L, 1034L, 
    233L, 3680L, 380L, 1820L, 109L, 2330L, 87L, 776L, 73L, 1420L, 
    79L, 298L, 88L, 1179L, 0L, 489L, 148L, 1007L, 832L, 3918L, 
    211L, 2912L, 1260L, 4321L, 136L, 1454L, 363L, 2484L, 0L, 
    845L, 0L, 1474L, 32L, 1380L, 42L, 1268L, 0L, 41L, 256L, 810L, 
    72L, 200L, 990L, 2205L, 0L, 148L, 1242L, 3536L, 0L, 45L, 
    291L, 2218L, 0L, 0L, 0L, 318L, 31L, 0L, 240L, 581L, 0L, 82L, 
    766L, 1259L, 0L, 62L, 1958L, 2011L, 104L, 150L, 605L, 2804L, 
    0L, 243L, 67L, 651L, 107L, 245L, 151L, 702L, 413L, 446L, 
    467L, 1499L, 1140L, 694L, 181L, 1630L, 1663L, 774L, 366L, 
    1768L, 1676L, 613L, 264L, 1024L, 84L, 220L, 0L, 430L, 293L, 
    356L, 341L, 798L, 1189L, 701L, 332L, 1491L, 2277L, 665L, 
    350L, 2946L, 2144L, 500L, 275L, 1681L, 245L, 600L, 52L, 453L, 
    781L, 1783L, 113L, 905L, 1489L, 1876L, 172L, 923L, 1125L, 
    1269L, 160L, 659L, 1790L, 2738L, 226L, 889L, 221L, 676L, 
    27L, 277L, 382L, 1233L, 567L, 1350L, 683L, 2119L, 495L, 1349L, 
    1484L, 1470L, 314L, 1036L, 1163L, 2176L, 188L, 1313L, 0L, 
    544L, 0L, 153L, 68L, 659L, 235L, 390L, 32L, 558L, 40L, 214L, 
    0L, 418L, 64L, 57L, 91L, 605L, 0L, 195L, 52L, 203L, 140L, 
    596L, 252L, 310L, 185L, 1634L, 0L, 345L, 201L, 543L, 0L, 
    281L, 0L, 288L, 30L, 654L, 28L, 334L, 853L, 213L, 5908L, 
    7389L, 771L, 266L, 2804L, 6231L, 235L, 165L, 2394L, 4595L, 
    0L, 0L, 86L, 695L, 0L, 0L, 0L, 308L, 1229L, 277L, 10369L, 
    5728L, 551L, 345L, 6380L, 4779L, 516L, 106L, 5339L, 5948L, 
    24L, 146L, 401L, 1306L, 0L, 15L, 0L, 559L, 2320L, 492L, 1526L, 
    6984L, 1675L, 616L, 1518L, 5005L, 1117L, 321L, 525L, 1496L, 
    230L, 0L, 0L, 749L, 0L, 25L, 0L, 178L, 2491L, 1253L, 11881L, 
    4150L, 2017L, 456L, 9074L, 2845L, 1731L, 345L, 7238L, 2480L, 
    135L, 162L, 834L, 725L, 162L, 72L, 109L, 417L, 1367L, 4499L, 
    677L, 10883L, 1147L, 2233L, 546L, 4676L, 298L, 764L, 250L, 
    2488L, 34L, 326L, 0L, 900L, 0L, 130L, 72L, 397L, 1173L, 5120L, 
    5748L, 23148L, 638L, 2779L, 2770L, 9312L, 475L, 879L, 1548L, 
    6100L, 167L, 161L, 398L, 1229L, 44L, 50L, 149L, 542L, 186L, 
    7888L, 74L, 9602L, 99L, 2248L, 0L, 2540L, 0L, 554L, 0L, 889L, 
    0L, 75L, 0L, 243L, 29L, 15L, 0L, 157L, 65L, 5346L, 486L, 
    31804L, 0L, 1475L, 65L, 8755L, 0L, 478L, 0L, 2561L, 0L, 103L, 
    0L, 743L, 0L, 54L, 0L, 429L, 835L, 197L, 4419L, 5099L, 1256L, 
    575L, 4392L, 5621L, 808L, 633L, 2873L, 5747L, 167L, 214L, 
    547L, 1167L, 0L, 41L, 0L, 186L, 1516L, 553L, 6335L, 3247L, 
    1645L, 345L, 5959L, 6723L, 1201L, 436L, 6321L, 8785L, 184L, 
    466L, 493L, 2173L, 81L, 78L, 24L, 751L, 4461L, 1426L, 1548L, 
    4422L, 6594L, 1622L, 1694L, 5453L, 2555L, 622L, 948L, 4500L, 
    622L, 71L, 102L, 1213L, 295L, 77L, 0L, 541L, 3823L, 1099L, 
    3535L, 1545L, 5953L, 1293L, 6047L, 3517L, 3314L, 860L, 6682L, 
    3391L, 1565L, 154L, 1585L, 1322L, 389L, 302L, 214L, 434L, 
    3036L, 5488L, 1491L, 5624L, 2783L, 3813L, 460L, 4450L, 1142L, 
    2251L, 321L, 3093L, 406L, 535L, 180L, 664L, 284L, 384L, 0L, 
    503L, 1379L, 5975L, 2537L, 8506L, 1473L, 3922L, 1883L, 5899L, 
    1022L, 1958L, 1856L, 6081L, 267L, 421L, 359L, 1694L, 233L, 
    148L, 154L, 636L, 447L, 6145L, 395L, 3599L, 360L, 2948L, 
    318L, 1665L, 0L, 1183L, 19L, 214L, 7L, 159L, 0L, 98L, 0L, 
    60L, 0L, 186L, 117L, 4938L, 670L, 5731L, 0L, 2416L, 191L, 
    2887L, 0L, 721L, 0L, 998L, 0L, 181L, 0L, 297L, 0L, 252L, 
    0L, 362L, 561L, 586L, 3896L, 6396L, 1845L, 1316L, 5380L, 
    9199L, 1274L, 1726L, 4593L, 9768L, 270L, 544L, 797L, 4082L, 
    154L, 56L, 0L, 327L, 920L, 492L, 2804L, 3625L, 2118L, 790L, 
    4580L, 5688L, 2476L, 1497L, 6210L, 10579L, 670L, 599L, 1473L, 
    5299L, 236L, 117L, 129L, 1024L, 5099L, 1049L, 1856L, 3539L, 
    9994L, 3669L, 3272L, 7335L, 7193L, 2231L, 1667L, 5967L, 1980L, 
    1300L, 202L, 3886L, 712L, 425L, 116L, 1248L, 3284L, 835L, 
    2627L, 1976L, 7303L, 2512L, 2654L, 4341L, 8895L, 2344L, 6522L, 
    5793L, 4000L, 1177L, 3135L, 3849L, 1420L, 299L, 1207L, 2129L, 
    4021L, 6950L, 1198L, 3197L, 5282L, 10308L, 770L, 5873L, 3343L, 
    4215L, 501L, 4437L, 1692L, 1383L, 361L, 1405L, 894L, 1038L, 
    186L, 861L, 1744L, 5739L, 1794L, 4910L, 3305L, 9629L, 1743L, 
    6084L, 2804L, 4827L, 1699L, 7707L, 1662L, 1318L, 1017L, 3199L, 
    441L, 731L, 671L, 1551L, 324L, 4014L, 687L, 1042L, 262L, 
    2849L, 118L, 797L, 49L, 1052L, 0L, 549L, 210L, 733L, 48L, 
    86L, 0L, 257L, 0L, 276L, 155L, 2654L, 1004L, 5104L, 0L, 2215L, 
    353L, 2714L, 0L, 823L, 117L, 882L, 115L, 279L, 0L, 599L, 
    0L, 314L, 0L, 571L, 382L, 531L, 2047L, 3308L, 675L, 1647L, 
    4223L, 8043L, 517L, 1200L, 4892L, 10025L, 280L, 612L, 1018L, 
    5409L, 13L, 153L, 32L, 775L, 584L, 538L, 1753L, 1495L, 1590L, 
    926L, 3402L, 5498L, 1456L, 1507L, 5367L, 8746L, 1012L, 1370L, 
    1824L, 6228L, 245L, 245L, 345L, 1194L, 2716L, 864L, 1162L, 
    2307L, 7797L, 2892L, 1600L, 4675L, 9327L, 2820L, 1600L, 5350L, 
    4382L, 2313L, 453L, 4069L, 1766L, 1019L, 133L, 1857L, 1566L, 
    417L, 397L, 620L, 6971L, 2184L, 1214L, 2173L, 10508L, 3327L, 
    2258L, 3969L, 6602L, 1399L, 1300L, 4483L, 4029L, 1988L, 925L, 
    2556L, 2474L, 4626L, 751L, 2090L, 4888L, 7623L, 1081L, 3243L, 
    5547L, 5797L, 715L, 2524L, 2103L, 2561L, 231L, 1602L, 1325L, 
    1847L, 89L, 1105L, 1406L, 4333L, 1042L, 2350L, 3072L, 7921L, 
    1291L, 3665L, 3587L, 5643L, 992L, 4066L, 1780L, 3172L, 748L, 
    2649L, 1561L, 2422L, 311L, 2262L, 750L, 2213L, 125L, 660L, 
    263L, 1850L, 254L, 274L, 94L, 994L, 0L, 204L, 0L, 992L, 0L, 
    22L, 65L, 720L, 0L, 361L, 197L, 1763L, 1175L, 2584L, 176L, 
    1445L, 625L, 1079L, 90L, 566L, 197L, 969L, 0L, 323L, 133L, 
    259L, 0L, 613L, 202L, 586L, 0L, 0L, 395L, 492L, 121L, 136L, 
    1109L, 1453L, 58L, 319L, 866L, 2560L, 136L, 30L, 415L, 2538L, 
    0L, 59L, 99L, 399L, 51L, 117L, 123L, 383L, 0L, 199L, 989L, 
    373L, 529L, 82L, 1460L, 1774L, 151L, 269L, 228L, 2150L, 25L, 
    83L, 128L, 684L, 255L, 121L, 80L, 253L, 743L, 726L, 171L, 
    1590L, 1596L, 943L, 169L, 1096L, 1865L, 480L, 0L, 1494L, 
    1568L, 393L, 53L, 1637L, 91L, 130L, 56L, 30L, 584L, 425L, 
    0L, 500L, 1885L, 662L, 253L, 802L, 1924L, 604L, 223L, 1526L, 
    2065L, 794L, 310L, 619L, 435L, 923L, 157L, 529L, 840L, 1583L, 
    44L, 631L, 1026L, 1311L, 128L, 607L, 777L, 1082L, 0L, 342L, 
    1142L, 1878L, 252L, 388L, 270L, 869L, 101L, 390L, 276L, 1513L, 
    380L, 668L, 1009L, 1567L, 334L, 708L, 676L, 1548L, 87L, 609L, 
    1049L, 2015L, 118L, 595L, 19L, 931L, 112L, 0L, 0L, 316L, 
    128L, 221L, 37L, 302L, 0L, 35L, 0L, 154L, 0L, 34L, 149L, 
    326L, 0L, 125L, 0L, 216L, 188L, 903L, 0L, 361L, 231L, 83L, 
    0L, 180L, 75L, 116L, 0L, 216L, 0L, 176L, 34L, 84L, 0L, 105L, 
    1855L, 684L, 2844L, 5442L, 2549L, 901L, 1695L, 8996L, 1180L, 
    783L, 1052L, 19929L, 211L, 418L, 0L, 5245L, 58L, 143L, 0L, 
    626L, 3502L, 484L, 4365L, 3434L, 4076L, 1327L, 5944L, 6116L, 
    2547L, 1816L, 5899L, 22190L, 604L, 540L, 256L, 6669L, 24L, 
    109L, 0L, 1016L, 3714L, 1316L, 2285L, 6581L, 4488L, 1218L, 
    1510L, 9578L, 3058L, 818L, 1195L, 4878L, 688L, 302L, 186L, 
    2454L, 279L, 150L, 0L, 535L, 2095L, 1493L, 3542L, 3839L, 
    4899L, 1558L, 8286L, 5526L, 4123L, 1261L, 8547L, 5728L, 1096L, 
    387L, 1365L, 2462L, 478L, 198L, 97L, 440L, 1348L, 10813L, 
    669L, 13064L, 1361L, 8116L, 433L, 14807L, 1060L, 4704L, 558L, 
    10056L, 747L, 1915L, 57L, 3467L, 130L, 919L, 69L, 1566L, 
    474L, 8497L, 1041L, 15097L, 1205L, 12788L, 1774L, 21138L, 
    913L, 6369L, 1859L, 16708L, 361L, 1614L, 833L, 4011L, 90L, 
    738L, 102L, 2255L, 27L, 20589L, 154L, 16358L, 0L, 9133L, 
    28L, 7844L, 52L, 3832L, 0L, 4465L, 0L, 1400L, 0L, 2093L, 
    0L, 980L, 0L, 606L, 31L, 14989L, 0L, 55067L, 173L, 12176L, 
    31L, 44169L, 0L, 4027L, 3L, 20019L, 0L, 672L, 0L, 4673L, 
    0L, 525L, 0L, 1465L, 3076L, 974L, 4108L, 8585L, 8026L, 4479L, 
    4397L, 16513L, 3963L, 2762L, 2112L, 17947L, 888L, 1675L, 
    8L, 9439L, 161L, 397L, 0L, 1100L, 3027L, 1448L, 3732L, 5210L, 
    8857L, 3573L, 5227L, 10228L, 10513L, 4363L, 6175L, 17553L, 
    1360L, 2403L, 589L, 11044L, 140L, 595L, 132L, 2302L, 7501L, 
    2730L, 2427L, 8009L, 17022L, 5340L, 4629L, 16769L, 10470L, 
    2985L, 2722L, 12163L, 3292L, 1010L, 250L, 6899L, 1072L, 159L, 
    72L, 1106L, 5249L, 2559L, 2341L, 3448L, 13974L, 4845L, 7439L, 
    9269L, 14439L, 4045L, 12102L, 11125L, 4234L, 1066L, 3013L, 
    6921L, 857L, 325L, 464L, 2338L, 2928L, 16519L, 821L, 11396L, 
    5437L, 25950L, 1196L, 17765L, 3099L, 14756L, 1204L, 14395L, 
    1617L, 4827L, 264L, 5680L, 387L, 1780L, 75L, 1959L, 1165L, 
    15346L, 911L, 8121L, 3349L, 34593L, 2390L, 22723L, 2273L, 
    18713L, 3508L, 25793L, 1113L, 4568L, 1246L, 7628L, 324L, 
    1978L, 295L, 3551L, 192L, 29174L, 190L, 6477L, 90L, 30362L, 
    118L, 7111L, 70L, 15330L, 0L, 4050L, 46L, 6562L, 73L, 2238L, 
    0L, 3815L, 0L, 1312L, 124L, 17347L, 299L, 17045L, 20L, 34222L, 
    204L, 24306L, 5L, 14671L, 244L, 17715L, 0L, 3377L, 12L, 6678L, 
    0L, 1516L, 0L, 3503L, 2251L, 1493L, 4376L, 11480L, 8127L, 
    5795L, 8317L, 24405L, 8459L, 7711L, 4781L, 24501L, 2681L, 
    5016L, 590L, 10373L, 283L, 1062L, 104L, 1449L, 1317L, 605L, 
    2450L, 4646L, 8564L, 4986L, 6644L, 13250L, 16092L, 9978L, 
    6921L, 17853L, 6475L, 9046L, 439L, 14867L, 975L, 1761L, 0L, 
    2416L, 9085L, 4112L, 2397L, 6483L, 40668L, 12853L, 4627L, 
    18685L, 43575L, 11727L, 4345L, 16860L, 19233L, 5934L, 1476L, 
    10338L, 6240L, 2152L, 226L, 3297L, 5230L, 2138L, 1763L, 3112L, 
    34229L, 12149L, 4261L, 8452L, 51785L, 13108L, 8104L, 13026L, 
    25429L, 6439L, 4448L, 11471L, 6563L, 2422L, 1717L, 4564L, 
    4111L, 20671L, 849L, 5612L, 14353L, 58245L, 1526L, 16744L, 
    14703L, 46076L, 1430L, 15781L, 6734L, 17021L, 471L, 9981L, 
    2862L, 7412L, 370L, 4575L, 1236L, 16231L, 628L, 4137L, 9434L, 
    68577L, 2466L, 13167L, 10985L, 54139L, 3051L, 22824L, 4559L, 
    17656L, 2313L, 13908L, 2162L, 7836L, 1862L, 9525L, 170L, 
    14343L, 250L, 2860L, 124L, 28011L, 201L, 4026L, 189L, 22257L, 
    62L, 3284L, 82L, 16038L, 108L, 2228L, 29L, 9996L, 155L, 1625L, 
    49L, 9514L, 679L, 8519L, 81L, 28225L, 1053L, 10766L, 85L, 
    19830L, 260L, 8559L, 0L, 9858L, 5L, 6385L, 0L, 3587L, 48L, 
    4078L, 334L, 158L, 3169L, 6231L, 1515L, 2168L, 6911L, 18837L, 
    2545L, 2908L, 6935L, 21940L, 1878L, 4464L, 903L, 10328L, 
    376L, 1133L, 61L, 1049L, 452L, 585L, 1880L, 3118L, 1783L, 
    1338L, 4113L, 8673L, 4754L, 4260L, 7183L, 16919L, 4490L, 
    7802L, 1007L, 8621L, 1033L, 2783L, 64L, 1910L, 3793L, 2453L, 
    206L, 2288L, 20942L, 8171L, 1139L, 6638L, 33574L, 10201L, 
    1601L, 8754L, 39938L, 11918L, 1163L, 8758L, 15897L, 4571L, 
    417L, 3206L, 1871L, 1296L, 193L, 878L, 17292L, 7548L, 805L, 
    3313L, 42737L, 12615L, 2073L, 5920L, 47529L, 11210L, 2145L, 
    6869L, 17489L, 5628L, 969L, 4092L, 1509L, 8620L, 429L, 1882L, 
    12295L, 37775L, 727L, 5513L, 17818L, 48854L, 898L, 6404L, 
    22368L, 38580L, 1275L, 6779L, 12117L, 20717L, 646L, 4457L, 
    840L, 5599L, 334L, 857L, 6697L, 41042L, 708L, 4310L, 14554L, 
    58277L, 1401L, 8018L, 16219L, 34212L, 1596L, 6617L, 8259L, 
    19441L, 755L, 4950L, 29L, 3013L, 66L, 768L, 93L, 7654L, 267L, 
    1701L, 206L, 11137L, 52L, 977L, 126L, 11693L, 21L, 1445L, 
    108L, 11159L, 0L, 1063L, 0L, 2211L, 817L, 3019L, 326L, 8782L, 
    982L, 4871L, 94L, 9738L, 482L, 3508L, 27L, 7189L, 285L, 1879L, 
    4L, 4382L, 7L, 2174L, 0L, 46L, 1044L, 1541L, 59L, 350L, 1590L, 
    3040L, 53L, 444L, 1982L, 5044L, 136L, 476L, 299L, 2069L, 
    0L, 208L, 0L, 257L, 0L, 5L, 652L, 544L, 80L, 204L, 1205L, 
    1609L, 458L, 520L, 2547L, 3474L, 681L, 973L, 377L, 1683L, 
    58L, 435L, 25L, 462L, 531L, 134L, 46L, 570L, 2138L, 1030L, 
    150L, 1353L, 3908L, 1495L, 275L, 1970L, 13995L, 3401L, 217L, 
    2333L, 11126L, 2352L, 229L, 1467L, 111L, 145L, 0L, 205L, 
    2128L, 770L, 180L, 406L, 6885L, 1776L, 511L, 993L, 18172L, 
    4003L, 412L, 1367L, 9266L, 2807L, 335L, 1225L, 223L, 924L, 
    120L, 328L, 1350L, 4158L, 58L, 1029L, 3733L, 9474L, 159L, 
    1562L, 10406L, 17866L, 119L, 2382L, 11142L, 18741L, 347L, 
    2567L, 59L, 972L, 152L, 286L, 1577L, 6788L, 162L, 1019L, 
    4363L, 14744L, 270L, 1588L, 7310L, 18039L, 240L, 2308L, 6178L, 
    12177L, 463L, 1827L, 101L, 703L, 19L, 316L, 35L, 1472L, 50L, 
    367L, 95L, 3288L, 0L, 318L, 180L, 5187L, 68L, 729L, 224L, 
    6297L, 0L, 802L, 0L, 341L, 75L, 595L, 175L, 2367L, 448L, 
    1540L, 0L, 3592L, 86L, 1552L, 53L, 4440L, 150L, 1067L, 0L, 
    1685L, 88L, 680L, 898L, 460L, 3137L, 6939L, 1464L, 397L, 
    2870L, 8544L, 447L, 301L, 466L, 7059L, 0L, 40L, 170L, 1786L, 
    0L, 0L, 0L, 100L, 746L, 135L, 8399L, 3512L, 773L, 518L, 11338L, 
    6776L, 1140L, 426L, 9948L, 8105L, 94L, 155L, 267L, 2510L, 
    0L, 0L, 178L, 421L, 878L, 549L, 919L, 4544L, 1625L, 723L, 
    1664L, 8277L, 1138L, 271L, 600L, 2228L, 151L, 0L, 59L, 907L, 
    28L, 26L, 0L, 163L, 991L, 435L, 6082L, 3578L, 1906L, 744L, 
    11739L, 6784L, 2469L, 717L, 10571L, 4017L, 157L, 61L, 1425L, 
    755L, 50L, 51L, 26L, 178L, 655L, 3165L, 863L, 11782L, 693L, 
    3604L, 476L, 9450L, 280L, 1495L, 131L, 4459L, 160L, 261L, 
    0L, 773L, 0L, 123L, 0L, 470L, 390L, 3117L, 1166L, 14326L, 
    719L, 3566L, 3468L, 16357L, 491L, 2216L, 2340L, 10394L, 35L, 
    222L, 218L, 1897L, 19L, 72L, 53L, 464L, 112L, 6209L, 93L, 
    9572L, 89L, 1612L, 26L, 2502L, 0L, 611L, 81L, 881L, 0L, 72L, 
    0L, 182L, 13L, 55L, 0L, 166L, 6L, 4268L, 125L, 24518L, 0L, 
    2113L, 119L, 10600L, 0L, 793L, 31L, 3289L, 0L, 66L, 0L, 1181L, 
    0L, 102L, 0L, 493L, 222L, 422L, 2883L, 7109L, 1960L, 760L, 
    4376L, 9790L, 1664L, 686L, 2986L, 8470L, 147L, 38L, 313L, 
    1290L, 0L, 33L, 0L, 113L, 505L, 246L, 3896L, 3400L, 1344L, 
    418L, 5885L, 7058L, 2189L, 1250L, 6015L, 7338L, 603L, 271L, 
    1063L, 3906L, 91L, 20L, 87L, 545L, 1357L, 739L, 501L, 3620L, 
    5935L, 2261L, 2285L, 9370L, 4121L, 1954L, 1823L, 3930L, 924L, 
    60L, 473L, 1887L, 40L, 84L, 0L, 325L, 1112L, 623L, 1865L, 
    2204L, 4360L, 2051L, 9333L, 6308L, 5545L, 1174L, 11800L, 
    6277L, 865L, 276L, 3308L, 2967L, 293L, 61L, 161L, 693L, 998L, 
    4519L, 382L, 5857L, 2500L, 7698L, 567L, 9588L, 1073L, 4898L, 
    779L, 5078L, 225L, 379L, 75L, 1908L, 81L, 188L, 0L, 387L, 
    532L, 3870L, 1645L, 6285L, 1407L, 9753L, 2684L, 12509L, 960L, 
    5818L, 2268L, 11366L, 359L, 910L, 638L, 3508L, 0L, 90L, 226L, 
    831L, 61L, 5482L, 45L, 2118L, 119L, 3375L, 157L, 1829L, 0L, 
    1537L, 0L, 803L, 0L, 443L, 50L, 360L, 78L, 218L, 0L, 123L, 
    0L, 3265L, 474L, 6606L, 19L, 2912L, 36L, 4192L, 0L, 1613L, 
    20L, 2495L, 0L, 420L, 0L, 1707L, 0L, 185L, 0L, 738L, 269L, 
    146L, 1606L, 4994L, 1761L, 1082L, 4174L, 9172L, 990L, 682L, 
    3146L, 5657L, 436L, 771L, 446L, 2476L, 120L, 152L, 27L, 204L, 
    191L, 149L, 1631L, 2451L, 1446L, 625L, 3085L, 6715L, 1855L, 
    598L, 3316L, 8403L, 875L, 647L, 1036L, 3132L, 145L, 66L, 
    126L, 358L, 2167L, 1196L, 654L, 2360L, 12448L, 4324L, 3998L, 
    7525L, 9532L, 2358L, 1702L, 5486L, 3525L, 746L, 502L, 3098L, 
    979L, 189L, 105L, 630L, 980L, 689L, 793L, 1456L, 8490L, 3449L, 
    3504L, 4671L, 11180L, 3183L, 4888L, 5340L, 4145L, 933L, 2189L, 
    3948L, 1520L, 103L, 795L, 1401L, 911L, 4115L, 319L, 3807L, 
    4792L, 12832L, 1156L, 6988L, 2661L, 8695L, 775L, 4454L, 1127L, 
    2484L, 202L, 1910L, 330L, 774L, 107L, 659L, 375L, 3076L, 
    525L, 2645L, 2739L, 12296L, 1433L, 7149L, 2632L, 10289L, 
    1262L, 8698L, 925L, 2997L, 962L, 3198L, 19L, 1079L, 132L, 
    2539L, 289L, 2794L, 377L, 1690L, 40L, 2772L, 36L, 738L, 49L, 
    2044L, 0L, 441L, 0L, 803L, 38L, 112L, 0L, 521L, 0L, 235L, 
    239L, 1840L, 510L, 4293L, 45L, 2077L, 171L, 2288L, 0L, 1213L, 
    66L, 1565L, 0L, 895L, 0L, 956L, 0L, 481L, 0L, 998L, 26L, 
    0L, 1320L, 1809L, 600L, 264L, 2105L, 3504L, 410L, 521L, 1831L, 
    3636L, 546L, 339L, 274L, 1396L, 0L, 200L, 38L, 168L, 25L, 
    68L, 635L, 577L, 274L, 311L, 1740L, 2170L, 533L, 365L, 1458L, 
    3025L, 322L, 492L, 329L, 1194L, 91L, 325L, 0L, 379L, 357L, 
    122L, 217L, 618L, 3741L, 1447L, 789L, 3280L, 6003L, 1813L, 
    595L, 1527L, 4270L, 954L, 274L, 1029L, 2072L, 515L, 50L, 
    373L, 382L, 115L, 359L, 233L, 2298L, 635L, 322L, 1476L, 6133L, 
    2246L, 1394L, 1752L, 5401L, 1014L, 1486L, 1529L, 2396L, 603L, 
    326L, 910L, 235L, 1486L, 264L, 1186L, 1686L, 4936L, 408L, 
    2392L, 3105L, 5768L, 125L, 1814L, 1838L, 2962L, 161L, 686L, 
    1014L, 1958L, 73L, 400L, 64L, 872L, 181L, 600L, 699L, 4255L, 
    283L, 1330L, 1994L, 5827L, 648L, 1845L, 1721L, 3977L, 373L, 
    1634L, 1316L, 2880L, 25L, 1227L, 58L, 795L, 0L, 265L, 62L, 
    1005L, 179L, 240L, 0L, 826L, 0L, 60L, 0L, 550L, 0L, 18L, 
    85L, 1005L, 0L, 86L, 32L, 464L, 211L, 1308L, 83L, 573L, 359L, 
    773L, 86L, 516L, 60L, 273L, 9L, 453L, 26L, 399L, 8L, 664L, 
    0L, 356L, 0L, 0L, 24L, 48L, 65L, 0L, 70L, 361L, 54L, 43L, 
    15L, 415L, 0L, 131L, 0L, 76L, 0L, 172L, 0L, 0L, 32L, 0L, 
    77L, 87L, 30L, 0L, 45L, 241L, 27L, 84L, 55L, 306L, 0L, 112L, 
    42L, 181L, 0L, 100L, 0L, 0L, 26L, 63L, 0L, 63L, 343L, 7L, 
    0L, 155L, 558L, 0L, 166L, 38L, 498L, 70L, 0L, 150L, 796L, 
    70L, 0L, 0L, 0L, 7L, 0L, 89L, 115L, 70L, 5L, 34L, 378L, 128L, 
    0L, 148L, 1291L, 39L, 25L, 262L, 458L, 123L, 0L, 120L, 18L, 
    38L, 0L, 16L, 35L, 204L, 0L, 93L, 150L, 905L, 32L, 21L, 651L, 
    558L, 32L, 50L, 360L, 713L, 33L, 90L, 0L, 114L, 0L, 0L, 88L, 
    273L, 0L, 62L, 74L, 429L, 0L, 100L, 243L, 664L, 0L, 120L, 
    702L, 848L, 0L, 148L, 0L, 39L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 
    135L, 0L, 0L, 0L, 34L, 0L, 28L, 28L, 340L, 0L, 10L, 0L, 0L, 
    28L, 51L, 0L, 39L, 31L, 54L, 0L, 51L, 0L, 0L, 0L, 109L, 0L, 
    0L, 0L, 188L, 0L, 105L, 21L, 53L, 396L, 505L, 254L, 171L, 
    53L, 657L, 126L, 183L, 13L, 406L, 59L, 0L, 0L, 98L, 0L, 0L, 
    0L, 0L, 234L, 104L, 1198L, 132L, 385L, 199L, 832L, 355L, 
    260L, 256L, 431L, 464L, 55L, 40L, 23L, 129L, 0L, 0L, 0L, 
    0L, 517L, 151L, 522L, 273L, 106L, 70L, 91L, 111L, 102L, 82L, 
    92L, 262L, 49L, 110L, 0L, 100L, 0L, 0L, 0L, 0L, 260L, 140L, 
    522L, 237L, 66L, 95L, 286L, 264L, 206L, 36L, 225L, 131L, 
    15L, 0L, 44L, 37L, 23L, 0L, 0L, 12L, 69L, 117L, 73L, 303L, 
    26L, 204L, 19L, 213L, 43L, 0L, 80L, 85L, 0L, 0L, 0L, 105L, 
    0L, 0L, 0L, 0L, 60L, 339L, 62L, 329L, 25L, 283L, 17L, 404L, 
    0L, 172L, 97L, 177L, 29L, 20L, 0L, 207L, 21L, 0L, 42L, 29L, 
    0L, 235L, 0L, 104L, 38L, 12L, 0L, 66L, 0L, 75L, 0L, 0L, 0L, 
    28L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 35L, 0L, 528L, 0L, 27L, 
    0L, 212L, 0L, 116L, 0L, 97L, 0L, 31L, 0L, 43L, 0L, 0L, 0L, 
    27L, 79L, 215L, 532L, 777L, 411L, 618L, 252L, 1236L, 243L, 
    159L, 200L, 1017L, 0L, 5L, 0L, 145L, 0L, 0L, 0L, 39L, 561L, 
    240L, 518L, 302L, 672L, 366L, 419L, 287L, 345L, 168L, 382L, 
    541L, 36L, 15L, 50L, 188L, 0L, 0L, 0L, 0L, 2170L, 128L, 388L, 
    614L, 571L, 420L, 337L, 853L, 594L, 139L, 131L, 19L, 93L, 
    0L, 0L, 133L, 73L, 28L, 0L, 0L, 1616L, 69L, 286L, 206L, 482L, 
    0L, 301L, 273L, 495L, 231L, 567L, 299L, 135L, 111L, 121L, 
    128L, 49L, 43L, 0L, 35L, 279L, 701L, 17L, 461L, 196L, 205L, 
    0L, 296L, 195L, 123L, 18L, 152L, 62L, 59L, 0L, 37L, 20L, 
    31L, 110L, 43L, 200L, 363L, 69L, 383L, 223L, 205L, 22L, 293L, 
    111L, 352L, 194L, 498L, 0L, 216L, 56L, 352L, 4L, 0L, 0L, 
    51L, 0L, 160L, 0L, 28L, 0L, 266L, 0L, 32L, 0L, 151L, 0L, 
    66L, 0L, 21L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 130L, 13L, 105L, 
    0L, 120L, 15L, 92L, 0L, 230L, 0L, 148L, 0L, 25L, 0L, 9L, 
    0L, 0L, 0L, 0L, 88L, 577L, 303L, 367L, 373L, 414L, 449L, 
    1402L, 493L, 304L, 223L, 577L, 141L, 90L, 0L, 300L, 15L, 
    0L, 0L, 20L, 270L, 207L, 514L, 204L, 297L, 150L, 676L, 646L, 
    507L, 415L, 450L, 353L, 111L, 180L, 25L, 225L, 0L, 74L, 0L, 
    51L, 1315L, 434L, 133L, 948L, 1010L, 395L, 133L, 218L, 1880L, 
    234L, 179L, 513L, 646L, 213L, 32L, 745L, 85L, 59L, 0L, 105L, 
    551L, 278L, 193L, 139L, 938L, 177L, 267L, 256L, 1917L, 340L, 
    194L, 228L, 610L, 119L, 130L, 139L, 228L, 39L, 147L, 213L, 
    440L, 286L, 0L, 86L, 201L, 656L, 113L, 158L, 401L, 617L, 
    0L, 258L, 357L, 240L, 25L, 88L, 27L, 162L, 0L, 0L, 331L, 
    511L, 156L, 195L, 324L, 620L, 124L, 225L, 394L, 545L, 95L, 
    321L, 190L, 109L, 53L, 156L, 16L, 58L, 0L, 248L, 50L, 90L, 
    0L, 76L, 197L, 512L, 0L, 31L, 0L, 23L, 0L, 15L, 0L, 57L, 
    0L, 0L, 0L, 126L, 0L, 0L, 0L, 178L, 32L, 68L, 0L, 121L, 0L, 
    164L, 0L, 98L, 0L, 122L, 0L, 69L, 109L, 102L, 0L, 0L, 270L, 
    113L, 79L, 102L, 139L, 408L, 109L, 150L, 147L, 439L, 103L, 
    89L, 74L, 385L, 0L, 88L, 34L, 361L, 0L, 28L, 0L, 0L, 67L, 
    31L, 67L, 95L, 99L, 12L, 70L, 415L, 282L, 211L, 115L, 546L, 
    245L, 135L, 21L, 57L, 8L, 34L, 0L, 86L, 148L, 340L, 140L, 
    238L, 546L, 121L, 156L, 236L, 797L, 172L, 52L, 233L, 745L, 
    380L, 43L, 121L, 354L, 25L, 0L, 47L, 190L, 42L, 0L, 0L, 355L, 
    46L, 84L, 345L, 1196L, 210L, 57L, 88L, 713L, 145L, 20L, 99L, 
    296L, 134L, 0L, 52L, 0L, 84L, 19L, 0L, 310L, 529L, 0L, 264L, 
    274L, 427L, 0L, 231L, 269L, 823L, 0L, 130L, 349L, 499L, 32L, 
    20L, 32L, 217L, 26L, 49L, 139L, 620L, 46L, 110L, 118L, 577L, 
    19L, 131L, 358L, 402L, 0L, 83L, 120L, 157L, 0L, 34L, 19L, 
    5L, 0L, 63L, 0L, 92L, 0L, 0L, 0L, 79L, 0L, 0L, 0L, 86L, 0L, 
    15L, 0L, 109L, 0L, 23L, 20L, 21L, 122L, 0L, 0L, 13L, 0L, 
    130L, 0L, 72L, 69L, 122L, 0L, 25L, 0L, 0L, 0L, 150L, 0L, 
    0L, 0L, 0L, 0L, 3L, 0L, 0L, 82L, 133L, 6L, 0L, 77L, 69L, 
    0L, 0L, 11L, 84L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 0L, 0L, 0L, 
    39L, 40L, 0L, 0L, 34L, 40L, 0L, 23L, 0L, 33L, 0L, 0L, 0L, 
    48L, 0L, 0L, 34L, 38L, 0L, 0L, 115L, 0L, 158L, 28L, 26L, 
    0L, 136L, 0L, 9L, 44L, 139L, 88L, 0L, 0L, 0L, 0L, 44L, 24L, 
    19L, 0L, 0L, 0L, 44L, 0L, 0L, 94L, 206L, 0L, 0L, 28L, 144L, 
    117L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 123L, 0L, 45L, 34L, 116L, 
    0L, 0L, 193L, 180L, 0L, 36L, 34L, 112L, 29L, 28L, 0L, 0L, 
    0L, 0L, 0L, 73L, 0L, 0L, 37L, 71L, 23L, 0L, 172L, 206L, 25L, 
    88L, 185L, 173L, 25L, 119L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 36L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 30L, 76L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 32L, 25L, 158L, 125L, 38L, 192L, 2380L, 
    301L, 453L, 93L, 4306L, 7L, 72L, 0L, 1025L, 0L, 0L, 0L, 43L, 
    37L, 14L, 54L, 211L, 67L, 108L, 532L, 649L, 290L, 322L, 999L, 
    5978L, 0L, 151L, 64L, 787L, 5L, 0L, 21L, 51L, 59L, 26L, 62L, 
    252L, 67L, 53L, 0L, 896L, 281L, 23L, 232L, 348L, 8L, 0L, 
    49L, 440L, 0L, 0L, 0L, 148L, 18L, 41L, 71L, 343L, 240L, 96L, 
    255L, 282L, 362L, 93L, 491L, 555L, 52L, 29L, 69L, 24L, 0L, 
    0L, 0L, 10L, 62L, 236L, 38L, 720L, 152L, 606L, 34L, 1629L, 
    208L, 290L, 71L, 1292L, 34L, 195L, 0L, 317L, 6L, 16L, 0L, 
    81L, 11L, 241L, 71L, 915L, 187L, 666L, 111L, 1871L, 108L, 
    463L, 203L, 2021L, 113L, 32L, 15L, 587L, 0L, 168L, 0L, 127L, 
    0L, 2339L, 67L, 2004L, 0L, 1359L, 0L, 1233L, 0L, 509L, 0L, 
    472L, 0L, 171L, 0L, 69L, 0L, 93L, 0L, 106L, 0L, 1510L, 0L, 
    5793L, 0L, 1808L, 0L, 5333L, 0L, 738L, 0L, 2676L, 0L, 133L, 
    0L, 428L, 0L, 0L, 0L, 77L, 17L, 21L, 151L, 223L, 533L, 113L, 
    513L, 1781L, 1078L, 699L, 320L, 2934L, 255L, 439L, 0L, 1364L, 
    27L, 0L, 0L, 149L, 251L, 0L, 371L, 151L, 892L, 51L, 748L, 
    905L, 722L, 458L, 735L, 2241L, 232L, 521L, 80L, 1834L, 13L, 
    72L, 0L, 157L, 224L, 33L, 144L, 223L, 1135L, 120L, 288L, 
    1325L, 1415L, 425L, 415L, 1808L, 649L, 67L, 40L, 920L, 62L, 
    10L, 0L, 148L, 54L, 5L, 39L, 51L, 893L, 261L, 570L, 539L, 
    1317L, 543L, 1422L, 1157L, 919L, 79L, 252L, 625L, 298L, 44L, 
    0L, 56L, 147L, 665L, 88L, 564L, 650L, 2904L, 248L, 1844L, 
    744L, 1481L, 87L, 1515L, 214L, 785L, 84L, 819L, 93L, 124L, 
    0L, 200L, 45L, 554L, 0L, 281L, 410L, 2973L, 176L, 1308L, 
    743L, 2296L, 663L, 1608L, 216L, 687L, 29L, 1109L, 23L, 203L, 
    63L, 409L, 29L, 3939L, 64L, 989L, 3L, 3516L, 0L, 1037L, 0L, 
    1152L, 0L, 502L, 0L, 505L, 0L, 135L, 0L, 287L, 0L, 100L, 
    0L, 1725L, 64L, 945L, 29L, 3172L, 0L, 2201L, 0L, 2106L, 6L, 
    1657L, 0L, 359L, 0L, 529L, 0L, 169L, 0L, 215L, 62L, 26L, 
    339L, 602L, 601L, 1055L, 1577L, 3112L, 1256L, 1337L, 753L, 
    4752L, 776L, 541L, 0L, 2829L, 50L, 56L, 0L, 137L, 89L, 251L, 
    295L, 362L, 799L, 554L, 954L, 1006L, 2145L, 736L, 1404L, 
    1843L, 940L, 1070L, 153L, 1391L, 179L, 276L, 0L, 100L, 775L, 
    136L, 274L, 244L, 3773L, 479L, 255L, 1735L, 6262L, 1184L, 
    293L, 1423L, 2700L, 429L, 116L, 936L, 828L, 169L, 0L, 222L, 
    211L, 26L, 13L, 5L, 2843L, 854L, 281L, 708L, 6467L, 658L, 
    771L, 629L, 2968L, 509L, 183L, 1051L, 675L, 65L, 48L, 317L, 
    58L, 1093L, 0L, 304L, 1988L, 6307L, 283L, 1579L, 2239L, 6126L, 
    220L, 1803L, 1061L, 2664L, 107L, 1081L, 389L, 849L, 46L, 
    219L, 57L, 568L, 0L, 197L, 1075L, 6416L, 61L, 873L, 2033L, 
    7773L, 239L, 1463L, 565L, 2446L, 434L, 1071L, 474L, 905L, 
    124L, 734L, 14L, 2069L, 0L, 159L, 0L, 2928L, 0L, 236L, 8L, 
    1463L, 0L, 386L, 0L, 994L, 0L, 147L, 0L, 513L, 0L, 141L, 
    16L, 961L, 77L, 701L, 0L, 2547L, 18L, 1228L, 0L, 1762L, 83L, 
    526L, 0L, 617L, 0L, 500L, 0L, 91L, 0L, 274L, 5L, 0L, 233L, 
    440L, 54L, 208L, 846L, 2132L, 360L, 366L, 305L, 1974L, 242L, 
    438L, 287L, 773L, 0L, 165L, 0L, 53L, 33L, 0L, 125L, 372L, 
    205L, 137L, 755L, 507L, 306L, 502L, 667L, 981L, 713L, 459L, 
    157L, 304L, 322L, 214L, 0L, 70L, 115L, 47L, 0L, 123L, 1839L, 
    418L, 94L, 737L, 3667L, 883L, 161L, 455L, 3852L, 328L, 11L, 
    722L, 1063L, 303L, 0L, 124L, 307L, 52L, 0L, 3L, 1247L, 159L, 
    137L, 323L, 4781L, 996L, 68L, 314L, 4314L, 614L, 191L, 256L, 
    1120L, 278L, 37L, 0L, 161L, 366L, 191L, 48L, 1581L, 2921L, 
    61L, 714L, 1584L, 4859L, 26L, 261L, 2155L, 4283L, 106L, 450L, 
    822L, 2108L, 0L, 239L, 24L, 141L, 0L, 0L, 649L, 2933L, 84L, 
    277L, 1572L, 5569L, 26L, 228L, 1349L, 4409L, 46L, 297L, 536L, 
    1503L, 0L, 422L, 0L, 664L, 3L, 318L, 0L, 789L, 3L, 240L, 
    52L, 796L, 37L, 124L, 13L, 340L, 0L, 137L, 0L, 654L, 0L, 
    99L, 0L, 396L, 2L, 213L, 0L, 511L, 0L, 197L, 0L, 915L, 36L, 
    214L, 0L, 362L, 0L, 164L, 0L, 196L, 0L, 104L, 0L, 0L, 239L, 
    8L, 0L, 0L, 125L, 118L, 44L, 30L, 31L, 457L, 0L, 0L, 19L, 
    71L, 0L, 34L, 0L, 43L, 88L, 0L, 18L, 19L, 13L, 0L, 46L, 55L, 
    16L, 33L, 74L, 114L, 38L, 0L, 16L, 43L, 0L, 32L, 0L, 0L, 
    41L, 13L, 83L, 22L, 146L, 56L, 0L, 131L, 242L, 103L, 0L, 
    0L, 204L, 53L, 0L, 107L, 276L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    114L, 39L, 0L, 29L, 334L, 88L, 133L, 0L, 610L, 122L, 0L, 
    16L, 143L, 193L, 0L, 50L, 0L, 103L, 0L, 78L, 99L, 375L, 0L, 
    34L, 288L, 840L, 48L, 170L, 338L, 1126L, 34L, 10L, 717L, 
    875L, 0L, 53L, 0L, 14L, 0L, 13L, 136L, 609L, 39L, 15L, 211L, 
    1009L, 0L, 23L, 242L, 1057L, 8L, 0L, 486L, 494L, 0L, 0L, 
    8L, 50L, 0L, 18L, 0L, 224L, 0L, 0L, 0L, 176L, 0L, 22L, 0L, 
    281L, 0L, 13L, 51L, 239L, 0L, 0L, 2L, 89L, 0L, 3L, 0L, 268L, 
    0L, 0L, 0L, 310L, 44L, 0L, 0L, 111L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 95L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 75L, 58L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    2L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 437L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 316L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 168L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 58L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 42L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 18L, 0L, 0L, 
    0L, 11L, 0L, 0L, 58L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 98L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 0L, 
    0L, 37L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 87L, 0L, 
    0L, 0L, 0L, 79L, 78L, 0L, 0L, 69L, 0L, 0L, 0L, 55L, 0L, 0L, 
    0L, 0L, 0L, 0L, 85L, 0L, 0L, 0L, 0L, 527L, 0L, 0L, 216L, 
    234L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 50L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 149L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 30L, 0L, 19L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 
    0L, 0L, 61L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 
    0L, 81L, 0L, 90L, 0L, 13L, 214L, 0L, 0L, 0L, 0L, 0L, 94L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 13L, 0L, 
    0L, 0L, 0L, 144L, 0L, 0L, 63L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 19L, 20L, 0L, 0L, 0L, 0L, 0L, 155L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 13L, 19L, 34L, 0L, 0L, 0L, 0L, 0L, 
    19L, 0L, 89L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 142L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 0L, 
    0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 16L, 0L, 35L, 0L, 0L, 0L, 64L, 0L, 25L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 17L, 
    0L, 47L, 0L, 112L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 93L, 0L, 0L, 48L, 329L, 180L, 57L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 42L, 68L, 0L, 72L, 0L, 0L, 58L, 0L, 
    0L, 73L, 0L, 23L, 0L, 0L, 66L, 0L, 120L, 0L, 0L, 0L, 49L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 77L, 45L, 0L, 0L, 0L, 162L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 48L, 79L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 
    0L, 0L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 
    0L, 8L, 0L, 88L, 0L, 0L, 0L, 0L, 0L, 0L, 147L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 118L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 83L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 0L, 
    0L, 0L, 0L, 69L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 0L, 26L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 5L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 73L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 3342L, 771L, 
    6221L, 8959L, 4019L, 1993L, 5939L, 16654L, 1184L, 830L, 1918L, 
    26040L, 455L, 968L, 220L, 5392L, 114L, 142L, 0L, 1018L, 3184L, 
    791L, 10380L, 6707L, 6203L, 1317L, 18679L, 14250L, 3440L, 
    1752L, 11208L, 29263L, 751L, 1021L, 865L, 8238L, 132L, 215L, 
    189L, 1067L, 4996L, 2232L, 3016L, 7049L, 7478L, 2004L, 3682L, 
    17418L, 3245L, 1429L, 2009L, 8795L, 882L, 236L, 245L, 2638L, 
    428L, 68L, 53L, 645L, 3704L, 1555L, 7444L, 6554L, 7452L, 
    3129L, 16614L, 10074L, 5450L, 1127L, 12957L, 8220L, 1398L, 
    353L, 1090L, 2320L, 578L, 118L, 411L, 681L, 2141L, 9377L, 
    1522L, 17445L, 3159L, 12589L, 1314L, 30157L, 1124L, 5271L, 
    673L, 15111L, 618L, 1823L, 361L, 5465L, 131L, 749L, 57L, 
    1800L, 1302L, 9170L, 1968L, 23546L, 1817L, 16617L, 3007L, 
    40239L, 744L, 6091L, 3266L, 21917L, 494L, 1299L, 613L, 5012L, 
    183L, 645L, 346L, 2421L, 63L, 15766L, 341L, 19550L, 64L, 
    14086L, 30L, 17856L, 65L, 4576L, 0L, 6829L, 0L, 1782L, 0L, 
    2466L, 0L, 888L, 0L, 1107L, 25L, 12422L, 425L, 66935L, 0L, 
    16281L, 67L, 94690L, 0L, 4152L, 26L, 25962L, 0L, 1291L, 0L, 
    5477L, 0L, 575L, 0L, 3365L, 4844L, 1486L, 6891L, 12724L, 
    12955L, 5343L, 11802L, 29393L, 5896L, 3227L, 5392L, 32751L, 
    964L, 2220L, 262L, 10717L, 188L, 489L, 63L, 1021L, 6018L, 
    1299L, 6507L, 6803L, 13927L, 3216L, 13866L, 18244L, 11144L, 
    4829L, 13061L, 25970L, 1596L, 3294L, 1163L, 12409L, 166L, 
    642L, 457L, 2583L, 8750L, 2596L, 3182L, 9515L, 25551L, 7417L, 
    9878L, 32085L, 13755L, 3277L, 3994L, 17517L, 4496L, 975L, 
    341L, 6475L, 1329L, 252L, 239L, 1484L, 6432L, 2876L, 3923L, 
    5073L, 24064L, 6496L, 17544L, 14168L, 17146L, 2647L, 17034L, 
    14396L, 4887L, 1171L, 3356L, 7680L, 769L, 315L, 758L, 2239L, 
    3286L, 16957L, 1099L, 12282L, 9441L, 40025L, 3771L, 41440L, 
    4335L, 17497L, 1399L, 21969L, 1680L, 5430L, 271L, 8150L, 
    631L, 2387L, 199L, 2855L, 1697L, 17684L, 1194L, 13301L, 5344L, 
    55658L, 4778L, 48438L, 3787L, 18880L, 5697L, 33636L, 1254L, 
    5031L, 1252L, 9383L, 384L, 1863L, 575L, 4817L, 176L, 42059L, 
    114L, 13173L, 117L, 63814L, 124L, 17991L, 22L, 24745L, 0L, 
    9048L, 0L, 9534L, 0L, 4283L, 0L, 4673L, 0L, 2047L, 62L, 30454L, 
    570L, 26554L, 0L, 69287L, 451L, 54798L, 0L, 18392L, 41L, 
    23329L, 0L, 5297L, 0L, 9091L, 0L, 2048L, 0L, 5112L, 3095L, 
    1270L, 10048L, 14957L, 14889L, 9584L, 18630L, 49339L, 12376L, 
    9225L, 9783L, 39463L, 5416L, 7860L, 857L, 16840L, 759L, 1657L, 
    372L, 2272L, 2758L, 892L, 6997L, 7921L, 16083L, 6286L, 15272L, 
    26216L, 22605L, 12523L, 14804L, 36019L, 7720L, 10941L, 2174L, 
    17410L, 1771L, 2764L, 279L, 3540L, 12087L, 4531L, 2862L, 
    5791L, 75557L, 22464L, 13480L, 40742L, 56812L, 14502L, 7601L, 
    27991L, 27359L, 6908L, 1652L, 16525L, 9430L, 2312L, 588L, 
    4728L, 8786L, 4184L, 2051L, 3714L, 69994L, 20585L, 12206L, 
    19257L, 67449L, 15738L, 13565L, 19054L, 31604L, 6339L, 5809L, 
    13588L, 9949L, 2507L, 2314L, 7254L, 4761L, 22919L, 1274L, 
    10011L, 33414L, 107364L, 4412L, 42819L, 23600L, 60674L, 2729L, 
    25389L, 9173L, 21378L, 1088L, 12381L, 4616L, 10217L, 349L, 
    6806L, 3175L, 20968L, 1759L, 7154L, 21343L, 128676L, 5664L, 
    38030L, 16326L, 64612L, 5701L, 33996L, 7617L, 18308L, 2917L, 
    18017L, 2876L, 10646L, 2505L, 14329L, 261L, 24362L, 369L, 
    6277L, 325L, 53920L, 348L, 9439L, 308L, 29174L, 28L, 4900L, 
    242L, 18123L, 0L, 3952L, 70L, 12917L, 0L, 2410L, 100L, 14097L, 
    1014L, 14371L, 252L, 53013L, 2596L, 25799L, 22L, 22766L, 
    395L, 11032L, 0L, 11140L, 143L, 5920L, 247L, 5944L, 0L, 4378L, 
    1138L, 392L, 8959L, 10308L, 3266L, 3506L, 16093L, 40245L, 
    3977L, 4305L, 17029L, 42892L, 4091L, 6579L, 2088L, 16309L, 
    1256L, 1931L, 190L, 2048L, 519L, 383L, 5073L, 6092L, 3842L, 
    2311L, 12043L, 20364L, 7454L, 5684L, 16879L, 32352L, 7690L, 
    9310L, 2229L, 17478L, 3299L, 4242L, 423L, 2648L, 4213L, 1888L, 
    823L, 3694L, 42343L, 12210L, 4429L, 17813L, 54101L, 15153L, 
    3110L, 13043L, 52449L, 13533L, 1503L, 12914L, 28518L, 5139L, 
    603L, 4388L, 2877L, 1808L, 638L, 1672L, 37446L, 13585L, 3449L, 
    8665L, 64904L, 16424L, 3845L, 9249L, 62949L, 12991L, 2879L, 
    8943L, 32788L, 7037L, 1557L, 4618L, 3056L, 11056L, 446L, 
    2696L, 27287L, 81430L, 1881L, 16357L, 31464L, 75552L, 1546L, 
    12425L, 28978L, 50336L, 1213L, 9814L, 19243L, 33414L, 749L, 
    7366L, 1634L, 8255L, 668L, 2054L, 19399L, 92466L, 2180L, 
    12391L, 26077L, 82620L, 2230L, 12297L, 21324L, 43014L, 1798L, 
    10561L, 12560L, 29988L, 1621L, 9152L, 143L, 5121L, 541L, 
    2291L, 634L, 14561L, 558L, 3435L, 214L, 12166L, 308L, 1743L, 
    116L, 11433L, 66L, 1747L, 288L, 13489L, 118L, 2449L, 102L, 
    3466L, 1053L, 6127L, 317L, 14498L, 2533L, 11673L, 106L, 9424L, 
    567L, 4236L, 19L, 7652L, 295L, 2697L, 0L, 4310L, 74L, 2513L, 
    230L, 126L, 1141L, 2288L, 291L, 338L, 3572L, 5729L, 233L, 
    407L, 4040L, 9105L, 369L, 670L, 781L, 4016L, 56L, 294L, 76L, 
    615L, 264L, 0L, 1362L, 1439L, 561L, 360L, 2117L, 3547L, 440L, 
    517L, 3943L, 7674L, 354L, 1205L, 1380L, 4268L, 304L, 682L, 
    37L, 385L, 414L, 56L, 0L, 626L, 2547L, 828L, 409L, 1779L, 
    4512L, 1500L, 284L, 1457L, 16350L, 3109L, 615L, 2606L, 12769L, 
    2465L, 121L, 1510L, 463L, 188L, 118L, 214L, 3552L, 948L, 
    178L, 1307L, 8811L, 2289L, 452L, 1078L, 19285L, 3011L, 539L, 
    1514L, 11637L, 2675L, 550L, 822L, 414L, 1028L, 38L, 280L, 
    2955L, 7780L, 556L, 1576L, 5176L, 13235L, 106L, 1914L, 13088L, 
    19257L, 416L, 2959L, 15140L, 24576L, 690L, 2921L, 380L, 938L, 
    0L, 211L, 2960L, 12564L, 113L, 1205L, 5751L, 16917L, 511L, 
    924L, 11167L, 20139L, 265L, 1702L, 7959L, 17101L, 369L, 2373L, 
    0L, 1014L, 56L, 314L, 95L, 2830L, 167L, 1127L, 0L, 3785L, 
    0L, 461L, 130L, 5673L, 64L, 765L, 186L, 7415L, 0L, 1274L, 
    0L, 806L, 48L, 796L, 57L, 4773L, 571L, 1728L, 21L, 4136L, 
    147L, 1056L, 0L, 4609L, 88L, 1079L, 0L, 1932L, 54L, 706L, 
    697L, 231L, 2636L, 3983L, 894L, 292L, 3090L, 6400L, 124L, 
    75L, 1313L, 4165L, 52L, 138L, 87L, 690L, 0L, 0L, 25L, 0L, 
    305L, 156L, 7505L, 4757L, 567L, 295L, 10905L, 4596L, 740L, 
    406L, 8888L, 4692L, 19L, 0L, 672L, 811L, 27L, 0L, 0L, 218L, 
    1275L, 181L, 1245L, 3644L, 1684L, 418L, 1942L, 6423L, 598L, 
    204L, 596L, 2319L, 123L, 68L, 39L, 304L, 62L, 0L, 0L, 53L, 
    935L, 344L, 5566L, 3331L, 1613L, 480L, 10444L, 4263L, 1000L, 
    318L, 8682L, 2595L, 149L, 33L, 697L, 351L, 0L, 0L, 37L, 160L, 
    270L, 1346L, 515L, 6601L, 249L, 1355L, 528L, 9033L, 307L, 
    627L, 238L, 4792L, 113L, 154L, 23L, 1181L, 121L, 61L, 0L, 
    337L, 210L, 1813L, 2348L, 10330L, 212L, 1504L, 2474L, 10614L, 
    200L, 1075L, 1585L, 7747L, 23L, 171L, 83L, 1020L, 0L, 29L, 
    27L, 384L, 19L, 1906L, 122L, 5626L, 22L, 1404L, 61L, 2904L, 
    0L, 758L, 0L, 731L, 0L, 76L, 0L, 245L, 0L, 150L, 0L, 66L, 
    0L, 1606L, 40L, 12799L, 0L, 1301L, 93L, 8807L, 0L, 295L, 
    0L, 3927L, 0L, 104L, 0L, 399L, 0L, 119L, 0L, 411L, 500L, 
    170L, 2995L, 3794L, 738L, 383L, 3642L, 7429L, 473L, 277L, 
    1817L, 3732L, 74L, 40L, 0L, 1499L, 0L, 0L, 0L, 90L, 226L, 
    101L, 2323L, 1955L, 706L, 179L, 5791L, 4674L, 646L, 150L, 
    5065L, 4699L, 146L, 140L, 541L, 1792L, 75L, 0L, 18L, 346L, 
    983L, 140L, 681L, 2463L, 2956L, 966L, 2551L, 6023L, 2289L, 
    318L, 1578L, 4136L, 258L, 91L, 291L, 1464L, 80L, 0L, 0L, 
    242L, 464L, 410L, 1861L, 1145L, 2480L, 516L, 7714L, 4252L, 
    2674L, 394L, 8420L, 4677L, 275L, 192L, 1223L, 1530L, 83L, 
    25L, 448L, 844L, 367L, 1332L, 363L, 3236L, 961L, 3983L, 296L, 
    7821L, 637L, 1689L, 195L, 3857L, 112L, 583L, 92L, 1421L, 
    98L, 153L, 0L, 130L, 231L, 1418L, 321L, 3895L, 342L, 4175L, 
    1571L, 10569L, 409L, 2656L, 2539L, 8978L, 61L, 583L, 422L, 
    1643L, 51L, 107L, 96L, 774L, 144L, 3089L, 59L, 3234L, 27L, 
    2505L, 96L, 1953L, 47L, 1358L, 0L, 1336L, 0L, 335L, 0L, 202L, 
    0L, 196L, 0L, 74L, 0L, 1869L, 195L, 4603L, 24L, 2449L, 316L, 
    4704L, 0L, 914L, 251L, 2768L, 0L, 295L, 120L, 786L, 0L, 178L, 
    0L, 345L, 328L, 116L, 1746L, 4543L, 1003L, 879L, 2833L, 6949L, 
    1149L, 249L, 1288L, 4625L, 416L, 277L, 178L, 1471L, 61L, 
    44L, 0L, 434L, 55L, 35L, 510L, 1225L, 823L, 380L, 2440L, 
    4130L, 1622L, 519L, 1498L, 4800L, 497L, 220L, 188L, 1434L, 
    123L, 86L, 133L, 391L, 958L, 551L, 460L, 1328L, 4802L, 1423L, 
    2127L, 6333L, 5400L, 1003L, 1421L, 3818L, 1903L, 486L, 407L, 
    1556L, 393L, 214L, 79L, 743L, 492L, 407L, 313L, 916L, 3838L, 
    1312L, 2192L, 2946L, 5828L, 1351L, 3108L, 3765L, 1936L, 636L, 
    1487L, 2245L, 547L, 47L, 772L, 867L, 693L, 1932L, 276L, 1678L, 
    2080L, 6735L, 533L, 6340L, 2181L, 4210L, 395L, 5166L, 454L, 
    839L, 94L, 1525L, 565L, 436L, 137L, 951L, 348L, 1846L, 415L, 
    2165L, 1290L, 5648L, 780L, 5954L, 1282L, 6770L, 1681L, 7675L, 
    317L, 1539L, 506L, 2770L, 428L, 412L, 556L, 1546L, 77L, 2843L, 
    135L, 998L, 25L, 2337L, 224L, 978L, 0L, 1780L, 0L, 495L, 
    0L, 561L, 0L, 222L, 0L, 241L, 0L, 66L, 0L, 1137L, 86L, 2192L, 
    0L, 2066L, 250L, 2519L, 32L, 1191L, 89L, 1753L, 0L, 287L, 
    0L, 603L, 0L, 189L, 0L, 201L, 123L, 38L, 1198L, 1400L, 101L, 
    245L, 1241L, 3529L, 26L, 178L, 782L, 3873L, 109L, 197L, 38L, 
    599L, 68L, 94L, 0L, 180L, 0L, 40L, 523L, 645L, 209L, 198L, 
    529L, 1282L, 328L, 223L, 1216L, 2659L, 182L, 132L, 156L, 
    984L, 0L, 149L, 34L, 82L, 228L, 266L, 28L, 604L, 2752L, 412L, 
    642L, 2837L, 4192L, 956L, 622L, 1553L, 2762L, 436L, 181L, 
    860L, 1011L, 280L, 104L, 198L, 143L, 38L, 171L, 377L, 782L, 
    541L, 635L, 1240L, 4593L, 837L, 1008L, 1633L, 2763L, 590L, 
    196L, 1062L, 1596L, 188L, 94L, 375L, 411L, 626L, 146L, 573L, 
    1438L, 4779L, 223L, 1611L, 2298L, 4932L, 83L, 872L, 1193L, 
    2522L, 77L, 831L, 1211L, 1311L, 96L, 283L, 102L, 926L, 86L, 
    815L, 350L, 4521L, 367L, 1533L, 1239L, 4294L, 553L, 1976L, 
    998L, 1986L, 375L, 1292L, 804L, 2150L, 105L, 1484L, 63L, 
    674L, 31L, 553L, 43L, 1015L, 0L, 305L, 0L, 1138L, 0L, 145L, 
    0L, 519L, 0L, 0L, 0L, 330L, 0L, 32L, 0L, 484L, 127L, 1105L, 
    0L, 767L, 28L, 1218L, 0L, 272L, 39L, 743L, 21L, 242L, 0L, 
    441L, 0L, 290L, 0L, 137L, 0L, 0L, 0L, 57L, 0L, 0L, 93L, 542L, 
    0L, 111L, 113L, 879L, 0L, 29L, 39L, 285L, 0L, 0L, 0L, 164L, 
    0L, 0L, 0L, 137L, 86L, 0L, 37L, 166L, 0L, 0L, 167L, 383L, 
    33L, 71L, 97L, 268L, 17L, 24L, 0L, 68L, 26L, 0L, 0L, 117L, 
    0L, 0L, 0L, 177L, 169L, 43L, 0L, 209L, 594L, 126L, 0L, 13L, 
    235L, 123L, 0L, 166L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 100L, 105L, 
    234L, 24L, 315L, 582L, 85L, 146L, 341L, 297L, 120L, 34L, 
    35L, 0L, 142L, 0L, 41L, 191L, 572L, 27L, 307L, 323L, 586L, 
    23L, 478L, 229L, 773L, 0L, 120L, 391L, 665L, 0L, 112L, 0L, 
    0L, 0L, 72L, 0L, 490L, 0L, 23L, 129L, 359L, 0L, 247L, 183L, 
    933L, 0L, 0L, 400L, 646L, 24L, 137L, 0L, 42L, 0L, 32L, 0L, 
    61L, 0L, 46L, 0L, 56L, 0L, 0L, 0L, 41L, 0L, 40L, 0L, 222L, 
    0L, 0L, 0L, 21L, 0L, 99L, 0L, 100L, 23L, 139L, 0L, 66L, 67L, 
    31L, 0L, 0L, 0L, 9L, 0L, 49L, 0L, 48L, 259L, 27L, 595L, 384L, 
    151L, 23L, 334L, 940L, 0L, 28L, 95L, 644L, 11L, 24L, 11L, 
    182L, 60L, 0L, 0L, 58L, 305L, 11L, 1149L, 515L, 282L, 129L, 
    760L, 394L, 89L, 15L, 807L, 599L, 0L, 14L, 0L, 232L, 101L, 
    0L, 0L, 128L, 254L, 0L, 125L, 881L, 517L, 99L, 9L, 581L, 
    114L, 0L, 121L, 414L, 71L, 82L, 0L, 14L, 0L, 0L, 0L, 26L, 
    212L, 124L, 538L, 306L, 203L, 55L, 797L, 745L, 188L, 21L, 
    458L, 192L, 0L, 0L, 64L, 69L, 0L, 0L, 0L, 161L, 151L, 306L, 
    50L, 567L, 0L, 198L, 23L, 137L, 28L, 172L, 0L, 246L, 0L, 
    177L, 107L, 36L, 0L, 0L, 0L, 272L, 232L, 493L, 163L, 1262L, 
    4L, 171L, 121L, 697L, 0L, 175L, 177L, 363L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 118L, 0L, 427L, 0L, 414L, 0L, 90L, 0L, 137L, 
    0L, 129L, 0L, 29L, 0L, 0L, 0L, 156L, 0L, 0L, 0L, 17L, 0L, 
    255L, 0L, 1468L, 0L, 53L, 0L, 865L, 0L, 0L, 0L, 272L, 0L, 
    143L, 0L, 61L, 0L, 0L, 0L, 116L, 389L, 124L, 606L, 922L, 
    343L, 161L, 529L, 723L, 145L, 7L, 206L, 880L, 0L, 17L, 21L, 
    209L, 0L, 28L, 0L, 0L, 376L, 0L, 517L, 299L, 498L, 37L, 423L, 
    531L, 441L, 277L, 339L, 619L, 6L, 63L, 0L, 102L, 34L, 24L, 
    26L, 78L, 656L, 62L, 195L, 376L, 538L, 196L, 391L, 591L, 
    244L, 47L, 151L, 393L, 230L, 32L, 0L, 115L, 37L, 0L, 0L, 
    121L, 428L, 65L, 315L, 212L, 717L, 225L, 444L, 55L, 549L, 
    184L, 1177L, 615L, 280L, 28L, 140L, 97L, 51L, 0L, 28L, 68L, 
    302L, 578L, 51L, 654L, 270L, 436L, 37L, 352L, 52L, 234L, 
    0L, 251L, 38L, 50L, 0L, 16L, 0L, 79L, 0L, 54L, 33L, 661L, 
    192L, 475L, 68L, 454L, 118L, 563L, 88L, 321L, 101L, 505L, 
    0L, 0L, 0L, 152L, 0L, 0L, 0L, 0L, 0L, 802L, 14L, 217L, 0L, 
    315L, 0L, 24L, 0L, 63L, 29L, 36L, 0L, 57L, 0L, 0L, 0L, 77L, 
    0L, 15L, 0L, 524L, 0L, 404L, 0L, 290L, 0L, 149L, 0L, 34L, 
    0L, 80L, 0L, 95L, 0L, 33L, 0L, 0L, 0L, 82L, 161L, 34L, 565L, 
    561L, 273L, 59L, 361L, 917L, 515L, 166L, 229L, 678L, 0L, 
    96L, 0L, 111L, 0L, 0L, 0L, 0L, 118L, 81L, 256L, 201L, 649L, 
    198L, 393L, 918L, 411L, 112L, 326L, 641L, 173L, 73L, 13L, 
    177L, 33L, 45L, 0L, 38L, 430L, 108L, 259L, 182L, 1440L, 262L, 
    614L, 1070L, 676L, 436L, 70L, 696L, 295L, 46L, 26L, 18L, 
    331L, 95L, 0L, 79L, 320L, 76L, 291L, 32L, 1082L, 269L, 267L, 
    629L, 1624L, 194L, 418L, 334L, 599L, 61L, 70L, 141L, 106L, 
    20L, 0L, 88L, 433L, 573L, 86L, 144L, 334L, 535L, 228L, 566L, 
    188L, 712L, 0L, 375L, 135L, 177L, 0L, 58L, 111L, 103L, 57L, 
    2L, 224L, 429L, 26L, 460L, 98L, 1181L, 183L, 463L, 327L, 
    541L, 124L, 678L, 189L, 60L, 107L, 204L, 103L, 90L, 54L, 
    134L, 32L, 144L, 137L, 162L, 14L, 231L, 0L, 43L, 0L, 146L, 
    0L, 30L, 0L, 69L, 0L, 32L, 0L, 100L, 0L, 0L, 0L, 61L, 0L, 
    197L, 0L, 136L, 0L, 234L, 0L, 57L, 0L, 62L, 0L, 27L, 0L, 
    0L, 0L, 0L, 0L, 31L, 139L, 26L, 136L, 360L, 199L, 91L, 365L, 
    1104L, 0L, 114L, 81L, 914L, 122L, 103L, 0L, 157L, 0L, 18L, 
    0L, 0L, 45L, 177L, 161L, 280L, 122L, 81L, 504L, 866L, 215L, 
    39L, 268L, 710L, 15L, 166L, 55L, 212L, 0L, 39L, 0L, 50L, 
    156L, 29L, 65L, 94L, 564L, 150L, 127L, 730L, 824L, 433L, 
    36L, 604L, 401L, 113L, 25L, 261L, 604L, 113L, 77L, 0L, 147L, 
    6L, 0L, 23L, 486L, 217L, 73L, 189L, 1266L, 364L, 73L, 423L, 
    548L, 229L, 11L, 218L, 317L, 48L, 89L, 126L, 16L, 253L, 134L, 
    77L, 278L, 966L, 42L, 182L, 517L, 632L, 125L, 152L, 364L, 
    424L, 45L, 200L, 280L, 290L, 0L, 87L, 61L, 281L, 35L, 77L, 
    161L, 971L, 45L, 238L, 485L, 521L, 0L, 233L, 110L, 223L, 
    54L, 0L, 110L, 280L, 0L, 46L, 0L, 94L, 0L, 155L, 39L, 92L, 
    0L, 43L, 0L, 19L, 52L, 21L, 0L, 191L, 0L, 0L, 0L, 165L, 0L, 
    12L, 0L, 163L, 115L, 136L, 0L, 51L, 30L, 114L, 0L, 72L, 0L, 
    66L, 0L, 0L, 50L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 47L, 0L, 
    25L, 26L, 44L, 0L, 0L, 0L, 105L, 0L, 0L, 0L, 31L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 0L, 0L, 3L, 0L, 19L, 65L, 
    0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 31L, 207L, 
    0L, 0L, 33L, 95L, 0L, 25L, 22L, 86L, 25L, 0L, 139L, 56L, 
    109L, 0L, 0L, 50L, 0L, 0L, 10L, 29L, 34L, 0L, 44L, 50L, 85L, 
    0L, 31L, 216L, 19L, 19L, 96L, 114L, 24L, 0L, 0L, 0L, 43L, 
    0L, 0L, 0L, 47L, 0L, 0L, 33L, 42L, 0L, 25L, 0L, 56L, 0L, 
    0L, 47L, 176L, 0L, 55L, 5L, 57L, 14L, 0L, 0L, 6L, 0L, 29L, 
    76L, 13L, 0L, 23L, 22L, 65L, 0L, 0L, 25L, 149L, 61L, 81L, 
    24L, 26L, 0L, 22L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 33L, 0L, 
    0L, 0L, 0L, 0L, 84L, 0L, 34L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1177L, 
    241L, 2359L, 3691L, 1489L, 643L, 1364L, 6586L, 1100L, 961L, 
    706L, 8646L, 159L, 390L, 0L, 2472L, 31L, 93L, 46L, 293L, 
    1661L, 384L, 3891L, 1532L, 2316L, 799L, 5551L, 4157L, 1838L, 
    1068L, 3424L, 10437L, 200L, 522L, 136L, 2042L, 38L, 33L, 
    0L, 123L, 1386L, 633L, 1099L, 2267L, 3192L, 1142L, 1491L, 
    5183L, 2170L, 858L, 473L, 3126L, 480L, 26L, 29L, 1021L, 30L, 
    0L, 56L, 229L, 1205L, 1114L, 2373L, 2200L, 3135L, 1474L, 
    4566L, 3251L, 2193L, 443L, 5421L, 2931L, 715L, 120L, 1137L, 
    587L, 60L, 0L, 109L, 230L, 557L, 2956L, 273L, 6892L, 952L, 
    4653L, 544L, 7938L, 682L, 2922L, 240L, 5872L, 243L, 657L, 
    100L, 1783L, 44L, 381L, 0L, 674L, 177L, 4131L, 771L, 7088L, 
    639L, 6493L, 1760L, 12380L, 532L, 3276L, 1340L, 8039L, 178L, 
    567L, 289L, 2211L, 7L, 271L, 9L, 610L, 58L, 7984L, 0L, 6808L, 
    80L, 4949L, 39L, 4966L, 0L, 3021L, 21L, 2714L, 0L, 858L, 
    7L, 1045L, 0L, 564L, 0L, 316L, 0L, 6219L, 105L, 21083L, 11L, 
    5597L, 8L, 22874L, 0L, 2659L, 0L, 11488L, 0L, 460L, 0L, 1604L, 
    0L, 48L, 0L, 789L, 1693L, 947L, 2163L, 3660L, 6105L, 3030L, 
    2311L, 8816L, 3205L, 2772L, 1302L, 12266L, 812L, 753L, 183L, 
    2906L, 19L, 178L, 32L, 346L, 2526L, 539L, 2877L, 2471L, 6299L, 
    1698L, 3049L, 6640L, 5572L, 3396L, 3022L, 8826L, 1055L, 1205L, 
    177L, 3238L, 31L, 320L, 57L, 469L, 2722L, 1202L, 755L, 2648L, 
    9367L, 2194L, 1898L, 8492L, 6240L, 1093L, 1136L, 6330L, 2013L, 
    660L, 319L, 2502L, 419L, 57L, 133L, 519L, 2796L, 1091L, 1105L, 
    1877L, 6980L, 2299L, 3687L, 4964L, 7432L, 1555L, 5064L, 4718L, 
    2213L, 410L, 1724L, 2139L, 406L, 134L, 297L, 990L, 1041L, 
    6041L, 574L, 2669L, 2943L, 11872L, 847L, 9113L, 2113L, 7941L, 
    587L, 7084L, 862L, 2250L, 118L, 2916L, 245L, 780L, 40L, 990L, 
    512L, 6490L, 369L, 3576L, 1758L, 16116L, 1009L, 10911L, 1570L, 
    8881L, 1023L, 10670L, 487L, 1901L, 825L, 4118L, 63L, 762L, 
    322L, 2088L, 75L, 10767L, 49L, 2688L, 117L, 14610L, 41L, 
    3623L, 9L, 9982L, 54L, 2984L, 0L, 3493L, 0L, 1169L, 50L, 
    1438L, 0L, 778L, 30L, 8648L, 145L, 6799L, 18L, 16052L, 84L, 
    13562L, 0L, 6268L, 38L, 8958L, 0L, 1338L, 0L, 3161L, 0L, 
    735L, 0L, 2542L, 1054L, 335L, 3065L, 4102L, 5805L, 2297L, 
    4385L, 12756L, 5171L, 3027L, 2975L, 12978L, 1581L, 2777L, 
    122L, 2735L, 320L, 184L, 0L, 428L, 719L, 290L, 1626L, 2177L, 
    6844L, 2372L, 2629L, 6680L, 7461L, 3783L, 3218L, 8728L, 3744L, 
    3555L, 295L, 3442L, 240L, 790L, 0L, 339L, 2734L, 1260L, 479L, 
    2377L, 17374L, 4833L, 2316L, 7444L, 16653L, 4703L, 1800L, 
    6206L, 9455L, 1802L, 378L, 3942L, 2104L, 715L, 94L, 732L, 
    2267L, 1455L, 618L, 650L, 15346L, 4804L, 2059L, 3374L, 18942L, 
    4091L, 2430L, 3618L, 9911L, 1801L, 1593L, 2719L, 2524L, 586L, 
    478L, 1307L, 1275L, 6702L, 213L, 2404L, 6251L, 23872L, 1121L, 
    9095L, 5543L, 22453L, 1058L, 7412L, 3194L, 10891L, 256L, 
    3392L, 1194L, 4421L, 93L, 2221L, 753L, 5721L, 453L, 1639L, 
    3963L, 29069L, 943L, 6876L, 4054L, 22686L, 1731L, 8174L, 
    1828L, 8895L, 854L, 5473L, 976L, 3454L, 588L, 3528L, 85L, 
    5714L, 54L, 920L, 159L, 13121L, 71L, 2114L, 97L, 10854L, 
    0L, 2023L, 99L, 6255L, 0L, 847L, 5L, 4554L, 19L, 809L, 120L, 
    4465L, 215L, 2956L, 35L, 12834L, 479L, 5651L, 9L, 8836L, 
    23L, 4228L, 0L, 3751L, 0L, 1854L, 6L, 2390L, 23L, 1566L, 
    35L, 145L, 1866L, 2494L, 594L, 770L, 3522L, 7330L, 1443L, 
    1068L, 2546L, 8284L, 806L, 1237L, 162L, 2305L, 293L, 438L, 
    0L, 496L, 149L, 130L, 1019L, 1544L, 1006L, 636L, 1442L, 4320L, 
    1885L, 1310L, 2900L, 6419L, 2138L, 2093L, 182L, 2957L, 429L, 
    558L, 29L, 558L, 722L, 269L, 221L, 712L, 7952L, 3203L, 663L, 
    2641L, 10953L, 4089L, 682L, 3351L, 13035L, 2266L, 383L, 1744L, 
    5259L, 957L, 147L, 583L, 904L, 290L, 43L, 649L, 6976L, 3086L, 
    623L, 1596L, 13455L, 4030L, 640L, 2305L, 14601L, 2569L, 450L, 
    1583L, 5627L, 1223L, 358L, 746L, 524L, 1590L, 195L, 666L, 
    4962L, 15173L, 472L, 2232L, 5919L, 21707L, 231L, 2433L, 7206L, 
    15054L, 341L, 2202L, 4216L, 10659L, 137L, 1133L, 228L, 1815L, 
    59L, 336L, 3222L, 18017L, 238L, 1534L, 4890L, 23398L, 323L, 
    2645L, 4820L, 13489L, 426L, 2278L, 2878L, 8200L, 286L, 2628L, 
    18L, 1151L, 127L, 568L, 32L, 3829L, 26L, 587L, 81L, 5270L, 
    153L, 706L, 52L, 4607L, 0L, 624L, 20L, 3917L, 46L, 506L, 
    0L, 940L, 394L, 1181L, 32L, 4294L, 167L, 2144L, 23L, 4337L, 
    135L, 1463L, 31L, 2282L, 0L, 696L, 0L, 1667L, 7L, 448L, 44L, 
    0L, 464L, 325L, 152L, 107L, 713L, 1258L, 136L, 206L, 608L, 
    1504L, 83L, 168L, 28L, 470L, 16L, 28L, 0L, 110L, 0L, 0L, 
    243L, 237L, 85L, 51L, 507L, 475L, 254L, 224L, 668L, 1328L, 
    503L, 287L, 203L, 475L, 36L, 171L, 0L, 27L, 144L, 0L, 0L, 
    114L, 784L, 390L, 47L, 357L, 1192L, 546L, 63L, 349L, 3392L, 
    328L, 135L, 661L, 2658L, 481L, 65L, 36L, 84L, 0L, 0L, 39L, 
    789L, 391L, 7L, 155L, 2147L, 654L, 189L, 225L, 4268L, 848L, 
    178L, 339L, 1917L, 501L, 77L, 130L, 147L, 320L, 0L, 103L, 
    484L, 2062L, 108L, 205L, 782L, 3348L, 56L, 691L, 2701L, 5407L, 
    196L, 550L, 3004L, 5763L, 99L, 767L, 57L, 280L, 44L, 25L, 
    611L, 3321L, 159L, 46L, 902L, 5470L, 13L, 490L, 2545L, 5392L, 
    0L, 179L, 1360L, 3375L, 189L, 219L, 0L, 232L, 0L, 172L, 83L, 
    1360L, 157L, 165L, 24L, 1359L, 0L, 174L, 69L, 1979L, 0L, 
    212L, 30L, 2187L, 7L, 307L, 0L, 342L, 47L, 247L, 0L, 1493L, 
    157L, 809L, 0L, 1753L, 15L, 287L, 0L, 1284L, 0L, 283L, 0L, 
    375L, 0L, 284L, 45L, 0L, 264L, 665L, 51L, 36L, 567L, 1300L, 
    330L, 0L, 112L, 2523L, 0L, 0L, 0L, 338L, 0L, 0L, 0L, 122L, 
    160L, 0L, 867L, 705L, 189L, 102L, 2866L, 1246L, 160L, 0L, 
    1553L, 689L, 69L, 0L, 210L, 310L, 0L, 0L, 0L, 0L, 140L, 27L, 
    110L, 954L, 502L, 214L, 241L, 1079L, 500L, 0L, 105L, 326L, 
    88L, 0L, 0L, 20L, 23L, 0L, 0L, 0L, 131L, 0L, 1003L, 355L, 
    396L, 38L, 1758L, 967L, 313L, 0L, 1064L, 545L, 21L, 0L, 30L, 
    129L, 0L, 0L, 166L, 0L, 76L, 243L, 135L, 1184L, 338L, 316L, 
    259L, 2004L, 45L, 195L, 115L, 771L, 0L, 33L, 0L, 268L, 26L, 
    24L, 0L, 121L, 65L, 243L, 195L, 1222L, 130L, 662L, 210L, 
    2489L, 99L, 252L, 443L, 2163L, 0L, 0L, 160L, 154L, 15L, 0L, 
    0L, 35L, 0L, 338L, 0L, 1134L, 0L, 268L, 0L, 257L, 0L, 71L, 
    0L, 244L, 0L, 33L, 0L, 0L, 0L, 7L, 0L, 0L, 0L, 119L, 0L, 
    2687L, 0L, 309L, 0L, 2140L, 0L, 42L, 0L, 718L, 0L, 56L, 0L, 
    275L, 0L, 0L, 0L, 31L, 0L, 50L, 197L, 706L, 485L, 0L, 482L, 
    2312L, 168L, 226L, 593L, 960L, 25L, 0L, 57L, 730L, 0L, 0L, 
    0L, 0L, 0L, 0L, 334L, 526L, 129L, 174L, 1043L, 841L, 140L, 
    60L, 342L, 960L, 0L, 30L, 77L, 357L, 0L, 0L, 0L, 134L, 145L, 
    37L, 121L, 580L, 1211L, 572L, 275L, 1762L, 465L, 268L, 143L, 
    1148L, 0L, 0L, 74L, 248L, 0L, 0L, 0L, 91L, 158L, 28L, 164L, 
    137L, 341L, 161L, 371L, 755L, 1139L, 106L, 1179L, 984L, 117L, 
    0L, 381L, 353L, 0L, 0L, 94L, 168L, 0L, 210L, 27L, 563L, 189L, 
    943L, 98L, 1209L, 284L, 349L, 28L, 884L, 112L, 101L, 0L, 
    189L, 43L, 0L, 0L, 141L, 0L, 170L, 60L, 428L, 168L, 462L, 
    87L, 1289L, 74L, 794L, 437L, 2422L, 31L, 222L, 74L, 444L, 
    0L, 0L, 47L, 146L, 14L, 637L, 0L, 503L, 0L, 471L, 37L, 543L, 
    0L, 254L, 0L, 171L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 7L, 0L, 
    633L, 0L, 654L, 0L, 455L, 81L, 516L, 0L, 185L, 0L, 407L, 
    0L, 27L, 0L, 131L, 0L, 34L, 0L, 176L, 107L, 0L, 194L, 158L, 
    295L, 161L, 487L, 1532L, 505L, 158L, 578L, 1046L, 0L, 21L, 
    21L, 45L, 0L, 0L, 0L, 0L, 339L, 0L, 150L, 182L, 604L, 169L, 
    611L, 775L, 371L, 29L, 290L, 1191L, 61L, 22L, 135L, 183L, 
    0L, 34L, 0L, 0L, 0L, 0L, 83L, 136L, 1152L, 282L, 466L, 601L, 
    1859L, 231L, 380L, 592L, 925L, 76L, 54L, 222L, 116L, 0L, 
    28L, 0L, 37L, 0L, 77L, 30L, 625L, 258L, 490L, 411L, 1814L, 
    188L, 564L, 494L, 500L, 153L, 339L, 689L, 148L, 0L, 41L, 
    242L, 583L, 346L, 65L, 231L, 257L, 1543L, 46L, 821L, 270L, 
    1080L, 89L, 304L, 46L, 511L, 162L, 296L, 0L, 96L, 0L, 0L, 
    0L, 209L, 0L, 140L, 163L, 1096L, 227L, 558L, 280L, 1206L, 
    183L, 1077L, 91L, 432L, 29L, 420L, 31L, 99L, 32L, 288L, 0L, 
    405L, 0L, 24L, 0L, 368L, 0L, 90L, 0L, 245L, 0L, 29L, 30L, 
    155L, 0L, 28L, 0L, 0L, 0L, 27L, 0L, 91L, 96L, 88L, 0L, 467L, 
    145L, 414L, 0L, 193L, 79L, 230L, 0L, 7L, 0L, 48L, 0L, 133L, 
    0L, 57L, 0L, 0L, 64L, 172L, 11L, 0L, 326L, 260L, 0L, 111L, 
    208L, 609L, 0L, 119L, 0L, 305L, 0L, 35L, 0L, 49L, 0L, 0L, 
    134L, 149L, 0L, 0L, 116L, 174L, 35L, 0L, 235L, 442L, 51L, 
    171L, 108L, 418L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 454L, 14L, 
    121L, 197L, 721L, 168L, 122L, 115L, 627L, 97L, 106L, 377L, 
    94L, 95L, 0L, 33L, 0L, 0L, 31L, 208L, 226L, 151L, 432L, 432L, 
    293L, 233L, 69L, 158L, 497L, 175L, 26L, 496L, 34L, 0L, 336L, 
    67L, 35L, 153L, 0L, 237L, 100L, 335L, 55L, 105L, 176L, 1464L, 
    33L, 124L, 360L, 642L, 0L, 94L, 166L, 165L, 35L, 88L, 58L, 
    9L, 0L, 0L, 39L, 499L, 0L, 381L, 106L, 1062L, 0L, 366L, 162L, 
    682L, 0L, 145L, 145L, 577L, 0L, 142L, 0L, 18L, 0L, 121L, 
    0L, 95L, 129L, 99L, 0L, 345L, 0L, 29L, 0L, 126L, 0L, 0L, 
    0L, 32L, 0L, 0L, 0L, 64L, 0L, 197L, 0L, 86L, 0L, 54L, 0L, 
    84L, 40L, 29L, 0L, 67L, 0L, 130L, 0L, 24L, 0L, 0L, 0L, 0L, 
    38L, 0L, 0L, 60L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 0L, 0L, 0L, 0L, 0L, 78L, 49L, 41L, 0L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 40L, 0L, 0L, 55L, 0L, 
    0L, 41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 31L, 189L, 0L, 
    0L, 15L, 70L, 0L, 0L, 38L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 101L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 149L, 
    0L, 0L, 0L, 44L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 9L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 
    0L, 0L, 0L, 59L, 127L, 103L, 72L, 118L, 18L, 175L, 397L, 
    18L, 138L, 58L, 198L, 0L, 28L, 0L, 634L, 0L, 0L, 0L, 0L, 
    421L, 22L, 1079L, 212L, 208L, 20L, 700L, 345L, 50L, 0L, 198L, 
    277L, 0L, 71L, 0L, 95L, 0L, 0L, 0L, 38L, 601L, 218L, 98L, 
    58L, 270L, 0L, 101L, 112L, 139L, 0L, 0L, 73L, 30L, 66L, 0L, 
    0L, 0L, 0L, 0L, 82L, 353L, 0L, 369L, 120L, 149L, 75L, 436L, 
    262L, 230L, 0L, 389L, 136L, 34L, 0L, 31L, 0L, 0L, 0L, 0L, 
    29L, 0L, 215L, 50L, 283L, 0L, 174L, 0L, 154L, 89L, 80L, 0L, 
    355L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 206L, 63L, 505L, 
    0L, 271L, 82L, 150L, 0L, 166L, 20L, 233L, 0L, 9L, 62L, 24L, 
    0L, 51L, 0L, 0L, 0L, 233L, 0L, 190L, 0L, 107L, 0L, 52L, 0L, 
    0L, 0L, 25L, 0L, 0L, 0L, 11L, 0L, 58L, 0L, 0L, 0L, 171L, 
    0L, 580L, 0L, 151L, 0L, 213L, 0L, 0L, 0L, 155L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 286L, 154L, 337L, 478L, 440L, 196L, 228L, 
    595L, 199L, 72L, 66L, 202L, 30L, 33L, 23L, 0L, 0L, 0L, 0L, 
    0L, 700L, 54L, 303L, 169L, 568L, 63L, 265L, 887L, 313L, 36L, 
    320L, 473L, 29L, 0L, 205L, 251L, 0L, 0L, 0L, 27L, 1083L, 
    115L, 0L, 125L, 833L, 78L, 46L, 371L, 758L, 188L, 46L, 70L, 
    0L, 0L, 142L, 0L, 0L, 0L, 0L, 0L, 547L, 68L, 249L, 20L, 685L, 
    123L, 79L, 263L, 422L, 38L, 180L, 196L, 119L, 12L, 0L, 29L, 
    74L, 0L, 29L, 110L, 372L, 824L, 74L, 156L, 125L, 274L, 25L, 
    426L, 169L, 114L, 0L, 269L, 0L, 36L, 0L, 30L, 33L, 0L, 0L, 
    0L, 257L, 183L, 33L, 401L, 321L, 264L, 14L, 301L, 42L, 246L, 
    119L, 184L, 23L, 11L, 10L, 35L, 0L, 0L, 0L, 57L, 29L, 271L, 
    2L, 48L, 0L, 160L, 0L, 33L, 0L, 43L, 0L, 50L, 0L, 156L, 0L, 
    0L, 0L, 70L, 0L, 66L, 17L, 159L, 0L, 59L, 0L, 134L, 0L, 100L, 
    0L, 56L, 0L, 236L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 134L, 
    79L, 575L, 212L, 227L, 184L, 273L, 566L, 186L, 428L, 34L, 
    504L, 27L, 169L, 0L, 291L, 0L, 0L, 0L, 0L, 154L, 148L, 196L, 
    238L, 654L, 122L, 366L, 262L, 395L, 168L, 243L, 412L, 66L, 
    87L, 95L, 124L, 0L, 0L, 0L, 107L, 1116L, 73L, 261L, 232L, 
    918L, 139L, 33L, 375L, 748L, 178L, 14L, 293L, 149L, 50L, 
    27L, 79L, 155L, 38L, 9L, 0L, 595L, 146L, 119L, 0L, 758L, 
    126L, 223L, 131L, 1054L, 289L, 171L, 116L, 84L, 0L, 124L, 
    25L, 0L, 0L, 0L, 32L, 144L, 317L, 0L, 49L, 175L, 330L, 32L, 
    161L, 205L, 363L, 45L, 225L, 21L, 60L, 32L, 79L, 0L, 38L, 
    0L, 0L, 48L, 304L, 0L, 198L, 0L, 411L, 0L, 103L, 181L, 611L, 
    0L, 179L, 104L, 156L, 0L, 108L, 28L, 0L, 0L, 134L, 0L, 123L, 
    0L, 39L, 0L, 87L, 0L, 35L, 0L, 200L, 0L, 141L, 0L, 136L, 
    0L, 70L, 0L, 66L, 0L, 0L, 0L, 153L, 192L, 54L, 0L, 114L, 
    0L, 103L, 0L, 97L, 9L, 51L, 0L, 0L, 0L, 0L, 0L, 79L, 0L, 
    0L, 32L, 0L, 188L, 101L, 4L, 0L, 56L, 436L, 19L, 0L, 307L, 
    91L, 5L, 60L, 35L, 176L, 0L, 0L, 0L, 0L, 0L, 0L, 155L, 48L, 
    34L, 31L, 16L, 60L, 319L, 41L, 138L, 298L, 18L, 57L, 0L, 
    107L, 32L, 0L, 0L, 0L, 160L, 59L, 0L, 0L, 312L, 30L, 41L, 
    163L, 263L, 150L, 21L, 7L, 331L, 21L, 0L, 0L, 99L, 0L, 93L, 
    0L, 379L, 0L, 0L, 164L, 224L, 33L, 0L, 0L, 418L, 386L, 16L, 
    19L, 275L, 0L, 0L, 31L, 146L, 0L, 0L, 0L, 113L, 183L, 0L, 
    136L, 23L, 269L, 92L, 49L, 423L, 262L, 0L, 177L, 188L, 102L, 
    0L, 0L, 177L, 83L, 0L, 215L, 0L, 66L, 0L, 0L, 118L, 276L, 
    0L, 33L, 303L, 408L, 0L, 51L, 122L, 206L, 22L, 0L, 98L, 12L, 
    0L, 49L, 0L, 87L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 
    0L, 51L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 13L, 0L, 167L, 15L, 
    0L, 0L, 74L, 0L, 80L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 34L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 0L, 10L, 120L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 19L, 0L, 0L, 18L, 
    0L, 0L, 34L, 47L, 91L, 0L, 0L, 0L, 0L, 9L, 35L, 0L, 0L, 0L, 
    70L, 0L, 0L, 42L, 0L, 76L, 28L, 0L, 0L, 0L, 0L, 22L, 92L, 
    29L, 0L, 128L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 0L, 31L, 
    0L, 0L, 0L, 0L, 143L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 
    0L, 0L, 109L, 0L, 0L, 119L, 0L, 0L, 0L, 0L, 23L, 29L, 0L, 
    0L, 81L, 137L, 0L, 29L, 0L, 107L, 0L, 78L, 7L, 107L, 0L, 
    27L, 39L, 66L, 0L, 0L, 0L, 0L, 0L, 0L, 76L, 74L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 614L, 334L, 1800L, 
    2544L, 945L, 249L, 1382L, 5443L, 689L, 672L, 617L, 11511L, 
    67L, 656L, 115L, 2393L, 79L, 57L, 19L, 376L, 539L, 191L, 
    2801L, 1441L, 1149L, 348L, 3696L, 5544L, 1601L, 1276L, 3597L, 
    11463L, 208L, 289L, 117L, 2861L, 59L, 159L, 21L, 678L, 971L, 
    224L, 534L, 1820L, 1177L, 831L, 1005L, 5404L, 1201L, 672L, 
    840L, 4917L, 695L, 222L, 71L, 1761L, 161L, 96L, 124L, 519L, 
    586L, 398L, 1527L, 1581L, 1184L, 1062L, 3926L, 3902L, 1556L, 
    669L, 4799L, 2626L, 537L, 113L, 762L, 1450L, 66L, 114L, 305L, 
    627L, 206L, 1102L, 261L, 4127L, 508L, 3415L, 441L, 8661L, 
    408L, 4091L, 353L, 9832L, 103L, 1119L, 25L, 3426L, 313L, 
    548L, 66L, 1112L, 92L, 1593L, 548L, 4311L, 435L, 4051L, 1199L, 
    10838L, 468L, 4550L, 2178L, 13004L, 269L, 1258L, 419L, 3574L, 
    64L, 549L, 280L, 2185L, 31L, 4564L, 151L, 4321L, 35L, 4526L, 
    4L, 5763L, 0L, 3297L, 0L, 3941L, 0L, 1103L, 0L, 1376L, 19L, 
    912L, 0L, 1059L, 0L, 3335L, 0L, 13622L, 0L, 5537L, 11L, 22965L, 
    0L, 2645L, 0L, 14515L, 0L, 607L, 0L, 2833L, 0L, 277L, 0L, 
    1593L, 779L, 208L, 1614L, 3850L, 2426L, 1299L, 3342L, 11655L, 
    3020L, 1688L, 1326L, 12861L, 821L, 1152L, 259L, 3375L, 156L, 
    229L, 38L, 753L, 1183L, 570L, 2272L, 2552L, 3275L, 1101L, 
    3768L, 7420L, 4399L, 2040L, 3676L, 11647L, 785L, 1504L, 214L, 
    6012L, 110L, 247L, 170L, 910L, 1964L, 522L, 1336L, 2431L, 
    5818L, 1524L, 2024L, 8148L, 6948L, 1869L, 2080L, 8470L, 1979L, 
    551L, 223L, 3522L, 622L, 217L, 53L, 873L, 1224L, 591L, 1060L, 
    1326L, 6483L, 1905L, 3847L, 3614L, 6736L, 1608L, 5981L, 4629L, 
    2340L, 594L, 1149L, 3784L, 595L, 352L, 524L, 1434L, 636L, 
    2459L, 357L, 2873L, 2416L, 8784L, 1320L, 10533L, 2611L, 10089L, 
    566L, 10540L, 914L, 3191L, 230L, 4316L, 324L, 1097L, 177L, 
    1757L, 349L, 2935L, 159L, 2489L, 1294L, 11968L, 1283L, 9977L, 
    1912L, 11475L, 1801L, 16896L, 1031L, 3251L, 705L, 5853L, 
    380L, 668L, 288L, 2672L, 7L, 9351L, 47L, 3188L, 109L, 15120L, 
    72L, 4785L, 157L, 12305L, 0L, 4310L, 74L, 3807L, 0L, 1238L, 
    0L, 2880L, 0L, 1321L, 46L, 6019L, 24L, 5373L, 0L, 16512L, 
    302L, 12325L, 90L, 10355L, 34L, 11329L, 0L, 2415L, 12L, 3846L, 
    0L, 1094L, 27L, 2468L, 1150L, 317L, 2063L, 5112L, 4550L, 
    2219L, 5734L, 15304L, 3891L, 2493L, 2482L, 14280L, 1323L, 
    2478L, 129L, 4317L, 325L, 567L, 42L, 924L, 1100L, 377L, 1883L, 
    2779L, 6509L, 1527L, 4075L, 8802L, 6401L, 4079L, 3425L, 12322L, 
    2221L, 3357L, 358L, 6125L, 265L, 681L, 0L, 1372L, 3001L, 
    1025L, 796L, 2768L, 14918L, 4831L, 2940L, 9687L, 20299L, 
    4712L, 1869L, 9941L, 9607L, 2549L, 1052L, 6588L, 3751L, 1197L, 
    227L, 2021L, 1954L, 1023L, 858L, 1624L, 14900L, 4016L, 2209L, 
    4502L, 21941L, 4779L, 4655L, 7468L, 10439L, 2449L, 1565L, 
    5471L, 3405L, 1465L, 618L, 2812L, 1608L, 4427L, 332L, 2953L, 
    5264L, 20908L, 1215L, 10433L, 8525L, 29437L, 1955L, 12721L, 
    3641L, 10815L, 608L, 5772L, 2452L, 5569L, 468L, 2837L, 896L, 
    4901L, 361L, 1841L, 3372L, 25899L, 2136L, 8907L, 6955L, 33855L, 
    2326L, 15790L, 2794L, 10154L, 1323L, 8801L, 1362L, 5090L, 
    828L, 6641L, 5L, 5452L, 191L, 1722L, 286L, 12503L, 283L, 
    2843L, 167L, 14214L, 162L, 2490L, 86L, 8848L, 42L, 1610L, 
    66L, 5768L, 0L, 1115L, 0L, 3024L, 298L, 2825L, 48L, 13594L, 
    603L, 7319L, 16L, 11268L, 456L, 6409L, 51L, 5240L, 0L, 3135L, 
    0L, 2217L, 25L, 2337L, 340L, 296L, 2135L, 4103L, 823L, 1161L, 
    4464L, 10970L, 1258L, 1633L, 3269L, 11779L, 691L, 1758L, 
    342L, 4694L, 191L, 526L, 36L, 516L, 229L, 88L, 1364L, 1621L, 
    1361L, 1159L, 3427L, 5937L, 2052L, 2353L, 3928L, 8477L, 701L, 
    2263L, 488L, 4071L, 605L, 1281L, 117L, 456L, 1497L, 505L, 
    534L, 1386L, 8277L, 3080L, 841L, 4895L, 15291L, 4898L, 1447L, 
    5787L, 14758L, 5852L, 1127L, 4835L, 6907L, 2631L, 346L, 1407L, 
    1340L, 255L, 42L, 414L, 9354L, 3280L, 971L, 2686L, 18817L, 
    5392L, 2312L, 3563L, 16555L, 4949L, 1731L, 3329L, 7246L, 
    2761L, 639L, 2019L, 1106L, 2291L, 50L, 767L, 4450L, 14716L, 
    806L, 4176L, 10649L, 30930L, 840L, 6737L, 9327L, 17982L, 
    785L, 5160L, 6949L, 13024L, 469L, 2609L, 189L, 2591L, 134L, 
    845L, 3477L, 17705L, 674L, 3664L, 8691L, 33315L, 1008L, 6354L, 
    7450L, 17120L, 831L, 4387L, 4364L, 10626L, 526L, 4024L, 0L, 
    1384L, 110L, 789L, 176L, 4190L, 121L, 1666L, 25L, 6637L, 
    37L, 790L, 150L, 5197L, 97L, 491L, 81L, 6525L, 37L, 1303L, 
    83L, 1069L, 201L, 1626L, 27L, 4215L, 698L, 3414L, 37L, 5104L, 
    245L, 1478L, 37L, 3433L, 0L, 1504L, 0L, 2604L, 73L, 1162L, 
    0L, 93L, 346L, 807L, 66L, 237L, 902L, 1920L, 35L, 118L, 1652L, 
    3364L, 19L, 148L, 160L, 937L, 52L, 24L, 40L, 158L, 0L, 103L, 
    134L, 533L, 91L, 338L, 380L, 1164L, 94L, 285L, 782L, 1506L, 
    201L, 114L, 245L, 1420L, 0L, 134L, 0L, 239L, 148L, 98L, 28L, 
    187L, 762L, 797L, 172L, 935L, 1489L, 750L, 155L, 1122L, 4292L, 
    1069L, 137L, 901L, 3852L, 1027L, 164L, 818L, 61L, 139L, 0L, 
    149L, 885L, 529L, 29L, 298L, 3242L, 852L, 98L, 608L, 5400L, 
    1621L, 303L, 570L, 2521L, 864L, 372L, 562L, 51L, 246L, 0L, 
    229L, 611L, 2258L, 0L, 992L, 1847L, 5098L, 53L, 1446L, 3949L, 
    6984L, 89L, 1089L, 4640L, 8514L, 142L, 1821L, 135L, 671L, 
    0L, 166L, 704L, 3612L, 81L, 582L, 2103L, 7566L, 308L, 1632L, 
    3291L, 7639L, 120L, 906L, 2365L, 5521L, 218L, 1106L, 0L, 
    314L, 172L, 274L, 37L, 1146L, 0L, 296L, 256L, 1511L, 127L, 
    232L, 29L, 2467L, 0L, 443L, 233L, 2713L, 84L, 268L, 0L, 196L, 
    46L, 259L, 66L, 1221L, 370L, 924L, 0L, 1727L, 228L, 685L, 
    0L, 1277L, 46L, 615L, 60L, 849L, 0L, 683L, 18L, 0L, 0L, 56L, 
    0L, 0L, 26L, 0L, 0L, 0L, 26L, 97L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 81L, 0L, 0L, 296L, 42L, 81L, 0L, 712L, 198L, 27L, 0L, 
    419L, 294L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 
    19L, 113L, 93L, 167L, 45L, 0L, 65L, 212L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 41L, 0L, 0L, 26L, 203L, 0L, 0L, 194L, 28L, 122L, 
    69L, 307L, 225L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 128L, 
    0L, 269L, 0L, 95L, 0L, 307L, 0L, 70L, 0L, 634L, 0L, 0L, 0L, 
    66L, 0L, 35L, 0L, 0L, 73L, 24L, 0L, 173L, 0L, 56L, 98L, 440L, 
    0L, 272L, 0L, 290L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 71L, 
    71L, 0L, 311L, 0L, 56L, 0L, 102L, 0L, 28L, 0L, 27L, 0L, 0L, 
    0L, 0L, 0L, 146L, 0L, 0L, 0L, 0L, 0L, 172L, 0L, 0L, 0L, 113L, 
    0L, 0L, 0L, 79L, 0L, 24L, 0L, 77L, 0L, 111L, 0L, 0L, 0L, 
    0L, 95L, 220L, 0L, 0L, 109L, 311L, 0L, 206L, 55L, 216L, 0L, 
    21L, 55L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 53L, 134L, 90L, 0L, 
    153L, 0L, 234L, 94L, 142L, 145L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 21L, 27L, 23L, 0L, 71L, 33L, 93L, 27L, 301L, 184L, 24L, 
    249L, 146L, 53L, 69L, 0L, 24L, 0L, 27L, 0L, 175L, 0L, 0L, 
    0L, 78L, 0L, 0L, 395L, 147L, 88L, 27L, 89L, 51L, 118L, 40L, 
    0L, 34L, 0L, 0L, 0L, 0L, 28L, 54L, 0L, 324L, 35L, 109L, 0L, 
    165L, 0L, 264L, 42L, 220L, 29L, 0L, 0L, 62L, 0L, 0L, 0L, 
    75L, 28L, 75L, 0L, 22L, 0L, 287L, 186L, 133L, 91L, 102L, 
    60L, 313L, 0L, 0L, 0L, 58L, 0L, 0L, 0L, 95L, 0L, 26L, 0L, 
    97L, 0L, 83L, 0L, 159L, 0L, 51L, 0L, 88L, 0L, 0L, 0L, 45L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 149L, 0L, 73L, 0L, 146L, 0L, 
    0L, 0L, 147L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 237L, 
    40L, 133L, 0L, 0L, 347L, 77L, 0L, 157L, 640L, 0L, 26L, 0L, 
    48L, 0L, 0L, 0L, 0L, 0L, 34L, 35L, 43L, 0L, 0L, 0L, 173L, 
    73L, 0L, 136L, 60L, 0L, 0L, 0L, 95L, 0L, 0L, 0L, 45L, 51L, 
    0L, 34L, 44L, 142L, 260L, 93L, 275L, 247L, 102L, 85L, 363L, 
    56L, 55L, 0L, 318L, 16L, 25L, 0L, 21L, 0L, 35L, 0L, 0L, 113L, 
    114L, 156L, 245L, 228L, 116L, 358L, 253L, 111L, 0L, 0L, 53L, 
    0L, 0L, 0L, 29L, 0L, 64L, 0L, 107L, 109L, 211L, 0L, 374L, 
    93L, 543L, 0L, 685L, 139L, 48L, 0L, 37L, 0L, 0L, 39L, 102L, 
    0L, 0L, 0L, 30L, 24L, 202L, 47L, 107L, 126L, 369L, 42L, 158L, 
    0L, 48L, 0L, 39L, 0L, 37L, 0L, 66L, 0L, 53L, 0L, 31L, 0L, 
    129L, 0L, 92L, 0L, 183L, 0L, 0L, 0L, 0L, 0L, 47L, 0L, 48L, 
    0L, 0L, 0L, 25L, 0L, 33L, 0L, 124L, 152L, 193L, 0L, 26L, 
    0L, 27L, 0L, 0L, 0L, 75L, 0L, 43L, 0L, 26L, 0L, 29L, 191L, 
    91L, 0L, 0L, 257L, 36L, 0L, 0L, 147L, 57L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 72L, 27L, 0L, 0L, 
    197L, 24L, 0L, 0L, 0L, 0L, 7L, 0L, 0L, 18L, 0L, 0L, 0L, 23L, 
    193L, 23L, 78L, 29L, 108L, 13L, 0L, 0L, 224L, 0L, 74L, 56L, 
    24L, 38L, 0L, 30L, 0L, 0L, 0L, 0L, 126L, 0L, 86L, 0L, 198L, 
    0L, 0L, 38L, 267L, 117L, 0L, 165L, 27L, 0L, 6L, 0L, 0L, 31L, 
    0L, 0L, 129L, 209L, 0L, 46L, 163L, 228L, 0L, 38L, 114L, 59L, 
    0L, 0L, 78L, 23L, 6L, 192L, 0L, 0L, 0L, 0L, 0L, 51L, 0L, 
    23L, 35L, 226L, 0L, 75L, 64L, 82L, 31L, 31L, 27L, 55L, 0L, 
    90L, 0L, 0L, 0L, 0L, 36L, 85L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 
    43L, 0L, 0L, 0L, 45L, 36L, 0L, 0L, 0L, 0L, 0L, 32L, 0L, 36L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 69L, 0L, 0L, 0L, 0L, 0L, 
    0L, 33L, 0L, 0L, 0L, 66L, 120L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 57L, 0L, 23L, 30L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 195L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 15L, 
    0L, 37L, 0L, 0L, 53L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 91L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 225L, 27L, 142L, 317L, 266L, 8L, 214L, 433L, 0L, 0L, 
    163L, 1085L, 0L, 29L, 0L, 153L, 0L, 0L, 0L, 0L, 148L, 25L, 
    619L, 77L, 237L, 15L, 772L, 307L, 8L, 90L, 487L, 509L, 0L, 
    0L, 0L, 39L, 0L, 64L, 0L, 0L, 295L, 66L, 118L, 8L, 25L, 49L, 
    182L, 300L, 136L, 0L, 209L, 383L, 25L, 0L, 0L, 121L, 126L, 
    0L, 0L, 93L, 250L, 24L, 371L, 40L, 131L, 24L, 290L, 407L, 
    329L, 140L, 297L, 35L, 0L, 0L, 72L, 114L, 0L, 0L, 0L, 0L, 
    27L, 106L, 0L, 181L, 54L, 52L, 0L, 286L, 0L, 183L, 0L, 86L, 
    42L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 21L, 52L, 70L, 205L, 41L, 
    190L, 63L, 236L, 0L, 203L, 63L, 293L, 0L, 0L, 0L, 70L, 0L, 
    0L, 0L, 108L, 0L, 355L, 49L, 67L, 0L, 68L, 0L, 115L, 0L, 
    80L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 222L, 69L, 
    571L, 0L, 58L, 42L, 204L, 0L, 0L, 0L, 238L, 0L, 0L, 0L, 6L, 
    0L, 0L, 0L, 0L, 355L, 0L, 113L, 672L, 373L, 186L, 1012L, 
    1019L, 451L, 50L, 184L, 489L, 0L, 50L, 20L, 431L, 0L, 0L, 
    0L, 0L, 269L, 41L, 590L, 289L, 378L, 463L, 645L, 404L, 284L, 
    33L, 655L, 800L, 21L, 86L, 56L, 166L, 0L, 0L, 0L, 35L, 629L, 
    70L, 355L, 200L, 624L, 0L, 64L, 874L, 529L, 68L, 160L, 670L, 
    152L, 91L, 0L, 129L, 0L, 0L, 0L, 0L, 450L, 0L, 150L, 46L, 
    558L, 33L, 400L, 163L, 580L, 126L, 560L, 802L, 7L, 0L, 150L, 
    54L, 23L, 0L, 0L, 58L, 110L, 464L, 44L, 163L, 370L, 248L, 
    19L, 126L, 142L, 177L, 60L, 317L, 65L, 49L, 0L, 48L, 0L, 
    65L, 0L, 0L, 95L, 204L, 19L, 188L, 118L, 291L, 29L, 225L, 
    153L, 252L, 77L, 506L, 149L, 12L, 48L, 98L, 0L, 0L, 99L, 
    72L, 0L, 239L, 0L, 167L, 14L, 215L, 0L, 66L, 0L, 72L, 0L, 
    40L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 284L, 109L, 355L, 
    0L, 232L, 0L, 107L, 0L, 108L, 24L, 326L, 0L, 0L, 0L, 25L, 
    0L, 0L, 0L, 0L, 76L, 0L, 925L, 820L, 505L, 157L, 695L, 755L, 
    307L, 124L, 303L, 1296L, 32L, 180L, 21L, 225L, 0L, 150L, 
    0L, 53L, 219L, 100L, 675L, 260L, 433L, 77L, 892L, 698L, 343L, 
    40L, 654L, 468L, 76L, 88L, 0L, 143L, 39L, 0L, 0L, 62L, 1117L, 
    233L, 209L, 493L, 1212L, 239L, 69L, 336L, 954L, 248L, 151L, 
    706L, 400L, 25L, 0L, 30L, 345L, 17L, 0L, 175L, 561L, 136L, 
    232L, 73L, 909L, 329L, 82L, 264L, 1140L, 200L, 258L, 109L, 
    405L, 76L, 199L, 186L, 73L, 0L, 42L, 257L, 369L, 441L, 107L, 
    98L, 451L, 505L, 26L, 284L, 236L, 384L, 257L, 531L, 149L, 
    222L, 66L, 27L, 146L, 47L, 0L, 7L, 252L, 455L, 76L, 192L, 
    121L, 613L, 0L, 176L, 316L, 739L, 145L, 283L, 71L, 105L, 
    0L, 20L, 40L, 31L, 0L, 275L, 255L, 192L, 0L, 32L, 0L, 176L, 
    0L, 120L, 48L, 70L, 0L, 45L, 0L, 74L, 0L, 83L, 0L, 164L, 
    0L, 42L, 119L, 69L, 0L, 59L, 0L, 179L, 0L, 109L, 0L, 92L, 
    0L, 62L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 229L, 46L, 253L, 
    288L, 125L, 54L, 228L, 686L, 60L, 105L, 244L, 698L, 24L, 
    6L, 49L, 141L, 0L, 0L, 0L, 0L, 230L, 37L, 70L, 121L, 172L, 
    30L, 286L, 292L, 160L, 90L, 344L, 619L, 22L, 0L, 65L, 182L, 
    0L, 0L, 0L, 0L, 272L, 170L, 139L, 45L, 544L, 82L, 254L, 520L, 
    907L, 129L, 63L, 489L, 562L, 180L, 0L, 135L, 241L, 52L, 100L, 
    42L, 216L, 30L, 56L, 0L, 384L, 330L, 94L, 17L, 857L, 397L, 
    227L, 35L, 354L, 210L, 41L, 256L, 292L, 213L, 113L, 84L, 
    176L, 131L, 0L, 0L, 85L, 411L, 34L, 24L, 504L, 406L, 0L, 
    136L, 294L, 197L, 0L, 150L, 90L, 88L, 0L, 58L, 8L, 219L, 
    0L, 25L, 245L, 497L, 0L, 0L, 50L, 626L, 0L, 88L, 174L, 267L, 
    21L, 32L, 0L, 103L, 0L, 54L, 0L, 41L, 0L, 182L, 46L, 0L, 
    0L, 60L, 0L, 142L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 148L, 0L, 
    0L, 0L, 55L, 98L, 0L, 0L, 50L, 58L, 96L, 0L, 51L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 96L, 0L, 0L, 62L, 0L, 103L, 
    41L, 25L, 0L, 0L, 70L, 0L, 0L, 107L, 0L, 49L, 0L, 0L, 0L, 
    0L, 0L, 0L, 143L, 0L, 85L, 0L, 18L, 0L, 0L, 0L, 69L, 101L, 
    0L, 33L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 29L, 0L, 
    0L, 0L, 62L, 98L, 0L, 46L, 0L, 32L, 0L, 87L, 196L, 33L, 0L, 
    26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 31L, 51L, 0L, 63L, 
    123L, 31L, 34L, 125L, 29L, 0L, 0L, 16L, 25L, 0L, 0L, 0L, 
    28L, 0L, 26L, 0L, 122L, 0L, 0L, 0L, 187L, 0L, 81L, 93L, 132L, 
    0L, 27L, 11L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 6L, 253L, 0L, 
    0L, 131L, 24L, 0L, 0L, 85L, 192L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 74L, 
    0L, 0L, 0L, 0L, 0L, 32L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1887L, 273L, 3356L, 6094L, 
    2657L, 1020L, 5648L, 16520L, 1310L, 593L, 1660L, 22918L, 
    158L, 521L, 119L, 8249L, 191L, 177L, 37L, 1254L, 2521L, 490L, 
    5764L, 4808L, 3995L, 970L, 13119L, 12958L, 2074L, 763L, 6050L, 
    26041L, 439L, 569L, 352L, 9619L, 18L, 251L, 73L, 1809L, 2945L, 
    1507L, 2154L, 6219L, 6670L, 2367L, 4116L, 16612L, 3183L, 
    841L, 1338L, 5460L, 1134L, 199L, 186L, 3130L, 438L, 268L, 
    0L, 943L, 2609L, 727L, 5186L, 4336L, 7066L, 2843L, 16521L, 
    10744L, 3500L, 1089L, 9128L, 6827L, 1292L, 427L, 1538L, 2257L, 
    383L, 139L, 259L, 1100L, 1488L, 6798L, 792L, 14092L, 3974L, 
    13035L, 1394L, 31200L, 1317L, 4399L, 267L, 12858L, 760L, 
    1826L, 403L, 5897L, 470L, 985L, 34L, 2537L, 872L, 7570L, 
    1149L, 17447L, 3204L, 19632L, 4578L, 46110L, 747L, 4980L, 
    2474L, 19844L, 378L, 1270L, 1069L, 5183L, 184L, 948L, 339L, 
    2369L, 39L, 23826L, 82L, 27157L, 58L, 21884L, 57L, 23645L, 
    12L, 5377L, 17L, 6174L, 0L, 2334L, 0L, 3403L, 29L, 1389L, 
    0L, 1567L, 26L, 17739L, 91L, 89341L, 29L, 27323L, 76L, 122780L, 
    0L, 4259L, 19L, 26954L, 0L, 1558L, 32L, 6706L, 0L, 674L, 
    0L, 3221L, 3255L, 976L, 6212L, 8118L, 8352L, 3667L, 9522L, 
    29050L, 4097L, 2818L, 4707L, 25121L, 1846L, 1953L, 304L, 
    11557L, 144L, 199L, 0L, 1274L, 3795L, 682L, 3749L, 4340L, 
    10086L, 2863L, 12010L, 18641L, 7769L, 3211L, 8663L, 26594L, 
    2327L, 2852L, 1343L, 16459L, 112L, 421L, 260L, 2718L, 7932L, 
    2266L, 2267L, 9034L, 29898L, 7479L, 9351L, 34369L, 13049L, 
    2440L, 3586L, 15737L, 3938L, 1089L, 1187L, 8352L, 1804L, 
    386L, 40L, 2225L, 5476L, 1511L, 3139L, 3140L, 28867L, 7279L, 
    15652L, 16866L, 16455L, 3538L, 13475L, 13813L, 6482L, 1365L, 
    3419L, 9105L, 1394L, 391L, 564L, 2814L, 3411L, 14558L, 1181L, 
    11419L, 12821L, 46908L, 2959L, 44724L, 5687L, 17060L, 1169L, 
    18956L, 2598L, 6461L, 238L, 10123L, 1125L, 2953L, 37L, 4217L, 
    1421L, 15823L, 1235L, 10251L, 7982L, 64788L, 6248L, 51695L, 
    4319L, 19250L, 4180L, 29746L, 2204L, 5643L, 2136L, 11177L, 
    619L, 2498L, 824L, 5432L, 184L, 51658L, 506L, 16576L, 160L, 
    83407L, 643L, 25351L, 73L, 24227L, 93L, 9018L, 90L, 11018L, 
    0L, 5988L, 28L, 5124L, 45L, 2420L, 20L, 36908L, 540L, 33204L, 
    0L, 90991L, 448L, 69015L, 0L, 16294L, 11L, 21585L, 0L, 5023L, 
    56L, 9919L, 0L, 3083L, 0L, 6423L, 2372L, 968L, 9622L, 13419L, 
    11291L, 8609L, 19200L, 45413L, 9252L, 7267L, 10391L, 36612L, 
    3655L, 7425L, 1166L, 20408L, 762L, 1109L, 152L, 2368L, 2601L, 
    728L, 6279L, 7715L, 13486L, 7074L, 17089L, 29089L, 15165L, 
    9592L, 12996L, 33737L, 7689L, 10725L, 2088L, 23673L, 1745L, 
    2662L, 478L, 4356L, 11714L, 3808L, 2537L, 6979L, 78819L, 
    21421L, 13113L, 40481L, 53673L, 13084L, 6219L, 25671L, 31308L, 
    7556L, 2644L, 17594L, 10576L, 2476L, 578L, 7268L, 8506L, 
    2645L, 2231L, 3709L, 77013L, 20896L, 13055L, 22307L, 64257L, 
    14226L, 13289L, 16826L, 34559L, 5979L, 8089L, 14332L, 11842L, 
    3326L, 2270L, 7844L, 7535L, 24184L, 1064L, 7479L, 37846L, 
    118469L, 5154L, 47572L, 22402L, 56003L, 2050L, 26711L, 13378L, 
    22994L, 1107L, 17693L, 4757L, 11554L, 418L, 7915L, 2879L, 
    20316L, 1353L, 5842L, 26185L, 144229L, 6739L, 43840L, 15715L, 
    57486L, 5820L, 34088L, 8963L, 20961L, 2889L, 21528L, 3489L, 
    11193L, 2119L, 15955L, 317L, 24904L, 551L, 6830L, 591L, 64953L, 
    357L, 12370L, 239L, 30186L, 282L, 5197L, 93L, 21658L, 57L, 
    4675L, 119L, 16432L, 60L, 3539L, 117L, 17729L, 1512L, 18720L, 
    310L, 67378L, 2061L, 31393L, 0L, 21465L, 291L, 10689L, 0L, 
    12429L, 0L, 7127L, 0L, 6297L, 42L, 6322L, 494L, 644L, 9136L, 
    10570L, 2676L, 4589L, 17305L, 45256L, 2416L, 3220L, 16683L, 
    45595L, 3086L, 7427L, 3637L, 24447L, 986L, 1890L, 112L, 2805L, 
    648L, 535L, 5769L, 5226L, 3368L, 2864L, 12938L, 24300L, 4209L, 
    5409L, 15175L, 36010L, 5646L, 11055L, 4198L, 26070L, 1889L, 
    4605L, 265L, 4542L, 4409L, 2201L, 755L, 2936L, 46575L, 17070L, 
    4262L, 19919L, 48842L, 15124L, 3405L, 14864L, 59447L, 16072L, 
    1790L, 14629L, 29413L, 6544L, 834L, 5098L, 3391L, 1681L, 
    539L, 1259L, 41834L, 14998L, 4778L, 11694L, 60137L, 16592L, 
    4315L, 10268L, 68326L, 14786L, 3292L, 10147L, 35758L, 8400L, 
    1661L, 7558L, 3629L, 10594L, 714L, 3648L, 34824L, 92915L, 
    2577L, 16519L, 32535L, 73466L, 1918L, 11923L, 33875L, 55834L, 
    1207L, 12134L, 22312L, 41915L, 1006L, 9789L, 2252L, 9069L, 
    540L, 2596L, 24156L, 107914L, 3045L, 15823L, 27448L, 75347L, 
    2570L, 13126L, 27268L, 50581L, 2630L, 12510L, 13805L, 38200L, 
    1758L, 14435L, 436L, 7390L, 490L, 2448L, 703L, 17815L, 895L, 
    4184L, 319L, 12399L, 138L, 2044L, 371L, 16037L, 285L, 2511L, 
    194L, 17159L, 107L, 2917L, 101L, 4290L, 1748L, 7951L, 777L, 
    20288L, 3283L, 15327L, 86L, 9883L, 697L, 4552L, 146L, 8879L, 
    65L, 3398L, 100L, 7480L, 152L, 4063L, 241L, 29L, 2361L, 1914L, 
    247L, 559L, 4610L, 6787L, 100L, 548L, 5889L, 11828L, 398L, 
    763L, 1845L, 8324L, 209L, 239L, 107L, 865L, 280L, 0L, 1962L, 
    1298L, 285L, 131L, 2581L, 4234L, 353L, 807L, 5034L, 9131L, 
    457L, 1323L, 2015L, 8254L, 364L, 631L, 128L, 1358L, 1021L, 
    201L, 184L, 892L, 3851L, 1767L, 527L, 2805L, 4721L, 1615L, 
    581L, 1793L, 18374L, 4866L, 805L, 4429L, 18251L, 3647L, 600L, 
    2397L, 776L, 167L, 0L, 344L, 4529L, 1166L, 366L, 1189L, 8526L, 
    2424L, 760L, 968L, 23662L, 4035L, 879L, 2314L, 17079L, 4504L, 
    840L, 1864L, 536L, 1270L, 58L, 695L, 4043L, 9606L, 383L, 
    2789L, 5335L, 13536L, 663L, 2064L, 17528L, 24684L, 540L, 
    4168L, 24226L, 34135L, 860L, 4039L, 644L, 1392L, 105L, 328L, 
    4931L, 16050L, 318L, 1906L, 6467L, 19907L, 112L, 2220L, 15058L, 
    23509L, 552L, 2755L, 14096L, 25955L, 1158L, 3319L, 55L, 1841L, 
    40L, 506L, 263L, 3786L, 82L, 556L, 140L, 3190L, 9L, 420L, 
    365L, 7115L, 152L, 1363L, 408L, 8640L, 21L, 1414L, 54L, 1466L, 
    325L, 1318L, 280L, 5303L, 1026L, 3022L, 90L, 3581L, 75L, 
    1185L, 0L, 3879L, 119L, 1201L, 0L, 3062L, 203L, 1526L, 126L, 
    335L, 1466L, 3661L, 151L, 47L, 3277L, 5760L, 221L, 279L, 
    804L, 2792L, 0L, 0L, 0L, 293L, 0L, 0L, 0L, 44L, 73L, 203L, 
    4588L, 3053L, 342L, 483L, 8984L, 4236L, 290L, 59L, 4389L, 
    3793L, 70L, 27L, 179L, 908L, 0L, 0L, 0L, 412L, 493L, 555L, 
    922L, 2364L, 897L, 314L, 1305L, 5795L, 403L, 99L, 455L, 1407L, 
    112L, 0L, 72L, 277L, 20L, 153L, 0L, 90L, 324L, 511L, 4775L, 
    3416L, 916L, 1052L, 11114L, 3926L, 1039L, 183L, 5041L, 2308L, 
    75L, 39L, 380L, 475L, 21L, 79L, 194L, 94L, 193L, 1386L, 941L, 
    4730L, 452L, 1263L, 765L, 7495L, 451L, 889L, 529L, 3406L, 
    0L, 30L, 33L, 861L, 0L, 260L, 0L, 710L, 99L, 1165L, 1433L, 
    9026L, 584L, 2077L, 2276L, 12484L, 254L, 917L, 1519L, 6763L, 
    0L, 142L, 378L, 918L, 51L, 35L, 0L, 452L, 30L, 1857L, 209L, 
    5121L, 33L, 1392L, 0L, 3170L, 0L, 128L, 106L, 1052L, 0L, 
    66L, 0L, 308L, 0L, 15L, 0L, 93L, 0L, 1044L, 253L, 14681L, 
    0L, 1187L, 0L, 10679L, 0L, 310L, 0L, 2733L, 0L, 37L, 108L, 
    290L, 0L, 38L, 47L, 306L, 0L, 126L, 1925L, 2036L, 320L, 352L, 
    2619L, 5366L, 234L, 296L, 1351L, 3624L, 76L, 47L, 0L, 710L, 
    0L, 0L, 32L, 291L, 397L, 140L, 1290L, 1644L, 585L, 159L, 
    4114L, 4334L, 367L, 185L, 3334L, 4508L, 197L, 192L, 513L, 
    1123L, 0L, 0L, 27L, 373L, 566L, 546L, 704L, 2205L, 2285L, 
    822L, 1892L, 5394L, 1014L, 466L, 981L, 2699L, 388L, 103L, 
    188L, 1103L, 117L, 39L, 0L, 273L, 472L, 320L, 1622L, 1397L, 
    1185L, 595L, 7596L, 5172L, 1039L, 579L, 6269L, 3904L, 679L, 
    0L, 781L, 1257L, 0L, 191L, 591L, 436L, 240L, 879L, 206L, 
    3192L, 916L, 2936L, 1034L, 5677L, 586L, 1437L, 519L, 3230L, 
    84L, 303L, 63L, 674L, 28L, 214L, 0L, 566L, 277L, 946L, 596L, 
    2865L, 399L, 3184L, 2456L, 10192L, 712L, 2504L, 1353L, 6216L, 
    60L, 548L, 333L, 1447L, 75L, 122L, 0L, 616L, 0L, 4033L, 132L, 
    2550L, 0L, 2353L, 124L, 2645L, 0L, 744L, 0L, 989L, 0L, 360L, 
    0L, 110L, 0L, 35L, 0L, 45L, 0L, 1905L, 0L, 3943L, 0L, 2567L, 
    38L, 4847L, 0L, 887L, 0L, 2282L, 0L, 37L, 0L, 980L, 0L, 192L, 
    0L, 426L, 235L, 274L, 1961L, 2629L, 948L, 537L, 3567L, 6487L, 
    487L, 73L, 2232L, 4912L, 405L, 302L, 340L, 907L, 0L, 0L, 
    34L, 53L, 61L, 0L, 1065L, 1246L, 552L, 301L, 3715L, 3816L, 
    1190L, 516L, 2022L, 4267L, 413L, 96L, 825L, 2388L, 72L, 276L, 
    155L, 256L, 634L, 434L, 309L, 2202L, 4440L, 1711L, 2221L, 
    5491L, 4141L, 1941L, 1381L, 3408L, 1410L, 587L, 436L, 1883L, 
    427L, 349L, 116L, 492L, 586L, 36L, 344L, 845L, 3606L, 1423L, 
    2631L, 3717L, 4428L, 1399L, 3733L, 3512L, 1183L, 235L, 986L, 
    2815L, 287L, 270L, 574L, 890L, 586L, 2188L, 100L, 1507L, 
    2029L, 5195L, 1110L, 5701L, 1510L, 2905L, 525L, 2789L, 679L, 
    575L, 219L, 1356L, 303L, 403L, 81L, 678L, 259L, 1505L, 641L, 
    1615L, 1118L, 6302L, 1049L, 7561L, 945L, 3518L, 1250L, 6805L, 
    255L, 550L, 516L, 2021L, 150L, 458L, 388L, 1658L, 29L, 1959L, 
    151L, 1128L, 113L, 2806L, 116L, 811L, 0L, 1290L, 63L, 234L, 
    0L, 564L, 0L, 76L, 0L, 285L, 0L, 43L, 0L, 1029L, 327L, 2834L, 
    35L, 1648L, 254L, 2804L, 0L, 744L, 112L, 1393L, 0L, 479L, 
    43L, 438L, 0L, 280L, 0L, 468L, 0L, 99L, 730L, 1053L, 240L, 
    114L, 1643L, 3537L, 143L, 83L, 850L, 3162L, 88L, 67L, 50L, 
    1005L, 0L, 0L, 40L, 98L, 0L, 0L, 288L, 686L, 223L, 148L, 
    1789L, 2723L, 204L, 150L, 826L, 3894L, 349L, 115L, 761L, 
    2111L, 17L, 0L, 46L, 1085L, 185L, 49L, 90L, 619L, 2970L, 
    1739L, 801L, 2911L, 2605L, 864L, 818L, 1770L, 1667L, 737L, 
    323L, 727L, 994L, 98L, 60L, 668L, 0L, 188L, 359L, 267L, 1664L, 
    835L, 768L, 1092L, 2894L, 823L, 636L, 1468L, 1807L, 727L, 
    643L, 1007L, 1491L, 527L, 153L, 889L, 122L, 1471L, 52L, 704L, 
    1476L, 4510L, 495L, 1845L, 1504L, 3732L, 114L, 840L, 905L, 
    1443L, 31L, 1049L, 688L, 967L, 248L, 619L, 224L, 1099L, 176L, 
    652L, 676L, 3841L, 729L, 3546L, 1205L, 3713L, 269L, 2048L, 
    847L, 1370L, 121L, 1183L, 378L, 1586L, 230L, 1844L, 0L, 352L, 
    43L, 147L, 15L, 1089L, 103L, 382L, 0L, 818L, 0L, 232L, 0L, 
    214L, 0L, 181L, 0L, 483L, 0L, 281L, 0L, 133L, 128L, 1715L, 
    0L, 619L, 152L, 1290L, 0L, 439L, 25L, 401L, 0L, 172L, 0L, 
    97L, 49L, 271L, 0L, 263L, 0L, 0L, 60L, 137L, 0L, 0L, 229L, 
    645L, 0L, 0L, 105L, 376L, 0L, 0L, 71L, 340L, 0L, 0L, 0L, 
    58L, 0L, 0L, 224L, 93L, 0L, 0L, 37L, 350L, 94L, 0L, 113L, 
    543L, 0L, 0L, 97L, 312L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 127L, 
    25L, 52L, 0L, 278L, 306L, 154L, 40L, 38L, 638L, 96L, 188L, 
    101L, 973L, 114L, 0L, 87L, 46L, 0L, 0L, 35L, 66L, 30L, 0L, 
    290L, 185L, 108L, 110L, 321L, 758L, 37L, 123L, 131L, 880L, 
    271L, 31L, 261L, 0L, 161L, 0L, 63L, 172L, 380L, 0L, 132L, 
    179L, 398L, 24L, 142L, 245L, 497L, 0L, 240L, 476L, 319L, 
    0L, 96L, 48L, 94L, 44L, 105L, 71L, 398L, 0L, 87L, 86L, 293L, 
    0L, 105L, 245L, 342L, 0L, 285L, 241L, 593L, 70L, 108L, 0L, 
    53L, 0L, 39L, 51L, 61L, 0L, 0L, 0L, 64L, 0L, 0L, 31L, 49L, 
    0L, 0L, 35L, 119L, 0L, 0L, 0L, 31L, 0L, 43L, 39L, 0L, 0L, 
    208L, 31L, 0L, 0L, 0L, 0L, 54L, 48L, 45L, 0L, 34L, 0L, 45L, 
    473L, 28L, 1312L, 1814L, 431L, 143L, 834L, 1494L, 15L, 40L, 
    173L, 1688L, 0L, 0L, 0L, 268L, 0L, 0L, 0L, 120L, 428L, 0L, 
    2501L, 1382L, 216L, 196L, 2214L, 1458L, 159L, 88L, 1331L, 
    1150L, 0L, 59L, 0L, 314L, 0L, 0L, 0L, 26L, 918L, 606L, 828L, 
    1215L, 817L, 161L, 294L, 1701L, 155L, 68L, 235L, 211L, 61L, 
    0L, 0L, 92L, 0L, 0L, 0L, 185L, 628L, 239L, 3821L, 1388L, 
    1094L, 0L, 3467L, 1012L, 492L, 92L, 1188L, 375L, 79L, 0L, 
    35L, 43L, 0L, 0L, 0L, 0L, 365L, 1118L, 202L, 2404L, 117L, 
    350L, 100L, 909L, 0L, 102L, 150L, 232L, 0L, 29L, 101L, 37L, 
    0L, 0L, 0L, 0L, 221L, 1098L, 593L, 3870L, 153L, 636L, 361L, 
    1999L, 95L, 273L, 384L, 791L, 5L, 0L, 0L, 125L, 0L, 0L, 37L, 
    43L, 0L, 1808L, 0L, 1435L, 0L, 181L, 19L, 67L, 0L, 39L, 0L, 
    192L, 0L, 17L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1061L, 201L, 2880L, 
    0L, 230L, 0L, 905L, 0L, 15L, 0L, 141L, 0L, 0L, 0L, 94L, 0L, 
    29L, 0L, 60L, 182L, 129L, 2141L, 1392L, 674L, 80L, 1089L, 
    1510L, 28L, 133L, 359L, 456L, 0L, 160L, 0L, 284L, 0L, 30L, 
    0L, 0L, 334L, 0L, 1630L, 425L, 634L, 231L, 1662L, 1155L, 
    626L, 207L, 1069L, 917L, 42L, 115L, 106L, 239L, 41L, 49L, 
    0L, 266L, 1719L, 170L, 628L, 1137L, 1742L, 374L, 621L, 1545L, 
    1193L, 326L, 405L, 405L, 143L, 0L, 134L, 223L, 29L, 0L, 0L, 
    0L, 881L, 158L, 1502L, 601L, 1203L, 293L, 1248L, 900L, 880L, 
    208L, 1507L, 655L, 706L, 27L, 336L, 88L, 0L, 33L, 165L, 33L, 
    665L, 803L, 128L, 1527L, 402L, 1080L, 0L, 978L, 196L, 81L, 
    124L, 424L, 131L, 60L, 69L, 65L, 41L, 78L, 0L, 0L, 343L, 
    1144L, 234L, 1008L, 531L, 702L, 704L, 518L, 142L, 710L, 109L, 
    675L, 89L, 147L, 38L, 150L, 41L, 101L, 0L, 29L, 0L, 699L, 
    104L, 324L, 0L, 519L, 0L, 261L, 0L, 189L, 0L, 0L, 0L, 193L, 
    0L, 0L, 0L, 109L, 0L, 0L, 0L, 381L, 184L, 750L, 0L, 273L, 
    0L, 509L, 0L, 167L, 0L, 107L, 0L, 55L, 0L, 107L, 0L, 63L, 
    0L, 42L, 679L, 55L, 1122L, 1221L, 352L, 379L, 1544L, 2182L, 
    690L, 92L, 249L, 1838L, 97L, 63L, 69L, 391L, 0L, 35L, 0L, 
    22L, 594L, 568L, 336L, 465L, 843L, 340L, 1121L, 1773L, 1152L, 
    362L, 533L, 1138L, 135L, 48L, 159L, 329L, 10L, 181L, 98L, 
    62L, 1150L, 197L, 518L, 467L, 2565L, 879L, 1010L, 1645L, 
    1267L, 401L, 320L, 960L, 565L, 282L, 0L, 400L, 125L, 142L, 
    0L, 96L, 824L, 234L, 616L, 247L, 2057L, 518L, 735L, 573L, 
    1786L, 382L, 1026L, 909L, 442L, 273L, 156L, 84L, 446L, 204L, 
    31L, 160L, 847L, 1214L, 152L, 1052L, 733L, 1547L, 48L, 521L, 
    601L, 460L, 34L, 1083L, 216L, 224L, 35L, 315L, 41L, 104L, 
    32L, 0L, 553L, 1052L, 101L, 618L, 275L, 1818L, 620L, 594L, 
    220L, 701L, 159L, 447L, 58L, 66L, 98L, 424L, 93L, 64L, 0L, 
    113L, 0L, 534L, 35L, 70L, 0L, 265L, 0L, 47L, 32L, 186L, 122L, 
    0L, 0L, 70L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 210L, 382L, 542L, 
    0L, 268L, 0L, 256L, 0L, 205L, 0L, 56L, 0L, 50L, 0L, 0L, 0L, 
    39L, 0L, 0L, 167L, 0L, 358L, 575L, 96L, 32L, 840L, 1197L, 
    83L, 127L, 316L, 944L, 94L, 119L, 104L, 327L, 93L, 0L, 0L, 
    0L, 40L, 26L, 525L, 571L, 84L, 120L, 356L, 636L, 411L, 143L, 
    306L, 864L, 119L, 129L, 192L, 298L, 67L, 95L, 0L, 101L, 430L, 
    200L, 100L, 200L, 1467L, 238L, 661L, 1052L, 1291L, 589L, 
    77L, 736L, 673L, 198L, 0L, 67L, 368L, 155L, 0L, 178L, 65L, 
    225L, 28L, 0L, 1175L, 109L, 348L, 335L, 1719L, 213L, 110L, 
    195L, 1372L, 309L, 168L, 274L, 322L, 82L, 52L, 86L, 357L, 
    574L, 0L, 352L, 624L, 977L, 0L, 229L, 854L, 873L, 40L, 178L, 
    606L, 456L, 96L, 90L, 664L, 235L, 0L, 58L, 155L, 612L, 0L, 
    152L, 471L, 892L, 101L, 356L, 465L, 937L, 0L, 195L, 283L, 
    397L, 26L, 201L, 300L, 274L, 189L, 303L, 0L, 41L, 0L, 111L, 
    39L, 139L, 13L, 38L, 83L, 196L, 0L, 55L, 0L, 184L, 27L, 31L, 
    0L, 180L, 0L, 0L, 0L, 89L, 86L, 172L, 0L, 62L, 77L, 101L, 
    0L, 119L, 55L, 106L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 
    0L, 10L, 99L, 143L, 193L, 168L, 66L, 0L, 0L, 440L, 82L, 0L, 
    210L, 0L, 168L, 0L, 25L, 0L, 19L, 0L, 95L, 99L, 0L, 0L, 28L, 
    148L, 0L, 0L, 0L, 185L, 208L, 0L, 0L, 44L, 76L, 0L, 0L, 0L, 
    0L, 70L, 0L, 0L, 0L, 39L, 81L, 0L, 0L, 67L, 0L, 0L, 40L, 
    312L, 30L, 0L, 208L, 289L, 147L, 50L, 52L, 29L, 0L, 48L, 
    41L, 38L, 14L, 0L, 44L, 246L, 36L, 42L, 28L, 436L, 113L, 
    193L, 17L, 242L, 170L, 0L, 53L, 24L, 39L, 0L, 83L, 115L, 
    22L, 0L, 28L, 201L, 290L, 0L, 41L, 103L, 163L, 0L, 248L, 
    296L, 292L, 0L, 0L, 0L, 63L, 47L, 0L, 29L, 300L, 65L, 0L, 
    407L, 144L, 0L, 0L, 212L, 275L, 0L, 0L, 160L, 189L, 24L, 
    14L, 0L, 11L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 121L, 0L, 0L, 0L, 0L, 78L, 52L, 0L, 31L, 
    125L, 0L, 51L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    41L, 0L, 151L, 574L, 0L, 0L, 285L, 645L, 66L, 28L, 126L, 
    2779L, 0L, 120L, 0L, 531L, 0L, 56L, 0L, 53L, 77L, 33L, 429L, 
    245L, 70L, 38L, 739L, 745L, 75L, 27L, 486L, 2127L, 57L, 169L, 
    24L, 557L, 0L, 25L, 0L, 46L, 287L, 0L, 186L, 436L, 138L, 
    93L, 94L, 1040L, 168L, 26L, 23L, 635L, 0L, 0L, 0L, 148L, 
    0L, 48L, 0L, 108L, 63L, 86L, 344L, 470L, 375L, 107L, 1063L, 
    761L, 309L, 150L, 604L, 465L, 73L, 0L, 84L, 324L, 30L, 0L, 
    30L, 115L, 170L, 577L, 67L, 1990L, 73L, 500L, 21L, 1404L, 
    57L, 183L, 59L, 1256L, 41L, 173L, 0L, 532L, 0L, 0L, 0L, 139L, 
    38L, 488L, 185L, 2223L, 50L, 775L, 389L, 3471L, 116L, 286L, 
    297L, 2252L, 108L, 53L, 82L, 667L, 0L, 145L, 93L, 132L, 0L, 
    1986L, 0L, 2597L, 0L, 942L, 0L, 1656L, 0L, 416L, 0L, 622L, 
    0L, 177L, 0L, 105L, 0L, 122L, 0L, 123L, 0L, 1747L, 0L, 8499L, 
    0L, 1387L, 0L, 7057L, 0L, 535L, 0L, 2260L, 0L, 0L, 0L, 727L, 
    0L, 146L, 0L, 394L, 115L, 0L, 710L, 1177L, 209L, 252L, 448L, 
    2063L, 113L, 123L, 153L, 2491L, 24L, 41L, 34L, 1030L, 0L, 
    60L, 0L, 335L, 156L, 52L, 214L, 383L, 322L, 155L, 834L, 1132L, 
    175L, 252L, 799L, 2799L, 47L, 198L, 59L, 1114L, 97L, 25L, 
    0L, 119L, 398L, 147L, 121L, 586L, 677L, 319L, 476L, 2350L, 
    459L, 271L, 288L, 1031L, 248L, 173L, 27L, 488L, 219L, 23L, 
    0L, 234L, 118L, 53L, 109L, 553L, 811L, 223L, 1223L, 1001L, 
    773L, 550L, 1734L, 1008L, 409L, 64L, 262L, 576L, 122L, 90L, 
    84L, 183L, 252L, 1218L, 0L, 1002L, 294L, 1572L, 54L, 3030L, 
    294L, 1061L, 74L, 1827L, 81L, 336L, 37L, 775L, 52L, 118L, 
    23L, 465L, 242L, 987L, 148L, 1398L, 175L, 3146L, 389L, 2919L, 
    119L, 1025L, 166L, 2689L, 129L, 379L, 240L, 896L, 0L, 204L, 
    0L, 611L, 21L, 3378L, 33L, 1670L, 0L, 3744L, 41L, 1324L, 
    55L, 1621L, 0L, 766L, 0L, 915L, 0L, 398L, 0L, 458L, 0L, 193L, 
    0L, 2895L, 0L, 2561L, 0L, 4410L, 0L, 4443L, 23L, 1067L, 0L, 
    2346L, 0L, 501L, 0L, 1226L, 0L, 244L, 0L, 552L, 23L, 103L, 
    1052L, 1714L, 311L, 335L, 929L, 3411L, 465L, 394L, 966L, 
    4231L, 175L, 492L, 0L, 1267L, 0L, 181L, 0L, 117L, 127L, 0L, 
    470L, 548L, 519L, 238L, 1164L, 1587L, 1040L, 792L, 1394L, 
    3292L, 237L, 903L, 105L, 2266L, 22L, 139L, 0L, 597L, 777L, 
    139L, 332L, 822L, 5609L, 1379L, 500L, 2648L, 3392L, 1390L, 
    246L, 2918L, 1786L, 350L, 120L, 1727L, 618L, 161L, 0L, 724L, 
    336L, 243L, 131L, 452L, 4808L, 1151L, 976L, 1652L, 4161L, 
    1379L, 1158L, 1608L, 2727L, 622L, 833L, 2125L, 686L, 228L, 
    172L, 1267L, 427L, 2246L, 137L, 782L, 2275L, 4947L, 87L, 
    4011L, 1405L, 3926L, 211L, 2015L, 965L, 2536L, 79L, 2038L, 
    382L, 978L, 52L, 714L, 431L, 2203L, 75L, 566L, 1683L, 6553L, 
    415L, 2831L, 1178L, 4987L, 515L, 4482L, 501L, 1800L, 540L, 
    1830L, 344L, 1155L, 222L, 2086L, 36L, 2061L, 26L, 536L, 0L, 
    3327L, 0L, 941L, 0L, 2682L, 0L, 740L, 21L, 1773L, 0L, 604L, 
    0L, 1365L, 0L, 355L, 41L, 1946L, 356L, 1416L, 0L, 3733L, 
    249L, 2311L, 0L, 1782L, 28L, 976L, 0L, 1078L, 38L, 587L, 
    0L, 400L, 34L, 942L, 16L, 136L, 768L, 1206L, 271L, 247L, 
    1798L, 4708L, 252L, 391L, 1194L, 5469L, 293L, 709L, 204L, 
    2898L, 48L, 399L, 0L, 230L, 0L, 0L, 353L, 303L, 429L, 305L, 
    1584L, 2592L, 342L, 440L, 1854L, 4633L, 481L, 965L, 281L, 
    3095L, 159L, 679L, 175L, 710L, 949L, 186L, 88L, 561L, 4426L, 
    1515L, 428L, 2514L, 4913L, 1714L, 490L, 2506L, 4645L, 1574L, 
    323L, 2548L, 2897L, 550L, 22L, 568L, 388L, 46L, 47L, 160L, 
    3969L, 1258L, 796L, 1507L, 5790L, 1259L, 474L, 1682L, 6297L, 
    1731L, 803L, 1295L, 3505L, 1338L, 352L, 1322L, 549L, 1209L, 
    53L, 803L, 2342L, 6678L, 394L, 1106L, 3002L, 7136L, 309L, 
    1868L, 3055L, 6106L, 140L, 2028L, 1768L, 3792L, 61L, 1633L, 
    200L, 1423L, 108L, 179L, 1458L, 7807L, 384L, 1603L, 2733L, 
    8260L, 420L, 2371L, 2409L, 4611L, 264L, 1342L, 1438L, 3591L, 
    226L, 2110L, 0L, 756L, 28L, 261L, 16L, 1477L, 55L, 475L, 
    0L, 1208L, 0L, 129L, 44L, 1519L, 128L, 181L, 134L, 1553L, 
    0L, 270L, 0L, 580L, 327L, 1015L, 52L, 2054L, 434L, 1572L, 
    0L, 1064L, 51L, 598L, 0L, 995L, 94L, 445L, 0L, 833L, 0L, 
    584L, 0L, 0L, 268L, 148L, 0L, 0L, 480L, 841L, 0L, 0L, 714L, 
    1491L, 51L, 66L, 228L, 1082L, 0L, 33L, 0L, 30L, 0L, 0L, 59L, 
    218L, 0L, 21L, 297L, 457L, 0L, 31L, 306L, 950L, 39L, 167L, 
    85L, 767L, 29L, 182L, 0L, 394L, 327L, 27L, 244L, 105L, 471L, 
    133L, 466L, 436L, 896L, 239L, 91L, 340L, 1569L, 944L, 52L, 
    485L, 1494L, 259L, 32L, 343L, 68L, 0L, 0L, 187L, 545L, 86L, 
    213L, 35L, 1034L, 385L, 147L, 380L, 2307L, 459L, 48L, 164L, 
    1714L, 537L, 0L, 627L, 79L, 174L, 33L, 116L, 309L, 1022L, 
    86L, 475L, 915L, 1218L, 60L, 366L, 1428L, 3063L, 23L, 377L, 
    2104L, 3224L, 68L, 310L, 163L, 160L, 52L, 63L, 469L, 1338L, 
    0L, 194L, 532L, 2133L, 283L, 298L, 1055L, 2491L, 93L, 317L, 
    1479L, 3049L, 19L, 492L, 0L, 202L, 34L, 0L, 161L, 398L, 0L, 
    222L, 28L, 324L, 18L, 14L, 0L, 753L, 28L, 138L, 38L, 1178L, 
    0L, 213L, 39L, 323L, 99L, 150L, 66L, 544L, 169L, 310L, 0L, 
    498L, 0L, 60L, 0L, 588L, 0L, 151L, 0L, 491L, 0L, 155L, 0L, 
    0L, 207L, 108L, 0L, 0L, 37L, 68L, 0L, 0L, 0L, 137L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 136L, 0L, 468L, 25L, 0L, 0L, 232L, 
    168L, 61L, 0L, 40L, 134L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 
    52L, 0L, 0L, 0L, 0L, 0L, 0L, 72L, 0L, 0L, 0L, 85L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 161L, 40L, 0L, 0L, 406L, 
    25L, 0L, 138L, 119L, 63L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 159L, 62L, 80L, 0L, 268L, 105L, 0L, 0L, 20L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 26L, 174L, 0L, 55L, 
    0L, 40L, 0L, 0L, 16L, 170L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 32L, 
    0L, 0L, 0L, 52L, 0L, 56L, 0L, 79L, 0L, 0L, 0L, 49L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 0L, 219L, 0L, 16L, 0L, 196L, 
    0L, 0L, 0L, 85L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    61L, 0L, 0L, 0L, 0L, 279L, 0L, 0L, 89L, 184L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 180L, 106L, 
    0L, 0L, 251L, 367L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 150L, 45L, 
    0L, 41L, 0L, 102L, 0L, 78L, 101L, 127L, 52L, 28L, 275L, 71L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 83L, 0L, 75L, 0L, 286L, 
    286L, 95L, 50L, 467L, 0L, 0L, 0L, 0L, 70L, 0L, 0L, 0L, 0L, 
    0L, 68L, 0L, 0L, 76L, 24L, 0L, 111L, 50L, 51L, 0L, 101L, 
    0L, 70L, 51L, 0L, 0L, 0L, 0L, 22L, 0L, 16L, 0L, 88L, 0L, 
    34L, 0L, 78L, 0L, 22L, 24L, 189L, 0L, 0L, 36L, 0L, 0L, 0L, 
    0L, 31L, 0L, 82L, 0L, 57L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 19L, 0L, 62L, 
    30L, 19L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 0L, 0L, 0L, 
    36L, 0L, 0L, 154L, 0L, 0L, 59L, 375L, 30L, 0L, 77L, 71L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 0L, 0L, 0L, 
    0L, 104L, 19L, 25L, 99L, 160L, 70L, 0L, 41L, 19L, 0L, 0L, 
    0L, 162L, 21L, 0L, 0L, 0L, 615L, 0L, 63L, 209L, 42L, 24L, 
    0L, 218L, 83L, 0L, 0L, 128L, 0L, 0L, 0L, 35L, 32L, 0L, 0L, 
    56L, 325L, 102L, 97L, 41L, 263L, 0L, 75L, 93L, 49L, 0L, 0L, 
    27L, 0L, 21L, 22L, 0L, 0L, 40L, 0L, 28L, 0L, 187L, 26L, 208L, 
    49L, 180L, 0L, 84L, 34L, 63L, 0L, 213L, 0L, 36L, 0L, 32L, 
    0L, 121L, 15L, 0L, 0L, 67L, 0L, 47L, 43L, 196L, 93L, 156L, 
    0L, 0L, 0L, 126L, 0L, 32L, 12L, 0L, 0L, 32L, 0L, 0L, 0L, 
    111L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 
    0L, 0L, 29L, 0L, 61L, 0L, 31L, 0L, 18L, 0L, 25L, 0L, 28L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 
    219L, 93L, 0L, 0L, 162L, 201L, 0L, 0L, 0L, 202L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 241L, 41L, 0L, 0L, 33L, 349L, 
    0L, 26L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 159L, 0L, 0L, 0L, 
    27L, 97L, 211L, 65L, 0L, 104L, 103L, 0L, 0L, 87L, 56L, 0L, 
    0L, 0L, 0L, 0L, 27L, 0L, 37L, 0L, 148L, 0L, 159L, 0L, 0L, 
    20L, 286L, 0L, 0L, 0L, 71L, 0L, 21L, 0L, 95L, 0L, 0L, 0L, 
    66L, 136L, 0L, 174L, 108L, 204L, 0L, 26L, 170L, 107L, 0L, 
    0L, 30L, 40L, 0L, 36L, 0L, 20L, 0L, 38L, 32L, 194L, 28L, 
    53L, 118L, 274L, 0L, 236L, 96L, 67L, 38L, 0L, 0L, 97L, 22L, 
    112L, 0L, 0L, 0L, 0L, 0L, 53L, 51L, 0L, 25L, 130L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 133L, 0L, 36L, 0L, 43L, 139L, 0L, 0L, 
    0L, 0L, 149L, 0L, 0L, 0L, 17L, 0L, 19L, 0L, 0L, 0L, 20L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 38L, 0L, 
    0L, 0L, 0L, 41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 106L, 0L, 0L, 136L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    126L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 143L, 0L, 0L, 25L, 
    0L, 0L, 0L, 15L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 0L, 17L, 
    0L, 0L, 0L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    14L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 
    0L, 0L, 9L, 0L, 0L, 0L, 15L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 226L, 232L, 171L, 0L, 
    293L, 84L, 0L, 0L, 82L, 213L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 176L, 0L, 797L, 118L, 14L, 0L, 295L, 279L, 0L, 0L, 431L, 
    128L, 0L, 0L, 0L, 227L, 0L, 0L, 0L, 0L, 162L, 0L, 0L, 390L, 
    83L, 0L, 111L, 44L, 0L, 0L, 94L, 0L, 0L, 0L, 0L, 0L, 77L, 
    0L, 0L, 0L, 26L, 0L, 593L, 44L, 33L, 0L, 472L, 75L, 129L, 
    0L, 151L, 21L, 34L, 0L, 23L, 33L, 0L, 51L, 0L, 0L, 116L, 
    30L, 51L, 234L, 0L, 146L, 0L, 104L, 0L, 0L, 0L, 240L, 60L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 87L, 29L, 0L, 568L, 50L, 0L, 
    150L, 412L, 47L, 149L, 54L, 141L, 0L, 28L, 44L, 0L, 0L, 0L, 
    0L, 0L, 0L, 106L, 0L, 293L, 0L, 23L, 0L, 0L, 0L, 0L, 0L, 
    56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 551L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 
    0L, 80L, 0L, 286L, 173L, 44L, 46L, 167L, 255L, 107L, 0L, 
    118L, 291L, 0L, 0L, 0L, 44L, 0L, 0L, 0L, 0L, 60L, 0L, 191L, 
    210L, 19L, 0L, 84L, 90L, 70L, 53L, 212L, 322L, 0L, 32L, 0L, 
    156L, 0L, 0L, 0L, 39L, 285L, 0L, 70L, 179L, 222L, 85L, 57L, 
    93L, 115L, 35L, 105L, 101L, 80L, 0L, 0L, 93L, 0L, 0L, 0L, 
    0L, 454L, 125L, 179L, 41L, 271L, 94L, 118L, 108L, 61L, 54L, 
    334L, 49L, 121L, 0L, 40L, 161L, 0L, 0L, 66L, 0L, 121L, 71L, 
    80L, 117L, 331L, 25L, 27L, 98L, 27L, 32L, 0L, 43L, 0L, 19L, 
    0L, 0L, 0L, 0L, 0L, 0L, 42L, 165L, 24L, 313L, 72L, 53L, 236L, 
    41L, 0L, 0L, 0L, 31L, 19L, 0L, 0L, 33L, 26L, 23L, 0L, 0L, 
    0L, 0L, 0L, 0L, 47L, 20L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 54L, 0L, 0L, 0L, 27L, 
    0L, 55L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 
    163L, 75L, 121L, 49L, 305L, 238L, 25L, 0L, 18L, 116L, 0L, 
    0L, 77L, 94L, 0L, 0L, 0L, 0L, 65L, 64L, 212L, 0L, 52L, 76L, 
    168L, 458L, 104L, 34L, 113L, 183L, 27L, 0L, 140L, 93L, 46L, 
    0L, 0L, 0L, 291L, 221L, 20L, 98L, 500L, 63L, 137L, 182L, 
    98L, 106L, 38L, 24L, 240L, 94L, 23L, 0L, 90L, 24L, 0L, 0L, 
    34L, 0L, 44L, 0L, 643L, 24L, 37L, 158L, 448L, 70L, 253L, 
    48L, 262L, 75L, 110L, 0L, 43L, 0L, 0L, 101L, 78L, 251L, 0L, 
    72L, 67L, 258L, 0L, 266L, 88L, 136L, 0L, 80L, 11L, 0L, 0L, 
    31L, 29L, 86L, 0L, 22L, 134L, 344L, 0L, 44L, 44L, 391L, 104L, 
    117L, 16L, 89L, 0L, 81L, 0L, 26L, 64L, 0L, 0L, 0L, 0L, 0L, 
    42L, 180L, 0L, 54L, 0L, 0L, 0L, 59L, 0L, 0L, 0L, 24L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 346L, 128L, 136L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 48L, 13L, 22L, 46L, 70L, 165L, 65L, 84L, 106L, 68L, 0L, 
    25L, 0L, 145L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 71L, 23L, 0L, 
    162L, 96L, 121L, 0L, 26L, 62L, 0L, 0L, 0L, 91L, 0L, 0L, 0L, 
    0L, 54L, 0L, 111L, 130L, 183L, 0L, 103L, 62L, 134L, 110L, 
    0L, 82L, 274L, 30L, 0L, 0L, 151L, 0L, 0L, 0L, 70L, 148L, 
    0L, 0L, 154L, 245L, 46L, 45L, 119L, 0L, 65L, 106L, 246L, 
    85L, 0L, 57L, 122L, 22L, 0L, 183L, 130L, 274L, 0L, 132L, 
    66L, 86L, 0L, 106L, 0L, 27L, 0L, 0L, 21L, 176L, 0L, 116L, 
    0L, 0L, 0L, 0L, 0L, 79L, 0L, 0L, 0L, 150L, 0L, 0L, 27L, 223L, 
    22L, 24L, 0L, 63L, 0L, 36L, 0L, 138L, 0L, 294L, 0L, 20L, 
    0L, 58L, 0L, 26L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 100L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 0L, 35L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 99L, 0L, 0L, 0L, 23L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 0L, 0L, 0L, 42L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 97L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 46L, 0L, 21L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 
    0L, 0L, 24L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 23L, 0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 86L, 0L, 0L, 0L, 0L, 0L, 905L, 
    484L, 1074L, 2243L, 1067L, 669L, 892L, 4185L, 402L, 419L, 
    456L, 8369L, 47L, 296L, 0L, 2795L, 26L, 34L, 0L, 322L, 1419L, 
    196L, 2044L, 1557L, 1560L, 694L, 2709L, 2995L, 958L, 630L, 
    1971L, 8094L, 214L, 130L, 255L, 2401L, 63L, 18L, 0L, 291L, 
    2171L, 672L, 1154L, 2628L, 1691L, 535L, 853L, 3474L, 1224L, 
    157L, 368L, 1710L, 449L, 35L, 189L, 1074L, 213L, 25L, 0L, 
    397L, 1519L, 723L, 2129L, 2340L, 2398L, 1036L, 3517L, 3061L, 
    1285L, 384L, 3468L, 1833L, 515L, 34L, 477L, 737L, 156L, 55L, 
    167L, 340L, 711L, 4416L, 129L, 6774L, 1054L, 3202L, 148L, 
    7093L, 446L, 2900L, 215L, 4779L, 249L, 873L, 0L, 1448L, 28L, 
    597L, 40L, 493L, 287L, 5271L, 1026L, 7137L, 708L, 5166L, 
    959L, 11083L, 527L, 2583L, 762L, 7206L, 143L, 1109L, 248L, 
    1464L, 23L, 541L, 143L, 896L, 55L, 8173L, 66L, 7421L, 24L, 
    4181L, 34L, 3417L, 20L, 2218L, 0L, 1616L, 0L, 490L, 0L, 913L, 
    0L, 624L, 28L, 277L, 0L, 5581L, 86L, 23062L, 0L, 4756L, 24L, 
    21929L, 0L, 1628L, 0L, 9076L, 0L, 591L, 0L, 2034L, 0L, 201L, 
    0L, 937L, 1619L, 841L, 2472L, 4269L, 2618L, 1711L, 2485L, 
    7289L, 2322L, 1051L, 1102L, 9061L, 383L, 1276L, 86L, 3145L, 
    31L, 373L, 0L, 365L, 1349L, 201L, 2444L, 2197L, 4255L, 1880L, 
    3586L, 6035L, 3341L, 1753L, 2447L, 6768L, 574L, 1402L, 289L, 
    4698L, 164L, 345L, 0L, 1101L, 3168L, 1036L, 1713L, 3688L, 
    7140L, 2040L, 2336L, 8845L, 5495L, 2073L, 976L, 6679L, 1906L, 
    429L, 194L, 2150L, 568L, 127L, 0L, 381L, 2499L, 1333L, 1616L, 
    1790L, 7561L, 2373L, 3463L, 3664L, 6833L, 1231L, 4485L, 4938L, 
    1932L, 502L, 1247L, 2768L, 578L, 90L, 417L, 1040L, 1392L, 
    7600L, 453L, 4976L, 2712L, 11840L, 729L, 8713L, 1532L, 7544L, 
    673L, 6846L, 619L, 2282L, 214L, 2669L, 129L, 910L, 108L, 
    887L, 549L, 7990L, 510L, 4047L, 1505L, 17305L, 1776L, 10792L, 
    1513L, 8648L, 1242L, 10051L, 536L, 2506L, 549L, 3444L, 63L, 
    897L, 136L, 1938L, 69L, 13214L, 44L, 3129L, 27L, 14344L, 
    15L, 3513L, 50L, 8412L, 0L, 2087L, 0L, 4089L, 26L, 1565L, 
    0L, 1429L, 44L, 669L, 5L, 8993L, 134L, 8217L, 0L, 15376L, 
    137L, 12245L, 0L, 6489L, 55L, 8156L, 0L, 2269L, 0L, 3742L, 
    0L, 611L, 10L, 1800L, 1012L, 749L, 2414L, 5261L, 3716L, 2786L, 
    3591L, 11710L, 3740L, 3124L, 2664L, 11926L, 1099L, 2226L, 
    332L, 4872L, 256L, 841L, 146L, 759L, 985L, 497L, 2296L, 2957L, 
    4393L, 2414L, 3575L, 9345L, 7389L, 3931L, 4109L, 9228L, 2295L, 
    3835L, 509L, 5243L, 615L, 1057L, 50L, 1202L, 4739L, 1594L, 
    610L, 3755L, 18249L, 6348L, 2183L, 9346L, 18554L, 4910L, 
    1525L, 8278L, 10437L, 2709L, 783L, 4781L, 3366L, 878L, 115L, 
    1834L, 3346L, 1085L, 729L, 1287L, 16827L, 6585L, 2761L, 4996L, 
    22285L, 4498L, 3953L, 5439L, 11530L, 2284L, 1571L, 3352L, 
    3076L, 882L, 469L, 2224L, 1934L, 10107L, 365L, 2713L, 7212L, 
    24519L, 681L, 7795L, 6451L, 22504L, 543L, 8204L, 3476L, 9296L, 
    262L, 4302L, 1376L, 3976L, 158L, 2518L, 1009L, 8211L, 366L, 
    1874L, 4337L, 33495L, 1244L, 7854L, 4275L, 24639L, 1678L, 
    9434L, 2423L, 8592L, 1042L, 4966L, 1005L, 3878L, 498L, 4269L, 
    100L, 6337L, 47L, 2099L, 99L, 12804L, 91L, 2190L, 191L, 12314L, 
    4L, 1845L, 66L, 9220L, 185L, 1411L, 45L, 5620L, 0L, 1125L, 
    101L, 4649L, 413L, 4327L, 0L, 13185L, 241L, 6790L, 22L, 9466L, 
    22L, 4063L, 0L, 4935L, 40L, 1952L, 0L, 2317L, 0L, 1668L, 
    290L, 125L, 1659L, 2776L, 711L, 1044L, 4387L, 10319L, 1615L, 
    1489L, 4267L, 10274L, 1000L, 1897L, 479L, 4355L, 267L, 537L, 
    37L, 653L, 494L, 104L, 1200L, 1635L, 1382L, 1256L, 2205L, 
    5605L, 2449L, 1666L, 3785L, 7356L, 1863L, 2988L, 617L, 4517L, 
    897L, 1236L, 31L, 496L, 1774L, 1033L, 257L, 1200L, 11463L, 
    3853L, 864L, 4116L, 15091L, 4878L, 521L, 4644L, 15752L, 4382L, 
    432L, 3814L, 7013L, 1915L, 77L, 1087L, 1111L, 1021L, 427L, 
    811L, 9485L, 3737L, 437L, 2075L, 17877L, 4946L, 916L, 2354L, 
    18581L, 5238L, 1426L, 2306L, 9670L, 2818L, 477L, 1360L, 1108L, 
    4047L, 97L, 708L, 5811L, 16984L, 434L, 3368L, 8225L, 23996L, 
    422L, 3789L, 9288L, 18355L, 378L, 3359L, 5538L, 11497L, 200L, 
    1972L, 213L, 2645L, 306L, 775L, 3358L, 20885L, 254L, 2983L, 
    6696L, 27457L, 875L, 3747L, 6384L, 13663L, 382L, 2574L, 3758L, 
    11779L, 202L, 2659L, 9L, 1425L, 198L, 381L, 61L, 4142L, 73L, 
    936L, 31L, 4830L, 57L, 842L, 85L, 7994L, 51L, 840L, 31L, 
    6623L, 25L, 638L, 32L, 1447L, 218L, 1514L, 52L, 4881L, 624L, 
    2789L, 119L, 4943L, 445L, 1777L, 0L, 4208L, 84L, 960L, 0L, 
    2314L, 185L, 807L, 100L, 111L, 253L, 396L, 35L, 59L, 791L, 
    1232L, 181L, 27L, 1301L, 1735L, 93L, 182L, 167L, 994L, 0L, 
    259L, 0L, 194L, 50L, 0L, 326L, 351L, 33L, 161L, 442L, 451L, 
    267L, 220L, 913L, 1570L, 282L, 517L, 249L, 673L, 159L, 172L, 
    0L, 113L, 171L, 69L, 0L, 36L, 1050L, 462L, 314L, 614L, 1328L, 
    591L, 34L, 492L, 4254L, 1540L, 213L, 926L, 3014L, 707L, 121L, 
    856L, 257L, 119L, 0L, 69L, 1035L, 364L, 188L, 252L, 2270L, 
    695L, 106L, 362L, 5496L, 1744L, 115L, 452L, 3173L, 663L, 
    69L, 99L, 163L, 329L, 0L, 101L, 617L, 2123L, 0L, 349L, 1158L, 
    4131L, 33L, 369L, 4464L, 8580L, 146L, 852L, 4723L, 7650L, 
    76L, 823L, 71L, 442L, 97L, 30L, 668L, 3283L, 136L, 262L, 
    1385L, 6513L, 71L, 516L, 3611L, 7532L, 37L, 436L, 2973L, 
    6186L, 127L, 445L, 0L, 399L, 24L, 95L, 65L, 624L, 0L, 267L, 
    32L, 1210L, 33L, 232L, 84L, 2964L, 0L, 422L, 115L, 3009L, 
    23L, 377L, 0L, 375L, 60L, 383L, 0L, 992L, 106L, 817L, 26L, 
    1295L, 40L, 689L, 32L, 1835L, 69L, 429L, 0L, 1026L, 0L, 236L, 
    184L, 210L, 2956L, 5512L, 314L, 199L, 2127L, 4996L, 122L, 
    156L, 845L, 2316L, 0L, 0L, 29L, 441L, 0L, 0L, 0L, 348L, 395L, 
    258L, 6697L, 3285L, 342L, 603L, 8393L, 5385L, 177L, 270L, 
    6367L, 5213L, 4L, 77L, 730L, 1163L, 0L, 0L, 58L, 141L, 532L, 
    254L, 523L, 3503L, 1651L, 511L, 1120L, 4546L, 231L, 262L, 
    262L, 1474L, 128L, 0L, 0L, 262L, 83L, 99L, 28L, 18L, 502L, 
    528L, 4038L, 3474L, 1183L, 621L, 10375L, 4328L, 1061L, 481L, 
    5045L, 1805L, 100L, 50L, 562L, 726L, 0L, 0L, 373L, 63L, 326L, 
    2641L, 306L, 9875L, 658L, 3181L, 158L, 6837L, 202L, 908L, 
    0L, 1881L, 194L, 145L, 0L, 579L, 38L, 0L, 0L, 156L, 109L, 
    3061L, 1618L, 11440L, 536L, 3159L, 2390L, 12892L, 261L, 721L, 
    1487L, 5387L, 27L, 392L, 74L, 1004L, 0L, 32L, 19L, 151L, 
    93L, 4993L, 165L, 6885L, 0L, 1333L, 109L, 2145L, 30L, 249L, 
    46L, 467L, 0L, 59L, 0L, 152L, 0L, 24L, 0L, 133L, 0L, 3259L, 
    275L, 19215L, 0L, 1620L, 67L, 6384L, 0L, 612L, 0L, 1936L, 
    0L, 0L, 0L, 641L, 0L, 73L, 0L, 397L, 108L, 184L, 2372L, 5395L, 
    1341L, 342L, 3408L, 8883L, 333L, 203L, 1154L, 4666L, 0L, 
    94L, 366L, 712L, 111L, 0L, 36L, 195L, 397L, 328L, 1097L, 
    2323L, 884L, 430L, 5420L, 6179L, 798L, 294L, 5043L, 5737L, 
    424L, 45L, 751L, 1465L, 20L, 0L, 76L, 249L, 782L, 327L, 1020L, 
    2780L, 4677L, 1531L, 2401L, 6837L, 2439L, 1000L, 980L, 2374L, 
    501L, 0L, 171L, 556L, 35L, 416L, 0L, 275L, 606L, 376L, 1496L, 
    2330L, 3815L, 1200L, 5597L, 5304L, 2879L, 738L, 6636L, 3273L, 
    363L, 94L, 1622L, 1251L, 25L, 21L, 533L, 466L, 1024L, 4116L, 
    597L, 4909L, 1967L, 6442L, 863L, 7990L, 1053L, 2590L, 204L, 
    2194L, 126L, 901L, 78L, 644L, 0L, 271L, 0L, 198L, 162L, 4563L, 
    625L, 4871L, 1263L, 5945L, 2192L, 9905L, 743L, 3392L, 1846L, 
    5853L, 176L, 501L, 335L, 2066L, 29L, 335L, 118L, 757L, 93L, 
    3642L, 89L, 2362L, 0L, 2295L, 80L, 640L, 0L, 759L, 0L, 545L, 
    0L, 354L, 0L, 163L, 0L, 195L, 28L, 59L, 29L, 2657L, 96L, 
    6258L, 52L, 1840L, 30L, 2073L, 0L, 469L, 21L, 979L, 0L, 398L, 
    0L, 563L, 0L, 331L, 0L, 679L, 123L, 115L, 1957L, 3710L, 926L, 
    1089L, 4467L, 9078L, 1078L, 351L, 2200L, 4818L, 276L, 206L, 
    239L, 725L, 134L, 0L, 0L, 143L, 385L, 17L, 1197L, 1733L, 
    1208L, 444L, 2550L, 4500L, 1083L, 578L, 2884L, 5658L, 411L, 
    540L, 493L, 1776L, 110L, 82L, 126L, 393L, 832L, 465L, 460L, 
    2938L, 8595L, 2582L, 2595L, 6309L, 5867L, 1468L, 636L, 2619L, 
    1052L, 417L, 383L, 987L, 472L, 55L, 0L, 433L, 859L, 376L, 
    552L, 1042L, 5341L, 1491L, 2543L, 3174L, 6819L, 1848L, 2726L, 
    3461L, 2279L, 803L, 1407L, 1965L, 840L, 221L, 407L, 733L, 
    890L, 3769L, 432L, 2309L, 3195L, 7727L, 371L, 3518L, 2300L, 
    4726L, 314L, 2913L, 687L, 1474L, 0L, 761L, 381L, 525L, 0L, 
    267L, 551L, 2864L, 309L, 2483L, 1713L, 8466L, 856L, 5192L, 
    1620L, 4839L, 1003L, 4579L, 778L, 1241L, 259L, 1535L, 289L, 
    853L, 263L, 1666L, 14L, 2526L, 0L, 1139L, 89L, 1322L, 63L, 
    517L, 13L, 1112L, 37L, 439L, 28L, 573L, 42L, 40L, 0L, 291L, 
    0L, 109L, 0L, 813L, 473L, 3440L, 121L, 1331L, 36L, 1201L, 
    0L, 825L, 22L, 485L, 0L, 552L, 0L, 531L, 0L, 355L, 0L, 410L, 
    0L, 118L, 691L, 902L, 264L, 140L, 1725L, 3457L, 192L, 181L, 
    1323L, 3256L, 108L, 30L, 52L, 428L, 0L, 0L, 0L, 63L, 60L, 
    0L, 289L, 367L, 188L, 124L, 1054L, 1329L, 379L, 339L, 292L, 
    2647L, 185L, 63L, 175L, 1002L, 29L, 0L, 0L, 283L, 311L, 72L, 
    54L, 430L, 2393L, 488L, 701L, 1757L, 2781L, 844L, 488L, 1080L, 
    2216L, 502L, 32L, 159L, 872L, 277L, 32L, 454L, 147L, 106L, 
    0L, 42L, 1880L, 633L, 473L, 1245L, 3318L, 916L, 655L, 1748L, 
    2006L, 471L, 229L, 500L, 1801L, 388L, 114L, 223L, 146L, 1030L, 
    112L, 492L, 1993L, 3976L, 39L, 1910L, 2012L, 3632L, 99L, 
    728L, 1186L, 1517L, 87L, 340L, 300L, 1301L, 80L, 229L, 25L, 
    622L, 40L, 388L, 847L, 3738L, 141L, 1440L, 1163L, 3092L, 
    0L, 1026L, 1032L, 1797L, 71L, 697L, 490L, 1438L, 41L, 681L, 
    0L, 333L, 0L, 194L, 30L, 630L, 0L, 93L, 0L, 418L, 0L, 76L, 
    27L, 319L, 0L, 23L, 0L, 306L, 0L, 47L, 0L, 237L, 193L, 886L, 
    0L, 403L, 0L, 631L, 0L, 313L, 39L, 176L, 0L, 272L, 0L, 216L, 
    0L, 284L, 0L, 228L, 0L, 0L, 12L, 87L, 0L, 0L, 35L, 112L, 
    31L, 0L, 310L, 164L, 0L, 0L, 0L, 153L, 0L, 0L, 0L, 40L, 20L, 
    38L, 0L, 97L, 0L, 0L, 0L, 0L, 0L, 0L, 148L, 30L, 0L, 0L, 
    25L, 22L, 23L, 0L, 0L, 27L, 0L, 0L, 0L, 115L, 357L, 183L, 
    0L, 171L, 24L, 65L, 0L, 91L, 98L, 36L, 0L, 219L, 199L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 158L, 0L, 0L, 0L, 0L, 137L, 24L, 
    198L, 65L, 38L, 60L, 139L, 224L, 0L, 18L, 112L, 0L, 0L, 0L, 
    0L, 235L, 90L, 0L, 38L, 0L, 270L, 0L, 39L, 241L, 135L, 0L, 
    75L, 268L, 350L, 0L, 89L, 0L, 33L, 0L, 24L, 80L, 126L, 0L, 
    26L, 38L, 41L, 0L, 27L, 352L, 279L, 0L, 28L, 185L, 431L, 
    0L, 0L, 0L, 42L, 0L, 35L, 0L, 40L, 0L, 0L, 0L, 56L, 0L, 0L, 
    0L, 85L, 0L, 0L, 0L, 102L, 0L, 0L, 0L, 0L, 0L, 69L, 0L, 64L, 
    0L, 47L, 0L, 22L, 0L, 88L, 0L, 60L, 0L, 23L, 0L, 42L, 84L, 
    19L, 80L, 30L, 64L, 77L, 14L, 0L, 62L, 290L, 10L, 0L, 0L, 
    27L, 17L, 0L, 18L, 85L, 0L, 0L, 0L, 0L, 69L, 20L, 23L, 85L, 
    7L, 0L, 138L, 178L, 73L, 36L, 77L, 167L, 0L, 0L, 0L, 10L, 
    0L, 0L, 0L, 15L, 91L, 48L, 59L, 29L, 213L, 39L, 40L, 15L, 
    63L, 0L, 0L, 52L, 0L, 0L, 13L, 31L, 0L, 0L, 0L, 0L, 177L, 
    0L, 7L, 92L, 23L, 22L, 157L, 113L, 100L, 67L, 71L, 125L, 
    54L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 28L, 32L, 177L, 0L, 
    0L, 0L, 83L, 0L, 23L, 0L, 33L, 0L, 0L, 0L, 24L, 0L, 79L, 
    0L, 0L, 23L, 0L, 51L, 60L, 0L, 59L, 0L, 152L, 18L, 78L, 74L, 
    185L, 0L, 0L, 22L, 32L, 0L, 0L, 0L, 38L, 0L, 62L, 0L, 0L, 
    0L, 26L, 0L, 0L, 0L, 70L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 65L, 0L, 220L, 0L, 24L, 0L, 159L, 0L, 49L, 0L, 
    33L, 0L, 0L, 0L, 131L, 0L, 0L, 0L, 0L, 32L, 29L, 198L, 246L, 
    118L, 188L, 27L, 278L, 22L, 14L, 69L, 181L, 0L, 7L, 0L, 0L, 
    0L, 0L, 0L, 0L, 205L, 86L, 0L, 57L, 141L, 60L, 165L, 159L, 
    90L, 155L, 106L, 102L, 20L, 26L, 0L, 35L, 0L, 0L, 0L, 0L, 
    171L, 88L, 116L, 152L, 487L, 136L, 57L, 502L, 203L, 0L, 66L, 
    169L, 154L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 114L, 0L, 92L, 40L, 
    161L, 97L, 85L, 157L, 210L, 31L, 97L, 133L, 99L, 41L, 0L, 
    0L, 16L, 0L, 51L, 0L, 125L, 217L, 0L, 24L, 0L, 97L, 0L, 176L, 
    33L, 13L, 0L, 234L, 42L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 
    47L, 0L, 99L, 20L, 66L, 94L, 136L, 0L, 134L, 10L, 88L, 0L, 
    42L, 0L, 0L, 0L, 9L, 0L, 230L, 0L, 178L, 0L, 0L, 0L, 138L, 
    0L, 0L, 29L, 329L, 0L, 46L, 0L, 33L, 0L, 0L, 0L, 10L, 0L, 
    0L, 0L, 143L, 25L, 140L, 0L, 182L, 0L, 36L, 0L, 27L, 0L, 
    35L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 36L, 84L, 228L, 23L, 232L, 
    32L, 141L, 143L, 203L, 39L, 32L, 93L, 150L, 6L, 0L, 17L, 
    63L, 0L, 0L, 0L, 0L, 59L, 42L, 90L, 90L, 71L, 80L, 243L, 
    172L, 131L, 165L, 126L, 163L, 61L, 66L, 0L, 86L, 0L, 0L, 
    0L, 0L, 258L, 153L, 89L, 19L, 102L, 169L, 0L, 84L, 534L, 
    263L, 65L, 87L, 169L, 105L, 19L, 146L, 0L, 0L, 0L, 110L, 
    58L, 105L, 0L, 98L, 336L, 196L, 28L, 253L, 406L, 285L, 176L, 
    26L, 274L, 102L, 106L, 0L, 6L, 26L, 29L, 0L, 24L, 71L, 0L, 
    71L, 45L, 342L, 0L, 186L, 22L, 204L, 42L, 45L, 122L, 0L, 
    0L, 0L, 0L, 90L, 0L, 59L, 0L, 167L, 22L, 0L, 43L, 348L, 58L, 
    248L, 0L, 391L, 68L, 69L, 78L, 83L, 0L, 101L, 0L, 0L, 0L, 
    0L, 0L, 102L, 32L, 0L, 0L, 75L, 0L, 63L, 0L, 118L, 0L, 0L, 
    0L, 26L, 0L, 0L, 0L, 130L, 0L, 0L, 0L, 18L, 0L, 61L, 0L, 
    72L, 0L, 72L, 0L, 23L, 0L, 191L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 46L, 51L, 16L, 357L, 31L, 0L, 19L, 364L, 0L, 25L, 
    19L, 178L, 0L, 0L, 0L, 61L, 0L, 0L, 0L, 0L, 118L, 35L, 54L, 
    92L, 36L, 13L, 0L, 8L, 43L, 63L, 48L, 62L, 18L, 97L, 0L, 
    0L, 0L, 31L, 0L, 45L, 0L, 48L, 0L, 0L, 171L, 2L, 50L, 0L, 
    347L, 149L, 40L, 23L, 178L, 110L, 0L, 0L, 61L, 18L, 0L, 0L, 
    8L, 0L, 20L, 0L, 213L, 0L, 0L, 0L, 512L, 55L, 0L, 42L, 206L, 
    141L, 0L, 17L, 165L, 30L, 0L, 20L, 118L, 38L, 0L, 0L, 29L, 
    107L, 0L, 0L, 231L, 207L, 10L, 0L, 97L, 97L, 36L, 0L, 0L, 
    71L, 0L, 174L, 35L, 49L, 0L, 0L, 111L, 102L, 0L, 0L, 174L, 
    378L, 0L, 0L, 44L, 79L, 0L, 0L, 52L, 32L, 66L, 56L, 0L, 19L, 
    72L, 0L, 44L, 56L, 0L, 0L, 0L, 51L, 0L, 82L, 0L, 29L, 23L, 
    0L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 44L, 0L, 
    24L, 0L, 25L, 0L, 25L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 25L, 
    0L, 0L, 19L, 0L, 11L, 0L, 0L, 9L, 0L, 51L, 0L, 0L, 0L, 38L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 
    15L, 35L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 
    22L, 39L, 0L, 0L, 32L, 0L, 0L, 0L, 53L, 0L, 0L, 0L, 103L, 
    0L, 0L, 0L, 10L, 0L, 0L, 0L, 30L, 0L, 0L, 21L, 0L, 0L, 0L, 
    0L, 32L, 37L, 0L, 0L, 61L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 5L, 42L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 116L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 14L, 0L, 0L, 37L, 
    38L, 0L, 0L, 15L, 29L, 0L, 0L, 0L, 0L, 71L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 23L, 0L, 0L, 0L, 8L, 0L, 
    0L, 0L, 0L, 0L, 0L, 66L, 0L, 421L, 421L, 549L, 129L, 197L, 
    1362L, 0L, 146L, 229L, 2504L, 0L, 281L, 0L, 739L, 44L, 0L, 
    0L, 139L, 11L, 0L, 227L, 360L, 397L, 104L, 761L, 1681L, 449L, 
    25L, 1045L, 3737L, 16L, 202L, 42L, 1056L, 0L, 25L, 0L, 88L, 
    119L, 57L, 51L, 603L, 142L, 133L, 154L, 775L, 155L, 122L, 
    200L, 902L, 73L, 0L, 0L, 290L, 0L, 0L, 0L, 2L, 31L, 0L, 405L, 
    349L, 229L, 93L, 601L, 866L, 236L, 185L, 480L, 752L, 60L, 
    34L, 328L, 101L, 10L, 0L, 0L, 19L, 37L, 430L, 0L, 672L, 139L, 
    1242L, 118L, 2413L, 90L, 251L, 36L, 1225L, 0L, 342L, 0L, 
    394L, 0L, 0L, 0L, 169L, 95L, 260L, 27L, 824L, 64L, 1763L, 
    196L, 1985L, 41L, 726L, 136L, 1576L, 55L, 208L, 26L, 452L, 
    0L, 41L, 0L, 226L, 0L, 2885L, 25L, 2270L, 0L, 2084L, 0L, 
    1377L, 16L, 737L, 0L, 552L, 0L, 74L, 0L, 147L, 0L, 59L, 0L, 
    171L, 0L, 1461L, 0L, 5826L, 0L, 1966L, 0L, 6807L, 0L, 1194L, 
    0L, 2449L, 0L, 161L, 0L, 825L, 0L, 35L, 0L, 153L, 300L, 97L, 
    170L, 852L, 552L, 78L, 568L, 2497L, 698L, 508L, 354L, 3812L, 
    253L, 359L, 128L, 619L, 9L, 94L, 0L, 271L, 152L, 0L, 341L, 
    280L, 716L, 210L, 664L, 830L, 1074L, 347L, 653L, 3161L, 238L, 
    387L, 43L, 892L, 8L, 24L, 0L, 132L, 577L, 0L, 113L, 465L, 
    1502L, 469L, 593L, 1478L, 1617L, 241L, 895L, 1306L, 345L, 
    41L, 38L, 541L, 160L, 23L, 0L, 171L, 306L, 151L, 224L, 316L, 
    1509L, 613L, 997L, 872L, 2109L, 202L, 910L, 892L, 595L, 113L, 
    508L, 808L, 216L, 0L, 0L, 246L, 205L, 955L, 126L, 891L, 711L, 
    3741L, 130L, 3036L, 384L, 2103L, 85L, 1366L, 314L, 1174L, 
    44L, 939L, 76L, 398L, 8L, 428L, 26L, 714L, 0L, 605L, 389L, 
    4866L, 213L, 2827L, 322L, 2898L, 279L, 2650L, 249L, 654L, 
    251L, 1988L, 40L, 138L, 0L, 371L, 0L, 2897L, 0L, 821L, 12L, 
    5380L, 0L, 559L, 14L, 2207L, 44L, 466L, 0L, 399L, 0L, 311L, 
    0L, 821L, 17L, 197L, 0L, 1684L, 0L, 961L, 0L, 4557L, 0L, 
    3279L, 0L, 2539L, 0L, 2105L, 0L, 700L, 0L, 903L, 0L, 39L, 
    0L, 228L, 320L, 194L, 493L, 642L, 1175L, 959L, 1710L, 4239L, 
    1842L, 1270L, 824L, 3454L, 670L, 685L, 162L, 922L, 55L, 101L, 
    0L, 120L, 323L, 11L, 555L, 565L, 1097L, 798L, 559L, 1705L, 
    2232L, 936L, 1008L, 3065L, 1289L, 1477L, 237L, 1448L, 332L, 
    33L, 0L, 143L, 831L, 243L, 162L, 272L, 5978L, 997L, 974L, 
    1861L, 5915L, 1031L, 355L, 1621L, 2755L, 482L, 296L, 1180L, 
    1413L, 265L, 35L, 156L, 438L, 212L, 89L, 228L, 5030L, 1024L, 
    737L, 489L, 6008L, 1129L, 786L, 710L, 4700L, 967L, 361L, 
    637L, 918L, 174L, 136L, 442L, 388L, 1637L, 82L, 300L, 3204L, 
    8846L, 150L, 1947L, 1890L, 5279L, 249L, 1804L, 1017L, 3044L, 
    56L, 916L, 381L, 1469L, 86L, 295L, 153L, 866L, 0L, 105L, 
    1525L, 8496L, 233L, 2144L, 1921L, 7625L, 212L, 1391L, 1301L, 
    2546L, 89L, 1603L, 193L, 1538L, 0L, 591L, 27L, 1913L, 0L, 
    323L, 0L, 4398L, 0L, 804L, 0L, 1272L, 0L, 231L, 0L, 1137L, 
    0L, 397L, 0L, 1519L, 0L, 232L, 0L, 821L, 0L, 621L, 0L, 3109L, 
    0L, 1630L, 0L, 2089L, 12L, 513L, 0L, 1259L, 0L, 308L, 0L, 
    445L, 0L, 358L, 33L, 127L, 645L, 694L, 117L, 18L, 536L, 2611L, 
    445L, 101L, 861L, 1385L, 286L, 264L, 0L, 1264L, 71L, 11L, 
    0L, 49L, 64L, 23L, 370L, 417L, 223L, 67L, 617L, 984L, 819L, 
    101L, 673L, 1801L, 626L, 449L, 132L, 271L, 90L, 101L, 0L, 
    49L, 264L, 272L, 0L, 78L, 1611L, 753L, 534L, 807L, 2961L, 
    1035L, 152L, 854L, 4833L, 624L, 208L, 982L, 1673L, 349L, 
    31L, 222L, 226L, 16L, 0L, 26L, 1219L, 805L, 92L, 362L, 4016L, 
    754L, 383L, 288L, 5851L, 648L, 224L, 192L, 1619L, 496L, 42L, 
    37L, 257L, 619L, 7L, 13L, 1959L, 5406L, 59L, 170L, 1897L, 
    4379L, 75L, 354L, 2574L, 3880L, 12L, 545L, 1415L, 1920L, 
    30L, 120L, 224L, 717L, 7L, 69L, 1067L, 5374L, 22L, 276L, 
    2250L, 5782L, 146L, 145L, 1578L, 3382L, 42L, 196L, 455L, 
    1286L, 0L, 250L, 0L, 406L, 58L, 192L, 56L, 1262L, 0L, 270L, 
    0L, 1165L, 0L, 142L, 0L, 547L, 0L, 90L, 0L, 825L, 0L, 238L, 
    0L, 239L, 0L, 165L, 56L, 1181L, 30L, 271L, 0L, 943L, 0L, 
    389L, 0L, 474L, 0L, 169L, 0L, 125L, 0L, 75L, 17L, 0L, 164L, 
    101L, 0L, 0L, 93L, 133L, 0L, 0L, 339L, 349L, 0L, 0L, 0L, 
    221L, 0L, 90L, 0L, 4L, 0L, 0L, 32L, 89L, 12L, 0L, 184L, 125L, 
    30L, 45L, 49L, 599L, 0L, 15L, 31L, 38L, 0L, 24L, 0L, 0L, 
    33L, 0L, 2L, 9L, 288L, 70L, 70L, 137L, 570L, 59L, 0L, 14L, 
    628L, 71L, 0L, 0L, 265L, 62L, 0L, 184L, 31L, 0L, 0L, 0L, 
    194L, 154L, 0L, 11L, 506L, 107L, 0L, 11L, 845L, 112L, 0L, 
    0L, 411L, 51L, 0L, 137L, 33L, 234L, 0L, 2L, 148L, 528L, 0L, 
    172L, 272L, 1054L, 0L, 231L, 499L, 965L, 0L, 108L, 497L, 
    982L, 0L, 32L, 12L, 59L, 0L, 13L, 146L, 1033L, 0L, 141L, 
    372L, 1186L, 0L, 166L, 382L, 1129L, 57L, 0L, 193L, 521L, 
    0L, 57L, 0L, 39L, 0L, 32L, 0L, 266L, 0L, 55L, 44L, 361L, 
    0L, 0L, 0L, 206L, 0L, 0L, 0L, 579L, 47L, 64L, 0L, 47L, 0L, 
    117L, 0L, 140L, 0L, 31L, 0L, 306L, 0L, 75L, 0L, 257L, 0L, 
    15L, 0L, 155L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 144L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 67L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 102L, 
    0L, 112L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 112L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 
    11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 91L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 70L, 0L, 0L, 0L, 0L, 77L, 
    172L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 74L, 0L, 54L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 5L, 
    0L, 0L, 0L, 0L, 104L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 71L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    282L, 0L, 0L, 4L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 133L, 0L, 0L, 0L, 72L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 215L, 0L, 34L, 0L, 0L, 0L, 
    0L, 0L, 293L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    250L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 29L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 34L, 0L, 67L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 23L, 0L, 0L, 51L, 69L, 
    0L, 0L, 0L, 55L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    36L, 65L, 0L, 0L, 56L, 123L, 0L, 54L, 0L, 50L, 0L, 0L, 0L, 
    0L, 0L, 116L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 21L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 0L, 0L, 
    0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 42L, 0L, 10L, 0L, 0L, 0L, 35L, 0L, 
    0L, 0L, 5L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 223L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 216L, 230L, 58L, 
    0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 68L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 
    41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 36L, 0L, 0L, 9L, 
    68L, 0L, 49L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 
    0L, 0L, 0L, 12L, 31L, 111L, 60L, 45L, 0L, 9L, 55L, 0L, 0L, 
    84L, 0L, 0L, 0L, 49L, 0L, 0L, 23L, 0L, 56L, 28L, 26L, 0L, 
    26L, 20L, 0L, 0L, 62L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 60L, 0L, 0L, 37L, 58L, 0L, 78L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 108L, 0L, 0L, 195L, 0L, 0L, 
    7L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 
    26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 
    0L, 0L, 0L, 0L, 0L, 43L, 0L, 13L, 0L, 228L, 32L, 116L, 0L, 
    4L, 0L, 0L, 0L, 20L, 21L, 0L, 0L, 0L, 0L, 28L, 97L, 23L, 
    207L, 18L, 0L, 32L, 0L, 129L, 0L, 2L, 18L, 45L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 105L, 40L, 0L, 0L, 0L, 2L, 
    29L, 0L, 0L, 0L, 7L, 0L, 0L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 
    0L, 60L, 0L, 40L, 137L, 0L, 0L, 0L, 116L, 0L, 0L, 0L, 0L, 
    14L, 0L, 0L, 5L, 198L, 0L, 0L, 0L, 0L, 0L, 0L, 64L, 196L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 132L, 0L, 0L, 14L, 38L, 0L, 0L, 
    0L, 53L, 0L, 0L, 0L, 126L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 9L, 0L, 92L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 54L, 0L, 20L, 0L, 43L, 2L, 0L, 0L, 0L, 
    45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 106L, 0L, 0L, 0L, 0L, 0L, 0L, 109L, 0L, 0L, 0L, 63L, 
    0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 0L, 
    0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 73L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 58L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 112L, 3L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 2838L, 382L, 2561L, 4949L, 3529L, 915L, 4177L, 9680L, 
    960L, 864L, 349L, 13057L, 147L, 589L, 55L, 2698L, 96L, 133L, 
    0L, 547L, 2884L, 468L, 6667L, 4105L, 4969L, 1082L, 9247L, 
    8459L, 2298L, 919L, 4078L, 11306L, 435L, 498L, 472L, 3721L, 
    97L, 118L, 0L, 477L, 5192L, 2215L, 1857L, 7249L, 5597L, 1805L, 
    2478L, 8335L, 1936L, 541L, 1077L, 3779L, 374L, 370L, 28L, 
    1727L, 174L, 9L, 18L, 397L, 3933L, 2137L, 5789L, 4432L, 6730L, 
    2469L, 9389L, 7279L, 3287L, 632L, 6562L, 4161L, 825L, 146L, 
    770L, 1060L, 187L, 182L, 330L, 556L, 1779L, 12324L, 1355L, 
    15157L, 1950L, 8744L, 985L, 13142L, 618L, 3411L, 345L, 7023L, 
    449L, 1696L, 0L, 2340L, 181L, 369L, 0L, 559L, 928L, 12008L, 
    1551L, 18312L, 1196L, 13478L, 2404L, 22041L, 595L, 4665L, 
    1360L, 11414L, 220L, 1170L, 326L, 2592L, 49L, 538L, 44L, 
    891L, 169L, 19501L, 15L, 16946L, 110L, 7436L, 33L, 6715L, 
    116L, 3281L, 0L, 2584L, 0L, 1142L, 0L, 879L, 0L, 576L, 0L, 
    755L, 91L, 14323L, 134L, 52369L, 61L, 8935L, 66L, 34355L, 
    0L, 2712L, 30L, 13420L, 0L, 401L, 0L, 3135L, 0L, 177L, 0L, 
    1193L, 3420L, 799L, 3453L, 8147L, 9162L, 3426L, 5568L, 19782L, 
    3788L, 2189L, 2151L, 13207L, 811L, 1527L, 146L, 4836L, 140L, 
    60L, 0L, 740L, 3309L, 467L, 2597L, 3594L, 10342L, 3413L, 
    7125L, 10117L, 8178L, 3183L, 5432L, 10949L, 1646L, 2242L, 
    500L, 6774L, 236L, 364L, 31L, 1282L, 7134L, 2717L, 1215L, 
    7947L, 18340L, 5083L, 5121L, 15975L, 8608L, 2500L, 1547L, 
    8513L, 2742L, 1000L, 746L, 4161L, 933L, 262L, 99L, 954L, 
    4890L, 2490L, 2032L, 4328L, 16688L, 6253L, 7381L, 8201L, 
    10066L, 3368L, 7957L, 7989L, 3047L, 791L, 2311L, 4245L, 1236L, 
    213L, 668L, 1723L, 2937L, 18279L, 790L, 9953L, 4947L, 25093L, 
    1381L, 17947L, 3108L, 9727L, 607L, 10708L, 921L, 3636L, 335L, 
    4826L, 368L, 1605L, 156L, 1191L, 1676L, 16161L, 892L, 8998L, 
    3000L, 35211L, 2132L, 24532L, 2312L, 14039L, 1938L, 16430L, 
    480L, 2602L, 783L, 5833L, 169L, 1176L, 297L, 2799L, 358L, 
    27123L, 153L, 6385L, 142L, 24368L, 53L, 6095L, 0L, 11564L, 
    0L, 3365L, 42L, 4745L, 0L, 1675L, 0L, 2128L, 0L, 1128L, 11L, 
    18690L, 397L, 15154L, 21L, 26540L, 364L, 18610L, 34L, 8894L, 
    63L, 10068L, 0L, 2035L, 0L, 4276L, 0L, 788L, 33L, 2180L, 
    2200L, 927L, 3531L, 7274L, 9781L, 5971L, 7635L, 24644L, 7122L, 
    5897L, 4065L, 17709L, 2404L, 4954L, 291L, 6915L, 674L, 981L, 
    30L, 853L, 2932L, 1491L, 2247L, 3602L, 10993L, 4519L, 7026L, 
    12240L, 12525L, 7568L, 5375L, 15124L, 4366L, 7011L, 567L, 
    6753L, 925L, 1300L, 200L, 2091L, 7721L, 3648L, 1512L, 4811L, 
    37085L, 13166L, 5074L, 18077L, 30263L, 8846L, 2630L, 13533L, 
    14439L, 3899L, 590L, 7489L, 5388L, 1552L, 381L, 1907L, 5405L, 
    3265L, 1430L, 2641L, 33721L, 13360L, 4617L, 8213L, 35586L, 
    9089L, 6016L, 8623L, 15860L, 3792L, 3036L, 6650L, 6217L, 
    1716L, 719L, 2984L, 3729L, 16822L, 477L, 6361L, 11523L, 49036L, 
    2046L, 14502L, 9814L, 30015L, 1552L, 10390L, 4979L, 12565L, 
    223L, 6797L, 2194L, 5929L, 309L, 3707L, 1636L, 13632L, 444L, 
    4724L, 7333L, 59779L, 2426L, 14400L, 7089L, 33714L, 2149L, 
    14678L, 2827L, 9564L, 1053L, 8258L, 1439L, 5506L, 776L, 6326L, 
    182L, 10811L, 205L, 3186L, 135L, 21355L, 161L, 3169L, 92L, 
    14969L, 137L, 2461L, 30L, 7828L, 157L, 1710L, 29L, 6084L, 
    102L, 1341L, 162L, 8069L, 846L, 9144L, 138L, 20225L, 865L, 
    10016L, 21L, 11407L, 326L, 6573L, 52L, 4669L, 0L, 3791L, 
    0L, 2670L, 17L, 2670L, 557L, 302L, 2615L, 4976L, 2165L, 2408L, 
    5753L, 16782L, 1847L, 1735L, 6416L, 13030L, 1170L, 2996L, 
    646L, 5642L, 542L, 991L, 75L, 783L, 307L, 260L, 1491L, 2312L, 
    2425L, 2410L, 3731L, 8579L, 3491L, 2491L, 5618L, 10394L, 
    4101L, 4164L, 1001L, 4239L, 990L, 1928L, 17L, 1178L, 2329L, 
    1766L, 336L, 1365L, 16912L, 6330L, 1097L, 7215L, 21813L, 
    7261L, 1105L, 5289L, 22077L, 6428L, 398L, 5650L, 9443L, 2077L, 
    228L, 2167L, 1363L, 1074L, 290L, 814L, 14351L, 7276L, 504L, 
    3329L, 26011L, 7046L, 939L, 4246L, 25572L, 6133L, 1495L, 
    3720L, 12722L, 3829L, 782L, 1899L, 1337L, 6221L, 214L, 1405L, 
    8200L, 29263L, 464L, 5636L, 11176L, 32850L, 635L, 6176L, 
    12340L, 24143L, 484L, 4368L, 8160L, 16697L, 474L, 2849L, 
    449L, 5094L, 434L, 1059L, 5411L, 34537L, 868L, 4501L, 9167L, 
    37423L, 806L, 6117L, 8616L, 21031L, 350L, 4238L, 4318L, 13733L, 
    278L, 3365L, 22L, 2455L, 153L, 1093L, 195L, 6040L, 475L, 
    1402L, 53L, 6712L, 34L, 998L, 59L, 7835L, 92L, 1073L, 60L, 
    7081L, 0L, 790L, 96L, 1464L, 315L, 3644L, 70L, 6740L, 557L, 
    4125L, 33L, 6141L, 774L, 1500L, 0L, 3749L, 96L, 1158L, 33L, 
    2925L, 69L, 1102L, 39L, 80L, 372L, 878L, 258L, 363L, 1040L, 
    2597L, 37L, 126L, 2231L, 4733L, 115L, 271L, 225L, 1593L, 
    38L, 236L, 13L, 94L, 23L, 17L, 535L, 561L, 113L, 399L, 800L, 
    1513L, 253L, 286L, 1428L, 3000L, 481L, 636L, 382L, 1514L, 
    520L, 295L, 0L, 270L, 120L, 85L, 0L, 222L, 1755L, 1042L, 
    363L, 853L, 2431L, 822L, 202L, 486L, 7419L, 1544L, 82L, 1164L, 
    6041L, 1476L, 258L, 488L, 223L, 107L, 247L, 106L, 1285L, 
    770L, 96L, 388L, 5291L, 1193L, 194L, 951L, 10347L, 1746L, 
    185L, 739L, 4832L, 1443L, 258L, 531L, 157L, 868L, 52L, 276L, 
    1449L, 4097L, 21L, 947L, 2605L, 5909L, 122L, 1353L, 7899L, 
    13134L, 36L, 1510L, 6579L, 12104L, 82L, 2112L, 147L, 606L, 
    0L, 257L, 1205L, 6120L, 60L, 881L, 2988L, 9492L, 217L, 725L, 
    5532L, 12014L, 599L, 910L, 3496L, 8495L, 145L, 964L, 0L, 
    847L, 130L, 334L, 107L, 1946L, 0L, 155L, 50L, 2142L, 0L, 
    330L, 0L, 3109L, 0L, 492L, 79L, 3838L, 0L, 619L, 0L, 601L, 
    62L, 537L, 39L, 2829L, 198L, 1289L, 48L, 2356L, 88L, 990L, 
    0L, 1862L, 0L, 438L, 25L, 1059L, 32L, 346L, 85L, 38L, 1948L, 
    3464L, 453L, 192L, 1861L, 5856L, 385L, 115L, 977L, 4517L, 
    26L, 0L, 47L, 498L, 0L, 0L, 0L, 63L, 228L, 95L, 6037L, 2533L, 
    798L, 62L, 8104L, 5002L, 503L, 191L, 4756L, 4008L, 67L, 0L, 
    320L, 1082L, 0L, 0L, 0L, 109L, 616L, 357L, 620L, 3508L, 1235L, 
    506L, 1111L, 4854L, 384L, 114L, 385L, 1661L, 22L, 48L, 0L, 
    710L, 0L, 31L, 0L, 157L, 235L, 106L, 4043L, 1869L, 1444L, 
    401L, 7526L, 4468L, 464L, 213L, 4971L, 1800L, 94L, 0L, 617L, 
    864L, 0L, 0L, 139L, 229L, 71L, 1094L, 455L, 4150L, 265L, 
    1005L, 383L, 5907L, 112L, 315L, 89L, 2329L, 0L, 86L, 0L, 
    336L, 0L, 0L, 69L, 16L, 115L, 1198L, 1098L, 8216L, 158L, 
    1093L, 1512L, 8229L, 60L, 595L, 634L, 4764L, 12L, 23L, 178L, 
    473L, 0L, 73L, 0L, 315L, 0L, 2353L, 32L, 4001L, 0L, 632L, 
    0L, 2151L, 0L, 128L, 69L, 616L, 28L, 69L, 0L, 110L, 0L, 35L, 
    0L, 131L, 0L, 1719L, 187L, 11912L, 25L, 523L, 33L, 5083L, 
    0L, 240L, 0L, 2195L, 0L, 28L, 0L, 473L, 0L, 0L, 0L, 269L, 
    377L, 607L, 1499L, 3025L, 1246L, 130L, 2558L, 5686L, 707L, 
    100L, 1040L, 3949L, 0L, 72L, 122L, 725L, 0L, 0L, 0L, 242L, 
    379L, 26L, 1141L, 1774L, 1367L, 229L, 2773L, 4843L, 1549L, 
    257L, 3636L, 3808L, 148L, 0L, 919L, 2105L, 0L, 0L, 27L, 251L, 
    864L, 197L, 489L, 2886L, 2802L, 1184L, 1745L, 6792L, 1336L, 
    740L, 631L, 2752L, 145L, 122L, 327L, 909L, 0L, 88L, 0L, 153L, 
    268L, 182L, 1579L, 1575L, 2466L, 711L, 4606L, 3300L, 1943L, 
    952L, 5327L, 3646L, 230L, 155L, 1219L, 1337L, 0L, 0L, 912L, 
    373L, 430L, 1758L, 468L, 3046L, 784L, 3658L, 804L, 5589L, 
    324L, 1434L, 202L, 2923L, 91L, 271L, 17L, 910L, 81L, 45L, 
    46L, 167L, 86L, 1787L, 357L, 3666L, 443L, 3446L, 1780L, 7164L, 
    426L, 1685L, 1575L, 7428L, 192L, 536L, 210L, 1432L, 30L, 
    81L, 33L, 424L, 25L, 2541L, 216L, 1689L, 0L, 1132L, 35L, 
    792L, 0L, 371L, 0L, 286L, 0L, 34L, 0L, 106L, 0L, 226L, 0L, 
    74L, 0L, 1548L, 318L, 3627L, 0L, 960L, 24L, 1861L, 0L, 555L, 
    27L, 1604L, 0L, 71L, 0L, 448L, 0L, 152L, 0L, 474L, 58L, 21L, 
    2074L, 2008L, 620L, 395L, 3121L, 6461L, 1002L, 360L, 1353L, 
    4086L, 365L, 326L, 68L, 2399L, 35L, 77L, 0L, 144L, 31L, 0L, 
    607L, 1268L, 629L, 120L, 2220L, 3734L, 1608L, 419L, 1960L, 
    3778L, 795L, 196L, 438L, 1644L, 209L, 210L, 46L, 444L, 1119L, 
    435L, 331L, 1658L, 4963L, 1372L, 2333L, 4801L, 5271L, 970L, 
    1071L, 3199L, 1110L, 272L, 17L, 1319L, 491L, 84L, 32L, 426L, 
    648L, 504L, 905L, 835L, 3340L, 1419L, 1420L, 2194L, 5704L, 
    1606L, 2641L, 3310L, 1842L, 334L, 1049L, 1848L, 354L, 112L, 
    304L, 646L, 437L, 2005L, 258L, 1861L, 1918L, 5317L, 1238L, 
    3949L, 1788L, 3726L, 232L, 3164L, 525L, 1026L, 34L, 791L, 
    100L, 370L, 0L, 391L, 338L, 1198L, 478L, 1523L, 1111L, 4425L, 
    1153L, 4302L, 1068L, 4368L, 1078L, 4293L, 356L, 1381L, 453L, 
    2390L, 80L, 751L, 247L, 1646L, 0L, 1509L, 32L, 726L, 65L, 
    1329L, 0L, 417L, 65L, 780L, 0L, 356L, 0L, 417L, 0L, 124L, 
    0L, 449L, 0L, 94L, 0L, 897L, 308L, 1893L, 0L, 962L, 161L, 
    1101L, 29L, 554L, 34L, 611L, 0L, 580L, 0L, 613L, 0L, 440L, 
    0L, 482L, 0L, 50L, 461L, 1048L, 28L, 104L, 1382L, 3017L, 
    475L, 215L, 464L, 2490L, 156L, 213L, 238L, 773L, 126L, 57L, 
    0L, 26L, 0L, 103L, 314L, 550L, 84L, 52L, 789L, 1551L, 365L, 
    207L, 755L, 2494L, 245L, 113L, 283L, 1028L, 125L, 204L, 32L, 
    144L, 117L, 76L, 235L, 381L, 1948L, 915L, 829L, 1524L, 3208L, 
    627L, 331L, 1334L, 2201L, 700L, 127L, 372L, 614L, 330L, 0L, 
    206L, 275L, 55L, 26L, 196L, 1820L, 795L, 405L, 693L, 3690L, 
    820L, 836L, 1062L, 2169L, 705L, 303L, 703L, 1178L, 557L, 
    364L, 529L, 197L, 828L, 108L, 1048L, 1356L, 4009L, 320L, 
    1611L, 2251L, 3400L, 83L, 541L, 711L, 2020L, 41L, 639L, 510L, 
    923L, 0L, 340L, 32L, 283L, 177L, 694L, 308L, 2942L, 544L, 
    1052L, 1389L, 3243L, 232L, 1270L, 878L, 2064L, 377L, 452L, 
    487L, 1873L, 79L, 641L, 0L, 360L, 47L, 308L, 0L, 216L, 0L, 
    103L, 0L, 372L, 0L, 237L, 0L, 135L, 0L, 25L, 36L, 359L, 0L, 
    10L, 0L, 304L, 73L, 781L, 0L, 252L, 25L, 249L, 0L, 126L, 
    0L, 144L, 0L, 168L, 101L, 58L, 0L, 151L, 0L, 196L, 0L, 0L, 
    0L, 0L, 0L, 0L, 39L, 130L, 0L, 76L, 224L, 358L, 0L, 0L, 39L, 
    54L, 0L, 0L, 0L, 116L, 0L, 0L, 96L, 18L, 0L, 0L, 16L, 68L, 
    0L, 85L, 34L, 92L, 29L, 41L, 43L, 394L, 0L, 0L, 0L, 28L, 
    0L, 0L, 4L, 130L, 144L, 100L, 0L, 153L, 393L, 30L, 0L, 227L, 
    332L, 107L, 0L, 13L, 206L, 22L, 0L, 25L, 0L, 0L, 0L, 22L, 
    130L, 0L, 22L, 0L, 260L, 56L, 0L, 180L, 338L, 83L, 37L, 56L, 
    321L, 75L, 27L, 53L, 0L, 104L, 3L, 126L, 0L, 83L, 0L, 263L, 
    171L, 394L, 0L, 0L, 190L, 158L, 61L, 89L, 186L, 510L, 0L, 
    128L, 0L, 0L, 0L, 34L, 51L, 171L, 0L, 39L, 52L, 590L, 0L, 
    128L, 264L, 382L, 0L, 11L, 140L, 365L, 0L, 42L, 0L, 90L, 
    0L, 181L, 0L, 25L, 0L, 0L, 0L, 41L, 0L, 0L, 0L, 33L, 0L, 
    0L, 0L, 183L, 0L, 0L, 0L, 41L, 0L, 0L, 0L, 13L, 184L, 70L, 
    0L, 41L, 0L, 53L, 0L, 25L, 0L, 0L, 0L, 58L, 109L, 0L, 179L, 
    110L, 55L, 103L, 336L, 91L, 84L, 111L, 27L, 0L, 0L, 162L, 
    0L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 273L, 27L, 266L, 0L, 37L, 
    31L, 180L, 132L, 43L, 67L, 67L, 321L, 0L, 0L, 0L, 31L, 0L, 
    0L, 0L, 0L, 314L, 37L, 106L, 197L, 60L, 115L, 0L, 197L, 0L, 
    0L, 0L, 26L, 36L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 50L, 0L, 87L, 
    0L, 20L, 38L, 325L, 313L, 251L, 18L, 285L, 107L, 8L, 0L, 
    0L, 0L, 10L, 0L, 0L, 0L, 15L, 283L, 46L, 252L, 0L, 0L, 0L, 
    126L, 0L, 81L, 0L, 123L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    32L, 0L, 0L, 84L, 0L, 60L, 0L, 305L, 0L, 44L, 0L, 127L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 35L, 85L, 0L, 26L, 0L, 
    0L, 0L, 41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    72L, 0L, 395L, 0L, 35L, 0L, 195L, 0L, 108L, 0L, 96L, 0L, 
    30L, 0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 327L, 111L, 125L, 65L, 
    154L, 584L, 66L, 39L, 15L, 125L, 0L, 30L, 0L, 65L, 0L, 46L, 
    0L, 0L, 154L, 95L, 268L, 68L, 238L, 33L, 111L, 344L, 117L, 
    19L, 66L, 173L, 69L, 11L, 0L, 143L, 0L, 0L, 0L, 0L, 252L, 
    0L, 72L, 77L, 131L, 41L, 85L, 199L, 194L, 15L, 0L, 48L, 0L, 
    0L, 56L, 118L, 21L, 0L, 0L, 67L, 257L, 91L, 272L, 84L, 199L, 
    22L, 206L, 131L, 238L, 25L, 188L, 45L, 26L, 40L, 0L, 0L, 
    32L, 0L, 0L, 0L, 110L, 194L, 60L, 16L, 11L, 144L, 0L, 93L, 
    30L, 102L, 64L, 0L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 39L, 43L, 
    227L, 0L, 55L, 30L, 218L, 0L, 300L, 32L, 34L, 37L, 202L, 
    78L, 33L, 0L, 20L, 0L, 19L, 85L, 50L, 0L, 81L, 0L, 0L, 0L, 
    82L, 0L, 100L, 0L, 82L, 0L, 7L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 0L, 0L, 96L, 0L, 0L, 0L, 51L, 0L, 126L, 0L, 65L, 0L, 
    52L, 0L, 28L, 0L, 40L, 0L, 0L, 0L, 8L, 99L, 37L, 22L, 112L, 
    191L, 92L, 204L, 682L, 33L, 79L, 51L, 127L, 0L, 0L, 0L, 48L, 
    0L, 0L, 0L, 73L, 147L, 99L, 54L, 133L, 126L, 163L, 418L, 
    390L, 128L, 199L, 71L, 367L, 148L, 76L, 0L, 11L, 0L, 0L, 
    0L, 0L, 297L, 176L, 120L, 167L, 234L, 197L, 47L, 137L, 584L, 
    196L, 82L, 161L, 140L, 20L, 60L, 45L, 79L, 0L, 0L, 100L, 
    180L, 70L, 0L, 0L, 757L, 182L, 49L, 178L, 854L, 50L, 107L, 
    163L, 123L, 31L, 107L, 47L, 50L, 55L, 0L, 22L, 83L, 422L, 
    0L, 74L, 214L, 346L, 113L, 68L, 117L, 366L, 0L, 326L, 0L, 
    65L, 0L, 0L, 75L, 61L, 0L, 70L, 56L, 284L, 30L, 156L, 92L, 
    123L, 71L, 239L, 218L, 259L, 0L, 170L, 0L, 61L, 27L, 26L, 
    0L, 0L, 0L, 43L, 0L, 44L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 170L, 
    0L, 0L, 0L, 15L, 0L, 32L, 0L, 0L, 0L, 32L, 0L, 42L, 0L, 80L, 
    0L, 63L, 0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 36L, 
    0L, 0L, 0L, 11L, 122L, 62L, 0L, 82L, 113L, 114L, 34L, 11L, 
    100L, 85L, 32L, 23L, 0L, 160L, 0L, 12L, 0L, 0L, 0L, 25L, 
    10L, 41L, 0L, 0L, 31L, 69L, 18L, 17L, 57L, 118L, 0L, 118L, 
    0L, 41L, 0L, 44L, 0L, 0L, 165L, 60L, 0L, 23L, 32L, 101L, 
    136L, 421L, 340L, 102L, 21L, 261L, 193L, 65L, 0L, 26L, 179L, 
    26L, 0L, 0L, 59L, 111L, 0L, 0L, 70L, 130L, 0L, 85L, 548L, 
    165L, 0L, 37L, 446L, 116L, 0L, 130L, 120L, 59L, 0L, 16L, 
    18L, 63L, 0L, 121L, 87L, 230L, 0L, 24L, 182L, 202L, 0L, 0L, 
    84L, 378L, 49L, 18L, 62L, 32L, 0L, 39L, 45L, 107L, 0L, 0L, 
    87L, 202L, 0L, 0L, 153L, 263L, 38L, 0L, 147L, 57L, 0L, 68L, 
    0L, 64L, 0L, 18L, 0L, 0L, 114L, 0L, 0L, 47L, 0L, 0L, 0L, 
    42L, 0L, 36L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 87L, 
    0L, 0L, 0L, 0L, 23L, 0L, 17L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 61L, 0L, 0L, 0L, 
    89L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 0L, 
    0L, 60L, 44L, 0L, 0L, 0L, 0L, 0L, 29L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 
    0L, 0L, 34L, 86L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 
    0L, 0L, 0L, 0L, 0L, 89L, 0L, 26L, 101L, 22L, 17L, 0L, 0L, 
    102L, 0L, 0L, 0L, 31L, 22L, 0L, 75L, 0L, 0L, 0L, 0L, 114L, 
    0L, 0L, 40L, 114L, 192L, 0L, 0L, 23L, 53L, 0L, 0L, 0L, 29L, 
    0L, 23L, 0L, 138L, 0L, 0L, 108L, 104L, 0L, 0L, 39L, 213L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 60L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 2849L, 
    884L, 3717L, 7483L, 4787L, 1914L, 4407L, 16900L, 3010L, 1748L, 
    1747L, 45139L, 522L, 1104L, 81L, 8920L, 134L, 166L, 24L, 
    1027L, 3154L, 1375L, 7465L, 6768L, 5510L, 1658L, 10343L, 
    15772L, 5331L, 2971L, 8793L, 44869L, 765L, 1302L, 370L, 11182L, 
    132L, 91L, 71L, 1407L, 3672L, 1812L, 1481L, 6225L, 4703L, 
    2657L, 2694L, 14084L, 4140L, 1938L, 1889L, 10557L, 987L, 
    360L, 128L, 4437L, 494L, 258L, 107L, 1020L, 3444L, 1572L, 
    5107L, 4496L, 5229L, 2519L, 10772L, 8897L, 5827L, 2042L, 
    12162L, 9135L, 1783L, 463L, 1788L, 3165L, 308L, 142L, 269L, 
    1087L, 1322L, 7441L, 887L, 14146L, 2218L, 11571L, 852L, 22865L, 
    2037L, 10061L, 1380L, 21334L, 1240L, 3804L, 235L, 6925L, 
    479L, 1433L, 100L, 3204L, 715L, 10676L, 1677L, 17164L, 1344L, 
    16835L, 3113L, 31838L, 1550L, 11071L, 3182L, 29983L, 1005L, 
    3324L, 966L, 7894L, 143L, 951L, 283L, 3335L, 42L, 17867L, 
    55L, 19574L, 136L, 15832L, 149L, 14945L, 22L, 8943L, 0L, 
    9729L, 7L, 4061L, 0L, 4489L, 50L, 2092L, 0L, 1933L, 27L, 
    13485L, 259L, 60125L, 133L, 18011L, 265L, 70022L, 15L, 7372L, 
    127L, 40711L, 0L, 1952L, 80L, 8479L, 0L, 771L, 0L, 3824L, 
    2924L, 1150L, 5806L, 10213L, 12537L, 5183L, 7835L, 33438L, 
    10821L, 6839L, 3878L, 41049L, 1875L, 2781L, 334L, 13574L, 
    334L, 888L, 98L, 1370L, 5108L, 1811L, 5245L, 6339L, 13976L, 
    4755L, 9919L, 20433L, 16314L, 7437L, 11623L, 37360L, 2780L, 
    4507L, 1872L, 19279L, 362L, 504L, 148L, 2941L, 6503L, 2560L, 
    2221L, 7415L, 17905L, 7113L, 6228L, 21634L, 17995L, 5496L, 
    4629L, 22370L, 6313L, 1604L, 787L, 10921L, 1965L, 485L, 190L, 
    2718L, 7279L, 3150L, 3291L, 4875L, 15955L, 6897L, 12816L, 
    15690L, 20461L, 5451L, 18030L, 17021L, 6555L, 1603L, 4563L, 
    11572L, 1238L, 414L, 1066L, 2639L, 2998L, 13259L, 882L, 10516L, 
    6949L, 30608L, 3226L, 30344L, 6594L, 25157L, 1668L, 29107L, 
    2534L, 8863L, 687L, 13153L, 1437L, 3450L, 379L, 4403L, 1600L, 
    15144L, 1512L, 11357L, 5380L, 44634L, 4664L, 35138L, 4622L, 
    30414L, 5627L, 41795L, 2078L, 7106L, 2342L, 16065L, 528L, 
    2517L, 776L, 7517L, 394L, 33116L, 294L, 8788L, 235L, 47572L, 
    189L, 13966L, 179L, 36999L, 61L, 9972L, 99L, 14904L, 0L, 
    6383L, 28L, 6951L, 28L, 2870L, 139L, 23362L, 627L, 21288L, 
    97L, 53414L, 474L, 46305L, 0L, 27765L, 156L, 38103L, 0L, 
    6994L, 52L, 12450L, 0L, 2521L, 0L, 7437L, 3242L, 1750L, 7199L, 
    15438L, 15329L, 9488L, 15468L, 46069L, 16197L, 14788L, 12834L, 
    48549L, 6938L, 9518L, 555L, 19710L, 992L, 1722L, 359L, 3063L, 
    4589L, 2178L, 5434L, 8736L, 17414L, 8261L, 12469L, 25501L, 
    26183L, 17286L, 14544L, 37163L, 11480L, 14688L, 1640L, 22996L, 
    1444L, 2374L, 123L, 4311L, 11715L, 4482L, 2750L, 8719L, 49576L, 
    18436L, 8120L, 33710L, 63940L, 17028L, 7029L, 34918L, 30716L, 
    9831L, 2199L, 22147L, 10091L, 2151L, 738L, 7491L, 9009L, 
    4304L, 3078L, 5864L, 48652L, 15659L, 8561L, 15212L, 67822L, 
    17886L, 17354L, 25522L, 35147L, 8722L, 8846L, 19671L, 9338L, 
    2532L, 2521L, 8482L, 3627L, 19284L, 1427L, 8044L, 22109L, 
    70750L, 3473L, 31737L, 23749L, 77874L, 3077L, 38163L, 13534L, 
    35005L, 1943L, 22320L, 6134L, 14633L, 594L, 9933L, 2091L, 
    19475L, 1561L, 7620L, 13539L, 90598L, 3861L, 32537L, 15837L, 
    83571L, 8125L, 49049L, 9894L, 28668L, 5555L, 29178L, 3170L, 
    12629L, 2320L, 20164L, 167L, 17119L, 280L, 4997L, 357L, 43528L, 
    458L, 8661L, 592L, 50982L, 142L, 9102L, 235L, 31940L, 30L, 
    5768L, 213L, 19018L, 23L, 4683L, 89L, 14036L, 1033L, 14361L, 
    173L, 48691L, 2090L, 27631L, 19L, 37234L, 623L, 21259L, 0L, 
    16358L, 313L, 12063L, 59L, 8061L, 154L, 8935L, 934L, 788L, 
    9465L, 13599L, 5179L, 4987L, 17412L, 40036L, 7468L, 8666L, 
    19706L, 51344L, 5569L, 11491L, 1109L, 20077L, 1246L, 2236L, 
    102L, 2222L, 1649L, 882L, 6352L, 7739L, 6642L, 4626L, 13156L, 
    24442L, 13488L, 10448L, 18291L, 39184L, 12125L, 16644L, 2364L, 
    19057L, 2256L, 4479L, 240L, 3471L, 5604L, 2718L, 1651L, 3226L, 
    41330L, 14875L, 4097L, 19397L, 77415L, 22288L, 6081L, 24426L, 
    84544L, 20885L, 3636L, 23988L, 34971L, 8257L, 886L, 8444L, 
    5029L, 2444L, 732L, 2554L, 40682L, 13489L, 3537L, 9016L, 
    87475L, 23761L, 8135L, 16128L, 104207L, 20221L, 5673L, 15588L, 
    29288L, 8530L, 2539L, 7082L, 3024L, 11479L, 739L, 3225L, 
    24330L, 61977L, 2651L, 15758L, 39851L, 112053L, 3129L, 21628L, 
    44303L, 86095L, 2344L, 21822L, 24263L, 52683L, 1320L, 13647L, 
    1746L, 10480L, 1114L, 3037L, 16799L, 82120L, 3076L, 12561L, 
    29393L, 121640L, 3813L, 23926L, 30868L, 76618L, 3300L, 18835L, 
    12945L, 40214L, 1357L, 14386L, 540L, 5282L, 433L, 2298L, 
    877L, 17291L, 474L, 2816L, 579L, 25428L, 377L, 3669L, 286L, 
    30595L, 143L, 4311L, 468L, 25509L, 11L, 3731L, 169L, 4819L, 
    1798L, 6851L, 417L, 20549L, 2942L, 14860L, 374L, 23315L, 
    1063L, 8704L, 21L, 14182L, 616L, 5087L, 81L, 9285L, 230L, 
    4569L, 215L, 189L, 3381L, 3652L, 569L, 852L, 5497L, 10732L, 
    723L, 1279L, 7322L, 16782L, 967L, 1653L, 1078L, 8137L, 244L, 
    651L, 0L, 570L, 228L, 397L, 1805L, 2294L, 1316L, 659L, 3449L, 
    6801L, 1126L, 1912L, 7279L, 13395L, 2233L, 2784L, 1053L, 
    7848L, 408L, 962L, 233L, 785L, 546L, 416L, 28L, 572L, 5286L, 
    3012L, 574L, 3749L, 11536L, 4916L, 595L, 5078L, 33705L, 8879L, 
    1336L, 8880L, 24530L, 6130L, 688L, 4186L, 467L, 367L, 333L, 
    402L, 6560L, 3276L, 527L, 1496L, 17847L, 5439L, 1525L, 3042L, 
    45074L, 9147L, 1129L, 3976L, 20077L, 5876L, 850L, 3453L, 
    554L, 2339L, 215L, 719L, 3946L, 11396L, 431L, 2705L, 11079L, 
    27693L, 837L, 5207L, 30607L, 52310L, 1461L, 9172L, 27164L, 
    46264L, 893L, 7631L, 307L, 1611L, 243L, 439L, 3964L, 19438L, 
    381L, 2864L, 10642L, 42930L, 1193L, 4433L, 24960L, 49865L, 
    1036L, 6191L, 12928L, 30249L, 504L, 5293L, 113L, 1474L, 210L, 
    642L, 408L, 4873L, 225L, 1197L, 225L, 7995L, 187L, 979L, 
    199L, 14489L, 365L, 2020L, 277L, 16301L, 77L, 2125L, 33L, 
    951L, 340L, 1770L, 355L, 7034L, 1005L, 3813L, 114L, 9435L, 
    1287L, 3617L, 49L, 9060L, 372L, 2759L, 50L, 4131L, 209L, 
    1321L, 1130L, 69L, 4408L, 6757L, 1525L, 585L, 5152L, 11960L, 
    853L, 447L, 1621L, 10492L, 64L, 0L, 163L, 304L, 0L, 0L, 0L, 
    207L, 646L, 417L, 8623L, 6010L, 1732L, 807L, 14715L, 9783L, 
    1511L, 519L, 12356L, 11913L, 39L, 165L, 529L, 1798L, 0L, 
    20L, 89L, 164L, 761L, 800L, 907L, 4921L, 2366L, 972L, 2400L, 
    10283L, 1324L, 625L, 847L, 5169L, 358L, 92L, 55L, 451L, 118L, 
    0L, 118L, 187L, 1251L, 515L, 7762L, 4605L, 2286L, 826L, 14965L, 
    8428L, 1764L, 929L, 11221L, 5403L, 234L, 58L, 792L, 1110L, 
    75L, 0L, 185L, 234L, 530L, 3099L, 796L, 10201L, 1158L, 4176L, 
    753L, 12063L, 306L, 1795L, 669L, 6857L, 383L, 387L, 53L, 
    1526L, 266L, 170L, 0L, 94L, 694L, 3182L, 2010L, 14540L, 347L, 
    4796L, 3301L, 19900L, 718L, 2074L, 2979L, 14105L, 21L, 682L, 
    184L, 1777L, 36L, 181L, 213L, 464L, 279L, 6239L, 56L, 9388L, 
    0L, 2219L, 29L, 3512L, 0L, 1611L, 71L, 1654L, 0L, 93L, 0L, 
    393L, 0L, 90L, 0L, 94L, 0L, 4205L, 544L, 23995L, 35L, 2483L, 
    71L, 12971L, 0L, 855L, 30L, 4741L, 0L, 117L, 0L, 1257L, 0L, 
    16L, 40L, 929L, 726L, 449L, 3574L, 7258L, 3467L, 797L, 5269L, 
    15007L, 2288L, 857L, 3692L, 13094L, 495L, 105L, 49L, 2481L, 
    112L, 42L, 0L, 413L, 469L, 225L, 3682L, 4592L, 2594L, 1735L, 
    9529L, 9435L, 2389L, 991L, 8991L, 14684L, 285L, 165L, 617L, 
    3592L, 24L, 21L, 113L, 674L, 1221L, 1204L, 1625L, 3482L, 
    7416L, 3288L, 3403L, 15756L, 4710L, 1787L, 1869L, 8897L, 
    793L, 380L, 373L, 1857L, 57L, 0L, 52L, 358L, 1381L, 859L, 
    2585L, 2474L, 6557L, 2765L, 10437L, 9180L, 4609L, 1433L, 
    15557L, 11238L, 1201L, 378L, 2481L, 2905L, 343L, 84L, 589L, 
    1597L, 1076L, 3903L, 439L, 5466L, 1838L, 8516L, 1296L, 11004L, 
    1930L, 5031L, 410L, 7458L, 527L, 1033L, 25L, 2123L, 269L, 
    375L, 0L, 986L, 179L, 4091L, 680L, 6137L, 1226L, 8799L, 2859L, 
    15939L, 1608L, 6308L, 3924L, 15477L, 215L, 1126L, 425L, 3200L, 
    79L, 239L, 283L, 1348L, 106L, 5506L, 74L, 3100L, 166L, 3498L, 
    30L, 2178L, 18L, 1856L, 0L, 1043L, 24L, 236L, 0L, 351L, 0L, 
    149L, 0L, 151L, 0L, 2714L, 328L, 6462L, 0L, 2897L, 206L, 
    4762L, 47L, 1708L, 26L, 2909L, 0L, 204L, 0L, 657L, 0L, 297L, 
    0L, 1205L, 415L, 268L, 2865L, 4415L, 3124L, 1538L, 6697L, 
    11876L, 2989L, 2088L, 3925L, 13072L, 593L, 608L, 190L, 3117L, 
    69L, 0L, 16L, 415L, 463L, 279L, 2084L, 2850L, 1870L, 1045L, 
    5718L, 8334L, 3691L, 2460L, 6988L, 12553L, 1323L, 672L, 1351L, 
    4507L, 178L, 91L, 157L, 1068L, 1431L, 998L, 1220L, 2694L, 
    12226L, 3780L, 3034L, 10063L, 13804L, 3583L, 2844L, 8991L, 
    4334L, 1387L, 774L, 4362L, 1073L, 623L, 39L, 1558L, 1644L, 
    994L, 766L, 1568L, 7635L, 3838L, 4666L, 6220L, 15281L, 3631L, 
    7812L, 8725L, 5267L, 1462L, 3302L, 6654L, 1193L, 637L, 1194L, 
    2961L, 937L, 3454L, 367L, 3751L, 4405L, 13144L, 1409L, 8316L, 
    5181L, 10989L, 732L, 6958L, 1838L, 2430L, 337L, 3325L, 1133L, 
    1164L, 9L, 1325L, 505L, 2909L, 666L, 2178L, 2563L, 10910L, 
    1825L, 8868L, 2465L, 12383L, 3000L, 13764L, 1032L, 3347L, 
    1761L, 5288L, 736L, 1424L, 751L, 4066L, 22L, 3128L, 167L, 
    1197L, 93L, 3180L, 72L, 1214L, 198L, 2554L, 24L, 691L, 20L, 
    1224L, 64L, 373L, 0L, 659L, 0L, 160L, 0L, 1641L, 947L, 3689L, 
    43L, 1908L, 546L, 3439L, 44L, 1814L, 118L, 2649L, 0L, 527L, 
    20L, 908L, 0L, 895L, 0L, 1395L, 26L, 174L, 1124L, 1690L, 
    1069L, 777L, 3774L, 8449L, 1129L, 991L, 3225L, 9651L, 901L, 
    877L, 595L, 2419L, 50L, 65L, 72L, 331L, 77L, 25L, 1441L, 
    1162L, 698L, 764L, 2464L, 4313L, 1282L, 1008L, 3416L, 8346L, 
    1305L, 1117L, 1164L, 2503L, 226L, 386L, 92L, 382L, 549L, 
    282L, 764L, 879L, 7448L, 2725L, 945L, 5214L, 11982L, 3429L, 
    1394L, 4930L, 6985L, 1308L, 769L, 3491L, 2616L, 646L, 0L, 
    805L, 358L, 144L, 191L, 671L, 4667L, 2127L, 1621L, 3054L, 
    11710L, 3659L, 1752L, 4149L, 8495L, 2290L, 1565L, 3344L, 
    3934L, 923L, 836L, 1910L, 763L, 1744L, 68L, 865L, 2989L, 
    7434L, 346L, 3107L, 5798L, 11583L, 438L, 3448L, 3637L, 5658L, 
    417L, 1000L, 2242L, 3191L, 46L, 748L, 108L, 1168L, 88L, 533L, 
    1594L, 5480L, 758L, 2536L, 3861L, 11318L, 888L, 4255L, 2854L, 
    5630L, 682L, 3172L, 1536L, 3364L, 503L, 2611L, 184L, 730L, 
    67L, 479L, 39L, 1178L, 139L, 433L, 33L, 1925L, 0L, 331L, 
    0L, 922L, 0L, 222L, 47L, 996L, 36L, 198L, 0L, 286L, 301L, 
    2000L, 45L, 669L, 308L, 1669L, 63L, 873L, 227L, 952L, 20L, 
    693L, 168L, 626L, 0L, 1132L, 0L, 510L, 21L, 45L, 187L, 116L, 
    0L, 18L, 451L, 918L, 162L, 232L, 798L, 1387L, 0L, 117L, 44L, 
    456L, 0L, 0L, 0L, 64L, 0L, 0L, 279L, 122L, 0L, 36L, 312L, 
    456L, 138L, 262L, 387L, 1113L, 21L, 198L, 24L, 769L, 17L, 
    30L, 0L, 354L, 53L, 37L, 0L, 72L, 454L, 296L, 68L, 304L, 
    891L, 315L, 80L, 989L, 2096L, 501L, 29L, 384L, 1040L, 160L, 
    18L, 293L, 31L, 0L, 0L, 84L, 570L, 79L, 0L, 275L, 1129L, 
    419L, 222L, 421L, 2094L, 1008L, 86L, 226L, 1608L, 224L, 44L, 
    331L, 26L, 251L, 0L, 116L, 399L, 719L, 59L, 424L, 1177L, 
    980L, 0L, 302L, 1605L, 2293L, 54L, 607L, 1422L, 1608L, 59L, 
    231L, 34L, 174L, 0L, 30L, 99L, 689L, 0L, 160L, 259L, 771L, 
    233L, 670L, 1334L, 1699L, 88L, 507L, 1055L, 1522L, 35L, 215L, 
    0L, 189L, 0L, 26L, 0L, 101L, 0L, 0L, 25L, 202L, 0L, 21L, 
    0L, 145L, 0L, 0L, 52L, 260L, 0L, 0L, 0L, 93L, 103L, 231L, 
    0L, 40L, 68L, 241L, 0L, 171L, 62L, 172L, 21L, 84L, 105L, 
    15L, 0L, 51L, 32L, 103L, 7046L, 1472L, 12227L, 11562L, 6929L, 
    1399L, 8296L, 14323L, 3270L, 1408L, 4065L, 14030L, 316L, 
    160L, 160L, 2580L, 21L, 35L, 0L, 288L, 9416L, 1410L, 17780L, 
    7756L, 7579L, 1894L, 18169L, 11884L, 5838L, 2017L, 12459L, 
    15354L, 241L, 243L, 200L, 2337L, 0L, 42L, 67L, 267L, 13136L, 
    2261L, 2770L, 8983L, 8154L, 2053L, 2886L, 8887L, 4112L, 855L, 
    1198L, 4325L, 862L, 133L, 85L, 480L, 169L, 17L, 0L, 292L, 
    11110L, 2899L, 17018L, 6771L, 7421L, 1669L, 13072L, 6179L, 
    5666L, 854L, 11334L, 3434L, 903L, 186L, 988L, 826L, 209L, 
    39L, 263L, 429L, 7127L, 15903L, 1499L, 14612L, 2874L, 5929L, 
    962L, 8269L, 1834L, 2162L, 133L, 4687L, 433L, 431L, 163L, 
    1328L, 194L, 333L, 0L, 468L, 4338L, 20540L, 7542L, 23247L, 
    1988L, 5815L, 3341L, 12067L, 708L, 2250L, 2285L, 7969L, 420L, 
    563L, 431L, 1223L, 58L, 267L, 109L, 300L, 607L, 28304L, 696L, 
    16265L, 68L, 3952L, 30L, 2384L, 80L, 1348L, 27L, 976L, 0L, 
    339L, 20L, 279L, 0L, 171L, 0L, 26L, 29L, 22991L, 903L, 48483L, 
    80L, 3111L, 111L, 8304L, 16L, 868L, 95L, 3183L, 0L, 180L, 
    0L, 748L, 0L, 45L, 0L, 395L, 9396L, 3335L, 14770L, 15532L, 
    12882L, 4896L, 16559L, 28286L, 6392L, 3787L, 9217L, 18600L, 
    791L, 706L, 260L, 3861L, 20L, 131L, 0L, 373L, 11043L, 2327L, 
    12286L, 9103L, 15578L, 5175L, 20502L, 18311L, 10535L, 4458L, 
    16683L, 20173L, 982L, 1201L, 1255L, 3937L, 167L, 101L, 165L, 
    921L, 29500L, 5705L, 5724L, 12136L, 24126L, 5687L, 5492L, 
    14803L, 15574L, 2070L, 2861L, 12190L, 3086L, 762L, 408L, 
    2890L, 681L, 112L, 88L, 1017L, 19933L, 4105L, 8486L, 7117L, 
    22393L, 4018L, 13227L, 9397L, 14276L, 2957L, 12219L, 9145L, 
    3400L, 473L, 1633L, 2292L, 567L, 179L, 492L, 754L, 14043L, 
    22462L, 2872L, 11627L, 7931L, 13528L, 1192L, 10865L, 4035L, 
    7382L, 1118L, 7398L, 1450L, 1809L, 157L, 1793L, 240L, 527L, 
    0L, 340L, 8369L, 25812L, 4712L, 13742L, 5547L, 15087L, 4126L, 
    14138L, 2400L, 7066L, 4297L, 11563L, 330L, 1776L, 596L, 1899L, 
    185L, 422L, 43L, 702L, 1165L, 20600L, 462L, 5842L, 309L, 
    6073L, 114L, 1834L, 23L, 3373L, 108L, 1122L, 50L, 867L, 0L, 
    306L, 145L, 800L, 66L, 286L, 449L, 16193L, 1781L, 16050L, 
    127L, 5512L, 316L, 3875L, 0L, 2636L, 0L, 2505L, 0L, 616L, 
    33L, 428L, 0L, 399L, 15L, 554L, 5722L, 2987L, 12532L, 16051L, 
    13388L, 7097L, 22398L, 35797L, 8858L, 6281L, 12723L, 26676L, 
    1375L, 1649L, 761L, 6135L, 162L, 351L, 34L, 603L, 6760L, 
    3124L, 8069L, 7837L, 15380L, 8012L, 17487L, 20879L, 13594L, 
    7277L, 17196L, 24384L, 2538L, 2826L, 1894L, 6915L, 166L, 
    693L, 144L, 978L, 25221L, 5570L, 4893L, 10253L, 38163L, 9945L, 
    5405L, 15700L, 31728L, 7320L, 4284L, 15468L, 9334L, 2902L, 
    1220L, 6432L, 2786L, 546L, 248L, 1942L, 19668L, 5312L, 4631L, 
    5058L, 36397L, 9200L, 7630L, 10316L, 33900L, 6477L, 9252L, 
    12295L, 10854L, 2309L, 3060L, 5733L, 2052L, 749L, 1189L, 
    2065L, 15701L, 25307L, 2035L, 8144L, 13529L, 22271L, 2347L, 
    10474L, 11283L, 17614L, 934L, 8197L, 3239L, 4076L, 370L, 
    3565L, 1401L, 2440L, 21L, 908L, 7997L, 23299L, 4475L, 9563L, 
    9598L, 28045L, 3424L, 11708L, 6808L, 17040L, 2689L, 11781L, 
    2164L, 4037L, 935L, 4661L, 531L, 2017L, 736L, 2243L, 822L, 
    12776L, 961L, 3830L, 219L, 5783L, 77L, 1195L, 221L, 4798L, 
    54L, 711L, 0L, 1148L, 94L, 228L, 0L, 1251L, 43L, 215L, 293L, 
    8908L, 3129L, 12059L, 29L, 5672L, 750L, 3156L, 0L, 2831L, 
    430L, 1491L, 59L, 881L, 80L, 831L, 0L, 358L, 0L, 290L, 1105L, 
    1156L, 5854L, 5964L, 3744L, 3544L, 9925L, 18433L, 3790L, 
    2365L, 8999L, 19256L, 1283L, 1792L, 584L, 5232L, 305L, 635L, 
    37L, 846L, 1230L, 1271L, 2881L, 3545L, 4220L, 3274L, 7281L, 
    10104L, 4676L, 3479L, 8778L, 16787L, 2478L, 2708L, 1655L, 
    5134L, 610L, 794L, 94L, 1210L, 6355L, 2662L, 741L, 2428L, 
    16238L, 4958L, 2670L, 7233L, 23378L, 5770L, 2514L, 9773L, 
    15258L, 3581L, 482L, 4664L, 5381L, 1303L, 216L, 2097L, 5203L, 
    1886L, 841L, 1614L, 15762L, 5033L, 2178L, 3480L, 23942L, 
    6693L, 1878L, 6117L, 16260L, 4134L, 1376L, 4362L, 6848L, 
    2475L, 445L, 1726L, 4096L, 9589L, 752L, 2668L, 7403L, 15345L, 
    523L, 2776L, 9771L, 17090L, 733L, 3866L, 5966L, 8394L, 450L, 
    2801L, 2777L, 4953L, 173L, 1156L, 2304L, 8914L, 1116L, 2518L, 
    5708L, 18400L, 1471L, 3648L, 5741L, 17257L, 1236L, 3532L, 
    5170L, 7776L, 313L, 3035L, 1838L, 4944L, 195L, 1615L, 495L, 
    2733L, 420L, 893L, 152L, 2326L, 103L, 519L, 24L, 2498L, 23L, 
    371L, 24L, 1667L, 21L, 228L, 82L, 1196L, 42L, 221L, 364L, 
    2330L, 1409L, 3913L, 206L, 2075L, 432L, 1199L, 28L, 1372L, 
    145L, 731L, 20L, 721L, 145L, 566L, 0L, 737L, 77L, 267L, 52L, 
    23L, 314L, 640L, 60L, 232L, 1404L, 1827L, 319L, 401L, 1870L, 
    3130L, 113L, 193L, 545L, 1601L, 24L, 41L, 133L, 454L, 91L, 
    119L, 331L, 258L, 144L, 418L, 1123L, 980L, 509L, 618L, 1374L, 
    2945L, 229L, 358L, 305L, 953L, 102L, 207L, 0L, 113L, 435L, 
    478L, 112L, 247L, 1249L, 502L, 188L, 993L, 2075L, 494L, 360L, 
    1140L, 2831L, 530L, 254L, 526L, 2111L, 511L, 35L, 472L, 596L, 
    128L, 115L, 340L, 1359L, 787L, 284L, 352L, 3314L, 725L, 123L, 
    676L, 3348L, 1162L, 207L, 960L, 1934L, 644L, 37L, 465L, 626L, 
    900L, 105L, 251L, 811L, 1401L, 129L, 813L, 1530L, 2503L, 
    151L, 554L, 2207L, 2490L, 73L, 830L, 1709L, 2589L, 24L, 537L, 
    380L, 829L, 164L, 178L, 503L, 2204L, 353L, 455L, 1204L, 3218L, 
    60L, 461L, 1860L, 1986L, 207L, 507L, 1612L, 2460L, 53L, 395L, 
    38L, 226L, 149L, 123L, 0L, 173L, 0L, 86L, 39L, 295L, 0L, 
    142L, 0L, 258L, 0L, 56L, 0L, 694L, 0L, 92L, 33L, 104L, 171L, 
    998L, 36L, 234L, 243L, 515L, 65L, 378L, 125L, 138L, 0L, 146L, 
    163L, 91L, 0L, 314L, 0L, 102L, 466L, 271L, 690L, 1203L, 1138L, 
    612L, 531L, 2028L, 2672L, 2883L, 453L, 6011L, 658L, 605L, 
    0L, 860L, 200L, 23L, 0L, 48L, 621L, 143L, 649L, 942L, 1318L, 
    622L, 1733L, 2321L, 2384L, 2157L, 1286L, 9710L, 999L, 805L, 
    179L, 948L, 44L, 104L, 0L, 117L, 276L, 56L, 153L, 722L, 883L, 
    240L, 270L, 1180L, 770L, 279L, 161L, 1356L, 668L, 96L, 28L, 
    261L, 163L, 20L, 22L, 24L, 217L, 67L, 721L, 217L, 1267L, 
    152L, 1601L, 871L, 1168L, 197L, 2394L, 2365L, 367L, 189L, 
    297L, 643L, 257L, 0L, 54L, 24L, 25L, 413L, 105L, 922L, 511L, 
    973L, 77L, 2023L, 378L, 938L, 81L, 3275L, 235L, 511L, 84L, 
    884L, 106L, 343L, 47L, 344L, 50L, 405L, 22L, 2024L, 163L, 
    1660L, 238L, 3024L, 510L, 1294L, 619L, 4447L, 68L, 307L, 
    163L, 983L, 0L, 132L, 198L, 188L, 9L, 1030L, 0L, 1016L, 0L, 
    2236L, 38L, 1365L, 0L, 1988L, 0L, 1603L, 0L, 581L, 0L, 366L, 
    0L, 461L, 12L, 157L, 0L, 922L, 0L, 4183L, 0L, 2620L, 0L, 
    9239L, 0L, 1261L, 0L, 5401L, 0L, 457L, 0L, 683L, 0L, 60L, 
    0L, 488L, 1657L, 272L, 903L, 2008L, 2946L, 2294L, 2530L, 
    5278L, 7232L, 6976L, 818L, 6702L, 2597L, 1831L, 0L, 1643L, 
    435L, 99L, 33L, 156L, 1128L, 202L, 1087L, 1396L, 4914L, 2020L, 
    2812L, 4131L, 8493L, 5402L, 1948L, 12612L, 2956L, 2338L, 
    235L, 2243L, 189L, 84L, 0L, 201L, 976L, 158L, 515L, 1206L, 
    3552L, 496L, 1470L, 3211L, 6315L, 910L, 825L, 3054L, 2977L, 
    310L, 156L, 1093L, 1263L, 78L, 50L, 465L, 811L, 168L, 233L, 
    572L, 3117L, 595L, 2491L, 1828L, 7071L, 866L, 3337L, 1755L, 
    2753L, 247L, 471L, 1338L, 545L, 26L, 166L, 580L, 240L, 1036L, 
    8L, 957L, 861L, 2496L, 231L, 3938L, 1406L, 4382L, 413L, 3484L, 
    875L, 1286L, 61L, 1401L, 503L, 389L, 37L, 625L, 72L, 1230L, 
    210L, 1166L, 833L, 4834L, 804L, 4188L, 1501L, 5143L, 1387L, 
    6069L, 328L, 878L, 445L, 1850L, 37L, 277L, 27L, 726L, 0L, 
    3054L, 36L, 858L, 19L, 6638L, 0L, 1471L, 24L, 7143L, 0L, 
    1517L, 134L, 2364L, 0L, 946L, 37L, 1374L, 0L, 342L, 0L, 2720L, 
    68L, 1768L, 53L, 8540L, 52L, 4551L, 0L, 5244L, 61L, 5352L, 
    0L, 1175L, 0L, 2245L, 0L, 303L, 0L, 668L, 1162L, 343L, 2797L, 
    3580L, 5475L, 3848L, 4773L, 11509L, 7688L, 7451L, 3491L, 
    15590L, 3963L, 2854L, 94L, 2880L, 973L, 357L, 0L, 170L, 1068L, 
    497L, 1739L, 1934L, 7284L, 3341L, 3494L, 6222L, 11044L, 7352L, 
    3409L, 8970L, 6023L, 3319L, 165L, 3503L, 366L, 655L, 0L, 
    284L, 2080L, 588L, 402L, 1220L, 11944L, 1601L, 1093L, 4603L, 
    18229L, 2785L, 1315L, 5040L, 12232L, 1345L, 554L, 3183L, 
    5335L, 300L, 180L, 1025L, 1680L, 732L, 372L, 646L, 11524L, 
    2392L, 1551L, 2899L, 23439L, 2661L, 2861L, 3206L, 10678L, 
    917L, 715L, 2408L, 1848L, 270L, 335L, 961L, 623L, 1459L, 
    249L, 1073L, 3522L, 9786L, 415L, 4221L, 6258L, 13767L, 445L, 
    4131L, 2982L, 5547L, 372L, 1998L, 2302L, 3095L, 59L, 1686L, 
    348L, 2067L, 107L, 615L, 3108L, 12287L, 460L, 4360L, 4732L, 
    15975L, 1118L, 6351L, 2360L, 4705L, 408L, 3135L, 269L, 1402L, 
    423L, 2667L, 30L, 1762L, 68L, 377L, 29L, 6620L, 57L, 1092L, 
    130L, 7479L, 8L, 1349L, 31L, 5614L, 157L, 966L, 62L, 4349L, 
    0L, 426L, 0L, 1483L, 36L, 1089L, 0L, 8182L, 348L, 3060L, 
    0L, 6764L, 221L, 2783L, 0L, 3281L, 157L, 1331L, 0L, 749L, 
    42L, 759L, 298L, 414L, 2459L, 3948L, 2040L, 1391L, 8911L, 
    13354L, 2794L, 2726L, 8570L, 16453L, 1596L, 1663L, 300L, 
    2240L, 254L, 245L, 0L, 459L, 597L, 165L, 1710L, 2028L, 2673L, 
    2166L, 4233L, 5395L, 4274L, 2896L, 6579L, 10834L, 2136L, 
    2472L, 785L, 3283L, 244L, 286L, 46L, 922L, 840L, 227L, 136L, 
    1015L, 6234L, 2291L, 839L, 2367L, 13608L, 3010L, 554L, 3404L, 
    12133L, 2180L, 264L, 2482L, 7695L, 893L, 142L, 679L, 704L, 
    303L, 186L, 203L, 8161L, 1722L, 867L, 2022L, 18824L, 3720L, 
    1034L, 2830L, 13373L, 1418L, 331L, 2063L, 3653L, 929L, 224L, 
    1192L, 550L, 1302L, 37L, 472L, 3686L, 7943L, 251L, 2091L, 
    9201L, 17639L, 418L, 3098L, 8601L, 11854L, 230L, 1660L, 6409L, 
    8759L, 372L, 1006L, 62L, 1229L, 255L, 350L, 3498L, 12571L, 
    729L, 1927L, 9392L, 20754L, 574L, 2841L, 5823L, 9718L, 268L, 
    1837L, 2212L, 4271L, 165L, 1743L, 0L, 457L, 0L, 155L, 129L, 
    2309L, 114L, 406L, 266L, 3615L, 145L, 282L, 136L, 3526L, 
    0L, 294L, 106L, 4128L, 41L, 427L, 7L, 492L, 269L, 666L, 208L, 
    2878L, 498L, 1566L, 45L, 3641L, 287L, 1091L, 34L, 2245L, 
    213L, 277L, 16L, 982L, 29L, 372L, 41L, 35L, 681L, 353L, 157L, 
    385L, 1620L, 2106L, 395L, 621L, 2303L, 2829L, 215L, 552L, 
    367L, 822L, 70L, 73L, 46L, 24L, 31L, 27L, 484L, 377L, 270L, 
    159L, 920L, 1057L, 740L, 1198L, 1990L, 1815L, 314L, 476L, 
    251L, 1035L, 64L, 232L, 48L, 62L, 99L, 124L, 28L, 395L, 391L, 
    237L, 43L, 358L, 2212L, 722L, 121L, 682L, 2935L, 329L, 111L, 
    462L, 3095L, 518L, 0L, 166L, 257L, 39L, 0L, 126L, 1172L, 
    202L, 222L, 131L, 4251L, 517L, 151L, 493L, 3180L, 534L, 74L, 
    573L, 1664L, 341L, 58L, 484L, 43L, 114L, 0L, 63L, 538L, 1318L, 
    36L, 312L, 1779L, 2978L, 139L, 432L, 2490L, 4043L, 52L, 831L, 
    3880L, 4947L, 95L, 861L, 35L, 132L, 0L, 39L, 489L, 2153L, 
    124L, 240L, 2327L, 4717L, 279L, 283L, 2203L, 4727L, 27L, 
    240L, 1336L, 1996L, 110L, 296L, 0L, 211L, 33L, 0L, 0L, 524L, 
    85L, 159L, 102L, 1076L, 0L, 109L, 116L, 1025L, 0L, 95L, 50L, 
    1738L, 37L, 155L, 0L, 146L, 58L, 172L, 35L, 610L, 255L, 218L, 
    42L, 1139L, 32L, 188L, 89L, 814L, 151L, 181L, 0L, 276L, 0L, 
    98L, 0L, 0L, 0L, 34L, 0L, 0L, 85L, 34L, 0L, 0L, 0L, 132L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 
    80L, 0L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 38L, 40L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 33L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 5L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 
    0L, 0L, 0L, 122L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 97L, 95L, 25L, 
    0L, 77L, 0L, 0L, 0L, 130L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 24L, 
    30L, 0L, 0L, 0L, 51L, 0L, 0L, 0L, 0L, 31L, 0L, 0L, 33L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 113L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 43L, 83L, 106L, 11L, 
    235L, 0L, 37L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 35L, 199L, 0L, 24L, 133L, 0L, 61L, 44L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 76L, 
    123L, 0L, 38L, 47L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 112L, 0L, 0L, 0L, 0L, 0L, 101L, 114L, 0L, 0L, 
    76L, 0L, 0L, 0L, 0L, 0L, 30L, 24L, 0L, 0L, 0L, 35L, 0L, 22L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 94L, 0L, 0L, 0L, 0L, 0L, 64L, 
    0L, 0L, 0L, 0L, 0L, 138L, 0L, 0L, 0L, 210L, 0L, 0L, 29L, 
    0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 41L, 0L, 0L, 0L, 
    0L, 0L, 34L, 0L, 0L, 0L, 37L, 0L, 0L, 62L, 375L, 130L, 0L, 
    0L, 236L, 0L, 13L, 0L, 16L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 
    81L, 0L, 226L, 0L, 107L, 89L, 0L, 77L, 0L, 126L, 0L, 0L, 
    0L, 0L, 0L, 0L, 36L, 0L, 0L, 74L, 0L, 0L, 0L, 0L, 279L, 0L, 
    0L, 0L, 148L, 27L, 0L, 0L, 0L, 0L, 0L, 141L, 21L, 0L, 0L, 
    0L, 47L, 0L, 233L, 43L, 83L, 0L, 0L, 0L, 64L, 0L, 23L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 70L, 0L, 19L, 0L, 147L, 61L, 
    22L, 176L, 21L, 132L, 0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 40L, 
    0L, 69L, 0L, 0L, 31L, 144L, 63L, 0L, 52L, 0L, 0L, 0L, 193L, 
    0L, 0L, 0L, 39L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 
    0L, 26L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 
    0L, 35L, 0L, 0L, 0L, 0L, 0L, 40L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 43L, 0L, 0L, 99L, 46L, 0L, 0L, 173L, 
    8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    36L, 0L, 0L, 87L, 39L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 86L, 171L, 0L, 0L, 45L, 0L, 0L, 0L, 
    0L, 57L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 
    0L, 0L, 0L, 120L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 39L, 0L, 88L, 0L, 48L, 62L, 165L, 0L, 69L, 84L, 91L, 
    33L, 0L, 0L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 47L, 
    80L, 0L, 0L, 0L, 67L, 0L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 606L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 24L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 125L, 0L, 51L, 99L, 20L, 
    127L, 166L, 139L, 77L, 0L, 348L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 86L, 81L, 284L, 114L, 14L, 0L, 468L, 89L, 41L, 43L, 
    341L, 208L, 17L, 0L, 36L, 39L, 72L, 0L, 0L, 0L, 134L, 0L, 
    100L, 148L, 33L, 0L, 126L, 242L, 155L, 0L, 0L, 284L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 187L, 6L, 376L, 123L, 177L, 0L, 
    359L, 145L, 83L, 0L, 301L, 134L, 0L, 0L, 48L, 54L, 0L, 0L, 
    0L, 0L, 0L, 121L, 39L, 263L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 
    114L, 0L, 0L, 59L, 24L, 0L, 0L, 0L, 0L, 120L, 189L, 86L, 
    271L, 46L, 0L, 72L, 120L, 0L, 25L, 95L, 373L, 0L, 85L, 69L, 
    113L, 0L, 0L, 0L, 0L, 0L, 75L, 0L, 142L, 0L, 0L, 0L, 115L, 
    0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 92L, 
    0L, 622L, 0L, 54L, 0L, 126L, 0L, 72L, 0L, 90L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 288L, 0L, 358L, 350L, 294L, 331L, 316L, 
    671L, 261L, 236L, 94L, 195L, 191L, 0L, 0L, 66L, 0L, 0L, 0L, 
    0L, 237L, 147L, 165L, 333L, 354L, 120L, 264L, 364L, 401L, 
    98L, 399L, 576L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 524L, 29L, 
    0L, 99L, 986L, 0L, 211L, 271L, 644L, 23L, 256L, 189L, 97L, 
    52L, 0L, 49L, 58L, 0L, 0L, 0L, 597L, 356L, 110L, 0L, 566L, 
    32L, 396L, 146L, 443L, 139L, 761L, 111L, 291L, 26L, 104L, 
    23L, 23L, 0L, 0L, 24L, 158L, 409L, 26L, 206L, 122L, 422L, 
    0L, 358L, 76L, 280L, 0L, 581L, 88L, 120L, 19L, 73L, 102L, 
    24L, 0L, 0L, 83L, 342L, 83L, 228L, 102L, 291L, 113L, 261L, 
    0L, 247L, 155L, 270L, 0L, 41L, 0L, 189L, 0L, 0L, 0L, 33L, 
    47L, 413L, 0L, 61L, 0L, 132L, 156L, 74L, 0L, 183L, 0L, 47L, 
    0L, 70L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 361L, 0L, 319L, 0L, 
    165L, 0L, 237L, 0L, 0L, 0L, 0L, 0L, 53L, 0L, 0L, 0L, 45L, 
    0L, 0L, 277L, 345L, 520L, 611L, 489L, 138L, 827L, 1020L, 
    713L, 97L, 142L, 461L, 112L, 28L, 40L, 244L, 35L, 0L, 0L, 
    0L, 226L, 0L, 270L, 320L, 479L, 45L, 393L, 643L, 359L, 575L, 
    532L, 243L, 104L, 122L, 0L, 143L, 0L, 33L, 0L, 100L, 609L, 
    31L, 248L, 229L, 1121L, 244L, 181L, 726L, 920L, 427L, 178L, 
    371L, 117L, 92L, 0L, 238L, 167L, 80L, 0L, 0L, 855L, 492L, 
    25L, 134L, 1002L, 104L, 341L, 260L, 989L, 51L, 67L, 152L, 
    384L, 68L, 32L, 63L, 90L, 0L, 0L, 0L, 140L, 388L, 0L, 61L, 
    286L, 624L, 168L, 312L, 507L, 685L, 106L, 497L, 135L, 84L, 
    0L, 0L, 0L, 186L, 0L, 0L, 48L, 235L, 0L, 80L, 251L, 666L, 
    95L, 202L, 181L, 609L, 152L, 341L, 86L, 37L, 0L, 0L, 61L, 
    114L, 118L, 73L, 0L, 294L, 0L, 98L, 0L, 81L, 0L, 22L, 0L, 
    203L, 0L, 59L, 0L, 104L, 0L, 25L, 0L, 105L, 0L, 0L, 0L, 175L, 
    0L, 283L, 0L, 135L, 0L, 203L, 0L, 162L, 0L, 0L, 0L, 53L, 
    0L, 0L, 0L, 0L, 0L, 27L, 186L, 0L, 345L, 193L, 0L, 191L, 
    418L, 778L, 35L, 159L, 332L, 370L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 183L, 28L, 358L, 82L, 181L, 71L, 371L, 173L, 26L, 
    100L, 262L, 805L, 73L, 56L, 0L, 40L, 0L, 28L, 0L, 23L, 287L, 
    19L, 84L, 114L, 276L, 260L, 22L, 182L, 486L, 149L, 109L, 
    134L, 184L, 127L, 29L, 80L, 156L, 29L, 0L, 0L, 229L, 112L, 
    30L, 265L, 719L, 83L, 34L, 69L, 675L, 277L, 213L, 216L, 329L, 
    92L, 26L, 59L, 170L, 0L, 0L, 18L, 234L, 424L, 0L, 33L, 244L, 
    309L, 62L, 173L, 473L, 549L, 129L, 74L, 63L, 156L, 27L, 0L, 
    226L, 204L, 0L, 24L, 199L, 355L, 0L, 90L, 481L, 797L, 52L, 
    39L, 112L, 655L, 0L, 168L, 74L, 256L, 27L, 0L, 0L, 41L, 0L, 
    0L, 46L, 87L, 0L, 0L, 0L, 24L, 0L, 24L, 0L, 206L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 30L, 33L, 0L, 115L, 0L, 
    17L, 0L, 120L, 0L, 48L, 0L, 0L, 0L, 0L, 0L, 120L, 0L, 47L, 
    0L, 0L, 0L, 30L, 0L, 29L, 51L, 29L, 0L, 85L, 0L, 20L, 43L, 
    82L, 8L, 0L, 56L, 0L, 0L, 0L, 0L, 0L, 67L, 0L, 22L, 116L, 
    21L, 30L, 76L, 28L, 0L, 44L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 11L, 0L, 37L, 218L, 22L, 0L, 0L, 126L, 13L, 27L, 
    0L, 0L, 0L, 56L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    27L, 0L, 0L, 0L, 119L, 0L, 0L, 0L, 57L, 55L, 0L, 0L, 52L, 
    0L, 0L, 0L, 0L, 34L, 0L, 0L, 73L, 35L, 0L, 0L, 114L, 143L, 
    0L, 112L, 45L, 71L, 0L, 0L, 0L, 15L, 0L, 0L, 0L, 44L, 0L, 
    0L, 33L, 93L, 0L, 0L, 99L, 108L, 0L, 43L, 34L, 98L, 0L, 0L, 
    26L, 58L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 46L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 3L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 5L, 0L, 
    0L, 123L, 0L, 451L, 308L, 71L, 47L, 341L, 969L, 65L, 0L, 
    15L, 1813L, 0L, 0L, 0L, 417L, 0L, 15L, 0L, 124L, 0L, 0L, 
    644L, 353L, 328L, 16L, 1019L, 388L, 115L, 39L, 625L, 1231L, 
    7L, 0L, 0L, 268L, 0L, 13L, 0L, 61L, 188L, 56L, 89L, 629L, 
    435L, 179L, 482L, 1495L, 111L, 75L, 157L, 471L, 12L, 0L, 
    0L, 260L, 13L, 64L, 0L, 72L, 133L, 140L, 763L, 230L, 389L, 
    583L, 1044L, 586L, 285L, 55L, 1549L, 584L, 39L, 43L, 336L, 
    199L, 83L, 0L, 61L, 10L, 27L, 400L, 26L, 890L, 150L, 813L, 
    235L, 1793L, 163L, 259L, 46L, 845L, 30L, 339L, 13L, 630L, 
    7L, 33L, 47L, 368L, 7L, 210L, 0L, 1177L, 53L, 1110L, 498L, 
    1825L, 117L, 385L, 140L, 2122L, 0L, 103L, 73L, 901L, 65L, 
    48L, 0L, 422L, 0L, 1243L, 0L, 1305L, 0L, 654L, 0L, 1331L, 
    0L, 192L, 0L, 459L, 0L, 169L, 0L, 276L, 0L, 100L, 0L, 155L, 
    0L, 728L, 0L, 3262L, 0L, 956L, 0L, 4463L, 0L, 306L, 0L, 1736L, 
    0L, 105L, 0L, 676L, 16L, 78L, 0L, 334L, 307L, 172L, 230L, 
    360L, 786L, 260L, 1097L, 2341L, 268L, 106L, 186L, 2086L, 
    70L, 138L, 146L, 843L, 0L, 0L, 0L, 105L, 31L, 0L, 318L, 301L, 
    1018L, 291L, 624L, 1366L, 412L, 331L, 673L, 2717L, 114L, 
    305L, 38L, 1637L, 0L, 0L, 0L, 213L, 220L, 318L, 161L, 327L, 
    1589L, 438L, 824L, 2491L, 739L, 388L, 116L, 1040L, 437L, 
    102L, 56L, 713L, 124L, 32L, 0L, 342L, 231L, 85L, 168L, 48L, 
    1175L, 709L, 1607L, 646L, 1077L, 251L, 1228L, 884L, 501L, 
    139L, 460L, 641L, 267L, 29L, 64L, 89L, 53L, 728L, 224L, 527L, 
    617L, 2175L, 137L, 2551L, 298L, 1160L, 79L, 1977L, 142L, 
    936L, 135L, 772L, 129L, 143L, 45L, 434L, 23L, 918L, 70L, 
    254L, 246L, 2673L, 273L, 3027L, 281L, 1473L, 364L, 2545L, 
    333L, 631L, 387L, 1344L, 0L, 529L, 72L, 1017L, 0L, 2003L, 
    0L, 849L, 0L, 3298L, 0L, 728L, 0L, 941L, 0L, 557L, 10L, 672L, 
    0L, 280L, 0L, 360L, 0L, 236L, 0L, 1007L, 19L, 942L, 0L, 3156L, 
    192L, 2147L, 0L, 1326L, 0L, 1144L, 0L, 295L, 0L, 781L, 0L, 
    60L, 0L, 654L, 211L, 92L, 541L, 960L, 991L, 662L, 1089L, 
    3424L, 779L, 352L, 498L, 2899L, 157L, 654L, 38L, 1434L, 121L, 
    100L, 145L, 59L, 129L, 60L, 481L, 375L, 1001L, 225L, 1266L, 
    2323L, 1150L, 491L, 806L, 2884L, 558L, 509L, 31L, 1788L, 
    173L, 70L, 0L, 92L, 448L, 252L, 466L, 305L, 4092L, 926L, 
    729L, 2998L, 2917L, 640L, 491L, 2470L, 2005L, 361L, 170L, 
    667L, 1024L, 254L, 55L, 302L, 141L, 313L, 100L, 88L, 3289L, 
    1051L, 532L, 1500L, 2887L, 1133L, 815L, 1216L, 3005L, 954L, 
    505L, 1262L, 1259L, 307L, 92L, 987L, 244L, 1844L, 218L, 537L, 
    1772L, 6119L, 335L, 3034L, 1199L, 3947L, 369L, 1879L, 824L, 
    2300L, 257L, 1291L, 756L, 1297L, 53L, 561L, 31L, 954L, 0L, 
    142L, 848L, 6387L, 380L, 2003L, 1284L, 4829L, 531L, 2254L, 
    1004L, 2693L, 486L, 2037L, 382L, 1348L, 471L, 1877L, 0L, 
    1301L, 11L, 394L, 22L, 2508L, 0L, 467L, 72L, 1634L, 0L, 475L, 
    0L, 1335L, 10L, 462L, 59L, 1440L, 0L, 220L, 0L, 600L, 79L, 
    405L, 0L, 2184L, 114L, 1554L, 0L, 1702L, 15L, 801L, 0L, 1163L, 
    0L, 301L, 0L, 524L, 0L, 758L, 0L, 31L, 369L, 522L, 111L, 
    136L, 973L, 3539L, 139L, 273L, 864L, 1389L, 15L, 400L, 0L, 
    745L, 0L, 45L, 0L, 53L, 146L, 0L, 326L, 159L, 168L, 293L, 
    605L, 1012L, 202L, 393L, 1027L, 1263L, 91L, 313L, 132L, 1823L, 
    0L, 100L, 0L, 141L, 185L, 260L, 85L, 46L, 2263L, 639L, 192L, 
    1095L, 2300L, 1014L, 137L, 919L, 3237L, 621L, 390L, 940L, 
    1518L, 463L, 132L, 309L, 101L, 0L, 15L, 208L, 1875L, 618L, 
    259L, 386L, 3709L, 960L, 137L, 341L, 3432L, 940L, 251L, 922L, 
    2280L, 311L, 41L, 516L, 95L, 618L, 75L, 546L, 1775L, 4528L, 
    319L, 887L, 1674L, 4153L, 192L, 1254L, 2696L, 3867L, 236L, 
    882L, 2228L, 2790L, 10L, 723L, 143L, 147L, 0L, 35L, 622L, 
    4475L, 95L, 584L, 1397L, 4539L, 25L, 714L, 2912L, 4068L, 
    57L, 1050L, 1382L, 3247L, 189L, 881L, 0L, 312L, 26L, 137L, 
    52L, 681L, 0L, 186L, 119L, 475L, 0L, 118L, 12L, 1258L, 0L, 
    211L, 61L, 1908L, 0L, 231L, 0L, 193L, 38L, 161L, 0L, 601L, 
    185L, 541L, 0L, 632L, 0L, 202L, 0L, 596L, 0L, 102L, 0L, 869L, 
    104L, 239L, 0L, 0L, 108L, 47L, 0L, 0L, 252L, 628L, 0L, 0L, 
    74L, 561L, 0L, 0L, 0L, 176L, 0L, 29L, 0L, 8L, 0L, 0L, 0L, 
    28L, 0L, 0L, 40L, 127L, 0L, 0L, 67L, 208L, 0L, 33L, 119L, 
    298L, 0L, 15L, 0L, 85L, 23L, 0L, 0L, 0L, 182L, 58L, 0L, 256L, 
    121L, 224L, 44L, 22L, 466L, 178L, 0L, 98L, 579L, 37L, 0L, 
    103L, 0L, 15L, 0L, 0L, 151L, 310L, 23L, 60L, 284L, 225L, 
    12L, 0L, 625L, 101L, 79L, 273L, 527L, 107L, 51L, 63L, 0L, 
    26L, 0L, 58L, 148L, 881L, 0L, 285L, 221L, 433L, 0L, 107L, 
    765L, 1301L, 0L, 195L, 1427L, 1600L, 0L, 310L, 0L, 143L, 
    0L, 0L, 227L, 559L, 0L, 85L, 529L, 1120L, 0L, 116L, 692L, 
    1298L, 15L, 135L, 638L, 1049L, 0L, 182L, 0L, 150L, 0L, 95L, 
    0L, 172L, 0L, 68L, 0L, 10L, 0L, 36L, 0L, 384L, 0L, 44L, 0L, 
    454L, 0L, 103L, 0L, 107L, 0L, 15L, 0L, 114L, 98L, 151L, 0L, 
    171L, 0L, 144L, 0L, 129L, 0L, 39L, 0L, 75L, 0L, 108L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 81L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 176L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 170L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 138L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 29L, 0L, 0L, 0L, 128L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 86L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 120L, 0L, 0L, 
    0L, 12L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 15L, 
    0L, 0L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 37L, 0L, 0L, 0L, 65L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    35L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 36L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 228L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 46L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 13L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 124L, 0L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 104L, 0L, 0L, 15L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 63L, 0L, 
    0L, 53L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 26L, 0L, 40L, 0L, 0L, 44L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    85L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 145L, 0L, 7L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 
    0L, 92L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 185L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 16L, 23L, 
    33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 
    68L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 98L, 0L, 0L, 0L, 
    0L, 0L, 12L, 16L, 0L, 126L, 0L, 0L, 0L, 0L, 12L, 0L, 0L, 
    0L, 0L, 0L, 19L, 0L, 92L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 13L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 50L, 0L, 0L, 
    0L, 34L, 0L, 0L, 0L, 51L, 0L, 49L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 156L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 40L, 41L, 0L, 0L, 0L, 10L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 47L, 0L, 0L, 68L, 0L, 0L, 0L, 105L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 13L, 0L, 76L, 55L, 0L, 0L, 0L, 0L, 30L, 
    0L, 0L, 0L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 13L, 0L, 0L, 106L, 83L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 110L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 73L, 0L, 0L, 0L, 0L, 0L, 60L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 76L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 211L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1196L, 479L, 1516L, 2677L, 
    1014L, 757L, 1061L, 5984L, 768L, 273L, 798L, 15309L, 334L, 
    359L, 0L, 3810L, 21L, 98L, 0L, 588L, 1058L, 344L, 2620L, 
    2471L, 1942L, 795L, 4542L, 4280L, 1384L, 681L, 2846L, 13829L, 
    429L, 255L, 154L, 5088L, 0L, 52L, 13L, 847L, 1532L, 1000L, 
    748L, 4311L, 2286L, 1258L, 884L, 5994L, 1167L, 499L, 279L, 
    2814L, 486L, 170L, 130L, 907L, 201L, 87L, 51L, 309L, 1763L, 
    1046L, 2272L, 2424L, 2533L, 1548L, 6133L, 3468L, 1737L, 586L, 
    3170L, 2249L, 824L, 112L, 905L, 1493L, 238L, 159L, 126L, 
    612L, 1237L, 5557L, 605L, 8613L, 1239L, 4321L, 626L, 9209L, 
    611L, 1657L, 173L, 5286L, 275L, 841L, 92L, 2248L, 113L, 642L, 
    44L, 768L, 600L, 5574L, 411L, 10783L, 733L, 6180L, 1722L, 
    12120L, 432L, 2685L, 1296L, 7904L, 235L, 592L, 322L, 3075L, 
    19L, 632L, 144L, 1435L, 23L, 12317L, 48L, 11171L, 0L, 4601L, 
    0L, 5161L, 0L, 1820L, 0L, 2100L, 0L, 830L, 0L, 850L, 0L, 
    643L, 0L, 618L, 0L, 8201L, 117L, 36699L, 0L, 6945L, 0L, 28034L, 
    0L, 2308L, 17L, 12514L, 0L, 568L, 0L, 2849L, 0L, 419L, 0L, 
    1184L, 1418L, 240L, 2504L, 4143L, 4989L, 2716L, 3100L, 13976L, 
    3230L, 2524L, 1962L, 10978L, 378L, 1198L, 139L, 5169L, 27L, 
    276L, 0L, 809L, 1640L, 332L, 1849L, 2447L, 6134L, 2042L, 
    4911L, 6994L, 4683L, 2884L, 4685L, 10729L, 1027L, 1383L, 
    1034L, 7373L, 30L, 529L, 38L, 1551L, 3809L, 1294L, 1478L, 
    4741L, 10759L, 2935L, 2729L, 11903L, 5824L, 2288L, 1426L, 
    7149L, 1935L, 227L, 233L, 3162L, 993L, 238L, 33L, 1157L, 
    2696L, 1272L, 1957L, 2132L, 9061L, 2518L, 5467L, 5772L, 8439L, 
    2023L, 7084L, 5947L, 3162L, 735L, 1662L, 4335L, 680L, 198L, 
    553L, 1585L, 1879L, 11561L, 825L, 6500L, 2817L, 13357L, 664L, 
    13641L, 2085L, 7516L, 632L, 8615L, 1082L, 2287L, 243L, 3524L, 
    274L, 978L, 89L, 1672L, 616L, 10196L, 667L, 5461L, 2263L, 
    19338L, 2343L, 14353L, 1250L, 9106L, 2315L, 15473L, 932L, 
    2789L, 895L, 5435L, 232L, 1367L, 400L, 3114L, 184L, 19296L, 
    91L, 5299L, 75L, 17883L, 0L, 6100L, 25L, 8473L, 25L, 4124L, 
    18L, 3452L, 0L, 1453L, 26L, 2156L, 0L, 1491L, 97L, 12815L, 
    408L, 13464L, 0L, 19701L, 232L, 19927L, 0L, 7353L, 10L, 14061L, 
    0L, 2277L, 0L, 5670L, 0L, 892L, 0L, 3152L, 1695L, 837L, 3311L, 
    6879L, 7803L, 5415L, 6591L, 23992L, 5517L, 5532L, 3999L, 
    16730L, 2036L, 4278L, 142L, 10964L, 953L, 1242L, 52L, 1345L, 
    1608L, 474L, 2971L, 2893L, 7764L, 4330L, 6810L, 12987L, 11915L, 
    7241L, 4825L, 15509L, 4015L, 6701L, 742L, 12580L, 632L, 2092L, 
    216L, 3177L, 5867L, 2796L, 1416L, 5004L, 29261L, 9286L, 3850L, 
    15705L, 26641L, 7545L, 3076L, 14577L, 13304L, 3771L, 935L, 
    8444L, 5708L, 2226L, 173L, 4656L, 4155L, 2522L, 850L, 2068L, 
    25833L, 8865L, 4790L, 7880L, 31539L, 7289L, 7232L, 8159L, 
    17494L, 4328L, 3501L, 9362L, 5114L, 1535L, 1479L, 5883L, 
    3084L, 14636L, 562L, 6326L, 8871L, 34024L, 1637L, 13509L, 
    8223L, 27240L, 1502L, 13196L, 5074L, 10960L, 828L, 7560L, 
    3018L, 6422L, 358L, 4432L, 1251L, 12038L, 931L, 3529L, 6474L, 
    41164L, 1900L, 14273L, 6818L, 30561L, 2729L, 20313L, 4060L, 
    10904L, 2134L, 12146L, 1638L, 5956L, 1164L, 10433L, 138L, 
    11826L, 136L, 2938L, 184L, 21103L, 90L, 4282L, 12L, 16101L, 
    17L, 2903L, 95L, 11277L, 0L, 3026L, 165L, 7137L, 0L, 2821L, 
    44L, 7995L, 566L, 7366L, 21L, 22679L, 758L, 11141L, 30L, 
    13660L, 123L, 10132L, 0L, 6185L, 79L, 6236L, 19L, 3222L, 
    26L, 4024L, 285L, 455L, 2804L, 5088L, 1961L, 2706L, 8509L, 
    22545L, 2686L, 3221L, 7008L, 21184L, 1848L, 5195L, 1144L, 
    12919L, 597L, 1571L, 24L, 1985L, 392L, 300L, 1891L, 2503L, 
    2343L, 2169L, 6230L, 11413L, 5278L, 3948L, 7411L, 17471L, 
    3785L, 8027L, 1215L, 13408L, 999L, 3195L, 112L, 3562L, 3306L, 
    1874L, 288L, 2243L, 20696L, 8530L, 1778L, 9713L, 29147L, 
    9951L, 1921L, 9932L, 35378L, 11377L, 1280L, 13738L, 23117L, 
    5790L, 723L, 6584L, 1946L, 730L, 353L, 763L, 18032L, 7538L, 
    1141L, 4731L, 36347L, 9878L, 2647L, 6463L, 45710L, 10783L, 
    2347L, 10037L, 21416L, 6711L, 1260L, 6941L, 1999L, 7122L, 
    397L, 2327L, 12277L, 29523L, 1098L, 7205L, 18515L, 40231L, 
    1205L, 9493L, 19714L, 30290L, 1277L, 10060L, 16359L, 26868L, 
    887L, 9988L, 818L, 5231L, 173L, 1144L, 7247L, 36021L, 1096L, 
    6902L, 15583L, 48534L, 1969L, 10630L, 17044L, 30296L, 1827L, 
    10985L, 9619L, 19902L, 1706L, 10061L, 106L, 3080L, 278L, 
    780L, 135L, 7947L, 213L, 1411L, 187L, 9920L, 224L, 1552L, 
    223L, 13344L, 42L, 2094L, 198L, 17091L, 90L, 2278L, 142L, 
    2148L, 634L, 2777L, 42L, 10277L, 1891L, 5868L, 32L, 9867L, 
    741L, 4520L, 80L, 9061L, 240L, 2618L, 0L, 5728L, 162L, 2095L, 
    20L, 30L, 1419L, 2095L, 222L, 438L, 2911L, 7402L, 388L, 543L, 
    3903L, 9726L, 335L, 888L, 1387L, 7094L, 149L, 259L, 54L, 
    829L, 26L, 0L, 1098L, 1245L, 432L, 728L, 2573L, 4168L, 408L, 
    587L, 3379L, 7337L, 608L, 1302L, 840L, 6998L, 139L, 558L, 
    271L, 1440L, 506L, 350L, 0L, 218L, 2824L, 1303L, 273L, 2038L, 
    4386L, 2471L, 193L, 3077L, 15304L, 5955L, 600L, 4935L, 15203L, 
    5495L, 555L, 3888L, 292L, 129L, 0L, 350L, 3131L, 914L, 89L, 
    1009L, 6877L, 2277L, 213L, 2110L, 21524L, 6562L, 471L, 3008L, 
    16654L, 6941L, 759L, 2461L, 377L, 1234L, 101L, 282L, 2199L, 
    5482L, 209L, 1180L, 5708L, 11595L, 282L, 2906L, 14866L, 23501L, 
    614L, 4759L, 21635L, 41334L, 634L, 6308L, 114L, 1065L, 90L, 
    0L, 1995L, 10229L, 635L, 1440L, 5168L, 21971L, 414L, 2606L, 
    15428L, 29754L, 944L, 3371L, 11857L, 25038L, 626L, 4187L, 
    169L, 740L, 102L, 191L, 342L, 1866L, 36L, 815L, 84L, 3486L, 
    54L, 966L, 141L, 6842L, 211L, 1155L, 516L, 11513L, 121L, 
    1532L, 48L, 462L, 230L, 934L, 346L, 2877L, 784L, 2160L, 83L, 
    4228L, 386L, 1893L, 25L, 4804L, 223L, 1109L, 22L, 2804L, 
    156L, 1068L, 130L, 0L, 1645L, 2502L, 346L, 297L, 2313L, 2769L, 
    125L, 30L, 387L, 2167L, 23L, 0L, 0L, 383L, 0L, 0L, 0L, 0L, 
    49L, 37L, 4894L, 1852L, 553L, 268L, 6629L, 4545L, 342L, 71L, 
    3892L, 3982L, 76L, 19L, 241L, 1108L, 0L, 0L, 0L, 18L, 532L, 
    231L, 252L, 1712L, 940L, 486L, 606L, 2761L, 597L, 80L, 573L, 
    1319L, 30L, 19L, 0L, 157L, 0L, 0L, 0L, 0L, 518L, 393L, 3953L, 
    2464L, 937L, 189L, 6679L, 2796L, 721L, 120L, 4360L, 1105L, 
    54L, 0L, 606L, 429L, 7L, 27L, 102L, 264L, 532L, 1280L, 366L, 
    5710L, 225L, 1333L, 356L, 4410L, 73L, 328L, 168L, 1691L, 
    51L, 170L, 0L, 293L, 0L, 142L, 0L, 91L, 126L, 1966L, 835L, 
    8763L, 318L, 1741L, 1556L, 8505L, 21L, 1061L, 1332L, 5284L, 
    0L, 58L, 299L, 633L, 0L, 73L, 0L, 165L, 0L, 3765L, 6L, 5449L, 
    0L, 1464L, 0L, 1394L, 0L, 235L, 0L, 801L, 0L, 96L, 0L, 302L, 
    0L, 37L, 0L, 18L, 0L, 2556L, 7L, 16274L, 42L, 1210L, 0L, 
    7424L, 0L, 505L, 0L, 2133L, 0L, 79L, 0L, 345L, 0L, 17L, 0L, 
    311L, 533L, 172L, 2659L, 3206L, 1148L, 613L, 3135L, 8200L, 
    984L, 659L, 971L, 3660L, 56L, 0L, 84L, 1558L, 0L, 64L, 0L, 
    16L, 656L, 100L, 2186L, 1958L, 892L, 302L, 4960L, 6822L, 
    1303L, 569L, 3634L, 4998L, 365L, 235L, 539L, 1605L, 25L, 
    0L, 103L, 281L, 1007L, 801L, 851L, 2176L, 3063L, 1659L, 1919L, 
    4931L, 1464L, 330L, 530L, 2644L, 492L, 158L, 129L, 1306L, 
    107L, 109L, 0L, 170L, 707L, 527L, 2094L, 1584L, 2468L, 1052L, 
    6023L, 4017L, 1855L, 1213L, 7873L, 4564L, 652L, 307L, 1667L, 
    1981L, 131L, 0L, 244L, 717L, 1078L, 3771L, 400L, 3640L, 1287L, 
    3143L, 652L, 6067L, 472L, 1923L, 462L, 2887L, 116L, 371L, 
    91L, 1205L, 123L, 130L, 42L, 261L, 520L, 3727L, 773L, 5391L, 
    755L, 4741L, 1711L, 9195L, 542L, 1719L, 2246L, 7634L, 216L, 
    236L, 529L, 1898L, 7L, 185L, 168L, 617L, 127L, 4678L, 60L, 
    3402L, 0L, 1864L, 34L, 950L, 37L, 1019L, 0L, 553L, 0L, 137L, 
    0L, 186L, 0L, 34L, 0L, 99L, 89L, 2752L, 243L, 6165L, 18L, 
    1812L, 242L, 3047L, 0L, 844L, 36L, 1964L, 0L, 120L, 0L, 730L, 
    0L, 94L, 29L, 753L, 191L, 302L, 2148L, 2991L, 2486L, 962L, 
    4771L, 9276L, 1578L, 727L, 2325L, 5756L, 315L, 573L, 192L, 
    1639L, 0L, 55L, 0L, 203L, 124L, 115L, 1607L, 1912L, 1738L, 
    632L, 3429L, 6789L, 2364L, 940L, 3382L, 6334L, 555L, 336L, 
    859L, 2825L, 107L, 149L, 32L, 737L, 2051L, 857L, 601L, 2586L, 
    7999L, 3606L, 2231L, 8543L, 7312L, 1066L, 1418L, 6335L, 1680L, 
    620L, 451L, 1758L, 530L, 202L, 80L, 633L, 820L, 1203L, 988L, 
    993L, 6023L, 1884L, 3124L, 4244L, 7102L, 1156L, 5185L, 4600L, 
    2900L, 550L, 2262L, 3553L, 633L, 489L, 896L, 1746L, 1617L, 
    4783L, 180L, 3486L, 3678L, 8473L, 789L, 6498L, 2779L, 6238L, 
    395L, 4799L, 768L, 1475L, 118L, 2240L, 298L, 1095L, 36L, 
    543L, 346L, 3070L, 427L, 2590L, 2263L, 9484L, 2048L, 6529L, 
    1896L, 7622L, 1587L, 8412L, 868L, 1719L, 855L, 2846L, 457L, 
    904L, 217L, 2559L, 16L, 2913L, 370L, 1428L, 26L, 3436L, 25L, 
    1039L, 20L, 1636L, 0L, 480L, 0L, 454L, 0L, 257L, 0L, 420L, 
    0L, 442L, 0L, 1458L, 189L, 3707L, 0L, 2204L, 218L, 2400L, 
    0L, 882L, 112L, 1281L, 0L, 601L, 129L, 631L, 0L, 409L, 13L, 
    665L, 0L, 15L, 1606L, 2054L, 462L, 1061L, 3783L, 6597L, 784L, 
    361L, 2128L, 5293L, 299L, 538L, 269L, 1571L, 55L, 66L, 0L, 
    179L, 116L, 16L, 350L, 1140L, 414L, 516L, 1998L, 2737L, 1028L, 
    594L, 3185L, 4073L, 457L, 789L, 295L, 2031L, 119L, 219L, 
    66L, 321L, 598L, 436L, 385L, 1043L, 5923L, 2136L, 1291L, 
    4360L, 7331L, 2509L, 1017L, 3477L, 3721L, 1380L, 265L, 1455L, 
    2182L, 316L, 222L, 1344L, 147L, 139L, 96L, 570L, 3355L, 1834L, 
    925L, 2018L, 9006L, 2482L, 1070L, 3234L, 4014L, 1417L, 607L, 
    2201L, 2770L, 671L, 608L, 1086L, 401L, 2079L, 79L, 1280L, 
    2636L, 6453L, 191L, 2256L, 4014L, 6802L, 222L, 2308L, 1832L, 
    3231L, 97L, 1094L, 1246L, 2534L, 204L, 753L, 187L, 1189L, 
    194L, 1221L, 1661L, 5127L, 885L, 2197L, 2229L, 6197L, 118L, 
    3652L, 1284L, 3467L, 294L, 1786L, 1188L, 3143L, 345L, 2156L, 
    30L, 1021L, 27L, 440L, 0L, 942L, 31L, 228L, 109L, 1219L, 
    22L, 246L, 0L, 558L, 0L, 248L, 13L, 703L, 0L, 56L, 0L, 622L, 
    268L, 1735L, 0L, 608L, 167L, 935L, 0L, 494L, 28L, 516L, 0L, 
    371L, 95L, 297L, 0L, 633L, 0L, 388L, 0L, 0L, 186L, 329L, 
    0L, 41L, 410L, 711L, 73L, 91L, 236L, 709L, 69L, 30L, 184L, 
    1177L, 31L, 0L, 0L, 71L, 0L, 0L, 52L, 60L, 0L, 0L, 426L, 
    417L, 0L, 44L, 272L, 448L, 49L, 56L, 278L, 880L, 0L, 0L, 
    16L, 101L, 50L, 33L, 0L, 70L, 428L, 220L, 0L, 1008L, 1377L, 
    223L, 0L, 426L, 1102L, 319L, 102L, 345L, 1002L, 419L, 32L, 
    150L, 0L, 0L, 0L, 118L, 275L, 162L, 67L, 80L, 1468L, 641L, 
    89L, 231L, 1312L, 407L, 85L, 437L, 1747L, 285L, 214L, 257L, 
    41L, 343L, 0L, 0L, 323L, 699L, 143L, 140L, 723L, 984L, 0L, 
    345L, 843L, 1338L, 59L, 122L, 1429L, 1765L, 90L, 136L, 92L, 
    232L, 0L, 0L, 60L, 464L, 82L, 125L, 257L, 1364L, 200L, 299L, 
    943L, 1097L, 0L, 549L, 802L, 1416L, 126L, 311L, 0L, 223L, 
    0L, 102L, 0L, 108L, 116L, 98L, 0L, 215L, 0L, 0L, 0L, 0L, 
    0L, 27L, 0L, 517L, 0L, 358L, 0L, 135L, 173L, 155L, 0L, 43L, 
    238L, 134L, 0L, 79L, 0L, 10L, 0L, 172L, 0L, 0L, 0L, 191L, 
    0L, 53L, 218L, 6L, 12L, 186L, 104L, 72L, 44L, 136L, 16L, 
    0L, 0L, 422L, 0L, 0L, 0L, 178L, 0L, 0L, 0L, 0L, 86L, 8L, 
    64L, 113L, 25L, 0L, 340L, 269L, 153L, 20L, 103L, 584L, 42L, 
    0L, 14L, 172L, 0L, 0L, 0L, 0L, 148L, 0L, 172L, 42L, 67L, 
    198L, 0L, 0L, 227L, 0L, 35L, 22L, 0L, 17L, 0L, 106L, 21L, 
    0L, 0L, 0L, 15L, 37L, 126L, 0L, 30L, 47L, 459L, 37L, 209L, 
    107L, 274L, 23L, 98L, 0L, 97L, 37L, 0L, 0L, 0L, 0L, 0L, 203L, 
    0L, 197L, 65L, 148L, 0L, 222L, 32L, 14L, 0L, 117L, 0L, 0L, 
    0L, 0L, 0L, 11L, 0L, 0L, 44L, 129L, 0L, 179L, 0L, 52L, 131L, 
    246L, 0L, 123L, 96L, 163L, 0L, 8L, 92L, 74L, 16L, 19L, 0L, 
    0L, 0L, 70L, 0L, 181L, 0L, 44L, 0L, 67L, 0L, 104L, 0L, 26L, 
    0L, 0L, 0L, 0L, 0L, 38L, 0L, 0L, 0L, 195L, 0L, 256L, 0L, 
    212L, 0L, 340L, 0L, 28L, 0L, 373L, 0L, 32L, 0L, 139L, 0L, 
    0L, 0L, 77L, 106L, 165L, 197L, 212L, 334L, 456L, 224L, 637L, 
    212L, 90L, 93L, 610L, 0L, 24L, 0L, 101L, 0L, 0L, 21L, 28L, 
    117L, 30L, 99L, 298L, 504L, 100L, 184L, 494L, 231L, 399L, 
    301L, 375L, 0L, 0L, 0L, 239L, 0L, 90L, 0L, 65L, 359L, 49L, 
    231L, 494L, 977L, 81L, 22L, 251L, 294L, 118L, 66L, 690L, 
    16L, 81L, 0L, 137L, 20L, 33L, 0L, 23L, 191L, 172L, 319L, 
    150L, 379L, 418L, 546L, 56L, 504L, 230L, 282L, 417L, 78L, 
    22L, 76L, 156L, 135L, 0L, 0L, 0L, 111L, 328L, 0L, 322L, 252L, 
    26L, 42L, 292L, 131L, 74L, 0L, 318L, 0L, 76L, 136L, 28L, 
    64L, 0L, 0L, 44L, 72L, 185L, 90L, 150L, 82L, 82L, 449L, 928L, 
    167L, 176L, 198L, 481L, 0L, 30L, 0L, 222L, 21L, 0L, 0L, 57L, 
    33L, 156L, 0L, 28L, 0L, 161L, 0L, 28L, 0L, 130L, 0L, 0L, 
    0L, 21L, 0L, 0L, 0L, 97L, 0L, 0L, 0L, 136L, 0L, 210L, 0L, 
    309L, 0L, 165L, 0L, 0L, 0L, 131L, 0L, 34L, 0L, 87L, 0L, 0L, 
    0L, 38L, 54L, 55L, 426L, 533L, 557L, 519L, 431L, 699L, 489L, 
    190L, 118L, 911L, 24L, 110L, 0L, 351L, 0L, 124L, 0L, 82L, 
    51L, 27L, 372L, 218L, 616L, 491L, 485L, 552L, 813L, 595L, 
    698L, 581L, 182L, 111L, 46L, 494L, 0L, 53L, 0L, 41L, 736L, 
    168L, 248L, 220L, 1052L, 136L, 507L, 369L, 1498L, 690L, 228L, 
    293L, 513L, 176L, 39L, 502L, 320L, 124L, 0L, 176L, 699L, 
    69L, 595L, 238L, 1340L, 165L, 324L, 62L, 1373L, 320L, 763L, 
    371L, 522L, 380L, 138L, 503L, 146L, 108L, 0L, 276L, 258L, 
    420L, 43L, 437L, 612L, 227L, 32L, 314L, 863L, 797L, 52L, 
    328L, 166L, 72L, 108L, 542L, 150L, 497L, 0L, 104L, 124L, 
    742L, 242L, 243L, 158L, 495L, 118L, 377L, 172L, 676L, 107L, 
    338L, 269L, 422L, 0L, 162L, 166L, 168L, 0L, 352L, 0L, 209L, 
    0L, 0L, 0L, 329L, 0L, 28L, 29L, 130L, 0L, 8L, 0L, 0L, 0L, 
    94L, 0L, 163L, 0L, 0L, 102L, 152L, 144L, 271L, 0L, 137L, 
    70L, 123L, 0L, 277L, 122L, 250L, 0L, 20L, 39L, 215L, 0L, 
    0L, 0L, 37L, 26L, 25L, 374L, 438L, 196L, 110L, 438L, 1207L, 
    12L, 318L, 382L, 1291L, 89L, 102L, 19L, 348L, 10L, 99L, 0L, 
    97L, 204L, 98L, 343L, 289L, 106L, 117L, 443L, 1386L, 334L, 
    257L, 630L, 1159L, 97L, 253L, 91L, 702L, 61L, 102L, 0L, 103L, 
    677L, 205L, 141L, 263L, 829L, 248L, 268L, 581L, 1512L, 611L, 
    196L, 934L, 916L, 645L, 34L, 327L, 871L, 165L, 0L, 637L, 
    285L, 75L, 186L, 40L, 754L, 226L, 138L, 384L, 2697L, 270L, 
    86L, 410L, 1816L, 346L, 176L, 442L, 627L, 315L, 170L, 249L, 
    436L, 26L, 65L, 97L, 108L, 573L, 73L, 113L, 834L, 606L, 19L, 
    353L, 543L, 932L, 24L, 228L, 641L, 683L, 0L, 344L, 167L, 
    576L, 247L, 149L, 273L, 703L, 146L, 460L, 395L, 1116L, 235L, 
    419L, 539L, 585L, 64L, 530L, 146L, 498L, 0L, 368L, 71L, 62L, 
    0L, 0L, 162L, 108L, 0L, 0L, 0L, 90L, 0L, 102L, 0L, 23L, 0L, 
    0L, 0L, 168L, 0L, 57L, 0L, 113L, 0L, 41L, 127L, 113L, 220L, 
    128L, 0L, 259L, 0L, 178L, 0L, 28L, 0L, 115L, 0L, 93L, 0L, 
    0L, 0L, 0L, 231L, 220L, 218L, 15L, 24L, 458L, 34L, 43L, 187L, 
    477L, 0L, 11L, 76L, 466L, 0L, 0L, 0L, 117L, 118L, 68L, 172L, 
    177L, 0L, 37L, 31L, 236L, 22L, 33L, 236L, 660L, 55L, 48L, 
    26L, 243L, 15L, 18L, 0L, 45L, 35L, 0L, 0L, 0L, 88L, 0L, 0L, 
    128L, 310L, 174L, 0L, 11L, 227L, 132L, 0L, 208L, 717L, 195L, 
    25L, 63L, 0L, 28L, 30L, 0L, 88L, 195L, 0L, 0L, 418L, 129L, 
    93L, 417L, 930L, 75L, 36L, 126L, 453L, 219L, 73L, 16L, 125L, 
    41L, 0L, 20L, 20L, 39L, 0L, 61L, 158L, 487L, 0L, 81L, 244L, 
    384L, 0L, 236L, 467L, 858L, 26L, 93L, 125L, 75L, 51L, 24L, 
    119L, 154L, 40L, 56L, 221L, 533L, 0L, 234L, 512L, 744L, 61L, 
    145L, 158L, 587L, 53L, 70L, 37L, 26L, 0L, 0L, 0L, 48L, 0L, 
    0L, 85L, 40L, 0L, 26L, 0L, 24L, 0L, 21L, 38L, 81L, 0L, 22L, 
    36L, 0L, 0L, 0L, 0L, 74L, 66L, 239L, 0L, 57L, 0L, 9L, 0L, 
    125L, 48L, 0L, 0L, 37L, 0L, 0L, 520L, 92L, 1314L, 3135L, 
    1541L, 644L, 2312L, 8058L, 1162L, 808L, 627L, 13649L, 171L, 
    201L, 40L, 2304L, 0L, 77L, 33L, 495L, 1093L, 359L, 2533L, 
    2872L, 1527L, 646L, 4943L, 5170L, 2001L, 865L, 5115L, 14241L, 
    367L, 414L, 379L, 3625L, 45L, 59L, 0L, 496L, 883L, 421L, 
    1064L, 3280L, 2105L, 814L, 1423L, 6811L, 1943L, 987L, 869L, 
    5804L, 892L, 152L, 133L, 2281L, 155L, 24L, 33L, 499L, 386L, 
    1031L, 2082L, 2423L, 2069L, 917L, 4755L, 4552L, 3059L, 695L, 
    8048L, 5253L, 565L, 290L, 1401L, 2014L, 298L, 185L, 205L, 
    909L, 391L, 1782L, 216L, 4347L, 646L, 3496L, 477L, 11624L, 
    822L, 4537L, 686L, 12707L, 200L, 817L, 166L, 4325L, 133L, 
    886L, 33L, 1703L, 120L, 2263L, 498L, 5290L, 318L, 5125L, 
    1813L, 13010L, 841L, 4706L, 2586L, 18849L, 110L, 1352L, 558L, 
    5094L, 107L, 485L, 475L, 1872L, 69L, 4008L, 0L, 5360L, 0L, 
    6391L, 0L, 6420L, 0L, 3445L, 0L, 6016L, 0L, 1665L, 0L, 2297L, 
    0L, 671L, 7L, 1070L, 0L, 3033L, 0L, 17241L, 0L, 6496L, 34L, 
    29122L, 0L, 3488L, 0L, 20659L, 0L, 857L, 0L, 4537L, 0L, 408L, 
    0L, 1769L, 1191L, 693L, 2952L, 5870L, 4342L, 1727L, 4371L, 
    12459L, 3151L, 2531L, 2335L, 17258L, 728L, 1307L, 178L, 5302L, 
    228L, 162L, 0L, 481L, 1587L, 96L, 2411L, 3127L, 6094L, 1409L, 
    5046L, 9589L, 6162L, 3384L, 5169L, 18064L, 916L, 1508L, 787L, 
    6924L, 70L, 186L, 0L, 880L, 2013L, 676L, 1438L, 2983L, 7779L, 
    2141L, 2806L, 10935L, 7183L, 1852L, 2696L, 11378L, 2130L, 
    1724L, 419L, 4863L, 819L, 411L, 182L, 1288L, 2284L, 414L, 
    1960L, 2020L, 6570L, 2022L, 5582L, 4748L, 7780L, 2730L, 11404L, 
    8547L, 2295L, 1022L, 2520L, 4356L, 1130L, 277L, 642L, 1962L, 
    1035L, 3121L, 234L, 4617L, 2520L, 10197L, 1472L, 14089L, 
    3225L, 12350L, 919L, 17038L, 1062L, 4564L, 362L, 5498L, 540L, 
    1649L, 11L, 1824L, 307L, 3364L, 1123L, 3457L, 2061L, 13346L, 
    2324L, 14537L, 2401L, 14976L, 3346L, 24733L, 968L, 4278L, 
    1370L, 7371L, 454L, 1663L, 460L, 3894L, 72L, 10275L, 0L, 
    4135L, 53L, 18821L, 47L, 7748L, 39L, 15277L, 0L, 5986L, 44L, 
    6663L, 0L, 2786L, 0L, 3745L, 0L, 1901L, 23L, 7762L, 125L, 
    7501L, 26L, 19967L, 336L, 20207L, 0L, 12824L, 152L, 17973L, 
    0L, 3764L, 0L, 6528L, 0L, 1547L, 0L, 3486L, 1200L, 898L, 
    5018L, 8926L, 4831L, 4332L, 7811L, 20893L, 6668L, 6853L, 
    5233L, 24859L, 2610L, 4617L, 484L, 9204L, 336L, 981L, 0L, 
    1543L, 952L, 439L, 3264L, 4644L, 7727L, 3413L, 6714L, 14985L, 
    12618L, 8516L, 7822L, 20731L, 2830L, 6130L, 702L, 10473L, 
    901L, 1355L, 36L, 1498L, 4471L, 1388L, 1608L, 3353L, 21372L, 
    7877L, 5442L, 16233L, 29425L, 8124L, 5142L, 18239L, 12868L, 
    4359L, 1344L, 10447L, 5105L, 1778L, 328L, 2598L, 2673L, 1339L, 
    1331L, 1678L, 21971L, 6115L, 5260L, 7020L, 32124L, 6663L, 
    9069L, 10745L, 14588L, 4353L, 4110L, 7839L, 4761L, 1961L, 
    1394L, 5484L, 1799L, 6382L, 471L, 3190L, 9726L, 26860L, 2381L, 
    16904L, 12035L, 38305L, 2324L, 22969L, 6647L, 14633L, 931L, 
    10219L, 3181L, 8739L, 439L, 5142L, 713L, 6824L, 457L, 3431L, 
    5807L, 35322L, 1878L, 12500L, 9326L, 41480L, 4220L, 26751L, 
    4827L, 13351L, 1654L, 12159L, 1706L, 6100L, 1287L, 9461L, 
    99L, 7028L, 46L, 1774L, 153L, 19589L, 342L, 4334L, 7L, 20881L, 
    148L, 5229L, 57L, 15013L, 38L, 3190L, 58L, 10366L, 0L, 2416L, 
    82L, 6516L, 195L, 4448L, 88L, 18993L, 787L, 9752L, 8L, 17209L, 
    251L, 9887L, 0L, 8973L, 0L, 5001L, 0L, 4243L, 17L, 3132L, 
    317L, 321L, 4686L, 9112L, 2470L, 2190L, 9226L, 19443L, 2716L, 
    3125L, 7487L, 22650L, 1293L, 4362L, 751L, 7913L, 237L, 551L, 
    30L, 791L, 256L, 182L, 2609L, 4393L, 2733L, 2126L, 6239L, 
    11165L, 4825L, 4615L, 8262L, 18485L, 3101L, 5667L, 658L, 
    9226L, 1004L, 1896L, 140L, 1966L, 2200L, 1351L, 492L, 2366L, 
    16782L, 6039L, 3014L, 11300L, 32460L, 11975L, 3109L, 12434L, 
    30647L, 10499L, 1872L, 12136L, 13131L, 4158L, 314L, 3904L, 
    1771L, 879L, 734L, 1005L, 17963L, 6017L, 2892L, 4553L, 38575L, 
    11519L, 5412L, 8531L, 32831L, 8832L, 2213L, 7051L, 14407L, 
    4829L, 748L, 4350L, 1424L, 3388L, 567L, 2158L, 10301L, 28557L, 
    1747L, 7590L, 21427L, 51737L, 2031L, 11945L, 19621L, 32517L, 
    1511L, 10038L, 13233L, 23308L, 755L, 6756L, 810L, 2976L, 
    122L, 751L, 8445L, 31132L, 2070L, 6092L, 17726L, 58340L, 
    1753L, 12812L, 13603L, 29743L, 1218L, 8518L, 7850L, 18398L, 
    797L, 7981L, 109L, 1832L, 256L, 943L, 298L, 7195L, 592L, 
    1948L, 205L, 9515L, 50L, 2000L, 167L, 9269L, 165L, 1577L, 
    153L, 10881L, 96L, 1691L, 64L, 1497L, 213L, 2272L, 243L, 
    7517L, 1603L, 4320L, 143L, 8165L, 350L, 4565L, 0L, 6272L, 
    234L, 2221L, 0L, 2486L, 88L, 1953L, 96L, 133L, 1345L, 1974L, 
    210L, 581L, 1759L, 4581L, 95L, 242L, 1629L, 5291L, 112L, 
    647L, 192L, 2670L, 28L, 177L, 0L, 280L, 0L, 54L, 662L, 732L, 
    168L, 285L, 1512L, 2081L, 360L, 671L, 1900L, 4567L, 305L, 
    944L, 354L, 2828L, 46L, 334L, 0L, 511L, 129L, 64L, 146L, 
    306L, 1646L, 1093L, 447L, 1970L, 3974L, 1824L, 425L, 2219L, 
    11051L, 4414L, 286L, 3740L, 7156L, 1990L, 122L, 1507L, 222L, 
    111L, 0L, 49L, 1675L, 1038L, 355L, 939L, 6231L, 1909L, 490L, 
    1153L, 13271L, 4017L, 388L, 1809L, 7083L, 2646L, 192L, 1158L, 
    90L, 479L, 31L, 96L, 1546L, 4579L, 101L, 1570L, 4115L, 10888L, 
    286L, 1990L, 9335L, 15962L, 251L, 3959L, 10540L, 17193L, 
    310L, 2361L, 32L, 557L, 59L, 31L, 1258L, 6397L, 149L, 1351L, 
    4942L, 14161L, 505L, 2481L, 8447L, 15580L, 390L, 2103L, 5803L, 
    12552L, 304L, 1972L, 0L, 980L, 121L, 252L, 76L, 1952L, 84L, 
    808L, 192L, 2365L, 66L, 685L, 183L, 4411L, 164L, 671L, 145L, 
    5381L, 0L, 707L, 0L, 310L, 129L, 663L, 119L, 2383L, 271L, 
    1697L, 34L, 3538L, 134L, 1533L, 43L, 2397L, 105L, 1087L, 
    0L, 1176L, 0L, 614L, 98L, 0L, 371L, 565L, 127L, 58L, 149L, 
    515L, 0L, 0L, 209L, 729L, 0L, 0L, 0L, 192L, 0L, 0L, 0L, 0L, 
    172L, 0L, 594L, 0L, 163L, 0L, 661L, 198L, 113L, 0L, 542L, 
    393L, 0L, 0L, 0L, 27L, 0L, 0L, 0L, 0L, 81L, 0L, 90L, 85L, 
    64L, 68L, 173L, 294L, 147L, 90L, 125L, 561L, 32L, 0L, 0L, 
    22L, 0L, 52L, 0L, 0L, 149L, 0L, 206L, 167L, 0L, 0L, 767L, 
    396L, 96L, 19L, 1616L, 468L, 0L, 0L, 32L, 34L, 0L, 0L, 0L, 
    0L, 0L, 64L, 183L, 730L, 160L, 451L, 17L, 815L, 126L, 246L, 
    172L, 784L, 36L, 0L, 0L, 77L, 0L, 25L, 0L, 26L, 0L, 99L, 
    202L, 332L, 76L, 257L, 184L, 739L, 64L, 212L, 118L, 959L, 
    35L, 0L, 25L, 511L, 0L, 0L, 0L, 0L, 15L, 177L, 0L, 194L, 
    0L, 63L, 0L, 267L, 0L, 61L, 0L, 135L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 15L, 93L, 30L, 689L, 0L, 210L, 0L, 447L, 0L, 
    24L, 0L, 444L, 0L, 0L, 37L, 104L, 0L, 0L, 0L, 0L, 26L, 0L, 
    211L, 442L, 261L, 0L, 205L, 486L, 164L, 31L, 275L, 862L, 
    0L, 71L, 0L, 52L, 0L, 0L, 0L, 83L, 113L, 0L, 600L, 180L, 
    175L, 0L, 544L, 509L, 336L, 38L, 247L, 419L, 0L, 0L, 68L, 
    0L, 0L, 0L, 0L, 36L, 209L, 0L, 73L, 49L, 680L, 0L, 420L, 
    853L, 838L, 312L, 349L, 1087L, 26L, 0L, 81L, 101L, 61L, 34L, 
    11L, 0L, 60L, 101L, 131L, 31L, 456L, 134L, 414L, 59L, 815L, 
    21L, 730L, 801L, 92L, 72L, 154L, 57L, 0L, 0L, 0L, 196L, 31L, 
    18L, 54L, 11L, 0L, 452L, 71L, 556L, 181L, 126L, 69L, 766L, 
    83L, 0L, 0L, 199L, 0L, 64L, 0L, 128L, 99L, 0L, 144L, 156L, 
    25L, 123L, 434L, 746L, 36L, 102L, 379L, 1164L, 0L, 57L, 43L, 
    131L, 0L, 0L, 0L, 151L, 0L, 235L, 0L, 210L, 22L, 440L, 0L, 
    148L, 0L, 47L, 0L, 72L, 0L, 32L, 0L, 31L, 0L, 25L, 0L, 36L, 
    0L, 228L, 0L, 275L, 0L, 115L, 0L, 535L, 0L, 117L, 0L, 407L, 
    0L, 71L, 0L, 29L, 0L, 0L, 0L, 26L, 0L, 48L, 275L, 627L, 441L, 
    50L, 487L, 469L, 188L, 184L, 165L, 701L, 32L, 112L, 0L, 296L, 
    0L, 24L, 0L, 0L, 116L, 0L, 267L, 176L, 310L, 158L, 304L, 
    439L, 388L, 151L, 673L, 545L, 0L, 0L, 25L, 153L, 0L, 0L, 
    0L, 0L, 275L, 367L, 38L, 216L, 1104L, 221L, 48L, 756L, 1735L, 
    372L, 235L, 1139L, 257L, 73L, 238L, 651L, 104L, 23L, 0L, 
    80L, 122L, 447L, 71L, 46L, 691L, 94L, 252L, 293L, 983L, 308L, 
    928L, 886L, 62L, 109L, 261L, 312L, 149L, 40L, 0L, 50L, 210L, 
    295L, 19L, 223L, 312L, 521L, 102L, 1247L, 459L, 912L, 89L, 
    958L, 168L, 293L, 34L, 240L, 81L, 145L, 36L, 52L, 66L, 286L, 
    139L, 132L, 177L, 277L, 47L, 381L, 64L, 784L, 100L, 1000L, 
    0L, 57L, 135L, 681L, 0L, 71L, 0L, 185L, 0L, 175L, 0L, 0L, 
    0L, 153L, 0L, 368L, 58L, 367L, 0L, 151L, 25L, 89L, 0L, 165L, 
    0L, 53L, 0L, 0L, 0L, 183L, 0L, 141L, 0L, 111L, 44L, 170L, 
    0L, 131L, 0L, 198L, 0L, 131L, 0L, 31L, 0L, 33L, 0L, 29L, 
    0L, 0L, 248L, 587L, 0L, 87L, 311L, 513L, 153L, 215L, 124L, 
    869L, 19L, 33L, 0L, 911L, 21L, 0L, 0L, 49L, 107L, 32L, 470L, 
    186L, 0L, 206L, 510L, 256L, 28L, 113L, 1018L, 850L, 89L, 
    0L, 0L, 156L, 0L, 22L, 0L, 0L, 85L, 0L, 106L, 38L, 376L, 
    131L, 410L, 335L, 933L, 220L, 685L, 567L, 966L, 163L, 115L, 
    456L, 133L, 21L, 25L, 150L, 68L, 0L, 0L, 0L, 224L, 86L, 159L, 
    229L, 870L, 80L, 99L, 127L, 473L, 99L, 34L, 176L, 356L, 41L, 
    9L, 148L, 218L, 61L, 0L, 95L, 409L, 456L, 46L, 513L, 775L, 
    1276L, 0L, 782L, 376L, 601L, 0L, 220L, 272L, 351L, 0L, 274L, 
    110L, 117L, 8L, 232L, 115L, 351L, 133L, 169L, 434L, 915L, 
    142L, 1037L, 43L, 234L, 103L, 197L, 88L, 318L, 47L, 174L, 
    0L, 65L, 58L, 167L, 39L, 38L, 0L, 25L, 0L, 101L, 0L, 44L, 
    0L, 36L, 0L, 59L, 30L, 223L, 0L, 40L, 0L, 0L, 0L, 0L, 27L, 
    28L, 74L, 261L, 0L, 36L, 0L, 42L, 0L, 45L, 0L, 0L, 0L, 45L, 
    0L, 64L, 0L, 0L, 75L, 0L, 12L, 0L, 40L, 38L, 22L, 0L, 44L, 
    182L, 0L, 0L, 0L, 164L, 0L, 0L, 0L, 176L, 58L, 0L, 0L, 42L, 
    0L, 0L, 0L, 0L, 19L, 0L, 84L, 110L, 0L, 104L, 0L, 33L, 0L, 
    0L, 0L, 0L, 20L, 0L, 0L, 0L, 0L, 25L, 30L, 52L, 107L, 0L, 
    0L, 23L, 422L, 0L, 0L, 0L, 26L, 24L, 0L, 93L, 0L, 0L, 0L, 
    0L, 39L, 21L, 35L, 0L, 92L, 0L, 0L, 0L, 60L, 0L, 0L, 0L, 
    52L, 32L, 21L, 58L, 0L, 21L, 0L, 0L, 10L, 46L, 0L, 41L, 47L, 
    175L, 0L, 104L, 72L, 424L, 0L, 267L, 133L, 191L, 0L, 81L, 
    0L, 76L, 35L, 0L, 47L, 23L, 0L, 33L, 137L, 347L, 0L, 37L, 
    0L, 20L, 0L, 0L, 102L, 176L, 0L, 68L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 
    41L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 156L, 0L, 649L, 1285L, 282L, 
    0L, 268L, 939L, 145L, 109L, 294L, 1294L, 0L, 12L, 0L, 17L, 
    0L, 0L, 0L, 0L, 208L, 49L, 861L, 668L, 410L, 106L, 1266L, 
    372L, 166L, 320L, 592L, 839L, 61L, 163L, 178L, 44L, 42L, 
    0L, 0L, 16L, 281L, 68L, 345L, 658L, 347L, 168L, 0L, 242L, 
    255L, 0L, 121L, 813L, 71L, 0L, 0L, 64L, 49L, 0L, 0L, 105L, 
    356L, 257L, 361L, 231L, 366L, 157L, 695L, 241L, 625L, 66L, 
    893L, 505L, 13L, 0L, 32L, 191L, 27L, 0L, 0L, 20L, 302L, 476L, 
    74L, 658L, 162L, 67L, 22L, 173L, 113L, 195L, 39L, 408L, 40L, 
    0L, 0L, 56L, 0L, 0L, 0L, 63L, 204L, 258L, 132L, 698L, 0L, 
    127L, 34L, 523L, 112L, 212L, 183L, 677L, 0L, 0L, 0L, 161L, 
    0L, 0L, 0L, 72L, 0L, 683L, 0L, 486L, 0L, 202L, 0L, 95L, 0L, 
    133L, 0L, 99L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 7L, 0L, 480L, 
    95L, 904L, 0L, 9L, 0L, 625L, 0L, 72L, 0L, 333L, 0L, 0L, 0L, 
    88L, 0L, 0L, 0L, 32L, 474L, 104L, 652L, 772L, 1301L, 84L, 
    839L, 1183L, 600L, 197L, 377L, 1003L, 29L, 20L, 0L, 257L, 
    0L, 119L, 0L, 0L, 503L, 0L, 758L, 305L, 1050L, 200L, 1076L, 
    1101L, 599L, 747L, 1247L, 840L, 17L, 16L, 43L, 150L, 40L, 
    0L, 0L, 0L, 2000L, 204L, 218L, 188L, 1174L, 503L, 292L, 828L, 
    1031L, 94L, 278L, 846L, 144L, 0L, 0L, 288L, 120L, 15L, 0L, 
    62L, 1141L, 250L, 370L, 136L, 1169L, 213L, 323L, 461L, 905L, 
    262L, 757L, 323L, 110L, 46L, 78L, 251L, 0L, 47L, 18L, 98L, 
    879L, 381L, 24L, 501L, 415L, 486L, 0L, 289L, 204L, 382L, 
    0L, 494L, 71L, 30L, 0L, 84L, 0L, 114L, 0L, 29L, 338L, 691L, 
    270L, 767L, 172L, 526L, 28L, 912L, 116L, 287L, 117L, 586L, 
    0L, 77L, 29L, 30L, 6L, 27L, 0L, 75L, 193L, 549L, 0L, 216L, 
    0L, 365L, 0L, 134L, 0L, 251L, 0L, 229L, 0L, 9L, 0L, 87L, 
    0L, 41L, 0L, 0L, 0L, 519L, 20L, 419L, 0L, 348L, 0L, 193L, 
    0L, 55L, 0L, 416L, 0L, 26L, 0L, 51L, 0L, 34L, 0L, 26L, 437L, 
    92L, 984L, 757L, 638L, 651L, 1310L, 1744L, 566L, 456L, 631L, 
    1913L, 14L, 61L, 48L, 737L, 80L, 0L, 0L, 0L, 399L, 45L, 358L, 
    703L, 834L, 521L, 942L, 1336L, 788L, 565L, 766L, 1268L, 133L, 
    89L, 61L, 360L, 0L, 25L, 47L, 40L, 1507L, 272L, 285L, 178L, 
    2043L, 386L, 920L, 923L, 1835L, 700L, 486L, 895L, 607L, 80L, 
    51L, 500L, 177L, 145L, 19L, 165L, 1197L, 81L, 251L, 79L, 
    1647L, 284L, 683L, 556L, 1977L, 455L, 1252L, 360L, 525L, 
    184L, 134L, 183L, 207L, 61L, 66L, 235L, 728L, 964L, 0L, 162L, 
    496L, 993L, 92L, 663L, 635L, 955L, 134L, 945L, 82L, 116L, 
    0L, 109L, 250L, 64L, 72L, 97L, 366L, 693L, 234L, 462L, 446L, 
    1306L, 195L, 584L, 430L, 1002L, 201L, 219L, 113L, 286L, 100L, 
    322L, 0L, 146L, 24L, 98L, 15L, 237L, 28L, 0L, 17L, 251L, 
    58L, 157L, 37L, 238L, 0L, 72L, 0L, 78L, 0L, 5L, 0L, 0L, 0L, 
    50L, 0L, 213L, 161L, 554L, 0L, 214L, 39L, 154L, 0L, 299L, 
    54L, 114L, 0L, 76L, 0L, 0L, 0L, 0L, 0L, 0L, 56L, 0L, 176L, 
    429L, 276L, 139L, 315L, 1383L, 77L, 183L, 333L, 962L, 80L, 
    58L, 0L, 528L, 24L, 29L, 0L, 0L, 26L, 25L, 145L, 221L, 246L, 
    237L, 666L, 1348L, 415L, 192L, 578L, 1534L, 84L, 12L, 38L, 
    223L, 109L, 73L, 42L, 43L, 420L, 197L, 80L, 302L, 1409L, 
    533L, 120L, 516L, 1901L, 243L, 231L, 707L, 1004L, 183L, 0L, 
    262L, 390L, 206L, 0L, 248L, 238L, 183L, 20L, 215L, 1186L, 
    120L, 31L, 152L, 1776L, 620L, 502L, 176L, 1338L, 269L, 29L, 
    173L, 449L, 260L, 27L, 215L, 659L, 537L, 0L, 137L, 421L, 
    883L, 23L, 284L, 689L, 1566L, 171L, 314L, 558L, 544L, 114L, 
    249L, 471L, 342L, 0L, 108L, 127L, 576L, 9L, 54L, 358L, 1103L, 
    0L, 69L, 613L, 1416L, 126L, 319L, 360L, 517L, 0L, 261L, 127L, 
    192L, 13L, 320L, 0L, 60L, 0L, 5L, 0L, 72L, 124L, 0L, 28L, 
    21L, 0L, 0L, 0L, 164L, 0L, 0L, 0L, 79L, 0L, 66L, 0L, 0L, 
    178L, 63L, 0L, 231L, 188L, 0L, 0L, 54L, 62L, 43L, 0L, 50L, 
    0L, 59L, 0L, 0L, 0L, 28L, 0L, 0L, 18L, 110L, 44L, 76L, 267L, 
    92L, 0L, 51L, 82L, 246L, 0L, 56L, 24L, 93L, 0L, 0L, 0L, 0L, 
    0L, 0L, 132L, 65L, 84L, 20L, 77L, 69L, 0L, 26L, 184L, 142L, 
    0L, 21L, 28L, 92L, 0L, 0L, 0L, 0L, 8L, 28L, 0L, 33L, 73L, 
    29L, 0L, 146L, 129L, 7L, 66L, 62L, 254L, 95L, 30L, 102L, 
    322L, 107L, 40L, 0L, 105L, 40L, 0L, 0L, 72L, 0L, 0L, 26L, 
    267L, 76L, 0L, 64L, 381L, 16L, 21L, 152L, 211L, 43L, 0L, 
    0L, 123L, 25L, 18L, 0L, 30L, 141L, 0L, 34L, 78L, 404L, 34L, 
    0L, 171L, 257L, 0L, 122L, 158L, 120L, 38L, 0L, 0L, 0L, 25L, 
    21L, 21L, 221L, 0L, 149L, 101L, 223L, 0L, 0L, 166L, 107L, 
    0L, 25L, 41L, 161L, 0L, 82L, 68L, 0L, 0L, 33L, 0L, 0L, 0L, 
    0L, 0L, 29L, 0L, 34L, 0L, 37L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 44L, 0L, 0L, 190L, 0L, 48L, 8L, 0L, 25L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 34L, 1800L, 422L, 2014L, 3168L, 1966L, 
    659L, 2197L, 5827L, 657L, 330L, 532L, 5078L, 238L, 47L, 0L, 
    701L, 0L, 34L, 0L, 144L, 1582L, 230L, 2380L, 2396L, 2797L, 
    700L, 4418L, 3940L, 1690L, 661L, 2978L, 7102L, 207L, 152L, 
    133L, 1578L, 10L, 14L, 34L, 57L, 3074L, 1442L, 1333L, 2925L, 
    3872L, 1779L, 1283L, 5555L, 1385L, 160L, 502L, 2066L, 232L, 
    11L, 164L, 466L, 119L, 0L, 89L, 105L, 2972L, 1277L, 1902L, 
    1752L, 4680L, 2184L, 4961L, 4018L, 1539L, 442L, 3477L, 1871L, 
    159L, 88L, 380L, 263L, 27L, 0L, 24L, 105L, 995L, 5881L, 446L, 
    6533L, 1247L, 5983L, 988L, 8205L, 301L, 1384L, 300L, 2893L, 
    0L, 110L, 156L, 870L, 56L, 209L, 31L, 235L, 313L, 6307L, 
    564L, 8679L, 662L, 8288L, 951L, 12016L, 210L, 1397L, 728L, 
    5353L, 65L, 214L, 95L, 758L, 29L, 163L, 117L, 530L, 112L, 
    8200L, 27L, 7142L, 66L, 4632L, 0L, 4022L, 0L, 818L, 0L, 1059L, 
    0L, 262L, 0L, 474L, 0L, 214L, 0L, 169L, 0L, 5407L, 89L, 21919L, 
    0L, 4599L, 0L, 17638L, 0L, 1334L, 0L, 5355L, 0L, 94L, 0L, 
    1399L, 0L, 8L, 0L, 1049L, 719L, 247L, 1272L, 2874L, 2911L, 
    1232L, 1814L, 6888L, 1410L, 854L, 637L, 4949L, 449L, 279L, 
    26L, 1365L, 54L, 62L, 0L, 416L, 935L, 149L, 1020L, 1719L, 
    3842L, 1133L, 1471L, 4299L, 3073L, 1304L, 1758L, 4807L, 370L, 
    281L, 275L, 2680L, 48L, 86L, 26L, 430L, 2362L, 1346L, 452L, 
    2376L, 9369L, 2656L, 1377L, 6276L, 3894L, 1073L, 1111L, 3244L, 
    908L, 359L, 24L, 1327L, 147L, 55L, 33L, 346L, 2424L, 1500L, 
    402L, 1469L, 7451L, 3427L, 3154L, 3606L, 5770L, 1136L, 2538L, 
    1584L, 1324L, 179L, 950L, 1137L, 316L, 77L, 179L, 613L, 1331L, 
    7312L, 253L, 3803L, 3217L, 14195L, 565L, 7951L, 770L, 5130L, 
    202L, 2984L, 448L, 1054L, 89L, 1416L, 107L, 515L, 22L, 911L, 
    245L, 6739L, 130L, 2391L, 1920L, 18831L, 798L, 9008L, 902L, 
    5615L, 971L, 6052L, 226L, 1140L, 211L, 1695L, 62L, 391L, 
    48L, 1499L, 182L, 12448L, 8L, 3379L, 226L, 13679L, 0L, 3102L, 
    51L, 4165L, 0L, 899L, 74L, 1101L, 0L, 487L, 0L, 831L, 0L, 
    759L, 108L, 7850L, 104L, 6457L, 18L, 13963L, 0L, 8482L, 27L, 
    2960L, 0L, 3775L, 0L, 478L, 0L, 1375L, 0L, 342L, 0L, 1088L, 
    514L, 233L, 1500L, 2792L, 2942L, 1452L, 2675L, 9773L, 3126L, 
    1107L, 1827L, 5849L, 573L, 1254L, 246L, 1726L, 127L, 234L, 
    36L, 164L, 573L, 241L, 755L, 1356L, 3496L, 1419L, 2503L, 
    4477L, 4487L, 1364L, 1786L, 5302L, 1580L, 1552L, 227L, 2440L, 
    361L, 580L, 70L, 480L, 2772L, 695L, 324L, 1613L, 14828L, 
    4705L, 1303L, 5283L, 7509L, 2511L, 1077L, 3469L, 4661L, 1027L, 
    474L, 1637L, 1652L, 397L, 239L, 775L, 1424L, 689L, 375L, 
    744L, 12819L, 4074L, 1139L, 2595L, 12877L, 3166L, 1779L, 
    2781L, 3937L, 1137L, 324L, 1591L, 1557L, 578L, 403L, 864L, 
    1015L, 6307L, 107L, 1411L, 7203L, 23849L, 430L, 6303L, 3821L, 
    10173L, 253L, 3906L, 1272L, 3266L, 68L, 1626L, 708L, 2340L, 
    29L, 1073L, 733L, 4580L, 243L, 1479L, 3345L, 27215L, 618L, 
    4829L, 2823L, 12056L, 344L, 4150L, 647L, 2896L, 305L, 1768L, 
    741L, 2697L, 261L, 2764L, 148L, 4926L, 128L, 1145L, 36L, 
    9157L, 66L, 1731L, 46L, 4704L, 45L, 985L, 0L, 2335L, 0L, 
    531L, 18L, 1849L, 0L, 378L, 44L, 3012L, 276L, 3181L, 112L, 
    9067L, 81L, 3286L, 0L, 3721L, 0L, 1151L, 0L, 909L, 0L, 818L, 
    0L, 976L, 31L, 703L, 44L, 123L, 701L, 1278L, 471L, 495L, 
    2478L, 5619L, 390L, 662L, 1847L, 4667L, 463L, 585L, 105L, 
    1690L, 252L, 325L, 0L, 425L, 39L, 152L, 551L, 554L, 645L, 
    454L, 1159L, 2150L, 953L, 983L, 1886L, 4420L, 873L, 1112L, 
    278L, 1420L, 327L, 480L, 81L, 274L, 720L, 403L, 0L, 463L, 
    5823L, 2538L, 458L, 2659L, 6096L, 2084L, 217L, 1597L, 4553L, 
    1407L, 246L, 1443L, 2399L, 473L, 86L, 584L, 628L, 221L, 110L, 
    201L, 4796L, 2816L, 751L, 968L, 7490L, 2263L, 320L, 664L, 
    5761L, 1211L, 268L, 924L, 2869L, 1036L, 125L, 740L, 875L, 
    2037L, 70L, 411L, 4231L, 13711L, 412L, 2200L, 3608L, 9254L, 
    141L, 1521L, 2766L, 5874L, 265L, 879L, 1786L, 4862L, 77L, 
    926L, 696L, 1407L, 107L, 596L, 2324L, 12689L, 183L, 2038L, 
    2604L, 10003L, 88L, 1300L, 1991L, 5216L, 202L, 1013L, 1807L, 
    5823L, 164L, 875L, 125L, 898L, 115L, 399L, 22L, 2476L, 100L, 
    475L, 84L, 1447L, 0L, 370L, 22L, 1851L, 0L, 571L, 24L, 1714L, 
    82L, 422L, 0L, 542L, 388L, 858L, 93L, 2303L, 241L, 1335L, 
    0L, 1328L, 6L, 692L, 0L, 1019L, 0L, 328L, 0L, 519L, 0L, 129L, 
    0L, 60L, 81L, 178L, 65L, 88L, 258L, 510L, 35L, 0L, 211L, 
    768L, 41L, 0L, 21L, 431L, 0L, 0L, 0L, 126L, 0L, 0L, 75L, 
    181L, 19L, 0L, 106L, 189L, 115L, 156L, 206L, 547L, 0L, 27L, 
    225L, 234L, 20L, 0L, 0L, 52L, 0L, 0L, 0L, 57L, 352L, 297L, 
    0L, 275L, 252L, 115L, 0L, 52L, 1096L, 167L, 30L, 179L, 1025L, 
    314L, 44L, 224L, 20L, 0L, 0L, 0L, 432L, 172L, 0L, 233L, 304L, 
    388L, 36L, 343L, 1460L, 178L, 99L, 83L, 1018L, 493L, 0L, 
    23L, 25L, 96L, 0L, 85L, 193L, 1077L, 9L, 236L, 323L, 908L, 
    0L, 248L, 788L, 1792L, 0L, 274L, 1423L, 2390L, 22L, 456L, 
    0L, 69L, 0L, 0L, 503L, 1049L, 71L, 63L, 474L, 1539L, 0L, 
    94L, 579L, 1717L, 25L, 195L, 364L, 2149L, 160L, 280L, 0L, 
    72L, 0L, 18L, 0L, 472L, 0L, 11L, 0L, 315L, 0L, 23L, 0L, 691L, 
    0L, 158L, 0L, 825L, 0L, 96L, 0L, 164L, 0L, 138L, 0L, 366L, 
    0L, 171L, 0L, 307L, 0L, 84L, 0L, 452L, 76L, 135L, 0L, 301L, 
    0L, 0L, 277L, 0L, 231L, 179L, 0L, 23L, 17L, 239L, 41L, 7L, 
    53L, 191L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 42L, 
    0L, 0L, 0L, 310L, 218L, 228L, 15L, 452L, 189L, 0L, 0L, 28L, 
    431L, 0L, 0L, 0L, 0L, 58L, 0L, 0L, 62L, 395L, 0L, 120L, 629L, 
    115L, 0L, 26L, 236L, 0L, 0L, 49L, 16L, 0L, 0L, 0L, 0L, 40L, 
    0L, 41L, 0L, 171L, 45L, 736L, 135L, 0L, 54L, 556L, 221L, 
    0L, 0L, 0L, 75L, 19L, 0L, 10L, 0L, 0L, 133L, 0L, 227L, 11L, 
    273L, 30L, 734L, 108L, 125L, 0L, 352L, 0L, 46L, 0L, 90L, 
    0L, 0L, 0L, 0L, 0L, 99L, 0L, 214L, 16L, 266L, 32L, 794L, 
    0L, 35L, 31L, 496L, 0L, 0L, 0L, 206L, 0L, 0L, 54L, 18L, 0L, 
    146L, 0L, 349L, 0L, 71L, 0L, 55L, 0L, 0L, 0L, 101L, 0L, 0L, 
    0L, 0L, 0L, 59L, 0L, 0L, 0L, 68L, 39L, 525L, 0L, 97L, 0L, 
    571L, 0L, 0L, 0L, 303L, 0L, 0L, 0L, 76L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 23L, 0L, 35L, 281L, 164L, 0L, 0L, 0L, 212L, 0L, 
    0L, 37L, 8L, 0L, 0L, 0L, 22L, 0L, 0L, 37L, 105L, 0L, 0L, 
    34L, 8L, 0L, 0L, 149L, 278L, 0L, 0L, 104L, 26L, 0L, 43L, 
    51L, 0L, 0L, 29L, 0L, 57L, 124L, 0L, 217L, 225L, 38L, 79L, 
    0L, 218L, 0L, 0L, 197L, 18L, 72L, 0L, 0L, 0L, 0L, 25L, 0L, 
    0L, 0L, 22L, 175L, 201L, 11L, 0L, 321L, 11L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 86L, 0L, 28L, 70L, 242L, 71L, 185L, 
    50L, 166L, 0L, 154L, 0L, 135L, 0L, 104L, 0L, 0L, 0L, 0L, 
    0L, 15L, 0L, 92L, 37L, 173L, 155L, 407L, 33L, 231L, 154L, 
    316L, 0L, 18L, 0L, 98L, 0L, 0L, 0L, 76L, 0L, 146L, 0L, 28L, 
    0L, 194L, 0L, 50L, 0L, 77L, 0L, 0L, 0L, 54L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 83L, 0L, 331L, 0L, 189L, 53L, 220L, 0L, 111L, 
    0L, 113L, 0L, 32L, 0L, 74L, 0L, 0L, 0L, 64L, 80L, 0L, 67L, 
    66L, 0L, 29L, 42L, 253L, 0L, 0L, 156L, 150L, 0L, 0L, 23L, 
    52L, 0L, 0L, 0L, 0L, 0L, 0L, 75L, 0L, 74L, 4L, 48L, 86L, 
    0L, 0L, 65L, 94L, 0L, 25L, 53L, 196L, 0L, 0L, 0L, 33L, 0L, 
    0L, 57L, 18L, 273L, 39L, 148L, 497L, 401L, 0L, 0L, 272L, 
    76L, 0L, 30L, 0L, 57L, 0L, 0L, 159L, 0L, 69L, 0L, 0L, 232L, 
    0L, 80L, 112L, 414L, 34L, 265L, 112L, 0L, 25L, 0L, 10L, 0L, 
    0L, 0L, 0L, 0L, 85L, 0L, 6L, 161L, 425L, 92L, 262L, 16L, 
    360L, 0L, 141L, 0L, 219L, 0L, 31L, 42L, 55L, 0L, 35L, 0L, 
    58L, 0L, 28L, 78L, 284L, 0L, 233L, 33L, 502L, 10L, 203L, 
    0L, 60L, 16L, 75L, 0L, 0L, 0L, 47L, 0L, 73L, 0L, 81L, 0L, 
    158L, 0L, 62L, 37L, 102L, 0L, 23L, 0L, 18L, 0L, 14L, 0L, 
    0L, 0L, 0L, 0L, 31L, 0L, 84L, 0L, 222L, 0L, 221L, 0L, 19L, 
    0L, 0L, 0L, 16L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 20L, 52L, 0L, 0L, 0L, 59L, 0L, 24L, 0L, 11L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 185L, 0L, 0L, 0L, 
    131L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 73L, 151L, 
    20L, 35L, 31L, 110L, 35L, 0L, 217L, 36L, 0L, 0L, 30L, 77L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 80L, 0L, 19L, 117L, 68L, 
    0L, 28L, 27L, 0L, 0L, 119L, 163L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 95L, 154L, 0L, 170L, 79L, 446L, 0L, 39L, 93L, 294L, 0L, 
    181L, 0L, 92L, 0L, 76L, 0L, 44L, 0L, 0L, 54L, 86L, 0L, 160L, 
    55L, 152L, 0L, 102L, 0L, 112L, 0L, 29L, 15L, 61L, 0L, 63L, 
    0L, 0L, 0L, 53L, 0L, 10L, 0L, 11L, 0L, 29L, 0L, 74L, 0L, 
    0L, 0L, 0L, 9L, 31L, 0L, 0L, 0L, 0L, 0L, 56L, 0L, 155L, 0L, 
    95L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 89L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 
    0L, 0L, 0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 50L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 89L, 0L, 0L, 0L, 22L, 0L, 0L, 0L, 69L, 0L, 0L, 0L, 39L, 
    0L, 0L, 0L, 22L, 0L, 0L, 0L, 336L, 0L, 28L, 0L, 0L, 53L, 
    0L, 27L, 207L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 20L, 
    0L, 55L, 0L, 0L, 21L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 227L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 76L, 
    0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 7L, 0L, 
    0L, 29L, 32L, 0L, 0L, 0L, 223L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 50L, 26L, 18L, 0L, 14L, 0L, 35L, 
    0L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 29L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 147L, 0L, 0L, 0L, 57L, 0L, 0L, 0L, 16L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 122L, 0L, 0L, 0L, 0L, 30L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    54L, 0L, 0L, 130L, 53L, 0L, 0L, 140L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 81L, 0L, 0L, 0L, 20L, 26L, 0L, 61L, 33L, 97L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 0L, 46L, 
    0L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 22L, 34L, 0L, 0L, 
    0L, 86L, 0L, 8L, 0L, 44L, 0L, 0L, 0L, 23L, 0L, 0L, 0L, 47L, 
    0L, 48L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 98L, 0L, 0L, 0L, 29L, 
    0L, 42L, 0L, 26L, 17L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 
    0L, 131L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 76L, 0L, 121L, 0L, 27L, 0L, 61L, 0L, 
    51L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 53L, 14L, 14L, 0L, 61L, 59L, 0L, 0L, 0L, 20L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 133L, 0L, 0L, 0L, 28L, 0L, 9L, 110L, 
    0L, 25L, 2L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 30L, 38L, 
    0L, 0L, 64L, 0L, 0L, 0L, 139L, 0L, 0L, 25L, 18L, 0L, 0L, 
    0L, 67L, 0L, 53L, 0L, 25L, 0L, 0L, 0L, 184L, 0L, 28L, 27L, 
    112L, 0L, 0L, 94L, 43L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 90L, 
    0L, 0L, 0L, 31L, 19L, 0L, 14L, 240L, 0L, 61L, 0L, 0L, 0L, 
    0L, 0L, 27L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 0L, 0L, 
    63L, 0L, 0L, 0L, 0L, 0L, 0L, 9L, 0L, 0L, 0L, 0L, 6L, 0L, 
    0L, 0L, 132L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 
    19L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 
    36L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 24L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 87L, 3L, 0L, 0L, 1L, 0L, 0L, 0L, 
    0L, 8L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 78L, 0L, 0L, 6L, 
    38L, 0L, 0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 42L, 0L, 0L, 95L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 35L, 0L, 0L, 0L, 0L, 0L, 0L, 15L, 31L, 
    0L, 0L, 83L, 37L, 0L, 0L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 
    26L, 9L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    9L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 0L, 0L, 31L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 67L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 19L, 0L, 0L, 22L, 34L, 0L, 0L, 0L, 48L, 53L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 85L, 86L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 62L, 
    0L, 0L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 1231L, 
    210L, 1302L, 2171L, 884L, 289L, 2801L, 8801L, 697L, 589L, 
    490L, 17339L, 189L, 687L, 122L, 2938L, 0L, 0L, 0L, 448L, 
    822L, 72L, 2643L, 1446L, 1918L, 457L, 5863L, 5799L, 872L, 
    820L, 5045L, 17830L, 85L, 386L, 353L, 4504L, 36L, 99L, 104L, 
    594L, 888L, 276L, 465L, 1814L, 1751L, 504L, 1652L, 7503L, 
    1314L, 890L, 1005L, 4573L, 456L, 50L, 165L, 1890L, 103L, 
    20L, 0L, 289L, 775L, 526L, 1577L, 1406L, 2337L, 787L, 4899L, 
    4860L, 2146L, 874L, 5393L, 3108L, 551L, 85L, 870L, 1772L, 
    173L, 0L, 129L, 926L, 619L, 1658L, 92L, 5379L, 1448L, 4757L, 
    865L, 12229L, 718L, 2441L, 307L, 8144L, 148L, 828L, 56L, 
    3259L, 57L, 366L, 19L, 743L, 147L, 1884L, 531L, 5331L, 892L, 
    6002L, 1351L, 14416L, 755L, 2677L, 1764L, 11074L, 124L, 1453L, 
    319L, 2518L, 34L, 247L, 158L, 1317L, 10L, 9730L, 82L, 10105L, 
    18L, 8817L, 0L, 9561L, 0L, 3167L, 0L, 4059L, 53L, 1225L, 
    0L, 862L, 0L, 581L, 0L, 916L, 0L, 6633L, 0L, 30735L, 0L, 
    10908L, 0L, 46564L, 0L, 3118L, 0L, 14600L, 0L, 948L, 0L, 
    3345L, 0L, 152L, 0L, 1182L, 1563L, 529L, 1734L, 4826L, 4156L, 
    1990L, 5449L, 16395L, 3502L, 2441L, 1451L, 19053L, 786L, 
    1406L, 302L, 7239L, 164L, 104L, 40L, 908L, 1247L, 214L, 2241L, 
    1777L, 4619L, 1585L, 7378L, 9737L, 5641L, 2815L, 5491L, 24884L, 
    1062L, 2166L, 436L, 9587L, 28L, 166L, 32L, 827L, 3168L, 685L, 
    1108L, 2692L, 9223L, 2345L, 4153L, 15048L, 8330L, 1651L, 
    2004L, 10864L, 2934L, 892L, 892L, 5035L, 614L, 96L, 130L, 
    908L, 1993L, 727L, 1152L, 1368L, 8405L, 2090L, 6731L, 5793L, 
    9539L, 1821L, 9544L, 9017L, 3288L, 579L, 2245L, 4828L, 812L, 
    131L, 412L, 1865L, 914L, 3929L, 264L, 5869L, 3935L, 18573L, 
    1180L, 19718L, 3296L, 9835L, 978L, 14194L, 819L, 3062L, 94L, 
    4959L, 396L, 1257L, 66L, 1498L, 627L, 4841L, 505L, 2525L, 
    3278L, 24425L, 2804L, 20468L, 2207L, 12233L, 2233L, 17618L, 
    1248L, 3075L, 686L, 6495L, 81L, 839L, 375L, 2459L, 0L, 20306L, 
    51L, 6386L, 135L, 32095L, 9L, 9885L, 49L, 12951L, 0L, 4698L, 
    0L, 5310L, 0L, 1807L, 12L, 1953L, 0L, 1172L, 0L, 11858L, 
    127L, 9411L, 48L, 35968L, 45L, 25187L, 0L, 11551L, 23L, 10783L, 
    0L, 3481L, 0L, 5047L, 0L, 756L, 0L, 2398L, 1004L, 501L, 5367L, 
    6812L, 7459L, 3973L, 9599L, 23400L, 7911L, 4861L, 4916L, 
    23105L, 2185L, 4294L, 198L, 10079L, 507L, 698L, 36L, 1452L, 
    1085L, 368L, 3087L, 2646L, 7233L, 2818L, 8671L, 12876L, 13041L, 
    6960L, 7645L, 19774L, 4081L, 6641L, 715L, 12198L, 629L, 1103L, 
    52L, 1442L, 5864L, 1845L, 2037L, 3996L, 35669L, 10093L, 5895L, 
    17346L, 35896L, 7799L, 4783L, 16328L, 15137L, 3558L, 1418L, 
    9391L, 5961L, 1141L, 327L, 1857L, 3133L, 1366L, 1471L, 930L, 
    31579L, 8721L, 5721L, 6957L, 43236L, 7967L, 8436L, 7826L, 
    19272L, 3483L, 3117L, 5785L, 5405L, 1442L, 1006L, 2778L, 
    2115L, 10683L, 776L, 4182L, 16547L, 54238L, 2732L, 20879L, 
    14484L, 38324L, 2294L, 16853L, 5311L, 14780L, 807L, 7795L, 
    2150L, 6845L, 386L, 3240L, 1118L, 7244L, 358L, 1989L, 10520L, 
    65372L, 1890L, 14925L, 9676L, 43051L, 2877L, 15981L, 4497L, 
    14595L, 991L, 9798L, 1664L, 4949L, 1030L, 6392L, 167L, 12058L, 
    249L, 2388L, 284L, 29328L, 34L, 3732L, 93L, 16252L, 17L, 
    2234L, 0L, 8193L, 0L, 1187L, 51L, 7374L, 0L, 1149L, 126L, 
    6480L, 316L, 3855L, 80L, 27394L, 435L, 11213L, 20L, 12610L, 
    133L, 5268L, 0L, 7585L, 9L, 3514L, 3L, 2788L, 0L, 3058L, 
    386L, 293L, 3962L, 4281L, 1554L, 1736L, 10152L, 18069L, 2767L, 
    3614L, 8624L, 20926L, 2265L, 4330L, 499L, 7711L, 202L, 670L, 
    0L, 957L, 228L, 38L, 2859L, 2213L, 1897L, 1157L, 5873L, 9254L, 
    4023L, 3271L, 7735L, 16202L, 3546L, 6627L, 1452L, 8323L, 
    876L, 1412L, 38L, 1092L, 1563L, 939L, 590L, 1660L, 21947L, 
    7467L, 2126L, 8579L, 35869L, 9127L, 2548L, 7619L, 31584L, 
    6913L, 1088L, 6627L, 14988L, 2811L, 225L, 2070L, 1372L, 340L, 
    404L, 412L, 19439L, 7429L, 1530L, 3345L, 38572L, 9156L, 3013L, 
    5361L, 39665L, 8656L, 1524L, 4595L, 17560L, 3746L, 381L, 
    2777L, 1915L, 4236L, 111L, 1705L, 15910L, 43887L, 1316L, 
    7506L, 20814L, 44197L, 851L, 6260L, 16079L, 30272L, 1037L, 
    4811L, 11155L, 18329L, 392L, 3438L, 917L, 3151L, 61L, 840L, 
    9716L, 47378L, 929L, 4825L, 15682L, 46157L, 1492L, 7620L, 
    14197L, 27744L, 546L, 4217L, 6913L, 18355L, 415L, 4883L, 
    115L, 2848L, 159L, 743L, 33L, 8663L, 95L, 1808L, 32L, 6168L, 
    10L, 1339L, 136L, 6928L, 0L, 668L, 49L, 8887L, 0L, 798L, 
    46L, 1540L, 309L, 2350L, 22L, 8382L, 760L, 3487L, 22L, 6194L, 
    148L, 1637L, 45L, 4995L, 27L, 1851L, 0L, 2543L, 10L, 1038L, 
    56L, 0L, 1051L, 820L, 304L, 30L, 1317L, 3173L, 122L, 222L, 
    1992L, 3840L, 44L, 397L, 124L, 1600L, 41L, 42L, 0L, 33L, 
    162L, 118L, 835L, 646L, 243L, 51L, 1217L, 1818L, 208L, 329L, 
    2158L, 2902L, 158L, 351L, 441L, 1869L, 133L, 69L, 0L, 153L, 
    438L, 236L, 0L, 293L, 1729L, 718L, 545L, 1460L, 2585L, 646L, 
    201L, 813L, 8680L, 1606L, 161L, 773L, 5747L, 1077L, 158L, 
    491L, 214L, 29L, 130L, 432L, 1635L, 784L, 369L, 288L, 4759L, 
    815L, 255L, 629L, 10444L, 1854L, 274L, 651L, 4568L, 1516L, 
    319L, 618L, 315L, 531L, 96L, 231L, 1708L, 3770L, 21L, 835L, 
    3008L, 5968L, 126L, 967L, 6428L, 10319L, 340L, 1102L, 7879L, 
    10733L, 73L, 1691L, 144L, 373L, 37L, 60L, 1817L, 5703L, 104L, 
    442L, 3247L, 7582L, 172L, 665L, 5881L, 9735L, 359L, 806L, 
    4019L, 7794L, 353L, 1119L, 0L, 389L, 0L, 269L, 55L, 1318L, 
    65L, 107L, 0L, 1399L, 72L, 7L, 66L, 2616L, 42L, 252L, 77L, 
    3353L, 65L, 197L, 0L, 290L, 15L, 366L, 0L, 2203L, 104L, 870L, 
    9L, 1610L, 0L, 367L, 0L, 2113L, 0L, 570L, 20L, 1137L, 44L, 
    205L, 119L, 0L, 887L, 1367L, 0L, 0L, 847L, 1554L, 0L, 0L, 
    257L, 1145L, 0L, 0L, 0L, 259L, 43L, 0L, 0L, 0L, 46L, 33L, 
    2253L, 495L, 198L, 0L, 4946L, 1902L, 106L, 0L, 1819L, 797L, 
    34L, 109L, 0L, 137L, 0L, 0L, 0L, 49L, 130L, 59L, 327L, 782L, 
    207L, 318L, 350L, 1500L, 259L, 16L, 305L, 691L, 53L, 118L, 
    0L, 117L, 0L, 0L, 110L, 0L, 189L, 126L, 1902L, 727L, 447L, 
    122L, 3107L, 1383L, 43L, 0L, 1497L, 652L, 119L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 520L, 0L, 1279L, 0L, 545L, 98L, 1488L, 
    0L, 69L, 120L, 1233L, 0L, 0L, 0L, 257L, 0L, 0L, 0L, 0L, 140L, 
    467L, 719L, 2058L, 186L, 325L, 406L, 1898L, 35L, 178L, 872L, 
    1942L, 0L, 0L, 73L, 230L, 0L, 48L, 110L, 177L, 0L, 536L, 
    45L, 1090L, 0L, 238L, 112L, 384L, 0L, 0L, 0L, 185L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 114L, 0L, 2363L, 0L, 140L, 0L, 
    704L, 0L, 85L, 0L, 530L, 0L, 0L, 0L, 120L, 0L, 0L, 0L, 0L, 
    143L, 43L, 1033L, 456L, 70L, 59L, 1431L, 788L, 110L, 0L, 
    269L, 1618L, 0L, 0L, 0L, 839L, 0L, 0L, 0L, 0L, 0L, 0L, 791L, 
    213L, 73L, 0L, 1774L, 463L, 162L, 63L, 1338L, 1384L, 0L, 
    108L, 190L, 241L, 0L, 0L, 0L, 0L, 73L, 292L, 124L, 322L, 
    949L, 0L, 534L, 1358L, 172L, 229L, 637L, 1484L, 0L, 55L, 
    0L, 10L, 0L, 0L, 0L, 0L, 713L, 202L, 858L, 541L, 590L, 0L, 
    2749L, 770L, 516L, 115L, 2433L, 1043L, 0L, 0L, 406L, 159L, 
    74L, 11L, 111L, 212L, 99L, 426L, 550L, 949L, 568L, 468L, 
    199L, 1893L, 437L, 277L, 57L, 462L, 0L, 0L, 0L, 44L, 36L, 
    0L, 0L, 3L, 89L, 244L, 517L, 888L, 166L, 460L, 236L, 1914L, 
    223L, 324L, 443L, 2583L, 0L, 240L, 35L, 198L, 0L, 105L, 44L, 
    301L, 0L, 602L, 0L, 323L, 26L, 513L, 49L, 167L, 0L, 153L, 
    0L, 307L, 0L, 32L, 0L, 0L, 0L, 0L, 0L, 49L, 0L, 382L, 118L, 
    652L, 0L, 340L, 0L, 401L, 0L, 115L, 0L, 726L, 0L, 75L, 0L, 
    115L, 0L, 52L, 0L, 0L, 74L, 0L, 111L, 498L, 233L, 308L, 748L, 
    1672L, 404L, 75L, 1199L, 658L, 121L, 0L, 0L, 38L, 0L, 81L, 
    0L, 38L, 102L, 0L, 667L, 465L, 372L, 195L, 845L, 593L, 149L, 
    166L, 838L, 1066L, 216L, 65L, 450L, 524L, 138L, 18L, 0L, 
    120L, 229L, 34L, 213L, 592L, 805L, 425L, 955L, 1373L, 1289L, 
    290L, 460L, 775L, 224L, 0L, 52L, 648L, 60L, 0L, 0L, 116L, 
    343L, 68L, 168L, 238L, 434L, 427L, 624L, 1001L, 1180L, 329L, 
    1374L, 628L, 82L, 117L, 332L, 368L, 151L, 76L, 122L, 397L, 
    92L, 679L, 0L, 672L, 430L, 1547L, 136L, 1183L, 433L, 723L, 
    101L, 1144L, 247L, 236L, 0L, 283L, 42L, 146L, 0L, 203L, 34L, 
    545L, 78L, 561L, 354L, 1100L, 229L, 1009L, 228L, 904L, 460L, 
    1532L, 85L, 126L, 87L, 724L, 0L, 108L, 0L, 337L, 32L, 164L, 
    0L, 146L, 52L, 406L, 0L, 309L, 0L, 47L, 0L, 0L, 0L, 117L, 
    0L, 41L, 0L, 0L, 0L, 101L, 0L, 242L, 0L, 791L, 0L, 127L, 
    0L, 69L, 0L, 80L, 0L, 549L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 
    80L, 0L, 0L, 95L, 471L, 0L, 117L, 324L, 372L, 0L, 39L, 238L, 
    653L, 25L, 0L, 0L, 182L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 19L, 
    0L, 0L, 50L, 160L, 137L, 0L, 234L, 395L, 29L, 0L, 272L, 302L, 
    32L, 0L, 0L, 0L, 0L, 0L, 44L, 325L, 292L, 299L, 75L, 532L, 
    575L, 149L, 186L, 432L, 627L, 86L, 33L, 251L, 441L, 0L, 0L, 
    0L, 122L, 58L, 40L, 194L, 288L, 78L, 0L, 237L, 695L, 279L, 
    0L, 0L, 510L, 199L, 0L, 87L, 53L, 318L, 132L, 186L, 38L, 
    283L, 55L, 15L, 232L, 658L, 0L, 214L, 466L, 707L, 98L, 497L, 
    372L, 391L, 0L, 202L, 117L, 347L, 0L, 0L, 47L, 371L, 55L, 
    28L, 138L, 507L, 130L, 226L, 263L, 434L, 35L, 295L, 124L, 
    430L, 0L, 162L, 79L, 159L, 0L, 375L, 0L, 45L, 0L, 0L, 0L, 
    112L, 0L, 0L, 0L, 150L, 0L, 60L, 0L, 48L, 0L, 53L, 0L, 7L, 
    0L, 0L, 0L, 87L, 0L, 51L, 0L, 0L, 0L, 0L, 0L, 55L, 0L, 45L, 
    0L, 52L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 29L, 0L, 66L, 0L, 29L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 48L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 0L, 0L, 
    0L, 0L, 0L, 150L, 88L, 42L, 0L, 0L, 83L, 0L, 0L, 38L, 0L, 
    0L, 0L, 0L, 0L, 36L, 0L, 0L, 0L, 0L, 0L, 0L, 37L, 45L, 0L, 
    0L, 199L, 0L, 221L, 50L, 0L, 36L, 0L, 0L, 42L, 99L, 0L, 0L, 
    0L, 0L, 0L, 0L, 351L, 51L, 0L, 34L, 0L, 218L, 0L, 0L, 0L, 
    0L, 0L, 0L, 93L, 89L, 0L, 0L, 0L, 36L, 0L, 0L, 107L, 38L, 
    0L, 0L, 0L, 150L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 45L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 35L, 
    0L, 0L, 0L, 0L, 101L, 0L, 387L, 242L, 47L, 0L, 132L, 421L, 
    0L, 0L, 89L, 351L, 0L, 0L, 0L, 227L, 0L, 0L, 0L, 0L, 196L, 
    0L, 431L, 253L, 96L, 0L, 662L, 534L, 0L, 0L, 169L, 404L, 
    0L, 69L, 0L, 214L, 0L, 0L, 0L, 0L, 0L, 0L, 208L, 687L, 0L, 
    0L, 125L, 72L, 0L, 0L, 70L, 309L, 208L, 0L, 0L, 169L, 0L, 
    0L, 0L, 22L, 99L, 0L, 62L, 125L, 97L, 175L, 580L, 82L, 148L, 
    0L, 112L, 109L, 36L, 0L, 0L, 309L, 0L, 31L, 50L, 32L, 488L, 
    196L, 161L, 538L, 124L, 10L, 0L, 36L, 40L, 44L, 9L, 234L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 112L, 217L, 237L, 55L, 803L, 
    150L, 65L, 29L, 189L, 0L, 0L, 343L, 283L, 168L, 20L, 0L, 
    0L, 0L, 82L, 0L, 39L, 167L, 221L, 0L, 201L, 0L, 75L, 0L, 
    73L, 0L, 0L, 0L, 56L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 
    0L, 0L, 665L, 0L, 125L, 0L, 400L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 76L, 0L, 0L, 0L, 47L, 197L, 29L, 393L, 791L, 377L, 217L, 
    309L, 1081L, 0L, 0L, 150L, 628L, 0L, 32L, 0L, 121L, 0L, 0L, 
    0L, 0L, 442L, 14L, 167L, 138L, 317L, 359L, 495L, 500L, 219L, 
    0L, 422L, 680L, 276L, 161L, 36L, 188L, 0L, 0L, 0L, 0L, 1025L, 
    216L, 320L, 309L, 748L, 50L, 705L, 499L, 193L, 0L, 342L, 
    77L, 225L, 0L, 0L, 38L, 0L, 0L, 0L, 0L, 416L, 133L, 216L, 
    118L, 186L, 0L, 264L, 139L, 360L, 10L, 656L, 395L, 280L, 
    81L, 83L, 120L, 104L, 0L, 0L, 0L, 78L, 313L, 42L, 212L, 125L, 
    222L, 22L, 318L, 110L, 67L, 0L, 366L, 0L, 0L, 45L, 65L, 0L, 
    0L, 0L, 10L, 21L, 288L, 217L, 117L, 81L, 150L, 192L, 324L, 
    111L, 80L, 138L, 278L, 18L, 0L, 58L, 0L, 0L, 0L, 0L, 0L, 
    0L, 217L, 37L, 114L, 0L, 214L, 0L, 168L, 0L, 12L, 0L, 64L, 
    0L, 0L, 0L, 47L, 0L, 0L, 0L, 32L, 0L, 126L, 0L, 371L, 0L, 
    266L, 0L, 202L, 0L, 0L, 0L, 75L, 0L, 17L, 0L, 0L, 0L, 0L, 
    0L, 191L, 116L, 125L, 119L, 678L, 349L, 243L, 979L, 923L, 
    490L, 286L, 250L, 914L, 31L, 68L, 0L, 314L, 0L, 0L, 138L, 
    70L, 193L, 24L, 278L, 394L, 339L, 13L, 615L, 545L, 846L, 
    170L, 507L, 493L, 5L, 96L, 48L, 70L, 0L, 0L, 0L, 0L, 978L, 
    191L, 215L, 167L, 1634L, 87L, 552L, 266L, 920L, 135L, 215L, 
    3L, 306L, 0L, 32L, 154L, 294L, 0L, 0L, 195L, 335L, 0L, 286L, 
    334L, 1040L, 106L, 545L, 278L, 1078L, 142L, 486L, 303L, 366L, 
    20L, 0L, 298L, 36L, 45L, 0L, 266L, 142L, 478L, 183L, 583L, 
    332L, 387L, 42L, 453L, 409L, 713L, 0L, 358L, 108L, 67L, 0L, 
    99L, 0L, 79L, 0L, 0L, 375L, 541L, 250L, 194L, 259L, 672L, 
    119L, 440L, 195L, 300L, 60L, 176L, 86L, 92L, 0L, 144L, 24L, 
    157L, 0L, 317L, 0L, 214L, 0L, 109L, 0L, 15L, 0L, 0L, 0L, 
    38L, 0L, 0L, 0L, 43L, 87L, 0L, 0L, 0L, 0L, 0L, 0L, 55L, 161L, 
    278L, 0L, 174L, 0L, 38L, 0L, 110L, 0L, 0L, 0L, 0L, 0L, 75L, 
    0L, 0L, 0L, 20L, 0L, 0L, 29L, 390L, 159L, 3L, 501L, 477L, 
    33L, 137L, 219L, 808L, 33L, 49L, 0L, 37L, 0L, 166L, 0L, 0L, 
    2L, 0L, 113L, 0L, 104L, 57L, 171L, 258L, 71L, 32L, 176L, 
    663L, 194L, 67L, 0L, 204L, 7L, 0L, 0L, 76L, 124L, 33L, 33L, 
    0L, 518L, 49L, 63L, 118L, 812L, 400L, 57L, 72L, 285L, 276L, 
    62L, 64L, 214L, 81L, 0L, 0L, 353L, 0L, 34L, 55L, 400L, 265L, 
    0L, 171L, 844L, 274L, 290L, 101L, 530L, 163L, 55L, 87L, 160L, 
    60L, 0L, 0L, 213L, 425L, 0L, 350L, 153L, 450L, 0L, 137L, 
    338L, 306L, 49L, 361L, 156L, 187L, 0L, 92L, 133L, 609L, 0L, 
    0L, 0L, 152L, 0L, 260L, 210L, 613L, 27L, 137L, 44L, 802L, 
    0L, 12L, 176L, 182L, 5L, 0L, 15L, 178L, 45L, 118L, 0L, 289L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 68L, 0L, 66L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 68L, 161L, 0L, 0L, 38L, 0L, 40L, 0L, 
    61L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 26L, 0L, 20L, 0L, 0L, 52L, 135L, 0L, 0L, 0L, 49L, 
    0L, 0L, 0L, 0L, 0L, 0L, 116L, 0L, 34L, 0L, 55L, 0L, 0L, 0L, 
    0L, 76L, 40L, 0L, 60L, 0L, 0L, 0L, 0L, 0L, 19L, 0L, 0L, 0L, 
    32L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 17L, 0L, 0L, 0L, 57L, 38L, 
    0L, 69L, 0L, 0L, 0L, 0L, 26L, 0L, 0L, 0L, 49L, 9L, 0L, 0L, 
    139L, 61L, 0L, 0L, 186L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 
    50L, 0L, 49L, 37L, 0L, 0L, 0L, 117L, 0L, 0L, 0L, 45L, 0L, 
    0L, 103L, 0L, 0L, 0L, 0L, 238L, 0L, 0L, 0L, 0L, 57L, 0L, 
    0L, 30L, 60L, 0L, 44L, 225L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 12L, 0L, 73L, 207L, 40L, 97L, 166L, 83L, 110L, 
    208L, 686L, 224L, 269L, 95L, 1381L, 25L, 34L, 0L, 597L, 25L, 
    0L, 0L, 93L, 330L, 0L, 481L, 106L, 208L, 98L, 598L, 520L, 
    180L, 187L, 484L, 1603L, 120L, 66L, 46L, 491L, 0L, 0L, 0L, 
    25L, 76L, 0L, 0L, 113L, 361L, 79L, 62L, 1152L, 134L, 76L, 
    58L, 455L, 100L, 15L, 33L, 100L, 0L, 0L, 0L, 33L, 112L, 27L, 
    99L, 61L, 159L, 69L, 405L, 378L, 385L, 46L, 664L, 349L, 0L, 
    0L, 36L, 140L, 0L, 0L, 0L, 0L, 95L, 63L, 0L, 177L, 155L, 
    437L, 65L, 883L, 125L, 578L, 61L, 1152L, 0L, 51L, 0L, 328L, 
    0L, 0L, 0L, 99L, 0L, 104L, 37L, 357L, 140L, 597L, 158L, 1892L, 
    156L, 737L, 144L, 1445L, 0L, 242L, 37L, 246L, 0L, 0L, 0L, 
    148L, 0L, 634L, 0L, 750L, 0L, 1030L, 0L, 751L, 6L, 443L, 
    0L, 408L, 0L, 76L, 0L, 226L, 0L, 48L, 0L, 221L, 0L, 447L, 
    0L, 1821L, 0L, 949L, 20L, 2675L, 0L, 396L, 0L, 1704L, 0L, 
    21L, 0L, 255L, 0L, 16L, 0L, 55L, 66L, 0L, 375L, 492L, 892L, 
    264L, 747L, 1325L, 591L, 1016L, 410L, 1726L, 0L, 178L, 0L, 
    632L, 52L, 0L, 0L, 0L, 263L, 23L, 828L, 166L, 622L, 243L, 
    539L, 423L, 1107L, 556L, 779L, 685L, 131L, 138L, 80L, 524L, 
    0L, 49L, 37L, 80L, 56L, 167L, 38L, 164L, 905L, 171L, 418L, 
    1499L, 1048L, 308L, 345L, 913L, 310L, 29L, 0L, 484L, 46L, 
    27L, 33L, 31L, 141L, 36L, 182L, 127L, 617L, 183L, 483L, 533L, 
    904L, 250L, 1401L, 847L, 327L, 0L, 232L, 564L, 93L, 0L, 59L, 
    118L, 156L, 271L, 3L, 177L, 431L, 1651L, 32L, 1524L, 342L, 
    1848L, 300L, 1263L, 9L, 392L, 0L, 530L, 33L, 321L, 0L, 180L, 
    50L, 236L, 109L, 181L, 514L, 2554L, 49L, 1176L, 251L, 2259L, 
    367L, 2455L, 10L, 303L, 0L, 1027L, 38L, 119L, 46L, 158L, 
    0L, 1184L, 59L, 519L, 0L, 2600L, 0L, 879L, 20L, 1677L, 0L, 
    299L, 0L, 630L, 0L, 358L, 0L, 278L, 46L, 99L, 0L, 894L, 0L, 
    661L, 0L, 2562L, 0L, 2129L, 0L, 1568L, 79L, 1620L, 0L, 206L, 
    0L, 459L, 0L, 143L, 0L, 217L, 170L, 104L, 446L, 619L, 1019L, 
    749L, 785L, 2146L, 1384L, 816L, 612L, 2059L, 304L, 421L, 
    0L, 647L, 0L, 0L, 0L, 114L, 22L, 169L, 416L, 381L, 1570L, 
    664L, 774L, 1512L, 1142L, 972L, 663L, 1109L, 372L, 549L, 
    29L, 417L, 163L, 0L, 0L, 79L, 429L, 109L, 171L, 331L, 2283L, 
    788L, 582L, 1492L, 2740L, 747L, 507L, 1289L, 1191L, 234L, 
    181L, 688L, 378L, 194L, 72L, 398L, 136L, 92L, 227L, 79L, 
    2320L, 908L, 516L, 469L, 3843L, 880L, 644L, 1025L, 1399L, 
    255L, 195L, 947L, 220L, 259L, 144L, 231L, 127L, 636L, 78L, 
    286L, 1504L, 4393L, 360L, 1979L, 1024L, 4503L, 311L, 1647L, 
    644L, 2060L, 194L, 436L, 311L, 717L, 0L, 547L, 74L, 909L, 
    0L, 66L, 520L, 4967L, 96L, 956L, 669L, 5143L, 189L, 1413L, 
    693L, 1654L, 152L, 948L, 318L, 550L, 0L, 621L, 0L, 568L, 
    0L, 263L, 17L, 2032L, 0L, 512L, 0L, 1424L, 0L, 343L, 5L, 
    921L, 0L, 267L, 11L, 801L, 0L, 94L, 0L, 334L, 0L, 269L, 0L, 
    1749L, 4L, 855L, 0L, 1160L, 0L, 755L, 0L, 700L, 0L, 472L, 
    8L, 166L, 0L, 256L, 74L, 201L, 375L, 915L, 420L, 343L, 687L, 
    1834L, 514L, 185L, 640L, 2244L, 202L, 282L, 0L, 508L, 0L, 
    0L, 0L, 0L, 0L, 244L, 119L, 267L, 382L, 248L, 690L, 1148L, 
    873L, 454L, 376L, 1287L, 472L, 399L, 60L, 600L, 0L, 127L, 
    0L, 57L, 300L, 157L, 0L, 305L, 2245L, 664L, 256L, 954L, 2985L, 
    955L, 572L, 602L, 1575L, 598L, 0L, 507L, 1154L, 91L, 0L, 
    387L, 331L, 246L, 0L, 16L, 1957L, 679L, 192L, 248L, 3349L, 
    1637L, 186L, 441L, 2254L, 216L, 0L, 181L, 1116L, 293L, 132L, 
    0L, 206L, 245L, 0L, 193L, 1205L, 4474L, 126L, 874L, 1551L, 
    5529L, 125L, 1237L, 1115L, 2754L, 102L, 618L, 793L, 2148L, 
    0L, 476L, 0L, 337L, 0L, 94L, 546L, 4299L, 0L, 249L, 1429L, 
    5834L, 85L, 706L, 1040L, 2859L, 26L, 276L, 533L, 1862L, 0L, 
    293L, 0L, 322L, 0L, 34L, 0L, 993L, 0L, 218L, 22L, 747L, 44L, 
    108L, 32L, 575L, 0L, 23L, 0L, 781L, 0L, 20L, 0L, 315L, 0L, 
    101L, 0L, 823L, 93L, 432L, 0L, 664L, 55L, 295L, 0L, 465L, 
    0L, 91L, 0L, 298L, 0L, 124L, 0L, 0L, 54L, 100L, 0L, 95L, 
    244L, 281L, 53L, 16L, 144L, 309L, 34L, 58L, 31L, 186L, 0L, 
    0L, 0L, 58L, 0L, 0L, 38L, 0L, 0L, 10L, 142L, 77L, 73L, 30L, 
    111L, 202L, 0L, 77L, 0L, 49L, 25L, 40L, 0L, 67L, 54L, 8L, 
    0L, 9L, 411L, 118L, 51L, 200L, 536L, 22L, 70L, 114L, 429L, 
    72L, 94L, 303L, 273L, 30L, 0L, 0L, 81L, 0L, 36L, 0L, 224L, 
    58L, 0L, 189L, 545L, 112L, 26L, 46L, 567L, 38L, 0L, 0L, 449L, 
    47L, 0L, 59L, 8L, 0L, 0L, 37L, 181L, 411L, 3L, 164L, 226L, 
    807L, 62L, 190L, 383L, 1128L, 0L, 174L, 365L, 701L, 32L, 
    176L, 0L, 103L, 0L, 72L, 79L, 556L, 0L, 58L, 188L, 1046L, 
    0L, 247L, 344L, 863L, 0L, 44L, 69L, 400L, 0L, 209L, 0L, 0L, 
    0L, 22L, 0L, 150L, 0L, 51L, 0L, 54L, 26L, 0L, 0L, 198L, 0L, 
    33L, 0L, 123L, 0L, 128L, 0L, 0L, 0L, 0L, 0L, 14L, 0L, 34L, 
    0L, 123L, 0L, 0L, 0L, 111L, 0L, 32L, 0L, 0L, 0L, 18L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 209L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 0L, 0L, 0L, 30L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 93L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 79L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 96L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 40L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 83L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 196L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 100L, 53L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 47L, 0L, 0L, 
    0L, 0L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 24L, 0L, 44L, 0L, 0L, 0L, 78L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 33L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 72L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 153L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 102L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 38L, 0L, 150L, 32L, 158L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    150L, 0L, 0L, 31L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 10L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 57L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 48L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 127L, 
    36L, 0L, 41L, 89L, 0L, 0L, 0L, 79L, 0L, 0L, 0L, 41L, 0L, 
    0L, 0L, 0L, 0L, 0L, 52L, 0L, 13L, 0L, 66L, 121L, 0L, 0L, 
    60L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 65L, 
    0L, 0L, 0L, 28L, 0L, 0L, 0L, 153L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 140L, 0L, 151L, 0L, 0L, 0L, 101L, 0L, 0L, 0L, 0L, 
    38L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 210L, 0L, 
    68L, 0L, 200L, 0L, 26L, 0L, 103L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 50L, 0L, 26L, 0L, 47L, 0L, 0L, 0L, 0L, 0L, 103L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 8L, 0L, 0L, 30L, 
    0L, 33L, 0L, 0L, 0L, 11L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 176L, 0L, 0L, 0L, 6L, 0L, 0L, 0L, 20L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 25L, 0L, 73L, 48L, 69L, 40L, 6L, 
    52L, 0L, 0L, 0L, 343L, 0L, 23L, 0L, 16L, 0L, 0L, 0L, 0L, 
    16L, 0L, 0L, 57L, 120L, 0L, 42L, 0L, 0L, 40L, 61L, 125L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 78L, 0L, 0L, 20L, 84L, 0L, 
    0L, 34L, 0L, 0L, 0L, 147L, 0L, 0L, 0L, 14L, 0L, 0L, 0L, 0L, 
    129L, 0L, 0L, 0L, 0L, 0L, 0L, 6L, 81L, 5L, 0L, 55L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 20L, 298L, 0L, 134L, 0L, 210L, 0L, 
    66L, 0L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 25L, 
    23L, 0L, 27L, 0L, 181L, 37L, 79L, 0L, 74L, 49L, 73L, 0L, 
    0L, 0L, 34L, 0L, 0L, 0L, 0L, 0L, 111L, 0L, 35L, 0L, 58L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    94L, 0L, 32L, 0L, 98L, 0L, 54L, 0L, 40L, 0L, 94L, 0L, 0L, 
    0L, 38L, 0L, 0L, 0L, 0L, 66L, 17L, 9L, 175L, 0L, 0L, 181L, 
    185L, 94L, 114L, 0L, 257L, 11L, 0L, 59L, 17L, 0L, 0L, 0L, 
    0L, 14L, 0L, 24L, 53L, 24L, 40L, 60L, 51L, 40L, 29L, 72L, 
    97L, 64L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 85L, 71L, 10L, 59L, 
    185L, 18L, 142L, 82L, 244L, 72L, 56L, 190L, 0L, 0L, 0L, 0L, 
    59L, 0L, 0L, 0L, 64L, 96L, 10L, 0L, 288L, 0L, 208L, 17L, 
    677L, 116L, 0L, 116L, 5L, 0L, 0L, 0L, 42L, 0L, 0L, 0L, 0L, 
    114L, 0L, 54L, 89L, 329L, 29L, 91L, 56L, 26L, 0L, 31L, 0L, 
    29L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 159L, 0L, 0L, 118L, 244L, 
    24L, 139L, 59L, 17L, 38L, 55L, 0L, 56L, 0L, 47L, 0L, 11L, 
    0L, 48L, 0L, 40L, 0L, 64L, 0L, 159L, 0L, 0L, 0L, 8L, 129L, 
    45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 124L, 0L, 0L, 0L, 
    53L, 0L, 0L, 0L, 44L, 0L, 45L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 39L, 0L, 0L, 74L, 43L, 0L, 0L, 106L, 0L, 40L, 0L, 21L, 
    0L, 48L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 20L, 0L, 0L, 0L, 
    348L, 80L, 67L, 0L, 0L, 68L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 45L, 31L, 0L, 34L, 16L, 228L, 0L, 119L, 67L, 0L, 0L, 
    221L, 0L, 57L, 20L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 135L, 
    29L, 38L, 0L, 244L, 61L, 0L, 92L, 53L, 0L, 0L, 0L, 61L, 1L, 
    0L, 0L, 124L, 140L, 0L, 0L, 51L, 213L, 0L, 22L, 0L, 187L, 
    0L, 0L, 0L, 30L, 0L, 0L, 41L, 0L, 0L, 0L, 0L, 130L, 0L, 12L, 
    69L, 380L, 0L, 35L, 0L, 64L, 0L, 0L, 0L, 56L, 0L, 0L, 105L, 
    113L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 41L, 0L, 65L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 53L, 0L, 0L, 0L, 0L, 22L, 0L, 79L, 0L, 
    10L, 0L, 27L, 0L, 48L, 0L, 30L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 18L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 39L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 22L, 0L, 0L, 90L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 51L, 0L, 0L, 96L, 48L, 
    0L, 0L, 119L, 0L, 0L, 0L, 25L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 25L, 0L, 15L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 28L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L, 0L, 0L, 88L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 14L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 
    0L, 0L, 0L, 0L, 0L)), .Names = c("state", "age", "edu", "weighted2008"
), class = "data.frame", row.names = c(30200L, 30201L, 30203L, 
30204L, 30209L, 30210L, 30212L, 30213L, 30218L, 30219L, 30221L, 
30222L, 30227L, 30228L, 30230L, 30231L, 30236L, 30237L, 30239L, 
30240L, 30254L, 30255L, 30257L, 30258L, 30263L, 30264L, 30266L, 
30267L, 30272L, 30273L, 30275L, 30276L, 30281L, 30282L, 30284L, 
30285L, 30290L, 30291L, 30293L, 30294L, 30362L, 30363L, 30365L, 
30366L, 30371L, 30372L, 30374L, 30375L, 30380L, 30381L, 30383L, 
30384L, 30389L, 30390L, 30392L, 30393L, 30398L, 30399L, 30401L, 
30402L, 30416L, 30417L, 30419L, 30420L, 30425L, 30426L, 30428L, 
30429L, 30434L, 30435L, 30437L, 30438L, 30443L, 30444L, 30446L, 
30447L, 30452L, 30453L, 30455L, 30456L, 30524L, 30525L, 30527L, 
30528L, 30533L, 30534L, 30536L, 30537L, 30542L, 30543L, 30545L, 
30546L, 30551L, 30552L, 30554L, 30555L, 30560L, 30561L, 30563L, 
30564L, 30578L, 30579L, 30581L, 30582L, 30587L, 30588L, 30590L, 
30591L, 30596L, 30597L, 30599L, 30600L, 30605L, 30606L, 30608L, 
30609L, 30614L, 30615L, 30617L, 30618L, 30686L, 30687L, 30689L, 
30690L, 30695L, 30696L, 30698L, 30699L, 30704L, 30705L, 30707L, 
30708L, 30713L, 30714L, 30716L, 30717L, 30722L, 30723L, 30725L, 
30726L, 30740L, 30741L, 30743L, 30744L, 30749L, 30750L, 30752L, 
30753L, 30758L, 30759L, 30761L, 30762L, 30767L, 30768L, 30770L, 
30771L, 30776L, 30777L, 30779L, 30780L, 31010L, 31011L, 31013L, 
31014L, 31019L, 31020L, 31022L, 31023L, 31028L, 31029L, 31031L, 
31032L, 31037L, 31038L, 31040L, 31041L, 31046L, 31047L, 31049L, 
31050L, 31064L, 31065L, 31067L, 31068L, 31073L, 31074L, 31076L, 
31077L, 31082L, 31083L, 31085L, 31086L, 31091L, 31092L, 31094L, 
31095L, 31100L, 31101L, 31103L, 31104L, 31172L, 31173L, 31175L, 
31176L, 31181L, 31182L, 31184L, 31185L, 31190L, 31191L, 31193L, 
31194L, 31199L, 31200L, 31202L, 31203L, 31208L, 31209L, 31211L, 
31212L, 31226L, 31227L, 31229L, 31230L, 31235L, 31236L, 31238L, 
31239L, 31244L, 31245L, 31247L, 31248L, 31253L, 31254L, 31256L, 
31257L, 31262L, 31263L, 31265L, 31266L, 31334L, 31335L, 31337L, 
31338L, 31343L, 31344L, 31346L, 31347L, 31352L, 31353L, 31355L, 
31356L, 31361L, 31362L, 31364L, 31365L, 31370L, 31371L, 31373L, 
31374L, 31388L, 31389L, 31391L, 31392L, 31397L, 31398L, 31400L, 
31401L, 31406L, 31407L, 31409L, 31410L, 31415L, 31416L, 31418L, 
31419L, 31424L, 31425L, 31427L, 31428L, 31496L, 31497L, 31499L, 
31500L, 31505L, 31506L, 31508L, 31509L, 31514L, 31515L, 31517L, 
31518L, 31523L, 31524L, 31526L, 31527L, 31532L, 31533L, 31535L, 
31536L, 31550L, 31551L, 31553L, 31554L, 31559L, 31560L, 31562L, 
31563L, 31568L, 31569L, 31571L, 31572L, 31577L, 31578L, 31580L, 
31581L, 31586L, 31587L, 31589L, 31590L, 31820L, 31821L, 31823L, 
31824L, 31829L, 31830L, 31832L, 31833L, 31838L, 31839L, 31841L, 
31842L, 31847L, 31848L, 31850L, 31851L, 31856L, 31857L, 31859L, 
31860L, 31874L, 31875L, 31877L, 31878L, 31883L, 31884L, 31886L, 
31887L, 31892L, 31893L, 31895L, 31896L, 31901L, 31902L, 31904L, 
31905L, 31910L, 31911L, 31913L, 31914L, 31982L, 31983L, 31985L, 
31986L, 31991L, 31992L, 31994L, 31995L, 32000L, 32001L, 32003L, 
32004L, 32009L, 32010L, 32012L, 32013L, 32018L, 32019L, 32021L, 
32022L, 32036L, 32037L, 32039L, 32040L, 32045L, 32046L, 32048L, 
32049L, 32054L, 32055L, 32057L, 32058L, 32063L, 32064L, 32066L, 
32067L, 32072L, 32073L, 32075L, 32076L, 32144L, 32145L, 32147L, 
32148L, 32153L, 32154L, 32156L, 32157L, 32162L, 32163L, 32165L, 
32166L, 32171L, 32172L, 32174L, 32175L, 32180L, 32181L, 32183L, 
32184L, 32198L, 32199L, 32201L, 32202L, 32207L, 32208L, 32210L, 
32211L, 32216L, 32217L, 32219L, 32220L, 32225L, 32226L, 32228L, 
32229L, 32234L, 32235L, 32237L, 32238L, 32306L, 32307L, 32309L, 
32310L, 32315L, 32316L, 32318L, 32319L, 32324L, 32325L, 32327L, 
32328L, 32333L, 32334L, 32336L, 32337L, 32342L, 32343L, 32345L, 
32346L, 32360L, 32361L, 32363L, 32364L, 32369L, 32370L, 32372L, 
32373L, 32378L, 32379L, 32381L, 32382L, 32387L, 32388L, 32390L, 
32391L, 32396L, 32397L, 32399L, 32400L, 32630L, 32631L, 32633L, 
32634L, 32639L, 32640L, 32642L, 32643L, 32648L, 32649L, 32651L, 
32652L, 32657L, 32658L, 32660L, 32661L, 32666L, 32667L, 32669L, 
32670L, 32684L, 32685L, 32687L, 32688L, 32693L, 32694L, 32696L, 
32697L, 32702L, 32703L, 32705L, 32706L, 32711L, 32712L, 32714L, 
32715L, 32720L, 32721L, 32723L, 32724L, 32792L, 32793L, 32795L, 
32796L, 32801L, 32802L, 32804L, 32805L, 32810L, 32811L, 32813L, 
32814L, 32819L, 32820L, 32822L, 32823L, 32828L, 32829L, 32831L, 
32832L, 32846L, 32847L, 32849L, 32850L, 32855L, 32856L, 32858L, 
32859L, 32864L, 32865L, 32867L, 32868L, 32873L, 32874L, 32876L, 
32877L, 32882L, 32883L, 32885L, 32886L, 32954L, 32955L, 32957L, 
32958L, 32963L, 32964L, 32966L, 32967L, 32972L, 32973L, 32975L, 
32976L, 32981L, 32982L, 32984L, 32985L, 32990L, 32991L, 32993L, 
32994L, 33008L, 33009L, 33011L, 33012L, 33017L, 33018L, 33020L, 
33021L, 33026L, 33027L, 33029L, 33030L, 33035L, 33036L, 33038L, 
33039L, 33044L, 33045L, 33047L, 33048L, 33116L, 33117L, 33119L, 
33120L, 33125L, 33126L, 33128L, 33129L, 33134L, 33135L, 33137L, 
33138L, 33143L, 33144L, 33146L, 33147L, 33152L, 33153L, 33155L, 
33156L, 33170L, 33171L, 33173L, 33174L, 33179L, 33180L, 33182L, 
33183L, 33188L, 33189L, 33191L, 33192L, 33197L, 33198L, 33200L, 
33201L, 33206L, 33207L, 33209L, 33210L, 33440L, 33441L, 33443L, 
33444L, 33449L, 33450L, 33452L, 33453L, 33458L, 33459L, 33461L, 
33462L, 33467L, 33468L, 33470L, 33471L, 33476L, 33477L, 33479L, 
33480L, 33494L, 33495L, 33497L, 33498L, 33503L, 33504L, 33506L, 
33507L, 33512L, 33513L, 33515L, 33516L, 33521L, 33522L, 33524L, 
33525L, 33530L, 33531L, 33533L, 33534L, 33602L, 33603L, 33605L, 
33606L, 33611L, 33612L, 33614L, 33615L, 33620L, 33621L, 33623L, 
33624L, 33629L, 33630L, 33632L, 33633L, 33638L, 33639L, 33641L, 
33642L, 33656L, 33657L, 33659L, 33660L, 33665L, 33666L, 33668L, 
33669L, 33674L, 33675L, 33677L, 33678L, 33683L, 33684L, 33686L, 
33687L, 33692L, 33693L, 33695L, 33696L, 33764L, 33765L, 33767L, 
33768L, 33773L, 33774L, 33776L, 33777L, 33782L, 33783L, 33785L, 
33786L, 33791L, 33792L, 33794L, 33795L, 33800L, 33801L, 33803L, 
33804L, 33818L, 33819L, 33821L, 33822L, 33827L, 33828L, 33830L, 
33831L, 33836L, 33837L, 33839L, 33840L, 33845L, 33846L, 33848L, 
33849L, 33854L, 33855L, 33857L, 33858L, 33926L, 33927L, 33929L, 
33930L, 33935L, 33936L, 33938L, 33939L, 33944L, 33945L, 33947L, 
33948L, 33953L, 33954L, 33956L, 33957L, 33962L, 33963L, 33965L, 
33966L, 33980L, 33981L, 33983L, 33984L, 33989L, 33990L, 33992L, 
33993L, 33998L, 33999L, 34001L, 34002L, 34007L, 34008L, 34010L, 
34011L, 34016L, 34017L, 34019L, 34020L, 35060L, 35061L, 35063L, 
35064L, 35069L, 35070L, 35072L, 35073L, 35078L, 35079L, 35081L, 
35082L, 35087L, 35088L, 35090L, 35091L, 35096L, 35097L, 35099L, 
35100L, 35114L, 35115L, 35117L, 35118L, 35123L, 35124L, 35126L, 
35127L, 35132L, 35133L, 35135L, 35136L, 35141L, 35142L, 35144L, 
35145L, 35150L, 35151L, 35153L, 35154L, 35222L, 35223L, 35225L, 
35226L, 35231L, 35232L, 35234L, 35235L, 35240L, 35241L, 35243L, 
35244L, 35249L, 35250L, 35252L, 35253L, 35258L, 35259L, 35261L, 
35262L, 35276L, 35277L, 35279L, 35280L, 35285L, 35286L, 35288L, 
35289L, 35294L, 35295L, 35297L, 35298L, 35303L, 35304L, 35306L, 
35307L, 35312L, 35313L, 35315L, 35316L, 35384L, 35385L, 35387L, 
35388L, 35393L, 35394L, 35396L, 35397L, 35402L, 35403L, 35405L, 
35406L, 35411L, 35412L, 35414L, 35415L, 35420L, 35421L, 35423L, 
35424L, 35438L, 35439L, 35441L, 35442L, 35447L, 35448L, 35450L, 
35451L, 35456L, 35457L, 35459L, 35460L, 35465L, 35466L, 35468L, 
35469L, 35474L, 35475L, 35477L, 35478L, 35546L, 35547L, 35549L, 
35550L, 35555L, 35556L, 35558L, 35559L, 35564L, 35565L, 35567L, 
35568L, 35573L, 35574L, 35576L, 35577L, 35582L, 35583L, 35585L, 
35586L, 35600L, 35601L, 35603L, 35604L, 35609L, 35610L, 35612L, 
35613L, 35618L, 35619L, 35621L, 35622L, 35627L, 35628L, 35630L, 
35631L, 35636L, 35637L, 35639L, 35640L, 35870L, 35871L, 35873L, 
35874L, 35879L, 35880L, 35882L, 35883L, 35888L, 35889L, 35891L, 
35892L, 35897L, 35898L, 35900L, 35901L, 35906L, 35907L, 35909L, 
35910L, 35924L, 35925L, 35927L, 35928L, 35933L, 35934L, 35936L, 
35937L, 35942L, 35943L, 35945L, 35946L, 35951L, 35952L, 35954L, 
35955L, 35960L, 35961L, 35963L, 35964L, 36032L, 36033L, 36035L, 
36036L, 36041L, 36042L, 36044L, 36045L, 36050L, 36051L, 36053L, 
36054L, 36059L, 36060L, 36062L, 36063L, 36068L, 36069L, 36071L, 
36072L, 36086L, 36087L, 36089L, 36090L, 36095L, 36096L, 36098L, 
36099L, 36104L, 36105L, 36107L, 36108L, 36113L, 36114L, 36116L, 
36117L, 36122L, 36123L, 36125L, 36126L, 36194L, 36195L, 36197L, 
36198L, 36203L, 36204L, 36206L, 36207L, 36212L, 36213L, 36215L, 
36216L, 36221L, 36222L, 36224L, 36225L, 36230L, 36231L, 36233L, 
36234L, 36248L, 36249L, 36251L, 36252L, 36257L, 36258L, 36260L, 
36261L, 36266L, 36267L, 36269L, 36270L, 36275L, 36276L, 36278L, 
36279L, 36284L, 36285L, 36287L, 36288L, 36356L, 36357L, 36359L, 
36360L, 36365L, 36366L, 36368L, 36369L, 36374L, 36375L, 36377L, 
36378L, 36383L, 36384L, 36386L, 36387L, 36392L, 36393L, 36395L, 
36396L, 36410L, 36411L, 36413L, 36414L, 36419L, 36420L, 36422L, 
36423L, 36428L, 36429L, 36431L, 36432L, 36437L, 36438L, 36440L, 
36441L, 36446L, 36447L, 36449L, 36450L, 36680L, 36681L, 36683L, 
36684L, 36689L, 36690L, 36692L, 36693L, 36698L, 36699L, 36701L, 
36702L, 36707L, 36708L, 36710L, 36711L, 36716L, 36717L, 36719L, 
36720L, 36734L, 36735L, 36737L, 36738L, 36743L, 36744L, 36746L, 
36747L, 36752L, 36753L, 36755L, 36756L, 36761L, 36762L, 36764L, 
36765L, 36770L, 36771L, 36773L, 36774L, 36842L, 36843L, 36845L, 
36846L, 36851L, 36852L, 36854L, 36855L, 36860L, 36861L, 36863L, 
36864L, 36869L, 36870L, 36872L, 36873L, 36878L, 36879L, 36881L, 
36882L, 36896L, 36897L, 36899L, 36900L, 36905L, 36906L, 36908L, 
36909L, 36914L, 36915L, 36917L, 36918L, 36923L, 36924L, 36926L, 
36927L, 36932L, 36933L, 36935L, 36936L, 37004L, 37005L, 37007L, 
37008L, 37013L, 37014L, 37016L, 37017L, 37022L, 37023L, 37025L, 
37026L, 37031L, 37032L, 37034L, 37035L, 37040L, 37041L, 37043L, 
37044L, 37058L, 37059L, 37061L, 37062L, 37067L, 37068L, 37070L, 
37071L, 37076L, 37077L, 37079L, 37080L, 37085L, 37086L, 37088L, 
37089L, 37094L, 37095L, 37097L, 37098L, 37166L, 37167L, 37169L, 
37170L, 37175L, 37176L, 37178L, 37179L, 37184L, 37185L, 37187L, 
37188L, 37193L, 37194L, 37196L, 37197L, 37202L, 37203L, 37205L, 
37206L, 37220L, 37221L, 37223L, 37224L, 37229L, 37230L, 37232L, 
37233L, 37238L, 37239L, 37241L, 37242L, 37247L, 37248L, 37250L, 
37251L, 37256L, 37257L, 37259L, 37260L, 37490L, 37491L, 37493L, 
37494L, 37499L, 37500L, 37502L, 37503L, 37508L, 37509L, 37511L, 
37512L, 37517L, 37518L, 37520L, 37521L, 37526L, 37527L, 37529L, 
37530L, 37544L, 37545L, 37547L, 37548L, 37553L, 37554L, 37556L, 
37557L, 37562L, 37563L, 37565L, 37566L, 37571L, 37572L, 37574L, 
37575L, 37580L, 37581L, 37583L, 37584L, 37652L, 37653L, 37655L, 
37656L, 37661L, 37662L, 37664L, 37665L, 37670L, 37671L, 37673L, 
37674L, 37679L, 37680L, 37682L, 37683L, 37688L, 37689L, 37691L, 
37692L, 37706L, 37707L, 37709L, 37710L, 37715L, 37716L, 37718L, 
37719L, 37724L, 37725L, 37727L, 37728L, 37733L, 37734L, 37736L, 
37737L, 37742L, 37743L, 37745L, 37746L, 37814L, 37815L, 37817L, 
37818L, 37823L, 37824L, 37826L, 37827L, 37832L, 37833L, 37835L, 
37836L, 37841L, 37842L, 37844L, 37845L, 37850L, 37851L, 37853L, 
37854L, 37868L, 37869L, 37871L, 37872L, 37877L, 37878L, 37880L, 
37881L, 37886L, 37887L, 37889L, 37890L, 37895L, 37896L, 37898L, 
37899L, 37904L, 37905L, 37907L, 37908L, 37976L, 37977L, 37979L, 
37980L, 37985L, 37986L, 37988L, 37989L, 37994L, 37995L, 37997L, 
37998L, 38003L, 38004L, 38006L, 38007L, 38012L, 38013L, 38015L, 
38016L, 38030L, 38031L, 38033L, 38034L, 38039L, 38040L, 38042L, 
38043L, 38048L, 38049L, 38051L, 38052L, 38057L, 38058L, 38060L, 
38061L, 38066L, 38067L, 38069L, 38070L, 38300L, 38301L, 38303L, 
38304L, 38309L, 38310L, 38312L, 38313L, 38318L, 38319L, 38321L, 
38322L, 38327L, 38328L, 38330L, 38331L, 38336L, 38337L, 38339L, 
38340L, 38354L, 38355L, 38357L, 38358L, 38363L, 38364L, 38366L, 
38367L, 38372L, 38373L, 38375L, 38376L, 38381L, 38382L, 38384L, 
38385L, 38390L, 38391L, 38393L, 38394L, 38462L, 38463L, 38465L, 
38466L, 38471L, 38472L, 38474L, 38475L, 38480L, 38481L, 38483L, 
38484L, 38489L, 38490L, 38492L, 38493L, 38498L, 38499L, 38501L, 
38502L, 38516L, 38517L, 38519L, 38520L, 38525L, 38526L, 38528L, 
38529L, 38534L, 38535L, 38537L, 38538L, 38543L, 38544L, 38546L, 
38547L, 38552L, 38553L, 38555L, 38556L, 38624L, 38625L, 38627L, 
38628L, 38633L, 38634L, 38636L, 38637L, 38642L, 38643L, 38645L, 
38646L, 38651L, 38652L, 38654L, 38655L, 38660L, 38661L, 38663L, 
38664L, 38678L, 38679L, 38681L, 38682L, 38687L, 38688L, 38690L, 
38691L, 38696L, 38697L, 38699L, 38700L, 38705L, 38706L, 38708L, 
38709L, 38714L, 38715L, 38717L, 38718L, 38786L, 38787L, 38789L, 
38790L, 38795L, 38796L, 38798L, 38799L, 38804L, 38805L, 38807L, 
38808L, 38813L, 38814L, 38816L, 38817L, 38822L, 38823L, 38825L, 
38826L, 38840L, 38841L, 38843L, 38844L, 38849L, 38850L, 38852L, 
38853L, 38858L, 38859L, 38861L, 38862L, 38867L, 38868L, 38870L, 
38871L, 38876L, 38877L, 38879L, 38880L, 39920L, 39921L, 39923L, 
39924L, 39929L, 39930L, 39932L, 39933L, 39938L, 39939L, 39941L, 
39942L, 39947L, 39948L, 39950L, 39951L, 39956L, 39957L, 39959L, 
39960L, 39974L, 39975L, 39977L, 39978L, 39983L, 39984L, 39986L, 
39987L, 39992L, 39993L, 39995L, 39996L, 40001L, 40002L, 40004L, 
40005L, 40010L, 40011L, 40013L, 40014L, 40082L, 40083L, 40085L, 
40086L, 40091L, 40092L, 40094L, 40095L, 40100L, 40101L, 40103L, 
40104L, 40109L, 40110L, 40112L, 40113L, 40118L, 40119L, 40121L, 
40122L, 40136L, 40137L, 40139L, 40140L, 40145L, 40146L, 40148L, 
40149L, 40154L, 40155L, 40157L, 40158L, 40163L, 40164L, 40166L, 
40167L, 40172L, 40173L, 40175L, 40176L, 40244L, 40245L, 40247L, 
40248L, 40253L, 40254L, 40256L, 40257L, 40262L, 40263L, 40265L, 
40266L, 40271L, 40272L, 40274L, 40275L, 40280L, 40281L, 40283L, 
40284L, 40298L, 40299L, 40301L, 40302L, 40307L, 40308L, 40310L, 
40311L, 40316L, 40317L, 40319L, 40320L, 40325L, 40326L, 40328L, 
40329L, 40334L, 40335L, 40337L, 40338L, 40406L, 40407L, 40409L, 
40410L, 40415L, 40416L, 40418L, 40419L, 40424L, 40425L, 40427L, 
40428L, 40433L, 40434L, 40436L, 40437L, 40442L, 40443L, 40445L, 
40446L, 40460L, 40461L, 40463L, 40464L, 40469L, 40470L, 40472L, 
40473L, 40478L, 40479L, 40481L, 40482L, 40487L, 40488L, 40490L, 
40491L, 40496L, 40497L, 40499L, 40500L, 40730L, 40731L, 40733L, 
40734L, 40739L, 40740L, 40742L, 40743L, 40748L, 40749L, 40751L, 
40752L, 40757L, 40758L, 40760L, 40761L, 40766L, 40767L, 40769L, 
40770L, 40784L, 40785L, 40787L, 40788L, 40793L, 40794L, 40796L, 
40797L, 40802L, 40803L, 40805L, 40806L, 40811L, 40812L, 40814L, 
40815L, 40820L, 40821L, 40823L, 40824L, 40892L, 40893L, 40895L, 
40896L, 40901L, 40902L, 40904L, 40905L, 40910L, 40911L, 40913L, 
40914L, 40919L, 40920L, 40922L, 40923L, 40928L, 40929L, 40931L, 
40932L, 40946L, 40947L, 40949L, 40950L, 40955L, 40956L, 40958L, 
40959L, 40964L, 40965L, 40967L, 40968L, 40973L, 40974L, 40976L, 
40977L, 40982L, 40983L, 40985L, 40986L, 41054L, 41055L, 41057L, 
41058L, 41063L, 41064L, 41066L, 41067L, 41072L, 41073L, 41075L, 
41076L, 41081L, 41082L, 41084L, 41085L, 41090L, 41091L, 41093L, 
41094L, 41108L, 41109L, 41111L, 41112L, 41117L, 41118L, 41120L, 
41121L, 41126L, 41127L, 41129L, 41130L, 41135L, 41136L, 41138L, 
41139L, 41144L, 41145L, 41147L, 41148L, 41216L, 41217L, 41219L, 
41220L, 41225L, 41226L, 41228L, 41229L, 41234L, 41235L, 41237L, 
41238L, 41243L, 41244L, 41246L, 41247L, 41252L, 41253L, 41255L, 
41256L, 41270L, 41271L, 41273L, 41274L, 41279L, 41280L, 41282L, 
41283L, 41288L, 41289L, 41291L, 41292L, 41297L, 41298L, 41300L, 
41301L, 41306L, 41307L, 41309L, 41310L, 41540L, 41541L, 41543L, 
41544L, 41549L, 41550L, 41552L, 41553L, 41558L, 41559L, 41561L, 
41562L, 41567L, 41568L, 41570L, 41571L, 41576L, 41577L, 41579L, 
41580L, 41594L, 41595L, 41597L, 41598L, 41603L, 41604L, 41606L, 
41607L, 41612L, 41613L, 41615L, 41616L, 41621L, 41622L, 41624L, 
41625L, 41630L, 41631L, 41633L, 41634L, 41702L, 41703L, 41705L, 
41706L, 41711L, 41712L, 41714L, 41715L, 41720L, 41721L, 41723L, 
41724L, 41729L, 41730L, 41732L, 41733L, 41738L, 41739L, 41741L, 
41742L, 41756L, 41757L, 41759L, 41760L, 41765L, 41766L, 41768L, 
41769L, 41774L, 41775L, 41777L, 41778L, 41783L, 41784L, 41786L, 
41787L, 41792L, 41793L, 41795L, 41796L, 41864L, 41865L, 41867L, 
41868L, 41873L, 41874L, 41876L, 41877L, 41882L, 41883L, 41885L, 
41886L, 41891L, 41892L, 41894L, 41895L, 41900L, 41901L, 41903L, 
41904L, 41918L, 41919L, 41921L, 41922L, 41927L, 41928L, 41930L, 
41931L, 41936L, 41937L, 41939L, 41940L, 41945L, 41946L, 41948L, 
41949L, 41954L, 41955L, 41957L, 41958L, 42026L, 42027L, 42029L, 
42030L, 42035L, 42036L, 42038L, 42039L, 42044L, 42045L, 42047L, 
42048L, 42053L, 42054L, 42056L, 42057L, 42062L, 42063L, 42065L, 
42066L, 42080L, 42081L, 42083L, 42084L, 42089L, 42090L, 42092L, 
42093L, 42098L, 42099L, 42101L, 42102L, 42107L, 42108L, 42110L, 
42111L, 42116L, 42117L, 42119L, 42120L, 42350L, 42351L, 42353L, 
42354L, 42359L, 42360L, 42362L, 42363L, 42368L, 42369L, 42371L, 
42372L, 42377L, 42378L, 42380L, 42381L, 42386L, 42387L, 42389L, 
42390L, 42404L, 42405L, 42407L, 42408L, 42413L, 42414L, 42416L, 
42417L, 42422L, 42423L, 42425L, 42426L, 42431L, 42432L, 42434L, 
42435L, 42440L, 42441L, 42443L, 42444L, 42512L, 42513L, 42515L, 
42516L, 42521L, 42522L, 42524L, 42525L, 42530L, 42531L, 42533L, 
42534L, 42539L, 42540L, 42542L, 42543L, 42548L, 42549L, 42551L, 
42552L, 42566L, 42567L, 42569L, 42570L, 42575L, 42576L, 42578L, 
42579L, 42584L, 42585L, 42587L, 42588L, 42593L, 42594L, 42596L, 
42597L, 42602L, 42603L, 42605L, 42606L, 42674L, 42675L, 42677L, 
42678L, 42683L, 42684L, 42686L, 42687L, 42692L, 42693L, 42695L, 
42696L, 42701L, 42702L, 42704L, 42705L, 42710L, 42711L, 42713L, 
42714L, 42728L, 42729L, 42731L, 42732L, 42737L, 42738L, 42740L, 
42741L, 42746L, 42747L, 42749L, 42750L, 42755L, 42756L, 42758L, 
42759L, 42764L, 42765L, 42767L, 42768L, 42836L, 42837L, 42839L, 
42840L, 42845L, 42846L, 42848L, 42849L, 42854L, 42855L, 42857L, 
42858L, 42863L, 42864L, 42866L, 42867L, 42872L, 42873L, 42875L, 
42876L, 42890L, 42891L, 42893L, 42894L, 42899L, 42900L, 42902L, 
42903L, 42908L, 42909L, 42911L, 42912L, 42917L, 42918L, 42920L, 
42921L, 42926L, 42927L, 42929L, 42930L, 43160L, 43161L, 43163L, 
43164L, 43169L, 43170L, 43172L, 43173L, 43178L, 43179L, 43181L, 
43182L, 43187L, 43188L, 43190L, 43191L, 43196L, 43197L, 43199L, 
43200L, 43214L, 43215L, 43217L, 43218L, 43223L, 43224L, 43226L, 
43227L, 43232L, 43233L, 43235L, 43236L, 43241L, 43242L, 43244L, 
43245L, 43250L, 43251L, 43253L, 43254L, 43322L, 43323L, 43325L, 
43326L, 43331L, 43332L, 43334L, 43335L, 43340L, 43341L, 43343L, 
43344L, 43349L, 43350L, 43352L, 43353L, 43358L, 43359L, 43361L, 
43362L, 43376L, 43377L, 43379L, 43380L, 43385L, 43386L, 43388L, 
43389L, 43394L, 43395L, 43397L, 43398L, 43403L, 43404L, 43406L, 
43407L, 43412L, 43413L, 43415L, 43416L, 43484L, 43485L, 43487L, 
43488L, 43493L, 43494L, 43496L, 43497L, 43502L, 43503L, 43505L, 
43506L, 43511L, 43512L, 43514L, 43515L, 43520L, 43521L, 43523L, 
43524L, 43538L, 43539L, 43541L, 43542L, 43547L, 43548L, 43550L, 
43551L, 43556L, 43557L, 43559L, 43560L, 43565L, 43566L, 43568L, 
43569L, 43574L, 43575L, 43577L, 43578L, 43646L, 43647L, 43649L, 
43650L, 43655L, 43656L, 43658L, 43659L, 43664L, 43665L, 43667L, 
43668L, 43673L, 43674L, 43676L, 43677L, 43682L, 43683L, 43685L, 
43686L, 43700L, 43701L, 43703L, 43704L, 43709L, 43710L, 43712L, 
43713L, 43718L, 43719L, 43721L, 43722L, 43727L, 43728L, 43730L, 
43731L, 43736L, 43737L, 43739L, 43740L, 78800L, 78801L, 78803L, 
78804L, 78809L, 78810L, 78812L, 78813L, 78818L, 78819L, 78821L, 
78822L, 78827L, 78828L, 78830L, 78831L, 78836L, 78837L, 78839L, 
78840L, 78854L, 78855L, 78857L, 78858L, 78863L, 78864L, 78866L, 
78867L, 78872L, 78873L, 78875L, 78876L, 78881L, 78882L, 78884L, 
78885L, 78890L, 78891L, 78893L, 78894L, 78962L, 78963L, 78965L, 
78966L, 78971L, 78972L, 78974L, 78975L, 78980L, 78981L, 78983L, 
78984L, 78989L, 78990L, 78992L, 78993L, 78998L, 78999L, 79001L, 
79002L, 79016L, 79017L, 79019L, 79020L, 79025L, 79026L, 79028L, 
79029L, 79034L, 79035L, 79037L, 79038L, 79043L, 79044L, 79046L, 
79047L, 79052L, 79053L, 79055L, 79056L, 79124L, 79125L, 79127L, 
79128L, 79133L, 79134L, 79136L, 79137L, 79142L, 79143L, 79145L, 
79146L, 79151L, 79152L, 79154L, 79155L, 79160L, 79161L, 79163L, 
79164L, 79178L, 79179L, 79181L, 79182L, 79187L, 79188L, 79190L, 
79191L, 79196L, 79197L, 79199L, 79200L, 79205L, 79206L, 79208L, 
79209L, 79214L, 79215L, 79217L, 79218L, 79286L, 79287L, 79289L, 
79290L, 79295L, 79296L, 79298L, 79299L, 79304L, 79305L, 79307L, 
79308L, 79313L, 79314L, 79316L, 79317L, 79322L, 79323L, 79325L, 
79326L, 79340L, 79341L, 79343L, 79344L, 79349L, 79350L, 79352L, 
79353L, 79358L, 79359L, 79361L, 79362L, 79367L, 79368L, 79370L, 
79371L, 79376L, 79377L, 79379L, 79380L, 79610L, 79611L, 79613L, 
79614L, 79619L, 79620L, 79622L, 79623L, 79628L, 79629L, 79631L, 
79632L, 79637L, 79638L, 79640L, 79641L, 79646L, 79647L, 79649L, 
79650L, 79664L, 79665L, 79667L, 79668L, 79673L, 79674L, 79676L, 
79677L, 79682L, 79683L, 79685L, 79686L, 79691L, 79692L, 79694L, 
79695L, 79700L, 79701L, 79703L, 79704L, 79772L, 79773L, 79775L, 
79776L, 79781L, 79782L, 79784L, 79785L, 79790L, 79791L, 79793L, 
79794L, 79799L, 79800L, 79802L, 79803L, 79808L, 79809L, 79811L, 
79812L, 79826L, 79827L, 79829L, 79830L, 79835L, 79836L, 79838L, 
79839L, 79844L, 79845L, 79847L, 79848L, 79853L, 79854L, 79856L, 
79857L, 79862L, 79863L, 79865L, 79866L, 79934L, 79935L, 79937L, 
79938L, 79943L, 79944L, 79946L, 79947L, 79952L, 79953L, 79955L, 
79956L, 79961L, 79962L, 79964L, 79965L, 79970L, 79971L, 79973L, 
79974L, 79988L, 79989L, 79991L, 79992L, 79997L, 79998L, 80000L, 
80001L, 80006L, 80007L, 80009L, 80010L, 80015L, 80016L, 80018L, 
80019L, 80024L, 80025L, 80027L, 80028L, 80096L, 80097L, 80099L, 
80100L, 80105L, 80106L, 80108L, 80109L, 80114L, 80115L, 80117L, 
80118L, 80123L, 80124L, 80126L, 80127L, 80132L, 80133L, 80135L, 
80136L, 80150L, 80151L, 80153L, 80154L, 80159L, 80160L, 80162L, 
80163L, 80168L, 80169L, 80171L, 80172L, 80177L, 80178L, 80180L, 
80181L, 80186L, 80187L, 80189L, 80190L, 80420L, 80421L, 80423L, 
80424L, 80429L, 80430L, 80432L, 80433L, 80438L, 80439L, 80441L, 
80442L, 80447L, 80448L, 80450L, 80451L, 80456L, 80457L, 80459L, 
80460L, 80474L, 80475L, 80477L, 80478L, 80483L, 80484L, 80486L, 
80487L, 80492L, 80493L, 80495L, 80496L, 80501L, 80502L, 80504L, 
80505L, 80510L, 80511L, 80513L, 80514L, 80582L, 80583L, 80585L, 
80586L, 80591L, 80592L, 80594L, 80595L, 80600L, 80601L, 80603L, 
80604L, 80609L, 80610L, 80612L, 80613L, 80618L, 80619L, 80621L, 
80622L, 80636L, 80637L, 80639L, 80640L, 80645L, 80646L, 80648L, 
80649L, 80654L, 80655L, 80657L, 80658L, 80663L, 80664L, 80666L, 
80667L, 80672L, 80673L, 80675L, 80676L, 80744L, 80745L, 80747L, 
80748L, 80753L, 80754L, 80756L, 80757L, 80762L, 80763L, 80765L, 
80766L, 80771L, 80772L, 80774L, 80775L, 80780L, 80781L, 80783L, 
80784L, 80798L, 80799L, 80801L, 80802L, 80807L, 80808L, 80810L, 
80811L, 80816L, 80817L, 80819L, 80820L, 80825L, 80826L, 80828L, 
80829L, 80834L, 80835L, 80837L, 80838L, 80906L, 80907L, 80909L, 
80910L, 80915L, 80916L, 80918L, 80919L, 80924L, 80925L, 80927L, 
80928L, 80933L, 80934L, 80936L, 80937L, 80942L, 80943L, 80945L, 
80946L, 80960L, 80961L, 80963L, 80964L, 80969L, 80970L, 80972L, 
80973L, 80978L, 80979L, 80981L, 80982L, 80987L, 80988L, 80990L, 
80991L, 80996L, 80997L, 80999L, 81000L, 81230L, 81231L, 81233L, 
81234L, 81239L, 81240L, 81242L, 81243L, 81248L, 81249L, 81251L, 
81252L, 81257L, 81258L, 81260L, 81261L, 81266L, 81267L, 81269L, 
81270L, 81284L, 81285L, 81287L, 81288L, 81293L, 81294L, 81296L, 
81297L, 81302L, 81303L, 81305L, 81306L, 81311L, 81312L, 81314L, 
81315L, 81320L, 81321L, 81323L, 81324L, 81392L, 81393L, 81395L, 
81396L, 81401L, 81402L, 81404L, 81405L, 81410L, 81411L, 81413L, 
81414L, 81419L, 81420L, 81422L, 81423L, 81428L, 81429L, 81431L, 
81432L, 81446L, 81447L, 81449L, 81450L, 81455L, 81456L, 81458L, 
81459L, 81464L, 81465L, 81467L, 81468L, 81473L, 81474L, 81476L, 
81477L, 81482L, 81483L, 81485L, 81486L, 81554L, 81555L, 81557L, 
81558L, 81563L, 81564L, 81566L, 81567L, 81572L, 81573L, 81575L, 
81576L, 81581L, 81582L, 81584L, 81585L, 81590L, 81591L, 81593L, 
81594L, 81608L, 81609L, 81611L, 81612L, 81617L, 81618L, 81620L, 
81621L, 81626L, 81627L, 81629L, 81630L, 81635L, 81636L, 81638L, 
81639L, 81644L, 81645L, 81647L, 81648L, 81716L, 81717L, 81719L, 
81720L, 81725L, 81726L, 81728L, 81729L, 81734L, 81735L, 81737L, 
81738L, 81743L, 81744L, 81746L, 81747L, 81752L, 81753L, 81755L, 
81756L, 81770L, 81771L, 81773L, 81774L, 81779L, 81780L, 81782L, 
81783L, 81788L, 81789L, 81791L, 81792L, 81797L, 81798L, 81800L, 
81801L, 81806L, 81807L, 81809L, 81810L, 82040L, 82041L, 82043L, 
82044L, 82049L, 82050L, 82052L, 82053L, 82058L, 82059L, 82061L, 
82062L, 82067L, 82068L, 82070L, 82071L, 82076L, 82077L, 82079L, 
82080L, 82094L, 82095L, 82097L, 82098L, 82103L, 82104L, 82106L, 
82107L, 82112L, 82113L, 82115L, 82116L, 82121L, 82122L, 82124L, 
82125L, 82130L, 82131L, 82133L, 82134L, 82202L, 82203L, 82205L, 
82206L, 82211L, 82212L, 82214L, 82215L, 82220L, 82221L, 82223L, 
82224L, 82229L, 82230L, 82232L, 82233L, 82238L, 82239L, 82241L, 
82242L, 82256L, 82257L, 82259L, 82260L, 82265L, 82266L, 82268L, 
82269L, 82274L, 82275L, 82277L, 82278L, 82283L, 82284L, 82286L, 
82287L, 82292L, 82293L, 82295L, 82296L, 82364L, 82365L, 82367L, 
82368L, 82373L, 82374L, 82376L, 82377L, 82382L, 82383L, 82385L, 
82386L, 82391L, 82392L, 82394L, 82395L, 82400L, 82401L, 82403L, 
82404L, 82418L, 82419L, 82421L, 82422L, 82427L, 82428L, 82430L, 
82431L, 82436L, 82437L, 82439L, 82440L, 82445L, 82446L, 82448L, 
82449L, 82454L, 82455L, 82457L, 82458L, 82526L, 82527L, 82529L, 
82530L, 82535L, 82536L, 82538L, 82539L, 82544L, 82545L, 82547L, 
82548L, 82553L, 82554L, 82556L, 82557L, 82562L, 82563L, 82565L, 
82566L, 82580L, 82581L, 82583L, 82584L, 82589L, 82590L, 82592L, 
82593L, 82598L, 82599L, 82601L, 82602L, 82607L, 82608L, 82610L, 
82611L, 82616L, 82617L, 82619L, 82620L, 83660L, 83661L, 83663L, 
83664L, 83669L, 83670L, 83672L, 83673L, 83678L, 83679L, 83681L, 
83682L, 83687L, 83688L, 83690L, 83691L, 83696L, 83697L, 83699L, 
83700L, 83714L, 83715L, 83717L, 83718L, 83723L, 83724L, 83726L, 
83727L, 83732L, 83733L, 83735L, 83736L, 83741L, 83742L, 83744L, 
83745L, 83750L, 83751L, 83753L, 83754L, 83822L, 83823L, 83825L, 
83826L, 83831L, 83832L, 83834L, 83835L, 83840L, 83841L, 83843L, 
83844L, 83849L, 83850L, 83852L, 83853L, 83858L, 83859L, 83861L, 
83862L, 83876L, 83877L, 83879L, 83880L, 83885L, 83886L, 83888L, 
83889L, 83894L, 83895L, 83897L, 83898L, 83903L, 83904L, 83906L, 
83907L, 83912L, 83913L, 83915L, 83916L, 83984L, 83985L, 83987L, 
83988L, 83993L, 83994L, 83996L, 83997L, 84002L, 84003L, 84005L, 
84006L, 84011L, 84012L, 84014L, 84015L, 84020L, 84021L, 84023L, 
84024L, 84038L, 84039L, 84041L, 84042L, 84047L, 84048L, 84050L, 
84051L, 84056L, 84057L, 84059L, 84060L, 84065L, 84066L, 84068L, 
84069L, 84074L, 84075L, 84077L, 84078L, 84146L, 84147L, 84149L, 
84150L, 84155L, 84156L, 84158L, 84159L, 84164L, 84165L, 84167L, 
84168L, 84173L, 84174L, 84176L, 84177L, 84182L, 84183L, 84185L, 
84186L, 84200L, 84201L, 84203L, 84204L, 84209L, 84210L, 84212L, 
84213L, 84218L, 84219L, 84221L, 84222L, 84227L, 84228L, 84230L, 
84231L, 84236L, 84237L, 84239L, 84240L, 84470L, 84471L, 84473L, 
84474L, 84479L, 84480L, 84482L, 84483L, 84488L, 84489L, 84491L, 
84492L, 84497L, 84498L, 84500L, 84501L, 84506L, 84507L, 84509L, 
84510L, 84524L, 84525L, 84527L, 84528L, 84533L, 84534L, 84536L, 
84537L, 84542L, 84543L, 84545L, 84546L, 84551L, 84552L, 84554L, 
84555L, 84560L, 84561L, 84563L, 84564L, 84632L, 84633L, 84635L, 
84636L, 84641L, 84642L, 84644L, 84645L, 84650L, 84651L, 84653L, 
84654L, 84659L, 84660L, 84662L, 84663L, 84668L, 84669L, 84671L, 
84672L, 84686L, 84687L, 84689L, 84690L, 84695L, 84696L, 84698L, 
84699L, 84704L, 84705L, 84707L, 84708L, 84713L, 84714L, 84716L, 
84717L, 84722L, 84723L, 84725L, 84726L, 84794L, 84795L, 84797L, 
84798L, 84803L, 84804L, 84806L, 84807L, 84812L, 84813L, 84815L, 
84816L, 84821L, 84822L, 84824L, 84825L, 84830L, 84831L, 84833L, 
84834L, 84848L, 84849L, 84851L, 84852L, 84857L, 84858L, 84860L, 
84861L, 84866L, 84867L, 84869L, 84870L, 84875L, 84876L, 84878L, 
84879L, 84884L, 84885L, 84887L, 84888L, 84956L, 84957L, 84959L, 
84960L, 84965L, 84966L, 84968L, 84969L, 84974L, 84975L, 84977L, 
84978L, 84983L, 84984L, 84986L, 84987L, 84992L, 84993L, 84995L, 
84996L, 85010L, 85011L, 85013L, 85014L, 85019L, 85020L, 85022L, 
85023L, 85028L, 85029L, 85031L, 85032L, 85037L, 85038L, 85040L, 
85041L, 85046L, 85047L, 85049L, 85050L, 85280L, 85281L, 85283L, 
85284L, 85289L, 85290L, 85292L, 85293L, 85298L, 85299L, 85301L, 
85302L, 85307L, 85308L, 85310L, 85311L, 85316L, 85317L, 85319L, 
85320L, 85334L, 85335L, 85337L, 85338L, 85343L, 85344L, 85346L, 
85347L, 85352L, 85353L, 85355L, 85356L, 85361L, 85362L, 85364L, 
85365L, 85370L, 85371L, 85373L, 85374L, 85442L, 85443L, 85445L, 
85446L, 85451L, 85452L, 85454L, 85455L, 85460L, 85461L, 85463L, 
85464L, 85469L, 85470L, 85472L, 85473L, 85478L, 85479L, 85481L, 
85482L, 85496L, 85497L, 85499L, 85500L, 85505L, 85506L, 85508L, 
85509L, 85514L, 85515L, 85517L, 85518L, 85523L, 85524L, 85526L, 
85527L, 85532L, 85533L, 85535L, 85536L, 85604L, 85605L, 85607L, 
85608L, 85613L, 85614L, 85616L, 85617L, 85622L, 85623L, 85625L, 
85626L, 85631L, 85632L, 85634L, 85635L, 85640L, 85641L, 85643L, 
85644L, 85658L, 85659L, 85661L, 85662L, 85667L, 85668L, 85670L, 
85671L, 85676L, 85677L, 85679L, 85680L, 85685L, 85686L, 85688L, 
85689L, 85694L, 85695L, 85697L, 85698L, 85766L, 85767L, 85769L, 
85770L, 85775L, 85776L, 85778L, 85779L, 85784L, 85785L, 85787L, 
85788L, 85793L, 85794L, 85796L, 85797L, 85802L, 85803L, 85805L, 
85806L, 85820L, 85821L, 85823L, 85824L, 85829L, 85830L, 85832L, 
85833L, 85838L, 85839L, 85841L, 85842L, 85847L, 85848L, 85850L, 
85851L, 85856L, 85857L, 85859L, 85860L, 86090L, 86091L, 86093L, 
86094L, 86099L, 86100L, 86102L, 86103L, 86108L, 86109L, 86111L, 
86112L, 86117L, 86118L, 86120L, 86121L, 86126L, 86127L, 86129L, 
86130L, 86144L, 86145L, 86147L, 86148L, 86153L, 86154L, 86156L, 
86157L, 86162L, 86163L, 86165L, 86166L, 86171L, 86172L, 86174L, 
86175L, 86180L, 86181L, 86183L, 86184L, 86252L, 86253L, 86255L, 
86256L, 86261L, 86262L, 86264L, 86265L, 86270L, 86271L, 86273L, 
86274L, 86279L, 86280L, 86282L, 86283L, 86288L, 86289L, 86291L, 
86292L, 86306L, 86307L, 86309L, 86310L, 86315L, 86316L, 86318L, 
86319L, 86324L, 86325L, 86327L, 86328L, 86333L, 86334L, 86336L, 
86337L, 86342L, 86343L, 86345L, 86346L, 86414L, 86415L, 86417L, 
86418L, 86423L, 86424L, 86426L, 86427L, 86432L, 86433L, 86435L, 
86436L, 86441L, 86442L, 86444L, 86445L, 86450L, 86451L, 86453L, 
86454L, 86468L, 86469L, 86471L, 86472L, 86477L, 86478L, 86480L, 
86481L, 86486L, 86487L, 86489L, 86490L, 86495L, 86496L, 86498L, 
86499L, 86504L, 86505L, 86507L, 86508L, 86576L, 86577L, 86579L, 
86580L, 86585L, 86586L, 86588L, 86589L, 86594L, 86595L, 86597L, 
86598L, 86603L, 86604L, 86606L, 86607L, 86612L, 86613L, 86615L, 
86616L, 86630L, 86631L, 86633L, 86634L, 86639L, 86640L, 86642L, 
86643L, 86648L, 86649L, 86651L, 86652L, 86657L, 86658L, 86660L, 
86661L, 86666L, 86667L, 86669L, 86670L, 86900L, 86901L, 86903L, 
86904L, 86909L, 86910L, 86912L, 86913L, 86918L, 86919L, 86921L, 
86922L, 86927L, 86928L, 86930L, 86931L, 86936L, 86937L, 86939L, 
86940L, 86954L, 86955L, 86957L, 86958L, 86963L, 86964L, 86966L, 
86967L, 86972L, 86973L, 86975L, 86976L, 86981L, 86982L, 86984L, 
86985L, 86990L, 86991L, 86993L, 86994L, 87062L, 87063L, 87065L, 
87066L, 87071L, 87072L, 87074L, 87075L, 87080L, 87081L, 87083L, 
87084L, 87089L, 87090L, 87092L, 87093L, 87098L, 87099L, 87101L, 
87102L, 87116L, 87117L, 87119L, 87120L, 87125L, 87126L, 87128L, 
87129L, 87134L, 87135L, 87137L, 87138L, 87143L, 87144L, 87146L, 
87147L, 87152L, 87153L, 87155L, 87156L, 87224L, 87225L, 87227L, 
87228L, 87233L, 87234L, 87236L, 87237L, 87242L, 87243L, 87245L, 
87246L, 87251L, 87252L, 87254L, 87255L, 87260L, 87261L, 87263L, 
87264L, 87278L, 87279L, 87281L, 87282L, 87287L, 87288L, 87290L, 
87291L, 87296L, 87297L, 87299L, 87300L, 87305L, 87306L, 87308L, 
87309L, 87314L, 87315L, 87317L, 87318L, 87386L, 87387L, 87389L, 
87390L, 87395L, 87396L, 87398L, 87399L, 87404L, 87405L, 87407L, 
87408L, 87413L, 87414L, 87416L, 87417L, 87422L, 87423L, 87425L, 
87426L, 87440L, 87441L, 87443L, 87444L, 87449L, 87450L, 87452L, 
87453L, 87458L, 87459L, 87461L, 87462L, 87467L, 87468L, 87470L, 
87471L, 87476L, 87477L, 87479L, 87480L, 88520L, 88521L, 88523L, 
88524L, 88529L, 88530L, 88532L, 88533L, 88538L, 88539L, 88541L, 
88542L, 88547L, 88548L, 88550L, 88551L, 88556L, 88557L, 88559L, 
88560L, 88574L, 88575L, 88577L, 88578L, 88583L, 88584L, 88586L, 
88587L, 88592L, 88593L, 88595L, 88596L, 88601L, 88602L, 88604L, 
88605L, 88610L, 88611L, 88613L, 88614L, 88682L, 88683L, 88685L, 
88686L, 88691L, 88692L, 88694L, 88695L, 88700L, 88701L, 88703L, 
88704L, 88709L, 88710L, 88712L, 88713L, 88718L, 88719L, 88721L, 
88722L, 88736L, 88737L, 88739L, 88740L, 88745L, 88746L, 88748L, 
88749L, 88754L, 88755L, 88757L, 88758L, 88763L, 88764L, 88766L, 
88767L, 88772L, 88773L, 88775L, 88776L, 88844L, 88845L, 88847L, 
88848L, 88853L, 88854L, 88856L, 88857L, 88862L, 88863L, 88865L, 
88866L, 88871L, 88872L, 88874L, 88875L, 88880L, 88881L, 88883L, 
88884L, 88898L, 88899L, 88901L, 88902L, 88907L, 88908L, 88910L, 
88911L, 88916L, 88917L, 88919L, 88920L, 88925L, 88926L, 88928L, 
88929L, 88934L, 88935L, 88937L, 88938L, 89006L, 89007L, 89009L, 
89010L, 89015L, 89016L, 89018L, 89019L, 89024L, 89025L, 89027L, 
89028L, 89033L, 89034L, 89036L, 89037L, 89042L, 89043L, 89045L, 
89046L, 89060L, 89061L, 89063L, 89064L, 89069L, 89070L, 89072L, 
89073L, 89078L, 89079L, 89081L, 89082L, 89087L, 89088L, 89090L, 
89091L, 89096L, 89097L, 89099L, 89100L, 89330L, 89331L, 89333L, 
89334L, 89339L, 89340L, 89342L, 89343L, 89348L, 89349L, 89351L, 
89352L, 89357L, 89358L, 89360L, 89361L, 89366L, 89367L, 89369L, 
89370L, 89384L, 89385L, 89387L, 89388L, 89393L, 89394L, 89396L, 
89397L, 89402L, 89403L, 89405L, 89406L, 89411L, 89412L, 89414L, 
89415L, 89420L, 89421L, 89423L, 89424L, 89492L, 89493L, 89495L, 
89496L, 89501L, 89502L, 89504L, 89505L, 89510L, 89511L, 89513L, 
89514L, 89519L, 89520L, 89522L, 89523L, 89528L, 89529L, 89531L, 
89532L, 89546L, 89547L, 89549L, 89550L, 89555L, 89556L, 89558L, 
89559L, 89564L, 89565L, 89567L, 89568L, 89573L, 89574L, 89576L, 
89577L, 89582L, 89583L, 89585L, 89586L, 89654L, 89655L, 89657L, 
89658L, 89663L, 89664L, 89666L, 89667L, 89672L, 89673L, 89675L, 
89676L, 89681L, 89682L, 89684L, 89685L, 89690L, 89691L, 89693L, 
89694L, 89708L, 89709L, 89711L, 89712L, 89717L, 89718L, 89720L, 
89721L, 89726L, 89727L, 89729L, 89730L, 89735L, 89736L, 89738L, 
89739L, 89744L, 89745L, 89747L, 89748L, 89816L, 89817L, 89819L, 
89820L, 89825L, 89826L, 89828L, 89829L, 89834L, 89835L, 89837L, 
89838L, 89843L, 89844L, 89846L, 89847L, 89852L, 89853L, 89855L, 
89856L, 89870L, 89871L, 89873L, 89874L, 89879L, 89880L, 89882L, 
89883L, 89888L, 89889L, 89891L, 89892L, 89897L, 89898L, 89900L, 
89901L, 89906L, 89907L, 89909L, 89910L, 90140L, 90141L, 90143L, 
90144L, 90149L, 90150L, 90152L, 90153L, 90158L, 90159L, 90161L, 
90162L, 90167L, 90168L, 90170L, 90171L, 90176L, 90177L, 90179L, 
90180L, 90194L, 90195L, 90197L, 90198L, 90203L, 90204L, 90206L, 
90207L, 90212L, 90213L, 90215L, 90216L, 90221L, 90222L, 90224L, 
90225L, 90230L, 90231L, 90233L, 90234L, 90302L, 90303L, 90305L, 
90306L, 90311L, 90312L, 90314L, 90315L, 90320L, 90321L, 90323L, 
90324L, 90329L, 90330L, 90332L, 90333L, 90338L, 90339L, 90341L, 
90342L, 90356L, 90357L, 90359L, 90360L, 90365L, 90366L, 90368L, 
90369L, 90374L, 90375L, 90377L, 90378L, 90383L, 90384L, 90386L, 
90387L, 90392L, 90393L, 90395L, 90396L, 90464L, 90465L, 90467L, 
90468L, 90473L, 90474L, 90476L, 90477L, 90482L, 90483L, 90485L, 
90486L, 90491L, 90492L, 90494L, 90495L, 90500L, 90501L, 90503L, 
90504L, 90518L, 90519L, 90521L, 90522L, 90527L, 90528L, 90530L, 
90531L, 90536L, 90537L, 90539L, 90540L, 90545L, 90546L, 90548L, 
90549L, 90554L, 90555L, 90557L, 90558L, 90626L, 90627L, 90629L, 
90630L, 90635L, 90636L, 90638L, 90639L, 90644L, 90645L, 90647L, 
90648L, 90653L, 90654L, 90656L, 90657L, 90662L, 90663L, 90665L, 
90666L, 90680L, 90681L, 90683L, 90684L, 90689L, 90690L, 90692L, 
90693L, 90698L, 90699L, 90701L, 90702L, 90707L, 90708L, 90710L, 
90711L, 90716L, 90717L, 90719L, 90720L, 90950L, 90951L, 90953L, 
90954L, 90959L, 90960L, 90962L, 90963L, 90968L, 90969L, 90971L, 
90972L, 90977L, 90978L, 90980L, 90981L, 90986L, 90987L, 90989L, 
90990L, 91004L, 91005L, 91007L, 91008L, 91013L, 91014L, 91016L, 
91017L, 91022L, 91023L, 91025L, 91026L, 91031L, 91032L, 91034L, 
91035L, 91040L, 91041L, 91043L, 91044L, 91112L, 91113L, 91115L, 
91116L, 91121L, 91122L, 91124L, 91125L, 91130L, 91131L, 91133L, 
91134L, 91139L, 91140L, 91142L, 91143L, 91148L, 91149L, 91151L, 
91152L, 91166L, 91167L, 91169L, 91170L, 91175L, 91176L, 91178L, 
91179L, 91184L, 91185L, 91187L, 91188L, 91193L, 91194L, 91196L, 
91197L, 91202L, 91203L, 91205L, 91206L, 91274L, 91275L, 91277L, 
91278L, 91283L, 91284L, 91286L, 91287L, 91292L, 91293L, 91295L, 
91296L, 91301L, 91302L, 91304L, 91305L, 91310L, 91311L, 91313L, 
91314L, 91328L, 91329L, 91331L, 91332L, 91337L, 91338L, 91340L, 
91341L, 91346L, 91347L, 91349L, 91350L, 91355L, 91356L, 91358L, 
91359L, 91364L, 91365L, 91367L, 91368L, 91436L, 91437L, 91439L, 
91440L, 91445L, 91446L, 91448L, 91449L, 91454L, 91455L, 91457L, 
91458L, 91463L, 91464L, 91466L, 91467L, 91472L, 91473L, 91475L, 
91476L, 91490L, 91491L, 91493L, 91494L, 91499L, 91500L, 91502L, 
91503L, 91508L, 91509L, 91511L, 91512L, 91517L, 91518L, 91520L, 
91521L, 91526L, 91527L, 91529L, 91530L, 91760L, 91761L, 91763L, 
91764L, 91769L, 91770L, 91772L, 91773L, 91778L, 91779L, 91781L, 
91782L, 91787L, 91788L, 91790L, 91791L, 91796L, 91797L, 91799L, 
91800L, 91814L, 91815L, 91817L, 91818L, 91823L, 91824L, 91826L, 
91827L, 91832L, 91833L, 91835L, 91836L, 91841L, 91842L, 91844L, 
91845L, 91850L, 91851L, 91853L, 91854L, 91922L, 91923L, 91925L, 
91926L, 91931L, 91932L, 91934L, 91935L, 91940L, 91941L, 91943L, 
91944L, 91949L, 91950L, 91952L, 91953L, 91958L, 91959L, 91961L, 
91962L, 91976L, 91977L, 91979L, 91980L, 91985L, 91986L, 91988L, 
91989L, 91994L, 91995L, 91997L, 91998L, 92003L, 92004L, 92006L, 
92007L, 92012L, 92013L, 92015L, 92016L, 92084L, 92085L, 92087L, 
92088L, 92093L, 92094L, 92096L, 92097L, 92102L, 92103L, 92105L, 
92106L, 92111L, 92112L, 92114L, 92115L, 92120L, 92121L, 92123L, 
92124L, 92138L, 92139L, 92141L, 92142L, 92147L, 92148L, 92150L, 
92151L, 92156L, 92157L, 92159L, 92160L, 92165L, 92166L, 92168L, 
92169L, 92174L, 92175L, 92177L, 92178L, 92246L, 92247L, 92249L, 
92250L, 92255L, 92256L, 92258L, 92259L, 92264L, 92265L, 92267L, 
92268L, 92273L, 92274L, 92276L, 92277L, 92282L, 92283L, 92285L, 
92286L, 92300L, 92301L, 92303L, 92304L, 92309L, 92310L, 92312L, 
92313L, 92318L, 92319L, 92321L, 92322L, 92327L, 92328L, 92330L, 
92331L, 92336L, 92337L, 92339L, 92340L, 103100L, 103101L, 103103L, 
103104L, 103109L, 103110L, 103112L, 103113L, 103118L, 103119L, 
103121L, 103122L, 103127L, 103128L, 103130L, 103131L, 103136L, 
103137L, 103139L, 103140L, 103154L, 103155L, 103157L, 103158L, 
103163L, 103164L, 103166L, 103167L, 103172L, 103173L, 103175L, 
103176L, 103181L, 103182L, 103184L, 103185L, 103190L, 103191L, 
103193L, 103194L, 103262L, 103263L, 103265L, 103266L, 103271L, 
103272L, 103274L, 103275L, 103280L, 103281L, 103283L, 103284L, 
103289L, 103290L, 103292L, 103293L, 103298L, 103299L, 103301L, 
103302L, 103316L, 103317L, 103319L, 103320L, 103325L, 103326L, 
103328L, 103329L, 103334L, 103335L, 103337L, 103338L, 103343L, 
103344L, 103346L, 103347L, 103352L, 103353L, 103355L, 103356L, 
103424L, 103425L, 103427L, 103428L, 103433L, 103434L, 103436L, 
103437L, 103442L, 103443L, 103445L, 103446L, 103451L, 103452L, 
103454L, 103455L, 103460L, 103461L, 103463L, 103464L, 103478L, 
103479L, 103481L, 103482L, 103487L, 103488L, 103490L, 103491L, 
103496L, 103497L, 103499L, 103500L, 103505L, 103506L, 103508L, 
103509L, 103514L, 103515L, 103517L, 103518L, 103586L, 103587L, 
103589L, 103590L, 103595L, 103596L, 103598L, 103599L, 103604L, 
103605L, 103607L, 103608L, 103613L, 103614L, 103616L, 103617L, 
103622L, 103623L, 103625L, 103626L, 103640L, 103641L, 103643L, 
103644L, 103649L, 103650L, 103652L, 103653L, 103658L, 103659L, 
103661L, 103662L, 103667L, 103668L, 103670L, 103671L, 103676L, 
103677L, 103679L, 103680L, 103910L, 103911L, 103913L, 103914L, 
103919L, 103920L, 103922L, 103923L, 103928L, 103929L, 103931L, 
103932L, 103937L, 103938L, 103940L, 103941L, 103946L, 103947L, 
103949L, 103950L, 103964L, 103965L, 103967L, 103968L, 103973L, 
103974L, 103976L, 103977L, 103982L, 103983L, 103985L, 103986L, 
103991L, 103992L, 103994L, 103995L, 104000L, 104001L, 104003L, 
104004L, 104072L, 104073L, 104075L, 104076L, 104081L, 104082L, 
104084L, 104085L, 104090L, 104091L, 104093L, 104094L, 104099L, 
104100L, 104102L, 104103L, 104108L, 104109L, 104111L, 104112L, 
104126L, 104127L, 104129L, 104130L, 104135L, 104136L, 104138L, 
104139L, 104144L, 104145L, 104147L, 104148L, 104153L, 104154L, 
104156L, 104157L, 104162L, 104163L, 104165L, 104166L, 104234L, 
104235L, 104237L, 104238L, 104243L, 104244L, 104246L, 104247L, 
104252L, 104253L, 104255L, 104256L, 104261L, 104262L, 104264L, 
104265L, 104270L, 104271L, 104273L, 104274L, 104288L, 104289L, 
104291L, 104292L, 104297L, 104298L, 104300L, 104301L, 104306L, 
104307L, 104309L, 104310L, 104315L, 104316L, 104318L, 104319L, 
104324L, 104325L, 104327L, 104328L, 104396L, 104397L, 104399L, 
104400L, 104405L, 104406L, 104408L, 104409L, 104414L, 104415L, 
104417L, 104418L, 104423L, 104424L, 104426L, 104427L, 104432L, 
104433L, 104435L, 104436L, 104450L, 104451L, 104453L, 104454L, 
104459L, 104460L, 104462L, 104463L, 104468L, 104469L, 104471L, 
104472L, 104477L, 104478L, 104480L, 104481L, 104486L, 104487L, 
104489L, 104490L, 104720L, 104721L, 104723L, 104724L, 104729L, 
104730L, 104732L, 104733L, 104738L, 104739L, 104741L, 104742L, 
104747L, 104748L, 104750L, 104751L, 104756L, 104757L, 104759L, 
104760L, 104774L, 104775L, 104777L, 104778L, 104783L, 104784L, 
104786L, 104787L, 104792L, 104793L, 104795L, 104796L, 104801L, 
104802L, 104804L, 104805L, 104810L, 104811L, 104813L, 104814L, 
104882L, 104883L, 104885L, 104886L, 104891L, 104892L, 104894L, 
104895L, 104900L, 104901L, 104903L, 104904L, 104909L, 104910L, 
104912L, 104913L, 104918L, 104919L, 104921L, 104922L, 104936L, 
104937L, 104939L, 104940L, 104945L, 104946L, 104948L, 104949L, 
104954L, 104955L, 104957L, 104958L, 104963L, 104964L, 104966L, 
104967L, 104972L, 104973L, 104975L, 104976L, 105044L, 105045L, 
105047L, 105048L, 105053L, 105054L, 105056L, 105057L, 105062L, 
105063L, 105065L, 105066L, 105071L, 105072L, 105074L, 105075L, 
105080L, 105081L, 105083L, 105084L, 105098L, 105099L, 105101L, 
105102L, 105107L, 105108L, 105110L, 105111L, 105116L, 105117L, 
105119L, 105120L, 105125L, 105126L, 105128L, 105129L, 105134L, 
105135L, 105137L, 105138L, 105206L, 105207L, 105209L, 105210L, 
105215L, 105216L, 105218L, 105219L, 105224L, 105225L, 105227L, 
105228L, 105233L, 105234L, 105236L, 105237L, 105242L, 105243L, 
105245L, 105246L, 105260L, 105261L, 105263L, 105264L, 105269L, 
105270L, 105272L, 105273L, 105278L, 105279L, 105281L, 105282L, 
105287L, 105288L, 105290L, 105291L, 105296L, 105297L, 105299L, 
105300L, 105530L, 105531L, 105533L, 105534L, 105539L, 105540L, 
105542L, 105543L, 105548L, 105549L, 105551L, 105552L, 105557L, 
105558L, 105560L, 105561L, 105566L, 105567L, 105569L, 105570L, 
105584L, 105585L, 105587L, 105588L, 105593L, 105594L, 105596L, 
105597L, 105602L, 105603L, 105605L, 105606L, 105611L, 105612L, 
105614L, 105615L, 105620L, 105621L, 105623L, 105624L, 105692L, 
105693L, 105695L, 105696L, 105701L, 105702L, 105704L, 105705L, 
105710L, 105711L, 105713L, 105714L, 105719L, 105720L, 105722L, 
105723L, 105728L, 105729L, 105731L, 105732L, 105746L, 105747L, 
105749L, 105750L, 105755L, 105756L, 105758L, 105759L, 105764L, 
105765L, 105767L, 105768L, 105773L, 105774L, 105776L, 105777L, 
105782L, 105783L, 105785L, 105786L, 105854L, 105855L, 105857L, 
105858L, 105863L, 105864L, 105866L, 105867L, 105872L, 105873L, 
105875L, 105876L, 105881L, 105882L, 105884L, 105885L, 105890L, 
105891L, 105893L, 105894L, 105908L, 105909L, 105911L, 105912L, 
105917L, 105918L, 105920L, 105921L, 105926L, 105927L, 105929L, 
105930L, 105935L, 105936L, 105938L, 105939L, 105944L, 105945L, 
105947L, 105948L, 106016L, 106017L, 106019L, 106020L, 106025L, 
106026L, 106028L, 106029L, 106034L, 106035L, 106037L, 106038L, 
106043L, 106044L, 106046L, 106047L, 106052L, 106053L, 106055L, 
106056L, 106070L, 106071L, 106073L, 106074L, 106079L, 106080L, 
106082L, 106083L, 106088L, 106089L, 106091L, 106092L, 106097L, 
106098L, 106100L, 106101L, 106106L, 106107L, 106109L, 106110L, 
106340L, 106341L, 106343L, 106344L, 106349L, 106350L, 106352L, 
106353L, 106358L, 106359L, 106361L, 106362L, 106367L, 106368L, 
106370L, 106371L, 106376L, 106377L, 106379L, 106380L, 106394L, 
106395L, 106397L, 106398L, 106403L, 106404L, 106406L, 106407L, 
106412L, 106413L, 106415L, 106416L, 106421L, 106422L, 106424L, 
106425L, 106430L, 106431L, 106433L, 106434L, 106502L, 106503L, 
106505L, 106506L, 106511L, 106512L, 106514L, 106515L, 106520L, 
106521L, 106523L, 106524L, 106529L, 106530L, 106532L, 106533L, 
106538L, 106539L, 106541L, 106542L, 106556L, 106557L, 106559L, 
106560L, 106565L, 106566L, 106568L, 106569L, 106574L, 106575L, 
106577L, 106578L, 106583L, 106584L, 106586L, 106587L, 106592L, 
106593L, 106595L, 106596L, 106664L, 106665L, 106667L, 106668L, 
106673L, 106674L, 106676L, 106677L, 106682L, 106683L, 106685L, 
106686L, 106691L, 106692L, 106694L, 106695L, 106700L, 106701L, 
106703L, 106704L, 106718L, 106719L, 106721L, 106722L, 106727L, 
106728L, 106730L, 106731L, 106736L, 106737L, 106739L, 106740L, 
106745L, 106746L, 106748L, 106749L, 106754L, 106755L, 106757L, 
106758L, 106826L, 106827L, 106829L, 106830L, 106835L, 106836L, 
106838L, 106839L, 106844L, 106845L, 106847L, 106848L, 106853L, 
106854L, 106856L, 106857L, 106862L, 106863L, 106865L, 106866L, 
106880L, 106881L, 106883L, 106884L, 106889L, 106890L, 106892L, 
106893L, 106898L, 106899L, 106901L, 106902L, 106907L, 106908L, 
106910L, 106911L, 106916L, 106917L, 106919L, 106920L, 107960L, 
107961L, 107963L, 107964L, 107969L, 107970L, 107972L, 107973L, 
107978L, 107979L, 107981L, 107982L, 107987L, 107988L, 107990L, 
107991L, 107996L, 107997L, 107999L, 108000L, 108014L, 108015L, 
108017L, 108018L, 108023L, 108024L, 108026L, 108027L, 108032L, 
108033L, 108035L, 108036L, 108041L, 108042L, 108044L, 108045L, 
108050L, 108051L, 108053L, 108054L, 108122L, 108123L, 108125L, 
108126L, 108131L, 108132L, 108134L, 108135L, 108140L, 108141L, 
108143L, 108144L, 108149L, 108150L, 108152L, 108153L, 108158L, 
108159L, 108161L, 108162L, 108176L, 108177L, 108179L, 108180L, 
108185L, 108186L, 108188L, 108189L, 108194L, 108195L, 108197L, 
108198L, 108203L, 108204L, 108206L, 108207L, 108212L, 108213L, 
108215L, 108216L, 108284L, 108285L, 108287L, 108288L, 108293L, 
108294L, 108296L, 108297L, 108302L, 108303L, 108305L, 108306L, 
108311L, 108312L, 108314L, 108315L, 108320L, 108321L, 108323L, 
108324L, 108338L, 108339L, 108341L, 108342L, 108347L, 108348L, 
108350L, 108351L, 108356L, 108357L, 108359L, 108360L, 108365L, 
108366L, 108368L, 108369L, 108374L, 108375L, 108377L, 108378L, 
108446L, 108447L, 108449L, 108450L, 108455L, 108456L, 108458L, 
108459L, 108464L, 108465L, 108467L, 108468L, 108473L, 108474L, 
108476L, 108477L, 108482L, 108483L, 108485L, 108486L, 108500L, 
108501L, 108503L, 108504L, 108509L, 108510L, 108512L, 108513L, 
108518L, 108519L, 108521L, 108522L, 108527L, 108528L, 108530L, 
108531L, 108536L, 108537L, 108539L, 108540L, 108770L, 108771L, 
108773L, 108774L, 108779L, 108780L, 108782L, 108783L, 108788L, 
108789L, 108791L, 108792L, 108797L, 108798L, 108800L, 108801L, 
108806L, 108807L, 108809L, 108810L, 108824L, 108825L, 108827L, 
108828L, 108833L, 108834L, 108836L, 108837L, 108842L, 108843L, 
108845L, 108846L, 108851L, 108852L, 108854L, 108855L, 108860L, 
108861L, 108863L, 108864L, 108932L, 108933L, 108935L, 108936L, 
108941L, 108942L, 108944L, 108945L, 108950L, 108951L, 108953L, 
108954L, 108959L, 108960L, 108962L, 108963L, 108968L, 108969L, 
108971L, 108972L, 108986L, 108987L, 108989L, 108990L, 108995L, 
108996L, 108998L, 108999L, 109004L, 109005L, 109007L, 109008L, 
109013L, 109014L, 109016L, 109017L, 109022L, 109023L, 109025L, 
109026L, 109094L, 109095L, 109097L, 109098L, 109103L, 109104L, 
109106L, 109107L, 109112L, 109113L, 109115L, 109116L, 109121L, 
109122L, 109124L, 109125L, 109130L, 109131L, 109133L, 109134L, 
109148L, 109149L, 109151L, 109152L, 109157L, 109158L, 109160L, 
109161L, 109166L, 109167L, 109169L, 109170L, 109175L, 109176L, 
109178L, 109179L, 109184L, 109185L, 109187L, 109188L, 109256L, 
109257L, 109259L, 109260L, 109265L, 109266L, 109268L, 109269L, 
109274L, 109275L, 109277L, 109278L, 109283L, 109284L, 109286L, 
109287L, 109292L, 109293L, 109295L, 109296L, 109310L, 109311L, 
109313L, 109314L, 109319L, 109320L, 109322L, 109323L, 109328L, 
109329L, 109331L, 109332L, 109337L, 109338L, 109340L, 109341L, 
109346L, 109347L, 109349L, 109350L, 109580L, 109581L, 109583L, 
109584L, 109589L, 109590L, 109592L, 109593L, 109598L, 109599L, 
109601L, 109602L, 109607L, 109608L, 109610L, 109611L, 109616L, 
109617L, 109619L, 109620L, 109634L, 109635L, 109637L, 109638L, 
109643L, 109644L, 109646L, 109647L, 109652L, 109653L, 109655L, 
109656L, 109661L, 109662L, 109664L, 109665L, 109670L, 109671L, 
109673L, 109674L, 109742L, 109743L, 109745L, 109746L, 109751L, 
109752L, 109754L, 109755L, 109760L, 109761L, 109763L, 109764L, 
109769L, 109770L, 109772L, 109773L, 109778L, 109779L, 109781L, 
109782L, 109796L, 109797L, 109799L, 109800L, 109805L, 109806L, 
109808L, 109809L, 109814L, 109815L, 109817L, 109818L, 109823L, 
109824L, 109826L, 109827L, 109832L, 109833L, 109835L, 109836L, 
109904L, 109905L, 109907L, 109908L, 109913L, 109914L, 109916L, 
109917L, 109922L, 109923L, 109925L, 109926L, 109931L, 109932L, 
109934L, 109935L, 109940L, 109941L, 109943L, 109944L, 109958L, 
109959L, 109961L, 109962L, 109967L, 109968L, 109970L, 109971L, 
109976L, 109977L, 109979L, 109980L, 109985L, 109986L, 109988L, 
109989L, 109994L, 109995L, 109997L, 109998L, 110066L, 110067L, 
110069L, 110070L, 110075L, 110076L, 110078L, 110079L, 110084L, 
110085L, 110087L, 110088L, 110093L, 110094L, 110096L, 110097L, 
110102L, 110103L, 110105L, 110106L, 110120L, 110121L, 110123L, 
110124L, 110129L, 110130L, 110132L, 110133L, 110138L, 110139L, 
110141L, 110142L, 110147L, 110148L, 110150L, 110151L, 110156L, 
110157L, 110159L, 110160L, 110390L, 110391L, 110393L, 110394L, 
110399L, 110400L, 110402L, 110403L, 110408L, 110409L, 110411L, 
110412L, 110417L, 110418L, 110420L, 110421L, 110426L, 110427L, 
110429L, 110430L, 110444L, 110445L, 110447L, 110448L, 110453L, 
110454L, 110456L, 110457L, 110462L, 110463L, 110465L, 110466L, 
110471L, 110472L, 110474L, 110475L, 110480L, 110481L, 110483L, 
110484L, 110552L, 110553L, 110555L, 110556L, 110561L, 110562L, 
110564L, 110565L, 110570L, 110571L, 110573L, 110574L, 110579L, 
110580L, 110582L, 110583L, 110588L, 110589L, 110591L, 110592L, 
110606L, 110607L, 110609L, 110610L, 110615L, 110616L, 110618L, 
110619L, 110624L, 110625L, 110627L, 110628L, 110633L, 110634L, 
110636L, 110637L, 110642L, 110643L, 110645L, 110646L, 110714L, 
110715L, 110717L, 110718L, 110723L, 110724L, 110726L, 110727L, 
110732L, 110733L, 110735L, 110736L, 110741L, 110742L, 110744L, 
110745L, 110750L, 110751L, 110753L, 110754L, 110768L, 110769L, 
110771L, 110772L, 110777L, 110778L, 110780L, 110781L, 110786L, 
110787L, 110789L, 110790L, 110795L, 110796L, 110798L, 110799L, 
110804L, 110805L, 110807L, 110808L, 110876L, 110877L, 110879L, 
110880L, 110885L, 110886L, 110888L, 110889L, 110894L, 110895L, 
110897L, 110898L, 110903L, 110904L, 110906L, 110907L, 110912L, 
110913L, 110915L, 110916L, 110930L, 110931L, 110933L, 110934L, 
110939L, 110940L, 110942L, 110943L, 110948L, 110949L, 110951L, 
110952L, 110957L, 110958L, 110960L, 110961L, 110966L, 110967L, 
110969L, 110970L, 111200L, 111201L, 111203L, 111204L, 111209L, 
111210L, 111212L, 111213L, 111218L, 111219L, 111221L, 111222L, 
111227L, 111228L, 111230L, 111231L, 111236L, 111237L, 111239L, 
111240L, 111254L, 111255L, 111257L, 111258L, 111263L, 111264L, 
111266L, 111267L, 111272L, 111273L, 111275L, 111276L, 111281L, 
111282L, 111284L, 111285L, 111290L, 111291L, 111293L, 111294L, 
111362L, 111363L, 111365L, 111366L, 111371L, 111372L, 111374L, 
111375L, 111380L, 111381L, 111383L, 111384L, 111389L, 111390L, 
111392L, 111393L, 111398L, 111399L, 111401L, 111402L, 111416L, 
111417L, 111419L, 111420L, 111425L, 111426L, 111428L, 111429L, 
111434L, 111435L, 111437L, 111438L, 111443L, 111444L, 111446L, 
111447L, 111452L, 111453L, 111455L, 111456L, 111524L, 111525L, 
111527L, 111528L, 111533L, 111534L, 111536L, 111537L, 111542L, 
111543L, 111545L, 111546L, 111551L, 111552L, 111554L, 111555L, 
111560L, 111561L, 111563L, 111564L, 111578L, 111579L, 111581L, 
111582L, 111587L, 111588L, 111590L, 111591L, 111596L, 111597L, 
111599L, 111600L, 111605L, 111606L, 111608L, 111609L, 111614L, 
111615L, 111617L, 111618L, 111686L, 111687L, 111689L, 111690L, 
111695L, 111696L, 111698L, 111699L, 111704L, 111705L, 111707L, 
111708L, 111713L, 111714L, 111716L, 111717L, 111722L, 111723L, 
111725L, 111726L, 111740L, 111741L, 111743L, 111744L, 111749L, 
111750L, 111752L, 111753L, 111758L, 111759L, 111761L, 111762L, 
111767L, 111768L, 111770L, 111771L, 111776L, 111777L, 111779L, 
111780L, 112820L, 112821L, 112823L, 112824L, 112829L, 112830L, 
112832L, 112833L, 112838L, 112839L, 112841L, 112842L, 112847L, 
112848L, 112850L, 112851L, 112856L, 112857L, 112859L, 112860L, 
112874L, 112875L, 112877L, 112878L, 112883L, 112884L, 112886L, 
112887L, 112892L, 112893L, 112895L, 112896L, 112901L, 112902L, 
112904L, 112905L, 112910L, 112911L, 112913L, 112914L, 112982L, 
112983L, 112985L, 112986L, 112991L, 112992L, 112994L, 112995L, 
113000L, 113001L, 113003L, 113004L, 113009L, 113010L, 113012L, 
113013L, 113018L, 113019L, 113021L, 113022L, 113036L, 113037L, 
113039L, 113040L, 113045L, 113046L, 113048L, 113049L, 113054L, 
113055L, 113057L, 113058L, 113063L, 113064L, 113066L, 113067L, 
113072L, 113073L, 113075L, 113076L, 113144L, 113145L, 113147L, 
113148L, 113153L, 113154L, 113156L, 113157L, 113162L, 113163L, 
113165L, 113166L, 113171L, 113172L, 113174L, 113175L, 113180L, 
113181L, 113183L, 113184L, 113198L, 113199L, 113201L, 113202L, 
113207L, 113208L, 113210L, 113211L, 113216L, 113217L, 113219L, 
113220L, 113225L, 113226L, 113228L, 113229L, 113234L, 113235L, 
113237L, 113238L, 113306L, 113307L, 113309L, 113310L, 113315L, 
113316L, 113318L, 113319L, 113324L, 113325L, 113327L, 113328L, 
113333L, 113334L, 113336L, 113337L, 113342L, 113343L, 113345L, 
113346L, 113360L, 113361L, 113363L, 113364L, 113369L, 113370L, 
113372L, 113373L, 113378L, 113379L, 113381L, 113382L, 113387L, 
113388L, 113390L, 113391L, 113396L, 113397L, 113399L, 113400L, 
113630L, 113631L, 113633L, 113634L, 113639L, 113640L, 113642L, 
113643L, 113648L, 113649L, 113651L, 113652L, 113657L, 113658L, 
113660L, 113661L, 113666L, 113667L, 113669L, 113670L, 113684L, 
113685L, 113687L, 113688L, 113693L, 113694L, 113696L, 113697L, 
113702L, 113703L, 113705L, 113706L, 113711L, 113712L, 113714L, 
113715L, 113720L, 113721L, 113723L, 113724L, 113792L, 113793L, 
113795L, 113796L, 113801L, 113802L, 113804L, 113805L, 113810L, 
113811L, 113813L, 113814L, 113819L, 113820L, 113822L, 113823L, 
113828L, 113829L, 113831L, 113832L, 113846L, 113847L, 113849L, 
113850L, 113855L, 113856L, 113858L, 113859L, 113864L, 113865L, 
113867L, 113868L, 113873L, 113874L, 113876L, 113877L, 113882L, 
113883L, 113885L, 113886L, 113954L, 113955L, 113957L, 113958L, 
113963L, 113964L, 113966L, 113967L, 113972L, 113973L, 113975L, 
113976L, 113981L, 113982L, 113984L, 113985L, 113990L, 113991L, 
113993L, 113994L, 114008L, 114009L, 114011L, 114012L, 114017L, 
114018L, 114020L, 114021L, 114026L, 114027L, 114029L, 114030L, 
114035L, 114036L, 114038L, 114039L, 114044L, 114045L, 114047L, 
114048L, 114116L, 114117L, 114119L, 114120L, 114125L, 114126L, 
114128L, 114129L, 114134L, 114135L, 114137L, 114138L, 114143L, 
114144L, 114146L, 114147L, 114152L, 114153L, 114155L, 114156L, 
114170L, 114171L, 114173L, 114174L, 114179L, 114180L, 114182L, 
114183L, 114188L, 114189L, 114191L, 114192L, 114197L, 114198L, 
114200L, 114201L, 114206L, 114207L, 114209L, 114210L, 114440L, 
114441L, 114443L, 114444L, 114449L, 114450L, 114452L, 114453L, 
114458L, 114459L, 114461L, 114462L, 114467L, 114468L, 114470L, 
114471L, 114476L, 114477L, 114479L, 114480L, 114494L, 114495L, 
114497L, 114498L, 114503L, 114504L, 114506L, 114507L, 114512L, 
114513L, 114515L, 114516L, 114521L, 114522L, 114524L, 114525L, 
114530L, 114531L, 114533L, 114534L, 114602L, 114603L, 114605L, 
114606L, 114611L, 114612L, 114614L, 114615L, 114620L, 114621L, 
114623L, 114624L, 114629L, 114630L, 114632L, 114633L, 114638L, 
114639L, 114641L, 114642L, 114656L, 114657L, 114659L, 114660L, 
114665L, 114666L, 114668L, 114669L, 114674L, 114675L, 114677L, 
114678L, 114683L, 114684L, 114686L, 114687L, 114692L, 114693L, 
114695L, 114696L, 114764L, 114765L, 114767L, 114768L, 114773L, 
114774L, 114776L, 114777L, 114782L, 114783L, 114785L, 114786L, 
114791L, 114792L, 114794L, 114795L, 114800L, 114801L, 114803L, 
114804L, 114818L, 114819L, 114821L, 114822L, 114827L, 114828L, 
114830L, 114831L, 114836L, 114837L, 114839L, 114840L, 114845L, 
114846L, 114848L, 114849L, 114854L, 114855L, 114857L, 114858L, 
114926L, 114927L, 114929L, 114930L, 114935L, 114936L, 114938L, 
114939L, 114944L, 114945L, 114947L, 114948L, 114953L, 114954L, 
114956L, 114957L, 114962L, 114963L, 114965L, 114966L, 114980L, 
114981L, 114983L, 114984L, 114989L, 114990L, 114992L, 114993L, 
114998L, 114999L, 115001L, 115002L, 115007L, 115008L, 115010L, 
115011L, 115016L, 115017L, 115019L, 115020L, 115250L, 115251L, 
115253L, 115254L, 115259L, 115260L, 115262L, 115263L, 115268L, 
115269L, 115271L, 115272L, 115277L, 115278L, 115280L, 115281L, 
115286L, 115287L, 115289L, 115290L, 115304L, 115305L, 115307L, 
115308L, 115313L, 115314L, 115316L, 115317L, 115322L, 115323L, 
115325L, 115326L, 115331L, 115332L, 115334L, 115335L, 115340L, 
115341L, 115343L, 115344L, 115412L, 115413L, 115415L, 115416L, 
115421L, 115422L, 115424L, 115425L, 115430L, 115431L, 115433L, 
115434L, 115439L, 115440L, 115442L, 115443L, 115448L, 115449L, 
115451L, 115452L, 115466L, 115467L, 115469L, 115470L, 115475L, 
115476L, 115478L, 115479L, 115484L, 115485L, 115487L, 115488L, 
115493L, 115494L, 115496L, 115497L, 115502L, 115503L, 115505L, 
115506L, 115574L, 115575L, 115577L, 115578L, 115583L, 115584L, 
115586L, 115587L, 115592L, 115593L, 115595L, 115596L, 115601L, 
115602L, 115604L, 115605L, 115610L, 115611L, 115613L, 115614L, 
115628L, 115629L, 115631L, 115632L, 115637L, 115638L, 115640L, 
115641L, 115646L, 115647L, 115649L, 115650L, 115655L, 115656L, 
115658L, 115659L, 115664L, 115665L, 115667L, 115668L, 115736L, 
115737L, 115739L, 115740L, 115745L, 115746L, 115748L, 115749L, 
115754L, 115755L, 115757L, 115758L, 115763L, 115764L, 115766L, 
115767L, 115772L, 115773L, 115775L, 115776L, 115790L, 115791L, 
115793L, 115794L, 115799L, 115800L, 115802L, 115803L, 115808L, 
115809L, 115811L, 115812L, 115817L, 115818L, 115820L, 115821L, 
115826L, 115827L, 115829L, 115830L, 116060L, 116061L, 116063L, 
116064L, 116069L, 116070L, 116072L, 116073L, 116078L, 116079L, 
116081L, 116082L, 116087L, 116088L, 116090L, 116091L, 116096L, 
116097L, 116099L, 116100L, 116114L, 116115L, 116117L, 116118L, 
116123L, 116124L, 116126L, 116127L, 116132L, 116133L, 116135L, 
116136L, 116141L, 116142L, 116144L, 116145L, 116150L, 116151L, 
116153L, 116154L, 116222L, 116223L, 116225L, 116226L, 116231L, 
116232L, 116234L, 116235L, 116240L, 116241L, 116243L, 116244L, 
116249L, 116250L, 116252L, 116253L, 116258L, 116259L, 116261L, 
116262L, 116276L, 116277L, 116279L, 116280L, 116285L, 116286L, 
116288L, 116289L, 116294L, 116295L, 116297L, 116298L, 116303L, 
116304L, 116306L, 116307L, 116312L, 116313L, 116315L, 116316L, 
116384L, 116385L, 116387L, 116388L, 116393L, 116394L, 116396L, 
116397L, 116402L, 116403L, 116405L, 116406L, 116411L, 116412L, 
116414L, 116415L, 116420L, 116421L, 116423L, 116424L, 116438L, 
116439L, 116441L, 116442L, 116447L, 116448L, 116450L, 116451L, 
116456L, 116457L, 116459L, 116460L, 116465L, 116466L, 116468L, 
116469L, 116474L, 116475L, 116477L, 116478L, 116546L, 116547L, 
116549L, 116550L, 116555L, 116556L, 116558L, 116559L, 116564L, 
116565L, 116567L, 116568L, 116573L, 116574L, 116576L, 116577L, 
116582L, 116583L, 116585L, 116586L, 116600L, 116601L, 116603L, 
116604L, 116609L, 116610L, 116612L, 116613L, 116618L, 116619L, 
116621L, 116622L, 116627L, 116628L, 116630L, 116631L, 116636L, 
116637L, 116639L, 116640L, 127400L, 127401L, 127403L, 127404L, 
127409L, 127410L, 127412L, 127413L, 127418L, 127419L, 127421L, 
127422L, 127427L, 127428L, 127430L, 127431L, 127436L, 127437L, 
127439L, 127440L, 127454L, 127455L, 127457L, 127458L, 127463L, 
127464L, 127466L, 127467L, 127472L, 127473L, 127475L, 127476L, 
127481L, 127482L, 127484L, 127485L, 127490L, 127491L, 127493L, 
127494L, 127562L, 127563L, 127565L, 127566L, 127571L, 127572L, 
127574L, 127575L, 127580L, 127581L, 127583L, 127584L, 127589L, 
127590L, 127592L, 127593L, 127598L, 127599L, 127601L, 127602L, 
127616L, 127617L, 127619L, 127620L, 127625L, 127626L, 127628L, 
127629L, 127634L, 127635L, 127637L, 127638L, 127643L, 127644L, 
127646L, 127647L, 127652L, 127653L, 127655L, 127656L, 127724L, 
127725L, 127727L, 127728L, 127733L, 127734L, 127736L, 127737L, 
127742L, 127743L, 127745L, 127746L, 127751L, 127752L, 127754L, 
127755L, 127760L, 127761L, 127763L, 127764L, 127778L, 127779L, 
127781L, 127782L, 127787L, 127788L, 127790L, 127791L, 127796L, 
127797L, 127799L, 127800L, 127805L, 127806L, 127808L, 127809L, 
127814L, 127815L, 127817L, 127818L, 127886L, 127887L, 127889L, 
127890L, 127895L, 127896L, 127898L, 127899L, 127904L, 127905L, 
127907L, 127908L, 127913L, 127914L, 127916L, 127917L, 127922L, 
127923L, 127925L, 127926L, 127940L, 127941L, 127943L, 127944L, 
127949L, 127950L, 127952L, 127953L, 127958L, 127959L, 127961L, 
127962L, 127967L, 127968L, 127970L, 127971L, 127976L, 127977L, 
127979L, 127980L, 128210L, 128211L, 128213L, 128214L, 128219L, 
128220L, 128222L, 128223L, 128228L, 128229L, 128231L, 128232L, 
128237L, 128238L, 128240L, 128241L, 128246L, 128247L, 128249L, 
128250L, 128264L, 128265L, 128267L, 128268L, 128273L, 128274L, 
128276L, 128277L, 128282L, 128283L, 128285L, 128286L, 128291L, 
128292L, 128294L, 128295L, 128300L, 128301L, 128303L, 128304L, 
128372L, 128373L, 128375L, 128376L, 128381L, 128382L, 128384L, 
128385L, 128390L, 128391L, 128393L, 128394L, 128399L, 128400L, 
128402L, 128403L, 128408L, 128409L, 128411L, 128412L, 128426L, 
128427L, 128429L, 128430L, 128435L, 128436L, 128438L, 128439L, 
128444L, 128445L, 128447L, 128448L, 128453L, 128454L, 128456L, 
128457L, 128462L, 128463L, 128465L, 128466L, 128534L, 128535L, 
128537L, 128538L, 128543L, 128544L, 128546L, 128547L, 128552L, 
128553L, 128555L, 128556L, 128561L, 128562L, 128564L, 128565L, 
128570L, 128571L, 128573L, 128574L, 128588L, 128589L, 128591L, 
128592L, 128597L, 128598L, 128600L, 128601L, 128606L, 128607L, 
128609L, 128610L, 128615L, 128616L, 128618L, 128619L, 128624L, 
128625L, 128627L, 128628L, 128696L, 128697L, 128699L, 128700L, 
128705L, 128706L, 128708L, 128709L, 128714L, 128715L, 128717L, 
128718L, 128723L, 128724L, 128726L, 128727L, 128732L, 128733L, 
128735L, 128736L, 128750L, 128751L, 128753L, 128754L, 128759L, 
128760L, 128762L, 128763L, 128768L, 128769L, 128771L, 128772L, 
128777L, 128778L, 128780L, 128781L, 128786L, 128787L, 128789L, 
128790L, 129020L, 129021L, 129023L, 129024L, 129029L, 129030L, 
129032L, 129033L, 129038L, 129039L, 129041L, 129042L, 129047L, 
129048L, 129050L, 129051L, 129056L, 129057L, 129059L, 129060L, 
129074L, 129075L, 129077L, 129078L, 129083L, 129084L, 129086L, 
129087L, 129092L, 129093L, 129095L, 129096L, 129101L, 129102L, 
129104L, 129105L, 129110L, 129111L, 129113L, 129114L, 129182L, 
129183L, 129185L, 129186L, 129191L, 129192L, 129194L, 129195L, 
129200L, 129201L, 129203L, 129204L, 129209L, 129210L, 129212L, 
129213L, 129218L, 129219L, 129221L, 129222L, 129236L, 129237L, 
129239L, 129240L, 129245L, 129246L, 129248L, 129249L, 129254L, 
129255L, 129257L, 129258L, 129263L, 129264L, 129266L, 129267L, 
129272L, 129273L, 129275L, 129276L, 129344L, 129345L, 129347L, 
129348L, 129353L, 129354L, 129356L, 129357L, 129362L, 129363L, 
129365L, 129366L, 129371L, 129372L, 129374L, 129375L, 129380L, 
129381L, 129383L, 129384L, 129398L, 129399L, 129401L, 129402L, 
129407L, 129408L, 129410L, 129411L, 129416L, 129417L, 129419L, 
129420L, 129425L, 129426L, 129428L, 129429L, 129434L, 129435L, 
129437L, 129438L, 129506L, 129507L, 129509L, 129510L, 129515L, 
129516L, 129518L, 129519L, 129524L, 129525L, 129527L, 129528L, 
129533L, 129534L, 129536L, 129537L, 129542L, 129543L, 129545L, 
129546L, 129560L, 129561L, 129563L, 129564L, 129569L, 129570L, 
129572L, 129573L, 129578L, 129579L, 129581L, 129582L, 129587L, 
129588L, 129590L, 129591L, 129596L, 129597L, 129599L, 129600L, 
129830L, 129831L, 129833L, 129834L, 129839L, 129840L, 129842L, 
129843L, 129848L, 129849L, 129851L, 129852L, 129857L, 129858L, 
129860L, 129861L, 129866L, 129867L, 129869L, 129870L, 129884L, 
129885L, 129887L, 129888L, 129893L, 129894L, 129896L, 129897L, 
129902L, 129903L, 129905L, 129906L, 129911L, 129912L, 129914L, 
129915L, 129920L, 129921L, 129923L, 129924L, 129992L, 129993L, 
129995L, 129996L, 130001L, 130002L, 130004L, 130005L, 130010L, 
130011L, 130013L, 130014L, 130019L, 130020L, 130022L, 130023L, 
130028L, 130029L, 130031L, 130032L, 130046L, 130047L, 130049L, 
130050L, 130055L, 130056L, 130058L, 130059L, 130064L, 130065L, 
130067L, 130068L, 130073L, 130074L, 130076L, 130077L, 130082L, 
130083L, 130085L, 130086L, 130154L, 130155L, 130157L, 130158L, 
130163L, 130164L, 130166L, 130167L, 130172L, 130173L, 130175L, 
130176L, 130181L, 130182L, 130184L, 130185L, 130190L, 130191L, 
130193L, 130194L, 130208L, 130209L, 130211L, 130212L, 130217L, 
130218L, 130220L, 130221L, 130226L, 130227L, 130229L, 130230L, 
130235L, 130236L, 130238L, 130239L, 130244L, 130245L, 130247L, 
130248L, 130316L, 130317L, 130319L, 130320L, 130325L, 130326L, 
130328L, 130329L, 130334L, 130335L, 130337L, 130338L, 130343L, 
130344L, 130346L, 130347L, 130352L, 130353L, 130355L, 130356L, 
130370L, 130371L, 130373L, 130374L, 130379L, 130380L, 130382L, 
130383L, 130388L, 130389L, 130391L, 130392L, 130397L, 130398L, 
130400L, 130401L, 130406L, 130407L, 130409L, 130410L, 130640L, 
130641L, 130643L, 130644L, 130649L, 130650L, 130652L, 130653L, 
130658L, 130659L, 130661L, 130662L, 130667L, 130668L, 130670L, 
130671L, 130676L, 130677L, 130679L, 130680L, 130694L, 130695L, 
130697L, 130698L, 130703L, 130704L, 130706L, 130707L, 130712L, 
130713L, 130715L, 130716L, 130721L, 130722L, 130724L, 130725L, 
130730L, 130731L, 130733L, 130734L, 130802L, 130803L, 130805L, 
130806L, 130811L, 130812L, 130814L, 130815L, 130820L, 130821L, 
130823L, 130824L, 130829L, 130830L, 130832L, 130833L, 130838L, 
130839L, 130841L, 130842L, 130856L, 130857L, 130859L, 130860L, 
130865L, 130866L, 130868L, 130869L, 130874L, 130875L, 130877L, 
130878L, 130883L, 130884L, 130886L, 130887L, 130892L, 130893L, 
130895L, 130896L, 130964L, 130965L, 130967L, 130968L, 130973L, 
130974L, 130976L, 130977L, 130982L, 130983L, 130985L, 130986L, 
130991L, 130992L, 130994L, 130995L, 131000L, 131001L, 131003L, 
131004L, 131018L, 131019L, 131021L, 131022L, 131027L, 131028L, 
131030L, 131031L, 131036L, 131037L, 131039L, 131040L, 131045L, 
131046L, 131048L, 131049L, 131054L, 131055L, 131057L, 131058L, 
131126L, 131127L, 131129L, 131130L, 131135L, 131136L, 131138L, 
131139L, 131144L, 131145L, 131147L, 131148L, 131153L, 131154L, 
131156L, 131157L, 131162L, 131163L, 131165L, 131166L, 131180L, 
131181L, 131183L, 131184L, 131189L, 131190L, 131192L, 131193L, 
131198L, 131199L, 131201L, 131202L, 131207L, 131208L, 131210L, 
131211L, 131216L, 131217L, 131219L, 131220L, 132260L, 132261L, 
132263L, 132264L, 132269L, 132270L, 132272L, 132273L, 132278L, 
132279L, 132281L, 132282L, 132287L, 132288L, 132290L, 132291L, 
132296L, 132297L, 132299L, 132300L, 132314L, 132315L, 132317L, 
132318L, 132323L, 132324L, 132326L, 132327L, 132332L, 132333L, 
132335L, 132336L, 132341L, 132342L, 132344L, 132345L, 132350L, 
132351L, 132353L, 132354L, 132422L, 132423L, 132425L, 132426L, 
132431L, 132432L, 132434L, 132435L, 132440L, 132441L, 132443L, 
132444L, 132449L, 132450L, 132452L, 132453L, 132458L, 132459L, 
132461L, 132462L, 132476L, 132477L, 132479L, 132480L, 132485L, 
132486L, 132488L, 132489L, 132494L, 132495L, 132497L, 132498L, 
132503L, 132504L, 132506L, 132507L, 132512L, 132513L, 132515L, 
132516L, 132584L, 132585L, 132587L, 132588L, 132593L, 132594L, 
132596L, 132597L, 132602L, 132603L, 132605L, 132606L, 132611L, 
132612L, 132614L, 132615L, 132620L, 132621L, 132623L, 132624L, 
132638L, 132639L, 132641L, 132642L, 132647L, 132648L, 132650L, 
132651L, 132656L, 132657L, 132659L, 132660L, 132665L, 132666L, 
132668L, 132669L, 132674L, 132675L, 132677L, 132678L, 132746L, 
132747L, 132749L, 132750L, 132755L, 132756L, 132758L, 132759L, 
132764L, 132765L, 132767L, 132768L, 132773L, 132774L, 132776L, 
132777L, 132782L, 132783L, 132785L, 132786L, 132800L, 132801L, 
132803L, 132804L, 132809L, 132810L, 132812L, 132813L, 132818L, 
132819L, 132821L, 132822L, 132827L, 132828L, 132830L, 132831L, 
132836L, 132837L, 132839L, 132840L, 133070L, 133071L, 133073L, 
133074L, 133079L, 133080L, 133082L, 133083L, 133088L, 133089L, 
133091L, 133092L, 133097L, 133098L, 133100L, 133101L, 133106L, 
133107L, 133109L, 133110L, 133124L, 133125L, 133127L, 133128L, 
133133L, 133134L, 133136L, 133137L, 133142L, 133143L, 133145L, 
133146L, 133151L, 133152L, 133154L, 133155L, 133160L, 133161L, 
133163L, 133164L, 133232L, 133233L, 133235L, 133236L, 133241L, 
133242L, 133244L, 133245L, 133250L, 133251L, 133253L, 133254L, 
133259L, 133260L, 133262L, 133263L, 133268L, 133269L, 133271L, 
133272L, 133286L, 133287L, 133289L, 133290L, 133295L, 133296L, 
133298L, 133299L, 133304L, 133305L, 133307L, 133308L, 133313L, 
133314L, 133316L, 133317L, 133322L, 133323L, 133325L, 133326L, 
133394L, 133395L, 133397L, 133398L, 133403L, 133404L, 133406L, 
133407L, 133412L, 133413L, 133415L, 133416L, 133421L, 133422L, 
133424L, 133425L, 133430L, 133431L, 133433L, 133434L, 133448L, 
133449L, 133451L, 133452L, 133457L, 133458L, 133460L, 133461L, 
133466L, 133467L, 133469L, 133470L, 133475L, 133476L, 133478L, 
133479L, 133484L, 133485L, 133487L, 133488L, 133556L, 133557L, 
133559L, 133560L, 133565L, 133566L, 133568L, 133569L, 133574L, 
133575L, 133577L, 133578L, 133583L, 133584L, 133586L, 133587L, 
133592L, 133593L, 133595L, 133596L, 133610L, 133611L, 133613L, 
133614L, 133619L, 133620L, 133622L, 133623L, 133628L, 133629L, 
133631L, 133632L, 133637L, 133638L, 133640L, 133641L, 133646L, 
133647L, 133649L, 133650L, 133880L, 133881L, 133883L, 133884L, 
133889L, 133890L, 133892L, 133893L, 133898L, 133899L, 133901L, 
133902L, 133907L, 133908L, 133910L, 133911L, 133916L, 133917L, 
133919L, 133920L, 133934L, 133935L, 133937L, 133938L, 133943L, 
133944L, 133946L, 133947L, 133952L, 133953L, 133955L, 133956L, 
133961L, 133962L, 133964L, 133965L, 133970L, 133971L, 133973L, 
133974L, 134042L, 134043L, 134045L, 134046L, 134051L, 134052L, 
134054L, 134055L, 134060L, 134061L, 134063L, 134064L, 134069L, 
134070L, 134072L, 134073L, 134078L, 134079L, 134081L, 134082L, 
134096L, 134097L, 134099L, 134100L, 134105L, 134106L, 134108L, 
134109L, 134114L, 134115L, 134117L, 134118L, 134123L, 134124L, 
134126L, 134127L, 134132L, 134133L, 134135L, 134136L, 134204L, 
134205L, 134207L, 134208L, 134213L, 134214L, 134216L, 134217L, 
134222L, 134223L, 134225L, 134226L, 134231L, 134232L, 134234L, 
134235L, 134240L, 134241L, 134243L, 134244L, 134258L, 134259L, 
134261L, 134262L, 134267L, 134268L, 134270L, 134271L, 134276L, 
134277L, 134279L, 134280L, 134285L, 134286L, 134288L, 134289L, 
134294L, 134295L, 134297L, 134298L, 134366L, 134367L, 134369L, 
134370L, 134375L, 134376L, 134378L, 134379L, 134384L, 134385L, 
134387L, 134388L, 134393L, 134394L, 134396L, 134397L, 134402L, 
134403L, 134405L, 134406L, 134420L, 134421L, 134423L, 134424L, 
134429L, 134430L, 134432L, 134433L, 134438L, 134439L, 134441L, 
134442L, 134447L, 134448L, 134450L, 134451L, 134456L, 134457L, 
134459L, 134460L, 134690L, 134691L, 134693L, 134694L, 134699L, 
134700L, 134702L, 134703L, 134708L, 134709L, 134711L, 134712L, 
134717L, 134718L, 134720L, 134721L, 134726L, 134727L, 134729L, 
134730L, 134744L, 134745L, 134747L, 134748L, 134753L, 134754L, 
134756L, 134757L, 134762L, 134763L, 134765L, 134766L, 134771L, 
134772L, 134774L, 134775L, 134780L, 134781L, 134783L, 134784L, 
134852L, 134853L, 134855L, 134856L, 134861L, 134862L, 134864L, 
134865L, 134870L, 134871L, 134873L, 134874L, 134879L, 134880L, 
134882L, 134883L, 134888L, 134889L, 134891L, 134892L, 134906L, 
134907L, 134909L, 134910L, 134915L, 134916L, 134918L, 134919L, 
134924L, 134925L, 134927L, 134928L, 134933L, 134934L, 134936L, 
134937L, 134942L, 134943L, 134945L, 134946L, 135014L, 135015L, 
135017L, 135018L, 135023L, 135024L, 135026L, 135027L, 135032L, 
135033L, 135035L, 135036L, 135041L, 135042L, 135044L, 135045L, 
135050L, 135051L, 135053L, 135054L, 135068L, 135069L, 135071L, 
135072L, 135077L, 135078L, 135080L, 135081L, 135086L, 135087L, 
135089L, 135090L, 135095L, 135096L, 135098L, 135099L, 135104L, 
135105L, 135107L, 135108L, 135176L, 135177L, 135179L, 135180L, 
135185L, 135186L, 135188L, 135189L, 135194L, 135195L, 135197L, 
135198L, 135203L, 135204L, 135206L, 135207L, 135212L, 135213L, 
135215L, 135216L, 135230L, 135231L, 135233L, 135234L, 135239L, 
135240L, 135242L, 135243L, 135248L, 135249L, 135251L, 135252L, 
135257L, 135258L, 135260L, 135261L, 135266L, 135267L, 135269L, 
135270L, 135500L, 135501L, 135503L, 135504L, 135509L, 135510L, 
135512L, 135513L, 135518L, 135519L, 135521L, 135522L, 135527L, 
135528L, 135530L, 135531L, 135536L, 135537L, 135539L, 135540L, 
135554L, 135555L, 135557L, 135558L, 135563L, 135564L, 135566L, 
135567L, 135572L, 135573L, 135575L, 135576L, 135581L, 135582L, 
135584L, 135585L, 135590L, 135591L, 135593L, 135594L, 135662L, 
135663L, 135665L, 135666L, 135671L, 135672L, 135674L, 135675L, 
135680L, 135681L, 135683L, 135684L, 135689L, 135690L, 135692L, 
135693L, 135698L, 135699L, 135701L, 135702L, 135716L, 135717L, 
135719L, 135720L, 135725L, 135726L, 135728L, 135729L, 135734L, 
135735L, 135737L, 135738L, 135743L, 135744L, 135746L, 135747L, 
135752L, 135753L, 135755L, 135756L, 135824L, 135825L, 135827L, 
135828L, 135833L, 135834L, 135836L, 135837L, 135842L, 135843L, 
135845L, 135846L, 135851L, 135852L, 135854L, 135855L, 135860L, 
135861L, 135863L, 135864L, 135878L, 135879L, 135881L, 135882L, 
135887L, 135888L, 135890L, 135891L, 135896L, 135897L, 135899L, 
135900L, 135905L, 135906L, 135908L, 135909L, 135914L, 135915L, 
135917L, 135918L, 135986L, 135987L, 135989L, 135990L, 135995L, 
135996L, 135998L, 135999L, 136004L, 136005L, 136007L, 136008L, 
136013L, 136014L, 136016L, 136017L, 136022L, 136023L, 136025L, 
136026L, 136040L, 136041L, 136043L, 136044L, 136049L, 136050L, 
136052L, 136053L, 136058L, 136059L, 136061L, 136062L, 136067L, 
136068L, 136070L, 136071L, 136076L, 136077L, 136079L, 136080L, 
137120L, 137121L, 137123L, 137124L, 137129L, 137130L, 137132L, 
137133L, 137138L, 137139L, 137141L, 137142L, 137147L, 137148L, 
137150L, 137151L, 137156L, 137157L, 137159L, 137160L, 137174L, 
137175L, 137177L, 137178L, 137183L, 137184L, 137186L, 137187L, 
137192L, 137193L, 137195L, 137196L, 137201L, 137202L, 137204L, 
137205L, 137210L, 137211L, 137213L, 137214L, 137282L, 137283L, 
137285L, 137286L, 137291L, 137292L, 137294L, 137295L, 137300L, 
137301L, 137303L, 137304L, 137309L, 137310L, 137312L, 137313L, 
137318L, 137319L, 137321L, 137322L, 137336L, 137337L, 137339L, 
137340L, 137345L, 137346L, 137348L, 137349L, 137354L, 137355L, 
137357L, 137358L, 137363L, 137364L, 137366L, 137367L, 137372L, 
137373L, 137375L, 137376L, 137444L, 137445L, 137447L, 137448L, 
137453L, 137454L, 137456L, 137457L, 137462L, 137463L, 137465L, 
137466L, 137471L, 137472L, 137474L, 137475L, 137480L, 137481L, 
137483L, 137484L, 137498L, 137499L, 137501L, 137502L, 137507L, 
137508L, 137510L, 137511L, 137516L, 137517L, 137519L, 137520L, 
137525L, 137526L, 137528L, 137529L, 137534L, 137535L, 137537L, 
137538L, 137606L, 137607L, 137609L, 137610L, 137615L, 137616L, 
137618L, 137619L, 137624L, 137625L, 137627L, 137628L, 137633L, 
137634L, 137636L, 137637L, 137642L, 137643L, 137645L, 137646L, 
137660L, 137661L, 137663L, 137664L, 137669L, 137670L, 137672L, 
137673L, 137678L, 137679L, 137681L, 137682L, 137687L, 137688L, 
137690L, 137691L, 137696L, 137697L, 137699L, 137700L, 137930L, 
137931L, 137933L, 137934L, 137939L, 137940L, 137942L, 137943L, 
137948L, 137949L, 137951L, 137952L, 137957L, 137958L, 137960L, 
137961L, 137966L, 137967L, 137969L, 137970L, 137984L, 137985L, 
137987L, 137988L, 137993L, 137994L, 137996L, 137997L, 138002L, 
138003L, 138005L, 138006L, 138011L, 138012L, 138014L, 138015L, 
138020L, 138021L, 138023L, 138024L, 138092L, 138093L, 138095L, 
138096L, 138101L, 138102L, 138104L, 138105L, 138110L, 138111L, 
138113L, 138114L, 138119L, 138120L, 138122L, 138123L, 138128L, 
138129L, 138131L, 138132L, 138146L, 138147L, 138149L, 138150L, 
138155L, 138156L, 138158L, 138159L, 138164L, 138165L, 138167L, 
138168L, 138173L, 138174L, 138176L, 138177L, 138182L, 138183L, 
138185L, 138186L, 138254L, 138255L, 138257L, 138258L, 138263L, 
138264L, 138266L, 138267L, 138272L, 138273L, 138275L, 138276L, 
138281L, 138282L, 138284L, 138285L, 138290L, 138291L, 138293L, 
138294L, 138308L, 138309L, 138311L, 138312L, 138317L, 138318L, 
138320L, 138321L, 138326L, 138327L, 138329L, 138330L, 138335L, 
138336L, 138338L, 138339L, 138344L, 138345L, 138347L, 138348L, 
138416L, 138417L, 138419L, 138420L, 138425L, 138426L, 138428L, 
138429L, 138434L, 138435L, 138437L, 138438L, 138443L, 138444L, 
138446L, 138447L, 138452L, 138453L, 138455L, 138456L, 138470L, 
138471L, 138473L, 138474L, 138479L, 138480L, 138482L, 138483L, 
138488L, 138489L, 138491L, 138492L, 138497L, 138498L, 138500L, 
138501L, 138506L, 138507L, 138509L, 138510L, 138740L, 138741L, 
138743L, 138744L, 138749L, 138750L, 138752L, 138753L, 138758L, 
138759L, 138761L, 138762L, 138767L, 138768L, 138770L, 138771L, 
138776L, 138777L, 138779L, 138780L, 138794L, 138795L, 138797L, 
138798L, 138803L, 138804L, 138806L, 138807L, 138812L, 138813L, 
138815L, 138816L, 138821L, 138822L, 138824L, 138825L, 138830L, 
138831L, 138833L, 138834L, 138902L, 138903L, 138905L, 138906L, 
138911L, 138912L, 138914L, 138915L, 138920L, 138921L, 138923L, 
138924L, 138929L, 138930L, 138932L, 138933L, 138938L, 138939L, 
138941L, 138942L, 138956L, 138957L, 138959L, 138960L, 138965L, 
138966L, 138968L, 138969L, 138974L, 138975L, 138977L, 138978L, 
138983L, 138984L, 138986L, 138987L, 138992L, 138993L, 138995L, 
138996L, 139064L, 139065L, 139067L, 139068L, 139073L, 139074L, 
139076L, 139077L, 139082L, 139083L, 139085L, 139086L, 139091L, 
139092L, 139094L, 139095L, 139100L, 139101L, 139103L, 139104L, 
139118L, 139119L, 139121L, 139122L, 139127L, 139128L, 139130L, 
139131L, 139136L, 139137L, 139139L, 139140L, 139145L, 139146L, 
139148L, 139149L, 139154L, 139155L, 139157L, 139158L, 139226L, 
139227L, 139229L, 139230L, 139235L, 139236L, 139238L, 139239L, 
139244L, 139245L, 139247L, 139248L, 139253L, 139254L, 139256L, 
139257L, 139262L, 139263L, 139265L, 139266L, 139280L, 139281L, 
139283L, 139284L, 139289L, 139290L, 139292L, 139293L, 139298L, 
139299L, 139301L, 139302L, 139307L, 139308L, 139310L, 139311L, 
139316L, 139317L, 139319L, 139320L, 139550L, 139551L, 139553L, 
139554L, 139559L, 139560L, 139562L, 139563L, 139568L, 139569L, 
139571L, 139572L, 139577L, 139578L, 139580L, 139581L, 139586L, 
139587L, 139589L, 139590L, 139604L, 139605L, 139607L, 139608L, 
139613L, 139614L, 139616L, 139617L, 139622L, 139623L, 139625L, 
139626L, 139631L, 139632L, 139634L, 139635L, 139640L, 139641L, 
139643L, 139644L, 139712L, 139713L, 139715L, 139716L, 139721L, 
139722L, 139724L, 139725L, 139730L, 139731L, 139733L, 139734L, 
139739L, 139740L, 139742L, 139743L, 139748L, 139749L, 139751L, 
139752L, 139766L, 139767L, 139769L, 139770L, 139775L, 139776L, 
139778L, 139779L, 139784L, 139785L, 139787L, 139788L, 139793L, 
139794L, 139796L, 139797L, 139802L, 139803L, 139805L, 139806L, 
139874L, 139875L, 139877L, 139878L, 139883L, 139884L, 139886L, 
139887L, 139892L, 139893L, 139895L, 139896L, 139901L, 139902L, 
139904L, 139905L, 139910L, 139911L, 139913L, 139914L, 139928L, 
139929L, 139931L, 139932L, 139937L, 139938L, 139940L, 139941L, 
139946L, 139947L, 139949L, 139950L, 139955L, 139956L, 139958L, 
139959L, 139964L, 139965L, 139967L, 139968L, 140036L, 140037L, 
140039L, 140040L, 140045L, 140046L, 140048L, 140049L, 140054L, 
140055L, 140057L, 140058L, 140063L, 140064L, 140066L, 140067L, 
140072L, 140073L, 140075L, 140076L, 140090L, 140091L, 140093L, 
140094L, 140099L, 140100L, 140102L, 140103L, 140108L, 140109L, 
140111L, 140112L, 140117L, 140118L, 140120L, 140121L, 140126L, 
140127L, 140129L, 140130L, 140360L, 140361L, 140363L, 140364L, 
140369L, 140370L, 140372L, 140373L, 140378L, 140379L, 140381L, 
140382L, 140387L, 140388L, 140390L, 140391L, 140396L, 140397L, 
140399L, 140400L, 140414L, 140415L, 140417L, 140418L, 140423L, 
140424L, 140426L, 140427L, 140432L, 140433L, 140435L, 140436L, 
140441L, 140442L, 140444L, 140445L, 140450L, 140451L, 140453L, 
140454L, 140522L, 140523L, 140525L, 140526L, 140531L, 140532L, 
140534L, 140535L, 140540L, 140541L, 140543L, 140544L, 140549L, 
140550L, 140552L, 140553L, 140558L, 140559L, 140561L, 140562L, 
140576L, 140577L, 140579L, 140580L, 140585L, 140586L, 140588L, 
140589L, 140594L, 140595L, 140597L, 140598L, 140603L, 140604L, 
140606L, 140607L, 140612L, 140613L, 140615L, 140616L, 140684L, 
140685L, 140687L, 140688L, 140693L, 140694L, 140696L, 140697L, 
140702L, 140703L, 140705L, 140706L, 140711L, 140712L, 140714L, 
140715L, 140720L, 140721L, 140723L, 140724L, 140738L, 140739L, 
140741L, 140742L, 140747L, 140748L, 140750L, 140751L, 140756L, 
140757L, 140759L, 140760L, 140765L, 140766L, 140768L, 140769L, 
140774L, 140775L, 140777L, 140778L, 140846L, 140847L, 140849L, 
140850L, 140855L, 140856L, 140858L, 140859L, 140864L, 140865L, 
140867L, 140868L, 140873L, 140874L, 140876L, 140877L, 140882L, 
140883L, 140885L, 140886L, 140900L, 140901L, 140903L, 140904L, 
140909L, 140910L, 140912L, 140913L, 140918L, 140919L, 140921L, 
140922L, 140927L, 140928L, 140930L, 140931L, 140936L, 140937L, 
140939L, 140940L, 151700L, 151701L, 151703L, 151704L, 151709L, 
151710L, 151712L, 151713L, 151718L, 151719L, 151721L, 151722L, 
151727L, 151728L, 151730L, 151731L, 151736L, 151737L, 151739L, 
151740L, 151754L, 151755L, 151757L, 151758L, 151763L, 151764L, 
151766L, 151767L, 151772L, 151773L, 151775L, 151776L, 151781L, 
151782L, 151784L, 151785L, 151790L, 151791L, 151793L, 151794L, 
151862L, 151863L, 151865L, 151866L, 151871L, 151872L, 151874L, 
151875L, 151880L, 151881L, 151883L, 151884L, 151889L, 151890L, 
151892L, 151893L, 151898L, 151899L, 151901L, 151902L, 151916L, 
151917L, 151919L, 151920L, 151925L, 151926L, 151928L, 151929L, 
151934L, 151935L, 151937L, 151938L, 151943L, 151944L, 151946L, 
151947L, 151952L, 151953L, 151955L, 151956L, 152024L, 152025L, 
152027L, 152028L, 152033L, 152034L, 152036L, 152037L, 152042L, 
152043L, 152045L, 152046L, 152051L, 152052L, 152054L, 152055L, 
152060L, 152061L, 152063L, 152064L, 152078L, 152079L, 152081L, 
152082L, 152087L, 152088L, 152090L, 152091L, 152096L, 152097L, 
152099L, 152100L, 152105L, 152106L, 152108L, 152109L, 152114L, 
152115L, 152117L, 152118L, 152186L, 152187L, 152189L, 152190L, 
152195L, 152196L, 152198L, 152199L, 152204L, 152205L, 152207L, 
152208L, 152213L, 152214L, 152216L, 152217L, 152222L, 152223L, 
152225L, 152226L, 152240L, 152241L, 152243L, 152244L, 152249L, 
152250L, 152252L, 152253L, 152258L, 152259L, 152261L, 152262L, 
152267L, 152268L, 152270L, 152271L, 152276L, 152277L, 152279L, 
152280L, 152510L, 152511L, 152513L, 152514L, 152519L, 152520L, 
152522L, 152523L, 152528L, 152529L, 152531L, 152532L, 152537L, 
152538L, 152540L, 152541L, 152546L, 152547L, 152549L, 152550L, 
152564L, 152565L, 152567L, 152568L, 152573L, 152574L, 152576L, 
152577L, 152582L, 152583L, 152585L, 152586L, 152591L, 152592L, 
152594L, 152595L, 152600L, 152601L, 152603L, 152604L, 152672L, 
152673L, 152675L, 152676L, 152681L, 152682L, 152684L, 152685L, 
152690L, 152691L, 152693L, 152694L, 152699L, 152700L, 152702L, 
152703L, 152708L, 152709L, 152711L, 152712L, 152726L, 152727L, 
152729L, 152730L, 152735L, 152736L, 152738L, 152739L, 152744L, 
152745L, 152747L, 152748L, 152753L, 152754L, 152756L, 152757L, 
152762L, 152763L, 152765L, 152766L, 152834L, 152835L, 152837L, 
152838L, 152843L, 152844L, 152846L, 152847L, 152852L, 152853L, 
152855L, 152856L, 152861L, 152862L, 152864L, 152865L, 152870L, 
152871L, 152873L, 152874L, 152888L, 152889L, 152891L, 152892L, 
152897L, 152898L, 152900L, 152901L, 152906L, 152907L, 152909L, 
152910L, 152915L, 152916L, 152918L, 152919L, 152924L, 152925L, 
152927L, 152928L, 152996L, 152997L, 152999L, 153000L, 153005L, 
153006L, 153008L, 153009L, 153014L, 153015L, 153017L, 153018L, 
153023L, 153024L, 153026L, 153027L, 153032L, 153033L, 153035L, 
153036L, 153050L, 153051L, 153053L, 153054L, 153059L, 153060L, 
153062L, 153063L, 153068L, 153069L, 153071L, 153072L, 153077L, 
153078L, 153080L, 153081L, 153086L, 153087L, 153089L, 153090L, 
153320L, 153321L, 153323L, 153324L, 153329L, 153330L, 153332L, 
153333L, 153338L, 153339L, 153341L, 153342L, 153347L, 153348L, 
153350L, 153351L, 153356L, 153357L, 153359L, 153360L, 153374L, 
153375L, 153377L, 153378L, 153383L, 153384L, 153386L, 153387L, 
153392L, 153393L, 153395L, 153396L, 153401L, 153402L, 153404L, 
153405L, 153410L, 153411L, 153413L, 153414L, 153482L, 153483L, 
153485L, 153486L, 153491L, 153492L, 153494L, 153495L, 153500L, 
153501L, 153503L, 153504L, 153509L, 153510L, 153512L, 153513L, 
153518L, 153519L, 153521L, 153522L, 153536L, 153537L, 153539L, 
153540L, 153545L, 153546L, 153548L, 153549L, 153554L, 153555L, 
153557L, 153558L, 153563L, 153564L, 153566L, 153567L, 153572L, 
153573L, 153575L, 153576L, 153644L, 153645L, 153647L, 153648L, 
153653L, 153654L, 153656L, 153657L, 153662L, 153663L, 153665L, 
153666L, 153671L, 153672L, 153674L, 153675L, 153680L, 153681L, 
153683L, 153684L, 153698L, 153699L, 153701L, 153702L, 153707L, 
153708L, 153710L, 153711L, 153716L, 153717L, 153719L, 153720L, 
153725L, 153726L, 153728L, 153729L, 153734L, 153735L, 153737L, 
153738L, 153806L, 153807L, 153809L, 153810L, 153815L, 153816L, 
153818L, 153819L, 153824L, 153825L, 153827L, 153828L, 153833L, 
153834L, 153836L, 153837L, 153842L, 153843L, 153845L, 153846L, 
153860L, 153861L, 153863L, 153864L, 153869L, 153870L, 153872L, 
153873L, 153878L, 153879L, 153881L, 153882L, 153887L, 153888L, 
153890L, 153891L, 153896L, 153897L, 153899L, 153900L, 154130L, 
154131L, 154133L, 154134L, 154139L, 154140L, 154142L, 154143L, 
154148L, 154149L, 154151L, 154152L, 154157L, 154158L, 154160L, 
154161L, 154166L, 154167L, 154169L, 154170L, 154184L, 154185L, 
154187L, 154188L, 154193L, 154194L, 154196L, 154197L, 154202L, 
154203L, 154205L, 154206L, 154211L, 154212L, 154214L, 154215L, 
154220L, 154221L, 154223L, 154224L, 154292L, 154293L, 154295L, 
154296L, 154301L, 154302L, 154304L, 154305L, 154310L, 154311L, 
154313L, 154314L, 154319L, 154320L, 154322L, 154323L, 154328L, 
154329L, 154331L, 154332L, 154346L, 154347L, 154349L, 154350L, 
154355L, 154356L, 154358L, 154359L, 154364L, 154365L, 154367L, 
154368L, 154373L, 154374L, 154376L, 154377L, 154382L, 154383L, 
154385L, 154386L, 154454L, 154455L, 154457L, 154458L, 154463L, 
154464L, 154466L, 154467L, 154472L, 154473L, 154475L, 154476L, 
154481L, 154482L, 154484L, 154485L, 154490L, 154491L, 154493L, 
154494L, 154508L, 154509L, 154511L, 154512L, 154517L, 154518L, 
154520L, 154521L, 154526L, 154527L, 154529L, 154530L, 154535L, 
154536L, 154538L, 154539L, 154544L, 154545L, 154547L, 154548L, 
154616L, 154617L, 154619L, 154620L, 154625L, 154626L, 154628L, 
154629L, 154634L, 154635L, 154637L, 154638L, 154643L, 154644L, 
154646L, 154647L, 154652L, 154653L, 154655L, 154656L, 154670L, 
154671L, 154673L, 154674L, 154679L, 154680L, 154682L, 154683L, 
154688L, 154689L, 154691L, 154692L, 154697L, 154698L, 154700L, 
154701L, 154706L, 154707L, 154709L, 154710L, 154940L, 154941L, 
154943L, 154944L, 154949L, 154950L, 154952L, 154953L, 154958L, 
154959L, 154961L, 154962L, 154967L, 154968L, 154970L, 154971L, 
154976L, 154977L, 154979L, 154980L, 154994L, 154995L, 154997L, 
154998L, 155003L, 155004L, 155006L, 155007L, 155012L, 155013L, 
155015L, 155016L, 155021L, 155022L, 155024L, 155025L, 155030L, 
155031L, 155033L, 155034L, 155102L, 155103L, 155105L, 155106L, 
155111L, 155112L, 155114L, 155115L, 155120L, 155121L, 155123L, 
155124L, 155129L, 155130L, 155132L, 155133L, 155138L, 155139L, 
155141L, 155142L, 155156L, 155157L, 155159L, 155160L, 155165L, 
155166L, 155168L, 155169L, 155174L, 155175L, 155177L, 155178L, 
155183L, 155184L, 155186L, 155187L, 155192L, 155193L, 155195L, 
155196L, 155264L, 155265L, 155267L, 155268L, 155273L, 155274L, 
155276L, 155277L, 155282L, 155283L, 155285L, 155286L, 155291L, 
155292L, 155294L, 155295L, 155300L, 155301L, 155303L, 155304L, 
155318L, 155319L, 155321L, 155322L, 155327L, 155328L, 155330L, 
155331L, 155336L, 155337L, 155339L, 155340L, 155345L, 155346L, 
155348L, 155349L, 155354L, 155355L, 155357L, 155358L, 155426L, 
155427L, 155429L, 155430L, 155435L, 155436L, 155438L, 155439L, 
155444L, 155445L, 155447L, 155448L, 155453L, 155454L, 155456L, 
155457L, 155462L, 155463L, 155465L, 155466L, 155480L, 155481L, 
155483L, 155484L, 155489L, 155490L, 155492L, 155493L, 155498L, 
155499L, 155501L, 155502L, 155507L, 155508L, 155510L, 155511L, 
155516L, 155517L, 155519L, 155520L, 156560L, 156561L, 156563L, 
156564L, 156569L, 156570L, 156572L, 156573L, 156578L, 156579L, 
156581L, 156582L, 156587L, 156588L, 156590L, 156591L, 156596L, 
156597L, 156599L, 156600L, 156614L, 156615L, 156617L, 156618L, 
156623L, 156624L, 156626L, 156627L, 156632L, 156633L, 156635L, 
156636L, 156641L, 156642L, 156644L, 156645L, 156650L, 156651L, 
156653L, 156654L, 156722L, 156723L, 156725L, 156726L, 156731L, 
156732L, 156734L, 156735L, 156740L, 156741L, 156743L, 156744L, 
156749L, 156750L, 156752L, 156753L, 156758L, 156759L, 156761L, 
156762L, 156776L, 156777L, 156779L, 156780L, 156785L, 156786L, 
156788L, 156789L, 156794L, 156795L, 156797L, 156798L, 156803L, 
156804L, 156806L, 156807L, 156812L, 156813L, 156815L, 156816L, 
156884L, 156885L, 156887L, 156888L, 156893L, 156894L, 156896L, 
156897L, 156902L, 156903L, 156905L, 156906L, 156911L, 156912L, 
156914L, 156915L, 156920L, 156921L, 156923L, 156924L, 156938L, 
156939L, 156941L, 156942L, 156947L, 156948L, 156950L, 156951L, 
156956L, 156957L, 156959L, 156960L, 156965L, 156966L, 156968L, 
156969L, 156974L, 156975L, 156977L, 156978L, 157046L, 157047L, 
157049L, 157050L, 157055L, 157056L, 157058L, 157059L, 157064L, 
157065L, 157067L, 157068L, 157073L, 157074L, 157076L, 157077L, 
157082L, 157083L, 157085L, 157086L, 157100L, 157101L, 157103L, 
157104L, 157109L, 157110L, 157112L, 157113L, 157118L, 157119L, 
157121L, 157122L, 157127L, 157128L, 157130L, 157131L, 157136L, 
157137L, 157139L, 157140L, 157370L, 157371L, 157373L, 157374L, 
157379L, 157380L, 157382L, 157383L, 157388L, 157389L, 157391L, 
157392L, 157397L, 157398L, 157400L, 157401L, 157406L, 157407L, 
157409L, 157410L, 157424L, 157425L, 157427L, 157428L, 157433L, 
157434L, 157436L, 157437L, 157442L, 157443L, 157445L, 157446L, 
157451L, 157452L, 157454L, 157455L, 157460L, 157461L, 157463L, 
157464L, 157532L, 157533L, 157535L, 157536L, 157541L, 157542L, 
157544L, 157545L, 157550L, 157551L, 157553L, 157554L, 157559L, 
157560L, 157562L, 157563L, 157568L, 157569L, 157571L, 157572L, 
157586L, 157587L, 157589L, 157590L, 157595L, 157596L, 157598L, 
157599L, 157604L, 157605L, 157607L, 157608L, 157613L, 157614L, 
157616L, 157617L, 157622L, 157623L, 157625L, 157626L, 157694L, 
157695L, 157697L, 157698L, 157703L, 157704L, 157706L, 157707L, 
157712L, 157713L, 157715L, 157716L, 157721L, 157722L, 157724L, 
157725L, 157730L, 157731L, 157733L, 157734L, 157748L, 157749L, 
157751L, 157752L, 157757L, 157758L, 157760L, 157761L, 157766L, 
157767L, 157769L, 157770L, 157775L, 157776L, 157778L, 157779L, 
157784L, 157785L, 157787L, 157788L, 157856L, 157857L, 157859L, 
157860L, 157865L, 157866L, 157868L, 157869L, 157874L, 157875L, 
157877L, 157878L, 157883L, 157884L, 157886L, 157887L, 157892L, 
157893L, 157895L, 157896L, 157910L, 157911L, 157913L, 157914L, 
157919L, 157920L, 157922L, 157923L, 157928L, 157929L, 157931L, 
157932L, 157937L, 157938L, 157940L, 157941L, 157946L, 157947L, 
157949L, 157950L, 158180L, 158181L, 158183L, 158184L, 158189L, 
158190L, 158192L, 158193L, 158198L, 158199L, 158201L, 158202L, 
158207L, 158208L, 158210L, 158211L, 158216L, 158217L, 158219L, 
158220L, 158234L, 158235L, 158237L, 158238L, 158243L, 158244L, 
158246L, 158247L, 158252L, 158253L, 158255L, 158256L, 158261L, 
158262L, 158264L, 158265L, 158270L, 158271L, 158273L, 158274L, 
158342L, 158343L, 158345L, 158346L, 158351L, 158352L, 158354L, 
158355L, 158360L, 158361L, 158363L, 158364L, 158369L, 158370L, 
158372L, 158373L, 158378L, 158379L, 158381L, 158382L, 158396L, 
158397L, 158399L, 158400L, 158405L, 158406L, 158408L, 158409L, 
158414L, 158415L, 158417L, 158418L, 158423L, 158424L, 158426L, 
158427L, 158432L, 158433L, 158435L, 158436L, 158504L, 158505L, 
158507L, 158508L, 158513L, 158514L, 158516L, 158517L, 158522L, 
158523L, 158525L, 158526L, 158531L, 158532L, 158534L, 158535L, 
158540L, 158541L, 158543L, 158544L, 158558L, 158559L, 158561L, 
158562L, 158567L, 158568L, 158570L, 158571L, 158576L, 158577L, 
158579L, 158580L, 158585L, 158586L, 158588L, 158589L, 158594L, 
158595L, 158597L, 158598L, 158666L, 158667L, 158669L, 158670L, 
158675L, 158676L, 158678L, 158679L, 158684L, 158685L, 158687L, 
158688L, 158693L, 158694L, 158696L, 158697L, 158702L, 158703L, 
158705L, 158706L, 158720L, 158721L, 158723L, 158724L, 158729L, 
158730L, 158732L, 158733L, 158738L, 158739L, 158741L, 158742L, 
158747L, 158748L, 158750L, 158751L, 158756L, 158757L, 158759L, 
158760L, 158990L, 158991L, 158993L, 158994L, 158999L, 159000L, 
159002L, 159003L, 159008L, 159009L, 159011L, 159012L, 159017L, 
159018L, 159020L, 159021L, 159026L, 159027L, 159029L, 159030L, 
159044L, 159045L, 159047L, 159048L, 159053L, 159054L, 159056L, 
159057L, 159062L, 159063L, 159065L, 159066L, 159071L, 159072L, 
159074L, 159075L, 159080L, 159081L, 159083L, 159084L, 159152L, 
159153L, 159155L, 159156L, 159161L, 159162L, 159164L, 159165L, 
159170L, 159171L, 159173L, 159174L, 159179L, 159180L, 159182L, 
159183L, 159188L, 159189L, 159191L, 159192L, 159206L, 159207L, 
159209L, 159210L, 159215L, 159216L, 159218L, 159219L, 159224L, 
159225L, 159227L, 159228L, 159233L, 159234L, 159236L, 159237L, 
159242L, 159243L, 159245L, 159246L, 159314L, 159315L, 159317L, 
159318L, 159323L, 159324L, 159326L, 159327L, 159332L, 159333L, 
159335L, 159336L, 159341L, 159342L, 159344L, 159345L, 159350L, 
159351L, 159353L, 159354L, 159368L, 159369L, 159371L, 159372L, 
159377L, 159378L, 159380L, 159381L, 159386L, 159387L, 159389L, 
159390L, 159395L, 159396L, 159398L, 159399L, 159404L, 159405L, 
159407L, 159408L, 159476L, 159477L, 159479L, 159480L, 159485L, 
159486L, 159488L, 159489L, 159494L, 159495L, 159497L, 159498L, 
159503L, 159504L, 159506L, 159507L, 159512L, 159513L, 159515L, 
159516L, 159530L, 159531L, 159533L, 159534L, 159539L, 159540L, 
159542L, 159543L, 159548L, 159549L, 159551L, 159552L, 159557L, 
159558L, 159560L, 159561L, 159566L, 159567L, 159569L, 159570L, 
159800L, 159801L, 159803L, 159804L, 159809L, 159810L, 159812L, 
159813L, 159818L, 159819L, 159821L, 159822L, 159827L, 159828L, 
159830L, 159831L, 159836L, 159837L, 159839L, 159840L, 159854L, 
159855L, 159857L, 159858L, 159863L, 159864L, 159866L, 159867L, 
159872L, 159873L, 159875L, 159876L, 159881L, 159882L, 159884L, 
159885L, 159890L, 159891L, 159893L, 159894L, 159962L, 159963L, 
159965L, 159966L, 159971L, 159972L, 159974L, 159975L, 159980L, 
159981L, 159983L, 159984L, 159989L, 159990L, 159992L, 159993L, 
159998L, 159999L, 160001L, 160002L, 160016L, 160017L, 160019L, 
160020L, 160025L, 160026L, 160028L, 160029L, 160034L, 160035L, 
160037L, 160038L, 160043L, 160044L, 160046L, 160047L, 160052L, 
160053L, 160055L, 160056L, 160124L, 160125L, 160127L, 160128L, 
160133L, 160134L, 160136L, 160137L, 160142L, 160143L, 160145L, 
160146L, 160151L, 160152L, 160154L, 160155L, 160160L, 160161L, 
160163L, 160164L, 160178L, 160179L, 160181L, 160182L, 160187L, 
160188L, 160190L, 160191L, 160196L, 160197L, 160199L, 160200L, 
160205L, 160206L, 160208L, 160209L, 160214L, 160215L, 160217L, 
160218L, 160286L, 160287L, 160289L, 160290L, 160295L, 160296L, 
160298L, 160299L, 160304L, 160305L, 160307L, 160308L, 160313L, 
160314L, 160316L, 160317L, 160322L, 160323L, 160325L, 160326L, 
160340L, 160341L, 160343L, 160344L, 160349L, 160350L, 160352L, 
160353L, 160358L, 160359L, 160361L, 160362L, 160367L, 160368L, 
160370L, 160371L, 160376L, 160377L, 160379L, 160380L, 161420L, 
161421L, 161423L, 161424L, 161429L, 161430L, 161432L, 161433L, 
161438L, 161439L, 161441L, 161442L, 161447L, 161448L, 161450L, 
161451L, 161456L, 161457L, 161459L, 161460L, 161474L, 161475L, 
161477L, 161478L, 161483L, 161484L, 161486L, 161487L, 161492L, 
161493L, 161495L, 161496L, 161501L, 161502L, 161504L, 161505L, 
161510L, 161511L, 161513L, 161514L, 161582L, 161583L, 161585L, 
161586L, 161591L, 161592L, 161594L, 161595L, 161600L, 161601L, 
161603L, 161604L, 161609L, 161610L, 161612L, 161613L, 161618L, 
161619L, 161621L, 161622L, 161636L, 161637L, 161639L, 161640L, 
161645L, 161646L, 161648L, 161649L, 161654L, 161655L, 161657L, 
161658L, 161663L, 161664L, 161666L, 161667L, 161672L, 161673L, 
161675L, 161676L, 161744L, 161745L, 161747L, 161748L, 161753L, 
161754L, 161756L, 161757L, 161762L, 161763L, 161765L, 161766L, 
161771L, 161772L, 161774L, 161775L, 161780L, 161781L, 161783L, 
161784L, 161798L, 161799L, 161801L, 161802L, 161807L, 161808L, 
161810L, 161811L, 161816L, 161817L, 161819L, 161820L, 161825L, 
161826L, 161828L, 161829L, 161834L, 161835L, 161837L, 161838L, 
161906L, 161907L, 161909L, 161910L, 161915L, 161916L, 161918L, 
161919L, 161924L, 161925L, 161927L, 161928L, 161933L, 161934L, 
161936L, 161937L, 161942L, 161943L, 161945L, 161946L, 161960L, 
161961L, 161963L, 161964L, 161969L, 161970L, 161972L, 161973L, 
161978L, 161979L, 161981L, 161982L, 161987L, 161988L, 161990L, 
161991L, 161996L, 161997L, 161999L, 162000L, 162230L, 162231L, 
162233L, 162234L, 162239L, 162240L, 162242L, 162243L, 162248L, 
162249L, 162251L, 162252L, 162257L, 162258L, 162260L, 162261L, 
162266L, 162267L, 162269L, 162270L, 162284L, 162285L, 162287L, 
162288L, 162293L, 162294L, 162296L, 162297L, 162302L, 162303L, 
162305L, 162306L, 162311L, 162312L, 162314L, 162315L, 162320L, 
162321L, 162323L, 162324L, 162392L, 162393L, 162395L, 162396L, 
162401L, 162402L, 162404L, 162405L, 162410L, 162411L, 162413L, 
162414L, 162419L, 162420L, 162422L, 162423L, 162428L, 162429L, 
162431L, 162432L, 162446L, 162447L, 162449L, 162450L, 162455L, 
162456L, 162458L, 162459L, 162464L, 162465L, 162467L, 162468L, 
162473L, 162474L, 162476L, 162477L, 162482L, 162483L, 162485L, 
162486L, 162554L, 162555L, 162557L, 162558L, 162563L, 162564L, 
162566L, 162567L, 162572L, 162573L, 162575L, 162576L, 162581L, 
162582L, 162584L, 162585L, 162590L, 162591L, 162593L, 162594L, 
162608L, 162609L, 162611L, 162612L, 162617L, 162618L, 162620L, 
162621L, 162626L, 162627L, 162629L, 162630L, 162635L, 162636L, 
162638L, 162639L, 162644L, 162645L, 162647L, 162648L, 162716L, 
162717L, 162719L, 162720L, 162725L, 162726L, 162728L, 162729L, 
162734L, 162735L, 162737L, 162738L, 162743L, 162744L, 162746L, 
162747L, 162752L, 162753L, 162755L, 162756L, 162770L, 162771L, 
162773L, 162774L, 162779L, 162780L, 162782L, 162783L, 162788L, 
162789L, 162791L, 162792L, 162797L, 162798L, 162800L, 162801L, 
162806L, 162807L, 162809L, 162810L, 163040L, 163041L, 163043L, 
163044L, 163049L, 163050L, 163052L, 163053L, 163058L, 163059L, 
163061L, 163062L, 163067L, 163068L, 163070L, 163071L, 163076L, 
163077L, 163079L, 163080L, 163094L, 163095L, 163097L, 163098L, 
163103L, 163104L, 163106L, 163107L, 163112L, 163113L, 163115L, 
163116L, 163121L, 163122L, 163124L, 163125L, 163130L, 163131L, 
163133L, 163134L, 163202L, 163203L, 163205L, 163206L, 163211L, 
163212L, 163214L, 163215L, 163220L, 163221L, 163223L, 163224L, 
163229L, 163230L, 163232L, 163233L, 163238L, 163239L, 163241L, 
163242L, 163256L, 163257L, 163259L, 163260L, 163265L, 163266L, 
163268L, 163269L, 163274L, 163275L, 163277L, 163278L, 163283L, 
163284L, 163286L, 163287L, 163292L, 163293L, 163295L, 163296L, 
163364L, 163365L, 163367L, 163368L, 163373L, 163374L, 163376L, 
163377L, 163382L, 163383L, 163385L, 163386L, 163391L, 163392L, 
163394L, 163395L, 163400L, 163401L, 163403L, 163404L, 163418L, 
163419L, 163421L, 163422L, 163427L, 163428L, 163430L, 163431L, 
163436L, 163437L, 163439L, 163440L, 163445L, 163446L, 163448L, 
163449L, 163454L, 163455L, 163457L, 163458L, 163526L, 163527L, 
163529L, 163530L, 163535L, 163536L, 163538L, 163539L, 163544L, 
163545L, 163547L, 163548L, 163553L, 163554L, 163556L, 163557L, 
163562L, 163563L, 163565L, 163566L, 163580L, 163581L, 163583L, 
163584L, 163589L, 163590L, 163592L, 163593L, 163598L, 163599L, 
163601L, 163602L, 163607L, 163608L, 163610L, 163611L, 163616L, 
163617L, 163619L, 163620L, 163850L, 163851L, 163853L, 163854L, 
163859L, 163860L, 163862L, 163863L, 163868L, 163869L, 163871L, 
163872L, 163877L, 163878L, 163880L, 163881L, 163886L, 163887L, 
163889L, 163890L, 163904L, 163905L, 163907L, 163908L, 163913L, 
163914L, 163916L, 163917L, 163922L, 163923L, 163925L, 163926L, 
163931L, 163932L, 163934L, 163935L, 163940L, 163941L, 163943L, 
163944L, 164012L, 164013L, 164015L, 164016L, 164021L, 164022L, 
164024L, 164025L, 164030L, 164031L, 164033L, 164034L, 164039L, 
164040L, 164042L, 164043L, 164048L, 164049L, 164051L, 164052L, 
164066L, 164067L, 164069L, 164070L, 164075L, 164076L, 164078L, 
164079L, 164084L, 164085L, 164087L, 164088L, 164093L, 164094L, 
164096L, 164097L, 164102L, 164103L, 164105L, 164106L, 164174L, 
164175L, 164177L, 164178L, 164183L, 164184L, 164186L, 164187L, 
164192L, 164193L, 164195L, 164196L, 164201L, 164202L, 164204L, 
164205L, 164210L, 164211L, 164213L, 164214L, 164228L, 164229L, 
164231L, 164232L, 164237L, 164238L, 164240L, 164241L, 164246L, 
164247L, 164249L, 164250L, 164255L, 164256L, 164258L, 164259L, 
164264L, 164265L, 164267L, 164268L, 164336L, 164337L, 164339L, 
164340L, 164345L, 164346L, 164348L, 164349L, 164354L, 164355L, 
164357L, 164358L, 164363L, 164364L, 164366L, 164367L, 164372L, 
164373L, 164375L, 164376L, 164390L, 164391L, 164393L, 164394L, 
164399L, 164400L, 164402L, 164403L, 164408L, 164409L, 164411L, 
164412L, 164417L, 164418L, 164420L, 164421L, 164426L, 164427L, 
164429L, 164430L, 164660L, 164661L, 164663L, 164664L, 164669L, 
164670L, 164672L, 164673L, 164678L, 164679L, 164681L, 164682L, 
164687L, 164688L, 164690L, 164691L, 164696L, 164697L, 164699L, 
164700L, 164714L, 164715L, 164717L, 164718L, 164723L, 164724L, 
164726L, 164727L, 164732L, 164733L, 164735L, 164736L, 164741L, 
164742L, 164744L, 164745L, 164750L, 164751L, 164753L, 164754L, 
164822L, 164823L, 164825L, 164826L, 164831L, 164832L, 164834L, 
164835L, 164840L, 164841L, 164843L, 164844L, 164849L, 164850L, 
164852L, 164853L, 164858L, 164859L, 164861L, 164862L, 164876L, 
164877L, 164879L, 164880L, 164885L, 164886L, 164888L, 164889L, 
164894L, 164895L, 164897L, 164898L, 164903L, 164904L, 164906L, 
164907L, 164912L, 164913L, 164915L, 164916L, 164984L, 164985L, 
164987L, 164988L, 164993L, 164994L, 164996L, 164997L, 165002L, 
165003L, 165005L, 165006L, 165011L, 165012L, 165014L, 165015L, 
165020L, 165021L, 165023L, 165024L, 165038L, 165039L, 165041L, 
165042L, 165047L, 165048L, 165050L, 165051L, 165056L, 165057L, 
165059L, 165060L, 165065L, 165066L, 165068L, 165069L, 165074L, 
165075L, 165077L, 165078L, 165146L, 165147L, 165149L, 165150L, 
165155L, 165156L, 165158L, 165159L, 165164L, 165165L, 165167L, 
165168L, 165173L, 165174L, 165176L, 165177L, 165182L, 165183L, 
165185L, 165186L, 165200L, 165201L, 165203L, 165204L, 165209L, 
165210L, 165212L, 165213L, 165218L, 165219L, 165221L, 165222L, 
165227L, 165228L, 165230L, 165231L, 165236L, 165237L, 165239L, 
165240L, 176000L, 176001L, 176003L, 176004L, 176009L, 176010L, 
176012L, 176013L, 176018L, 176019L, 176021L, 176022L, 176027L, 
176028L, 176030L, 176031L, 176036L, 176037L, 176039L, 176040L, 
176054L, 176055L, 176057L, 176058L, 176063L, 176064L, 176066L, 
176067L, 176072L, 176073L, 176075L, 176076L, 176081L, 176082L, 
176084L, 176085L, 176090L, 176091L, 176093L, 176094L, 176162L, 
176163L, 176165L, 176166L, 176171L, 176172L, 176174L, 176175L, 
176180L, 176181L, 176183L, 176184L, 176189L, 176190L, 176192L, 
176193L, 176198L, 176199L, 176201L, 176202L, 176216L, 176217L, 
176219L, 176220L, 176225L, 176226L, 176228L, 176229L, 176234L, 
176235L, 176237L, 176238L, 176243L, 176244L, 176246L, 176247L, 
176252L, 176253L, 176255L, 176256L, 176324L, 176325L, 176327L, 
176328L, 176333L, 176334L, 176336L, 176337L, 176342L, 176343L, 
176345L, 176346L, 176351L, 176352L, 176354L, 176355L, 176360L, 
176361L, 176363L, 176364L, 176378L, 176379L, 176381L, 176382L, 
176387L, 176388L, 176390L, 176391L, 176396L, 176397L, 176399L, 
176400L, 176405L, 176406L, 176408L, 176409L, 176414L, 176415L, 
176417L, 176418L, 176486L, 176487L, 176489L, 176490L, 176495L, 
176496L, 176498L, 176499L, 176504L, 176505L, 176507L, 176508L, 
176513L, 176514L, 176516L, 176517L, 176522L, 176523L, 176525L, 
176526L, 176540L, 176541L, 176543L, 176544L, 176549L, 176550L, 
176552L, 176553L, 176558L, 176559L, 176561L, 176562L, 176567L, 
176568L, 176570L, 176571L, 176576L, 176577L, 176579L, 176580L, 
176810L, 176811L, 176813L, 176814L, 176819L, 176820L, 176822L, 
176823L, 176828L, 176829L, 176831L, 176832L, 176837L, 176838L, 
176840L, 176841L, 176846L, 176847L, 176849L, 176850L, 176864L, 
176865L, 176867L, 176868L, 176873L, 176874L, 176876L, 176877L, 
176882L, 176883L, 176885L, 176886L, 176891L, 176892L, 176894L, 
176895L, 176900L, 176901L, 176903L, 176904L, 176972L, 176973L, 
176975L, 176976L, 176981L, 176982L, 176984L, 176985L, 176990L, 
176991L, 176993L, 176994L, 176999L, 177000L, 177002L, 177003L, 
177008L, 177009L, 177011L, 177012L, 177026L, 177027L, 177029L, 
177030L, 177035L, 177036L, 177038L, 177039L, 177044L, 177045L, 
177047L, 177048L, 177053L, 177054L, 177056L, 177057L, 177062L, 
177063L, 177065L, 177066L, 177134L, 177135L, 177137L, 177138L, 
177143L, 177144L, 177146L, 177147L, 177152L, 177153L, 177155L, 
177156L, 177161L, 177162L, 177164L, 177165L, 177170L, 177171L, 
177173L, 177174L, 177188L, 177189L, 177191L, 177192L, 177197L, 
177198L, 177200L, 177201L, 177206L, 177207L, 177209L, 177210L, 
177215L, 177216L, 177218L, 177219L, 177224L, 177225L, 177227L, 
177228L, 177296L, 177297L, 177299L, 177300L, 177305L, 177306L, 
177308L, 177309L, 177314L, 177315L, 177317L, 177318L, 177323L, 
177324L, 177326L, 177327L, 177332L, 177333L, 177335L, 177336L, 
177350L, 177351L, 177353L, 177354L, 177359L, 177360L, 177362L, 
177363L, 177368L, 177369L, 177371L, 177372L, 177377L, 177378L, 
177380L, 177381L, 177386L, 177387L, 177389L, 177390L, 177620L, 
177621L, 177623L, 177624L, 177629L, 177630L, 177632L, 177633L, 
177638L, 177639L, 177641L, 177642L, 177647L, 177648L, 177650L, 
177651L, 177656L, 177657L, 177659L, 177660L, 177674L, 177675L, 
177677L, 177678L, 177683L, 177684L, 177686L, 177687L, 177692L, 
177693L, 177695L, 177696L, 177701L, 177702L, 177704L, 177705L, 
177710L, 177711L, 177713L, 177714L, 177782L, 177783L, 177785L, 
177786L, 177791L, 177792L, 177794L, 177795L, 177800L, 177801L, 
177803L, 177804L, 177809L, 177810L, 177812L, 177813L, 177818L, 
177819L, 177821L, 177822L, 177836L, 177837L, 177839L, 177840L, 
177845L, 177846L, 177848L, 177849L, 177854L, 177855L, 177857L, 
177858L, 177863L, 177864L, 177866L, 177867L, 177872L, 177873L, 
177875L, 177876L, 177944L, 177945L, 177947L, 177948L, 177953L, 
177954L, 177956L, 177957L, 177962L, 177963L, 177965L, 177966L, 
177971L, 177972L, 177974L, 177975L, 177980L, 177981L, 177983L, 
177984L, 177998L, 177999L, 178001L, 178002L, 178007L, 178008L, 
178010L, 178011L, 178016L, 178017L, 178019L, 178020L, 178025L, 
178026L, 178028L, 178029L, 178034L, 178035L, 178037L, 178038L, 
178106L, 178107L, 178109L, 178110L, 178115L, 178116L, 178118L, 
178119L, 178124L, 178125L, 178127L, 178128L, 178133L, 178134L, 
178136L, 178137L, 178142L, 178143L, 178145L, 178146L, 178160L, 
178161L, 178163L, 178164L, 178169L, 178170L, 178172L, 178173L, 
178178L, 178179L, 178181L, 178182L, 178187L, 178188L, 178190L, 
178191L, 178196L, 178197L, 178199L, 178200L, 178430L, 178431L, 
178433L, 178434L, 178439L, 178440L, 178442L, 178443L, 178448L, 
178449L, 178451L, 178452L, 178457L, 178458L, 178460L, 178461L, 
178466L, 178467L, 178469L, 178470L, 178484L, 178485L, 178487L, 
178488L, 178493L, 178494L, 178496L, 178497L, 178502L, 178503L, 
178505L, 178506L, 178511L, 178512L, 178514L, 178515L, 178520L, 
178521L, 178523L, 178524L, 178592L, 178593L, 178595L, 178596L, 
178601L, 178602L, 178604L, 178605L, 178610L, 178611L, 178613L, 
178614L, 178619L, 178620L, 178622L, 178623L, 178628L, 178629L, 
178631L, 178632L, 178646L, 178647L, 178649L, 178650L, 178655L, 
178656L, 178658L, 178659L, 178664L, 178665L, 178667L, 178668L, 
178673L, 178674L, 178676L, 178677L, 178682L, 178683L, 178685L, 
178686L, 178754L, 178755L, 178757L, 178758L, 178763L, 178764L, 
178766L, 178767L, 178772L, 178773L, 178775L, 178776L, 178781L, 
178782L, 178784L, 178785L, 178790L, 178791L, 178793L, 178794L, 
178808L, 178809L, 178811L, 178812L, 178817L, 178818L, 178820L, 
178821L, 178826L, 178827L, 178829L, 178830L, 178835L, 178836L, 
178838L, 178839L, 178844L, 178845L, 178847L, 178848L, 178916L, 
178917L, 178919L, 178920L, 178925L, 178926L, 178928L, 178929L, 
178934L, 178935L, 178937L, 178938L, 178943L, 178944L, 178946L, 
178947L, 178952L, 178953L, 178955L, 178956L, 178970L, 178971L, 
178973L, 178974L, 178979L, 178980L, 178982L, 178983L, 178988L, 
178989L, 178991L, 178992L, 178997L, 178998L, 179000L, 179001L, 
179006L, 179007L, 179009L, 179010L, 179240L, 179241L, 179243L, 
179244L, 179249L, 179250L, 179252L, 179253L, 179258L, 179259L, 
179261L, 179262L, 179267L, 179268L, 179270L, 179271L, 179276L, 
179277L, 179279L, 179280L, 179294L, 179295L, 179297L, 179298L, 
179303L, 179304L, 179306L, 179307L, 179312L, 179313L, 179315L, 
179316L, 179321L, 179322L, 179324L, 179325L, 179330L, 179331L, 
179333L, 179334L, 179402L, 179403L, 179405L, 179406L, 179411L, 
179412L, 179414L, 179415L, 179420L, 179421L, 179423L, 179424L, 
179429L, 179430L, 179432L, 179433L, 179438L, 179439L, 179441L, 
179442L, 179456L, 179457L, 179459L, 179460L, 179465L, 179466L, 
179468L, 179469L, 179474L, 179475L, 179477L, 179478L, 179483L, 
179484L, 179486L, 179487L, 179492L, 179493L, 179495L, 179496L, 
179564L, 179565L, 179567L, 179568L, 179573L, 179574L, 179576L, 
179577L, 179582L, 179583L, 179585L, 179586L, 179591L, 179592L, 
179594L, 179595L, 179600L, 179601L, 179603L, 179604L, 179618L, 
179619L, 179621L, 179622L, 179627L, 179628L, 179630L, 179631L, 
179636L, 179637L, 179639L, 179640L, 179645L, 179646L, 179648L, 
179649L, 179654L, 179655L, 179657L, 179658L, 179726L, 179727L, 
179729L, 179730L, 179735L, 179736L, 179738L, 179739L, 179744L, 
179745L, 179747L, 179748L, 179753L, 179754L, 179756L, 179757L, 
179762L, 179763L, 179765L, 179766L, 179780L, 179781L, 179783L, 
179784L, 179789L, 179790L, 179792L, 179793L, 179798L, 179799L, 
179801L, 179802L, 179807L, 179808L, 179810L, 179811L, 179816L, 
179817L, 179819L, 179820L, 180860L, 180861L, 180863L, 180864L, 
180869L, 180870L, 180872L, 180873L, 180878L, 180879L, 180881L, 
180882L, 180887L, 180888L, 180890L, 180891L, 180896L, 180897L, 
180899L, 180900L, 180914L, 180915L, 180917L, 180918L, 180923L, 
180924L, 180926L, 180927L, 180932L, 180933L, 180935L, 180936L, 
180941L, 180942L, 180944L, 180945L, 180950L, 180951L, 180953L, 
180954L, 181022L, 181023L, 181025L, 181026L, 181031L, 181032L, 
181034L, 181035L, 181040L, 181041L, 181043L, 181044L, 181049L, 
181050L, 181052L, 181053L, 181058L, 181059L, 181061L, 181062L, 
181076L, 181077L, 181079L, 181080L, 181085L, 181086L, 181088L, 
181089L, 181094L, 181095L, 181097L, 181098L, 181103L, 181104L, 
181106L, 181107L, 181112L, 181113L, 181115L, 181116L, 181184L, 
181185L, 181187L, 181188L, 181193L, 181194L, 181196L, 181197L, 
181202L, 181203L, 181205L, 181206L, 181211L, 181212L, 181214L, 
181215L, 181220L, 181221L, 181223L, 181224L, 181238L, 181239L, 
181241L, 181242L, 181247L, 181248L, 181250L, 181251L, 181256L, 
181257L, 181259L, 181260L, 181265L, 181266L, 181268L, 181269L, 
181274L, 181275L, 181277L, 181278L, 181346L, 181347L, 181349L, 
181350L, 181355L, 181356L, 181358L, 181359L, 181364L, 181365L, 
181367L, 181368L, 181373L, 181374L, 181376L, 181377L, 181382L, 
181383L, 181385L, 181386L, 181400L, 181401L, 181403L, 181404L, 
181409L, 181410L, 181412L, 181413L, 181418L, 181419L, 181421L, 
181422L, 181427L, 181428L, 181430L, 181431L, 181436L, 181437L, 
181439L, 181440L, 181670L, 181671L, 181673L, 181674L, 181679L, 
181680L, 181682L, 181683L, 181688L, 181689L, 181691L, 181692L, 
181697L, 181698L, 181700L, 181701L, 181706L, 181707L, 181709L, 
181710L, 181724L, 181725L, 181727L, 181728L, 181733L, 181734L, 
181736L, 181737L, 181742L, 181743L, 181745L, 181746L, 181751L, 
181752L, 181754L, 181755L, 181760L, 181761L, 181763L, 181764L, 
181832L, 181833L, 181835L, 181836L, 181841L, 181842L, 181844L, 
181845L, 181850L, 181851L, 181853L, 181854L, 181859L, 181860L, 
181862L, 181863L, 181868L, 181869L, 181871L, 181872L, 181886L, 
181887L, 181889L, 181890L, 181895L, 181896L, 181898L, 181899L, 
181904L, 181905L, 181907L, 181908L, 181913L, 181914L, 181916L, 
181917L, 181922L, 181923L, 181925L, 181926L, 181994L, 181995L, 
181997L, 181998L, 182003L, 182004L, 182006L, 182007L, 182012L, 
182013L, 182015L, 182016L, 182021L, 182022L, 182024L, 182025L, 
182030L, 182031L, 182033L, 182034L, 182048L, 182049L, 182051L, 
182052L, 182057L, 182058L, 182060L, 182061L, 182066L, 182067L, 
182069L, 182070L, 182075L, 182076L, 182078L, 182079L, 182084L, 
182085L, 182087L, 182088L, 182156L, 182157L, 182159L, 182160L, 
182165L, 182166L, 182168L, 182169L, 182174L, 182175L, 182177L, 
182178L, 182183L, 182184L, 182186L, 182187L, 182192L, 182193L, 
182195L, 182196L, 182210L, 182211L, 182213L, 182214L, 182219L, 
182220L, 182222L, 182223L, 182228L, 182229L, 182231L, 182232L, 
182237L, 182238L, 182240L, 182241L, 182246L, 182247L, 182249L, 
182250L, 182480L, 182481L, 182483L, 182484L, 182489L, 182490L, 
182492L, 182493L, 182498L, 182499L, 182501L, 182502L, 182507L, 
182508L, 182510L, 182511L, 182516L, 182517L, 182519L, 182520L, 
182534L, 182535L, 182537L, 182538L, 182543L, 182544L, 182546L, 
182547L, 182552L, 182553L, 182555L, 182556L, 182561L, 182562L, 
182564L, 182565L, 182570L, 182571L, 182573L, 182574L, 182642L, 
182643L, 182645L, 182646L, 182651L, 182652L, 182654L, 182655L, 
182660L, 182661L, 182663L, 182664L, 182669L, 182670L, 182672L, 
182673L, 182678L, 182679L, 182681L, 182682L, 182696L, 182697L, 
182699L, 182700L, 182705L, 182706L, 182708L, 182709L, 182714L, 
182715L, 182717L, 182718L, 182723L, 182724L, 182726L, 182727L, 
182732L, 182733L, 182735L, 182736L, 182804L, 182805L, 182807L, 
182808L, 182813L, 182814L, 182816L, 182817L, 182822L, 182823L, 
182825L, 182826L, 182831L, 182832L, 182834L, 182835L, 182840L, 
182841L, 182843L, 182844L, 182858L, 182859L, 182861L, 182862L, 
182867L, 182868L, 182870L, 182871L, 182876L, 182877L, 182879L, 
182880L, 182885L, 182886L, 182888L, 182889L, 182894L, 182895L, 
182897L, 182898L, 182966L, 182967L, 182969L, 182970L, 182975L, 
182976L, 182978L, 182979L, 182984L, 182985L, 182987L, 182988L, 
182993L, 182994L, 182996L, 182997L, 183002L, 183003L, 183005L, 
183006L, 183020L, 183021L, 183023L, 183024L, 183029L, 183030L, 
183032L, 183033L, 183038L, 183039L, 183041L, 183042L, 183047L, 
183048L, 183050L, 183051L, 183056L, 183057L, 183059L, 183060L, 
183290L, 183291L, 183293L, 183294L, 183299L, 183300L, 183302L, 
183303L, 183308L, 183309L, 183311L, 183312L, 183317L, 183318L, 
183320L, 183321L, 183326L, 183327L, 183329L, 183330L, 183344L, 
183345L, 183347L, 183348L, 183353L, 183354L, 183356L, 183357L, 
183362L, 183363L, 183365L, 183366L, 183371L, 183372L, 183374L, 
183375L, 183380L, 183381L, 183383L, 183384L, 183452L, 183453L, 
183455L, 183456L, 183461L, 183462L, 183464L, 183465L, 183470L, 
183471L, 183473L, 183474L, 183479L, 183480L, 183482L, 183483L, 
183488L, 183489L, 183491L, 183492L, 183506L, 183507L, 183509L, 
183510L, 183515L, 183516L, 183518L, 183519L, 183524L, 183525L, 
183527L, 183528L, 183533L, 183534L, 183536L, 183537L, 183542L, 
183543L, 183545L, 183546L, 183614L, 183615L, 183617L, 183618L, 
183623L, 183624L, 183626L, 183627L, 183632L, 183633L, 183635L, 
183636L, 183641L, 183642L, 183644L, 183645L, 183650L, 183651L, 
183653L, 183654L, 183668L, 183669L, 183671L, 183672L, 183677L, 
183678L, 183680L, 183681L, 183686L, 183687L, 183689L, 183690L, 
183695L, 183696L, 183698L, 183699L, 183704L, 183705L, 183707L, 
183708L, 183776L, 183777L, 183779L, 183780L, 183785L, 183786L, 
183788L, 183789L, 183794L, 183795L, 183797L, 183798L, 183803L, 
183804L, 183806L, 183807L, 183812L, 183813L, 183815L, 183816L, 
183830L, 183831L, 183833L, 183834L, 183839L, 183840L, 183842L, 
183843L, 183848L, 183849L, 183851L, 183852L, 183857L, 183858L, 
183860L, 183861L, 183866L, 183867L, 183869L, 183870L, 184100L, 
184101L, 184103L, 184104L, 184109L, 184110L, 184112L, 184113L, 
184118L, 184119L, 184121L, 184122L, 184127L, 184128L, 184130L, 
184131L, 184136L, 184137L, 184139L, 184140L, 184154L, 184155L, 
184157L, 184158L, 184163L, 184164L, 184166L, 184167L, 184172L, 
184173L, 184175L, 184176L, 184181L, 184182L, 184184L, 184185L, 
184190L, 184191L, 184193L, 184194L, 184262L, 184263L, 184265L, 
184266L, 184271L, 184272L, 184274L, 184275L, 184280L, 184281L, 
184283L, 184284L, 184289L, 184290L, 184292L, 184293L, 184298L, 
184299L, 184301L, 184302L, 184316L, 184317L, 184319L, 184320L, 
184325L, 184326L, 184328L, 184329L, 184334L, 184335L, 184337L, 
184338L, 184343L, 184344L, 184346L, 184347L, 184352L, 184353L, 
184355L, 184356L, 184424L, 184425L, 184427L, 184428L, 184433L, 
184434L, 184436L, 184437L, 184442L, 184443L, 184445L, 184446L, 
184451L, 184452L, 184454L, 184455L, 184460L, 184461L, 184463L, 
184464L, 184478L, 184479L, 184481L, 184482L, 184487L, 184488L, 
184490L, 184491L, 184496L, 184497L, 184499L, 184500L, 184505L, 
184506L, 184508L, 184509L, 184514L, 184515L, 184517L, 184518L, 
184586L, 184587L, 184589L, 184590L, 184595L, 184596L, 184598L, 
184599L, 184604L, 184605L, 184607L, 184608L, 184613L, 184614L, 
184616L, 184617L, 184622L, 184623L, 184625L, 184626L, 184640L, 
184641L, 184643L, 184644L, 184649L, 184650L, 184652L, 184653L, 
184658L, 184659L, 184661L, 184662L, 184667L, 184668L, 184670L, 
184671L, 184676L, 184677L, 184679L, 184680L, 185720L, 185721L, 
185723L, 185724L, 185729L, 185730L, 185732L, 185733L, 185738L, 
185739L, 185741L, 185742L, 185747L, 185748L, 185750L, 185751L, 
185756L, 185757L, 185759L, 185760L, 185774L, 185775L, 185777L, 
185778L, 185783L, 185784L, 185786L, 185787L, 185792L, 185793L, 
185795L, 185796L, 185801L, 185802L, 185804L, 185805L, 185810L, 
185811L, 185813L, 185814L, 185882L, 185883L, 185885L, 185886L, 
185891L, 185892L, 185894L, 185895L, 185900L, 185901L, 185903L, 
185904L, 185909L, 185910L, 185912L, 185913L, 185918L, 185919L, 
185921L, 185922L, 185936L, 185937L, 185939L, 185940L, 185945L, 
185946L, 185948L, 185949L, 185954L, 185955L, 185957L, 185958L, 
185963L, 185964L, 185966L, 185967L, 185972L, 185973L, 185975L, 
185976L, 186044L, 186045L, 186047L, 186048L, 186053L, 186054L, 
186056L, 186057L, 186062L, 186063L, 186065L, 186066L, 186071L, 
186072L, 186074L, 186075L, 186080L, 186081L, 186083L, 186084L, 
186098L, 186099L, 186101L, 186102L, 186107L, 186108L, 186110L, 
186111L, 186116L, 186117L, 186119L, 186120L, 186125L, 186126L, 
186128L, 186129L, 186134L, 186135L, 186137L, 186138L, 186206L, 
186207L, 186209L, 186210L, 186215L, 186216L, 186218L, 186219L, 
186224L, 186225L, 186227L, 186228L, 186233L, 186234L, 186236L, 
186237L, 186242L, 186243L, 186245L, 186246L, 186260L, 186261L, 
186263L, 186264L, 186269L, 186270L, 186272L, 186273L, 186278L, 
186279L, 186281L, 186282L, 186287L, 186288L, 186290L, 186291L, 
186296L, 186297L, 186299L, 186300L, 186530L, 186531L, 186533L, 
186534L, 186539L, 186540L, 186542L, 186543L, 186548L, 186549L, 
186551L, 186552L, 186557L, 186558L, 186560L, 186561L, 186566L, 
186567L, 186569L, 186570L, 186584L, 186585L, 186587L, 186588L, 
186593L, 186594L, 186596L, 186597L, 186602L, 186603L, 186605L, 
186606L, 186611L, 186612L, 186614L, 186615L, 186620L, 186621L, 
186623L, 186624L, 186692L, 186693L, 186695L, 186696L, 186701L, 
186702L, 186704L, 186705L, 186710L, 186711L, 186713L, 186714L, 
186719L, 186720L, 186722L, 186723L, 186728L, 186729L, 186731L, 
186732L, 186746L, 186747L, 186749L, 186750L, 186755L, 186756L, 
186758L, 186759L, 186764L, 186765L, 186767L, 186768L, 186773L, 
186774L, 186776L, 186777L, 186782L, 186783L, 186785L, 186786L, 
186854L, 186855L, 186857L, 186858L, 186863L, 186864L, 186866L, 
186867L, 186872L, 186873L, 186875L, 186876L, 186881L, 186882L, 
186884L, 186885L, 186890L, 186891L, 186893L, 186894L, 186908L, 
186909L, 186911L, 186912L, 186917L, 186918L, 186920L, 186921L, 
186926L, 186927L, 186929L, 186930L, 186935L, 186936L, 186938L, 
186939L, 186944L, 186945L, 186947L, 186948L, 187016L, 187017L, 
187019L, 187020L, 187025L, 187026L, 187028L, 187029L, 187034L, 
187035L, 187037L, 187038L, 187043L, 187044L, 187046L, 187047L, 
187052L, 187053L, 187055L, 187056L, 187070L, 187071L, 187073L, 
187074L, 187079L, 187080L, 187082L, 187083L, 187088L, 187089L, 
187091L, 187092L, 187097L, 187098L, 187100L, 187101L, 187106L, 
187107L, 187109L, 187110L, 187340L, 187341L, 187343L, 187344L, 
187349L, 187350L, 187352L, 187353L, 187358L, 187359L, 187361L, 
187362L, 187367L, 187368L, 187370L, 187371L, 187376L, 187377L, 
187379L, 187380L, 187394L, 187395L, 187397L, 187398L, 187403L, 
187404L, 187406L, 187407L, 187412L, 187413L, 187415L, 187416L, 
187421L, 187422L, 187424L, 187425L, 187430L, 187431L, 187433L, 
187434L, 187502L, 187503L, 187505L, 187506L, 187511L, 187512L, 
187514L, 187515L, 187520L, 187521L, 187523L, 187524L, 187529L, 
187530L, 187532L, 187533L, 187538L, 187539L, 187541L, 187542L, 
187556L, 187557L, 187559L, 187560L, 187565L, 187566L, 187568L, 
187569L, 187574L, 187575L, 187577L, 187578L, 187583L, 187584L, 
187586L, 187587L, 187592L, 187593L, 187595L, 187596L, 187664L, 
187665L, 187667L, 187668L, 187673L, 187674L, 187676L, 187677L, 
187682L, 187683L, 187685L, 187686L, 187691L, 187692L, 187694L, 
187695L, 187700L, 187701L, 187703L, 187704L, 187718L, 187719L, 
187721L, 187722L, 187727L, 187728L, 187730L, 187731L, 187736L, 
187737L, 187739L, 187740L, 187745L, 187746L, 187748L, 187749L, 
187754L, 187755L, 187757L, 187758L, 187826L, 187827L, 187829L, 
187830L, 187835L, 187836L, 187838L, 187839L, 187844L, 187845L, 
187847L, 187848L, 187853L, 187854L, 187856L, 187857L, 187862L, 
187863L, 187865L, 187866L, 187880L, 187881L, 187883L, 187884L, 
187889L, 187890L, 187892L, 187893L, 187898L, 187899L, 187901L, 
187902L, 187907L, 187908L, 187910L, 187911L, 187916L, 187917L, 
187919L, 187920L, 188150L, 188151L, 188153L, 188154L, 188159L, 
188160L, 188162L, 188163L, 188168L, 188169L, 188171L, 188172L, 
188177L, 188178L, 188180L, 188181L, 188186L, 188187L, 188189L, 
188190L, 188204L, 188205L, 188207L, 188208L, 188213L, 188214L, 
188216L, 188217L, 188222L, 188223L, 188225L, 188226L, 188231L, 
188232L, 188234L, 188235L, 188240L, 188241L, 188243L, 188244L, 
188312L, 188313L, 188315L, 188316L, 188321L, 188322L, 188324L, 
188325L, 188330L, 188331L, 188333L, 188334L, 188339L, 188340L, 
188342L, 188343L, 188348L, 188349L, 188351L, 188352L, 188366L, 
188367L, 188369L, 188370L, 188375L, 188376L, 188378L, 188379L, 
188384L, 188385L, 188387L, 188388L, 188393L, 188394L, 188396L, 
188397L, 188402L, 188403L, 188405L, 188406L, 188474L, 188475L, 
188477L, 188478L, 188483L, 188484L, 188486L, 188487L, 188492L, 
188493L, 188495L, 188496L, 188501L, 188502L, 188504L, 188505L, 
188510L, 188511L, 188513L, 188514L, 188528L, 188529L, 188531L, 
188532L, 188537L, 188538L, 188540L, 188541L, 188546L, 188547L, 
188549L, 188550L, 188555L, 188556L, 188558L, 188559L, 188564L, 
188565L, 188567L, 188568L, 188636L, 188637L, 188639L, 188640L, 
188645L, 188646L, 188648L, 188649L, 188654L, 188655L, 188657L, 
188658L, 188663L, 188664L, 188666L, 188667L, 188672L, 188673L, 
188675L, 188676L, 188690L, 188691L, 188693L, 188694L, 188699L, 
188700L, 188702L, 188703L, 188708L, 188709L, 188711L, 188712L, 
188717L, 188718L, 188720L, 188721L, 188726L, 188727L, 188729L, 
188730L, 188960L, 188961L, 188963L, 188964L, 188969L, 188970L, 
188972L, 188973L, 188978L, 188979L, 188981L, 188982L, 188987L, 
188988L, 188990L, 188991L, 188996L, 188997L, 188999L, 189000L, 
189014L, 189015L, 189017L, 189018L, 189023L, 189024L, 189026L, 
189027L, 189032L, 189033L, 189035L, 189036L, 189041L, 189042L, 
189044L, 189045L, 189050L, 189051L, 189053L, 189054L, 189122L, 
189123L, 189125L, 189126L, 189131L, 189132L, 189134L, 189135L, 
189140L, 189141L, 189143L, 189144L, 189149L, 189150L, 189152L, 
189153L, 189158L, 189159L, 189161L, 189162L, 189176L, 189177L, 
189179L, 189180L, 189185L, 189186L, 189188L, 189189L, 189194L, 
189195L, 189197L, 189198L, 189203L, 189204L, 189206L, 189207L, 
189212L, 189213L, 189215L, 189216L, 189284L, 189285L, 189287L, 
189288L, 189293L, 189294L, 189296L, 189297L, 189302L, 189303L, 
189305L, 189306L, 189311L, 189312L, 189314L, 189315L, 189320L, 
189321L, 189323L, 189324L, 189338L, 189339L, 189341L, 189342L, 
189347L, 189348L, 189350L, 189351L, 189356L, 189357L, 189359L, 
189360L, 189365L, 189366L, 189368L, 189369L, 189374L, 189375L, 
189377L, 189378L, 189446L, 189447L, 189449L, 189450L, 189455L, 
189456L, 189458L, 189459L, 189464L, 189465L, 189467L, 189468L, 
189473L, 189474L, 189476L, 189477L, 189482L, 189483L, 189485L, 
189486L, 189500L, 189501L, 189503L, 189504L, 189509L, 189510L, 
189512L, 189513L, 189518L, 189519L, 189521L, 189522L, 189527L, 
189528L, 189530L, 189531L, 189536L, 189537L, 189539L, 189540L, 
200300L, 200301L, 200303L, 200304L, 200309L, 200310L, 200312L, 
200313L, 200318L, 200319L, 200321L, 200322L, 200327L, 200328L, 
200330L, 200331L, 200336L, 200337L, 200339L, 200340L, 200354L, 
200355L, 200357L, 200358L, 200363L, 200364L, 200366L, 200367L, 
200372L, 200373L, 200375L, 200376L, 200381L, 200382L, 200384L, 
200385L, 200390L, 200391L, 200393L, 200394L, 200462L, 200463L, 
200465L, 200466L, 200471L, 200472L, 200474L, 200475L, 200480L, 
200481L, 200483L, 200484L, 200489L, 200490L, 200492L, 200493L, 
200498L, 200499L, 200501L, 200502L, 200516L, 200517L, 200519L, 
200520L, 200525L, 200526L, 200528L, 200529L, 200534L, 200535L, 
200537L, 200538L, 200543L, 200544L, 200546L, 200547L, 200552L, 
200553L, 200555L, 200556L, 200624L, 200625L, 200627L, 200628L, 
200633L, 200634L, 200636L, 200637L, 200642L, 200643L, 200645L, 
200646L, 200651L, 200652L, 200654L, 200655L, 200660L, 200661L, 
200663L, 200664L, 200678L, 200679L, 200681L, 200682L, 200687L, 
200688L, 200690L, 200691L, 200696L, 200697L, 200699L, 200700L, 
200705L, 200706L, 200708L, 200709L, 200714L, 200715L, 200717L, 
200718L, 200786L, 200787L, 200789L, 200790L, 200795L, 200796L, 
200798L, 200799L, 200804L, 200805L, 200807L, 200808L, 200813L, 
200814L, 200816L, 200817L, 200822L, 200823L, 200825L, 200826L, 
200840L, 200841L, 200843L, 200844L, 200849L, 200850L, 200852L, 
200853L, 200858L, 200859L, 200861L, 200862L, 200867L, 200868L, 
200870L, 200871L, 200876L, 200877L, 200879L, 200880L, 201110L, 
201111L, 201113L, 201114L, 201119L, 201120L, 201122L, 201123L, 
201128L, 201129L, 201131L, 201132L, 201137L, 201138L, 201140L, 
201141L, 201146L, 201147L, 201149L, 201150L, 201164L, 201165L, 
201167L, 201168L, 201173L, 201174L, 201176L, 201177L, 201182L, 
201183L, 201185L, 201186L, 201191L, 201192L, 201194L, 201195L, 
201200L, 201201L, 201203L, 201204L, 201272L, 201273L, 201275L, 
201276L, 201281L, 201282L, 201284L, 201285L, 201290L, 201291L, 
201293L, 201294L, 201299L, 201300L, 201302L, 201303L, 201308L, 
201309L, 201311L, 201312L, 201326L, 201327L, 201329L, 201330L, 
201335L, 201336L, 201338L, 201339L, 201344L, 201345L, 201347L, 
201348L, 201353L, 201354L, 201356L, 201357L, 201362L, 201363L, 
201365L, 201366L, 201434L, 201435L, 201437L, 201438L, 201443L, 
201444L, 201446L, 201447L, 201452L, 201453L, 201455L, 201456L, 
201461L, 201462L, 201464L, 201465L, 201470L, 201471L, 201473L, 
201474L, 201488L, 201489L, 201491L, 201492L, 201497L, 201498L, 
201500L, 201501L, 201506L, 201507L, 201509L, 201510L, 201515L, 
201516L, 201518L, 201519L, 201524L, 201525L, 201527L, 201528L, 
201596L, 201597L, 201599L, 201600L, 201605L, 201606L, 201608L, 
201609L, 201614L, 201615L, 201617L, 201618L, 201623L, 201624L, 
201626L, 201627L, 201632L, 201633L, 201635L, 201636L, 201650L, 
201651L, 201653L, 201654L, 201659L, 201660L, 201662L, 201663L, 
201668L, 201669L, 201671L, 201672L, 201677L, 201678L, 201680L, 
201681L, 201686L, 201687L, 201689L, 201690L, 201920L, 201921L, 
201923L, 201924L, 201929L, 201930L, 201932L, 201933L, 201938L, 
201939L, 201941L, 201942L, 201947L, 201948L, 201950L, 201951L, 
201956L, 201957L, 201959L, 201960L, 201974L, 201975L, 201977L, 
201978L, 201983L, 201984L, 201986L, 201987L, 201992L, 201993L, 
201995L, 201996L, 202001L, 202002L, 202004L, 202005L, 202010L, 
202011L, 202013L, 202014L, 202082L, 202083L, 202085L, 202086L, 
202091L, 202092L, 202094L, 202095L, 202100L, 202101L, 202103L, 
202104L, 202109L, 202110L, 202112L, 202113L, 202118L, 202119L, 
202121L, 202122L, 202136L, 202137L, 202139L, 202140L, 202145L, 
202146L, 202148L, 202149L, 202154L, 202155L, 202157L, 202158L, 
202163L, 202164L, 202166L, 202167L, 202172L, 202173L, 202175L, 
202176L, 202244L, 202245L, 202247L, 202248L, 202253L, 202254L, 
202256L, 202257L, 202262L, 202263L, 202265L, 202266L, 202271L, 
202272L, 202274L, 202275L, 202280L, 202281L, 202283L, 202284L, 
202298L, 202299L, 202301L, 202302L, 202307L, 202308L, 202310L, 
202311L, 202316L, 202317L, 202319L, 202320L, 202325L, 202326L, 
202328L, 202329L, 202334L, 202335L, 202337L, 202338L, 202406L, 
202407L, 202409L, 202410L, 202415L, 202416L, 202418L, 202419L, 
202424L, 202425L, 202427L, 202428L, 202433L, 202434L, 202436L, 
202437L, 202442L, 202443L, 202445L, 202446L, 202460L, 202461L, 
202463L, 202464L, 202469L, 202470L, 202472L, 202473L, 202478L, 
202479L, 202481L, 202482L, 202487L, 202488L, 202490L, 202491L, 
202496L, 202497L, 202499L, 202500L, 202730L, 202731L, 202733L, 
202734L, 202739L, 202740L, 202742L, 202743L, 202748L, 202749L, 
202751L, 202752L, 202757L, 202758L, 202760L, 202761L, 202766L, 
202767L, 202769L, 202770L, 202784L, 202785L, 202787L, 202788L, 
202793L, 202794L, 202796L, 202797L, 202802L, 202803L, 202805L, 
202806L, 202811L, 202812L, 202814L, 202815L, 202820L, 202821L, 
202823L, 202824L, 202892L, 202893L, 202895L, 202896L, 202901L, 
202902L, 202904L, 202905L, 202910L, 202911L, 202913L, 202914L, 
202919L, 202920L, 202922L, 202923L, 202928L, 202929L, 202931L, 
202932L, 202946L, 202947L, 202949L, 202950L, 202955L, 202956L, 
202958L, 202959L, 202964L, 202965L, 202967L, 202968L, 202973L, 
202974L, 202976L, 202977L, 202982L, 202983L, 202985L, 202986L, 
203054L, 203055L, 203057L, 203058L, 203063L, 203064L, 203066L, 
203067L, 203072L, 203073L, 203075L, 203076L, 203081L, 203082L, 
203084L, 203085L, 203090L, 203091L, 203093L, 203094L, 203108L, 
203109L, 203111L, 203112L, 203117L, 203118L, 203120L, 203121L, 
203126L, 203127L, 203129L, 203130L, 203135L, 203136L, 203138L, 
203139L, 203144L, 203145L, 203147L, 203148L, 203216L, 203217L, 
203219L, 203220L, 203225L, 203226L, 203228L, 203229L, 203234L, 
203235L, 203237L, 203238L, 203243L, 203244L, 203246L, 203247L, 
203252L, 203253L, 203255L, 203256L, 203270L, 203271L, 203273L, 
203274L, 203279L, 203280L, 203282L, 203283L, 203288L, 203289L, 
203291L, 203292L, 203297L, 203298L, 203300L, 203301L, 203306L, 
203307L, 203309L, 203310L, 203540L, 203541L, 203543L, 203544L, 
203549L, 203550L, 203552L, 203553L, 203558L, 203559L, 203561L, 
203562L, 203567L, 203568L, 203570L, 203571L, 203576L, 203577L, 
203579L, 203580L, 203594L, 203595L, 203597L, 203598L, 203603L, 
203604L, 203606L, 203607L, 203612L, 203613L, 203615L, 203616L, 
203621L, 203622L, 203624L, 203625L, 203630L, 203631L, 203633L, 
203634L, 203702L, 203703L, 203705L, 203706L, 203711L, 203712L, 
203714L, 203715L, 203720L, 203721L, 203723L, 203724L, 203729L, 
203730L, 203732L, 203733L, 203738L, 203739L, 203741L, 203742L, 
203756L, 203757L, 203759L, 203760L, 203765L, 203766L, 203768L, 
203769L, 203774L, 203775L, 203777L, 203778L, 203783L, 203784L, 
203786L, 203787L, 203792L, 203793L, 203795L, 203796L, 203864L, 
203865L, 203867L, 203868L, 203873L, 203874L, 203876L, 203877L, 
203882L, 203883L, 203885L, 203886L, 203891L, 203892L, 203894L, 
203895L, 203900L, 203901L, 203903L, 203904L, 203918L, 203919L, 
203921L, 203922L, 203927L, 203928L, 203930L, 203931L, 203936L, 
203937L, 203939L, 203940L, 203945L, 203946L, 203948L, 203949L, 
203954L, 203955L, 203957L, 203958L, 204026L, 204027L, 204029L, 
204030L, 204035L, 204036L, 204038L, 204039L, 204044L, 204045L, 
204047L, 204048L, 204053L, 204054L, 204056L, 204057L, 204062L, 
204063L, 204065L, 204066L, 204080L, 204081L, 204083L, 204084L, 
204089L, 204090L, 204092L, 204093L, 204098L, 204099L, 204101L, 
204102L, 204107L, 204108L, 204110L, 204111L, 204116L, 204117L, 
204119L, 204120L, 205160L, 205161L, 205163L, 205164L, 205169L, 
205170L, 205172L, 205173L, 205178L, 205179L, 205181L, 205182L, 
205187L, 205188L, 205190L, 205191L, 205196L, 205197L, 205199L, 
205200L, 205214L, 205215L, 205217L, 205218L, 205223L, 205224L, 
205226L, 205227L, 205232L, 205233L, 205235L, 205236L, 205241L, 
205242L, 205244L, 205245L, 205250L, 205251L, 205253L, 205254L, 
205322L, 205323L, 205325L, 205326L, 205331L, 205332L, 205334L, 
205335L, 205340L, 205341L, 205343L, 205344L, 205349L, 205350L, 
205352L, 205353L, 205358L, 205359L, 205361L, 205362L, 205376L, 
205377L, 205379L, 205380L, 205385L, 205386L, 205388L, 205389L, 
205394L, 205395L, 205397L, 205398L, 205403L, 205404L, 205406L, 
205407L, 205412L, 205413L, 205415L, 205416L, 205484L, 205485L, 
205487L, 205488L, 205493L, 205494L, 205496L, 205497L, 205502L, 
205503L, 205505L, 205506L, 205511L, 205512L, 205514L, 205515L, 
205520L, 205521L, 205523L, 205524L, 205538L, 205539L, 205541L, 
205542L, 205547L, 205548L, 205550L, 205551L, 205556L, 205557L, 
205559L, 205560L, 205565L, 205566L, 205568L, 205569L, 205574L, 
205575L, 205577L, 205578L, 205646L, 205647L, 205649L, 205650L, 
205655L, 205656L, 205658L, 205659L, 205664L, 205665L, 205667L, 
205668L, 205673L, 205674L, 205676L, 205677L, 205682L, 205683L, 
205685L, 205686L, 205700L, 205701L, 205703L, 205704L, 205709L, 
205710L, 205712L, 205713L, 205718L, 205719L, 205721L, 205722L, 
205727L, 205728L, 205730L, 205731L, 205736L, 205737L, 205739L, 
205740L, 205970L, 205971L, 205973L, 205974L, 205979L, 205980L, 
205982L, 205983L, 205988L, 205989L, 205991L, 205992L, 205997L, 
205998L, 206000L, 206001L, 206006L, 206007L, 206009L, 206010L, 
206024L, 206025L, 206027L, 206028L, 206033L, 206034L, 206036L, 
206037L, 206042L, 206043L, 206045L, 206046L, 206051L, 206052L, 
206054L, 206055L, 206060L, 206061L, 206063L, 206064L, 206132L, 
206133L, 206135L, 206136L, 206141L, 206142L, 206144L, 206145L, 
206150L, 206151L, 206153L, 206154L, 206159L, 206160L, 206162L, 
206163L, 206168L, 206169L, 206171L, 206172L, 206186L, 206187L, 
206189L, 206190L, 206195L, 206196L, 206198L, 206199L, 206204L, 
206205L, 206207L, 206208L, 206213L, 206214L, 206216L, 206217L, 
206222L, 206223L, 206225L, 206226L, 206294L, 206295L, 206297L, 
206298L, 206303L, 206304L, 206306L, 206307L, 206312L, 206313L, 
206315L, 206316L, 206321L, 206322L, 206324L, 206325L, 206330L, 
206331L, 206333L, 206334L, 206348L, 206349L, 206351L, 206352L, 
206357L, 206358L, 206360L, 206361L, 206366L, 206367L, 206369L, 
206370L, 206375L, 206376L, 206378L, 206379L, 206384L, 206385L, 
206387L, 206388L, 206456L, 206457L, 206459L, 206460L, 206465L, 
206466L, 206468L, 206469L, 206474L, 206475L, 206477L, 206478L, 
206483L, 206484L, 206486L, 206487L, 206492L, 206493L, 206495L, 
206496L, 206510L, 206511L, 206513L, 206514L, 206519L, 206520L, 
206522L, 206523L, 206528L, 206529L, 206531L, 206532L, 206537L, 
206538L, 206540L, 206541L, 206546L, 206547L, 206549L, 206550L, 
206780L, 206781L, 206783L, 206784L, 206789L, 206790L, 206792L, 
206793L, 206798L, 206799L, 206801L, 206802L, 206807L, 206808L, 
206810L, 206811L, 206816L, 206817L, 206819L, 206820L, 206834L, 
206835L, 206837L, 206838L, 206843L, 206844L, 206846L, 206847L, 
206852L, 206853L, 206855L, 206856L, 206861L, 206862L, 206864L, 
206865L, 206870L, 206871L, 206873L, 206874L, 206942L, 206943L, 
206945L, 206946L, 206951L, 206952L, 206954L, 206955L, 206960L, 
206961L, 206963L, 206964L, 206969L, 206970L, 206972L, 206973L, 
206978L, 206979L, 206981L, 206982L, 206996L, 206997L, 206999L, 
207000L, 207005L, 207006L, 207008L, 207009L, 207014L, 207015L, 
207017L, 207018L, 207023L, 207024L, 207026L, 207027L, 207032L, 
207033L, 207035L, 207036L, 207104L, 207105L, 207107L, 207108L, 
207113L, 207114L, 207116L, 207117L, 207122L, 207123L, 207125L, 
207126L, 207131L, 207132L, 207134L, 207135L, 207140L, 207141L, 
207143L, 207144L, 207158L, 207159L, 207161L, 207162L, 207167L, 
207168L, 207170L, 207171L, 207176L, 207177L, 207179L, 207180L, 
207185L, 207186L, 207188L, 207189L, 207194L, 207195L, 207197L, 
207198L, 207266L, 207267L, 207269L, 207270L, 207275L, 207276L, 
207278L, 207279L, 207284L, 207285L, 207287L, 207288L, 207293L, 
207294L, 207296L, 207297L, 207302L, 207303L, 207305L, 207306L, 
207320L, 207321L, 207323L, 207324L, 207329L, 207330L, 207332L, 
207333L, 207338L, 207339L, 207341L, 207342L, 207347L, 207348L, 
207350L, 207351L, 207356L, 207357L, 207359L, 207360L, 207590L, 
207591L, 207593L, 207594L, 207599L, 207600L, 207602L, 207603L, 
207608L, 207609L, 207611L, 207612L, 207617L, 207618L, 207620L, 
207621L, 207626L, 207627L, 207629L, 207630L, 207644L, 207645L, 
207647L, 207648L, 207653L, 207654L, 207656L, 207657L, 207662L, 
207663L, 207665L, 207666L, 207671L, 207672L, 207674L, 207675L, 
207680L, 207681L, 207683L, 207684L, 207752L, 207753L, 207755L, 
207756L, 207761L, 207762L, 207764L, 207765L, 207770L, 207771L, 
207773L, 207774L, 207779L, 207780L, 207782L, 207783L, 207788L, 
207789L, 207791L, 207792L, 207806L, 207807L, 207809L, 207810L, 
207815L, 207816L, 207818L, 207819L, 207824L, 207825L, 207827L, 
207828L, 207833L, 207834L, 207836L, 207837L, 207842L, 207843L, 
207845L, 207846L, 207914L, 207915L, 207917L, 207918L, 207923L, 
207924L, 207926L, 207927L, 207932L, 207933L, 207935L, 207936L, 
207941L, 207942L, 207944L, 207945L, 207950L, 207951L, 207953L, 
207954L, 207968L, 207969L, 207971L, 207972L, 207977L, 207978L, 
207980L, 207981L, 207986L, 207987L, 207989L, 207990L, 207995L, 
207996L, 207998L, 207999L, 208004L, 208005L, 208007L, 208008L, 
208076L, 208077L, 208079L, 208080L, 208085L, 208086L, 208088L, 
208089L, 208094L, 208095L, 208097L, 208098L, 208103L, 208104L, 
208106L, 208107L, 208112L, 208113L, 208115L, 208116L, 208130L, 
208131L, 208133L, 208134L, 208139L, 208140L, 208142L, 208143L, 
208148L, 208149L, 208151L, 208152L, 208157L, 208158L, 208160L, 
208161L, 208166L, 208167L, 208169L, 208170L, 208400L, 208401L, 
208403L, 208404L, 208409L, 208410L, 208412L, 208413L, 208418L, 
208419L, 208421L, 208422L, 208427L, 208428L, 208430L, 208431L, 
208436L, 208437L, 208439L, 208440L, 208454L, 208455L, 208457L, 
208458L, 208463L, 208464L, 208466L, 208467L, 208472L, 208473L, 
208475L, 208476L, 208481L, 208482L, 208484L, 208485L, 208490L, 
208491L, 208493L, 208494L, 208562L, 208563L, 208565L, 208566L, 
208571L, 208572L, 208574L, 208575L, 208580L, 208581L, 208583L, 
208584L, 208589L, 208590L, 208592L, 208593L, 208598L, 208599L, 
208601L, 208602L, 208616L, 208617L, 208619L, 208620L, 208625L, 
208626L, 208628L, 208629L, 208634L, 208635L, 208637L, 208638L, 
208643L, 208644L, 208646L, 208647L, 208652L, 208653L, 208655L, 
208656L, 208724L, 208725L, 208727L, 208728L, 208733L, 208734L, 
208736L, 208737L, 208742L, 208743L, 208745L, 208746L, 208751L, 
208752L, 208754L, 208755L, 208760L, 208761L, 208763L, 208764L, 
208778L, 208779L, 208781L, 208782L, 208787L, 208788L, 208790L, 
208791L, 208796L, 208797L, 208799L, 208800L, 208805L, 208806L, 
208808L, 208809L, 208814L, 208815L, 208817L, 208818L, 208886L, 
208887L, 208889L, 208890L, 208895L, 208896L, 208898L, 208899L, 
208904L, 208905L, 208907L, 208908L, 208913L, 208914L, 208916L, 
208917L, 208922L, 208923L, 208925L, 208926L, 208940L, 208941L, 
208943L, 208944L, 208949L, 208950L, 208952L, 208953L, 208958L, 
208959L, 208961L, 208962L, 208967L, 208968L, 208970L, 208971L, 
208976L, 208977L, 208979L, 208980L, 210020L, 210021L, 210023L, 
210024L, 210029L, 210030L, 210032L, 210033L, 210038L, 210039L, 
210041L, 210042L, 210047L, 210048L, 210050L, 210051L, 210056L, 
210057L, 210059L, 210060L, 210074L, 210075L, 210077L, 210078L, 
210083L, 210084L, 210086L, 210087L, 210092L, 210093L, 210095L, 
210096L, 210101L, 210102L, 210104L, 210105L, 210110L, 210111L, 
210113L, 210114L, 210182L, 210183L, 210185L, 210186L, 210191L, 
210192L, 210194L, 210195L, 210200L, 210201L, 210203L, 210204L, 
210209L, 210210L, 210212L, 210213L, 210218L, 210219L, 210221L, 
210222L, 210236L, 210237L, 210239L, 210240L, 210245L, 210246L, 
210248L, 210249L, 210254L, 210255L, 210257L, 210258L, 210263L, 
210264L, 210266L, 210267L, 210272L, 210273L, 210275L, 210276L, 
210344L, 210345L, 210347L, 210348L, 210353L, 210354L, 210356L, 
210357L, 210362L, 210363L, 210365L, 210366L, 210371L, 210372L, 
210374L, 210375L, 210380L, 210381L, 210383L, 210384L, 210398L, 
210399L, 210401L, 210402L, 210407L, 210408L, 210410L, 210411L, 
210416L, 210417L, 210419L, 210420L, 210425L, 210426L, 210428L, 
210429L, 210434L, 210435L, 210437L, 210438L, 210506L, 210507L, 
210509L, 210510L, 210515L, 210516L, 210518L, 210519L, 210524L, 
210525L, 210527L, 210528L, 210533L, 210534L, 210536L, 210537L, 
210542L, 210543L, 210545L, 210546L, 210560L, 210561L, 210563L, 
210564L, 210569L, 210570L, 210572L, 210573L, 210578L, 210579L, 
210581L, 210582L, 210587L, 210588L, 210590L, 210591L, 210596L, 
210597L, 210599L, 210600L, 210830L, 210831L, 210833L, 210834L, 
210839L, 210840L, 210842L, 210843L, 210848L, 210849L, 210851L, 
210852L, 210857L, 210858L, 210860L, 210861L, 210866L, 210867L, 
210869L, 210870L, 210884L, 210885L, 210887L, 210888L, 210893L, 
210894L, 210896L, 210897L, 210902L, 210903L, 210905L, 210906L, 
210911L, 210912L, 210914L, 210915L, 210920L, 210921L, 210923L, 
210924L, 210992L, 210993L, 210995L, 210996L, 211001L, 211002L, 
211004L, 211005L, 211010L, 211011L, 211013L, 211014L, 211019L, 
211020L, 211022L, 211023L, 211028L, 211029L, 211031L, 211032L, 
211046L, 211047L, 211049L, 211050L, 211055L, 211056L, 211058L, 
211059L, 211064L, 211065L, 211067L, 211068L, 211073L, 211074L, 
211076L, 211077L, 211082L, 211083L, 211085L, 211086L, 211154L, 
211155L, 211157L, 211158L, 211163L, 211164L, 211166L, 211167L, 
211172L, 211173L, 211175L, 211176L, 211181L, 211182L, 211184L, 
211185L, 211190L, 211191L, 211193L, 211194L, 211208L, 211209L, 
211211L, 211212L, 211217L, 211218L, 211220L, 211221L, 211226L, 
211227L, 211229L, 211230L, 211235L, 211236L, 211238L, 211239L, 
211244L, 211245L, 211247L, 211248L, 211316L, 211317L, 211319L, 
211320L, 211325L, 211326L, 211328L, 211329L, 211334L, 211335L, 
211337L, 211338L, 211343L, 211344L, 211346L, 211347L, 211352L, 
211353L, 211355L, 211356L, 211370L, 211371L, 211373L, 211374L, 
211379L, 211380L, 211382L, 211383L, 211388L, 211389L, 211391L, 
211392L, 211397L, 211398L, 211400L, 211401L, 211406L, 211407L, 
211409L, 211410L, 211640L, 211641L, 211643L, 211644L, 211649L, 
211650L, 211652L, 211653L, 211658L, 211659L, 211661L, 211662L, 
211667L, 211668L, 211670L, 211671L, 211676L, 211677L, 211679L, 
211680L, 211694L, 211695L, 211697L, 211698L, 211703L, 211704L, 
211706L, 211707L, 211712L, 211713L, 211715L, 211716L, 211721L, 
211722L, 211724L, 211725L, 211730L, 211731L, 211733L, 211734L, 
211802L, 211803L, 211805L, 211806L, 211811L, 211812L, 211814L, 
211815L, 211820L, 211821L, 211823L, 211824L, 211829L, 211830L, 
211832L, 211833L, 211838L, 211839L, 211841L, 211842L, 211856L, 
211857L, 211859L, 211860L, 211865L, 211866L, 211868L, 211869L, 
211874L, 211875L, 211877L, 211878L, 211883L, 211884L, 211886L, 
211887L, 211892L, 211893L, 211895L, 211896L, 211964L, 211965L, 
211967L, 211968L, 211973L, 211974L, 211976L, 211977L, 211982L, 
211983L, 211985L, 211986L, 211991L, 211992L, 211994L, 211995L, 
212000L, 212001L, 212003L, 212004L, 212018L, 212019L, 212021L, 
212022L, 212027L, 212028L, 212030L, 212031L, 212036L, 212037L, 
212039L, 212040L, 212045L, 212046L, 212048L, 212049L, 212054L, 
212055L, 212057L, 212058L, 212126L, 212127L, 212129L, 212130L, 
212135L, 212136L, 212138L, 212139L, 212144L, 212145L, 212147L, 
212148L, 212153L, 212154L, 212156L, 212157L, 212162L, 212163L, 
212165L, 212166L, 212180L, 212181L, 212183L, 212184L, 212189L, 
212190L, 212192L, 212193L, 212198L, 212199L, 212201L, 212202L, 
212207L, 212208L, 212210L, 212211L, 212216L, 212217L, 212219L, 
212220L, 212450L, 212451L, 212453L, 212454L, 212459L, 212460L, 
212462L, 212463L, 212468L, 212469L, 212471L, 212472L, 212477L, 
212478L, 212480L, 212481L, 212486L, 212487L, 212489L, 212490L, 
212504L, 212505L, 212507L, 212508L, 212513L, 212514L, 212516L, 
212517L, 212522L, 212523L, 212525L, 212526L, 212531L, 212532L, 
212534L, 212535L, 212540L, 212541L, 212543L, 212544L, 212612L, 
212613L, 212615L, 212616L, 212621L, 212622L, 212624L, 212625L, 
212630L, 212631L, 212633L, 212634L, 212639L, 212640L, 212642L, 
212643L, 212648L, 212649L, 212651L, 212652L, 212666L, 212667L, 
212669L, 212670L, 212675L, 212676L, 212678L, 212679L, 212684L, 
212685L, 212687L, 212688L, 212693L, 212694L, 212696L, 212697L, 
212702L, 212703L, 212705L, 212706L, 212774L, 212775L, 212777L, 
212778L, 212783L, 212784L, 212786L, 212787L, 212792L, 212793L, 
212795L, 212796L, 212801L, 212802L, 212804L, 212805L, 212810L, 
212811L, 212813L, 212814L, 212828L, 212829L, 212831L, 212832L, 
212837L, 212838L, 212840L, 212841L, 212846L, 212847L, 212849L, 
212850L, 212855L, 212856L, 212858L, 212859L, 212864L, 212865L, 
212867L, 212868L, 212936L, 212937L, 212939L, 212940L, 212945L, 
212946L, 212948L, 212949L, 212954L, 212955L, 212957L, 212958L, 
212963L, 212964L, 212966L, 212967L, 212972L, 212973L, 212975L, 
212976L, 212990L, 212991L, 212993L, 212994L, 212999L, 213000L, 
213002L, 213003L, 213008L, 213009L, 213011L, 213012L, 213017L, 
213018L, 213020L, 213021L, 213026L, 213027L, 213029L, 213030L, 
213260L, 213261L, 213263L, 213264L, 213269L, 213270L, 213272L, 
213273L, 213278L, 213279L, 213281L, 213282L, 213287L, 213288L, 
213290L, 213291L, 213296L, 213297L, 213299L, 213300L, 213314L, 
213315L, 213317L, 213318L, 213323L, 213324L, 213326L, 213327L, 
213332L, 213333L, 213335L, 213336L, 213341L, 213342L, 213344L, 
213345L, 213350L, 213351L, 213353L, 213354L, 213422L, 213423L, 
213425L, 213426L, 213431L, 213432L, 213434L, 213435L, 213440L, 
213441L, 213443L, 213444L, 213449L, 213450L, 213452L, 213453L, 
213458L, 213459L, 213461L, 213462L, 213476L, 213477L, 213479L, 
213480L, 213485L, 213486L, 213488L, 213489L, 213494L, 213495L, 
213497L, 213498L, 213503L, 213504L, 213506L, 213507L, 213512L, 
213513L, 213515L, 213516L, 213584L, 213585L, 213587L, 213588L, 
213593L, 213594L, 213596L, 213597L, 213602L, 213603L, 213605L, 
213606L, 213611L, 213612L, 213614L, 213615L, 213620L, 213621L, 
213623L, 213624L, 213638L, 213639L, 213641L, 213642L, 213647L, 
213648L, 213650L, 213651L, 213656L, 213657L, 213659L, 213660L, 
213665L, 213666L, 213668L, 213669L, 213674L, 213675L, 213677L, 
213678L, 213746L, 213747L, 213749L, 213750L, 213755L, 213756L, 
213758L, 213759L, 213764L, 213765L, 213767L, 213768L, 213773L, 
213774L, 213776L, 213777L, 213782L, 213783L, 213785L, 213786L, 
213800L, 213801L, 213803L, 213804L, 213809L, 213810L, 213812L, 
213813L, 213818L, 213819L, 213821L, 213822L, 213827L, 213828L, 
213830L, 213831L, 213836L, 213837L, 213839L, 213840L, 224600L, 
224601L, 224603L, 224604L, 224609L, 224610L, 224612L, 224613L, 
224618L, 224619L, 224621L, 224622L, 224627L, 224628L, 224630L, 
224631L, 224636L, 224637L, 224639L, 224640L, 224654L, 224655L, 
224657L, 224658L, 224663L, 224664L, 224666L, 224667L, 224672L, 
224673L, 224675L, 224676L, 224681L, 224682L, 224684L, 224685L, 
224690L, 224691L, 224693L, 224694L, 224762L, 224763L, 224765L, 
224766L, 224771L, 224772L, 224774L, 224775L, 224780L, 224781L, 
224783L, 224784L, 224789L, 224790L, 224792L, 224793L, 224798L, 
224799L, 224801L, 224802L, 224816L, 224817L, 224819L, 224820L, 
224825L, 224826L, 224828L, 224829L, 224834L, 224835L, 224837L, 
224838L, 224843L, 224844L, 224846L, 224847L, 224852L, 224853L, 
224855L, 224856L, 224924L, 224925L, 224927L, 224928L, 224933L, 
224934L, 224936L, 224937L, 224942L, 224943L, 224945L, 224946L, 
224951L, 224952L, 224954L, 224955L, 224960L, 224961L, 224963L, 
224964L, 224978L, 224979L, 224981L, 224982L, 224987L, 224988L, 
224990L, 224991L, 224996L, 224997L, 224999L, 225000L, 225005L, 
225006L, 225008L, 225009L, 225014L, 225015L, 225017L, 225018L, 
225086L, 225087L, 225089L, 225090L, 225095L, 225096L, 225098L, 
225099L, 225104L, 225105L, 225107L, 225108L, 225113L, 225114L, 
225116L, 225117L, 225122L, 225123L, 225125L, 225126L, 225140L, 
225141L, 225143L, 225144L, 225149L, 225150L, 225152L, 225153L, 
225158L, 225159L, 225161L, 225162L, 225167L, 225168L, 225170L, 
225171L, 225176L, 225177L, 225179L, 225180L, 225410L, 225411L, 
225413L, 225414L, 225419L, 225420L, 225422L, 225423L, 225428L, 
225429L, 225431L, 225432L, 225437L, 225438L, 225440L, 225441L, 
225446L, 225447L, 225449L, 225450L, 225464L, 225465L, 225467L, 
225468L, 225473L, 225474L, 225476L, 225477L, 225482L, 225483L, 
225485L, 225486L, 225491L, 225492L, 225494L, 225495L, 225500L, 
225501L, 225503L, 225504L, 225572L, 225573L, 225575L, 225576L, 
225581L, 225582L, 225584L, 225585L, 225590L, 225591L, 225593L, 
225594L, 225599L, 225600L, 225602L, 225603L, 225608L, 225609L, 
225611L, 225612L, 225626L, 225627L, 225629L, 225630L, 225635L, 
225636L, 225638L, 225639L, 225644L, 225645L, 225647L, 225648L, 
225653L, 225654L, 225656L, 225657L, 225662L, 225663L, 225665L, 
225666L, 225734L, 225735L, 225737L, 225738L, 225743L, 225744L, 
225746L, 225747L, 225752L, 225753L, 225755L, 225756L, 225761L, 
225762L, 225764L, 225765L, 225770L, 225771L, 225773L, 225774L, 
225788L, 225789L, 225791L, 225792L, 225797L, 225798L, 225800L, 
225801L, 225806L, 225807L, 225809L, 225810L, 225815L, 225816L, 
225818L, 225819L, 225824L, 225825L, 225827L, 225828L, 225896L, 
225897L, 225899L, 225900L, 225905L, 225906L, 225908L, 225909L, 
225914L, 225915L, 225917L, 225918L, 225923L, 225924L, 225926L, 
225927L, 225932L, 225933L, 225935L, 225936L, 225950L, 225951L, 
225953L, 225954L, 225959L, 225960L, 225962L, 225963L, 225968L, 
225969L, 225971L, 225972L, 225977L, 225978L, 225980L, 225981L, 
225986L, 225987L, 225989L, 225990L, 226220L, 226221L, 226223L, 
226224L, 226229L, 226230L, 226232L, 226233L, 226238L, 226239L, 
226241L, 226242L, 226247L, 226248L, 226250L, 226251L, 226256L, 
226257L, 226259L, 226260L, 226274L, 226275L, 226277L, 226278L, 
226283L, 226284L, 226286L, 226287L, 226292L, 226293L, 226295L, 
226296L, 226301L, 226302L, 226304L, 226305L, 226310L, 226311L, 
226313L, 226314L, 226382L, 226383L, 226385L, 226386L, 226391L, 
226392L, 226394L, 226395L, 226400L, 226401L, 226403L, 226404L, 
226409L, 226410L, 226412L, 226413L, 226418L, 226419L, 226421L, 
226422L, 226436L, 226437L, 226439L, 226440L, 226445L, 226446L, 
226448L, 226449L, 226454L, 226455L, 226457L, 226458L, 226463L, 
226464L, 226466L, 226467L, 226472L, 226473L, 226475L, 226476L, 
226544L, 226545L, 226547L, 226548L, 226553L, 226554L, 226556L, 
226557L, 226562L, 226563L, 226565L, 226566L, 226571L, 226572L, 
226574L, 226575L, 226580L, 226581L, 226583L, 226584L, 226598L, 
226599L, 226601L, 226602L, 226607L, 226608L, 226610L, 226611L, 
226616L, 226617L, 226619L, 226620L, 226625L, 226626L, 226628L, 
226629L, 226634L, 226635L, 226637L, 226638L, 226706L, 226707L, 
226709L, 226710L, 226715L, 226716L, 226718L, 226719L, 226724L, 
226725L, 226727L, 226728L, 226733L, 226734L, 226736L, 226737L, 
226742L, 226743L, 226745L, 226746L, 226760L, 226761L, 226763L, 
226764L, 226769L, 226770L, 226772L, 226773L, 226778L, 226779L, 
226781L, 226782L, 226787L, 226788L, 226790L, 226791L, 226796L, 
226797L, 226799L, 226800L, 227030L, 227031L, 227033L, 227034L, 
227039L, 227040L, 227042L, 227043L, 227048L, 227049L, 227051L, 
227052L, 227057L, 227058L, 227060L, 227061L, 227066L, 227067L, 
227069L, 227070L, 227084L, 227085L, 227087L, 227088L, 227093L, 
227094L, 227096L, 227097L, 227102L, 227103L, 227105L, 227106L, 
227111L, 227112L, 227114L, 227115L, 227120L, 227121L, 227123L, 
227124L, 227192L, 227193L, 227195L, 227196L, 227201L, 227202L, 
227204L, 227205L, 227210L, 227211L, 227213L, 227214L, 227219L, 
227220L, 227222L, 227223L, 227228L, 227229L, 227231L, 227232L, 
227246L, 227247L, 227249L, 227250L, 227255L, 227256L, 227258L, 
227259L, 227264L, 227265L, 227267L, 227268L, 227273L, 227274L, 
227276L, 227277L, 227282L, 227283L, 227285L, 227286L, 227354L, 
227355L, 227357L, 227358L, 227363L, 227364L, 227366L, 227367L, 
227372L, 227373L, 227375L, 227376L, 227381L, 227382L, 227384L, 
227385L, 227390L, 227391L, 227393L, 227394L, 227408L, 227409L, 
227411L, 227412L, 227417L, 227418L, 227420L, 227421L, 227426L, 
227427L, 227429L, 227430L, 227435L, 227436L, 227438L, 227439L, 
227444L, 227445L, 227447L, 227448L, 227516L, 227517L, 227519L, 
227520L, 227525L, 227526L, 227528L, 227529L, 227534L, 227535L, 
227537L, 227538L, 227543L, 227544L, 227546L, 227547L, 227552L, 
227553L, 227555L, 227556L, 227570L, 227571L, 227573L, 227574L, 
227579L, 227580L, 227582L, 227583L, 227588L, 227589L, 227591L, 
227592L, 227597L, 227598L, 227600L, 227601L, 227606L, 227607L, 
227609L, 227610L, 227840L, 227841L, 227843L, 227844L, 227849L, 
227850L, 227852L, 227853L, 227858L, 227859L, 227861L, 227862L, 
227867L, 227868L, 227870L, 227871L, 227876L, 227877L, 227879L, 
227880L, 227894L, 227895L, 227897L, 227898L, 227903L, 227904L, 
227906L, 227907L, 227912L, 227913L, 227915L, 227916L, 227921L, 
227922L, 227924L, 227925L, 227930L, 227931L, 227933L, 227934L, 
228002L, 228003L, 228005L, 228006L, 228011L, 228012L, 228014L, 
228015L, 228020L, 228021L, 228023L, 228024L, 228029L, 228030L, 
228032L, 228033L, 228038L, 228039L, 228041L, 228042L, 228056L, 
228057L, 228059L, 228060L, 228065L, 228066L, 228068L, 228069L, 
228074L, 228075L, 228077L, 228078L, 228083L, 228084L, 228086L, 
228087L, 228092L, 228093L, 228095L, 228096L, 228164L, 228165L, 
228167L, 228168L, 228173L, 228174L, 228176L, 228177L, 228182L, 
228183L, 228185L, 228186L, 228191L, 228192L, 228194L, 228195L, 
228200L, 228201L, 228203L, 228204L, 228218L, 228219L, 228221L, 
228222L, 228227L, 228228L, 228230L, 228231L, 228236L, 228237L, 
228239L, 228240L, 228245L, 228246L, 228248L, 228249L, 228254L, 
228255L, 228257L, 228258L, 228326L, 228327L, 228329L, 228330L, 
228335L, 228336L, 228338L, 228339L, 228344L, 228345L, 228347L, 
228348L, 228353L, 228354L, 228356L, 228357L, 228362L, 228363L, 
228365L, 228366L, 228380L, 228381L, 228383L, 228384L, 228389L, 
228390L, 228392L, 228393L, 228398L, 228399L, 228401L, 228402L, 
228407L, 228408L, 228410L, 228411L, 228416L, 228417L, 228419L, 
228420L, 229460L, 229461L, 229463L, 229464L, 229469L, 229470L, 
229472L, 229473L, 229478L, 229479L, 229481L, 229482L, 229487L, 
229488L, 229490L, 229491L, 229496L, 229497L, 229499L, 229500L, 
229514L, 229515L, 229517L, 229518L, 229523L, 229524L, 229526L, 
229527L, 229532L, 229533L, 229535L, 229536L, 229541L, 229542L, 
229544L, 229545L, 229550L, 229551L, 229553L, 229554L, 229622L, 
229623L, 229625L, 229626L, 229631L, 229632L, 229634L, 229635L, 
229640L, 229641L, 229643L, 229644L, 229649L, 229650L, 229652L, 
229653L, 229658L, 229659L, 229661L, 229662L, 229676L, 229677L, 
229679L, 229680L, 229685L, 229686L, 229688L, 229689L, 229694L, 
229695L, 229697L, 229698L, 229703L, 229704L, 229706L, 229707L, 
229712L, 229713L, 229715L, 229716L, 229784L, 229785L, 229787L, 
229788L, 229793L, 229794L, 229796L, 229797L, 229802L, 229803L, 
229805L, 229806L, 229811L, 229812L, 229814L, 229815L, 229820L, 
229821L, 229823L, 229824L, 229838L, 229839L, 229841L, 229842L, 
229847L, 229848L, 229850L, 229851L, 229856L, 229857L, 229859L, 
229860L, 229865L, 229866L, 229868L, 229869L, 229874L, 229875L, 
229877L, 229878L, 229946L, 229947L, 229949L, 229950L, 229955L, 
229956L, 229958L, 229959L, 229964L, 229965L, 229967L, 229968L, 
229973L, 229974L, 229976L, 229977L, 229982L, 229983L, 229985L, 
229986L, 230000L, 230001L, 230003L, 230004L, 230009L, 230010L, 
230012L, 230013L, 230018L, 230019L, 230021L, 230022L, 230027L, 
230028L, 230030L, 230031L, 230036L, 230037L, 230039L, 230040L, 
230270L, 230271L, 230273L, 230274L, 230279L, 230280L, 230282L, 
230283L, 230288L, 230289L, 230291L, 230292L, 230297L, 230298L, 
230300L, 230301L, 230306L, 230307L, 230309L, 230310L, 230324L, 
230325L, 230327L, 230328L, 230333L, 230334L, 230336L, 230337L, 
230342L, 230343L, 230345L, 230346L, 230351L, 230352L, 230354L, 
230355L, 230360L, 230361L, 230363L, 230364L, 230432L, 230433L, 
230435L, 230436L, 230441L, 230442L, 230444L, 230445L, 230450L, 
230451L, 230453L, 230454L, 230459L, 230460L, 230462L, 230463L, 
230468L, 230469L, 230471L, 230472L, 230486L, 230487L, 230489L, 
230490L, 230495L, 230496L, 230498L, 230499L, 230504L, 230505L, 
230507L, 230508L, 230513L, 230514L, 230516L, 230517L, 230522L, 
230523L, 230525L, 230526L, 230594L, 230595L, 230597L, 230598L, 
230603L, 230604L, 230606L, 230607L, 230612L, 230613L, 230615L, 
230616L, 230621L, 230622L, 230624L, 230625L, 230630L, 230631L, 
230633L, 230634L, 230648L, 230649L, 230651L, 230652L, 230657L, 
230658L, 230660L, 230661L, 230666L, 230667L, 230669L, 230670L, 
230675L, 230676L, 230678L, 230679L, 230684L, 230685L, 230687L, 
230688L, 230756L, 230757L, 230759L, 230760L, 230765L, 230766L, 
230768L, 230769L, 230774L, 230775L, 230777L, 230778L, 230783L, 
230784L, 230786L, 230787L, 230792L, 230793L, 230795L, 230796L, 
230810L, 230811L, 230813L, 230814L, 230819L, 230820L, 230822L, 
230823L, 230828L, 230829L, 230831L, 230832L, 230837L, 230838L, 
230840L, 230841L, 230846L, 230847L, 230849L, 230850L, 231080L, 
231081L, 231083L, 231084L, 231089L, 231090L, 231092L, 231093L, 
231098L, 231099L, 231101L, 231102L, 231107L, 231108L, 231110L, 
231111L, 231116L, 231117L, 231119L, 231120L, 231134L, 231135L, 
231137L, 231138L, 231143L, 231144L, 231146L, 231147L, 231152L, 
231153L, 231155L, 231156L, 231161L, 231162L, 231164L, 231165L, 
231170L, 231171L, 231173L, 231174L, 231242L, 231243L, 231245L, 
231246L, 231251L, 231252L, 231254L, 231255L, 231260L, 231261L, 
231263L, 231264L, 231269L, 231270L, 231272L, 231273L, 231278L, 
231279L, 231281L, 231282L, 231296L, 231297L, 231299L, 231300L, 
231305L, 231306L, 231308L, 231309L, 231314L, 231315L, 231317L, 
231318L, 231323L, 231324L, 231326L, 231327L, 231332L, 231333L, 
231335L, 231336L, 231404L, 231405L, 231407L, 231408L, 231413L, 
231414L, 231416L, 231417L, 231422L, 231423L, 231425L, 231426L, 
231431L, 231432L, 231434L, 231435L, 231440L, 231441L, 231443L, 
231444L, 231458L, 231459L, 231461L, 231462L, 231467L, 231468L, 
231470L, 231471L, 231476L, 231477L, 231479L, 231480L, 231485L, 
231486L, 231488L, 231489L, 231494L, 231495L, 231497L, 231498L, 
231566L, 231567L, 231569L, 231570L, 231575L, 231576L, 231578L, 
231579L, 231584L, 231585L, 231587L, 231588L, 231593L, 231594L, 
231596L, 231597L, 231602L, 231603L, 231605L, 231606L, 231620L, 
231621L, 231623L, 231624L, 231629L, 231630L, 231632L, 231633L, 
231638L, 231639L, 231641L, 231642L, 231647L, 231648L, 231650L, 
231651L, 231656L, 231657L, 231659L, 231660L, 231890L, 231891L, 
231893L, 231894L, 231899L, 231900L, 231902L, 231903L, 231908L, 
231909L, 231911L, 231912L, 231917L, 231918L, 231920L, 231921L, 
231926L, 231927L, 231929L, 231930L, 231944L, 231945L, 231947L, 
231948L, 231953L, 231954L, 231956L, 231957L, 231962L, 231963L, 
231965L, 231966L, 231971L, 231972L, 231974L, 231975L, 231980L, 
231981L, 231983L, 231984L, 232052L, 232053L, 232055L, 232056L, 
232061L, 232062L, 232064L, 232065L, 232070L, 232071L, 232073L, 
232074L, 232079L, 232080L, 232082L, 232083L, 232088L, 232089L, 
232091L, 232092L, 232106L, 232107L, 232109L, 232110L, 232115L, 
232116L, 232118L, 232119L, 232124L, 232125L, 232127L, 232128L, 
232133L, 232134L, 232136L, 232137L, 232142L, 232143L, 232145L, 
232146L, 232214L, 232215L, 232217L, 232218L, 232223L, 232224L, 
232226L, 232227L, 232232L, 232233L, 232235L, 232236L, 232241L, 
232242L, 232244L, 232245L, 232250L, 232251L, 232253L, 232254L, 
232268L, 232269L, 232271L, 232272L, 232277L, 232278L, 232280L, 
232281L, 232286L, 232287L, 232289L, 232290L, 232295L, 232296L, 
232298L, 232299L, 232304L, 232305L, 232307L, 232308L, 232376L, 
232377L, 232379L, 232380L, 232385L, 232386L, 232388L, 232389L, 
232394L, 232395L, 232397L, 232398L, 232403L, 232404L, 232406L, 
232407L, 232412L, 232413L, 232415L, 232416L, 232430L, 232431L, 
232433L, 232434L, 232439L, 232440L, 232442L, 232443L, 232448L, 
232449L, 232451L, 232452L, 232457L, 232458L, 232460L, 232461L, 
232466L, 232467L, 232469L, 232470L, 232700L, 232701L, 232703L, 
232704L, 232709L, 232710L, 232712L, 232713L, 232718L, 232719L, 
232721L, 232722L, 232727L, 232728L, 232730L, 232731L, 232736L, 
232737L, 232739L, 232740L, 232754L, 232755L, 232757L, 232758L, 
232763L, 232764L, 232766L, 232767L, 232772L, 232773L, 232775L, 
232776L, 232781L, 232782L, 232784L, 232785L, 232790L, 232791L, 
232793L, 232794L, 232862L, 232863L, 232865L, 232866L, 232871L, 
232872L, 232874L, 232875L, 232880L, 232881L, 232883L, 232884L, 
232889L, 232890L, 232892L, 232893L, 232898L, 232899L, 232901L, 
232902L, 232916L, 232917L, 232919L, 232920L, 232925L, 232926L, 
232928L, 232929L, 232934L, 232935L, 232937L, 232938L, 232943L, 
232944L, 232946L, 232947L, 232952L, 232953L, 232955L, 232956L, 
233024L, 233025L, 233027L, 233028L, 233033L, 233034L, 233036L, 
233037L, 233042L, 233043L, 233045L, 233046L, 233051L, 233052L, 
233054L, 233055L, 233060L, 233061L, 233063L, 233064L, 233078L, 
233079L, 233081L, 233082L, 233087L, 233088L, 233090L, 233091L, 
233096L, 233097L, 233099L, 233100L, 233105L, 233106L, 233108L, 
233109L, 233114L, 233115L, 233117L, 233118L, 233186L, 233187L, 
233189L, 233190L, 233195L, 233196L, 233198L, 233199L, 233204L, 
233205L, 233207L, 233208L, 233213L, 233214L, 233216L, 233217L, 
233222L, 233223L, 233225L, 233226L, 233240L, 233241L, 233243L, 
233244L, 233249L, 233250L, 233252L, 233253L, 233258L, 233259L, 
233261L, 233262L, 233267L, 233268L, 233270L, 233271L, 233276L, 
233277L, 233279L, 233280L, 234320L, 234321L, 234323L, 234324L, 
234329L, 234330L, 234332L, 234333L, 234338L, 234339L, 234341L, 
234342L, 234347L, 234348L, 234350L, 234351L, 234356L, 234357L, 
234359L, 234360L, 234374L, 234375L, 234377L, 234378L, 234383L, 
234384L, 234386L, 234387L, 234392L, 234393L, 234395L, 234396L, 
234401L, 234402L, 234404L, 234405L, 234410L, 234411L, 234413L, 
234414L, 234482L, 234483L, 234485L, 234486L, 234491L, 234492L, 
234494L, 234495L, 234500L, 234501L, 234503L, 234504L, 234509L, 
234510L, 234512L, 234513L, 234518L, 234519L, 234521L, 234522L, 
234536L, 234537L, 234539L, 234540L, 234545L, 234546L, 234548L, 
234549L, 234554L, 234555L, 234557L, 234558L, 234563L, 234564L, 
234566L, 234567L, 234572L, 234573L, 234575L, 234576L, 234644L, 
234645L, 234647L, 234648L, 234653L, 234654L, 234656L, 234657L, 
234662L, 234663L, 234665L, 234666L, 234671L, 234672L, 234674L, 
234675L, 234680L, 234681L, 234683L, 234684L, 234698L, 234699L, 
234701L, 234702L, 234707L, 234708L, 234710L, 234711L, 234716L, 
234717L, 234719L, 234720L, 234725L, 234726L, 234728L, 234729L, 
234734L, 234735L, 234737L, 234738L, 234806L, 234807L, 234809L, 
234810L, 234815L, 234816L, 234818L, 234819L, 234824L, 234825L, 
234827L, 234828L, 234833L, 234834L, 234836L, 234837L, 234842L, 
234843L, 234845L, 234846L, 234860L, 234861L, 234863L, 234864L, 
234869L, 234870L, 234872L, 234873L, 234878L, 234879L, 234881L, 
234882L, 234887L, 234888L, 234890L, 234891L, 234896L, 234897L, 
234899L, 234900L, 235130L, 235131L, 235133L, 235134L, 235139L, 
235140L, 235142L, 235143L, 235148L, 235149L, 235151L, 235152L, 
235157L, 235158L, 235160L, 235161L, 235166L, 235167L, 235169L, 
235170L, 235184L, 235185L, 235187L, 235188L, 235193L, 235194L, 
235196L, 235197L, 235202L, 235203L, 235205L, 235206L, 235211L, 
235212L, 235214L, 235215L, 235220L, 235221L, 235223L, 235224L, 
235292L, 235293L, 235295L, 235296L, 235301L, 235302L, 235304L, 
235305L, 235310L, 235311L, 235313L, 235314L, 235319L, 235320L, 
235322L, 235323L, 235328L, 235329L, 235331L, 235332L, 235346L, 
235347L, 235349L, 235350L, 235355L, 235356L, 235358L, 235359L, 
235364L, 235365L, 235367L, 235368L, 235373L, 235374L, 235376L, 
235377L, 235382L, 235383L, 235385L, 235386L, 235454L, 235455L, 
235457L, 235458L, 235463L, 235464L, 235466L, 235467L, 235472L, 
235473L, 235475L, 235476L, 235481L, 235482L, 235484L, 235485L, 
235490L, 235491L, 235493L, 235494L, 235508L, 235509L, 235511L, 
235512L, 235517L, 235518L, 235520L, 235521L, 235526L, 235527L, 
235529L, 235530L, 235535L, 235536L, 235538L, 235539L, 235544L, 
235545L, 235547L, 235548L, 235616L, 235617L, 235619L, 235620L, 
235625L, 235626L, 235628L, 235629L, 235634L, 235635L, 235637L, 
235638L, 235643L, 235644L, 235646L, 235647L, 235652L, 235653L, 
235655L, 235656L, 235670L, 235671L, 235673L, 235674L, 235679L, 
235680L, 235682L, 235683L, 235688L, 235689L, 235691L, 235692L, 
235697L, 235698L, 235700L, 235701L, 235706L, 235707L, 235709L, 
235710L, 235940L, 235941L, 235943L, 235944L, 235949L, 235950L, 
235952L, 235953L, 235958L, 235959L, 235961L, 235962L, 235967L, 
235968L, 235970L, 235971L, 235976L, 235977L, 235979L, 235980L, 
235994L, 235995L, 235997L, 235998L, 236003L, 236004L, 236006L, 
236007L, 236012L, 236013L, 236015L, 236016L, 236021L, 236022L, 
236024L, 236025L, 236030L, 236031L, 236033L, 236034L, 236102L, 
236103L, 236105L, 236106L, 236111L, 236112L, 236114L, 236115L, 
236120L, 236121L, 236123L, 236124L, 236129L, 236130L, 236132L, 
236133L, 236138L, 236139L, 236141L, 236142L, 236156L, 236157L, 
236159L, 236160L, 236165L, 236166L, 236168L, 236169L, 236174L, 
236175L, 236177L, 236178L, 236183L, 236184L, 236186L, 236187L, 
236192L, 236193L, 236195L, 236196L, 236264L, 236265L, 236267L, 
236268L, 236273L, 236274L, 236276L, 236277L, 236282L, 236283L, 
236285L, 236286L, 236291L, 236292L, 236294L, 236295L, 236300L, 
236301L, 236303L, 236304L, 236318L, 236319L, 236321L, 236322L, 
236327L, 236328L, 236330L, 236331L, 236336L, 236337L, 236339L, 
236340L, 236345L, 236346L, 236348L, 236349L, 236354L, 236355L, 
236357L, 236358L, 236426L, 236427L, 236429L, 236430L, 236435L, 
236436L, 236438L, 236439L, 236444L, 236445L, 236447L, 236448L, 
236453L, 236454L, 236456L, 236457L, 236462L, 236463L, 236465L, 
236466L, 236480L, 236481L, 236483L, 236484L, 236489L, 236490L, 
236492L, 236493L, 236498L, 236499L, 236501L, 236502L, 236507L, 
236508L, 236510L, 236511L, 236516L, 236517L, 236519L, 236520L, 
236750L, 236751L, 236753L, 236754L, 236759L, 236760L, 236762L, 
236763L, 236768L, 236769L, 236771L, 236772L, 236777L, 236778L, 
236780L, 236781L, 236786L, 236787L, 236789L, 236790L, 236804L, 
236805L, 236807L, 236808L, 236813L, 236814L, 236816L, 236817L, 
236822L, 236823L, 236825L, 236826L, 236831L, 236832L, 236834L, 
236835L, 236840L, 236841L, 236843L, 236844L, 236912L, 236913L, 
236915L, 236916L, 236921L, 236922L, 236924L, 236925L, 236930L, 
236931L, 236933L, 236934L, 236939L, 236940L, 236942L, 236943L, 
236948L, 236949L, 236951L, 236952L, 236966L, 236967L, 236969L, 
236970L, 236975L, 236976L, 236978L, 236979L, 236984L, 236985L, 
236987L, 236988L, 236993L, 236994L, 236996L, 236997L, 237002L, 
237003L, 237005L, 237006L, 237074L, 237075L, 237077L, 237078L, 
237083L, 237084L, 237086L, 237087L, 237092L, 237093L, 237095L, 
237096L, 237101L, 237102L, 237104L, 237105L, 237110L, 237111L, 
237113L, 237114L, 237128L, 237129L, 237131L, 237132L, 237137L, 
237138L, 237140L, 237141L, 237146L, 237147L, 237149L, 237150L, 
237155L, 237156L, 237158L, 237159L, 237164L, 237165L, 237167L, 
237168L, 237236L, 237237L, 237239L, 237240L, 237245L, 237246L, 
237248L, 237249L, 237254L, 237255L, 237257L, 237258L, 237263L, 
237264L, 237266L, 237267L, 237272L, 237273L, 237275L, 237276L, 
237290L, 237291L, 237293L, 237294L, 237299L, 237300L, 237302L, 
237303L, 237308L, 237309L, 237311L, 237312L, 237317L, 237318L, 
237320L, 237321L, 237326L, 237327L, 237329L, 237330L, 237560L, 
237561L, 237563L, 237564L, 237569L, 237570L, 237572L, 237573L, 
237578L, 237579L, 237581L, 237582L, 237587L, 237588L, 237590L, 
237591L, 237596L, 237597L, 237599L, 237600L, 237614L, 237615L, 
237617L, 237618L, 237623L, 237624L, 237626L, 237627L, 237632L, 
237633L, 237635L, 237636L, 237641L, 237642L, 237644L, 237645L, 
237650L, 237651L, 237653L, 237654L, 237722L, 237723L, 237725L, 
237726L, 237731L, 237732L, 237734L, 237735L, 237740L, 237741L, 
237743L, 237744L, 237749L, 237750L, 237752L, 237753L, 237758L, 
237759L, 237761L, 237762L, 237776L, 237777L, 237779L, 237780L, 
237785L, 237786L, 237788L, 237789L, 237794L, 237795L, 237797L, 
237798L, 237803L, 237804L, 237806L, 237807L, 237812L, 237813L, 
237815L, 237816L, 237884L, 237885L, 237887L, 237888L, 237893L, 
237894L, 237896L, 237897L, 237902L, 237903L, 237905L, 237906L, 
237911L, 237912L, 237914L, 237915L, 237920L, 237921L, 237923L, 
237924L, 237938L, 237939L, 237941L, 237942L, 237947L, 237948L, 
237950L, 237951L, 237956L, 237957L, 237959L, 237960L, 237965L, 
237966L, 237968L, 237969L, 237974L, 237975L, 237977L, 237978L, 
238046L, 238047L, 238049L, 238050L, 238055L, 238056L, 238058L, 
238059L, 238064L, 238065L, 238067L, 238068L, 238073L, 238074L, 
238076L, 238077L, 238082L, 238083L, 238085L, 238086L, 238100L, 
238101L, 238103L, 238104L, 238109L, 238110L, 238112L, 238113L, 
238118L, 238119L, 238121L, 238122L, 238127L, 238128L, 238130L, 
238131L, 238136L, 238137L, 238139L, 238140L, 248900L, 248901L, 
248903L, 248904L, 248909L, 248910L, 248912L, 248913L, 248918L, 
248919L, 248921L, 248922L, 248927L, 248928L, 248930L, 248931L, 
248936L, 248937L, 248939L, 248940L, 248954L, 248955L, 248957L, 
248958L, 248963L, 248964L, 248966L, 248967L, 248972L, 248973L, 
248975L, 248976L, 248981L, 248982L, 248984L, 248985L, 248990L, 
248991L, 248993L, 248994L, 249062L, 249063L, 249065L, 249066L, 
249071L, 249072L, 249074L, 249075L, 249080L, 249081L, 249083L, 
249084L, 249089L, 249090L, 249092L, 249093L, 249098L, 249099L, 
249101L, 249102L, 249116L, 249117L, 249119L, 249120L, 249125L, 
249126L, 249128L, 249129L, 249134L, 249135L, 249137L, 249138L, 
249143L, 249144L, 249146L, 249147L, 249152L, 249153L, 249155L, 
249156L, 249224L, 249225L, 249227L, 249228L, 249233L, 249234L, 
249236L, 249237L, 249242L, 249243L, 249245L, 249246L, 249251L, 
249252L, 249254L, 249255L, 249260L, 249261L, 249263L, 249264L, 
249278L, 249279L, 249281L, 249282L, 249287L, 249288L, 249290L, 
249291L, 249296L, 249297L, 249299L, 249300L, 249305L, 249306L, 
249308L, 249309L, 249314L, 249315L, 249317L, 249318L, 249386L, 
249387L, 249389L, 249390L, 249395L, 249396L, 249398L, 249399L, 
249404L, 249405L, 249407L, 249408L, 249413L, 249414L, 249416L, 
249417L, 249422L, 249423L, 249425L, 249426L, 249440L, 249441L, 
249443L, 249444L, 249449L, 249450L, 249452L, 249453L, 249458L, 
249459L, 249461L, 249462L, 249467L, 249468L, 249470L, 249471L, 
249476L, 249477L, 249479L, 249480L, 249710L, 249711L, 249713L, 
249714L, 249719L, 249720L, 249722L, 249723L, 249728L, 249729L, 
249731L, 249732L, 249737L, 249738L, 249740L, 249741L, 249746L, 
249747L, 249749L, 249750L, 249764L, 249765L, 249767L, 249768L, 
249773L, 249774L, 249776L, 249777L, 249782L, 249783L, 249785L, 
249786L, 249791L, 249792L, 249794L, 249795L, 249800L, 249801L, 
249803L, 249804L, 249872L, 249873L, 249875L, 249876L, 249881L, 
249882L, 249884L, 249885L, 249890L, 249891L, 249893L, 249894L, 
249899L, 249900L, 249902L, 249903L, 249908L, 249909L, 249911L, 
249912L, 249926L, 249927L, 249929L, 249930L, 249935L, 249936L, 
249938L, 249939L, 249944L, 249945L, 249947L, 249948L, 249953L, 
249954L, 249956L, 249957L, 249962L, 249963L, 249965L, 249966L, 
250034L, 250035L, 250037L, 250038L, 250043L, 250044L, 250046L, 
250047L, 250052L, 250053L, 250055L, 250056L, 250061L, 250062L, 
250064L, 250065L, 250070L, 250071L, 250073L, 250074L, 250088L, 
250089L, 250091L, 250092L, 250097L, 250098L, 250100L, 250101L, 
250106L, 250107L, 250109L, 250110L, 250115L, 250116L, 250118L, 
250119L, 250124L, 250125L, 250127L, 250128L, 250196L, 250197L, 
250199L, 250200L, 250205L, 250206L, 250208L, 250209L, 250214L, 
250215L, 250217L, 250218L, 250223L, 250224L, 250226L, 250227L, 
250232L, 250233L, 250235L, 250236L, 250250L, 250251L, 250253L, 
250254L, 250259L, 250260L, 250262L, 250263L, 250268L, 250269L, 
250271L, 250272L, 250277L, 250278L, 250280L, 250281L, 250286L, 
250287L, 250289L, 250290L, 250520L, 250521L, 250523L, 250524L, 
250529L, 250530L, 250532L, 250533L, 250538L, 250539L, 250541L, 
250542L, 250547L, 250548L, 250550L, 250551L, 250556L, 250557L, 
250559L, 250560L, 250574L, 250575L, 250577L, 250578L, 250583L, 
250584L, 250586L, 250587L, 250592L, 250593L, 250595L, 250596L, 
250601L, 250602L, 250604L, 250605L, 250610L, 250611L, 250613L, 
250614L, 250682L, 250683L, 250685L, 250686L, 250691L, 250692L, 
250694L, 250695L, 250700L, 250701L, 250703L, 250704L, 250709L, 
250710L, 250712L, 250713L, 250718L, 250719L, 250721L, 250722L, 
250736L, 250737L, 250739L, 250740L, 250745L, 250746L, 250748L, 
250749L, 250754L, 250755L, 250757L, 250758L, 250763L, 250764L, 
250766L, 250767L, 250772L, 250773L, 250775L, 250776L, 250844L, 
250845L, 250847L, 250848L, 250853L, 250854L, 250856L, 250857L, 
250862L, 250863L, 250865L, 250866L, 250871L, 250872L, 250874L, 
250875L, 250880L, 250881L, 250883L, 250884L, 250898L, 250899L, 
250901L, 250902L, 250907L, 250908L, 250910L, 250911L, 250916L, 
250917L, 250919L, 250920L, 250925L, 250926L, 250928L, 250929L, 
250934L, 250935L, 250937L, 250938L, 251006L, 251007L, 251009L, 
251010L, 251015L, 251016L, 251018L, 251019L, 251024L, 251025L, 
251027L, 251028L, 251033L, 251034L, 251036L, 251037L, 251042L, 
251043L, 251045L, 251046L, 251060L, 251061L, 251063L, 251064L, 
251069L, 251070L, 251072L, 251073L, 251078L, 251079L, 251081L, 
251082L, 251087L, 251088L, 251090L, 251091L, 251096L, 251097L, 
251099L, 251100L, 251330L, 251331L, 251333L, 251334L, 251339L, 
251340L, 251342L, 251343L, 251348L, 251349L, 251351L, 251352L, 
251357L, 251358L, 251360L, 251361L, 251366L, 251367L, 251369L, 
251370L, 251384L, 251385L, 251387L, 251388L, 251393L, 251394L, 
251396L, 251397L, 251402L, 251403L, 251405L, 251406L, 251411L, 
251412L, 251414L, 251415L, 251420L, 251421L, 251423L, 251424L, 
251492L, 251493L, 251495L, 251496L, 251501L, 251502L, 251504L, 
251505L, 251510L, 251511L, 251513L, 251514L, 251519L, 251520L, 
251522L, 251523L, 251528L, 251529L, 251531L, 251532L, 251546L, 
251547L, 251549L, 251550L, 251555L, 251556L, 251558L, 251559L, 
251564L, 251565L, 251567L, 251568L, 251573L, 251574L, 251576L, 
251577L, 251582L, 251583L, 251585L, 251586L, 251654L, 251655L, 
251657L, 251658L, 251663L, 251664L, 251666L, 251667L, 251672L, 
251673L, 251675L, 251676L, 251681L, 251682L, 251684L, 251685L, 
251690L, 251691L, 251693L, 251694L, 251708L, 251709L, 251711L, 
251712L, 251717L, 251718L, 251720L, 251721L, 251726L, 251727L, 
251729L, 251730L, 251735L, 251736L, 251738L, 251739L, 251744L, 
251745L, 251747L, 251748L, 251816L, 251817L, 251819L, 251820L, 
251825L, 251826L, 251828L, 251829L, 251834L, 251835L, 251837L, 
251838L, 251843L, 251844L, 251846L, 251847L, 251852L, 251853L, 
251855L, 251856L, 251870L, 251871L, 251873L, 251874L, 251879L, 
251880L, 251882L, 251883L, 251888L, 251889L, 251891L, 251892L, 
251897L, 251898L, 251900L, 251901L, 251906L, 251907L, 251909L, 
251910L, 252140L, 252141L, 252143L, 252144L, 252149L, 252150L, 
252152L, 252153L, 252158L, 252159L, 252161L, 252162L, 252167L, 
252168L, 252170L, 252171L, 252176L, 252177L, 252179L, 252180L, 
252194L, 252195L, 252197L, 252198L, 252203L, 252204L, 252206L, 
252207L, 252212L, 252213L, 252215L, 252216L, 252221L, 252222L, 
252224L, 252225L, 252230L, 252231L, 252233L, 252234L, 252302L, 
252303L, 252305L, 252306L, 252311L, 252312L, 252314L, 252315L, 
252320L, 252321L, 252323L, 252324L, 252329L, 252330L, 252332L, 
252333L, 252338L, 252339L, 252341L, 252342L, 252356L, 252357L, 
252359L, 252360L, 252365L, 252366L, 252368L, 252369L, 252374L, 
252375L, 252377L, 252378L, 252383L, 252384L, 252386L, 252387L, 
252392L, 252393L, 252395L, 252396L, 252464L, 252465L, 252467L, 
252468L, 252473L, 252474L, 252476L, 252477L, 252482L, 252483L, 
252485L, 252486L, 252491L, 252492L, 252494L, 252495L, 252500L, 
252501L, 252503L, 252504L, 252518L, 252519L, 252521L, 252522L, 
252527L, 252528L, 252530L, 252531L, 252536L, 252537L, 252539L, 
252540L, 252545L, 252546L, 252548L, 252549L, 252554L, 252555L, 
252557L, 252558L, 252626L, 252627L, 252629L, 252630L, 252635L, 
252636L, 252638L, 252639L, 252644L, 252645L, 252647L, 252648L, 
252653L, 252654L, 252656L, 252657L, 252662L, 252663L, 252665L, 
252666L, 252680L, 252681L, 252683L, 252684L, 252689L, 252690L, 
252692L, 252693L, 252698L, 252699L, 252701L, 252702L, 252707L, 
252708L, 252710L, 252711L, 252716L, 252717L, 252719L, 252720L, 
253760L, 253761L, 253763L, 253764L, 253769L, 253770L, 253772L, 
253773L, 253778L, 253779L, 253781L, 253782L, 253787L, 253788L, 
253790L, 253791L, 253796L, 253797L, 253799L, 253800L, 253814L, 
253815L, 253817L, 253818L, 253823L, 253824L, 253826L, 253827L, 
253832L, 253833L, 253835L, 253836L, 253841L, 253842L, 253844L, 
253845L, 253850L, 253851L, 253853L, 253854L, 253922L, 253923L, 
253925L, 253926L, 253931L, 253932L, 253934L, 253935L, 253940L, 
253941L, 253943L, 253944L, 253949L, 253950L, 253952L, 253953L, 
253958L, 253959L, 253961L, 253962L, 253976L, 253977L, 253979L, 
253980L, 253985L, 253986L, 253988L, 253989L, 253994L, 253995L, 
253997L, 253998L, 254003L, 254004L, 254006L, 254007L, 254012L, 
254013L, 254015L, 254016L, 254084L, 254085L, 254087L, 254088L, 
254093L, 254094L, 254096L, 254097L, 254102L, 254103L, 254105L, 
254106L, 254111L, 254112L, 254114L, 254115L, 254120L, 254121L, 
254123L, 254124L, 254138L, 254139L, 254141L, 254142L, 254147L, 
254148L, 254150L, 254151L, 254156L, 254157L, 254159L, 254160L, 
254165L, 254166L, 254168L, 254169L, 254174L, 254175L, 254177L, 
254178L, 254246L, 254247L, 254249L, 254250L, 254255L, 254256L, 
254258L, 254259L, 254264L, 254265L, 254267L, 254268L, 254273L, 
254274L, 254276L, 254277L, 254282L, 254283L, 254285L, 254286L, 
254300L, 254301L, 254303L, 254304L, 254309L, 254310L, 254312L, 
254313L, 254318L, 254319L, 254321L, 254322L, 254327L, 254328L, 
254330L, 254331L, 254336L, 254337L, 254339L, 254340L, 254570L, 
254571L, 254573L, 254574L, 254579L, 254580L, 254582L, 254583L, 
254588L, 254589L, 254591L, 254592L, 254597L, 254598L, 254600L, 
254601L, 254606L, 254607L, 254609L, 254610L, 254624L, 254625L, 
254627L, 254628L, 254633L, 254634L, 254636L, 254637L, 254642L, 
254643L, 254645L, 254646L, 254651L, 254652L, 254654L, 254655L, 
254660L, 254661L, 254663L, 254664L, 254732L, 254733L, 254735L, 
254736L, 254741L, 254742L, 254744L, 254745L, 254750L, 254751L, 
254753L, 254754L, 254759L, 254760L, 254762L, 254763L, 254768L, 
254769L, 254771L, 254772L, 254786L, 254787L, 254789L, 254790L, 
254795L, 254796L, 254798L, 254799L, 254804L, 254805L, 254807L, 
254808L, 254813L, 254814L, 254816L, 254817L, 254822L, 254823L, 
254825L, 254826L, 254894L, 254895L, 254897L, 254898L, 254903L, 
254904L, 254906L, 254907L, 254912L, 254913L, 254915L, 254916L, 
254921L, 254922L, 254924L, 254925L, 254930L, 254931L, 254933L, 
254934L, 254948L, 254949L, 254951L, 254952L, 254957L, 254958L, 
254960L, 254961L, 254966L, 254967L, 254969L, 254970L, 254975L, 
254976L, 254978L, 254979L, 254984L, 254985L, 254987L, 254988L, 
255056L, 255057L, 255059L, 255060L, 255065L, 255066L, 255068L, 
255069L, 255074L, 255075L, 255077L, 255078L, 255083L, 255084L, 
255086L, 255087L, 255092L, 255093L, 255095L, 255096L, 255110L, 
255111L, 255113L, 255114L, 255119L, 255120L, 255122L, 255123L, 
255128L, 255129L, 255131L, 255132L, 255137L, 255138L, 255140L, 
255141L, 255146L, 255147L, 255149L, 255150L, 255380L, 255381L, 
255383L, 255384L, 255389L, 255390L, 255392L, 255393L, 255398L, 
255399L, 255401L, 255402L, 255407L, 255408L, 255410L, 255411L, 
255416L, 255417L, 255419L, 255420L, 255434L, 255435L, 255437L, 
255438L, 255443L, 255444L, 255446L, 255447L, 255452L, 255453L, 
255455L, 255456L, 255461L, 255462L, 255464L, 255465L, 255470L, 
255471L, 255473L, 255474L, 255542L, 255543L, 255545L, 255546L, 
255551L, 255552L, 255554L, 255555L, 255560L, 255561L, 255563L, 
255564L, 255569L, 255570L, 255572L, 255573L, 255578L, 255579L, 
255581L, 255582L, 255596L, 255597L, 255599L, 255600L, 255605L, 
255606L, 255608L, 255609L, 255614L, 255615L, 255617L, 255618L, 
255623L, 255624L, 255626L, 255627L, 255632L, 255633L, 255635L, 
255636L, 255704L, 255705L, 255707L, 255708L, 255713L, 255714L, 
255716L, 255717L, 255722L, 255723L, 255725L, 255726L, 255731L, 
255732L, 255734L, 255735L, 255740L, 255741L, 255743L, 255744L, 
255758L, 255759L, 255761L, 255762L, 255767L, 255768L, 255770L, 
255771L, 255776L, 255777L, 255779L, 255780L, 255785L, 255786L, 
255788L, 255789L, 255794L, 255795L, 255797L, 255798L, 255866L, 
255867L, 255869L, 255870L, 255875L, 255876L, 255878L, 255879L, 
255884L, 255885L, 255887L, 255888L, 255893L, 255894L, 255896L, 
255897L, 255902L, 255903L, 255905L, 255906L, 255920L, 255921L, 
255923L, 255924L, 255929L, 255930L, 255932L, 255933L, 255938L, 
255939L, 255941L, 255942L, 255947L, 255948L, 255950L, 255951L, 
255956L, 255957L, 255959L, 255960L, 256190L, 256191L, 256193L, 
256194L, 256199L, 256200L, 256202L, 256203L, 256208L, 256209L, 
256211L, 256212L, 256217L, 256218L, 256220L, 256221L, 256226L, 
256227L, 256229L, 256230L, 256244L, 256245L, 256247L, 256248L, 
256253L, 256254L, 256256L, 256257L, 256262L, 256263L, 256265L, 
256266L, 256271L, 256272L, 256274L, 256275L, 256280L, 256281L, 
256283L, 256284L, 256352L, 256353L, 256355L, 256356L, 256361L, 
256362L, 256364L, 256365L, 256370L, 256371L, 256373L, 256374L, 
256379L, 256380L, 256382L, 256383L, 256388L, 256389L, 256391L, 
256392L, 256406L, 256407L, 256409L, 256410L, 256415L, 256416L, 
256418L, 256419L, 256424L, 256425L, 256427L, 256428L, 256433L, 
256434L, 256436L, 256437L, 256442L, 256443L, 256445L, 256446L, 
256514L, 256515L, 256517L, 256518L, 256523L, 256524L, 256526L, 
256527L, 256532L, 256533L, 256535L, 256536L, 256541L, 256542L, 
256544L, 256545L, 256550L, 256551L, 256553L, 256554L, 256568L, 
256569L, 256571L, 256572L, 256577L, 256578L, 256580L, 256581L, 
256586L, 256587L, 256589L, 256590L, 256595L, 256596L, 256598L, 
256599L, 256604L, 256605L, 256607L, 256608L, 256676L, 256677L, 
256679L, 256680L, 256685L, 256686L, 256688L, 256689L, 256694L, 
256695L, 256697L, 256698L, 256703L, 256704L, 256706L, 256707L, 
256712L, 256713L, 256715L, 256716L, 256730L, 256731L, 256733L, 
256734L, 256739L, 256740L, 256742L, 256743L, 256748L, 256749L, 
256751L, 256752L, 256757L, 256758L, 256760L, 256761L, 256766L, 
256767L, 256769L, 256770L, 257000L, 257001L, 257003L, 257004L, 
257009L, 257010L, 257012L, 257013L, 257018L, 257019L, 257021L, 
257022L, 257027L, 257028L, 257030L, 257031L, 257036L, 257037L, 
257039L, 257040L, 257054L, 257055L, 257057L, 257058L, 257063L, 
257064L, 257066L, 257067L, 257072L, 257073L, 257075L, 257076L, 
257081L, 257082L, 257084L, 257085L, 257090L, 257091L, 257093L, 
257094L, 257162L, 257163L, 257165L, 257166L, 257171L, 257172L, 
257174L, 257175L, 257180L, 257181L, 257183L, 257184L, 257189L, 
257190L, 257192L, 257193L, 257198L, 257199L, 257201L, 257202L, 
257216L, 257217L, 257219L, 257220L, 257225L, 257226L, 257228L, 
257229L, 257234L, 257235L, 257237L, 257238L, 257243L, 257244L, 
257246L, 257247L, 257252L, 257253L, 257255L, 257256L, 257324L, 
257325L, 257327L, 257328L, 257333L, 257334L, 257336L, 257337L, 
257342L, 257343L, 257345L, 257346L, 257351L, 257352L, 257354L, 
257355L, 257360L, 257361L, 257363L, 257364L, 257378L, 257379L, 
257381L, 257382L, 257387L, 257388L, 257390L, 257391L, 257396L, 
257397L, 257399L, 257400L, 257405L, 257406L, 257408L, 257409L, 
257414L, 257415L, 257417L, 257418L, 257486L, 257487L, 257489L, 
257490L, 257495L, 257496L, 257498L, 257499L, 257504L, 257505L, 
257507L, 257508L, 257513L, 257514L, 257516L, 257517L, 257522L, 
257523L, 257525L, 257526L, 257540L, 257541L, 257543L, 257544L, 
257549L, 257550L, 257552L, 257553L, 257558L, 257559L, 257561L, 
257562L, 257567L, 257568L, 257570L, 257571L, 257576L, 257577L, 
257579L, 257580L, 258620L, 258621L, 258623L, 258624L, 258629L, 
258630L, 258632L, 258633L, 258638L, 258639L, 258641L, 258642L, 
258647L, 258648L, 258650L, 258651L, 258656L, 258657L, 258659L, 
258660L, 258674L, 258675L, 258677L, 258678L, 258683L, 258684L, 
258686L, 258687L, 258692L, 258693L, 258695L, 258696L, 258701L, 
258702L, 258704L, 258705L, 258710L, 258711L, 258713L, 258714L, 
258782L, 258783L, 258785L, 258786L, 258791L, 258792L, 258794L, 
258795L, 258800L, 258801L, 258803L, 258804L, 258809L, 258810L, 
258812L, 258813L, 258818L, 258819L, 258821L, 258822L, 258836L, 
258837L, 258839L, 258840L, 258845L, 258846L, 258848L, 258849L, 
258854L, 258855L, 258857L, 258858L, 258863L, 258864L, 258866L, 
258867L, 258872L, 258873L, 258875L, 258876L, 258944L, 258945L, 
258947L, 258948L, 258953L, 258954L, 258956L, 258957L, 258962L, 
258963L, 258965L, 258966L, 258971L, 258972L, 258974L, 258975L, 
258980L, 258981L, 258983L, 258984L, 258998L, 258999L, 259001L, 
259002L, 259007L, 259008L, 259010L, 259011L, 259016L, 259017L, 
259019L, 259020L, 259025L, 259026L, 259028L, 259029L, 259034L, 
259035L, 259037L, 259038L, 259106L, 259107L, 259109L, 259110L, 
259115L, 259116L, 259118L, 259119L, 259124L, 259125L, 259127L, 
259128L, 259133L, 259134L, 259136L, 259137L, 259142L, 259143L, 
259145L, 259146L, 259160L, 259161L, 259163L, 259164L, 259169L, 
259170L, 259172L, 259173L, 259178L, 259179L, 259181L, 259182L, 
259187L, 259188L, 259190L, 259191L, 259196L, 259197L, 259199L, 
259200L, 259430L, 259431L, 259433L, 259434L, 259439L, 259440L, 
259442L, 259443L, 259448L, 259449L, 259451L, 259452L, 259457L, 
259458L, 259460L, 259461L, 259466L, 259467L, 259469L, 259470L, 
259484L, 259485L, 259487L, 259488L, 259493L, 259494L, 259496L, 
259497L, 259502L, 259503L, 259505L, 259506L, 259511L, 259512L, 
259514L, 259515L, 259520L, 259521L, 259523L, 259524L, 259592L, 
259593L, 259595L, 259596L, 259601L, 259602L, 259604L, 259605L, 
259610L, 259611L, 259613L, 259614L, 259619L, 259620L, 259622L, 
259623L, 259628L, 259629L, 259631L, 259632L, 259646L, 259647L, 
259649L, 259650L, 259655L, 259656L, 259658L, 259659L, 259664L, 
259665L, 259667L, 259668L, 259673L, 259674L, 259676L, 259677L, 
259682L, 259683L, 259685L, 259686L, 259754L, 259755L, 259757L, 
259758L, 259763L, 259764L, 259766L, 259767L, 259772L, 259773L, 
259775L, 259776L, 259781L, 259782L, 259784L, 259785L, 259790L, 
259791L, 259793L, 259794L, 259808L, 259809L, 259811L, 259812L, 
259817L, 259818L, 259820L, 259821L, 259826L, 259827L, 259829L, 
259830L, 259835L, 259836L, 259838L, 259839L, 259844L, 259845L, 
259847L, 259848L, 259916L, 259917L, 259919L, 259920L, 259925L, 
259926L, 259928L, 259929L, 259934L, 259935L, 259937L, 259938L, 
259943L, 259944L, 259946L, 259947L, 259952L, 259953L, 259955L, 
259956L, 259970L, 259971L, 259973L, 259974L, 259979L, 259980L, 
259982L, 259983L, 259988L, 259989L, 259991L, 259992L, 259997L, 
259998L, 260000L, 260001L, 260006L, 260007L, 260009L, 260010L, 
260240L, 260241L, 260243L, 260244L, 260249L, 260250L, 260252L, 
260253L, 260258L, 260259L, 260261L, 260262L, 260267L, 260268L, 
260270L, 260271L, 260276L, 260277L, 260279L, 260280L, 260294L, 
260295L, 260297L, 260298L, 260303L, 260304L, 260306L, 260307L, 
260312L, 260313L, 260315L, 260316L, 260321L, 260322L, 260324L, 
260325L, 260330L, 260331L, 260333L, 260334L, 260402L, 260403L, 
260405L, 260406L, 260411L, 260412L, 260414L, 260415L, 260420L, 
260421L, 260423L, 260424L, 260429L, 260430L, 260432L, 260433L, 
260438L, 260439L, 260441L, 260442L, 260456L, 260457L, 260459L, 
260460L, 260465L, 260466L, 260468L, 260469L, 260474L, 260475L, 
260477L, 260478L, 260483L, 260484L, 260486L, 260487L, 260492L, 
260493L, 260495L, 260496L, 260564L, 260565L, 260567L, 260568L, 
260573L, 260574L, 260576L, 260577L, 260582L, 260583L, 260585L, 
260586L, 260591L, 260592L, 260594L, 260595L, 260600L, 260601L, 
260603L, 260604L, 260618L, 260619L, 260621L, 260622L, 260627L, 
260628L, 260630L, 260631L, 260636L, 260637L, 260639L, 260640L, 
260645L, 260646L, 260648L, 260649L, 260654L, 260655L, 260657L, 
260658L, 260726L, 260727L, 260729L, 260730L, 260735L, 260736L, 
260738L, 260739L, 260744L, 260745L, 260747L, 260748L, 260753L, 
260754L, 260756L, 260757L, 260762L, 260763L, 260765L, 260766L, 
260780L, 260781L, 260783L, 260784L, 260789L, 260790L, 260792L, 
260793L, 260798L, 260799L, 260801L, 260802L, 260807L, 260808L, 
260810L, 260811L, 260816L, 260817L, 260819L, 260820L, 261050L, 
261051L, 261053L, 261054L, 261059L, 261060L, 261062L, 261063L, 
261068L, 261069L, 261071L, 261072L, 261077L, 261078L, 261080L, 
261081L, 261086L, 261087L, 261089L, 261090L, 261104L, 261105L, 
261107L, 261108L, 261113L, 261114L, 261116L, 261117L, 261122L, 
261123L, 261125L, 261126L, 261131L, 261132L, 261134L, 261135L, 
261140L, 261141L, 261143L, 261144L, 261212L, 261213L, 261215L, 
261216L, 261221L, 261222L, 261224L, 261225L, 261230L, 261231L, 
261233L, 261234L, 261239L, 261240L, 261242L, 261243L, 261248L, 
261249L, 261251L, 261252L, 261266L, 261267L, 261269L, 261270L, 
261275L, 261276L, 261278L, 261279L, 261284L, 261285L, 261287L, 
261288L, 261293L, 261294L, 261296L, 261297L, 261302L, 261303L, 
261305L, 261306L, 261374L, 261375L, 261377L, 261378L, 261383L, 
261384L, 261386L, 261387L, 261392L, 261393L, 261395L, 261396L, 
261401L, 261402L, 261404L, 261405L, 261410L, 261411L, 261413L, 
261414L, 261428L, 261429L, 261431L, 261432L, 261437L, 261438L, 
261440L, 261441L, 261446L, 261447L, 261449L, 261450L, 261455L, 
261456L, 261458L, 261459L, 261464L, 261465L, 261467L, 261468L, 
261536L, 261537L, 261539L, 261540L, 261545L, 261546L, 261548L, 
261549L, 261554L, 261555L, 261557L, 261558L, 261563L, 261564L, 
261566L, 261567L, 261572L, 261573L, 261575L, 261576L, 261590L, 
261591L, 261593L, 261594L, 261599L, 261600L, 261602L, 261603L, 
261608L, 261609L, 261611L, 261612L, 261617L, 261618L, 261620L, 
261621L, 261626L, 261627L, 261629L, 261630L, 261860L, 261861L, 
261863L, 261864L, 261869L, 261870L, 261872L, 261873L, 261878L, 
261879L, 261881L, 261882L, 261887L, 261888L, 261890L, 261891L, 
261896L, 261897L, 261899L, 261900L, 261914L, 261915L, 261917L, 
261918L, 261923L, 261924L, 261926L, 261927L, 261932L, 261933L, 
261935L, 261936L, 261941L, 261942L, 261944L, 261945L, 261950L, 
261951L, 261953L, 261954L, 262022L, 262023L, 262025L, 262026L, 
262031L, 262032L, 262034L, 262035L, 262040L, 262041L, 262043L, 
262044L, 262049L, 262050L, 262052L, 262053L, 262058L, 262059L, 
262061L, 262062L, 262076L, 262077L, 262079L, 262080L, 262085L, 
262086L, 262088L, 262089L, 262094L, 262095L, 262097L, 262098L, 
262103L, 262104L, 262106L, 262107L, 262112L, 262113L, 262115L, 
262116L, 262184L, 262185L, 262187L, 262188L, 262193L, 262194L, 
262196L, 262197L, 262202L, 262203L, 262205L, 262206L, 262211L, 
262212L, 262214L, 262215L, 262220L, 262221L, 262223L, 262224L, 
262238L, 262239L, 262241L, 262242L, 262247L, 262248L, 262250L, 
262251L, 262256L, 262257L, 262259L, 262260L, 262265L, 262266L, 
262268L, 262269L, 262274L, 262275L, 262277L, 262278L, 262346L, 
262347L, 262349L, 262350L, 262355L, 262356L, 262358L, 262359L, 
262364L, 262365L, 262367L, 262368L, 262373L, 262374L, 262376L, 
262377L, 262382L, 262383L, 262385L, 262386L, 262400L, 262401L, 
262403L, 262404L, 262409L, 262410L, 262412L, 262413L, 262418L, 
262419L, 262421L, 262422L, 262427L, 262428L, 262430L, 262431L, 
262436L, 262437L, 262439L, 262440L, 273200L, 273201L, 273203L, 
273204L, 273209L, 273210L, 273212L, 273213L, 273218L, 273219L, 
273221L, 273222L, 273227L, 273228L, 273230L, 273231L, 273236L, 
273237L, 273239L, 273240L, 273254L, 273255L, 273257L, 273258L, 
273263L, 273264L, 273266L, 273267L, 273272L, 273273L, 273275L, 
273276L, 273281L, 273282L, 273284L, 273285L, 273290L, 273291L, 
273293L, 273294L, 273362L, 273363L, 273365L, 273366L, 273371L, 
273372L, 273374L, 273375L, 273380L, 273381L, 273383L, 273384L, 
273389L, 273390L, 273392L, 273393L, 273398L, 273399L, 273401L, 
273402L, 273416L, 273417L, 273419L, 273420L, 273425L, 273426L, 
273428L, 273429L, 273434L, 273435L, 273437L, 273438L, 273443L, 
273444L, 273446L, 273447L, 273452L, 273453L, 273455L, 273456L, 
273524L, 273525L, 273527L, 273528L, 273533L, 273534L, 273536L, 
273537L, 273542L, 273543L, 273545L, 273546L, 273551L, 273552L, 
273554L, 273555L, 273560L, 273561L, 273563L, 273564L, 273578L, 
273579L, 273581L, 273582L, 273587L, 273588L, 273590L, 273591L, 
273596L, 273597L, 273599L, 273600L, 273605L, 273606L, 273608L, 
273609L, 273614L, 273615L, 273617L, 273618L, 273686L, 273687L, 
273689L, 273690L, 273695L, 273696L, 273698L, 273699L, 273704L, 
273705L, 273707L, 273708L, 273713L, 273714L, 273716L, 273717L, 
273722L, 273723L, 273725L, 273726L, 273740L, 273741L, 273743L, 
273744L, 273749L, 273750L, 273752L, 273753L, 273758L, 273759L, 
273761L, 273762L, 273767L, 273768L, 273770L, 273771L, 273776L, 
273777L, 273779L, 273780L, 274010L, 274011L, 274013L, 274014L, 
274019L, 274020L, 274022L, 274023L, 274028L, 274029L, 274031L, 
274032L, 274037L, 274038L, 274040L, 274041L, 274046L, 274047L, 
274049L, 274050L, 274064L, 274065L, 274067L, 274068L, 274073L, 
274074L, 274076L, 274077L, 274082L, 274083L, 274085L, 274086L, 
274091L, 274092L, 274094L, 274095L, 274100L, 274101L, 274103L, 
274104L, 274172L, 274173L, 274175L, 274176L, 274181L, 274182L, 
274184L, 274185L, 274190L, 274191L, 274193L, 274194L, 274199L, 
274200L, 274202L, 274203L, 274208L, 274209L, 274211L, 274212L, 
274226L, 274227L, 274229L, 274230L, 274235L, 274236L, 274238L, 
274239L, 274244L, 274245L, 274247L, 274248L, 274253L, 274254L, 
274256L, 274257L, 274262L, 274263L, 274265L, 274266L, 274334L, 
274335L, 274337L, 274338L, 274343L, 274344L, 274346L, 274347L, 
274352L, 274353L, 274355L, 274356L, 274361L, 274362L, 274364L, 
274365L, 274370L, 274371L, 274373L, 274374L, 274388L, 274389L, 
274391L, 274392L, 274397L, 274398L, 274400L, 274401L, 274406L, 
274407L, 274409L, 274410L, 274415L, 274416L, 274418L, 274419L, 
274424L, 274425L, 274427L, 274428L, 274496L, 274497L, 274499L, 
274500L, 274505L, 274506L, 274508L, 274509L, 274514L, 274515L, 
274517L, 274518L, 274523L, 274524L, 274526L, 274527L, 274532L, 
274533L, 274535L, 274536L, 274550L, 274551L, 274553L, 274554L, 
274559L, 274560L, 274562L, 274563L, 274568L, 274569L, 274571L, 
274572L, 274577L, 274578L, 274580L, 274581L, 274586L, 274587L, 
274589L, 274590L, 274820L, 274821L, 274823L, 274824L, 274829L, 
274830L, 274832L, 274833L, 274838L, 274839L, 274841L, 274842L, 
274847L, 274848L, 274850L, 274851L, 274856L, 274857L, 274859L, 
274860L, 274874L, 274875L, 274877L, 274878L, 274883L, 274884L, 
274886L, 274887L, 274892L, 274893L, 274895L, 274896L, 274901L, 
274902L, 274904L, 274905L, 274910L, 274911L, 274913L, 274914L, 
274982L, 274983L, 274985L, 274986L, 274991L, 274992L, 274994L, 
274995L, 275000L, 275001L, 275003L, 275004L, 275009L, 275010L, 
275012L, 275013L, 275018L, 275019L, 275021L, 275022L, 275036L, 
275037L, 275039L, 275040L, 275045L, 275046L, 275048L, 275049L, 
275054L, 275055L, 275057L, 275058L, 275063L, 275064L, 275066L, 
275067L, 275072L, 275073L, 275075L, 275076L, 275144L, 275145L, 
275147L, 275148L, 275153L, 275154L, 275156L, 275157L, 275162L, 
275163L, 275165L, 275166L, 275171L, 275172L, 275174L, 275175L, 
275180L, 275181L, 275183L, 275184L, 275198L, 275199L, 275201L, 
275202L, 275207L, 275208L, 275210L, 275211L, 275216L, 275217L, 
275219L, 275220L, 275225L, 275226L, 275228L, 275229L, 275234L, 
275235L, 275237L, 275238L, 275306L, 275307L, 275309L, 275310L, 
275315L, 275316L, 275318L, 275319L, 275324L, 275325L, 275327L, 
275328L, 275333L, 275334L, 275336L, 275337L, 275342L, 275343L, 
275345L, 275346L, 275360L, 275361L, 275363L, 275364L, 275369L, 
275370L, 275372L, 275373L, 275378L, 275379L, 275381L, 275382L, 
275387L, 275388L, 275390L, 275391L, 275396L, 275397L, 275399L, 
275400L, 275630L, 275631L, 275633L, 275634L, 275639L, 275640L, 
275642L, 275643L, 275648L, 275649L, 275651L, 275652L, 275657L, 
275658L, 275660L, 275661L, 275666L, 275667L, 275669L, 275670L, 
275684L, 275685L, 275687L, 275688L, 275693L, 275694L, 275696L, 
275697L, 275702L, 275703L, 275705L, 275706L, 275711L, 275712L, 
275714L, 275715L, 275720L, 275721L, 275723L, 275724L, 275792L, 
275793L, 275795L, 275796L, 275801L, 275802L, 275804L, 275805L, 
275810L, 275811L, 275813L, 275814L, 275819L, 275820L, 275822L, 
275823L, 275828L, 275829L, 275831L, 275832L, 275846L, 275847L, 
275849L, 275850L, 275855L, 275856L, 275858L, 275859L, 275864L, 
275865L, 275867L, 275868L, 275873L, 275874L, 275876L, 275877L, 
275882L, 275883L, 275885L, 275886L, 275954L, 275955L, 275957L, 
275958L, 275963L, 275964L, 275966L, 275967L, 275972L, 275973L, 
275975L, 275976L, 275981L, 275982L, 275984L, 275985L, 275990L, 
275991L, 275993L, 275994L, 276008L, 276009L, 276011L, 276012L, 
276017L, 276018L, 276020L, 276021L, 276026L, 276027L, 276029L, 
276030L, 276035L, 276036L, 276038L, 276039L, 276044L, 276045L, 
276047L, 276048L, 276116L, 276117L, 276119L, 276120L, 276125L, 
276126L, 276128L, 276129L, 276134L, 276135L, 276137L, 276138L, 
276143L, 276144L, 276146L, 276147L, 276152L, 276153L, 276155L, 
276156L, 276170L, 276171L, 276173L, 276174L, 276179L, 276180L, 
276182L, 276183L, 276188L, 276189L, 276191L, 276192L, 276197L, 
276198L, 276200L, 276201L, 276206L, 276207L, 276209L, 276210L, 
276440L, 276441L, 276443L, 276444L, 276449L, 276450L, 276452L, 
276453L, 276458L, 276459L, 276461L, 276462L, 276467L, 276468L, 
276470L, 276471L, 276476L, 276477L, 276479L, 276480L, 276494L, 
276495L, 276497L, 276498L, 276503L, 276504L, 276506L, 276507L, 
276512L, 276513L, 276515L, 276516L, 276521L, 276522L, 276524L, 
276525L, 276530L, 276531L, 276533L, 276534L, 276602L, 276603L, 
276605L, 276606L, 276611L, 276612L, 276614L, 276615L, 276620L, 
276621L, 276623L, 276624L, 276629L, 276630L, 276632L, 276633L, 
276638L, 276639L, 276641L, 276642L, 276656L, 276657L, 276659L, 
276660L, 276665L, 276666L, 276668L, 276669L, 276674L, 276675L, 
276677L, 276678L, 276683L, 276684L, 276686L, 276687L, 276692L, 
276693L, 276695L, 276696L, 276764L, 276765L, 276767L, 276768L, 
276773L, 276774L, 276776L, 276777L, 276782L, 276783L, 276785L, 
276786L, 276791L, 276792L, 276794L, 276795L, 276800L, 276801L, 
276803L, 276804L, 276818L, 276819L, 276821L, 276822L, 276827L, 
276828L, 276830L, 276831L, 276836L, 276837L, 276839L, 276840L, 
276845L, 276846L, 276848L, 276849L, 276854L, 276855L, 276857L, 
276858L, 276926L, 276927L, 276929L, 276930L, 276935L, 276936L, 
276938L, 276939L, 276944L, 276945L, 276947L, 276948L, 276953L, 
276954L, 276956L, 276957L, 276962L, 276963L, 276965L, 276966L, 
276980L, 276981L, 276983L, 276984L, 276989L, 276990L, 276992L, 
276993L, 276998L, 276999L, 277001L, 277002L, 277007L, 277008L, 
277010L, 277011L, 277016L, 277017L, 277019L, 277020L, 278060L, 
278061L, 278063L, 278064L, 278069L, 278070L, 278072L, 278073L, 
278078L, 278079L, 278081L, 278082L, 278087L, 278088L, 278090L, 
278091L, 278096L, 278097L, 278099L, 278100L, 278114L, 278115L, 
278117L, 278118L, 278123L, 278124L, 278126L, 278127L, 278132L, 
278133L, 278135L, 278136L, 278141L, 278142L, 278144L, 278145L, 
278150L, 278151L, 278153L, 278154L, 278222L, 278223L, 278225L, 
278226L, 278231L, 278232L, 278234L, 278235L, 278240L, 278241L, 
278243L, 278244L, 278249L, 278250L, 278252L, 278253L, 278258L, 
278259L, 278261L, 278262L, 278276L, 278277L, 278279L, 278280L, 
278285L, 278286L, 278288L, 278289L, 278294L, 278295L, 278297L, 
278298L, 278303L, 278304L, 278306L, 278307L, 278312L, 278313L, 
278315L, 278316L, 278384L, 278385L, 278387L, 278388L, 278393L, 
278394L, 278396L, 278397L, 278402L, 278403L, 278405L, 278406L, 
278411L, 278412L, 278414L, 278415L, 278420L, 278421L, 278423L, 
278424L, 278438L, 278439L, 278441L, 278442L, 278447L, 278448L, 
278450L, 278451L, 278456L, 278457L, 278459L, 278460L, 278465L, 
278466L, 278468L, 278469L, 278474L, 278475L, 278477L, 278478L, 
278546L, 278547L, 278549L, 278550L, 278555L, 278556L, 278558L, 
278559L, 278564L, 278565L, 278567L, 278568L, 278573L, 278574L, 
278576L, 278577L, 278582L, 278583L, 278585L, 278586L, 278600L, 
278601L, 278603L, 278604L, 278609L, 278610L, 278612L, 278613L, 
278618L, 278619L, 278621L, 278622L, 278627L, 278628L, 278630L, 
278631L, 278636L, 278637L, 278639L, 278640L, 278870L, 278871L, 
278873L, 278874L, 278879L, 278880L, 278882L, 278883L, 278888L, 
278889L, 278891L, 278892L, 278897L, 278898L, 278900L, 278901L, 
278906L, 278907L, 278909L, 278910L, 278924L, 278925L, 278927L, 
278928L, 278933L, 278934L, 278936L, 278937L, 278942L, 278943L, 
278945L, 278946L, 278951L, 278952L, 278954L, 278955L, 278960L, 
278961L, 278963L, 278964L, 279032L, 279033L, 279035L, 279036L, 
279041L, 279042L, 279044L, 279045L, 279050L, 279051L, 279053L, 
279054L, 279059L, 279060L, 279062L, 279063L, 279068L, 279069L, 
279071L, 279072L, 279086L, 279087L, 279089L, 279090L, 279095L, 
279096L, 279098L, 279099L, 279104L, 279105L, 279107L, 279108L, 
279113L, 279114L, 279116L, 279117L, 279122L, 279123L, 279125L, 
279126L, 279194L, 279195L, 279197L, 279198L, 279203L, 279204L, 
279206L, 279207L, 279212L, 279213L, 279215L, 279216L, 279221L, 
279222L, 279224L, 279225L, 279230L, 279231L, 279233L, 279234L, 
279248L, 279249L, 279251L, 279252L, 279257L, 279258L, 279260L, 
279261L, 279266L, 279267L, 279269L, 279270L, 279275L, 279276L, 
279278L, 279279L, 279284L, 279285L, 279287L, 279288L, 279356L, 
279357L, 279359L, 279360L, 279365L, 279366L, 279368L, 279369L, 
279374L, 279375L, 279377L, 279378L, 279383L, 279384L, 279386L, 
279387L, 279392L, 279393L, 279395L, 279396L, 279410L, 279411L, 
279413L, 279414L, 279419L, 279420L, 279422L, 279423L, 279428L, 
279429L, 279431L, 279432L, 279437L, 279438L, 279440L, 279441L, 
279446L, 279447L, 279449L, 279450L, 279680L, 279681L, 279683L, 
279684L, 279689L, 279690L, 279692L, 279693L, 279698L, 279699L, 
279701L, 279702L, 279707L, 279708L, 279710L, 279711L, 279716L, 
279717L, 279719L, 279720L, 279734L, 279735L, 279737L, 279738L, 
279743L, 279744L, 279746L, 279747L, 279752L, 279753L, 279755L, 
279756L, 279761L, 279762L, 279764L, 279765L, 279770L, 279771L, 
279773L, 279774L, 279842L, 279843L, 279845L, 279846L, 279851L, 
279852L, 279854L, 279855L, 279860L, 279861L, 279863L, 279864L, 
279869L, 279870L, 279872L, 279873L, 279878L, 279879L, 279881L, 
279882L, 279896L, 279897L, 279899L, 279900L, 279905L, 279906L, 
279908L, 279909L, 279914L, 279915L, 279917L, 279918L, 279923L, 
279924L, 279926L, 279927L, 279932L, 279933L, 279935L, 279936L, 
280004L, 280005L, 280007L, 280008L, 280013L, 280014L, 280016L, 
280017L, 280022L, 280023L, 280025L, 280026L, 280031L, 280032L, 
280034L, 280035L, 280040L, 280041L, 280043L, 280044L, 280058L, 
280059L, 280061L, 280062L, 280067L, 280068L, 280070L, 280071L, 
280076L, 280077L, 280079L, 280080L, 280085L, 280086L, 280088L, 
280089L, 280094L, 280095L, 280097L, 280098L, 280166L, 280167L, 
280169L, 280170L, 280175L, 280176L, 280178L, 280179L, 280184L, 
280185L, 280187L, 280188L, 280193L, 280194L, 280196L, 280197L, 
280202L, 280203L, 280205L, 280206L, 280220L, 280221L, 280223L, 
280224L, 280229L, 280230L, 280232L, 280233L, 280238L, 280239L, 
280241L, 280242L, 280247L, 280248L, 280250L, 280251L, 280256L, 
280257L, 280259L, 280260L, 280490L, 280491L, 280493L, 280494L, 
280499L, 280500L, 280502L, 280503L, 280508L, 280509L, 280511L, 
280512L, 280517L, 280518L, 280520L, 280521L, 280526L, 280527L, 
280529L, 280530L, 280544L, 280545L, 280547L, 280548L, 280553L, 
280554L, 280556L, 280557L, 280562L, 280563L, 280565L, 280566L, 
280571L, 280572L, 280574L, 280575L, 280580L, 280581L, 280583L, 
280584L, 280652L, 280653L, 280655L, 280656L, 280661L, 280662L, 
280664L, 280665L, 280670L, 280671L, 280673L, 280674L, 280679L, 
280680L, 280682L, 280683L, 280688L, 280689L, 280691L, 280692L, 
280706L, 280707L, 280709L, 280710L, 280715L, 280716L, 280718L, 
280719L, 280724L, 280725L, 280727L, 280728L, 280733L, 280734L, 
280736L, 280737L, 280742L, 280743L, 280745L, 280746L, 280814L, 
280815L, 280817L, 280818L, 280823L, 280824L, 280826L, 280827L, 
280832L, 280833L, 280835L, 280836L, 280841L, 280842L, 280844L, 
280845L, 280850L, 280851L, 280853L, 280854L, 280868L, 280869L, 
280871L, 280872L, 280877L, 280878L, 280880L, 280881L, 280886L, 
280887L, 280889L, 280890L, 280895L, 280896L, 280898L, 280899L, 
280904L, 280905L, 280907L, 280908L, 280976L, 280977L, 280979L, 
280980L, 280985L, 280986L, 280988L, 280989L, 280994L, 280995L, 
280997L, 280998L, 281003L, 281004L, 281006L, 281007L, 281012L, 
281013L, 281015L, 281016L, 281030L, 281031L, 281033L, 281034L, 
281039L, 281040L, 281042L, 281043L, 281048L, 281049L, 281051L, 
281052L, 281057L, 281058L, 281060L, 281061L, 281066L, 281067L, 
281069L, 281070L, 281300L, 281301L, 281303L, 281304L, 281309L, 
281310L, 281312L, 281313L, 281318L, 281319L, 281321L, 281322L, 
281327L, 281328L, 281330L, 281331L, 281336L, 281337L, 281339L, 
281340L, 281354L, 281355L, 281357L, 281358L, 281363L, 281364L, 
281366L, 281367L, 281372L, 281373L, 281375L, 281376L, 281381L, 
281382L, 281384L, 281385L, 281390L, 281391L, 281393L, 281394L, 
281462L, 281463L, 281465L, 281466L, 281471L, 281472L, 281474L, 
281475L, 281480L, 281481L, 281483L, 281484L, 281489L, 281490L, 
281492L, 281493L, 281498L, 281499L, 281501L, 281502L, 281516L, 
281517L, 281519L, 281520L, 281525L, 281526L, 281528L, 281529L, 
281534L, 281535L, 281537L, 281538L, 281543L, 281544L, 281546L, 
281547L, 281552L, 281553L, 281555L, 281556L, 281624L, 281625L, 
281627L, 281628L, 281633L, 281634L, 281636L, 281637L, 281642L, 
281643L, 281645L, 281646L, 281651L, 281652L, 281654L, 281655L, 
281660L, 281661L, 281663L, 281664L, 281678L, 281679L, 281681L, 
281682L, 281687L, 281688L, 281690L, 281691L, 281696L, 281697L, 
281699L, 281700L, 281705L, 281706L, 281708L, 281709L, 281714L, 
281715L, 281717L, 281718L, 281786L, 281787L, 281789L, 281790L, 
281795L, 281796L, 281798L, 281799L, 281804L, 281805L, 281807L, 
281808L, 281813L, 281814L, 281816L, 281817L, 281822L, 281823L, 
281825L, 281826L, 281840L, 281841L, 281843L, 281844L, 281849L, 
281850L, 281852L, 281853L, 281858L, 281859L, 281861L, 281862L, 
281867L, 281868L, 281870L, 281871L, 281876L, 281877L, 281879L, 
281880L, 282920L, 282921L, 282923L, 282924L, 282929L, 282930L, 
282932L, 282933L, 282938L, 282939L, 282941L, 282942L, 282947L, 
282948L, 282950L, 282951L, 282956L, 282957L, 282959L, 282960L, 
282974L, 282975L, 282977L, 282978L, 282983L, 282984L, 282986L, 
282987L, 282992L, 282993L, 282995L, 282996L, 283001L, 283002L, 
283004L, 283005L, 283010L, 283011L, 283013L, 283014L, 283082L, 
283083L, 283085L, 283086L, 283091L, 283092L, 283094L, 283095L, 
283100L, 283101L, 283103L, 283104L, 283109L, 283110L, 283112L, 
283113L, 283118L, 283119L, 283121L, 283122L, 283136L, 283137L, 
283139L, 283140L, 283145L, 283146L, 283148L, 283149L, 283154L, 
283155L, 283157L, 283158L, 283163L, 283164L, 283166L, 283167L, 
283172L, 283173L, 283175L, 283176L, 283244L, 283245L, 283247L, 
283248L, 283253L, 283254L, 283256L, 283257L, 283262L, 283263L, 
283265L, 283266L, 283271L, 283272L, 283274L, 283275L, 283280L, 
283281L, 283283L, 283284L, 283298L, 283299L, 283301L, 283302L, 
283307L, 283308L, 283310L, 283311L, 283316L, 283317L, 283319L, 
283320L, 283325L, 283326L, 283328L, 283329L, 283334L, 283335L, 
283337L, 283338L, 283406L, 283407L, 283409L, 283410L, 283415L, 
283416L, 283418L, 283419L, 283424L, 283425L, 283427L, 283428L, 
283433L, 283434L, 283436L, 283437L, 283442L, 283443L, 283445L, 
283446L, 283460L, 283461L, 283463L, 283464L, 283469L, 283470L, 
283472L, 283473L, 283478L, 283479L, 283481L, 283482L, 283487L, 
283488L, 283490L, 283491L, 283496L, 283497L, 283499L, 283500L, 
283730L, 283731L, 283733L, 283734L, 283739L, 283740L, 283742L, 
283743L, 283748L, 283749L, 283751L, 283752L, 283757L, 283758L, 
283760L, 283761L, 283766L, 283767L, 283769L, 283770L, 283784L, 
283785L, 283787L, 283788L, 283793L, 283794L, 283796L, 283797L, 
283802L, 283803L, 283805L, 283806L, 283811L, 283812L, 283814L, 
283815L, 283820L, 283821L, 283823L, 283824L, 283892L, 283893L, 
283895L, 283896L, 283901L, 283902L, 283904L, 283905L, 283910L, 
283911L, 283913L, 283914L, 283919L, 283920L, 283922L, 283923L, 
283928L, 283929L, 283931L, 283932L, 283946L, 283947L, 283949L, 
283950L, 283955L, 283956L, 283958L, 283959L, 283964L, 283965L, 
283967L, 283968L, 283973L, 283974L, 283976L, 283977L, 283982L, 
283983L, 283985L, 283986L, 284054L, 284055L, 284057L, 284058L, 
284063L, 284064L, 284066L, 284067L, 284072L, 284073L, 284075L, 
284076L, 284081L, 284082L, 284084L, 284085L, 284090L, 284091L, 
284093L, 284094L, 284108L, 284109L, 284111L, 284112L, 284117L, 
284118L, 284120L, 284121L, 284126L, 284127L, 284129L, 284130L, 
284135L, 284136L, 284138L, 284139L, 284144L, 284145L, 284147L, 
284148L, 284216L, 284217L, 284219L, 284220L, 284225L, 284226L, 
284228L, 284229L, 284234L, 284235L, 284237L, 284238L, 284243L, 
284244L, 284246L, 284247L, 284252L, 284253L, 284255L, 284256L, 
284270L, 284271L, 284273L, 284274L, 284279L, 284280L, 284282L, 
284283L, 284288L, 284289L, 284291L, 284292L, 284297L, 284298L, 
284300L, 284301L, 284306L, 284307L, 284309L, 284310L, 284540L, 
284541L, 284543L, 284544L, 284549L, 284550L, 284552L, 284553L, 
284558L, 284559L, 284561L, 284562L, 284567L, 284568L, 284570L, 
284571L, 284576L, 284577L, 284579L, 284580L, 284594L, 284595L, 
284597L, 284598L, 284603L, 284604L, 284606L, 284607L, 284612L, 
284613L, 284615L, 284616L, 284621L, 284622L, 284624L, 284625L, 
284630L, 284631L, 284633L, 284634L, 284702L, 284703L, 284705L, 
284706L, 284711L, 284712L, 284714L, 284715L, 284720L, 284721L, 
284723L, 284724L, 284729L, 284730L, 284732L, 284733L, 284738L, 
284739L, 284741L, 284742L, 284756L, 284757L, 284759L, 284760L, 
284765L, 284766L, 284768L, 284769L, 284774L, 284775L, 284777L, 
284778L, 284783L, 284784L, 284786L, 284787L, 284792L, 284793L, 
284795L, 284796L, 284864L, 284865L, 284867L, 284868L, 284873L, 
284874L, 284876L, 284877L, 284882L, 284883L, 284885L, 284886L, 
284891L, 284892L, 284894L, 284895L, 284900L, 284901L, 284903L, 
284904L, 284918L, 284919L, 284921L, 284922L, 284927L, 284928L, 
284930L, 284931L, 284936L, 284937L, 284939L, 284940L, 284945L, 
284946L, 284948L, 284949L, 284954L, 284955L, 284957L, 284958L, 
285026L, 285027L, 285029L, 285030L, 285035L, 285036L, 285038L, 
285039L, 285044L, 285045L, 285047L, 285048L, 285053L, 285054L, 
285056L, 285057L, 285062L, 285063L, 285065L, 285066L, 285080L, 
285081L, 285083L, 285084L, 285089L, 285090L, 285092L, 285093L, 
285098L, 285099L, 285101L, 285102L, 285107L, 285108L, 285110L, 
285111L, 285116L, 285117L, 285119L, 285120L, 285350L, 285351L, 
285353L, 285354L, 285359L, 285360L, 285362L, 285363L, 285368L, 
285369L, 285371L, 285372L, 285377L, 285378L, 285380L, 285381L, 
285386L, 285387L, 285389L, 285390L, 285404L, 285405L, 285407L, 
285408L, 285413L, 285414L, 285416L, 285417L, 285422L, 285423L, 
285425L, 285426L, 285431L, 285432L, 285434L, 285435L, 285440L, 
285441L, 285443L, 285444L, 285512L, 285513L, 285515L, 285516L, 
285521L, 285522L, 285524L, 285525L, 285530L, 285531L, 285533L, 
285534L, 285539L, 285540L, 285542L, 285543L, 285548L, 285549L, 
285551L, 285552L, 285566L, 285567L, 285569L, 285570L, 285575L, 
285576L, 285578L, 285579L, 285584L, 285585L, 285587L, 285588L, 
285593L, 285594L, 285596L, 285597L, 285602L, 285603L, 285605L, 
285606L, 285674L, 285675L, 285677L, 285678L, 285683L, 285684L, 
285686L, 285687L, 285692L, 285693L, 285695L, 285696L, 285701L, 
285702L, 285704L, 285705L, 285710L, 285711L, 285713L, 285714L, 
285728L, 285729L, 285731L, 285732L, 285737L, 285738L, 285740L, 
285741L, 285746L, 285747L, 285749L, 285750L, 285755L, 285756L, 
285758L, 285759L, 285764L, 285765L, 285767L, 285768L, 285836L, 
285837L, 285839L, 285840L, 285845L, 285846L, 285848L, 285849L, 
285854L, 285855L, 285857L, 285858L, 285863L, 285864L, 285866L, 
285867L, 285872L, 285873L, 285875L, 285876L, 285890L, 285891L, 
285893L, 285894L, 285899L, 285900L, 285902L, 285903L, 285908L, 
285909L, 285911L, 285912L, 285917L, 285918L, 285920L, 285921L, 
285926L, 285927L, 285929L, 285930L, 286160L, 286161L, 286163L, 
286164L, 286169L, 286170L, 286172L, 286173L, 286178L, 286179L, 
286181L, 286182L, 286187L, 286188L, 286190L, 286191L, 286196L, 
286197L, 286199L, 286200L, 286214L, 286215L, 286217L, 286218L, 
286223L, 286224L, 286226L, 286227L, 286232L, 286233L, 286235L, 
286236L, 286241L, 286242L, 286244L, 286245L, 286250L, 286251L, 
286253L, 286254L, 286322L, 286323L, 286325L, 286326L, 286331L, 
286332L, 286334L, 286335L, 286340L, 286341L, 286343L, 286344L, 
286349L, 286350L, 286352L, 286353L, 286358L, 286359L, 286361L, 
286362L, 286376L, 286377L, 286379L, 286380L, 286385L, 286386L, 
286388L, 286389L, 286394L, 286395L, 286397L, 286398L, 286403L, 
286404L, 286406L, 286407L, 286412L, 286413L, 286415L, 286416L, 
286484L, 286485L, 286487L, 286488L, 286493L, 286494L, 286496L, 
286497L, 286502L, 286503L, 286505L, 286506L, 286511L, 286512L, 
286514L, 286515L, 286520L, 286521L, 286523L, 286524L, 286538L, 
286539L, 286541L, 286542L, 286547L, 286548L, 286550L, 286551L, 
286556L, 286557L, 286559L, 286560L, 286565L, 286566L, 286568L, 
286569L, 286574L, 286575L, 286577L, 286578L, 286646L, 286647L, 
286649L, 286650L, 286655L, 286656L, 286658L, 286659L, 286664L, 
286665L, 286667L, 286668L, 286673L, 286674L, 286676L, 286677L, 
286682L, 286683L, 286685L, 286686L, 286700L, 286701L, 286703L, 
286704L, 286709L, 286710L, 286712L, 286713L, 286718L, 286719L, 
286721L, 286722L, 286727L, 286728L, 286730L, 286731L, 286736L, 
286737L, 286739L, 286740L, 321800L, 321801L, 321803L, 321804L, 
321809L, 321810L, 321812L, 321813L, 321818L, 321819L, 321821L, 
321822L, 321827L, 321828L, 321830L, 321831L, 321836L, 321837L, 
321839L, 321840L, 321854L, 321855L, 321857L, 321858L, 321863L, 
321864L, 321866L, 321867L, 321872L, 321873L, 321875L, 321876L, 
321881L, 321882L, 321884L, 321885L, 321890L, 321891L, 321893L, 
321894L, 321962L, 321963L, 321965L, 321966L, 321971L, 321972L, 
321974L, 321975L, 321980L, 321981L, 321983L, 321984L, 321989L, 
321990L, 321992L, 321993L, 321998L, 321999L, 322001L, 322002L, 
322016L, 322017L, 322019L, 322020L, 322025L, 322026L, 322028L, 
322029L, 322034L, 322035L, 322037L, 322038L, 322043L, 322044L, 
322046L, 322047L, 322052L, 322053L, 322055L, 322056L, 322124L, 
322125L, 322127L, 322128L, 322133L, 322134L, 322136L, 322137L, 
322142L, 322143L, 322145L, 322146L, 322151L, 322152L, 322154L, 
322155L, 322160L, 322161L, 322163L, 322164L, 322178L, 322179L, 
322181L, 322182L, 322187L, 322188L, 322190L, 322191L, 322196L, 
322197L, 322199L, 322200L, 322205L, 322206L, 322208L, 322209L, 
322214L, 322215L, 322217L, 322218L, 322286L, 322287L, 322289L, 
322290L, 322295L, 322296L, 322298L, 322299L, 322304L, 322305L, 
322307L, 322308L, 322313L, 322314L, 322316L, 322317L, 322322L, 
322323L, 322325L, 322326L, 322340L, 322341L, 322343L, 322344L, 
322349L, 322350L, 322352L, 322353L, 322358L, 322359L, 322361L, 
322362L, 322367L, 322368L, 322370L, 322371L, 322376L, 322377L, 
322379L, 322380L, 322610L, 322611L, 322613L, 322614L, 322619L, 
322620L, 322622L, 322623L, 322628L, 322629L, 322631L, 322632L, 
322637L, 322638L, 322640L, 322641L, 322646L, 322647L, 322649L, 
322650L, 322664L, 322665L, 322667L, 322668L, 322673L, 322674L, 
322676L, 322677L, 322682L, 322683L, 322685L, 322686L, 322691L, 
322692L, 322694L, 322695L, 322700L, 322701L, 322703L, 322704L, 
322772L, 322773L, 322775L, 322776L, 322781L, 322782L, 322784L, 
322785L, 322790L, 322791L, 322793L, 322794L, 322799L, 322800L, 
322802L, 322803L, 322808L, 322809L, 322811L, 322812L, 322826L, 
322827L, 322829L, 322830L, 322835L, 322836L, 322838L, 322839L, 
322844L, 322845L, 322847L, 322848L, 322853L, 322854L, 322856L, 
322857L, 322862L, 322863L, 322865L, 322866L, 322934L, 322935L, 
322937L, 322938L, 322943L, 322944L, 322946L, 322947L, 322952L, 
322953L, 322955L, 322956L, 322961L, 322962L, 322964L, 322965L, 
322970L, 322971L, 322973L, 322974L, 322988L, 322989L, 322991L, 
322992L, 322997L, 322998L, 323000L, 323001L, 323006L, 323007L, 
323009L, 323010L, 323015L, 323016L, 323018L, 323019L, 323024L, 
323025L, 323027L, 323028L, 323096L, 323097L, 323099L, 323100L, 
323105L, 323106L, 323108L, 323109L, 323114L, 323115L, 323117L, 
323118L, 323123L, 323124L, 323126L, 323127L, 323132L, 323133L, 
323135L, 323136L, 323150L, 323151L, 323153L, 323154L, 323159L, 
323160L, 323162L, 323163L, 323168L, 323169L, 323171L, 323172L, 
323177L, 323178L, 323180L, 323181L, 323186L, 323187L, 323189L, 
323190L, 323420L, 323421L, 323423L, 323424L, 323429L, 323430L, 
323432L, 323433L, 323438L, 323439L, 323441L, 323442L, 323447L, 
323448L, 323450L, 323451L, 323456L, 323457L, 323459L, 323460L, 
323474L, 323475L, 323477L, 323478L, 323483L, 323484L, 323486L, 
323487L, 323492L, 323493L, 323495L, 323496L, 323501L, 323502L, 
323504L, 323505L, 323510L, 323511L, 323513L, 323514L, 323582L, 
323583L, 323585L, 323586L, 323591L, 323592L, 323594L, 323595L, 
323600L, 323601L, 323603L, 323604L, 323609L, 323610L, 323612L, 
323613L, 323618L, 323619L, 323621L, 323622L, 323636L, 323637L, 
323639L, 323640L, 323645L, 323646L, 323648L, 323649L, 323654L, 
323655L, 323657L, 323658L, 323663L, 323664L, 323666L, 323667L, 
323672L, 323673L, 323675L, 323676L, 323744L, 323745L, 323747L, 
323748L, 323753L, 323754L, 323756L, 323757L, 323762L, 323763L, 
323765L, 323766L, 323771L, 323772L, 323774L, 323775L, 323780L, 
323781L, 323783L, 323784L, 323798L, 323799L, 323801L, 323802L, 
323807L, 323808L, 323810L, 323811L, 323816L, 323817L, 323819L, 
323820L, 323825L, 323826L, 323828L, 323829L, 323834L, 323835L, 
323837L, 323838L, 323906L, 323907L, 323909L, 323910L, 323915L, 
323916L, 323918L, 323919L, 323924L, 323925L, 323927L, 323928L, 
323933L, 323934L, 323936L, 323937L, 323942L, 323943L, 323945L, 
323946L, 323960L, 323961L, 323963L, 323964L, 323969L, 323970L, 
323972L, 323973L, 323978L, 323979L, 323981L, 323982L, 323987L, 
323988L, 323990L, 323991L, 323996L, 323997L, 323999L, 324000L, 
324230L, 324231L, 324233L, 324234L, 324239L, 324240L, 324242L, 
324243L, 324248L, 324249L, 324251L, 324252L, 324257L, 324258L, 
324260L, 324261L, 324266L, 324267L, 324269L, 324270L, 324284L, 
324285L, 324287L, 324288L, 324293L, 324294L, 324296L, 324297L, 
324302L, 324303L, 324305L, 324306L, 324311L, 324312L, 324314L, 
324315L, 324320L, 324321L, 324323L, 324324L, 324392L, 324393L, 
324395L, 324396L, 324401L, 324402L, 324404L, 324405L, 324410L, 
324411L, 324413L, 324414L, 324419L, 324420L, 324422L, 324423L, 
324428L, 324429L, 324431L, 324432L, 324446L, 324447L, 324449L, 
324450L, 324455L, 324456L, 324458L, 324459L, 324464L, 324465L, 
324467L, 324468L, 324473L, 324474L, 324476L, 324477L, 324482L, 
324483L, 324485L, 324486L, 324554L, 324555L, 324557L, 324558L, 
324563L, 324564L, 324566L, 324567L, 324572L, 324573L, 324575L, 
324576L, 324581L, 324582L, 324584L, 324585L, 324590L, 324591L, 
324593L, 324594L, 324608L, 324609L, 324611L, 324612L, 324617L, 
324618L, 324620L, 324621L, 324626L, 324627L, 324629L, 324630L, 
324635L, 324636L, 324638L, 324639L, 324644L, 324645L, 324647L, 
324648L, 324716L, 324717L, 324719L, 324720L, 324725L, 324726L, 
324728L, 324729L, 324734L, 324735L, 324737L, 324738L, 324743L, 
324744L, 324746L, 324747L, 324752L, 324753L, 324755L, 324756L, 
324770L, 324771L, 324773L, 324774L, 324779L, 324780L, 324782L, 
324783L, 324788L, 324789L, 324791L, 324792L, 324797L, 324798L, 
324800L, 324801L, 324806L, 324807L, 324809L, 324810L, 325040L, 
325041L, 325043L, 325044L, 325049L, 325050L, 325052L, 325053L, 
325058L, 325059L, 325061L, 325062L, 325067L, 325068L, 325070L, 
325071L, 325076L, 325077L, 325079L, 325080L, 325094L, 325095L, 
325097L, 325098L, 325103L, 325104L, 325106L, 325107L, 325112L, 
325113L, 325115L, 325116L, 325121L, 325122L, 325124L, 325125L, 
325130L, 325131L, 325133L, 325134L, 325202L, 325203L, 325205L, 
325206L, 325211L, 325212L, 325214L, 325215L, 325220L, 325221L, 
325223L, 325224L, 325229L, 325230L, 325232L, 325233L, 325238L, 
325239L, 325241L, 325242L, 325256L, 325257L, 325259L, 325260L, 
325265L, 325266L, 325268L, 325269L, 325274L, 325275L, 325277L, 
325278L, 325283L, 325284L, 325286L, 325287L, 325292L, 325293L, 
325295L, 325296L, 325364L, 325365L, 325367L, 325368L, 325373L, 
325374L, 325376L, 325377L, 325382L, 325383L, 325385L, 325386L, 
325391L, 325392L, 325394L, 325395L, 325400L, 325401L, 325403L, 
325404L, 325418L, 325419L, 325421L, 325422L, 325427L, 325428L, 
325430L, 325431L, 325436L, 325437L, 325439L, 325440L, 325445L, 
325446L, 325448L, 325449L, 325454L, 325455L, 325457L, 325458L, 
325526L, 325527L, 325529L, 325530L, 325535L, 325536L, 325538L, 
325539L, 325544L, 325545L, 325547L, 325548L, 325553L, 325554L, 
325556L, 325557L, 325562L, 325563L, 325565L, 325566L, 325580L, 
325581L, 325583L, 325584L, 325589L, 325590L, 325592L, 325593L, 
325598L, 325599L, 325601L, 325602L, 325607L, 325608L, 325610L, 
325611L, 325616L, 325617L, 325619L, 325620L, 326660L, 326661L, 
326663L, 326664L, 326669L, 326670L, 326672L, 326673L, 326678L, 
326679L, 326681L, 326682L, 326687L, 326688L, 326690L, 326691L, 
326696L, 326697L, 326699L, 326700L, 326714L, 326715L, 326717L, 
326718L, 326723L, 326724L, 326726L, 326727L, 326732L, 326733L, 
326735L, 326736L, 326741L, 326742L, 326744L, 326745L, 326750L, 
326751L, 326753L, 326754L, 326822L, 326823L, 326825L, 326826L, 
326831L, 326832L, 326834L, 326835L, 326840L, 326841L, 326843L, 
326844L, 326849L, 326850L, 326852L, 326853L, 326858L, 326859L, 
326861L, 326862L, 326876L, 326877L, 326879L, 326880L, 326885L, 
326886L, 326888L, 326889L, 326894L, 326895L, 326897L, 326898L, 
326903L, 326904L, 326906L, 326907L, 326912L, 326913L, 326915L, 
326916L, 326984L, 326985L, 326987L, 326988L, 326993L, 326994L, 
326996L, 326997L, 327002L, 327003L, 327005L, 327006L, 327011L, 
327012L, 327014L, 327015L, 327020L, 327021L, 327023L, 327024L, 
327038L, 327039L, 327041L, 327042L, 327047L, 327048L, 327050L, 
327051L, 327056L, 327057L, 327059L, 327060L, 327065L, 327066L, 
327068L, 327069L, 327074L, 327075L, 327077L, 327078L, 327146L, 
327147L, 327149L, 327150L, 327155L, 327156L, 327158L, 327159L, 
327164L, 327165L, 327167L, 327168L, 327173L, 327174L, 327176L, 
327177L, 327182L, 327183L, 327185L, 327186L, 327200L, 327201L, 
327203L, 327204L, 327209L, 327210L, 327212L, 327213L, 327218L, 
327219L, 327221L, 327222L, 327227L, 327228L, 327230L, 327231L, 
327236L, 327237L, 327239L, 327240L, 327470L, 327471L, 327473L, 
327474L, 327479L, 327480L, 327482L, 327483L, 327488L, 327489L, 
327491L, 327492L, 327497L, 327498L, 327500L, 327501L, 327506L, 
327507L, 327509L, 327510L, 327524L, 327525L, 327527L, 327528L, 
327533L, 327534L, 327536L, 327537L, 327542L, 327543L, 327545L, 
327546L, 327551L, 327552L, 327554L, 327555L, 327560L, 327561L, 
327563L, 327564L, 327632L, 327633L, 327635L, 327636L, 327641L, 
327642L, 327644L, 327645L, 327650L, 327651L, 327653L, 327654L, 
327659L, 327660L, 327662L, 327663L, 327668L, 327669L, 327671L, 
327672L, 327686L, 327687L, 327689L, 327690L, 327695L, 327696L, 
327698L, 327699L, 327704L, 327705L, 327707L, 327708L, 327713L, 
327714L, 327716L, 327717L, 327722L, 327723L, 327725L, 327726L, 
327794L, 327795L, 327797L, 327798L, 327803L, 327804L, 327806L, 
327807L, 327812L, 327813L, 327815L, 327816L, 327821L, 327822L, 
327824L, 327825L, 327830L, 327831L, 327833L, 327834L, 327848L, 
327849L, 327851L, 327852L, 327857L, 327858L, 327860L, 327861L, 
327866L, 327867L, 327869L, 327870L, 327875L, 327876L, 327878L, 
327879L, 327884L, 327885L, 327887L, 327888L, 327956L, 327957L, 
327959L, 327960L, 327965L, 327966L, 327968L, 327969L, 327974L, 
327975L, 327977L, 327978L, 327983L, 327984L, 327986L, 327987L, 
327992L, 327993L, 327995L, 327996L, 328010L, 328011L, 328013L, 
328014L, 328019L, 328020L, 328022L, 328023L, 328028L, 328029L, 
328031L, 328032L, 328037L, 328038L, 328040L, 328041L, 328046L, 
328047L, 328049L, 328050L, 328280L, 328281L, 328283L, 328284L, 
328289L, 328290L, 328292L, 328293L, 328298L, 328299L, 328301L, 
328302L, 328307L, 328308L, 328310L, 328311L, 328316L, 328317L, 
328319L, 328320L, 328334L, 328335L, 328337L, 328338L, 328343L, 
328344L, 328346L, 328347L, 328352L, 328353L, 328355L, 328356L, 
328361L, 328362L, 328364L, 328365L, 328370L, 328371L, 328373L, 
328374L, 328442L, 328443L, 328445L, 328446L, 328451L, 328452L, 
328454L, 328455L, 328460L, 328461L, 328463L, 328464L, 328469L, 
328470L, 328472L, 328473L, 328478L, 328479L, 328481L, 328482L, 
328496L, 328497L, 328499L, 328500L, 328505L, 328506L, 328508L, 
328509L, 328514L, 328515L, 328517L, 328518L, 328523L, 328524L, 
328526L, 328527L, 328532L, 328533L, 328535L, 328536L, 328604L, 
328605L, 328607L, 328608L, 328613L, 328614L, 328616L, 328617L, 
328622L, 328623L, 328625L, 328626L, 328631L, 328632L, 328634L, 
328635L, 328640L, 328641L, 328643L, 328644L, 328658L, 328659L, 
328661L, 328662L, 328667L, 328668L, 328670L, 328671L, 328676L, 
328677L, 328679L, 328680L, 328685L, 328686L, 328688L, 328689L, 
328694L, 328695L, 328697L, 328698L, 328766L, 328767L, 328769L, 
328770L, 328775L, 328776L, 328778L, 328779L, 328784L, 328785L, 
328787L, 328788L, 328793L, 328794L, 328796L, 328797L, 328802L, 
328803L, 328805L, 328806L, 328820L, 328821L, 328823L, 328824L, 
328829L, 328830L, 328832L, 328833L, 328838L, 328839L, 328841L, 
328842L, 328847L, 328848L, 328850L, 328851L, 328856L, 328857L, 
328859L, 328860L, 329090L, 329091L, 329093L, 329094L, 329099L, 
329100L, 329102L, 329103L, 329108L, 329109L, 329111L, 329112L, 
329117L, 329118L, 329120L, 329121L, 329126L, 329127L, 329129L, 
329130L, 329144L, 329145L, 329147L, 329148L, 329153L, 329154L, 
329156L, 329157L, 329162L, 329163L, 329165L, 329166L, 329171L, 
329172L, 329174L, 329175L, 329180L, 329181L, 329183L, 329184L, 
329252L, 329253L, 329255L, 329256L, 329261L, 329262L, 329264L, 
329265L, 329270L, 329271L, 329273L, 329274L, 329279L, 329280L, 
329282L, 329283L, 329288L, 329289L, 329291L, 329292L, 329306L, 
329307L, 329309L, 329310L, 329315L, 329316L, 329318L, 329319L, 
329324L, 329325L, 329327L, 329328L, 329333L, 329334L, 329336L, 
329337L, 329342L, 329343L, 329345L, 329346L, 329414L, 329415L, 
329417L, 329418L, 329423L, 329424L, 329426L, 329427L, 329432L, 
329433L, 329435L, 329436L, 329441L, 329442L, 329444L, 329445L, 
329450L, 329451L, 329453L, 329454L, 329468L, 329469L, 329471L, 
329472L, 329477L, 329478L, 329480L, 329481L, 329486L, 329487L, 
329489L, 329490L, 329495L, 329496L, 329498L, 329499L, 329504L, 
329505L, 329507L, 329508L, 329576L, 329577L, 329579L, 329580L, 
329585L, 329586L, 329588L, 329589L, 329594L, 329595L, 329597L, 
329598L, 329603L, 329604L, 329606L, 329607L, 329612L, 329613L, 
329615L, 329616L, 329630L, 329631L, 329633L, 329634L, 329639L, 
329640L, 329642L, 329643L, 329648L, 329649L, 329651L, 329652L, 
329657L, 329658L, 329660L, 329661L, 329666L, 329667L, 329669L, 
329670L, 329900L, 329901L, 329903L, 329904L, 329909L, 329910L, 
329912L, 329913L, 329918L, 329919L, 329921L, 329922L, 329927L, 
329928L, 329930L, 329931L, 329936L, 329937L, 329939L, 329940L, 
329954L, 329955L, 329957L, 329958L, 329963L, 329964L, 329966L, 
329967L, 329972L, 329973L, 329975L, 329976L, 329981L, 329982L, 
329984L, 329985L, 329990L, 329991L, 329993L, 329994L, 330062L, 
330063L, 330065L, 330066L, 330071L, 330072L, 330074L, 330075L, 
330080L, 330081L, 330083L, 330084L, 330089L, 330090L, 330092L, 
330093L, 330098L, 330099L, 330101L, 330102L, 330116L, 330117L, 
330119L, 330120L, 330125L, 330126L, 330128L, 330129L, 330134L, 
330135L, 330137L, 330138L, 330143L, 330144L, 330146L, 330147L, 
330152L, 330153L, 330155L, 330156L, 330224L, 330225L, 330227L, 
330228L, 330233L, 330234L, 330236L, 330237L, 330242L, 330243L, 
330245L, 330246L, 330251L, 330252L, 330254L, 330255L, 330260L, 
330261L, 330263L, 330264L, 330278L, 330279L, 330281L, 330282L, 
330287L, 330288L, 330290L, 330291L, 330296L, 330297L, 330299L, 
330300L, 330305L, 330306L, 330308L, 330309L, 330314L, 330315L, 
330317L, 330318L, 330386L, 330387L, 330389L, 330390L, 330395L, 
330396L, 330398L, 330399L, 330404L, 330405L, 330407L, 330408L, 
330413L, 330414L, 330416L, 330417L, 330422L, 330423L, 330425L, 
330426L, 330440L, 330441L, 330443L, 330444L, 330449L, 330450L, 
330452L, 330453L, 330458L, 330459L, 330461L, 330462L, 330467L, 
330468L, 330470L, 330471L, 330476L, 330477L, 330479L, 330480L, 
331520L, 331521L, 331523L, 331524L, 331529L, 331530L, 331532L, 
331533L, 331538L, 331539L, 331541L, 331542L, 331547L, 331548L, 
331550L, 331551L, 331556L, 331557L, 331559L, 331560L, 331574L, 
331575L, 331577L, 331578L, 331583L, 331584L, 331586L, 331587L, 
331592L, 331593L, 331595L, 331596L, 331601L, 331602L, 331604L, 
331605L, 331610L, 331611L, 331613L, 331614L, 331682L, 331683L, 
331685L, 331686L, 331691L, 331692L, 331694L, 331695L, 331700L, 
331701L, 331703L, 331704L, 331709L, 331710L, 331712L, 331713L, 
331718L, 331719L, 331721L, 331722L, 331736L, 331737L, 331739L, 
331740L, 331745L, 331746L, 331748L, 331749L, 331754L, 331755L, 
331757L, 331758L, 331763L, 331764L, 331766L, 331767L, 331772L, 
331773L, 331775L, 331776L, 331844L, 331845L, 331847L, 331848L, 
331853L, 331854L, 331856L, 331857L, 331862L, 331863L, 331865L, 
331866L, 331871L, 331872L, 331874L, 331875L, 331880L, 331881L, 
331883L, 331884L, 331898L, 331899L, 331901L, 331902L, 331907L, 
331908L, 331910L, 331911L, 331916L, 331917L, 331919L, 331920L, 
331925L, 331926L, 331928L, 331929L, 331934L, 331935L, 331937L, 
331938L, 332006L, 332007L, 332009L, 332010L, 332015L, 332016L, 
332018L, 332019L, 332024L, 332025L, 332027L, 332028L, 332033L, 
332034L, 332036L, 332037L, 332042L, 332043L, 332045L, 332046L, 
332060L, 332061L, 332063L, 332064L, 332069L, 332070L, 332072L, 
332073L, 332078L, 332079L, 332081L, 332082L, 332087L, 332088L, 
332090L, 332091L, 332096L, 332097L, 332099L, 332100L, 332330L, 
332331L, 332333L, 332334L, 332339L, 332340L, 332342L, 332343L, 
332348L, 332349L, 332351L, 332352L, 332357L, 332358L, 332360L, 
332361L, 332366L, 332367L, 332369L, 332370L, 332384L, 332385L, 
332387L, 332388L, 332393L, 332394L, 332396L, 332397L, 332402L, 
332403L, 332405L, 332406L, 332411L, 332412L, 332414L, 332415L, 
332420L, 332421L, 332423L, 332424L, 332492L, 332493L, 332495L, 
332496L, 332501L, 332502L, 332504L, 332505L, 332510L, 332511L, 
332513L, 332514L, 332519L, 332520L, 332522L, 332523L, 332528L, 
332529L, 332531L, 332532L, 332546L, 332547L, 332549L, 332550L, 
332555L, 332556L, 332558L, 332559L, 332564L, 332565L, 332567L, 
332568L, 332573L, 332574L, 332576L, 332577L, 332582L, 332583L, 
332585L, 332586L, 332654L, 332655L, 332657L, 332658L, 332663L, 
332664L, 332666L, 332667L, 332672L, 332673L, 332675L, 332676L, 
332681L, 332682L, 332684L, 332685L, 332690L, 332691L, 332693L, 
332694L, 332708L, 332709L, 332711L, 332712L, 332717L, 332718L, 
332720L, 332721L, 332726L, 332727L, 332729L, 332730L, 332735L, 
332736L, 332738L, 332739L, 332744L, 332745L, 332747L, 332748L, 
332816L, 332817L, 332819L, 332820L, 332825L, 332826L, 332828L, 
332829L, 332834L, 332835L, 332837L, 332838L, 332843L, 332844L, 
332846L, 332847L, 332852L, 332853L, 332855L, 332856L, 332870L, 
332871L, 332873L, 332874L, 332879L, 332880L, 332882L, 332883L, 
332888L, 332889L, 332891L, 332892L, 332897L, 332898L, 332900L, 
332901L, 332906L, 332907L, 332909L, 332910L, 333140L, 333141L, 
333143L, 333144L, 333149L, 333150L, 333152L, 333153L, 333158L, 
333159L, 333161L, 333162L, 333167L, 333168L, 333170L, 333171L, 
333176L, 333177L, 333179L, 333180L, 333194L, 333195L, 333197L, 
333198L, 333203L, 333204L, 333206L, 333207L, 333212L, 333213L, 
333215L, 333216L, 333221L, 333222L, 333224L, 333225L, 333230L, 
333231L, 333233L, 333234L, 333302L, 333303L, 333305L, 333306L, 
333311L, 333312L, 333314L, 333315L, 333320L, 333321L, 333323L, 
333324L, 333329L, 333330L, 333332L, 333333L, 333338L, 333339L, 
333341L, 333342L, 333356L, 333357L, 333359L, 333360L, 333365L, 
333366L, 333368L, 333369L, 333374L, 333375L, 333377L, 333378L, 
333383L, 333384L, 333386L, 333387L, 333392L, 333393L, 333395L, 
333396L, 333464L, 333465L, 333467L, 333468L, 333473L, 333474L, 
333476L, 333477L, 333482L, 333483L, 333485L, 333486L, 333491L, 
333492L, 333494L, 333495L, 333500L, 333501L, 333503L, 333504L, 
333518L, 333519L, 333521L, 333522L, 333527L, 333528L, 333530L, 
333531L, 333536L, 333537L, 333539L, 333540L, 333545L, 333546L, 
333548L, 333549L, 333554L, 333555L, 333557L, 333558L, 333626L, 
333627L, 333629L, 333630L, 333635L, 333636L, 333638L, 333639L, 
333644L, 333645L, 333647L, 333648L, 333653L, 333654L, 333656L, 
333657L, 333662L, 333663L, 333665L, 333666L, 333680L, 333681L, 
333683L, 333684L, 333689L, 333690L, 333692L, 333693L, 333698L, 
333699L, 333701L, 333702L, 333707L, 333708L, 333710L, 333711L, 
333716L, 333717L, 333719L, 333720L, 333950L, 333951L, 333953L, 
333954L, 333959L, 333960L, 333962L, 333963L, 333968L, 333969L, 
333971L, 333972L, 333977L, 333978L, 333980L, 333981L, 333986L, 
333987L, 333989L, 333990L, 334004L, 334005L, 334007L, 334008L, 
334013L, 334014L, 334016L, 334017L, 334022L, 334023L, 334025L, 
334026L, 334031L, 334032L, 334034L, 334035L, 334040L, 334041L, 
334043L, 334044L, 334112L, 334113L, 334115L, 334116L, 334121L, 
334122L, 334124L, 334125L, 334130L, 334131L, 334133L, 334134L, 
334139L, 334140L, 334142L, 334143L, 334148L, 334149L, 334151L, 
334152L, 334166L, 334167L, 334169L, 334170L, 334175L, 334176L, 
334178L, 334179L, 334184L, 334185L, 334187L, 334188L, 334193L, 
334194L, 334196L, 334197L, 334202L, 334203L, 334205L, 334206L, 
334274L, 334275L, 334277L, 334278L, 334283L, 334284L, 334286L, 
334287L, 334292L, 334293L, 334295L, 334296L, 334301L, 334302L, 
334304L, 334305L, 334310L, 334311L, 334313L, 334314L, 334328L, 
334329L, 334331L, 334332L, 334337L, 334338L, 334340L, 334341L, 
334346L, 334347L, 334349L, 334350L, 334355L, 334356L, 334358L, 
334359L, 334364L, 334365L, 334367L, 334368L, 334436L, 334437L, 
334439L, 334440L, 334445L, 334446L, 334448L, 334449L, 334454L, 
334455L, 334457L, 334458L, 334463L, 334464L, 334466L, 334467L, 
334472L, 334473L, 334475L, 334476L, 334490L, 334491L, 334493L, 
334494L, 334499L, 334500L, 334502L, 334503L, 334508L, 334509L, 
334511L, 334512L, 334517L, 334518L, 334520L, 334521L, 334526L, 
334527L, 334529L, 334530L, 334760L, 334761L, 334763L, 334764L, 
334769L, 334770L, 334772L, 334773L, 334778L, 334779L, 334781L, 
334782L, 334787L, 334788L, 334790L, 334791L, 334796L, 334797L, 
334799L, 334800L, 334814L, 334815L, 334817L, 334818L, 334823L, 
334824L, 334826L, 334827L, 334832L, 334833L, 334835L, 334836L, 
334841L, 334842L, 334844L, 334845L, 334850L, 334851L, 334853L, 
334854L, 334922L, 334923L, 334925L, 334926L, 334931L, 334932L, 
334934L, 334935L, 334940L, 334941L, 334943L, 334944L, 334949L, 
334950L, 334952L, 334953L, 334958L, 334959L, 334961L, 334962L, 
334976L, 334977L, 334979L, 334980L, 334985L, 334986L, 334988L, 
334989L, 334994L, 334995L, 334997L, 334998L, 335003L, 335004L, 
335006L, 335007L, 335012L, 335013L, 335015L, 335016L, 335084L, 
335085L, 335087L, 335088L, 335093L, 335094L, 335096L, 335097L, 
335102L, 335103L, 335105L, 335106L, 335111L, 335112L, 335114L, 
335115L, 335120L, 335121L, 335123L, 335124L, 335138L, 335139L, 
335141L, 335142L, 335147L, 335148L, 335150L, 335151L, 335156L, 
335157L, 335159L, 335160L, 335165L, 335166L, 335168L, 335169L, 
335174L, 335175L, 335177L, 335178L, 335246L, 335247L, 335249L, 
335250L, 335255L, 335256L, 335258L, 335259L, 335264L, 335265L, 
335267L, 335268L, 335273L, 335274L, 335276L, 335277L, 335282L, 
335283L, 335285L, 335286L, 335300L, 335301L, 335303L, 335304L, 
335309L, 335310L, 335312L, 335313L, 335318L, 335319L, 335321L, 
335322L, 335327L, 335328L, 335330L, 335331L, 335336L, 335337L, 
335339L, 335340L, 346100L, 346101L, 346103L, 346104L, 346109L, 
346110L, 346112L, 346113L, 346118L, 346119L, 346121L, 346122L, 
346127L, 346128L, 346130L, 346131L, 346136L, 346137L, 346139L, 
346140L, 346154L, 346155L, 346157L, 346158L, 346163L, 346164L, 
346166L, 346167L, 346172L, 346173L, 346175L, 346176L, 346181L, 
346182L, 346184L, 346185L, 346190L, 346191L, 346193L, 346194L, 
346262L, 346263L, 346265L, 346266L, 346271L, 346272L, 346274L, 
346275L, 346280L, 346281L, 346283L, 346284L, 346289L, 346290L, 
346292L, 346293L, 346298L, 346299L, 346301L, 346302L, 346316L, 
346317L, 346319L, 346320L, 346325L, 346326L, 346328L, 346329L, 
346334L, 346335L, 346337L, 346338L, 346343L, 346344L, 346346L, 
346347L, 346352L, 346353L, 346355L, 346356L, 346424L, 346425L, 
346427L, 346428L, 346433L, 346434L, 346436L, 346437L, 346442L, 
346443L, 346445L, 346446L, 346451L, 346452L, 346454L, 346455L, 
346460L, 346461L, 346463L, 346464L, 346478L, 346479L, 346481L, 
346482L, 346487L, 346488L, 346490L, 346491L, 346496L, 346497L, 
346499L, 346500L, 346505L, 346506L, 346508L, 346509L, 346514L, 
346515L, 346517L, 346518L, 346586L, 346587L, 346589L, 346590L, 
346595L, 346596L, 346598L, 346599L, 346604L, 346605L, 346607L, 
346608L, 346613L, 346614L, 346616L, 346617L, 346622L, 346623L, 
346625L, 346626L, 346640L, 346641L, 346643L, 346644L, 346649L, 
346650L, 346652L, 346653L, 346658L, 346659L, 346661L, 346662L, 
346667L, 346668L, 346670L, 346671L, 346676L, 346677L, 346679L, 
346680L, 346910L, 346911L, 346913L, 346914L, 346919L, 346920L, 
346922L, 346923L, 346928L, 346929L, 346931L, 346932L, 346937L, 
346938L, 346940L, 346941L, 346946L, 346947L, 346949L, 346950L, 
346964L, 346965L, 346967L, 346968L, 346973L, 346974L, 346976L, 
346977L, 346982L, 346983L, 346985L, 346986L, 346991L, 346992L, 
346994L, 346995L, 347000L, 347001L, 347003L, 347004L, 347072L, 
347073L, 347075L, 347076L, 347081L, 347082L, 347084L, 347085L, 
347090L, 347091L, 347093L, 347094L, 347099L, 347100L, 347102L, 
347103L, 347108L, 347109L, 347111L, 347112L, 347126L, 347127L, 
347129L, 347130L, 347135L, 347136L, 347138L, 347139L, 347144L, 
347145L, 347147L, 347148L, 347153L, 347154L, 347156L, 347157L, 
347162L, 347163L, 347165L, 347166L, 347234L, 347235L, 347237L, 
347238L, 347243L, 347244L, 347246L, 347247L, 347252L, 347253L, 
347255L, 347256L, 347261L, 347262L, 347264L, 347265L, 347270L, 
347271L, 347273L, 347274L, 347288L, 347289L, 347291L, 347292L, 
347297L, 347298L, 347300L, 347301L, 347306L, 347307L, 347309L, 
347310L, 347315L, 347316L, 347318L, 347319L, 347324L, 347325L, 
347327L, 347328L, 347396L, 347397L, 347399L, 347400L, 347405L, 
347406L, 347408L, 347409L, 347414L, 347415L, 347417L, 347418L, 
347423L, 347424L, 347426L, 347427L, 347432L, 347433L, 347435L, 
347436L, 347450L, 347451L, 347453L, 347454L, 347459L, 347460L, 
347462L, 347463L, 347468L, 347469L, 347471L, 347472L, 347477L, 
347478L, 347480L, 347481L, 347486L, 347487L, 347489L, 347490L, 
347720L, 347721L, 347723L, 347724L, 347729L, 347730L, 347732L, 
347733L, 347738L, 347739L, 347741L, 347742L, 347747L, 347748L, 
347750L, 347751L, 347756L, 347757L, 347759L, 347760L, 347774L, 
347775L, 347777L, 347778L, 347783L, 347784L, 347786L, 347787L, 
347792L, 347793L, 347795L, 347796L, 347801L, 347802L, 347804L, 
347805L, 347810L, 347811L, 347813L, 347814L, 347882L, 347883L, 
347885L, 347886L, 347891L, 347892L, 347894L, 347895L, 347900L, 
347901L, 347903L, 347904L, 347909L, 347910L, 347912L, 347913L, 
347918L, 347919L, 347921L, 347922L, 347936L, 347937L, 347939L, 
347940L, 347945L, 347946L, 347948L, 347949L, 347954L, 347955L, 
347957L, 347958L, 347963L, 347964L, 347966L, 347967L, 347972L, 
347973L, 347975L, 347976L, 348044L, 348045L, 348047L, 348048L, 
348053L, 348054L, 348056L, 348057L, 348062L, 348063L, 348065L, 
348066L, 348071L, 348072L, 348074L, 348075L, 348080L, 348081L, 
348083L, 348084L, 348098L, 348099L, 348101L, 348102L, 348107L, 
348108L, 348110L, 348111L, 348116L, 348117L, 348119L, 348120L, 
348125L, 348126L, 348128L, 348129L, 348134L, 348135L, 348137L, 
348138L, 348206L, 348207L, 348209L, 348210L, 348215L, 348216L, 
348218L, 348219L, 348224L, 348225L, 348227L, 348228L, 348233L, 
348234L, 348236L, 348237L, 348242L, 348243L, 348245L, 348246L, 
348260L, 348261L, 348263L, 348264L, 348269L, 348270L, 348272L, 
348273L, 348278L, 348279L, 348281L, 348282L, 348287L, 348288L, 
348290L, 348291L, 348296L, 348297L, 348299L, 348300L, 348530L, 
348531L, 348533L, 348534L, 348539L, 348540L, 348542L, 348543L, 
348548L, 348549L, 348551L, 348552L, 348557L, 348558L, 348560L, 
348561L, 348566L, 348567L, 348569L, 348570L, 348584L, 348585L, 
348587L, 348588L, 348593L, 348594L, 348596L, 348597L, 348602L, 
348603L, 348605L, 348606L, 348611L, 348612L, 348614L, 348615L, 
348620L, 348621L, 348623L, 348624L, 348692L, 348693L, 348695L, 
348696L, 348701L, 348702L, 348704L, 348705L, 348710L, 348711L, 
348713L, 348714L, 348719L, 348720L, 348722L, 348723L, 348728L, 
348729L, 348731L, 348732L, 348746L, 348747L, 348749L, 348750L, 
348755L, 348756L, 348758L, 348759L, 348764L, 348765L, 348767L, 
348768L, 348773L, 348774L, 348776L, 348777L, 348782L, 348783L, 
348785L, 348786L, 348854L, 348855L, 348857L, 348858L, 348863L, 
348864L, 348866L, 348867L, 348872L, 348873L, 348875L, 348876L, 
348881L, 348882L, 348884L, 348885L, 348890L, 348891L, 348893L, 
348894L, 348908L, 348909L, 348911L, 348912L, 348917L, 348918L, 
348920L, 348921L, 348926L, 348927L, 348929L, 348930L, 348935L, 
348936L, 348938L, 348939L, 348944L, 348945L, 348947L, 348948L, 
349016L, 349017L, 349019L, 349020L, 349025L, 349026L, 349028L, 
349029L, 349034L, 349035L, 349037L, 349038L, 349043L, 349044L, 
349046L, 349047L, 349052L, 349053L, 349055L, 349056L, 349070L, 
349071L, 349073L, 349074L, 349079L, 349080L, 349082L, 349083L, 
349088L, 349089L, 349091L, 349092L, 349097L, 349098L, 349100L, 
349101L, 349106L, 349107L, 349109L, 349110L, 349340L, 349341L, 
349343L, 349344L, 349349L, 349350L, 349352L, 349353L, 349358L, 
349359L, 349361L, 349362L, 349367L, 349368L, 349370L, 349371L, 
349376L, 349377L, 349379L, 349380L, 349394L, 349395L, 349397L, 
349398L, 349403L, 349404L, 349406L, 349407L, 349412L, 349413L, 
349415L, 349416L, 349421L, 349422L, 349424L, 349425L, 349430L, 
349431L, 349433L, 349434L, 349502L, 349503L, 349505L, 349506L, 
349511L, 349512L, 349514L, 349515L, 349520L, 349521L, 349523L, 
349524L, 349529L, 349530L, 349532L, 349533L, 349538L, 349539L, 
349541L, 349542L, 349556L, 349557L, 349559L, 349560L, 349565L, 
349566L, 349568L, 349569L, 349574L, 349575L, 349577L, 349578L, 
349583L, 349584L, 349586L, 349587L, 349592L, 349593L, 349595L, 
349596L, 349664L, 349665L, 349667L, 349668L, 349673L, 349674L, 
349676L, 349677L, 349682L, 349683L, 349685L, 349686L, 349691L, 
349692L, 349694L, 349695L, 349700L, 349701L, 349703L, 349704L, 
349718L, 349719L, 349721L, 349722L, 349727L, 349728L, 349730L, 
349731L, 349736L, 349737L, 349739L, 349740L, 349745L, 349746L, 
349748L, 349749L, 349754L, 349755L, 349757L, 349758L, 349826L, 
349827L, 349829L, 349830L, 349835L, 349836L, 349838L, 349839L, 
349844L, 349845L, 349847L, 349848L, 349853L, 349854L, 349856L, 
349857L, 349862L, 349863L, 349865L, 349866L, 349880L, 349881L, 
349883L, 349884L, 349889L, 349890L, 349892L, 349893L, 349898L, 
349899L, 349901L, 349902L, 349907L, 349908L, 349910L, 349911L, 
349916L, 349917L, 349919L, 349920L, 350960L, 350961L, 350963L, 
350964L, 350969L, 350970L, 350972L, 350973L, 350978L, 350979L, 
350981L, 350982L, 350987L, 350988L, 350990L, 350991L, 350996L, 
350997L, 350999L, 351000L, 351014L, 351015L, 351017L, 351018L, 
351023L, 351024L, 351026L, 351027L, 351032L, 351033L, 351035L, 
351036L, 351041L, 351042L, 351044L, 351045L, 351050L, 351051L, 
351053L, 351054L, 351122L, 351123L, 351125L, 351126L, 351131L, 
351132L, 351134L, 351135L, 351140L, 351141L, 351143L, 351144L, 
351149L, 351150L, 351152L, 351153L, 351158L, 351159L, 351161L, 
351162L, 351176L, 351177L, 351179L, 351180L, 351185L, 351186L, 
351188L, 351189L, 351194L, 351195L, 351197L, 351198L, 351203L, 
351204L, 351206L, 351207L, 351212L, 351213L, 351215L, 351216L, 
351284L, 351285L, 351287L, 351288L, 351293L, 351294L, 351296L, 
351297L, 351302L, 351303L, 351305L, 351306L, 351311L, 351312L, 
351314L, 351315L, 351320L, 351321L, 351323L, 351324L, 351338L, 
351339L, 351341L, 351342L, 351347L, 351348L, 351350L, 351351L, 
351356L, 351357L, 351359L, 351360L, 351365L, 351366L, 351368L, 
351369L, 351374L, 351375L, 351377L, 351378L, 351446L, 351447L, 
351449L, 351450L, 351455L, 351456L, 351458L, 351459L, 351464L, 
351465L, 351467L, 351468L, 351473L, 351474L, 351476L, 351477L, 
351482L, 351483L, 351485L, 351486L, 351500L, 351501L, 351503L, 
351504L, 351509L, 351510L, 351512L, 351513L, 351518L, 351519L, 
351521L, 351522L, 351527L, 351528L, 351530L, 351531L, 351536L, 
351537L, 351539L, 351540L, 351770L, 351771L, 351773L, 351774L, 
351779L, 351780L, 351782L, 351783L, 351788L, 351789L, 351791L, 
351792L, 351797L, 351798L, 351800L, 351801L, 351806L, 351807L, 
351809L, 351810L, 351824L, 351825L, 351827L, 351828L, 351833L, 
351834L, 351836L, 351837L, 351842L, 351843L, 351845L, 351846L, 
351851L, 351852L, 351854L, 351855L, 351860L, 351861L, 351863L, 
351864L, 351932L, 351933L, 351935L, 351936L, 351941L, 351942L, 
351944L, 351945L, 351950L, 351951L, 351953L, 351954L, 351959L, 
351960L, 351962L, 351963L, 351968L, 351969L, 351971L, 351972L, 
351986L, 351987L, 351989L, 351990L, 351995L, 351996L, 351998L, 
351999L, 352004L, 352005L, 352007L, 352008L, 352013L, 352014L, 
352016L, 352017L, 352022L, 352023L, 352025L, 352026L, 352094L, 
352095L, 352097L, 352098L, 352103L, 352104L, 352106L, 352107L, 
352112L, 352113L, 352115L, 352116L, 352121L, 352122L, 352124L, 
352125L, 352130L, 352131L, 352133L, 352134L, 352148L, 352149L, 
352151L, 352152L, 352157L, 352158L, 352160L, 352161L, 352166L, 
352167L, 352169L, 352170L, 352175L, 352176L, 352178L, 352179L, 
352184L, 352185L, 352187L, 352188L, 352256L, 352257L, 352259L, 
352260L, 352265L, 352266L, 352268L, 352269L, 352274L, 352275L, 
352277L, 352278L, 352283L, 352284L, 352286L, 352287L, 352292L, 
352293L, 352295L, 352296L, 352310L, 352311L, 352313L, 352314L, 
352319L, 352320L, 352322L, 352323L, 352328L, 352329L, 352331L, 
352332L, 352337L, 352338L, 352340L, 352341L, 352346L, 352347L, 
352349L, 352350L, 352580L, 352581L, 352583L, 352584L, 352589L, 
352590L, 352592L, 352593L, 352598L, 352599L, 352601L, 352602L, 
352607L, 352608L, 352610L, 352611L, 352616L, 352617L, 352619L, 
352620L, 352634L, 352635L, 352637L, 352638L, 352643L, 352644L, 
352646L, 352647L, 352652L, 352653L, 352655L, 352656L, 352661L, 
352662L, 352664L, 352665L, 352670L, 352671L, 352673L, 352674L, 
352742L, 352743L, 352745L, 352746L, 352751L, 352752L, 352754L, 
352755L, 352760L, 352761L, 352763L, 352764L, 352769L, 352770L, 
352772L, 352773L, 352778L, 352779L, 352781L, 352782L, 352796L, 
352797L, 352799L, 352800L, 352805L, 352806L, 352808L, 352809L, 
352814L, 352815L, 352817L, 352818L, 352823L, 352824L, 352826L, 
352827L, 352832L, 352833L, 352835L, 352836L, 352904L, 352905L, 
352907L, 352908L, 352913L, 352914L, 352916L, 352917L, 352922L, 
352923L, 352925L, 352926L, 352931L, 352932L, 352934L, 352935L, 
352940L, 352941L, 352943L, 352944L, 352958L, 352959L, 352961L, 
352962L, 352967L, 352968L, 352970L, 352971L, 352976L, 352977L, 
352979L, 352980L, 352985L, 352986L, 352988L, 352989L, 352994L, 
352995L, 352997L, 352998L, 353066L, 353067L, 353069L, 353070L, 
353075L, 353076L, 353078L, 353079L, 353084L, 353085L, 353087L, 
353088L, 353093L, 353094L, 353096L, 353097L, 353102L, 353103L, 
353105L, 353106L, 353120L, 353121L, 353123L, 353124L, 353129L, 
353130L, 353132L, 353133L, 353138L, 353139L, 353141L, 353142L, 
353147L, 353148L, 353150L, 353151L, 353156L, 353157L, 353159L, 
353160L, 353390L, 353391L, 353393L, 353394L, 353399L, 353400L, 
353402L, 353403L, 353408L, 353409L, 353411L, 353412L, 353417L, 
353418L, 353420L, 353421L, 353426L, 353427L, 353429L, 353430L, 
353444L, 353445L, 353447L, 353448L, 353453L, 353454L, 353456L, 
353457L, 353462L, 353463L, 353465L, 353466L, 353471L, 353472L, 
353474L, 353475L, 353480L, 353481L, 353483L, 353484L, 353552L, 
353553L, 353555L, 353556L, 353561L, 353562L, 353564L, 353565L, 
353570L, 353571L, 353573L, 353574L, 353579L, 353580L, 353582L, 
353583L, 353588L, 353589L, 353591L, 353592L, 353606L, 353607L, 
353609L, 353610L, 353615L, 353616L, 353618L, 353619L, 353624L, 
353625L, 353627L, 353628L, 353633L, 353634L, 353636L, 353637L, 
353642L, 353643L, 353645L, 353646L, 353714L, 353715L, 353717L, 
353718L, 353723L, 353724L, 353726L, 353727L, 353732L, 353733L, 
353735L, 353736L, 353741L, 353742L, 353744L, 353745L, 353750L, 
353751L, 353753L, 353754L, 353768L, 353769L, 353771L, 353772L, 
353777L, 353778L, 353780L, 353781L, 353786L, 353787L, 353789L, 
353790L, 353795L, 353796L, 353798L, 353799L, 353804L, 353805L, 
353807L, 353808L, 353876L, 353877L, 353879L, 353880L, 353885L, 
353886L, 353888L, 353889L, 353894L, 353895L, 353897L, 353898L, 
353903L, 353904L, 353906L, 353907L, 353912L, 353913L, 353915L, 
353916L, 353930L, 353931L, 353933L, 353934L, 353939L, 353940L, 
353942L, 353943L, 353948L, 353949L, 353951L, 353952L, 353957L, 
353958L, 353960L, 353961L, 353966L, 353967L, 353969L, 353970L, 
354200L, 354201L, 354203L, 354204L, 354209L, 354210L, 354212L, 
354213L, 354218L, 354219L, 354221L, 354222L, 354227L, 354228L, 
354230L, 354231L, 354236L, 354237L, 354239L, 354240L, 354254L, 
354255L, 354257L, 354258L, 354263L, 354264L, 354266L, 354267L, 
354272L, 354273L, 354275L, 354276L, 354281L, 354282L, 354284L, 
354285L, 354290L, 354291L, 354293L, 354294L, 354362L, 354363L, 
354365L, 354366L, 354371L, 354372L, 354374L, 354375L, 354380L, 
354381L, 354383L, 354384L, 354389L, 354390L, 354392L, 354393L, 
354398L, 354399L, 354401L, 354402L, 354416L, 354417L, 354419L, 
354420L, 354425L, 354426L, 354428L, 354429L, 354434L, 354435L, 
354437L, 354438L, 354443L, 354444L, 354446L, 354447L, 354452L, 
354453L, 354455L, 354456L, 354524L, 354525L, 354527L, 354528L, 
354533L, 354534L, 354536L, 354537L, 354542L, 354543L, 354545L, 
354546L, 354551L, 354552L, 354554L, 354555L, 354560L, 354561L, 
354563L, 354564L, 354578L, 354579L, 354581L, 354582L, 354587L, 
354588L, 354590L, 354591L, 354596L, 354597L, 354599L, 354600L, 
354605L, 354606L, 354608L, 354609L, 354614L, 354615L, 354617L, 
354618L, 354686L, 354687L, 354689L, 354690L, 354695L, 354696L, 
354698L, 354699L, 354704L, 354705L, 354707L, 354708L, 354713L, 
354714L, 354716L, 354717L, 354722L, 354723L, 354725L, 354726L, 
354740L, 354741L, 354743L, 354744L, 354749L, 354750L, 354752L, 
354753L, 354758L, 354759L, 354761L, 354762L, 354767L, 354768L, 
354770L, 354771L, 354776L, 354777L, 354779L, 354780L, 355820L, 
355821L, 355823L, 355824L, 355829L, 355830L, 355832L, 355833L, 
355838L, 355839L, 355841L, 355842L, 355847L, 355848L, 355850L, 
355851L, 355856L, 355857L, 355859L, 355860L, 355874L, 355875L, 
355877L, 355878L, 355883L, 355884L, 355886L, 355887L, 355892L, 
355893L, 355895L, 355896L, 355901L, 355902L, 355904L, 355905L, 
355910L, 355911L, 355913L, 355914L, 355982L, 355983L, 355985L, 
355986L, 355991L, 355992L, 355994L, 355995L, 356000L, 356001L, 
356003L, 356004L, 356009L, 356010L, 356012L, 356013L, 356018L, 
356019L, 356021L, 356022L, 356036L, 356037L, 356039L, 356040L, 
356045L, 356046L, 356048L, 356049L, 356054L, 356055L, 356057L, 
356058L, 356063L, 356064L, 356066L, 356067L, 356072L, 356073L, 
356075L, 356076L, 356144L, 356145L, 356147L, 356148L, 356153L, 
356154L, 356156L, 356157L, 356162L, 356163L, 356165L, 356166L, 
356171L, 356172L, 356174L, 356175L, 356180L, 356181L, 356183L, 
356184L, 356198L, 356199L, 356201L, 356202L, 356207L, 356208L, 
356210L, 356211L, 356216L, 356217L, 356219L, 356220L, 356225L, 
356226L, 356228L, 356229L, 356234L, 356235L, 356237L, 356238L, 
356306L, 356307L, 356309L, 356310L, 356315L, 356316L, 356318L, 
356319L, 356324L, 356325L, 356327L, 356328L, 356333L, 356334L, 
356336L, 356337L, 356342L, 356343L, 356345L, 356346L, 356360L, 
356361L, 356363L, 356364L, 356369L, 356370L, 356372L, 356373L, 
356378L, 356379L, 356381L, 356382L, 356387L, 356388L, 356390L, 
356391L, 356396L, 356397L, 356399L, 356400L, 356630L, 356631L, 
356633L, 356634L, 356639L, 356640L, 356642L, 356643L, 356648L, 
356649L, 356651L, 356652L, 356657L, 356658L, 356660L, 356661L, 
356666L, 356667L, 356669L, 356670L, 356684L, 356685L, 356687L, 
356688L, 356693L, 356694L, 356696L, 356697L, 356702L, 356703L, 
356705L, 356706L, 356711L, 356712L, 356714L, 356715L, 356720L, 
356721L, 356723L, 356724L, 356792L, 356793L, 356795L, 356796L, 
356801L, 356802L, 356804L, 356805L, 356810L, 356811L, 356813L, 
356814L, 356819L, 356820L, 356822L, 356823L, 356828L, 356829L, 
356831L, 356832L, 356846L, 356847L, 356849L, 356850L, 356855L, 
356856L, 356858L, 356859L, 356864L, 356865L, 356867L, 356868L, 
356873L, 356874L, 356876L, 356877L, 356882L, 356883L, 356885L, 
356886L, 356954L, 356955L, 356957L, 356958L, 356963L, 356964L, 
356966L, 356967L, 356972L, 356973L, 356975L, 356976L, 356981L, 
356982L, 356984L, 356985L, 356990L, 356991L, 356993L, 356994L, 
357008L, 357009L, 357011L, 357012L, 357017L, 357018L, 357020L, 
357021L, 357026L, 357027L, 357029L, 357030L, 357035L, 357036L, 
357038L, 357039L, 357044L, 357045L, 357047L, 357048L, 357116L, 
357117L, 357119L, 357120L, 357125L, 357126L, 357128L, 357129L, 
357134L, 357135L, 357137L, 357138L, 357143L, 357144L, 357146L, 
357147L, 357152L, 357153L, 357155L, 357156L, 357170L, 357171L, 
357173L, 357174L, 357179L, 357180L, 357182L, 357183L, 357188L, 
357189L, 357191L, 357192L, 357197L, 357198L, 357200L, 357201L, 
357206L, 357207L, 357209L, 357210L, 357440L, 357441L, 357443L, 
357444L, 357449L, 357450L, 357452L, 357453L, 357458L, 357459L, 
357461L, 357462L, 357467L, 357468L, 357470L, 357471L, 357476L, 
357477L, 357479L, 357480L, 357494L, 357495L, 357497L, 357498L, 
357503L, 357504L, 357506L, 357507L, 357512L, 357513L, 357515L, 
357516L, 357521L, 357522L, 357524L, 357525L, 357530L, 357531L, 
357533L, 357534L, 357602L, 357603L, 357605L, 357606L, 357611L, 
357612L, 357614L, 357615L, 357620L, 357621L, 357623L, 357624L, 
357629L, 357630L, 357632L, 357633L, 357638L, 357639L, 357641L, 
357642L, 357656L, 357657L, 357659L, 357660L, 357665L, 357666L, 
357668L, 357669L, 357674L, 357675L, 357677L, 357678L, 357683L, 
357684L, 357686L, 357687L, 357692L, 357693L, 357695L, 357696L, 
357764L, 357765L, 357767L, 357768L, 357773L, 357774L, 357776L, 
357777L, 357782L, 357783L, 357785L, 357786L, 357791L, 357792L, 
357794L, 357795L, 357800L, 357801L, 357803L, 357804L, 357818L, 
357819L, 357821L, 357822L, 357827L, 357828L, 357830L, 357831L, 
357836L, 357837L, 357839L, 357840L, 357845L, 357846L, 357848L, 
357849L, 357854L, 357855L, 357857L, 357858L, 357926L, 357927L, 
357929L, 357930L, 357935L, 357936L, 357938L, 357939L, 357944L, 
357945L, 357947L, 357948L, 357953L, 357954L, 357956L, 357957L, 
357962L, 357963L, 357965L, 357966L, 357980L, 357981L, 357983L, 
357984L, 357989L, 357990L, 357992L, 357993L, 357998L, 357999L, 
358001L, 358002L, 358007L, 358008L, 358010L, 358011L, 358016L, 
358017L, 358019L, 358020L, 358250L, 358251L, 358253L, 358254L, 
358259L, 358260L, 358262L, 358263L, 358268L, 358269L, 358271L, 
358272L, 358277L, 358278L, 358280L, 358281L, 358286L, 358287L, 
358289L, 358290L, 358304L, 358305L, 358307L, 358308L, 358313L, 
358314L, 358316L, 358317L, 358322L, 358323L, 358325L, 358326L, 
358331L, 358332L, 358334L, 358335L, 358340L, 358341L, 358343L, 
358344L, 358412L, 358413L, 358415L, 358416L, 358421L, 358422L, 
358424L, 358425L, 358430L, 358431L, 358433L, 358434L, 358439L, 
358440L, 358442L, 358443L, 358448L, 358449L, 358451L, 358452L, 
358466L, 358467L, 358469L, 358470L, 358475L, 358476L, 358478L, 
358479L, 358484L, 358485L, 358487L, 358488L, 358493L, 358494L, 
358496L, 358497L, 358502L, 358503L, 358505L, 358506L, 358574L, 
358575L, 358577L, 358578L, 358583L, 358584L, 358586L, 358587L, 
358592L, 358593L, 358595L, 358596L, 358601L, 358602L, 358604L, 
358605L, 358610L, 358611L, 358613L, 358614L, 358628L, 358629L, 
358631L, 358632L, 358637L, 358638L, 358640L, 358641L, 358646L, 
358647L, 358649L, 358650L, 358655L, 358656L, 358658L, 358659L, 
358664L, 358665L, 358667L, 358668L, 358736L, 358737L, 358739L, 
358740L, 358745L, 358746L, 358748L, 358749L, 358754L, 358755L, 
358757L, 358758L, 358763L, 358764L, 358766L, 358767L, 358772L, 
358773L, 358775L, 358776L, 358790L, 358791L, 358793L, 358794L, 
358799L, 358800L, 358802L, 358803L, 358808L, 358809L, 358811L, 
358812L, 358817L, 358818L, 358820L, 358821L, 358826L, 358827L, 
358829L, 358830L, 359060L, 359061L, 359063L, 359064L, 359069L, 
359070L, 359072L, 359073L, 359078L, 359079L, 359081L, 359082L, 
359087L, 359088L, 359090L, 359091L, 359096L, 359097L, 359099L, 
359100L, 359114L, 359115L, 359117L, 359118L, 359123L, 359124L, 
359126L, 359127L, 359132L, 359133L, 359135L, 359136L, 359141L, 
359142L, 359144L, 359145L, 359150L, 359151L, 359153L, 359154L, 
359222L, 359223L, 359225L, 359226L, 359231L, 359232L, 359234L, 
359235L, 359240L, 359241L, 359243L, 359244L, 359249L, 359250L, 
359252L, 359253L, 359258L, 359259L, 359261L, 359262L, 359276L, 
359277L, 359279L, 359280L, 359285L, 359286L, 359288L, 359289L, 
359294L, 359295L, 359297L, 359298L, 359303L, 359304L, 359306L, 
359307L, 359312L, 359313L, 359315L, 359316L, 359384L, 359385L, 
359387L, 359388L, 359393L, 359394L, 359396L, 359397L, 359402L, 
359403L, 359405L, 359406L, 359411L, 359412L, 359414L, 359415L, 
359420L, 359421L, 359423L, 359424L, 359438L, 359439L, 359441L, 
359442L, 359447L, 359448L, 359450L, 359451L, 359456L, 359457L, 
359459L, 359460L, 359465L, 359466L, 359468L, 359469L, 359474L, 
359475L, 359477L, 359478L, 359546L, 359547L, 359549L, 359550L, 
359555L, 359556L, 359558L, 359559L, 359564L, 359565L, 359567L, 
359568L, 359573L, 359574L, 359576L, 359577L, 359582L, 359583L, 
359585L, 359586L, 359600L, 359601L, 359603L, 359604L, 359609L, 
359610L, 359612L, 359613L, 359618L, 359619L, 359621L, 359622L, 
359627L, 359628L, 359630L, 359631L, 359636L, 359637L, 359639L, 
359640L, 370400L, 370401L, 370403L, 370404L, 370409L, 370410L, 
370412L, 370413L, 370418L, 370419L, 370421L, 370422L, 370427L, 
370428L, 370430L, 370431L, 370436L, 370437L, 370439L, 370440L, 
370454L, 370455L, 370457L, 370458L, 370463L, 370464L, 370466L, 
370467L, 370472L, 370473L, 370475L, 370476L, 370481L, 370482L, 
370484L, 370485L, 370490L, 370491L, 370493L, 370494L, 370562L, 
370563L, 370565L, 370566L, 370571L, 370572L, 370574L, 370575L, 
370580L, 370581L, 370583L, 370584L, 370589L, 370590L, 370592L, 
370593L, 370598L, 370599L, 370601L, 370602L, 370616L, 370617L, 
370619L, 370620L, 370625L, 370626L, 370628L, 370629L, 370634L, 
370635L, 370637L, 370638L, 370643L, 370644L, 370646L, 370647L, 
370652L, 370653L, 370655L, 370656L, 370724L, 370725L, 370727L, 
370728L, 370733L, 370734L, 370736L, 370737L, 370742L, 370743L, 
370745L, 370746L, 370751L, 370752L, 370754L, 370755L, 370760L, 
370761L, 370763L, 370764L, 370778L, 370779L, 370781L, 370782L, 
370787L, 370788L, 370790L, 370791L, 370796L, 370797L, 370799L, 
370800L, 370805L, 370806L, 370808L, 370809L, 370814L, 370815L, 
370817L, 370818L, 370886L, 370887L, 370889L, 370890L, 370895L, 
370896L, 370898L, 370899L, 370904L, 370905L, 370907L, 370908L, 
370913L, 370914L, 370916L, 370917L, 370922L, 370923L, 370925L, 
370926L, 370940L, 370941L, 370943L, 370944L, 370949L, 370950L, 
370952L, 370953L, 370958L, 370959L, 370961L, 370962L, 370967L, 
370968L, 370970L, 370971L, 370976L, 370977L, 370979L, 370980L, 
371210L, 371211L, 371213L, 371214L, 371219L, 371220L, 371222L, 
371223L, 371228L, 371229L, 371231L, 371232L, 371237L, 371238L, 
371240L, 371241L, 371246L, 371247L, 371249L, 371250L, 371264L, 
371265L, 371267L, 371268L, 371273L, 371274L, 371276L, 371277L, 
371282L, 371283L, 371285L, 371286L, 371291L, 371292L, 371294L, 
371295L, 371300L, 371301L, 371303L, 371304L, 371372L, 371373L, 
371375L, 371376L, 371381L, 371382L, 371384L, 371385L, 371390L, 
371391L, 371393L, 371394L, 371399L, 371400L, 371402L, 371403L, 
371408L, 371409L, 371411L, 371412L, 371426L, 371427L, 371429L, 
371430L, 371435L, 371436L, 371438L, 371439L, 371444L, 371445L, 
371447L, 371448L, 371453L, 371454L, 371456L, 371457L, 371462L, 
371463L, 371465L, 371466L, 371534L, 371535L, 371537L, 371538L, 
371543L, 371544L, 371546L, 371547L, 371552L, 371553L, 371555L, 
371556L, 371561L, 371562L, 371564L, 371565L, 371570L, 371571L, 
371573L, 371574L, 371588L, 371589L, 371591L, 371592L, 371597L, 
371598L, 371600L, 371601L, 371606L, 371607L, 371609L, 371610L, 
371615L, 371616L, 371618L, 371619L, 371624L, 371625L, 371627L, 
371628L, 371696L, 371697L, 371699L, 371700L, 371705L, 371706L, 
371708L, 371709L, 371714L, 371715L, 371717L, 371718L, 371723L, 
371724L, 371726L, 371727L, 371732L, 371733L, 371735L, 371736L, 
371750L, 371751L, 371753L, 371754L, 371759L, 371760L, 371762L, 
371763L, 371768L, 371769L, 371771L, 371772L, 371777L, 371778L, 
371780L, 371781L, 371786L, 371787L, 371789L, 371790L, 372020L, 
372021L, 372023L, 372024L, 372029L, 372030L, 372032L, 372033L, 
372038L, 372039L, 372041L, 372042L, 372047L, 372048L, 372050L, 
372051L, 372056L, 372057L, 372059L, 372060L, 372074L, 372075L, 
372077L, 372078L, 372083L, 372084L, 372086L, 372087L, 372092L, 
372093L, 372095L, 372096L, 372101L, 372102L, 372104L, 372105L, 
372110L, 372111L, 372113L, 372114L, 372182L, 372183L, 372185L, 
372186L, 372191L, 372192L, 372194L, 372195L, 372200L, 372201L, 
372203L, 372204L, 372209L, 372210L, 372212L, 372213L, 372218L, 
372219L, 372221L, 372222L, 372236L, 372237L, 372239L, 372240L, 
372245L, 372246L, 372248L, 372249L, 372254L, 372255L, 372257L, 
372258L, 372263L, 372264L, 372266L, 372267L, 372272L, 372273L, 
372275L, 372276L, 372344L, 372345L, 372347L, 372348L, 372353L, 
372354L, 372356L, 372357L, 372362L, 372363L, 372365L, 372366L, 
372371L, 372372L, 372374L, 372375L, 372380L, 372381L, 372383L, 
372384L, 372398L, 372399L, 372401L, 372402L, 372407L, 372408L, 
372410L, 372411L, 372416L, 372417L, 372419L, 372420L, 372425L, 
372426L, 372428L, 372429L, 372434L, 372435L, 372437L, 372438L, 
372506L, 372507L, 372509L, 372510L, 372515L, 372516L, 372518L, 
372519L, 372524L, 372525L, 372527L, 372528L, 372533L, 372534L, 
372536L, 372537L, 372542L, 372543L, 372545L, 372546L, 372560L, 
372561L, 372563L, 372564L, 372569L, 372570L, 372572L, 372573L, 
372578L, 372579L, 372581L, 372582L, 372587L, 372588L, 372590L, 
372591L, 372596L, 372597L, 372599L, 372600L, 372830L, 372831L, 
372833L, 372834L, 372839L, 372840L, 372842L, 372843L, 372848L, 
372849L, 372851L, 372852L, 372857L, 372858L, 372860L, 372861L, 
372866L, 372867L, 372869L, 372870L, 372884L, 372885L, 372887L, 
372888L, 372893L, 372894L, 372896L, 372897L, 372902L, 372903L, 
372905L, 372906L, 372911L, 372912L, 372914L, 372915L, 372920L, 
372921L, 372923L, 372924L, 372992L, 372993L, 372995L, 372996L, 
373001L, 373002L, 373004L, 373005L, 373010L, 373011L, 373013L, 
373014L, 373019L, 373020L, 373022L, 373023L, 373028L, 373029L, 
373031L, 373032L, 373046L, 373047L, 373049L, 373050L, 373055L, 
373056L, 373058L, 373059L, 373064L, 373065L, 373067L, 373068L, 
373073L, 373074L, 373076L, 373077L, 373082L, 373083L, 373085L, 
373086L, 373154L, 373155L, 373157L, 373158L, 373163L, 373164L, 
373166L, 373167L, 373172L, 373173L, 373175L, 373176L, 373181L, 
373182L, 373184L, 373185L, 373190L, 373191L, 373193L, 373194L, 
373208L, 373209L, 373211L, 373212L, 373217L, 373218L, 373220L, 
373221L, 373226L, 373227L, 373229L, 373230L, 373235L, 373236L, 
373238L, 373239L, 373244L, 373245L, 373247L, 373248L, 373316L, 
373317L, 373319L, 373320L, 373325L, 373326L, 373328L, 373329L, 
373334L, 373335L, 373337L, 373338L, 373343L, 373344L, 373346L, 
373347L, 373352L, 373353L, 373355L, 373356L, 373370L, 373371L, 
373373L, 373374L, 373379L, 373380L, 373382L, 373383L, 373388L, 
373389L, 373391L, 373392L, 373397L, 373398L, 373400L, 373401L, 
373406L, 373407L, 373409L, 373410L, 373640L, 373641L, 373643L, 
373644L, 373649L, 373650L, 373652L, 373653L, 373658L, 373659L, 
373661L, 373662L, 373667L, 373668L, 373670L, 373671L, 373676L, 
373677L, 373679L, 373680L, 373694L, 373695L, 373697L, 373698L, 
373703L, 373704L, 373706L, 373707L, 373712L, 373713L, 373715L, 
373716L, 373721L, 373722L, 373724L, 373725L, 373730L, 373731L, 
373733L, 373734L, 373802L, 373803L, 373805L, 373806L, 373811L, 
373812L, 373814L, 373815L, 373820L, 373821L, 373823L, 373824L, 
373829L, 373830L, 373832L, 373833L, 373838L, 373839L, 373841L, 
373842L, 373856L, 373857L, 373859L, 373860L, 373865L, 373866L, 
373868L, 373869L, 373874L, 373875L, 373877L, 373878L, 373883L, 
373884L, 373886L, 373887L, 373892L, 373893L, 373895L, 373896L, 
373964L, 373965L, 373967L, 373968L, 373973L, 373974L, 373976L, 
373977L, 373982L, 373983L, 373985L, 373986L, 373991L, 373992L, 
373994L, 373995L, 374000L, 374001L, 374003L, 374004L, 374018L, 
374019L, 374021L, 374022L, 374027L, 374028L, 374030L, 374031L, 
374036L, 374037L, 374039L, 374040L, 374045L, 374046L, 374048L, 
374049L, 374054L, 374055L, 374057L, 374058L, 374126L, 374127L, 
374129L, 374130L, 374135L, 374136L, 374138L, 374139L, 374144L, 
374145L, 374147L, 374148L, 374153L, 374154L, 374156L, 374157L, 
374162L, 374163L, 374165L, 374166L, 374180L, 374181L, 374183L, 
374184L, 374189L, 374190L, 374192L, 374193L, 374198L, 374199L, 
374201L, 374202L, 374207L, 374208L, 374210L, 374211L, 374216L, 
374217L, 374219L, 374220L, 375260L, 375261L, 375263L, 375264L, 
375269L, 375270L, 375272L, 375273L, 375278L, 375279L, 375281L, 
375282L, 375287L, 375288L, 375290L, 375291L, 375296L, 375297L, 
375299L, 375300L, 375314L, 375315L, 375317L, 375318L, 375323L, 
375324L, 375326L, 375327L, 375332L, 375333L, 375335L, 375336L, 
375341L, 375342L, 375344L, 375345L, 375350L, 375351L, 375353L, 
375354L, 375422L, 375423L, 375425L, 375426L, 375431L, 375432L, 
375434L, 375435L, 375440L, 375441L, 375443L, 375444L, 375449L, 
375450L, 375452L, 375453L, 375458L, 375459L, 375461L, 375462L, 
375476L, 375477L, 375479L, 375480L, 375485L, 375486L, 375488L, 
375489L, 375494L, 375495L, 375497L, 375498L, 375503L, 375504L, 
375506L, 375507L, 375512L, 375513L, 375515L, 375516L, 375584L, 
375585L, 375587L, 375588L, 375593L, 375594L, 375596L, 375597L, 
375602L, 375603L, 375605L, 375606L, 375611L, 375612L, 375614L, 
375615L, 375620L, 375621L, 375623L, 375624L, 375638L, 375639L, 
375641L, 375642L, 375647L, 375648L, 375650L, 375651L, 375656L, 
375657L, 375659L, 375660L, 375665L, 375666L, 375668L, 375669L, 
375674L, 375675L, 375677L, 375678L, 375746L, 375747L, 375749L, 
375750L, 375755L, 375756L, 375758L, 375759L, 375764L, 375765L, 
375767L, 375768L, 375773L, 375774L, 375776L, 375777L, 375782L, 
375783L, 375785L, 375786L, 375800L, 375801L, 375803L, 375804L, 
375809L, 375810L, 375812L, 375813L, 375818L, 375819L, 375821L, 
375822L, 375827L, 375828L, 375830L, 375831L, 375836L, 375837L, 
375839L, 375840L, 376070L, 376071L, 376073L, 376074L, 376079L, 
376080L, 376082L, 376083L, 376088L, 376089L, 376091L, 376092L, 
376097L, 376098L, 376100L, 376101L, 376106L, 376107L, 376109L, 
376110L, 376124L, 376125L, 376127L, 376128L, 376133L, 376134L, 
376136L, 376137L, 376142L, 376143L, 376145L, 376146L, 376151L, 
376152L, 376154L, 376155L, 376160L, 376161L, 376163L, 376164L, 
376232L, 376233L, 376235L, 376236L, 376241L, 376242L, 376244L, 
376245L, 376250L, 376251L, 376253L, 376254L, 376259L, 376260L, 
376262L, 376263L, 376268L, 376269L, 376271L, 376272L, 376286L, 
376287L, 376289L, 376290L, 376295L, 376296L, 376298L, 376299L, 
376304L, 376305L, 376307L, 376308L, 376313L, 376314L, 376316L, 
376317L, 376322L, 376323L, 376325L, 376326L, 376394L, 376395L, 
376397L, 376398L, 376403L, 376404L, 376406L, 376407L, 376412L, 
376413L, 376415L, 376416L, 376421L, 376422L, 376424L, 376425L, 
376430L, 376431L, 376433L, 376434L, 376448L, 376449L, 376451L, 
376452L, 376457L, 376458L, 376460L, 376461L, 376466L, 376467L, 
376469L, 376470L, 376475L, 376476L, 376478L, 376479L, 376484L, 
376485L, 376487L, 376488L, 376556L, 376557L, 376559L, 376560L, 
376565L, 376566L, 376568L, 376569L, 376574L, 376575L, 376577L, 
376578L, 376583L, 376584L, 376586L, 376587L, 376592L, 376593L, 
376595L, 376596L, 376610L, 376611L, 376613L, 376614L, 376619L, 
376620L, 376622L, 376623L, 376628L, 376629L, 376631L, 376632L, 
376637L, 376638L, 376640L, 376641L, 376646L, 376647L, 376649L, 
376650L, 376880L, 376881L, 376883L, 376884L, 376889L, 376890L, 
376892L, 376893L, 376898L, 376899L, 376901L, 376902L, 376907L, 
376908L, 376910L, 376911L, 376916L, 376917L, 376919L, 376920L, 
376934L, 376935L, 376937L, 376938L, 376943L, 376944L, 376946L, 
376947L, 376952L, 376953L, 376955L, 376956L, 376961L, 376962L, 
376964L, 376965L, 376970L, 376971L, 376973L, 376974L, 377042L, 
377043L, 377045L, 377046L, 377051L, 377052L, 377054L, 377055L, 
377060L, 377061L, 377063L, 377064L, 377069L, 377070L, 377072L, 
377073L, 377078L, 377079L, 377081L, 377082L, 377096L, 377097L, 
377099L, 377100L, 377105L, 377106L, 377108L, 377109L, 377114L, 
377115L, 377117L, 377118L, 377123L, 377124L, 377126L, 377127L, 
377132L, 377133L, 377135L, 377136L, 377204L, 377205L, 377207L, 
377208L, 377213L, 377214L, 377216L, 377217L, 377222L, 377223L, 
377225L, 377226L, 377231L, 377232L, 377234L, 377235L, 377240L, 
377241L, 377243L, 377244L, 377258L, 377259L, 377261L, 377262L, 
377267L, 377268L, 377270L, 377271L, 377276L, 377277L, 377279L, 
377280L, 377285L, 377286L, 377288L, 377289L, 377294L, 377295L, 
377297L, 377298L, 377366L, 377367L, 377369L, 377370L, 377375L, 
377376L, 377378L, 377379L, 377384L, 377385L, 377387L, 377388L, 
377393L, 377394L, 377396L, 377397L, 377402L, 377403L, 377405L, 
377406L, 377420L, 377421L, 377423L, 377424L, 377429L, 377430L, 
377432L, 377433L, 377438L, 377439L, 377441L, 377442L, 377447L, 
377448L, 377450L, 377451L, 377456L, 377457L, 377459L, 377460L, 
377690L, 377691L, 377693L, 377694L, 377699L, 377700L, 377702L, 
377703L, 377708L, 377709L, 377711L, 377712L, 377717L, 377718L, 
377720L, 377721L, 377726L, 377727L, 377729L, 377730L, 377744L, 
377745L, 377747L, 377748L, 377753L, 377754L, 377756L, 377757L, 
377762L, 377763L, 377765L, 377766L, 377771L, 377772L, 377774L, 
377775L, 377780L, 377781L, 377783L, 377784L, 377852L, 377853L, 
377855L, 377856L, 377861L, 377862L, 377864L, 377865L, 377870L, 
377871L, 377873L, 377874L, 377879L, 377880L, 377882L, 377883L, 
377888L, 377889L, 377891L, 377892L, 377906L, 377907L, 377909L, 
377910L, 377915L, 377916L, 377918L, 377919L, 377924L, 377925L, 
377927L, 377928L, 377933L, 377934L, 377936L, 377937L, 377942L, 
377943L, 377945L, 377946L, 378014L, 378015L, 378017L, 378018L, 
378023L, 378024L, 378026L, 378027L, 378032L, 378033L, 378035L, 
378036L, 378041L, 378042L, 378044L, 378045L, 378050L, 378051L, 
378053L, 378054L, 378068L, 378069L, 378071L, 378072L, 378077L, 
378078L, 378080L, 378081L, 378086L, 378087L, 378089L, 378090L, 
378095L, 378096L, 378098L, 378099L, 378104L, 378105L, 378107L, 
378108L, 378176L, 378177L, 378179L, 378180L, 378185L, 378186L, 
378188L, 378189L, 378194L, 378195L, 378197L, 378198L, 378203L, 
378204L, 378206L, 378207L, 378212L, 378213L, 378215L, 378216L, 
378230L, 378231L, 378233L, 378234L, 378239L, 378240L, 378242L, 
378243L, 378248L, 378249L, 378251L, 378252L, 378257L, 378258L, 
378260L, 378261L, 378266L, 378267L, 378269L, 378270L, 378500L, 
378501L, 378503L, 378504L, 378509L, 378510L, 378512L, 378513L, 
378518L, 378519L, 378521L, 378522L, 378527L, 378528L, 378530L, 
378531L, 378536L, 378537L, 378539L, 378540L, 378554L, 378555L, 
378557L, 378558L, 378563L, 378564L, 378566L, 378567L, 378572L, 
378573L, 378575L, 378576L, 378581L, 378582L, 378584L, 378585L, 
378590L, 378591L, 378593L, 378594L, 378662L, 378663L, 378665L, 
378666L, 378671L, 378672L, 378674L, 378675L, 378680L, 378681L, 
378683L, 378684L, 378689L, 378690L, 378692L, 378693L, 378698L, 
378699L, 378701L, 378702L, 378716L, 378717L, 378719L, 378720L, 
378725L, 378726L, 378728L, 378729L, 378734L, 378735L, 378737L, 
378738L, 378743L, 378744L, 378746L, 378747L, 378752L, 378753L, 
378755L, 378756L, 378824L, 378825L, 378827L, 378828L, 378833L, 
378834L, 378836L, 378837L, 378842L, 378843L, 378845L, 378846L, 
378851L, 378852L, 378854L, 378855L, 378860L, 378861L, 378863L, 
378864L, 378878L, 378879L, 378881L, 378882L, 378887L, 378888L, 
378890L, 378891L, 378896L, 378897L, 378899L, 378900L, 378905L, 
378906L, 378908L, 378909L, 378914L, 378915L, 378917L, 378918L, 
378986L, 378987L, 378989L, 378990L, 378995L, 378996L, 378998L, 
378999L, 379004L, 379005L, 379007L, 379008L, 379013L, 379014L, 
379016L, 379017L, 379022L, 379023L, 379025L, 379026L, 379040L, 
379041L, 379043L, 379044L, 379049L, 379050L, 379052L, 379053L, 
379058L, 379059L, 379061L, 379062L, 379067L, 379068L, 379070L, 
379071L, 379076L, 379077L, 379079L, 379080L, 380120L, 380121L, 
380123L, 380124L, 380129L, 380130L, 380132L, 380133L, 380138L, 
380139L, 380141L, 380142L, 380147L, 380148L, 380150L, 380151L, 
380156L, 380157L, 380159L, 380160L, 380174L, 380175L, 380177L, 
380178L, 380183L, 380184L, 380186L, 380187L, 380192L, 380193L, 
380195L, 380196L, 380201L, 380202L, 380204L, 380205L, 380210L, 
380211L, 380213L, 380214L, 380282L, 380283L, 380285L, 380286L, 
380291L, 380292L, 380294L, 380295L, 380300L, 380301L, 380303L, 
380304L, 380309L, 380310L, 380312L, 380313L, 380318L, 380319L, 
380321L, 380322L, 380336L, 380337L, 380339L, 380340L, 380345L, 
380346L, 380348L, 380349L, 380354L, 380355L, 380357L, 380358L, 
380363L, 380364L, 380366L, 380367L, 380372L, 380373L, 380375L, 
380376L, 380444L, 380445L, 380447L, 380448L, 380453L, 380454L, 
380456L, 380457L, 380462L, 380463L, 380465L, 380466L, 380471L, 
380472L, 380474L, 380475L, 380480L, 380481L, 380483L, 380484L, 
380498L, 380499L, 380501L, 380502L, 380507L, 380508L, 380510L, 
380511L, 380516L, 380517L, 380519L, 380520L, 380525L, 380526L, 
380528L, 380529L, 380534L, 380535L, 380537L, 380538L, 380606L, 
380607L, 380609L, 380610L, 380615L, 380616L, 380618L, 380619L, 
380624L, 380625L, 380627L, 380628L, 380633L, 380634L, 380636L, 
380637L, 380642L, 380643L, 380645L, 380646L, 380660L, 380661L, 
380663L, 380664L, 380669L, 380670L, 380672L, 380673L, 380678L, 
380679L, 380681L, 380682L, 380687L, 380688L, 380690L, 380691L, 
380696L, 380697L, 380699L, 380700L, 380930L, 380931L, 380933L, 
380934L, 380939L, 380940L, 380942L, 380943L, 380948L, 380949L, 
380951L, 380952L, 380957L, 380958L, 380960L, 380961L, 380966L, 
380967L, 380969L, 380970L, 380984L, 380985L, 380987L, 380988L, 
380993L, 380994L, 380996L, 380997L, 381002L, 381003L, 381005L, 
381006L, 381011L, 381012L, 381014L, 381015L, 381020L, 381021L, 
381023L, 381024L, 381092L, 381093L, 381095L, 381096L, 381101L, 
381102L, 381104L, 381105L, 381110L, 381111L, 381113L, 381114L, 
381119L, 381120L, 381122L, 381123L, 381128L, 381129L, 381131L, 
381132L, 381146L, 381147L, 381149L, 381150L, 381155L, 381156L, 
381158L, 381159L, 381164L, 381165L, 381167L, 381168L, 381173L, 
381174L, 381176L, 381177L, 381182L, 381183L, 381185L, 381186L, 
381254L, 381255L, 381257L, 381258L, 381263L, 381264L, 381266L, 
381267L, 381272L, 381273L, 381275L, 381276L, 381281L, 381282L, 
381284L, 381285L, 381290L, 381291L, 381293L, 381294L, 381308L, 
381309L, 381311L, 381312L, 381317L, 381318L, 381320L, 381321L, 
381326L, 381327L, 381329L, 381330L, 381335L, 381336L, 381338L, 
381339L, 381344L, 381345L, 381347L, 381348L, 381416L, 381417L, 
381419L, 381420L, 381425L, 381426L, 381428L, 381429L, 381434L, 
381435L, 381437L, 381438L, 381443L, 381444L, 381446L, 381447L, 
381452L, 381453L, 381455L, 381456L, 381470L, 381471L, 381473L, 
381474L, 381479L, 381480L, 381482L, 381483L, 381488L, 381489L, 
381491L, 381492L, 381497L, 381498L, 381500L, 381501L, 381506L, 
381507L, 381509L, 381510L, 381740L, 381741L, 381743L, 381744L, 
381749L, 381750L, 381752L, 381753L, 381758L, 381759L, 381761L, 
381762L, 381767L, 381768L, 381770L, 381771L, 381776L, 381777L, 
381779L, 381780L, 381794L, 381795L, 381797L, 381798L, 381803L, 
381804L, 381806L, 381807L, 381812L, 381813L, 381815L, 381816L, 
381821L, 381822L, 381824L, 381825L, 381830L, 381831L, 381833L, 
381834L, 381902L, 381903L, 381905L, 381906L, 381911L, 381912L, 
381914L, 381915L, 381920L, 381921L, 381923L, 381924L, 381929L, 
381930L, 381932L, 381933L, 381938L, 381939L, 381941L, 381942L, 
381956L, 381957L, 381959L, 381960L, 381965L, 381966L, 381968L, 
381969L, 381974L, 381975L, 381977L, 381978L, 381983L, 381984L, 
381986L, 381987L, 381992L, 381993L, 381995L, 381996L, 382064L, 
382065L, 382067L, 382068L, 382073L, 382074L, 382076L, 382077L, 
382082L, 382083L, 382085L, 382086L, 382091L, 382092L, 382094L, 
382095L, 382100L, 382101L, 382103L, 382104L, 382118L, 382119L, 
382121L, 382122L, 382127L, 382128L, 382130L, 382131L, 382136L, 
382137L, 382139L, 382140L, 382145L, 382146L, 382148L, 382149L, 
382154L, 382155L, 382157L, 382158L, 382226L, 382227L, 382229L, 
382230L, 382235L, 382236L, 382238L, 382239L, 382244L, 382245L, 
382247L, 382248L, 382253L, 382254L, 382256L, 382257L, 382262L, 
382263L, 382265L, 382266L, 382280L, 382281L, 382283L, 382284L, 
382289L, 382290L, 382292L, 382293L, 382298L, 382299L, 382301L, 
382302L, 382307L, 382308L, 382310L, 382311L, 382316L, 382317L, 
382319L, 382320L, 382550L, 382551L, 382553L, 382554L, 382559L, 
382560L, 382562L, 382563L, 382568L, 382569L, 382571L, 382572L, 
382577L, 382578L, 382580L, 382581L, 382586L, 382587L, 382589L, 
382590L, 382604L, 382605L, 382607L, 382608L, 382613L, 382614L, 
382616L, 382617L, 382622L, 382623L, 382625L, 382626L, 382631L, 
382632L, 382634L, 382635L, 382640L, 382641L, 382643L, 382644L, 
382712L, 382713L, 382715L, 382716L, 382721L, 382722L, 382724L, 
382725L, 382730L, 382731L, 382733L, 382734L, 382739L, 382740L, 
382742L, 382743L, 382748L, 382749L, 382751L, 382752L, 382766L, 
382767L, 382769L, 382770L, 382775L, 382776L, 382778L, 382779L, 
382784L, 382785L, 382787L, 382788L, 382793L, 382794L, 382796L, 
382797L, 382802L, 382803L, 382805L, 382806L, 382874L, 382875L, 
382877L, 382878L, 382883L, 382884L, 382886L, 382887L, 382892L, 
382893L, 382895L, 382896L, 382901L, 382902L, 382904L, 382905L, 
382910L, 382911L, 382913L, 382914L, 382928L, 382929L, 382931L, 
382932L, 382937L, 382938L, 382940L, 382941L, 382946L, 382947L, 
382949L, 382950L, 382955L, 382956L, 382958L, 382959L, 382964L, 
382965L, 382967L, 382968L, 383036L, 383037L, 383039L, 383040L, 
383045L, 383046L, 383048L, 383049L, 383054L, 383055L, 383057L, 
383058L, 383063L, 383064L, 383066L, 383067L, 383072L, 383073L, 
383075L, 383076L, 383090L, 383091L, 383093L, 383094L, 383099L, 
383100L, 383102L, 383103L, 383108L, 383109L, 383111L, 383112L, 
383117L, 383118L, 383120L, 383121L, 383126L, 383127L, 383129L, 
383130L, 383360L, 383361L, 383363L, 383364L, 383369L, 383370L, 
383372L, 383373L, 383378L, 383379L, 383381L, 383382L, 383387L, 
383388L, 383390L, 383391L, 383396L, 383397L, 383399L, 383400L, 
383414L, 383415L, 383417L, 383418L, 383423L, 383424L, 383426L, 
383427L, 383432L, 383433L, 383435L, 383436L, 383441L, 383442L, 
383444L, 383445L, 383450L, 383451L, 383453L, 383454L, 383522L, 
383523L, 383525L, 383526L, 383531L, 383532L, 383534L, 383535L, 
383540L, 383541L, 383543L, 383544L, 383549L, 383550L, 383552L, 
383553L, 383558L, 383559L, 383561L, 383562L, 383576L, 383577L, 
383579L, 383580L, 383585L, 383586L, 383588L, 383589L, 383594L, 
383595L, 383597L, 383598L, 383603L, 383604L, 383606L, 383607L, 
383612L, 383613L, 383615L, 383616L, 383684L, 383685L, 383687L, 
383688L, 383693L, 383694L, 383696L, 383697L, 383702L, 383703L, 
383705L, 383706L, 383711L, 383712L, 383714L, 383715L, 383720L, 
383721L, 383723L, 383724L, 383738L, 383739L, 383741L, 383742L, 
383747L, 383748L, 383750L, 383751L, 383756L, 383757L, 383759L, 
383760L, 383765L, 383766L, 383768L, 383769L, 383774L, 383775L, 
383777L, 383778L, 383846L, 383847L, 383849L, 383850L, 383855L, 
383856L, 383858L, 383859L, 383864L, 383865L, 383867L, 383868L, 
383873L, 383874L, 383876L, 383877L, 383882L, 383883L, 383885L, 
383886L, 383900L, 383901L, 383903L, 383904L, 383909L, 383910L, 
383912L, 383913L, 383918L, 383919L, 383921L, 383922L, 383927L, 
383928L, 383930L, 383931L, 383936L, 383937L, 383939L, 383940L, 
394700L, 394701L, 394703L, 394704L, 394709L, 394710L, 394712L, 
394713L, 394718L, 394719L, 394721L, 394722L, 394727L, 394728L, 
394730L, 394731L, 394736L, 394737L, 394739L, 394740L, 394754L, 
394755L, 394757L, 394758L, 394763L, 394764L, 394766L, 394767L, 
394772L, 394773L, 394775L, 394776L, 394781L, 394782L, 394784L, 
394785L, 394790L, 394791L, 394793L, 394794L, 394862L, 394863L, 
394865L, 394866L, 394871L, 394872L, 394874L, 394875L, 394880L, 
394881L, 394883L, 394884L, 394889L, 394890L, 394892L, 394893L, 
394898L, 394899L, 394901L, 394902L, 394916L, 394917L, 394919L, 
394920L, 394925L, 394926L, 394928L, 394929L, 394934L, 394935L, 
394937L, 394938L, 394943L, 394944L, 394946L, 394947L, 394952L, 
394953L, 394955L, 394956L, 395024L, 395025L, 395027L, 395028L, 
395033L, 395034L, 395036L, 395037L, 395042L, 395043L, 395045L, 
395046L, 395051L, 395052L, 395054L, 395055L, 395060L, 395061L, 
395063L, 395064L, 395078L, 395079L, 395081L, 395082L, 395087L, 
395088L, 395090L, 395091L, 395096L, 395097L, 395099L, 395100L, 
395105L, 395106L, 395108L, 395109L, 395114L, 395115L, 395117L, 
395118L, 395186L, 395187L, 395189L, 395190L, 395195L, 395196L, 
395198L, 395199L, 395204L, 395205L, 395207L, 395208L, 395213L, 
395214L, 395216L, 395217L, 395222L, 395223L, 395225L, 395226L, 
395240L, 395241L, 395243L, 395244L, 395249L, 395250L, 395252L, 
395253L, 395258L, 395259L, 395261L, 395262L, 395267L, 395268L, 
395270L, 395271L, 395276L, 395277L, 395279L, 395280L, 395510L, 
395511L, 395513L, 395514L, 395519L, 395520L, 395522L, 395523L, 
395528L, 395529L, 395531L, 395532L, 395537L, 395538L, 395540L, 
395541L, 395546L, 395547L, 395549L, 395550L, 395564L, 395565L, 
395567L, 395568L, 395573L, 395574L, 395576L, 395577L, 395582L, 
395583L, 395585L, 395586L, 395591L, 395592L, 395594L, 395595L, 
395600L, 395601L, 395603L, 395604L, 395672L, 395673L, 395675L, 
395676L, 395681L, 395682L, 395684L, 395685L, 395690L, 395691L, 
395693L, 395694L, 395699L, 395700L, 395702L, 395703L, 395708L, 
395709L, 395711L, 395712L, 395726L, 395727L, 395729L, 395730L, 
395735L, 395736L, 395738L, 395739L, 395744L, 395745L, 395747L, 
395748L, 395753L, 395754L, 395756L, 395757L, 395762L, 395763L, 
395765L, 395766L, 395834L, 395835L, 395837L, 395838L, 395843L, 
395844L, 395846L, 395847L, 395852L, 395853L, 395855L, 395856L, 
395861L, 395862L, 395864L, 395865L, 395870L, 395871L, 395873L, 
395874L, 395888L, 395889L, 395891L, 395892L, 395897L, 395898L, 
395900L, 395901L, 395906L, 395907L, 395909L, 395910L, 395915L, 
395916L, 395918L, 395919L, 395924L, 395925L, 395927L, 395928L, 
395996L, 395997L, 395999L, 396000L, 396005L, 396006L, 396008L, 
396009L, 396014L, 396015L, 396017L, 396018L, 396023L, 396024L, 
396026L, 396027L, 396032L, 396033L, 396035L, 396036L, 396050L, 
396051L, 396053L, 396054L, 396059L, 396060L, 396062L, 396063L, 
396068L, 396069L, 396071L, 396072L, 396077L, 396078L, 396080L, 
396081L, 396086L, 396087L, 396089L, 396090L, 396320L, 396321L, 
396323L, 396324L, 396329L, 396330L, 396332L, 396333L, 396338L, 
396339L, 396341L, 396342L, 396347L, 396348L, 396350L, 396351L, 
396356L, 396357L, 396359L, 396360L, 396374L, 396375L, 396377L, 
396378L, 396383L, 396384L, 396386L, 396387L, 396392L, 396393L, 
396395L, 396396L, 396401L, 396402L, 396404L, 396405L, 396410L, 
396411L, 396413L, 396414L, 396482L, 396483L, 396485L, 396486L, 
396491L, 396492L, 396494L, 396495L, 396500L, 396501L, 396503L, 
396504L, 396509L, 396510L, 396512L, 396513L, 396518L, 396519L, 
396521L, 396522L, 396536L, 396537L, 396539L, 396540L, 396545L, 
396546L, 396548L, 396549L, 396554L, 396555L, 396557L, 396558L, 
396563L, 396564L, 396566L, 396567L, 396572L, 396573L, 396575L, 
396576L, 396644L, 396645L, 396647L, 396648L, 396653L, 396654L, 
396656L, 396657L, 396662L, 396663L, 396665L, 396666L, 396671L, 
396672L, 396674L, 396675L, 396680L, 396681L, 396683L, 396684L, 
396698L, 396699L, 396701L, 396702L, 396707L, 396708L, 396710L, 
396711L, 396716L, 396717L, 396719L, 396720L, 396725L, 396726L, 
396728L, 396729L, 396734L, 396735L, 396737L, 396738L, 396806L, 
396807L, 396809L, 396810L, 396815L, 396816L, 396818L, 396819L, 
396824L, 396825L, 396827L, 396828L, 396833L, 396834L, 396836L, 
396837L, 396842L, 396843L, 396845L, 396846L, 396860L, 396861L, 
396863L, 396864L, 396869L, 396870L, 396872L, 396873L, 396878L, 
396879L, 396881L, 396882L, 396887L, 396888L, 396890L, 396891L, 
396896L, 396897L, 396899L, 396900L, 397130L, 397131L, 397133L, 
397134L, 397139L, 397140L, 397142L, 397143L, 397148L, 397149L, 
397151L, 397152L, 397157L, 397158L, 397160L, 397161L, 397166L, 
397167L, 397169L, 397170L, 397184L, 397185L, 397187L, 397188L, 
397193L, 397194L, 397196L, 397197L, 397202L, 397203L, 397205L, 
397206L, 397211L, 397212L, 397214L, 397215L, 397220L, 397221L, 
397223L, 397224L, 397292L, 397293L, 397295L, 397296L, 397301L, 
397302L, 397304L, 397305L, 397310L, 397311L, 397313L, 397314L, 
397319L, 397320L, 397322L, 397323L, 397328L, 397329L, 397331L, 
397332L, 397346L, 397347L, 397349L, 397350L, 397355L, 397356L, 
397358L, 397359L, 397364L, 397365L, 397367L, 397368L, 397373L, 
397374L, 397376L, 397377L, 397382L, 397383L, 397385L, 397386L, 
397454L, 397455L, 397457L, 397458L, 397463L, 397464L, 397466L, 
397467L, 397472L, 397473L, 397475L, 397476L, 397481L, 397482L, 
397484L, 397485L, 397490L, 397491L, 397493L, 397494L, 397508L, 
397509L, 397511L, 397512L, 397517L, 397518L, 397520L, 397521L, 
397526L, 397527L, 397529L, 397530L, 397535L, 397536L, 397538L, 
397539L, 397544L, 397545L, 397547L, 397548L, 397616L, 397617L, 
397619L, 397620L, 397625L, 397626L, 397628L, 397629L, 397634L, 
397635L, 397637L, 397638L, 397643L, 397644L, 397646L, 397647L, 
397652L, 397653L, 397655L, 397656L, 397670L, 397671L, 397673L, 
397674L, 397679L, 397680L, 397682L, 397683L, 397688L, 397689L, 
397691L, 397692L, 397697L, 397698L, 397700L, 397701L, 397706L, 
397707L, 397709L, 397710L, 397940L, 397941L, 397943L, 397944L, 
397949L, 397950L, 397952L, 397953L, 397958L, 397959L, 397961L, 
397962L, 397967L, 397968L, 397970L, 397971L, 397976L, 397977L, 
397979L, 397980L, 397994L, 397995L, 397997L, 397998L, 398003L, 
398004L, 398006L, 398007L, 398012L, 398013L, 398015L, 398016L, 
398021L, 398022L, 398024L, 398025L, 398030L, 398031L, 398033L, 
398034L, 398102L, 398103L, 398105L, 398106L, 398111L, 398112L, 
398114L, 398115L, 398120L, 398121L, 398123L, 398124L, 398129L, 
398130L, 398132L, 398133L, 398138L, 398139L, 398141L, 398142L, 
398156L, 398157L, 398159L, 398160L, 398165L, 398166L, 398168L, 
398169L, 398174L, 398175L, 398177L, 398178L, 398183L, 398184L, 
398186L, 398187L, 398192L, 398193L, 398195L, 398196L, 398264L, 
398265L, 398267L, 398268L, 398273L, 398274L, 398276L, 398277L, 
398282L, 398283L, 398285L, 398286L, 398291L, 398292L, 398294L, 
398295L, 398300L, 398301L, 398303L, 398304L, 398318L, 398319L, 
398321L, 398322L, 398327L, 398328L, 398330L, 398331L, 398336L, 
398337L, 398339L, 398340L, 398345L, 398346L, 398348L, 398349L, 
398354L, 398355L, 398357L, 398358L, 398426L, 398427L, 398429L, 
398430L, 398435L, 398436L, 398438L, 398439L, 398444L, 398445L, 
398447L, 398448L, 398453L, 398454L, 398456L, 398457L, 398462L, 
398463L, 398465L, 398466L, 398480L, 398481L, 398483L, 398484L, 
398489L, 398490L, 398492L, 398493L, 398498L, 398499L, 398501L, 
398502L, 398507L, 398508L, 398510L, 398511L, 398516L, 398517L, 
398519L, 398520L, 399560L, 399561L, 399563L, 399564L, 399569L, 
399570L, 399572L, 399573L, 399578L, 399579L, 399581L, 399582L, 
399587L, 399588L, 399590L, 399591L, 399596L, 399597L, 399599L, 
399600L, 399614L, 399615L, 399617L, 399618L, 399623L, 399624L, 
399626L, 399627L, 399632L, 399633L, 399635L, 399636L, 399641L, 
399642L, 399644L, 399645L, 399650L, 399651L, 399653L, 399654L, 
399722L, 399723L, 399725L, 399726L, 399731L, 399732L, 399734L, 
399735L, 399740L, 399741L, 399743L, 399744L, 399749L, 399750L, 
399752L, 399753L, 399758L, 399759L, 399761L, 399762L, 399776L, 
399777L, 399779L, 399780L, 399785L, 399786L, 399788L, 399789L, 
399794L, 399795L, 399797L, 399798L, 399803L, 399804L, 399806L, 
399807L, 399812L, 399813L, 399815L, 399816L, 399884L, 399885L, 
399887L, 399888L, 399893L, 399894L, 399896L, 399897L, 399902L, 
399903L, 399905L, 399906L, 399911L, 399912L, 399914L, 399915L, 
399920L, 399921L, 399923L, 399924L, 399938L, 399939L, 399941L, 
399942L, 399947L, 399948L, 399950L, 399951L, 399956L, 399957L, 
399959L, 399960L, 399965L, 399966L, 399968L, 399969L, 399974L, 
399975L, 399977L, 399978L, 400046L, 400047L, 400049L, 400050L, 
400055L, 400056L, 400058L, 400059L, 400064L, 400065L, 400067L, 
400068L, 400073L, 400074L, 400076L, 400077L, 400082L, 400083L, 
400085L, 400086L, 400100L, 400101L, 400103L, 400104L, 400109L, 
400110L, 400112L, 400113L, 400118L, 400119L, 400121L, 400122L, 
400127L, 400128L, 400130L, 400131L, 400136L, 400137L, 400139L, 
400140L, 400370L, 400371L, 400373L, 400374L, 400379L, 400380L, 
400382L, 400383L, 400388L, 400389L, 400391L, 400392L, 400397L, 
400398L, 400400L, 400401L, 400406L, 400407L, 400409L, 400410L, 
400424L, 400425L, 400427L, 400428L, 400433L, 400434L, 400436L, 
400437L, 400442L, 400443L, 400445L, 400446L, 400451L, 400452L, 
400454L, 400455L, 400460L, 400461L, 400463L, 400464L, 400532L, 
400533L, 400535L, 400536L, 400541L, 400542L, 400544L, 400545L, 
400550L, 400551L, 400553L, 400554L, 400559L, 400560L, 400562L, 
400563L, 400568L, 400569L, 400571L, 400572L, 400586L, 400587L, 
400589L, 400590L, 400595L, 400596L, 400598L, 400599L, 400604L, 
400605L, 400607L, 400608L, 400613L, 400614L, 400616L, 400617L, 
400622L, 400623L, 400625L, 400626L, 400694L, 400695L, 400697L, 
400698L, 400703L, 400704L, 400706L, 400707L, 400712L, 400713L, 
400715L, 400716L, 400721L, 400722L, 400724L, 400725L, 400730L, 
400731L, 400733L, 400734L, 400748L, 400749L, 400751L, 400752L, 
400757L, 400758L, 400760L, 400761L, 400766L, 400767L, 400769L, 
400770L, 400775L, 400776L, 400778L, 400779L, 400784L, 400785L, 
400787L, 400788L, 400856L, 400857L, 400859L, 400860L, 400865L, 
400866L, 400868L, 400869L, 400874L, 400875L, 400877L, 400878L, 
400883L, 400884L, 400886L, 400887L, 400892L, 400893L, 400895L, 
400896L, 400910L, 400911L, 400913L, 400914L, 400919L, 400920L, 
400922L, 400923L, 400928L, 400929L, 400931L, 400932L, 400937L, 
400938L, 400940L, 400941L, 400946L, 400947L, 400949L, 400950L, 
401180L, 401181L, 401183L, 401184L, 401189L, 401190L, 401192L, 
401193L, 401198L, 401199L, 401201L, 401202L, 401207L, 401208L, 
401210L, 401211L, 401216L, 401217L, 401219L, 401220L, 401234L, 
401235L, 401237L, 401238L, 401243L, 401244L, 401246L, 401247L, 
401252L, 401253L, 401255L, 401256L, 401261L, 401262L, 401264L, 
401265L, 401270L, 401271L, 401273L, 401274L, 401342L, 401343L, 
401345L, 401346L, 401351L, 401352L, 401354L, 401355L, 401360L, 
401361L, 401363L, 401364L, 401369L, 401370L, 401372L, 401373L, 
401378L, 401379L, 401381L, 401382L, 401396L, 401397L, 401399L, 
401400L, 401405L, 401406L, 401408L, 401409L, 401414L, 401415L, 
401417L, 401418L, 401423L, 401424L, 401426L, 401427L, 401432L, 
401433L, 401435L, 401436L, 401504L, 401505L, 401507L, 401508L, 
401513L, 401514L, 401516L, 401517L, 401522L, 401523L, 401525L, 
401526L, 401531L, 401532L, 401534L, 401535L, 401540L, 401541L, 
401543L, 401544L, 401558L, 401559L, 401561L, 401562L, 401567L, 
401568L, 401570L, 401571L, 401576L, 401577L, 401579L, 401580L, 
401585L, 401586L, 401588L, 401589L, 401594L, 401595L, 401597L, 
401598L, 401666L, 401667L, 401669L, 401670L, 401675L, 401676L, 
401678L, 401679L, 401684L, 401685L, 401687L, 401688L, 401693L, 
401694L, 401696L, 401697L, 401702L, 401703L, 401705L, 401706L, 
401720L, 401721L, 401723L, 401724L, 401729L, 401730L, 401732L, 
401733L, 401738L, 401739L, 401741L, 401742L, 401747L, 401748L, 
401750L, 401751L, 401756L, 401757L, 401759L, 401760L, 401990L, 
401991L, 401993L, 401994L, 401999L, 402000L, 402002L, 402003L, 
402008L, 402009L, 402011L, 402012L, 402017L, 402018L, 402020L, 
402021L, 402026L, 402027L, 402029L, 402030L, 402044L, 402045L, 
402047L, 402048L, 402053L, 402054L, 402056L, 402057L, 402062L, 
402063L, 402065L, 402066L, 402071L, 402072L, 402074L, 402075L, 
402080L, 402081L, 402083L, 402084L, 402152L, 402153L, 402155L, 
402156L, 402161L, 402162L, 402164L, 402165L, 402170L, 402171L, 
402173L, 402174L, 402179L, 402180L, 402182L, 402183L, 402188L, 
402189L, 402191L, 402192L, 402206L, 402207L, 402209L, 402210L, 
402215L, 402216L, 402218L, 402219L, 402224L, 402225L, 402227L, 
402228L, 402233L, 402234L, 402236L, 402237L, 402242L, 402243L, 
402245L, 402246L, 402314L, 402315L, 402317L, 402318L, 402323L, 
402324L, 402326L, 402327L, 402332L, 402333L, 402335L, 402336L, 
402341L, 402342L, 402344L, 402345L, 402350L, 402351L, 402353L, 
402354L, 402368L, 402369L, 402371L, 402372L, 402377L, 402378L, 
402380L, 402381L, 402386L, 402387L, 402389L, 402390L, 402395L, 
402396L, 402398L, 402399L, 402404L, 402405L, 402407L, 402408L, 
402476L, 402477L, 402479L, 402480L, 402485L, 402486L, 402488L, 
402489L, 402494L, 402495L, 402497L, 402498L, 402503L, 402504L, 
402506L, 402507L, 402512L, 402513L, 402515L, 402516L, 402530L, 
402531L, 402533L, 402534L, 402539L, 402540L, 402542L, 402543L, 
402548L, 402549L, 402551L, 402552L, 402557L, 402558L, 402560L, 
402561L, 402566L, 402567L, 402569L, 402570L, 402800L, 402801L, 
402803L, 402804L, 402809L, 402810L, 402812L, 402813L, 402818L, 
402819L, 402821L, 402822L, 402827L, 402828L, 402830L, 402831L, 
402836L, 402837L, 402839L, 402840L, 402854L, 402855L, 402857L, 
402858L, 402863L, 402864L, 402866L, 402867L, 402872L, 402873L, 
402875L, 402876L, 402881L, 402882L, 402884L, 402885L, 402890L, 
402891L, 402893L, 402894L, 402962L, 402963L, 402965L, 402966L, 
402971L, 402972L, 402974L, 402975L, 402980L, 402981L, 402983L, 
402984L, 402989L, 402990L, 402992L, 402993L, 402998L, 402999L, 
403001L, 403002L, 403016L, 403017L, 403019L, 403020L, 403025L, 
403026L, 403028L, 403029L, 403034L, 403035L, 403037L, 403038L, 
403043L, 403044L, 403046L, 403047L, 403052L, 403053L, 403055L, 
403056L, 403124L, 403125L, 403127L, 403128L, 403133L, 403134L, 
403136L, 403137L, 403142L, 403143L, 403145L, 403146L, 403151L, 
403152L, 403154L, 403155L, 403160L, 403161L, 403163L, 403164L, 
403178L, 403179L, 403181L, 403182L, 403187L, 403188L, 403190L, 
403191L, 403196L, 403197L, 403199L, 403200L, 403205L, 403206L, 
403208L, 403209L, 403214L, 403215L, 403217L, 403218L, 403286L, 
403287L, 403289L, 403290L, 403295L, 403296L, 403298L, 403299L, 
403304L, 403305L, 403307L, 403308L, 403313L, 403314L, 403316L, 
403317L, 403322L, 403323L, 403325L, 403326L, 403340L, 403341L, 
403343L, 403344L, 403349L, 403350L, 403352L, 403353L, 403358L, 
403359L, 403361L, 403362L, 403367L, 403368L, 403370L, 403371L, 
403376L, 403377L, 403379L, 403380L, 404420L, 404421L, 404423L, 
404424L, 404429L, 404430L, 404432L, 404433L, 404438L, 404439L, 
404441L, 404442L, 404447L, 404448L, 404450L, 404451L, 404456L, 
404457L, 404459L, 404460L, 404474L, 404475L, 404477L, 404478L, 
404483L, 404484L, 404486L, 404487L, 404492L, 404493L, 404495L, 
404496L, 404501L, 404502L, 404504L, 404505L, 404510L, 404511L, 
404513L, 404514L, 404582L, 404583L, 404585L, 404586L, 404591L, 
404592L, 404594L, 404595L, 404600L, 404601L, 404603L, 404604L, 
404609L, 404610L, 404612L, 404613L, 404618L, 404619L, 404621L, 
404622L, 404636L, 404637L, 404639L, 404640L, 404645L, 404646L, 
404648L, 404649L, 404654L, 404655L, 404657L, 404658L, 404663L, 
404664L, 404666L, 404667L, 404672L, 404673L, 404675L, 404676L, 
404744L, 404745L, 404747L, 404748L, 404753L, 404754L, 404756L, 
404757L, 404762L, 404763L, 404765L, 404766L, 404771L, 404772L, 
404774L, 404775L, 404780L, 404781L, 404783L, 404784L, 404798L, 
404799L, 404801L, 404802L, 404807L, 404808L, 404810L, 404811L, 
404816L, 404817L, 404819L, 404820L, 404825L, 404826L, 404828L, 
404829L, 404834L, 404835L, 404837L, 404838L, 404906L, 404907L, 
404909L, 404910L, 404915L, 404916L, 404918L, 404919L, 404924L, 
404925L, 404927L, 404928L, 404933L, 404934L, 404936L, 404937L, 
404942L, 404943L, 404945L, 404946L, 404960L, 404961L, 404963L, 
404964L, 404969L, 404970L, 404972L, 404973L, 404978L, 404979L, 
404981L, 404982L, 404987L, 404988L, 404990L, 404991L, 404996L, 
404997L, 404999L, 405000L, 405230L, 405231L, 405233L, 405234L, 
405239L, 405240L, 405242L, 405243L, 405248L, 405249L, 405251L, 
405252L, 405257L, 405258L, 405260L, 405261L, 405266L, 405267L, 
405269L, 405270L, 405284L, 405285L, 405287L, 405288L, 405293L, 
405294L, 405296L, 405297L, 405302L, 405303L, 405305L, 405306L, 
405311L, 405312L, 405314L, 405315L, 405320L, 405321L, 405323L, 
405324L, 405392L, 405393L, 405395L, 405396L, 405401L, 405402L, 
405404L, 405405L, 405410L, 405411L, 405413L, 405414L, 405419L, 
405420L, 405422L, 405423L, 405428L, 405429L, 405431L, 405432L, 
405446L, 405447L, 405449L, 405450L, 405455L, 405456L, 405458L, 
405459L, 405464L, 405465L, 405467L, 405468L, 405473L, 405474L, 
405476L, 405477L, 405482L, 405483L, 405485L, 405486L, 405554L, 
405555L, 405557L, 405558L, 405563L, 405564L, 405566L, 405567L, 
405572L, 405573L, 405575L, 405576L, 405581L, 405582L, 405584L, 
405585L, 405590L, 405591L, 405593L, 405594L, 405608L, 405609L, 
405611L, 405612L, 405617L, 405618L, 405620L, 405621L, 405626L, 
405627L, 405629L, 405630L, 405635L, 405636L, 405638L, 405639L, 
405644L, 405645L, 405647L, 405648L, 405716L, 405717L, 405719L, 
405720L, 405725L, 405726L, 405728L, 405729L, 405734L, 405735L, 
405737L, 405738L, 405743L, 405744L, 405746L, 405747L, 405752L, 
405753L, 405755L, 405756L, 405770L, 405771L, 405773L, 405774L, 
405779L, 405780L, 405782L, 405783L, 405788L, 405789L, 405791L, 
405792L, 405797L, 405798L, 405800L, 405801L, 405806L, 405807L, 
405809L, 405810L, 406040L, 406041L, 406043L, 406044L, 406049L, 
406050L, 406052L, 406053L, 406058L, 406059L, 406061L, 406062L, 
406067L, 406068L, 406070L, 406071L, 406076L, 406077L, 406079L, 
406080L, 406094L, 406095L, 406097L, 406098L, 406103L, 406104L, 
406106L, 406107L, 406112L, 406113L, 406115L, 406116L, 406121L, 
406122L, 406124L, 406125L, 406130L, 406131L, 406133L, 406134L, 
406202L, 406203L, 406205L, 406206L, 406211L, 406212L, 406214L, 
406215L, 406220L, 406221L, 406223L, 406224L, 406229L, 406230L, 
406232L, 406233L, 406238L, 406239L, 406241L, 406242L, 406256L, 
406257L, 406259L, 406260L, 406265L, 406266L, 406268L, 406269L, 
406274L, 406275L, 406277L, 406278L, 406283L, 406284L, 406286L, 
406287L, 406292L, 406293L, 406295L, 406296L, 406364L, 406365L, 
406367L, 406368L, 406373L, 406374L, 406376L, 406377L, 406382L, 
406383L, 406385L, 406386L, 406391L, 406392L, 406394L, 406395L, 
406400L, 406401L, 406403L, 406404L, 406418L, 406419L, 406421L, 
406422L, 406427L, 406428L, 406430L, 406431L, 406436L, 406437L, 
406439L, 406440L, 406445L, 406446L, 406448L, 406449L, 406454L, 
406455L, 406457L, 406458L, 406526L, 406527L, 406529L, 406530L, 
406535L, 406536L, 406538L, 406539L, 406544L, 406545L, 406547L, 
406548L, 406553L, 406554L, 406556L, 406557L, 406562L, 406563L, 
406565L, 406566L, 406580L, 406581L, 406583L, 406584L, 406589L, 
406590L, 406592L, 406593L, 406598L, 406599L, 406601L, 406602L, 
406607L, 406608L, 406610L, 406611L, 406616L, 406617L, 406619L, 
406620L, 406850L, 406851L, 406853L, 406854L, 406859L, 406860L, 
406862L, 406863L, 406868L, 406869L, 406871L, 406872L, 406877L, 
406878L, 406880L, 406881L, 406886L, 406887L, 406889L, 406890L, 
406904L, 406905L, 406907L, 406908L, 406913L, 406914L, 406916L, 
406917L, 406922L, 406923L, 406925L, 406926L, 406931L, 406932L, 
406934L, 406935L, 406940L, 406941L, 406943L, 406944L, 407012L, 
407013L, 407015L, 407016L, 407021L, 407022L, 407024L, 407025L, 
407030L, 407031L, 407033L, 407034L, 407039L, 407040L, 407042L, 
407043L, 407048L, 407049L, 407051L, 407052L, 407066L, 407067L, 
407069L, 407070L, 407075L, 407076L, 407078L, 407079L, 407084L, 
407085L, 407087L, 407088L, 407093L, 407094L, 407096L, 407097L, 
407102L, 407103L, 407105L, 407106L, 407174L, 407175L, 407177L, 
407178L, 407183L, 407184L, 407186L, 407187L, 407192L, 407193L, 
407195L, 407196L, 407201L, 407202L, 407204L, 407205L, 407210L, 
407211L, 407213L, 407214L, 407228L, 407229L, 407231L, 407232L, 
407237L, 407238L, 407240L, 407241L, 407246L, 407247L, 407249L, 
407250L, 407255L, 407256L, 407258L, 407259L, 407264L, 407265L, 
407267L, 407268L, 407336L, 407337L, 407339L, 407340L, 407345L, 
407346L, 407348L, 407349L, 407354L, 407355L, 407357L, 407358L, 
407363L, 407364L, 407366L, 407367L, 407372L, 407373L, 407375L, 
407376L, 407390L, 407391L, 407393L, 407394L, 407399L, 407400L, 
407402L, 407403L, 407408L, 407409L, 407411L, 407412L, 407417L, 
407418L, 407420L, 407421L, 407426L, 407427L, 407429L, 407430L, 
407660L, 407661L, 407663L, 407664L, 407669L, 407670L, 407672L, 
407673L, 407678L, 407679L, 407681L, 407682L, 407687L, 407688L, 
407690L, 407691L, 407696L, 407697L, 407699L, 407700L, 407714L, 
407715L, 407717L, 407718L, 407723L, 407724L, 407726L, 407727L, 
407732L, 407733L, 407735L, 407736L, 407741L, 407742L, 407744L, 
407745L, 407750L, 407751L, 407753L, 407754L, 407822L, 407823L, 
407825L, 407826L, 407831L, 407832L, 407834L, 407835L, 407840L, 
407841L, 407843L, 407844L, 407849L, 407850L, 407852L, 407853L, 
407858L, 407859L, 407861L, 407862L, 407876L, 407877L, 407879L, 
407880L, 407885L, 407886L, 407888L, 407889L, 407894L, 407895L, 
407897L, 407898L, 407903L, 407904L, 407906L, 407907L, 407912L, 
407913L, 407915L, 407916L, 407984L, 407985L, 407987L, 407988L, 
407993L, 407994L, 407996L, 407997L, 408002L, 408003L, 408005L, 
408006L, 408011L, 408012L, 408014L, 408015L, 408020L, 408021L, 
408023L, 408024L, 408038L, 408039L, 408041L, 408042L, 408047L, 
408048L, 408050L, 408051L, 408056L, 408057L, 408059L, 408060L, 
408065L, 408066L, 408068L, 408069L, 408074L, 408075L, 408077L, 
408078L, 408146L, 408147L, 408149L, 408150L, 408155L, 408156L, 
408158L, 408159L, 408164L, 408165L, 408167L, 408168L, 408173L, 
408174L, 408176L, 408177L, 408182L, 408183L, 408185L, 408186L, 
408200L, 408201L, 408203L, 408204L, 408209L, 408210L, 408212L, 
408213L, 408218L, 408219L, 408221L, 408222L, 408227L, 408228L, 
408230L, 408231L, 408236L, 408237L, 408239L, 408240L, 419000L, 
419001L, 419003L, 419004L, 419009L, 419010L, 419012L, 419013L, 
419018L, 419019L, 419021L, 419022L, 419027L, 419028L, 419030L, 
419031L, 419036L, 419037L, 419039L, 419040L, 419054L, 419055L, 
419057L, 419058L, 419063L, 419064L, 419066L, 419067L, 419072L, 
419073L, 419075L, 419076L, 419081L, 419082L, 419084L, 419085L, 
419090L, 419091L, 419093L, 419094L, 419162L, 419163L, 419165L, 
419166L, 419171L, 419172L, 419174L, 419175L, 419180L, 419181L, 
419183L, 419184L, 419189L, 419190L, 419192L, 419193L, 419198L, 
419199L, 419201L, 419202L, 419216L, 419217L, 419219L, 419220L, 
419225L, 419226L, 419228L, 419229L, 419234L, 419235L, 419237L, 
419238L, 419243L, 419244L, 419246L, 419247L, 419252L, 419253L, 
419255L, 419256L, 419324L, 419325L, 419327L, 419328L, 419333L, 
419334L, 419336L, 419337L, 419342L, 419343L, 419345L, 419346L, 
419351L, 419352L, 419354L, 419355L, 419360L, 419361L, 419363L, 
419364L, 419378L, 419379L, 419381L, 419382L, 419387L, 419388L, 
419390L, 419391L, 419396L, 419397L, 419399L, 419400L, 419405L, 
419406L, 419408L, 419409L, 419414L, 419415L, 419417L, 419418L, 
419486L, 419487L, 419489L, 419490L, 419495L, 419496L, 419498L, 
419499L, 419504L, 419505L, 419507L, 419508L, 419513L, 419514L, 
419516L, 419517L, 419522L, 419523L, 419525L, 419526L, 419540L, 
419541L, 419543L, 419544L, 419549L, 419550L, 419552L, 419553L, 
419558L, 419559L, 419561L, 419562L, 419567L, 419568L, 419570L, 
419571L, 419576L, 419577L, 419579L, 419580L, 419810L, 419811L, 
419813L, 419814L, 419819L, 419820L, 419822L, 419823L, 419828L, 
419829L, 419831L, 419832L, 419837L, 419838L, 419840L, 419841L, 
419846L, 419847L, 419849L, 419850L, 419864L, 419865L, 419867L, 
419868L, 419873L, 419874L, 419876L, 419877L, 419882L, 419883L, 
419885L, 419886L, 419891L, 419892L, 419894L, 419895L, 419900L, 
419901L, 419903L, 419904L, 419972L, 419973L, 419975L, 419976L, 
419981L, 419982L, 419984L, 419985L, 419990L, 419991L, 419993L, 
419994L, 419999L, 420000L, 420002L, 420003L, 420008L, 420009L, 
420011L, 420012L, 420026L, 420027L, 420029L, 420030L, 420035L, 
420036L, 420038L, 420039L, 420044L, 420045L, 420047L, 420048L, 
420053L, 420054L, 420056L, 420057L, 420062L, 420063L, 420065L, 
420066L, 420134L, 420135L, 420137L, 420138L, 420143L, 420144L, 
420146L, 420147L, 420152L, 420153L, 420155L, 420156L, 420161L, 
420162L, 420164L, 420165L, 420170L, 420171L, 420173L, 420174L, 
420188L, 420189L, 420191L, 420192L, 420197L, 420198L, 420200L, 
420201L, 420206L, 420207L, 420209L, 420210L, 420215L, 420216L, 
420218L, 420219L, 420224L, 420225L, 420227L, 420228L, 420296L, 
420297L, 420299L, 420300L, 420305L, 420306L, 420308L, 420309L, 
420314L, 420315L, 420317L, 420318L, 420323L, 420324L, 420326L, 
420327L, 420332L, 420333L, 420335L, 420336L, 420350L, 420351L, 
420353L, 420354L, 420359L, 420360L, 420362L, 420363L, 420368L, 
420369L, 420371L, 420372L, 420377L, 420378L, 420380L, 420381L, 
420386L, 420387L, 420389L, 420390L, 420620L, 420621L, 420623L, 
420624L, 420629L, 420630L, 420632L, 420633L, 420638L, 420639L, 
420641L, 420642L, 420647L, 420648L, 420650L, 420651L, 420656L, 
420657L, 420659L, 420660L, 420674L, 420675L, 420677L, 420678L, 
420683L, 420684L, 420686L, 420687L, 420692L, 420693L, 420695L, 
420696L, 420701L, 420702L, 420704L, 420705L, 420710L, 420711L, 
420713L, 420714L, 420782L, 420783L, 420785L, 420786L, 420791L, 
420792L, 420794L, 420795L, 420800L, 420801L, 420803L, 420804L, 
420809L, 420810L, 420812L, 420813L, 420818L, 420819L, 420821L, 
420822L, 420836L, 420837L, 420839L, 420840L, 420845L, 420846L, 
420848L, 420849L, 420854L, 420855L, 420857L, 420858L, 420863L, 
420864L, 420866L, 420867L, 420872L, 420873L, 420875L, 420876L, 
420944L, 420945L, 420947L, 420948L, 420953L, 420954L, 420956L, 
420957L, 420962L, 420963L, 420965L, 420966L, 420971L, 420972L, 
420974L, 420975L, 420980L, 420981L, 420983L, 420984L, 420998L, 
420999L, 421001L, 421002L, 421007L, 421008L, 421010L, 421011L, 
421016L, 421017L, 421019L, 421020L, 421025L, 421026L, 421028L, 
421029L, 421034L, 421035L, 421037L, 421038L, 421106L, 421107L, 
421109L, 421110L, 421115L, 421116L, 421118L, 421119L, 421124L, 
421125L, 421127L, 421128L, 421133L, 421134L, 421136L, 421137L, 
421142L, 421143L, 421145L, 421146L, 421160L, 421161L, 421163L, 
421164L, 421169L, 421170L, 421172L, 421173L, 421178L, 421179L, 
421181L, 421182L, 421187L, 421188L, 421190L, 421191L, 421196L, 
421197L, 421199L, 421200L, 421430L, 421431L, 421433L, 421434L, 
421439L, 421440L, 421442L, 421443L, 421448L, 421449L, 421451L, 
421452L, 421457L, 421458L, 421460L, 421461L, 421466L, 421467L, 
421469L, 421470L, 421484L, 421485L, 421487L, 421488L, 421493L, 
421494L, 421496L, 421497L, 421502L, 421503L, 421505L, 421506L, 
421511L, 421512L, 421514L, 421515L, 421520L, 421521L, 421523L, 
421524L, 421592L, 421593L, 421595L, 421596L, 421601L, 421602L, 
421604L, 421605L, 421610L, 421611L, 421613L, 421614L, 421619L, 
421620L, 421622L, 421623L, 421628L, 421629L, 421631L, 421632L, 
421646L, 421647L, 421649L, 421650L, 421655L, 421656L, 421658L, 
421659L, 421664L, 421665L, 421667L, 421668L, 421673L, 421674L, 
421676L, 421677L, 421682L, 421683L, 421685L, 421686L, 421754L, 
421755L, 421757L, 421758L, 421763L, 421764L, 421766L, 421767L, 
421772L, 421773L, 421775L, 421776L, 421781L, 421782L, 421784L, 
421785L, 421790L, 421791L, 421793L, 421794L, 421808L, 421809L, 
421811L, 421812L, 421817L, 421818L, 421820L, 421821L, 421826L, 
421827L, 421829L, 421830L, 421835L, 421836L, 421838L, 421839L, 
421844L, 421845L, 421847L, 421848L, 421916L, 421917L, 421919L, 
421920L, 421925L, 421926L, 421928L, 421929L, 421934L, 421935L, 
421937L, 421938L, 421943L, 421944L, 421946L, 421947L, 421952L, 
421953L, 421955L, 421956L, 421970L, 421971L, 421973L, 421974L, 
421979L, 421980L, 421982L, 421983L, 421988L, 421989L, 421991L, 
421992L, 421997L, 421998L, 422000L, 422001L, 422006L, 422007L, 
422009L, 422010L, 422240L, 422241L, 422243L, 422244L, 422249L, 
422250L, 422252L, 422253L, 422258L, 422259L, 422261L, 422262L, 
422267L, 422268L, 422270L, 422271L, 422276L, 422277L, 422279L, 
422280L, 422294L, 422295L, 422297L, 422298L, 422303L, 422304L, 
422306L, 422307L, 422312L, 422313L, 422315L, 422316L, 422321L, 
422322L, 422324L, 422325L, 422330L, 422331L, 422333L, 422334L, 
422402L, 422403L, 422405L, 422406L, 422411L, 422412L, 422414L, 
422415L, 422420L, 422421L, 422423L, 422424L, 422429L, 422430L, 
422432L, 422433L, 422438L, 422439L, 422441L, 422442L, 422456L, 
422457L, 422459L, 422460L, 422465L, 422466L, 422468L, 422469L, 
422474L, 422475L, 422477L, 422478L, 422483L, 422484L, 422486L, 
422487L, 422492L, 422493L, 422495L, 422496L, 422564L, 422565L, 
422567L, 422568L, 422573L, 422574L, 422576L, 422577L, 422582L, 
422583L, 422585L, 422586L, 422591L, 422592L, 422594L, 422595L, 
422600L, 422601L, 422603L, 422604L, 422618L, 422619L, 422621L, 
422622L, 422627L, 422628L, 422630L, 422631L, 422636L, 422637L, 
422639L, 422640L, 422645L, 422646L, 422648L, 422649L, 422654L, 
422655L, 422657L, 422658L, 422726L, 422727L, 422729L, 422730L, 
422735L, 422736L, 422738L, 422739L, 422744L, 422745L, 422747L, 
422748L, 422753L, 422754L, 422756L, 422757L, 422762L, 422763L, 
422765L, 422766L, 422780L, 422781L, 422783L, 422784L, 422789L, 
422790L, 422792L, 422793L, 422798L, 422799L, 422801L, 422802L, 
422807L, 422808L, 422810L, 422811L, 422816L, 422817L, 422819L, 
422820L, 423860L, 423861L, 423863L, 423864L, 423869L, 423870L, 
423872L, 423873L, 423878L, 423879L, 423881L, 423882L, 423887L, 
423888L, 423890L, 423891L, 423896L, 423897L, 423899L, 423900L, 
423914L, 423915L, 423917L, 423918L, 423923L, 423924L, 423926L, 
423927L, 423932L, 423933L, 423935L, 423936L, 423941L, 423942L, 
423944L, 423945L, 423950L, 423951L, 423953L, 423954L, 424022L, 
424023L, 424025L, 424026L, 424031L, 424032L, 424034L, 424035L, 
424040L, 424041L, 424043L, 424044L, 424049L, 424050L, 424052L, 
424053L, 424058L, 424059L, 424061L, 424062L, 424076L, 424077L, 
424079L, 424080L, 424085L, 424086L, 424088L, 424089L, 424094L, 
424095L, 424097L, 424098L, 424103L, 424104L, 424106L, 424107L, 
424112L, 424113L, 424115L, 424116L, 424184L, 424185L, 424187L, 
424188L, 424193L, 424194L, 424196L, 424197L, 424202L, 424203L, 
424205L, 424206L, 424211L, 424212L, 424214L, 424215L, 424220L, 
424221L, 424223L, 424224L, 424238L, 424239L, 424241L, 424242L, 
424247L, 424248L, 424250L, 424251L, 424256L, 424257L, 424259L, 
424260L, 424265L, 424266L, 424268L, 424269L, 424274L, 424275L, 
424277L, 424278L, 424346L, 424347L, 424349L, 424350L, 424355L, 
424356L, 424358L, 424359L, 424364L, 424365L, 424367L, 424368L, 
424373L, 424374L, 424376L, 424377L, 424382L, 424383L, 424385L, 
424386L, 424400L, 424401L, 424403L, 424404L, 424409L, 424410L, 
424412L, 424413L, 424418L, 424419L, 424421L, 424422L, 424427L, 
424428L, 424430L, 424431L, 424436L, 424437L, 424439L, 424440L, 
424670L, 424671L, 424673L, 424674L, 424679L, 424680L, 424682L, 
424683L, 424688L, 424689L, 424691L, 424692L, 424697L, 424698L, 
424700L, 424701L, 424706L, 424707L, 424709L, 424710L, 424724L, 
424725L, 424727L, 424728L, 424733L, 424734L, 424736L, 424737L, 
424742L, 424743L, 424745L, 424746L, 424751L, 424752L, 424754L, 
424755L, 424760L, 424761L, 424763L, 424764L, 424832L, 424833L, 
424835L, 424836L, 424841L, 424842L, 424844L, 424845L, 424850L, 
424851L, 424853L, 424854L, 424859L, 424860L, 424862L, 424863L, 
424868L, 424869L, 424871L, 424872L, 424886L, 424887L, 424889L, 
424890L, 424895L, 424896L, 424898L, 424899L, 424904L, 424905L, 
424907L, 424908L, 424913L, 424914L, 424916L, 424917L, 424922L, 
424923L, 424925L, 424926L, 424994L, 424995L, 424997L, 424998L, 
425003L, 425004L, 425006L, 425007L, 425012L, 425013L, 425015L, 
425016L, 425021L, 425022L, 425024L, 425025L, 425030L, 425031L, 
425033L, 425034L, 425048L, 425049L, 425051L, 425052L, 425057L, 
425058L, 425060L, 425061L, 425066L, 425067L, 425069L, 425070L, 
425075L, 425076L, 425078L, 425079L, 425084L, 425085L, 425087L, 
425088L, 425156L, 425157L, 425159L, 425160L, 425165L, 425166L, 
425168L, 425169L, 425174L, 425175L, 425177L, 425178L, 425183L, 
425184L, 425186L, 425187L, 425192L, 425193L, 425195L, 425196L, 
425210L, 425211L, 425213L, 425214L, 425219L, 425220L, 425222L, 
425223L, 425228L, 425229L, 425231L, 425232L, 425237L, 425238L, 
425240L, 425241L, 425246L, 425247L, 425249L, 425250L, 425480L, 
425481L, 425483L, 425484L, 425489L, 425490L, 425492L, 425493L, 
425498L, 425499L, 425501L, 425502L, 425507L, 425508L, 425510L, 
425511L, 425516L, 425517L, 425519L, 425520L, 425534L, 425535L, 
425537L, 425538L, 425543L, 425544L, 425546L, 425547L, 425552L, 
425553L, 425555L, 425556L, 425561L, 425562L, 425564L, 425565L, 
425570L, 425571L, 425573L, 425574L, 425642L, 425643L, 425645L, 
425646L, 425651L, 425652L, 425654L, 425655L, 425660L, 425661L, 
425663L, 425664L, 425669L, 425670L, 425672L, 425673L, 425678L, 
425679L, 425681L, 425682L, 425696L, 425697L, 425699L, 425700L, 
425705L, 425706L, 425708L, 425709L, 425714L, 425715L, 425717L, 
425718L, 425723L, 425724L, 425726L, 425727L, 425732L, 425733L, 
425735L, 425736L, 425804L, 425805L, 425807L, 425808L, 425813L, 
425814L, 425816L, 425817L, 425822L, 425823L, 425825L, 425826L, 
425831L, 425832L, 425834L, 425835L, 425840L, 425841L, 425843L, 
425844L, 425858L, 425859L, 425861L, 425862L, 425867L, 425868L, 
425870L, 425871L, 425876L, 425877L, 425879L, 425880L, 425885L, 
425886L, 425888L, 425889L, 425894L, 425895L, 425897L, 425898L, 
425966L, 425967L, 425969L, 425970L, 425975L, 425976L, 425978L, 
425979L, 425984L, 425985L, 425987L, 425988L, 425993L, 425994L, 
425996L, 425997L, 426002L, 426003L, 426005L, 426006L, 426020L, 
426021L, 426023L, 426024L, 426029L, 426030L, 426032L, 426033L, 
426038L, 426039L, 426041L, 426042L, 426047L, 426048L, 426050L, 
426051L, 426056L, 426057L, 426059L, 426060L, 426290L, 426291L, 
426293L, 426294L, 426299L, 426300L, 426302L, 426303L, 426308L, 
426309L, 426311L, 426312L, 426317L, 426318L, 426320L, 426321L, 
426326L, 426327L, 426329L, 426330L, 426344L, 426345L, 426347L, 
426348L, 426353L, 426354L, 426356L, 426357L, 426362L, 426363L, 
426365L, 426366L, 426371L, 426372L, 426374L, 426375L, 426380L, 
426381L, 426383L, 426384L, 426452L, 426453L, 426455L, 426456L, 
426461L, 426462L, 426464L, 426465L, 426470L, 426471L, 426473L, 
426474L, 426479L, 426480L, 426482L, 426483L, 426488L, 426489L, 
426491L, 426492L, 426506L, 426507L, 426509L, 426510L, 426515L, 
426516L, 426518L, 426519L, 426524L, 426525L, 426527L, 426528L, 
426533L, 426534L, 426536L, 426537L, 426542L, 426543L, 426545L, 
426546L, 426614L, 426615L, 426617L, 426618L, 426623L, 426624L, 
426626L, 426627L, 426632L, 426633L, 426635L, 426636L, 426641L, 
426642L, 426644L, 426645L, 426650L, 426651L, 426653L, 426654L, 
426668L, 426669L, 426671L, 426672L, 426677L, 426678L, 426680L, 
426681L, 426686L, 426687L, 426689L, 426690L, 426695L, 426696L, 
426698L, 426699L, 426704L, 426705L, 426707L, 426708L, 426776L, 
426777L, 426779L, 426780L, 426785L, 426786L, 426788L, 426789L, 
426794L, 426795L, 426797L, 426798L, 426803L, 426804L, 426806L, 
426807L, 426812L, 426813L, 426815L, 426816L, 426830L, 426831L, 
426833L, 426834L, 426839L, 426840L, 426842L, 426843L, 426848L, 
426849L, 426851L, 426852L, 426857L, 426858L, 426860L, 426861L, 
426866L, 426867L, 426869L, 426870L, 427100L, 427101L, 427103L, 
427104L, 427109L, 427110L, 427112L, 427113L, 427118L, 427119L, 
427121L, 427122L, 427127L, 427128L, 427130L, 427131L, 427136L, 
427137L, 427139L, 427140L, 427154L, 427155L, 427157L, 427158L, 
427163L, 427164L, 427166L, 427167L, 427172L, 427173L, 427175L, 
427176L, 427181L, 427182L, 427184L, 427185L, 427190L, 427191L, 
427193L, 427194L, 427262L, 427263L, 427265L, 427266L, 427271L, 
427272L, 427274L, 427275L, 427280L, 427281L, 427283L, 427284L, 
427289L, 427290L, 427292L, 427293L, 427298L, 427299L, 427301L, 
427302L, 427316L, 427317L, 427319L, 427320L, 427325L, 427326L, 
427328L, 427329L, 427334L, 427335L, 427337L, 427338L, 427343L, 
427344L, 427346L, 427347L, 427352L, 427353L, 427355L, 427356L, 
427424L, 427425L, 427427L, 427428L, 427433L, 427434L, 427436L, 
427437L, 427442L, 427443L, 427445L, 427446L, 427451L, 427452L, 
427454L, 427455L, 427460L, 427461L, 427463L, 427464L, 427478L, 
427479L, 427481L, 427482L, 427487L, 427488L, 427490L, 427491L, 
427496L, 427497L, 427499L, 427500L, 427505L, 427506L, 427508L, 
427509L, 427514L, 427515L, 427517L, 427518L, 427586L, 427587L, 
427589L, 427590L, 427595L, 427596L, 427598L, 427599L, 427604L, 
427605L, 427607L, 427608L, 427613L, 427614L, 427616L, 427617L, 
427622L, 427623L, 427625L, 427626L, 427640L, 427641L, 427643L, 
427644L, 427649L, 427650L, 427652L, 427653L, 427658L, 427659L, 
427661L, 427662L, 427667L, 427668L, 427670L, 427671L, 427676L, 
427677L, 427679L, 427680L, 428720L, 428721L, 428723L, 428724L, 
428729L, 428730L, 428732L, 428733L, 428738L, 428739L, 428741L, 
428742L, 428747L, 428748L, 428750L, 428751L, 428756L, 428757L, 
428759L, 428760L, 428774L, 428775L, 428777L, 428778L, 428783L, 
428784L, 428786L, 428787L, 428792L, 428793L, 428795L, 428796L, 
428801L, 428802L, 428804L, 428805L, 428810L, 428811L, 428813L, 
428814L, 428882L, 428883L, 428885L, 428886L, 428891L, 428892L, 
428894L, 428895L, 428900L, 428901L, 428903L, 428904L, 428909L, 
428910L, 428912L, 428913L, 428918L, 428919L, 428921L, 428922L, 
428936L, 428937L, 428939L, 428940L, 428945L, 428946L, 428948L, 
428949L, 428954L, 428955L, 428957L, 428958L, 428963L, 428964L, 
428966L, 428967L, 428972L, 428973L, 428975L, 428976L, 429044L, 
429045L, 429047L, 429048L, 429053L, 429054L, 429056L, 429057L, 
429062L, 429063L, 429065L, 429066L, 429071L, 429072L, 429074L, 
429075L, 429080L, 429081L, 429083L, 429084L, 429098L, 429099L, 
429101L, 429102L, 429107L, 429108L, 429110L, 429111L, 429116L, 
429117L, 429119L, 429120L, 429125L, 429126L, 429128L, 429129L, 
429134L, 429135L, 429137L, 429138L, 429206L, 429207L, 429209L, 
429210L, 429215L, 429216L, 429218L, 429219L, 429224L, 429225L, 
429227L, 429228L, 429233L, 429234L, 429236L, 429237L, 429242L, 
429243L, 429245L, 429246L, 429260L, 429261L, 429263L, 429264L, 
429269L, 429270L, 429272L, 429273L, 429278L, 429279L, 429281L, 
429282L, 429287L, 429288L, 429290L, 429291L, 429296L, 429297L, 
429299L, 429300L, 429530L, 429531L, 429533L, 429534L, 429539L, 
429540L, 429542L, 429543L, 429548L, 429549L, 429551L, 429552L, 
429557L, 429558L, 429560L, 429561L, 429566L, 429567L, 429569L, 
429570L, 429584L, 429585L, 429587L, 429588L, 429593L, 429594L, 
429596L, 429597L, 429602L, 429603L, 429605L, 429606L, 429611L, 
429612L, 429614L, 429615L, 429620L, 429621L, 429623L, 429624L, 
429692L, 429693L, 429695L, 429696L, 429701L, 429702L, 429704L, 
429705L, 429710L, 429711L, 429713L, 429714L, 429719L, 429720L, 
429722L, 429723L, 429728L, 429729L, 429731L, 429732L, 429746L, 
429747L, 429749L, 429750L, 429755L, 429756L, 429758L, 429759L, 
429764L, 429765L, 429767L, 429768L, 429773L, 429774L, 429776L, 
429777L, 429782L, 429783L, 429785L, 429786L, 429854L, 429855L, 
429857L, 429858L, 429863L, 429864L, 429866L, 429867L, 429872L, 
429873L, 429875L, 429876L, 429881L, 429882L, 429884L, 429885L, 
429890L, 429891L, 429893L, 429894L, 429908L, 429909L, 429911L, 
429912L, 429917L, 429918L, 429920L, 429921L, 429926L, 429927L, 
429929L, 429930L, 429935L, 429936L, 429938L, 429939L, 429944L, 
429945L, 429947L, 429948L, 430016L, 430017L, 430019L, 430020L, 
430025L, 430026L, 430028L, 430029L, 430034L, 430035L, 430037L, 
430038L, 430043L, 430044L, 430046L, 430047L, 430052L, 430053L, 
430055L, 430056L, 430070L, 430071L, 430073L, 430074L, 430079L, 
430080L, 430082L, 430083L, 430088L, 430089L, 430091L, 430092L, 
430097L, 430098L, 430100L, 430101L, 430106L, 430107L, 430109L, 
430110L, 430340L, 430341L, 430343L, 430344L, 430349L, 430350L, 
430352L, 430353L, 430358L, 430359L, 430361L, 430362L, 430367L, 
430368L, 430370L, 430371L, 430376L, 430377L, 430379L, 430380L, 
430394L, 430395L, 430397L, 430398L, 430403L, 430404L, 430406L, 
430407L, 430412L, 430413L, 430415L, 430416L, 430421L, 430422L, 
430424L, 430425L, 430430L, 430431L, 430433L, 430434L, 430502L, 
430503L, 430505L, 430506L, 430511L, 430512L, 430514L, 430515L, 
430520L, 430521L, 430523L, 430524L, 430529L, 430530L, 430532L, 
430533L, 430538L, 430539L, 430541L, 430542L, 430556L, 430557L, 
430559L, 430560L, 430565L, 430566L, 430568L, 430569L, 430574L, 
430575L, 430577L, 430578L, 430583L, 430584L, 430586L, 430587L, 
430592L, 430593L, 430595L, 430596L, 430664L, 430665L, 430667L, 
430668L, 430673L, 430674L, 430676L, 430677L, 430682L, 430683L, 
430685L, 430686L, 430691L, 430692L, 430694L, 430695L, 430700L, 
430701L, 430703L, 430704L, 430718L, 430719L, 430721L, 430722L, 
430727L, 430728L, 430730L, 430731L, 430736L, 430737L, 430739L, 
430740L, 430745L, 430746L, 430748L, 430749L, 430754L, 430755L, 
430757L, 430758L, 430826L, 430827L, 430829L, 430830L, 430835L, 
430836L, 430838L, 430839L, 430844L, 430845L, 430847L, 430848L, 
430853L, 430854L, 430856L, 430857L, 430862L, 430863L, 430865L, 
430866L, 430880L, 430881L, 430883L, 430884L, 430889L, 430890L, 
430892L, 430893L, 430898L, 430899L, 430901L, 430902L, 430907L, 
430908L, 430910L, 430911L, 430916L, 430917L, 430919L, 430920L, 
431150L, 431151L, 431153L, 431154L, 431159L, 431160L, 431162L, 
431163L, 431168L, 431169L, 431171L, 431172L, 431177L, 431178L, 
431180L, 431181L, 431186L, 431187L, 431189L, 431190L, 431204L, 
431205L, 431207L, 431208L, 431213L, 431214L, 431216L, 431217L, 
431222L, 431223L, 431225L, 431226L, 431231L, 431232L, 431234L, 
431235L, 431240L, 431241L, 431243L, 431244L, 431312L, 431313L, 
431315L, 431316L, 431321L, 431322L, 431324L, 431325L, 431330L, 
431331L, 431333L, 431334L, 431339L, 431340L, 431342L, 431343L, 
431348L, 431349L, 431351L, 431352L, 431366L, 431367L, 431369L, 
431370L, 431375L, 431376L, 431378L, 431379L, 431384L, 431385L, 
431387L, 431388L, 431393L, 431394L, 431396L, 431397L, 431402L, 
431403L, 431405L, 431406L, 431474L, 431475L, 431477L, 431478L, 
431483L, 431484L, 431486L, 431487L, 431492L, 431493L, 431495L, 
431496L, 431501L, 431502L, 431504L, 431505L, 431510L, 431511L, 
431513L, 431514L, 431528L, 431529L, 431531L, 431532L, 431537L, 
431538L, 431540L, 431541L, 431546L, 431547L, 431549L, 431550L, 
431555L, 431556L, 431558L, 431559L, 431564L, 431565L, 431567L, 
431568L, 431636L, 431637L, 431639L, 431640L, 431645L, 431646L, 
431648L, 431649L, 431654L, 431655L, 431657L, 431658L, 431663L, 
431664L, 431666L, 431667L, 431672L, 431673L, 431675L, 431676L, 
431690L, 431691L, 431693L, 431694L, 431699L, 431700L, 431702L, 
431703L, 431708L, 431709L, 431711L, 431712L, 431717L, 431718L, 
431720L, 431721L, 431726L, 431727L, 431729L, 431730L, 431960L, 
431961L, 431963L, 431964L, 431969L, 431970L, 431972L, 431973L, 
431978L, 431979L, 431981L, 431982L, 431987L, 431988L, 431990L, 
431991L, 431996L, 431997L, 431999L, 432000L, 432014L, 432015L, 
432017L, 432018L, 432023L, 432024L, 432026L, 432027L, 432032L, 
432033L, 432035L, 432036L, 432041L, 432042L, 432044L, 432045L, 
432050L, 432051L, 432053L, 432054L, 432122L, 432123L, 432125L, 
432126L, 432131L, 432132L, 432134L, 432135L, 432140L, 432141L, 
432143L, 432144L, 432149L, 432150L, 432152L, 432153L, 432158L, 
432159L, 432161L, 432162L, 432176L, 432177L, 432179L, 432180L, 
432185L, 432186L, 432188L, 432189L, 432194L, 432195L, 432197L, 
432198L, 432203L, 432204L, 432206L, 432207L, 432212L, 432213L, 
432215L, 432216L, 432284L, 432285L, 432287L, 432288L, 432293L, 
432294L, 432296L, 432297L, 432302L, 432303L, 432305L, 432306L, 
432311L, 432312L, 432314L, 432315L, 432320L, 432321L, 432323L, 
432324L, 432338L, 432339L, 432341L, 432342L, 432347L, 432348L, 
432350L, 432351L, 432356L, 432357L, 432359L, 432360L, 432365L, 
432366L, 432368L, 432369L, 432374L, 432375L, 432377L, 432378L, 
432446L, 432447L, 432449L, 432450L, 432455L, 432456L, 432458L, 
432459L, 432464L, 432465L, 432467L, 432468L, 432473L, 432474L, 
432476L, 432477L, 432482L, 432483L, 432485L, 432486L, 432500L, 
432501L, 432503L, 432504L, 432509L, 432510L, 432512L, 432513L, 
432518L, 432519L, 432521L, 432522L, 432527L, 432528L, 432530L, 
432531L, 432536L, 432537L, 432539L, 432540L, 443300L, 443301L, 
443303L, 443304L, 443309L, 443310L, 443312L, 443313L, 443318L, 
443319L, 443321L, 443322L, 443327L, 443328L, 443330L, 443331L, 
443336L, 443337L, 443339L, 443340L, 443354L, 443355L, 443357L, 
443358L, 443363L, 443364L, 443366L, 443367L, 443372L, 443373L, 
443375L, 443376L, 443381L, 443382L, 443384L, 443385L, 443390L, 
443391L, 443393L, 443394L, 443462L, 443463L, 443465L, 443466L, 
443471L, 443472L, 443474L, 443475L, 443480L, 443481L, 443483L, 
443484L, 443489L, 443490L, 443492L, 443493L, 443498L, 443499L, 
443501L, 443502L, 443516L, 443517L, 443519L, 443520L, 443525L, 
443526L, 443528L, 443529L, 443534L, 443535L, 443537L, 443538L, 
443543L, 443544L, 443546L, 443547L, 443552L, 443553L, 443555L, 
443556L, 443624L, 443625L, 443627L, 443628L, 443633L, 443634L, 
443636L, 443637L, 443642L, 443643L, 443645L, 443646L, 443651L, 
443652L, 443654L, 443655L, 443660L, 443661L, 443663L, 443664L, 
443678L, 443679L, 443681L, 443682L, 443687L, 443688L, 443690L, 
443691L, 443696L, 443697L, 443699L, 443700L, 443705L, 443706L, 
443708L, 443709L, 443714L, 443715L, 443717L, 443718L, 443786L, 
443787L, 443789L, 443790L, 443795L, 443796L, 443798L, 443799L, 
443804L, 443805L, 443807L, 443808L, 443813L, 443814L, 443816L, 
443817L, 443822L, 443823L, 443825L, 443826L, 443840L, 443841L, 
443843L, 443844L, 443849L, 443850L, 443852L, 443853L, 443858L, 
443859L, 443861L, 443862L, 443867L, 443868L, 443870L, 443871L, 
443876L, 443877L, 443879L, 443880L, 444110L, 444111L, 444113L, 
444114L, 444119L, 444120L, 444122L, 444123L, 444128L, 444129L, 
444131L, 444132L, 444137L, 444138L, 444140L, 444141L, 444146L, 
444147L, 444149L, 444150L, 444164L, 444165L, 444167L, 444168L, 
444173L, 444174L, 444176L, 444177L, 444182L, 444183L, 444185L, 
444186L, 444191L, 444192L, 444194L, 444195L, 444200L, 444201L, 
444203L, 444204L, 444272L, 444273L, 444275L, 444276L, 444281L, 
444282L, 444284L, 444285L, 444290L, 444291L, 444293L, 444294L, 
444299L, 444300L, 444302L, 444303L, 444308L, 444309L, 444311L, 
444312L, 444326L, 444327L, 444329L, 444330L, 444335L, 444336L, 
444338L, 444339L, 444344L, 444345L, 444347L, 444348L, 444353L, 
444354L, 444356L, 444357L, 444362L, 444363L, 444365L, 444366L, 
444434L, 444435L, 444437L, 444438L, 444443L, 444444L, 444446L, 
444447L, 444452L, 444453L, 444455L, 444456L, 444461L, 444462L, 
444464L, 444465L, 444470L, 444471L, 444473L, 444474L, 444488L, 
444489L, 444491L, 444492L, 444497L, 444498L, 444500L, 444501L, 
444506L, 444507L, 444509L, 444510L, 444515L, 444516L, 444518L, 
444519L, 444524L, 444525L, 444527L, 444528L, 444596L, 444597L, 
444599L, 444600L, 444605L, 444606L, 444608L, 444609L, 444614L, 
444615L, 444617L, 444618L, 444623L, 444624L, 444626L, 444627L, 
444632L, 444633L, 444635L, 444636L, 444650L, 444651L, 444653L, 
444654L, 444659L, 444660L, 444662L, 444663L, 444668L, 444669L, 
444671L, 444672L, 444677L, 444678L, 444680L, 444681L, 444686L, 
444687L, 444689L, 444690L, 444920L, 444921L, 444923L, 444924L, 
444929L, 444930L, 444932L, 444933L, 444938L, 444939L, 444941L, 
444942L, 444947L, 444948L, 444950L, 444951L, 444956L, 444957L, 
444959L, 444960L, 444974L, 444975L, 444977L, 444978L, 444983L, 
444984L, 444986L, 444987L, 444992L, 444993L, 444995L, 444996L, 
445001L, 445002L, 445004L, 445005L, 445010L, 445011L, 445013L, 
445014L, 445082L, 445083L, 445085L, 445086L, 445091L, 445092L, 
445094L, 445095L, 445100L, 445101L, 445103L, 445104L, 445109L, 
445110L, 445112L, 445113L, 445118L, 445119L, 445121L, 445122L, 
445136L, 445137L, 445139L, 445140L, 445145L, 445146L, 445148L, 
445149L, 445154L, 445155L, 445157L, 445158L, 445163L, 445164L, 
445166L, 445167L, 445172L, 445173L, 445175L, 445176L, 445244L, 
445245L, 445247L, 445248L, 445253L, 445254L, 445256L, 445257L, 
445262L, 445263L, 445265L, 445266L, 445271L, 445272L, 445274L, 
445275L, 445280L, 445281L, 445283L, 445284L, 445298L, 445299L, 
445301L, 445302L, 445307L, 445308L, 445310L, 445311L, 445316L, 
445317L, 445319L, 445320L, 445325L, 445326L, 445328L, 445329L, 
445334L, 445335L, 445337L, 445338L, 445406L, 445407L, 445409L, 
445410L, 445415L, 445416L, 445418L, 445419L, 445424L, 445425L, 
445427L, 445428L, 445433L, 445434L, 445436L, 445437L, 445442L, 
445443L, 445445L, 445446L, 445460L, 445461L, 445463L, 445464L, 
445469L, 445470L, 445472L, 445473L, 445478L, 445479L, 445481L, 
445482L, 445487L, 445488L, 445490L, 445491L, 445496L, 445497L, 
445499L, 445500L, 445730L, 445731L, 445733L, 445734L, 445739L, 
445740L, 445742L, 445743L, 445748L, 445749L, 445751L, 445752L, 
445757L, 445758L, 445760L, 445761L, 445766L, 445767L, 445769L, 
445770L, 445784L, 445785L, 445787L, 445788L, 445793L, 445794L, 
445796L, 445797L, 445802L, 445803L, 445805L, 445806L, 445811L, 
445812L, 445814L, 445815L, 445820L, 445821L, 445823L, 445824L, 
445892L, 445893L, 445895L, 445896L, 445901L, 445902L, 445904L, 
445905L, 445910L, 445911L, 445913L, 445914L, 445919L, 445920L, 
445922L, 445923L, 445928L, 445929L, 445931L, 445932L, 445946L, 
445947L, 445949L, 445950L, 445955L, 445956L, 445958L, 445959L, 
445964L, 445965L, 445967L, 445968L, 445973L, 445974L, 445976L, 
445977L, 445982L, 445983L, 445985L, 445986L, 446054L, 446055L, 
446057L, 446058L, 446063L, 446064L, 446066L, 446067L, 446072L, 
446073L, 446075L, 446076L, 446081L, 446082L, 446084L, 446085L, 
446090L, 446091L, 446093L, 446094L, 446108L, 446109L, 446111L, 
446112L, 446117L, 446118L, 446120L, 446121L, 446126L, 446127L, 
446129L, 446130L, 446135L, 446136L, 446138L, 446139L, 446144L, 
446145L, 446147L, 446148L, 446216L, 446217L, 446219L, 446220L, 
446225L, 446226L, 446228L, 446229L, 446234L, 446235L, 446237L, 
446238L, 446243L, 446244L, 446246L, 446247L, 446252L, 446253L, 
446255L, 446256L, 446270L, 446271L, 446273L, 446274L, 446279L, 
446280L, 446282L, 446283L, 446288L, 446289L, 446291L, 446292L, 
446297L, 446298L, 446300L, 446301L, 446306L, 446307L, 446309L, 
446310L, 446540L, 446541L, 446543L, 446544L, 446549L, 446550L, 
446552L, 446553L, 446558L, 446559L, 446561L, 446562L, 446567L, 
446568L, 446570L, 446571L, 446576L, 446577L, 446579L, 446580L, 
446594L, 446595L, 446597L, 446598L, 446603L, 446604L, 446606L, 
446607L, 446612L, 446613L, 446615L, 446616L, 446621L, 446622L, 
446624L, 446625L, 446630L, 446631L, 446633L, 446634L, 446702L, 
446703L, 446705L, 446706L, 446711L, 446712L, 446714L, 446715L, 
446720L, 446721L, 446723L, 446724L, 446729L, 446730L, 446732L, 
446733L, 446738L, 446739L, 446741L, 446742L, 446756L, 446757L, 
446759L, 446760L, 446765L, 446766L, 446768L, 446769L, 446774L, 
446775L, 446777L, 446778L, 446783L, 446784L, 446786L, 446787L, 
446792L, 446793L, 446795L, 446796L, 446864L, 446865L, 446867L, 
446868L, 446873L, 446874L, 446876L, 446877L, 446882L, 446883L, 
446885L, 446886L, 446891L, 446892L, 446894L, 446895L, 446900L, 
446901L, 446903L, 446904L, 446918L, 446919L, 446921L, 446922L, 
446927L, 446928L, 446930L, 446931L, 446936L, 446937L, 446939L, 
446940L, 446945L, 446946L, 446948L, 446949L, 446954L, 446955L, 
446957L, 446958L, 447026L, 447027L, 447029L, 447030L, 447035L, 
447036L, 447038L, 447039L, 447044L, 447045L, 447047L, 447048L, 
447053L, 447054L, 447056L, 447057L, 447062L, 447063L, 447065L, 
447066L, 447080L, 447081L, 447083L, 447084L, 447089L, 447090L, 
447092L, 447093L, 447098L, 447099L, 447101L, 447102L, 447107L, 
447108L, 447110L, 447111L, 447116L, 447117L, 447119L, 447120L, 
448160L, 448161L, 448163L, 448164L, 448169L, 448170L, 448172L, 
448173L, 448178L, 448179L, 448181L, 448182L, 448187L, 448188L, 
448190L, 448191L, 448196L, 448197L, 448199L, 448200L, 448214L, 
448215L, 448217L, 448218L, 448223L, 448224L, 448226L, 448227L, 
448232L, 448233L, 448235L, 448236L, 448241L, 448242L, 448244L, 
448245L, 448250L, 448251L, 448253L, 448254L, 448322L, 448323L, 
448325L, 448326L, 448331L, 448332L, 448334L, 448335L, 448340L, 
448341L, 448343L, 448344L, 448349L, 448350L, 448352L, 448353L, 
448358L, 448359L, 448361L, 448362L, 448376L, 448377L, 448379L, 
448380L, 448385L, 448386L, 448388L, 448389L, 448394L, 448395L, 
448397L, 448398L, 448403L, 448404L, 448406L, 448407L, 448412L, 
448413L, 448415L, 448416L, 448484L, 448485L, 448487L, 448488L, 
448493L, 448494L, 448496L, 448497L, 448502L, 448503L, 448505L, 
448506L, 448511L, 448512L, 448514L, 448515L, 448520L, 448521L, 
448523L, 448524L, 448538L, 448539L, 448541L, 448542L, 448547L, 
448548L, 448550L, 448551L, 448556L, 448557L, 448559L, 448560L, 
448565L, 448566L, 448568L, 448569L, 448574L, 448575L, 448577L, 
448578L, 448646L, 448647L, 448649L, 448650L, 448655L, 448656L, 
448658L, 448659L, 448664L, 448665L, 448667L, 448668L, 448673L, 
448674L, 448676L, 448677L, 448682L, 448683L, 448685L, 448686L, 
448700L, 448701L, 448703L, 448704L, 448709L, 448710L, 448712L, 
448713L, 448718L, 448719L, 448721L, 448722L, 448727L, 448728L, 
448730L, 448731L, 448736L, 448737L, 448739L, 448740L, 448970L, 
448971L, 448973L, 448974L, 448979L, 448980L, 448982L, 448983L, 
448988L, 448989L, 448991L, 448992L, 448997L, 448998L, 449000L, 
449001L, 449006L, 449007L, 449009L, 449010L, 449024L, 449025L, 
449027L, 449028L, 449033L, 449034L, 449036L, 449037L, 449042L, 
449043L, 449045L, 449046L, 449051L, 449052L, 449054L, 449055L, 
449060L, 449061L, 449063L, 449064L, 449132L, 449133L, 449135L, 
449136L, 449141L, 449142L, 449144L, 449145L, 449150L, 449151L, 
449153L, 449154L, 449159L, 449160L, 449162L, 449163L, 449168L, 
449169L, 449171L, 449172L, 449186L, 449187L, 449189L, 449190L, 
449195L, 449196L, 449198L, 449199L, 449204L, 449205L, 449207L, 
449208L, 449213L, 449214L, 449216L, 449217L, 449222L, 449223L, 
449225L, 449226L, 449294L, 449295L, 449297L, 449298L, 449303L, 
449304L, 449306L, 449307L, 449312L, 449313L, 449315L, 449316L, 
449321L, 449322L, 449324L, 449325L, 449330L, 449331L, 449333L, 
449334L, 449348L, 449349L, 449351L, 449352L, 449357L, 449358L, 
449360L, 449361L, 449366L, 449367L, 449369L, 449370L, 449375L, 
449376L, 449378L, 449379L, 449384L, 449385L, 449387L, 449388L, 
449456L, 449457L, 449459L, 449460L, 449465L, 449466L, 449468L, 
449469L, 449474L, 449475L, 449477L, 449478L, 449483L, 449484L, 
449486L, 449487L, 449492L, 449493L, 449495L, 449496L, 449510L, 
449511L, 449513L, 449514L, 449519L, 449520L, 449522L, 449523L, 
449528L, 449529L, 449531L, 449532L, 449537L, 449538L, 449540L, 
449541L, 449546L, 449547L, 449549L, 449550L, 449780L, 449781L, 
449783L, 449784L, 449789L, 449790L, 449792L, 449793L, 449798L, 
449799L, 449801L, 449802L, 449807L, 449808L, 449810L, 449811L, 
449816L, 449817L, 449819L, 449820L, 449834L, 449835L, 449837L, 
449838L, 449843L, 449844L, 449846L, 449847L, 449852L, 449853L, 
449855L, 449856L, 449861L, 449862L, 449864L, 449865L, 449870L, 
449871L, 449873L, 449874L, 449942L, 449943L, 449945L, 449946L, 
449951L, 449952L, 449954L, 449955L, 449960L, 449961L, 449963L, 
449964L, 449969L, 449970L, 449972L, 449973L, 449978L, 449979L, 
449981L, 449982L, 449996L, 449997L, 449999L, 450000L, 450005L, 
450006L, 450008L, 450009L, 450014L, 450015L, 450017L, 450018L, 
450023L, 450024L, 450026L, 450027L, 450032L, 450033L, 450035L, 
450036L, 450104L, 450105L, 450107L, 450108L, 450113L, 450114L, 
450116L, 450117L, 450122L, 450123L, 450125L, 450126L, 450131L, 
450132L, 450134L, 450135L, 450140L, 450141L, 450143L, 450144L, 
450158L, 450159L, 450161L, 450162L, 450167L, 450168L, 450170L, 
450171L, 450176L, 450177L, 450179L, 450180L, 450185L, 450186L, 
450188L, 450189L, 450194L, 450195L, 450197L, 450198L, 450266L, 
450267L, 450269L, 450270L, 450275L, 450276L, 450278L, 450279L, 
450284L, 450285L, 450287L, 450288L, 450293L, 450294L, 450296L, 
450297L, 450302L, 450303L, 450305L, 450306L, 450320L, 450321L, 
450323L, 450324L, 450329L, 450330L, 450332L, 450333L, 450338L, 
450339L, 450341L, 450342L, 450347L, 450348L, 450350L, 450351L, 
450356L, 450357L, 450359L, 450360L, 450590L, 450591L, 450593L, 
450594L, 450599L, 450600L, 450602L, 450603L, 450608L, 450609L, 
450611L, 450612L, 450617L, 450618L, 450620L, 450621L, 450626L, 
450627L, 450629L, 450630L, 450644L, 450645L, 450647L, 450648L, 
450653L, 450654L, 450656L, 450657L, 450662L, 450663L, 450665L, 
450666L, 450671L, 450672L, 450674L, 450675L, 450680L, 450681L, 
450683L, 450684L, 450752L, 450753L, 450755L, 450756L, 450761L, 
450762L, 450764L, 450765L, 450770L, 450771L, 450773L, 450774L, 
450779L, 450780L, 450782L, 450783L, 450788L, 450789L, 450791L, 
450792L, 450806L, 450807L, 450809L, 450810L, 450815L, 450816L, 
450818L, 450819L, 450824L, 450825L, 450827L, 450828L, 450833L, 
450834L, 450836L, 450837L, 450842L, 450843L, 450845L, 450846L, 
450914L, 450915L, 450917L, 450918L, 450923L, 450924L, 450926L, 
450927L, 450932L, 450933L, 450935L, 450936L, 450941L, 450942L, 
450944L, 450945L, 450950L, 450951L, 450953L, 450954L, 450968L, 
450969L, 450971L, 450972L, 450977L, 450978L, 450980L, 450981L, 
450986L, 450987L, 450989L, 450990L, 450995L, 450996L, 450998L, 
450999L, 451004L, 451005L, 451007L, 451008L, 451076L, 451077L, 
451079L, 451080L, 451085L, 451086L, 451088L, 451089L, 451094L, 
451095L, 451097L, 451098L, 451103L, 451104L, 451106L, 451107L, 
451112L, 451113L, 451115L, 451116L, 451130L, 451131L, 451133L, 
451134L, 451139L, 451140L, 451142L, 451143L, 451148L, 451149L, 
451151L, 451152L, 451157L, 451158L, 451160L, 451161L, 451166L, 
451167L, 451169L, 451170L, 451400L, 451401L, 451403L, 451404L, 
451409L, 451410L, 451412L, 451413L, 451418L, 451419L, 451421L, 
451422L, 451427L, 451428L, 451430L, 451431L, 451436L, 451437L, 
451439L, 451440L, 451454L, 451455L, 451457L, 451458L, 451463L, 
451464L, 451466L, 451467L, 451472L, 451473L, 451475L, 451476L, 
451481L, 451482L, 451484L, 451485L, 451490L, 451491L, 451493L, 
451494L, 451562L, 451563L, 451565L, 451566L, 451571L, 451572L, 
451574L, 451575L, 451580L, 451581L, 451583L, 451584L, 451589L, 
451590L, 451592L, 451593L, 451598L, 451599L, 451601L, 451602L, 
451616L, 451617L, 451619L, 451620L, 451625L, 451626L, 451628L, 
451629L, 451634L, 451635L, 451637L, 451638L, 451643L, 451644L, 
451646L, 451647L, 451652L, 451653L, 451655L, 451656L, 451724L, 
451725L, 451727L, 451728L, 451733L, 451734L, 451736L, 451737L, 
451742L, 451743L, 451745L, 451746L, 451751L, 451752L, 451754L, 
451755L, 451760L, 451761L, 451763L, 451764L, 451778L, 451779L, 
451781L, 451782L, 451787L, 451788L, 451790L, 451791L, 451796L, 
451797L, 451799L, 451800L, 451805L, 451806L, 451808L, 451809L, 
451814L, 451815L, 451817L, 451818L, 451886L, 451887L, 451889L, 
451890L, 451895L, 451896L, 451898L, 451899L, 451904L, 451905L, 
451907L, 451908L, 451913L, 451914L, 451916L, 451917L, 451922L, 
451923L, 451925L, 451926L, 451940L, 451941L, 451943L, 451944L, 
451949L, 451950L, 451952L, 451953L, 451958L, 451959L, 451961L, 
451962L, 451967L, 451968L, 451970L, 451971L, 451976L, 451977L, 
451979L, 451980L, 453020L, 453021L, 453023L, 453024L, 453029L, 
453030L, 453032L, 453033L, 453038L, 453039L, 453041L, 453042L, 
453047L, 453048L, 453050L, 453051L, 453056L, 453057L, 453059L, 
453060L, 453074L, 453075L, 453077L, 453078L, 453083L, 453084L, 
453086L, 453087L, 453092L, 453093L, 453095L, 453096L, 453101L, 
453102L, 453104L, 453105L, 453110L, 453111L, 453113L, 453114L, 
453182L, 453183L, 453185L, 453186L, 453191L, 453192L, 453194L, 
453195L, 453200L, 453201L, 453203L, 453204L, 453209L, 453210L, 
453212L, 453213L, 453218L, 453219L, 453221L, 453222L, 453236L, 
453237L, 453239L, 453240L, 453245L, 453246L, 453248L, 453249L, 
453254L, 453255L, 453257L, 453258L, 453263L, 453264L, 453266L, 
453267L, 453272L, 453273L, 453275L, 453276L, 453344L, 453345L, 
453347L, 453348L, 453353L, 453354L, 453356L, 453357L, 453362L, 
453363L, 453365L, 453366L, 453371L, 453372L, 453374L, 453375L, 
453380L, 453381L, 453383L, 453384L, 453398L, 453399L, 453401L, 
453402L, 453407L, 453408L, 453410L, 453411L, 453416L, 453417L, 
453419L, 453420L, 453425L, 453426L, 453428L, 453429L, 453434L, 
453435L, 453437L, 453438L, 453506L, 453507L, 453509L, 453510L, 
453515L, 453516L, 453518L, 453519L, 453524L, 453525L, 453527L, 
453528L, 453533L, 453534L, 453536L, 453537L, 453542L, 453543L, 
453545L, 453546L, 453560L, 453561L, 453563L, 453564L, 453569L, 
453570L, 453572L, 453573L, 453578L, 453579L, 453581L, 453582L, 
453587L, 453588L, 453590L, 453591L, 453596L, 453597L, 453599L, 
453600L, 453830L, 453831L, 453833L, 453834L, 453839L, 453840L, 
453842L, 453843L, 453848L, 453849L, 453851L, 453852L, 453857L, 
453858L, 453860L, 453861L, 453866L, 453867L, 453869L, 453870L, 
453884L, 453885L, 453887L, 453888L, 453893L, 453894L, 453896L, 
453897L, 453902L, 453903L, 453905L, 453906L, 453911L, 453912L, 
453914L, 453915L, 453920L, 453921L, 453923L, 453924L, 453992L, 
453993L, 453995L, 453996L, 454001L, 454002L, 454004L, 454005L, 
454010L, 454011L, 454013L, 454014L, 454019L, 454020L, 454022L, 
454023L, 454028L, 454029L, 454031L, 454032L, 454046L, 454047L, 
454049L, 454050L, 454055L, 454056L, 454058L, 454059L, 454064L, 
454065L, 454067L, 454068L, 454073L, 454074L, 454076L, 454077L, 
454082L, 454083L, 454085L, 454086L, 454154L, 454155L, 454157L, 
454158L, 454163L, 454164L, 454166L, 454167L, 454172L, 454173L, 
454175L, 454176L, 454181L, 454182L, 454184L, 454185L, 454190L, 
454191L, 454193L, 454194L, 454208L, 454209L, 454211L, 454212L, 
454217L, 454218L, 454220L, 454221L, 454226L, 454227L, 454229L, 
454230L, 454235L, 454236L, 454238L, 454239L, 454244L, 454245L, 
454247L, 454248L, 454316L, 454317L, 454319L, 454320L, 454325L, 
454326L, 454328L, 454329L, 454334L, 454335L, 454337L, 454338L, 
454343L, 454344L, 454346L, 454347L, 454352L, 454353L, 454355L, 
454356L, 454370L, 454371L, 454373L, 454374L, 454379L, 454380L, 
454382L, 454383L, 454388L, 454389L, 454391L, 454392L, 454397L, 
454398L, 454400L, 454401L, 454406L, 454407L, 454409L, 454410L, 
454640L, 454641L, 454643L, 454644L, 454649L, 454650L, 454652L, 
454653L, 454658L, 454659L, 454661L, 454662L, 454667L, 454668L, 
454670L, 454671L, 454676L, 454677L, 454679L, 454680L, 454694L, 
454695L, 454697L, 454698L, 454703L, 454704L, 454706L, 454707L, 
454712L, 454713L, 454715L, 454716L, 454721L, 454722L, 454724L, 
454725L, 454730L, 454731L, 454733L, 454734L, 454802L, 454803L, 
454805L, 454806L, 454811L, 454812L, 454814L, 454815L, 454820L, 
454821L, 454823L, 454824L, 454829L, 454830L, 454832L, 454833L, 
454838L, 454839L, 454841L, 454842L, 454856L, 454857L, 454859L, 
454860L, 454865L, 454866L, 454868L, 454869L, 454874L, 454875L, 
454877L, 454878L, 454883L, 454884L, 454886L, 454887L, 454892L, 
454893L, 454895L, 454896L, 454964L, 454965L, 454967L, 454968L, 
454973L, 454974L, 454976L, 454977L, 454982L, 454983L, 454985L, 
454986L, 454991L, 454992L, 454994L, 454995L, 455000L, 455001L, 
455003L, 455004L, 455018L, 455019L, 455021L, 455022L, 455027L, 
455028L, 455030L, 455031L, 455036L, 455037L, 455039L, 455040L, 
455045L, 455046L, 455048L, 455049L, 455054L, 455055L, 455057L, 
455058L, 455126L, 455127L, 455129L, 455130L, 455135L, 455136L, 
455138L, 455139L, 455144L, 455145L, 455147L, 455148L, 455153L, 
455154L, 455156L, 455157L, 455162L, 455163L, 455165L, 455166L, 
455180L, 455181L, 455183L, 455184L, 455189L, 455190L, 455192L, 
455193L, 455198L, 455199L, 455201L, 455202L, 455207L, 455208L, 
455210L, 455211L, 455216L, 455217L, 455219L, 455220L, 455450L, 
455451L, 455453L, 455454L, 455459L, 455460L, 455462L, 455463L, 
455468L, 455469L, 455471L, 455472L, 455477L, 455478L, 455480L, 
455481L, 455486L, 455487L, 455489L, 455490L, 455504L, 455505L, 
455507L, 455508L, 455513L, 455514L, 455516L, 455517L, 455522L, 
455523L, 455525L, 455526L, 455531L, 455532L, 455534L, 455535L, 
455540L, 455541L, 455543L, 455544L, 455612L, 455613L, 455615L, 
455616L, 455621L, 455622L, 455624L, 455625L, 455630L, 455631L, 
455633L, 455634L, 455639L, 455640L, 455642L, 455643L, 455648L, 
455649L, 455651L, 455652L, 455666L, 455667L, 455669L, 455670L, 
455675L, 455676L, 455678L, 455679L, 455684L, 455685L, 455687L, 
455688L, 455693L, 455694L, 455696L, 455697L, 455702L, 455703L, 
455705L, 455706L, 455774L, 455775L, 455777L, 455778L, 455783L, 
455784L, 455786L, 455787L, 455792L, 455793L, 455795L, 455796L, 
455801L, 455802L, 455804L, 455805L, 455810L, 455811L, 455813L, 
455814L, 455828L, 455829L, 455831L, 455832L, 455837L, 455838L, 
455840L, 455841L, 455846L, 455847L, 455849L, 455850L, 455855L, 
455856L, 455858L, 455859L, 455864L, 455865L, 455867L, 455868L, 
455936L, 455937L, 455939L, 455940L, 455945L, 455946L, 455948L, 
455949L, 455954L, 455955L, 455957L, 455958L, 455963L, 455964L, 
455966L, 455967L, 455972L, 455973L, 455975L, 455976L, 455990L, 
455991L, 455993L, 455994L, 455999L, 456000L, 456002L, 456003L, 
456008L, 456009L, 456011L, 456012L, 456017L, 456018L, 456020L, 
456021L, 456026L, 456027L, 456029L, 456030L, 456260L, 456261L, 
456263L, 456264L, 456269L, 456270L, 456272L, 456273L, 456278L, 
456279L, 456281L, 456282L, 456287L, 456288L, 456290L, 456291L, 
456296L, 456297L, 456299L, 456300L, 456314L, 456315L, 456317L, 
456318L, 456323L, 456324L, 456326L, 456327L, 456332L, 456333L, 
456335L, 456336L, 456341L, 456342L, 456344L, 456345L, 456350L, 
456351L, 456353L, 456354L, 456422L, 456423L, 456425L, 456426L, 
456431L, 456432L, 456434L, 456435L, 456440L, 456441L, 456443L, 
456444L, 456449L, 456450L, 456452L, 456453L, 456458L, 456459L, 
456461L, 456462L, 456476L, 456477L, 456479L, 456480L, 456485L, 
456486L, 456488L, 456489L, 456494L, 456495L, 456497L, 456498L, 
456503L, 456504L, 456506L, 456507L, 456512L, 456513L, 456515L, 
456516L, 456584L, 456585L, 456587L, 456588L, 456593L, 456594L, 
456596L, 456597L, 456602L, 456603L, 456605L, 456606L, 456611L, 
456612L, 456614L, 456615L, 456620L, 456621L, 456623L, 456624L, 
456638L, 456639L, 456641L, 456642L, 456647L, 456648L, 456650L, 
456651L, 456656L, 456657L, 456659L, 456660L, 456665L, 456666L, 
456668L, 456669L, 456674L, 456675L, 456677L, 456678L, 456746L, 
456747L, 456749L, 456750L, 456755L, 456756L, 456758L, 456759L, 
456764L, 456765L, 456767L, 456768L, 456773L, 456774L, 456776L, 
456777L, 456782L, 456783L, 456785L, 456786L, 456800L, 456801L, 
456803L, 456804L, 456809L, 456810L, 456812L, 456813L, 456818L, 
456819L, 456821L, 456822L, 456827L, 456828L, 456830L, 456831L, 
456836L, 456837L, 456839L, 456840L, 467600L, 467601L, 467603L, 
467604L, 467609L, 467610L, 467612L, 467613L, 467618L, 467619L, 
467621L, 467622L, 467627L, 467628L, 467630L, 467631L, 467636L, 
467637L, 467639L, 467640L, 467654L, 467655L, 467657L, 467658L, 
467663L, 467664L, 467666L, 467667L, 467672L, 467673L, 467675L, 
467676L, 467681L, 467682L, 467684L, 467685L, 467690L, 467691L, 
467693L, 467694L, 467762L, 467763L, 467765L, 467766L, 467771L, 
467772L, 467774L, 467775L, 467780L, 467781L, 467783L, 467784L, 
467789L, 467790L, 467792L, 467793L, 467798L, 467799L, 467801L, 
467802L, 467816L, 467817L, 467819L, 467820L, 467825L, 467826L, 
467828L, 467829L, 467834L, 467835L, 467837L, 467838L, 467843L, 
467844L, 467846L, 467847L, 467852L, 467853L, 467855L, 467856L, 
467924L, 467925L, 467927L, 467928L, 467933L, 467934L, 467936L, 
467937L, 467942L, 467943L, 467945L, 467946L, 467951L, 467952L, 
467954L, 467955L, 467960L, 467961L, 467963L, 467964L, 467978L, 
467979L, 467981L, 467982L, 467987L, 467988L, 467990L, 467991L, 
467996L, 467997L, 467999L, 468000L, 468005L, 468006L, 468008L, 
468009L, 468014L, 468015L, 468017L, 468018L, 468086L, 468087L, 
468089L, 468090L, 468095L, 468096L, 468098L, 468099L, 468104L, 
468105L, 468107L, 468108L, 468113L, 468114L, 468116L, 468117L, 
468122L, 468123L, 468125L, 468126L, 468140L, 468141L, 468143L, 
468144L, 468149L, 468150L, 468152L, 468153L, 468158L, 468159L, 
468161L, 468162L, 468167L, 468168L, 468170L, 468171L, 468176L, 
468177L, 468179L, 468180L, 468410L, 468411L, 468413L, 468414L, 
468419L, 468420L, 468422L, 468423L, 468428L, 468429L, 468431L, 
468432L, 468437L, 468438L, 468440L, 468441L, 468446L, 468447L, 
468449L, 468450L, 468464L, 468465L, 468467L, 468468L, 468473L, 
468474L, 468476L, 468477L, 468482L, 468483L, 468485L, 468486L, 
468491L, 468492L, 468494L, 468495L, 468500L, 468501L, 468503L, 
468504L, 468572L, 468573L, 468575L, 468576L, 468581L, 468582L, 
468584L, 468585L, 468590L, 468591L, 468593L, 468594L, 468599L, 
468600L, 468602L, 468603L, 468608L, 468609L, 468611L, 468612L, 
468626L, 468627L, 468629L, 468630L, 468635L, 468636L, 468638L, 
468639L, 468644L, 468645L, 468647L, 468648L, 468653L, 468654L, 
468656L, 468657L, 468662L, 468663L, 468665L, 468666L, 468734L, 
468735L, 468737L, 468738L, 468743L, 468744L, 468746L, 468747L, 
468752L, 468753L, 468755L, 468756L, 468761L, 468762L, 468764L, 
468765L, 468770L, 468771L, 468773L, 468774L, 468788L, 468789L, 
468791L, 468792L, 468797L, 468798L, 468800L, 468801L, 468806L, 
468807L, 468809L, 468810L, 468815L, 468816L, 468818L, 468819L, 
468824L, 468825L, 468827L, 468828L, 468896L, 468897L, 468899L, 
468900L, 468905L, 468906L, 468908L, 468909L, 468914L, 468915L, 
468917L, 468918L, 468923L, 468924L, 468926L, 468927L, 468932L, 
468933L, 468935L, 468936L, 468950L, 468951L, 468953L, 468954L, 
468959L, 468960L, 468962L, 468963L, 468968L, 468969L, 468971L, 
468972L, 468977L, 468978L, 468980L, 468981L, 468986L, 468987L, 
468989L, 468990L, 469220L, 469221L, 469223L, 469224L, 469229L, 
469230L, 469232L, 469233L, 469238L, 469239L, 469241L, 469242L, 
469247L, 469248L, 469250L, 469251L, 469256L, 469257L, 469259L, 
469260L, 469274L, 469275L, 469277L, 469278L, 469283L, 469284L, 
469286L, 469287L, 469292L, 469293L, 469295L, 469296L, 469301L, 
469302L, 469304L, 469305L, 469310L, 469311L, 469313L, 469314L, 
469382L, 469383L, 469385L, 469386L, 469391L, 469392L, 469394L, 
469395L, 469400L, 469401L, 469403L, 469404L, 469409L, 469410L, 
469412L, 469413L, 469418L, 469419L, 469421L, 469422L, 469436L, 
469437L, 469439L, 469440L, 469445L, 469446L, 469448L, 469449L, 
469454L, 469455L, 469457L, 469458L, 469463L, 469464L, 469466L, 
469467L, 469472L, 469473L, 469475L, 469476L, 469544L, 469545L, 
469547L, 469548L, 469553L, 469554L, 469556L, 469557L, 469562L, 
469563L, 469565L, 469566L, 469571L, 469572L, 469574L, 469575L, 
469580L, 469581L, 469583L, 469584L, 469598L, 469599L, 469601L, 
469602L, 469607L, 469608L, 469610L, 469611L, 469616L, 469617L, 
469619L, 469620L, 469625L, 469626L, 469628L, 469629L, 469634L, 
469635L, 469637L, 469638L, 469706L, 469707L, 469709L, 469710L, 
469715L, 469716L, 469718L, 469719L, 469724L, 469725L, 469727L, 
469728L, 469733L, 469734L, 469736L, 469737L, 469742L, 469743L, 
469745L, 469746L, 469760L, 469761L, 469763L, 469764L, 469769L, 
469770L, 469772L, 469773L, 469778L, 469779L, 469781L, 469782L, 
469787L, 469788L, 469790L, 469791L, 469796L, 469797L, 469799L, 
469800L, 470030L, 470031L, 470033L, 470034L, 470039L, 470040L, 
470042L, 470043L, 470048L, 470049L, 470051L, 470052L, 470057L, 
470058L, 470060L, 470061L, 470066L, 470067L, 470069L, 470070L, 
470084L, 470085L, 470087L, 470088L, 470093L, 470094L, 470096L, 
470097L, 470102L, 470103L, 470105L, 470106L, 470111L, 470112L, 
470114L, 470115L, 470120L, 470121L, 470123L, 470124L, 470192L, 
470193L, 470195L, 470196L, 470201L, 470202L, 470204L, 470205L, 
470210L, 470211L, 470213L, 470214L, 470219L, 470220L, 470222L, 
470223L, 470228L, 470229L, 470231L, 470232L, 470246L, 470247L, 
470249L, 470250L, 470255L, 470256L, 470258L, 470259L, 470264L, 
470265L, 470267L, 470268L, 470273L, 470274L, 470276L, 470277L, 
470282L, 470283L, 470285L, 470286L, 470354L, 470355L, 470357L, 
470358L, 470363L, 470364L, 470366L, 470367L, 470372L, 470373L, 
470375L, 470376L, 470381L, 470382L, 470384L, 470385L, 470390L, 
470391L, 470393L, 470394L, 470408L, 470409L, 470411L, 470412L, 
470417L, 470418L, 470420L, 470421L, 470426L, 470427L, 470429L, 
470430L, 470435L, 470436L, 470438L, 470439L, 470444L, 470445L, 
470447L, 470448L, 470516L, 470517L, 470519L, 470520L, 470525L, 
470526L, 470528L, 470529L, 470534L, 470535L, 470537L, 470538L, 
470543L, 470544L, 470546L, 470547L, 470552L, 470553L, 470555L, 
470556L, 470570L, 470571L, 470573L, 470574L, 470579L, 470580L, 
470582L, 470583L, 470588L, 470589L, 470591L, 470592L, 470597L, 
470598L, 470600L, 470601L, 470606L, 470607L, 470609L, 470610L, 
470840L, 470841L, 470843L, 470844L, 470849L, 470850L, 470852L, 
470853L, 470858L, 470859L, 470861L, 470862L, 470867L, 470868L, 
470870L, 470871L, 470876L, 470877L, 470879L, 470880L, 470894L, 
470895L, 470897L, 470898L, 470903L, 470904L, 470906L, 470907L, 
470912L, 470913L, 470915L, 470916L, 470921L, 470922L, 470924L, 
470925L, 470930L, 470931L, 470933L, 470934L, 471002L, 471003L, 
471005L, 471006L, 471011L, 471012L, 471014L, 471015L, 471020L, 
471021L, 471023L, 471024L, 471029L, 471030L, 471032L, 471033L, 
471038L, 471039L, 471041L, 471042L, 471056L, 471057L, 471059L, 
471060L, 471065L, 471066L, 471068L, 471069L, 471074L, 471075L, 
471077L, 471078L, 471083L, 471084L, 471086L, 471087L, 471092L, 
471093L, 471095L, 471096L, 471164L, 471165L, 471167L, 471168L, 
471173L, 471174L, 471176L, 471177L, 471182L, 471183L, 471185L, 
471186L, 471191L, 471192L, 471194L, 471195L, 471200L, 471201L, 
471203L, 471204L, 471218L, 471219L, 471221L, 471222L, 471227L, 
471228L, 471230L, 471231L, 471236L, 471237L, 471239L, 471240L, 
471245L, 471246L, 471248L, 471249L, 471254L, 471255L, 471257L, 
471258L, 471326L, 471327L, 471329L, 471330L, 471335L, 471336L, 
471338L, 471339L, 471344L, 471345L, 471347L, 471348L, 471353L, 
471354L, 471356L, 471357L, 471362L, 471363L, 471365L, 471366L, 
471380L, 471381L, 471383L, 471384L, 471389L, 471390L, 471392L, 
471393L, 471398L, 471399L, 471401L, 471402L, 471407L, 471408L, 
471410L, 471411L, 471416L, 471417L, 471419L, 471420L, 472460L, 
472461L, 472463L, 472464L, 472469L, 472470L, 472472L, 472473L, 
472478L, 472479L, 472481L, 472482L, 472487L, 472488L, 472490L, 
472491L, 472496L, 472497L, 472499L, 472500L, 472514L, 472515L, 
472517L, 472518L, 472523L, 472524L, 472526L, 472527L, 472532L, 
472533L, 472535L, 472536L, 472541L, 472542L, 472544L, 472545L, 
472550L, 472551L, 472553L, 472554L, 472622L, 472623L, 472625L, 
472626L, 472631L, 472632L, 472634L, 472635L, 472640L, 472641L, 
472643L, 472644L, 472649L, 472650L, 472652L, 472653L, 472658L, 
472659L, 472661L, 472662L, 472676L, 472677L, 472679L, 472680L, 
472685L, 472686L, 472688L, 472689L, 472694L, 472695L, 472697L, 
472698L, 472703L, 472704L, 472706L, 472707L, 472712L, 472713L, 
472715L, 472716L, 472784L, 472785L, 472787L, 472788L, 472793L, 
472794L, 472796L, 472797L, 472802L, 472803L, 472805L, 472806L, 
472811L, 472812L, 472814L, 472815L, 472820L, 472821L, 472823L, 
472824L, 472838L, 472839L, 472841L, 472842L, 472847L, 472848L, 
472850L, 472851L, 472856L, 472857L, 472859L, 472860L, 472865L, 
472866L, 472868L, 472869L, 472874L, 472875L, 472877L, 472878L, 
472946L, 472947L, 472949L, 472950L, 472955L, 472956L, 472958L, 
472959L, 472964L, 472965L, 472967L, 472968L, 472973L, 472974L, 
472976L, 472977L, 472982L, 472983L, 472985L, 472986L, 473000L, 
473001L, 473003L, 473004L, 473009L, 473010L, 473012L, 473013L, 
473018L, 473019L, 473021L, 473022L, 473027L, 473028L, 473030L, 
473031L, 473036L, 473037L, 473039L, 473040L, 473270L, 473271L, 
473273L, 473274L, 473279L, 473280L, 473282L, 473283L, 473288L, 
473289L, 473291L, 473292L, 473297L, 473298L, 473300L, 473301L, 
473306L, 473307L, 473309L, 473310L, 473324L, 473325L, 473327L, 
473328L, 473333L, 473334L, 473336L, 473337L, 473342L, 473343L, 
473345L, 473346L, 473351L, 473352L, 473354L, 473355L, 473360L, 
473361L, 473363L, 473364L, 473432L, 473433L, 473435L, 473436L, 
473441L, 473442L, 473444L, 473445L, 473450L, 473451L, 473453L, 
473454L, 473459L, 473460L, 473462L, 473463L, 473468L, 473469L, 
473471L, 473472L, 473486L, 473487L, 473489L, 473490L, 473495L, 
473496L, 473498L, 473499L, 473504L, 473505L, 473507L, 473508L, 
473513L, 473514L, 473516L, 473517L, 473522L, 473523L, 473525L, 
473526L, 473594L, 473595L, 473597L, 473598L, 473603L, 473604L, 
473606L, 473607L, 473612L, 473613L, 473615L, 473616L, 473621L, 
473622L, 473624L, 473625L, 473630L, 473631L, 473633L, 473634L, 
473648L, 473649L, 473651L, 473652L, 473657L, 473658L, 473660L, 
473661L, 473666L, 473667L, 473669L, 473670L, 473675L, 473676L, 
473678L, 473679L, 473684L, 473685L, 473687L, 473688L, 473756L, 
473757L, 473759L, 473760L, 473765L, 473766L, 473768L, 473769L, 
473774L, 473775L, 473777L, 473778L, 473783L, 473784L, 473786L, 
473787L, 473792L, 473793L, 473795L, 473796L, 473810L, 473811L, 
473813L, 473814L, 473819L, 473820L, 473822L, 473823L, 473828L, 
473829L, 473831L, 473832L, 473837L, 473838L, 473840L, 473841L, 
473846L, 473847L, 473849L, 473850L, 474080L, 474081L, 474083L, 
474084L, 474089L, 474090L, 474092L, 474093L, 474098L, 474099L, 
474101L, 474102L, 474107L, 474108L, 474110L, 474111L, 474116L, 
474117L, 474119L, 474120L, 474134L, 474135L, 474137L, 474138L, 
474143L, 474144L, 474146L, 474147L, 474152L, 474153L, 474155L, 
474156L, 474161L, 474162L, 474164L, 474165L, 474170L, 474171L, 
474173L, 474174L, 474242L, 474243L, 474245L, 474246L, 474251L, 
474252L, 474254L, 474255L, 474260L, 474261L, 474263L, 474264L, 
474269L, 474270L, 474272L, 474273L, 474278L, 474279L, 474281L, 
474282L, 474296L, 474297L, 474299L, 474300L, 474305L, 474306L, 
474308L, 474309L, 474314L, 474315L, 474317L, 474318L, 474323L, 
474324L, 474326L, 474327L, 474332L, 474333L, 474335L, 474336L, 
474404L, 474405L, 474407L, 474408L, 474413L, 474414L, 474416L, 
474417L, 474422L, 474423L, 474425L, 474426L, 474431L, 474432L, 
474434L, 474435L, 474440L, 474441L, 474443L, 474444L, 474458L, 
474459L, 474461L, 474462L, 474467L, 474468L, 474470L, 474471L, 
474476L, 474477L, 474479L, 474480L, 474485L, 474486L, 474488L, 
474489L, 474494L, 474495L, 474497L, 474498L, 474566L, 474567L, 
474569L, 474570L, 474575L, 474576L, 474578L, 474579L, 474584L, 
474585L, 474587L, 474588L, 474593L, 474594L, 474596L, 474597L, 
474602L, 474603L, 474605L, 474606L, 474620L, 474621L, 474623L, 
474624L, 474629L, 474630L, 474632L, 474633L, 474638L, 474639L, 
474641L, 474642L, 474647L, 474648L, 474650L, 474651L, 474656L, 
474657L, 474659L, 474660L, 474890L, 474891L, 474893L, 474894L, 
474899L, 474900L, 474902L, 474903L, 474908L, 474909L, 474911L, 
474912L, 474917L, 474918L, 474920L, 474921L, 474926L, 474927L, 
474929L, 474930L, 474944L, 474945L, 474947L, 474948L, 474953L, 
474954L, 474956L, 474957L, 474962L, 474963L, 474965L, 474966L, 
474971L, 474972L, 474974L, 474975L, 474980L, 474981L, 474983L, 
474984L, 475052L, 475053L, 475055L, 475056L, 475061L, 475062L, 
475064L, 475065L, 475070L, 475071L, 475073L, 475074L, 475079L, 
475080L, 475082L, 475083L, 475088L, 475089L, 475091L, 475092L, 
475106L, 475107L, 475109L, 475110L, 475115L, 475116L, 475118L, 
475119L, 475124L, 475125L, 475127L, 475128L, 475133L, 475134L, 
475136L, 475137L, 475142L, 475143L, 475145L, 475146L, 475214L, 
475215L, 475217L, 475218L, 475223L, 475224L, 475226L, 475227L, 
475232L, 475233L, 475235L, 475236L, 475241L, 475242L, 475244L, 
475245L, 475250L, 475251L, 475253L, 475254L, 475268L, 475269L, 
475271L, 475272L, 475277L, 475278L, 475280L, 475281L, 475286L, 
475287L, 475289L, 475290L, 475295L, 475296L, 475298L, 475299L, 
475304L, 475305L, 475307L, 475308L, 475376L, 475377L, 475379L, 
475380L, 475385L, 475386L, 475388L, 475389L, 475394L, 475395L, 
475397L, 475398L, 475403L, 475404L, 475406L, 475407L, 475412L, 
475413L, 475415L, 475416L, 475430L, 475431L, 475433L, 475434L, 
475439L, 475440L, 475442L, 475443L, 475448L, 475449L, 475451L, 
475452L, 475457L, 475458L, 475460L, 475461L, 475466L, 475467L, 
475469L, 475470L, 475700L, 475701L, 475703L, 475704L, 475709L, 
475710L, 475712L, 475713L, 475718L, 475719L, 475721L, 475722L, 
475727L, 475728L, 475730L, 475731L, 475736L, 475737L, 475739L, 
475740L, 475754L, 475755L, 475757L, 475758L, 475763L, 475764L, 
475766L, 475767L, 475772L, 475773L, 475775L, 475776L, 475781L, 
475782L, 475784L, 475785L, 475790L, 475791L, 475793L, 475794L, 
475862L, 475863L, 475865L, 475866L, 475871L, 475872L, 475874L, 
475875L, 475880L, 475881L, 475883L, 475884L, 475889L, 475890L, 
475892L, 475893L, 475898L, 475899L, 475901L, 475902L, 475916L, 
475917L, 475919L, 475920L, 475925L, 475926L, 475928L, 475929L, 
475934L, 475935L, 475937L, 475938L, 475943L, 475944L, 475946L, 
475947L, 475952L, 475953L, 475955L, 475956L, 476024L, 476025L, 
476027L, 476028L, 476033L, 476034L, 476036L, 476037L, 476042L, 
476043L, 476045L, 476046L, 476051L, 476052L, 476054L, 476055L, 
476060L, 476061L, 476063L, 476064L, 476078L, 476079L, 476081L, 
476082L, 476087L, 476088L, 476090L, 476091L, 476096L, 476097L, 
476099L, 476100L, 476105L, 476106L, 476108L, 476109L, 476114L, 
476115L, 476117L, 476118L, 476186L, 476187L, 476189L, 476190L, 
476195L, 476196L, 476198L, 476199L, 476204L, 476205L, 476207L, 
476208L, 476213L, 476214L, 476216L, 476217L, 476222L, 476223L, 
476225L, 476226L, 476240L, 476241L, 476243L, 476244L, 476249L, 
476250L, 476252L, 476253L, 476258L, 476259L, 476261L, 476262L, 
476267L, 476268L, 476270L, 476271L, 476276L, 476277L, 476279L, 
476280L, 477320L, 477321L, 477323L, 477324L, 477329L, 477330L, 
477332L, 477333L, 477338L, 477339L, 477341L, 477342L, 477347L, 
477348L, 477350L, 477351L, 477356L, 477357L, 477359L, 477360L, 
477374L, 477375L, 477377L, 477378L, 477383L, 477384L, 477386L, 
477387L, 477392L, 477393L, 477395L, 477396L, 477401L, 477402L, 
477404L, 477405L, 477410L, 477411L, 477413L, 477414L, 477482L, 
477483L, 477485L, 477486L, 477491L, 477492L, 477494L, 477495L, 
477500L, 477501L, 477503L, 477504L, 477509L, 477510L, 477512L, 
477513L, 477518L, 477519L, 477521L, 477522L, 477536L, 477537L, 
477539L, 477540L, 477545L, 477546L, 477548L, 477549L, 477554L, 
477555L, 477557L, 477558L, 477563L, 477564L, 477566L, 477567L, 
477572L, 477573L, 477575L, 477576L, 477644L, 477645L, 477647L, 
477648L, 477653L, 477654L, 477656L, 477657L, 477662L, 477663L, 
477665L, 477666L, 477671L, 477672L, 477674L, 477675L, 477680L, 
477681L, 477683L, 477684L, 477698L, 477699L, 477701L, 477702L, 
477707L, 477708L, 477710L, 477711L, 477716L, 477717L, 477719L, 
477720L, 477725L, 477726L, 477728L, 477729L, 477734L, 477735L, 
477737L, 477738L, 477806L, 477807L, 477809L, 477810L, 477815L, 
477816L, 477818L, 477819L, 477824L, 477825L, 477827L, 477828L, 
477833L, 477834L, 477836L, 477837L, 477842L, 477843L, 477845L, 
477846L, 477860L, 477861L, 477863L, 477864L, 477869L, 477870L, 
477872L, 477873L, 477878L, 477879L, 477881L, 477882L, 477887L, 
477888L, 477890L, 477891L, 477896L, 477897L, 477899L, 477900L, 
478130L, 478131L, 478133L, 478134L, 478139L, 478140L, 478142L, 
478143L, 478148L, 478149L, 478151L, 478152L, 478157L, 478158L, 
478160L, 478161L, 478166L, 478167L, 478169L, 478170L, 478184L, 
478185L, 478187L, 478188L, 478193L, 478194L, 478196L, 478197L, 
478202L, 478203L, 478205L, 478206L, 478211L, 478212L, 478214L, 
478215L, 478220L, 478221L, 478223L, 478224L, 478292L, 478293L, 
478295L, 478296L, 478301L, 478302L, 478304L, 478305L, 478310L, 
478311L, 478313L, 478314L, 478319L, 478320L, 478322L, 478323L, 
478328L, 478329L, 478331L, 478332L, 478346L, 478347L, 478349L, 
478350L, 478355L, 478356L, 478358L, 478359L, 478364L, 478365L, 
478367L, 478368L, 478373L, 478374L, 478376L, 478377L, 478382L, 
478383L, 478385L, 478386L, 478454L, 478455L, 478457L, 478458L, 
478463L, 478464L, 478466L, 478467L, 478472L, 478473L, 478475L, 
478476L, 478481L, 478482L, 478484L, 478485L, 478490L, 478491L, 
478493L, 478494L, 478508L, 478509L, 478511L, 478512L, 478517L, 
478518L, 478520L, 478521L, 478526L, 478527L, 478529L, 478530L, 
478535L, 478536L, 478538L, 478539L, 478544L, 478545L, 478547L, 
478548L, 478616L, 478617L, 478619L, 478620L, 478625L, 478626L, 
478628L, 478629L, 478634L, 478635L, 478637L, 478638L, 478643L, 
478644L, 478646L, 478647L, 478652L, 478653L, 478655L, 478656L, 
478670L, 478671L, 478673L, 478674L, 478679L, 478680L, 478682L, 
478683L, 478688L, 478689L, 478691L, 478692L, 478697L, 478698L, 
478700L, 478701L, 478706L, 478707L, 478709L, 478710L, 478940L, 
478941L, 478943L, 478944L, 478949L, 478950L, 478952L, 478953L, 
478958L, 478959L, 478961L, 478962L, 478967L, 478968L, 478970L, 
478971L, 478976L, 478977L, 478979L, 478980L, 478994L, 478995L, 
478997L, 478998L, 479003L, 479004L, 479006L, 479007L, 479012L, 
479013L, 479015L, 479016L, 479021L, 479022L, 479024L, 479025L, 
479030L, 479031L, 479033L, 479034L, 479102L, 479103L, 479105L, 
479106L, 479111L, 479112L, 479114L, 479115L, 479120L, 479121L, 
479123L, 479124L, 479129L, 479130L, 479132L, 479133L, 479138L, 
479139L, 479141L, 479142L, 479156L, 479157L, 479159L, 479160L, 
479165L, 479166L, 479168L, 479169L, 479174L, 479175L, 479177L, 
479178L, 479183L, 479184L, 479186L, 479187L, 479192L, 479193L, 
479195L, 479196L, 479264L, 479265L, 479267L, 479268L, 479273L, 
479274L, 479276L, 479277L, 479282L, 479283L, 479285L, 479286L, 
479291L, 479292L, 479294L, 479295L, 479300L, 479301L, 479303L, 
479304L, 479318L, 479319L, 479321L, 479322L, 479327L, 479328L, 
479330L, 479331L, 479336L, 479337L, 479339L, 479340L, 479345L, 
479346L, 479348L, 479349L, 479354L, 479355L, 479357L, 479358L, 
479426L, 479427L, 479429L, 479430L, 479435L, 479436L, 479438L, 
479439L, 479444L, 479445L, 479447L, 479448L, 479453L, 479454L, 
479456L, 479457L, 479462L, 479463L, 479465L, 479466L, 479480L, 
479481L, 479483L, 479484L, 479489L, 479490L, 479492L, 479493L, 
479498L, 479499L, 479501L, 479502L, 479507L, 479508L, 479510L, 
479511L, 479516L, 479517L, 479519L, 479520L, 479750L, 479751L, 
479753L, 479754L, 479759L, 479760L, 479762L, 479763L, 479768L, 
479769L, 479771L, 479772L, 479777L, 479778L, 479780L, 479781L, 
479786L, 479787L, 479789L, 479790L, 479804L, 479805L, 479807L, 
479808L, 479813L, 479814L, 479816L, 479817L, 479822L, 479823L, 
479825L, 479826L, 479831L, 479832L, 479834L, 479835L, 479840L, 
479841L, 479843L, 479844L, 479912L, 479913L, 479915L, 479916L, 
479921L, 479922L, 479924L, 479925L, 479930L, 479931L, 479933L, 
479934L, 479939L, 479940L, 479942L, 479943L, 479948L, 479949L, 
479951L, 479952L, 479966L, 479967L, 479969L, 479970L, 479975L, 
479976L, 479978L, 479979L, 479984L, 479985L, 479987L, 479988L, 
479993L, 479994L, 479996L, 479997L, 480002L, 480003L, 480005L, 
480006L, 480074L, 480075L, 480077L, 480078L, 480083L, 480084L, 
480086L, 480087L, 480092L, 480093L, 480095L, 480096L, 480101L, 
480102L, 480104L, 480105L, 480110L, 480111L, 480113L, 480114L, 
480128L, 480129L, 480131L, 480132L, 480137L, 480138L, 480140L, 
480141L, 480146L, 480147L, 480149L, 480150L, 480155L, 480156L, 
480158L, 480159L, 480164L, 480165L, 480167L, 480168L, 480236L, 
480237L, 480239L, 480240L, 480245L, 480246L, 480248L, 480249L, 
480254L, 480255L, 480257L, 480258L, 480263L, 480264L, 480266L, 
480267L, 480272L, 480273L, 480275L, 480276L, 480290L, 480291L, 
480293L, 480294L, 480299L, 480300L, 480302L, 480303L, 480308L, 
480309L, 480311L, 480312L, 480317L, 480318L, 480320L, 480321L, 
480326L, 480327L, 480329L, 480330L, 480560L, 480561L, 480563L, 
480564L, 480569L, 480570L, 480572L, 480573L, 480578L, 480579L, 
480581L, 480582L, 480587L, 480588L, 480590L, 480591L, 480596L, 
480597L, 480599L, 480600L, 480614L, 480615L, 480617L, 480618L, 
480623L, 480624L, 480626L, 480627L, 480632L, 480633L, 480635L, 
480636L, 480641L, 480642L, 480644L, 480645L, 480650L, 480651L, 
480653L, 480654L, 480722L, 480723L, 480725L, 480726L, 480731L, 
480732L, 480734L, 480735L, 480740L, 480741L, 480743L, 480744L, 
480749L, 480750L, 480752L, 480753L, 480758L, 480759L, 480761L, 
480762L, 480776L, 480777L, 480779L, 480780L, 480785L, 480786L, 
480788L, 480789L, 480794L, 480795L, 480797L, 480798L, 480803L, 
480804L, 480806L, 480807L, 480812L, 480813L, 480815L, 480816L, 
480884L, 480885L, 480887L, 480888L, 480893L, 480894L, 480896L, 
480897L, 480902L, 480903L, 480905L, 480906L, 480911L, 480912L, 
480914L, 480915L, 480920L, 480921L, 480923L, 480924L, 480938L, 
480939L, 480941L, 480942L, 480947L, 480948L, 480950L, 480951L, 
480956L, 480957L, 480959L, 480960L, 480965L, 480966L, 480968L, 
480969L, 480974L, 480975L, 480977L, 480978L, 481046L, 481047L, 
481049L, 481050L, 481055L, 481056L, 481058L, 481059L, 481064L, 
481065L, 481067L, 481068L, 481073L, 481074L, 481076L, 481077L, 
481082L, 481083L, 481085L, 481086L, 481100L, 481101L, 481103L, 
481104L, 481109L, 481110L, 481112L, 481113L, 481118L, 481119L, 
481121L, 481122L, 481127L, 481128L, 481130L, 481131L, 481136L, 
481137L, 481139L, 481140L, 491900L, 491901L, 491903L, 491904L, 
491909L, 491910L, 491912L, 491913L, 491918L, 491919L, 491921L, 
491922L, 491927L, 491928L, 491930L, 491931L, 491936L, 491937L, 
491939L, 491940L, 491954L, 491955L, 491957L, 491958L, 491963L, 
491964L, 491966L, 491967L, 491972L, 491973L, 491975L, 491976L, 
491981L, 491982L, 491984L, 491985L, 491990L, 491991L, 491993L, 
491994L, 492062L, 492063L, 492065L, 492066L, 492071L, 492072L, 
492074L, 492075L, 492080L, 492081L, 492083L, 492084L, 492089L, 
492090L, 492092L, 492093L, 492098L, 492099L, 492101L, 492102L, 
492116L, 492117L, 492119L, 492120L, 492125L, 492126L, 492128L, 
492129L, 492134L, 492135L, 492137L, 492138L, 492143L, 492144L, 
492146L, 492147L, 492152L, 492153L, 492155L, 492156L, 492224L, 
492225L, 492227L, 492228L, 492233L, 492234L, 492236L, 492237L, 
492242L, 492243L, 492245L, 492246L, 492251L, 492252L, 492254L, 
492255L, 492260L, 492261L, 492263L, 492264L, 492278L, 492279L, 
492281L, 492282L, 492287L, 492288L, 492290L, 492291L, 492296L, 
492297L, 492299L, 492300L, 492305L, 492306L, 492308L, 492309L, 
492314L, 492315L, 492317L, 492318L, 492386L, 492387L, 492389L, 
492390L, 492395L, 492396L, 492398L, 492399L, 492404L, 492405L, 
492407L, 492408L, 492413L, 492414L, 492416L, 492417L, 492422L, 
492423L, 492425L, 492426L, 492440L, 492441L, 492443L, 492444L, 
492449L, 492450L, 492452L, 492453L, 492458L, 492459L, 492461L, 
492462L, 492467L, 492468L, 492470L, 492471L, 492476L, 492477L, 
492479L, 492480L, 492710L, 492711L, 492713L, 492714L, 492719L, 
492720L, 492722L, 492723L, 492728L, 492729L, 492731L, 492732L, 
492737L, 492738L, 492740L, 492741L, 492746L, 492747L, 492749L, 
492750L, 492764L, 492765L, 492767L, 492768L, 492773L, 492774L, 
492776L, 492777L, 492782L, 492783L, 492785L, 492786L, 492791L, 
492792L, 492794L, 492795L, 492800L, 492801L, 492803L, 492804L, 
492872L, 492873L, 492875L, 492876L, 492881L, 492882L, 492884L, 
492885L, 492890L, 492891L, 492893L, 492894L, 492899L, 492900L, 
492902L, 492903L, 492908L, 492909L, 492911L, 492912L, 492926L, 
492927L, 492929L, 492930L, 492935L, 492936L, 492938L, 492939L, 
492944L, 492945L, 492947L, 492948L, 492953L, 492954L, 492956L, 
492957L, 492962L, 492963L, 492965L, 492966L, 493034L, 493035L, 
493037L, 493038L, 493043L, 493044L, 493046L, 493047L, 493052L, 
493053L, 493055L, 493056L, 493061L, 493062L, 493064L, 493065L, 
493070L, 493071L, 493073L, 493074L, 493088L, 493089L, 493091L, 
493092L, 493097L, 493098L, 493100L, 493101L, 493106L, 493107L, 
493109L, 493110L, 493115L, 493116L, 493118L, 493119L, 493124L, 
493125L, 493127L, 493128L, 493196L, 493197L, 493199L, 493200L, 
493205L, 493206L, 493208L, 493209L, 493214L, 493215L, 493217L, 
493218L, 493223L, 493224L, 493226L, 493227L, 493232L, 493233L, 
493235L, 493236L, 493250L, 493251L, 493253L, 493254L, 493259L, 
493260L, 493262L, 493263L, 493268L, 493269L, 493271L, 493272L, 
493277L, 493278L, 493280L, 493281L, 493286L, 493287L, 493289L, 
493290L, 493520L, 493521L, 493523L, 493524L, 493529L, 493530L, 
493532L, 493533L, 493538L, 493539L, 493541L, 493542L, 493547L, 
493548L, 493550L, 493551L, 493556L, 493557L, 493559L, 493560L, 
493574L, 493575L, 493577L, 493578L, 493583L, 493584L, 493586L, 
493587L, 493592L, 493593L, 493595L, 493596L, 493601L, 493602L, 
493604L, 493605L, 493610L, 493611L, 493613L, 493614L, 493682L, 
493683L, 493685L, 493686L, 493691L, 493692L, 493694L, 493695L, 
493700L, 493701L, 493703L, 493704L, 493709L, 493710L, 493712L, 
493713L, 493718L, 493719L, 493721L, 493722L, 493736L, 493737L, 
493739L, 493740L, 493745L, 493746L, 493748L, 493749L, 493754L, 
493755L, 493757L, 493758L, 493763L, 493764L, 493766L, 493767L, 
493772L, 493773L, 493775L, 493776L, 493844L, 493845L, 493847L, 
493848L, 493853L, 493854L, 493856L, 493857L, 493862L, 493863L, 
493865L, 493866L, 493871L, 493872L, 493874L, 493875L, 493880L, 
493881L, 493883L, 493884L, 493898L, 493899L, 493901L, 493902L, 
493907L, 493908L, 493910L, 493911L, 493916L, 493917L, 493919L, 
493920L, 493925L, 493926L, 493928L, 493929L, 493934L, 493935L, 
493937L, 493938L, 494006L, 494007L, 494009L, 494010L, 494015L, 
494016L, 494018L, 494019L, 494024L, 494025L, 494027L, 494028L, 
494033L, 494034L, 494036L, 494037L, 494042L, 494043L, 494045L, 
494046L, 494060L, 494061L, 494063L, 494064L, 494069L, 494070L, 
494072L, 494073L, 494078L, 494079L, 494081L, 494082L, 494087L, 
494088L, 494090L, 494091L, 494096L, 494097L, 494099L, 494100L, 
494330L, 494331L, 494333L, 494334L, 494339L, 494340L, 494342L, 
494343L, 494348L, 494349L, 494351L, 494352L, 494357L, 494358L, 
494360L, 494361L, 494366L, 494367L, 494369L, 494370L, 494384L, 
494385L, 494387L, 494388L, 494393L, 494394L, 494396L, 494397L, 
494402L, 494403L, 494405L, 494406L, 494411L, 494412L, 494414L, 
494415L, 494420L, 494421L, 494423L, 494424L, 494492L, 494493L, 
494495L, 494496L, 494501L, 494502L, 494504L, 494505L, 494510L, 
494511L, 494513L, 494514L, 494519L, 494520L, 494522L, 494523L, 
494528L, 494529L, 494531L, 494532L, 494546L, 494547L, 494549L, 
494550L, 494555L, 494556L, 494558L, 494559L, 494564L, 494565L, 
494567L, 494568L, 494573L, 494574L, 494576L, 494577L, 494582L, 
494583L, 494585L, 494586L, 494654L, 494655L, 494657L, 494658L, 
494663L, 494664L, 494666L, 494667L, 494672L, 494673L, 494675L, 
494676L, 494681L, 494682L, 494684L, 494685L, 494690L, 494691L, 
494693L, 494694L, 494708L, 494709L, 494711L, 494712L, 494717L, 
494718L, 494720L, 494721L, 494726L, 494727L, 494729L, 494730L, 
494735L, 494736L, 494738L, 494739L, 494744L, 494745L, 494747L, 
494748L, 494816L, 494817L, 494819L, 494820L, 494825L, 494826L, 
494828L, 494829L, 494834L, 494835L, 494837L, 494838L, 494843L, 
494844L, 494846L, 494847L, 494852L, 494853L, 494855L, 494856L, 
494870L, 494871L, 494873L, 494874L, 494879L, 494880L, 494882L, 
494883L, 494888L, 494889L, 494891L, 494892L, 494897L, 494898L, 
494900L, 494901L, 494906L, 494907L, 494909L, 494910L, 495140L, 
495141L, 495143L, 495144L, 495149L, 495150L, 495152L, 495153L, 
495158L, 495159L, 495161L, 495162L, 495167L, 495168L, 495170L, 
495171L, 495176L, 495177L, 495179L, 495180L, 495194L, 495195L, 
495197L, 495198L, 495203L, 495204L, 495206L, 495207L, 495212L, 
495213L, 495215L, 495216L, 495221L, 495222L, 495224L, 495225L, 
495230L, 495231L, 495233L, 495234L, 495302L, 495303L, 495305L, 
495306L, 495311L, 495312L, 495314L, 495315L, 495320L, 495321L, 
495323L, 495324L, 495329L, 495330L, 495332L, 495333L, 495338L, 
495339L, 495341L, 495342L, 495356L, 495357L, 495359L, 495360L, 
495365L, 495366L, 495368L, 495369L, 495374L, 495375L, 495377L, 
495378L, 495383L, 495384L, 495386L, 495387L, 495392L, 495393L, 
495395L, 495396L, 495464L, 495465L, 495467L, 495468L, 495473L, 
495474L, 495476L, 495477L, 495482L, 495483L, 495485L, 495486L, 
495491L, 495492L, 495494L, 495495L, 495500L, 495501L, 495503L, 
495504L, 495518L, 495519L, 495521L, 495522L, 495527L, 495528L, 
495530L, 495531L, 495536L, 495537L, 495539L, 495540L, 495545L, 
495546L, 495548L, 495549L, 495554L, 495555L, 495557L, 495558L, 
495626L, 495627L, 495629L, 495630L, 495635L, 495636L, 495638L, 
495639L, 495644L, 495645L, 495647L, 495648L, 495653L, 495654L, 
495656L, 495657L, 495662L, 495663L, 495665L, 495666L, 495680L, 
495681L, 495683L, 495684L, 495689L, 495690L, 495692L, 495693L, 
495698L, 495699L, 495701L, 495702L, 495707L, 495708L, 495710L, 
495711L, 495716L, 495717L, 495719L, 495720L, 496760L, 496761L, 
496763L, 496764L, 496769L, 496770L, 496772L, 496773L, 496778L, 
496779L, 496781L, 496782L, 496787L, 496788L, 496790L, 496791L, 
496796L, 496797L, 496799L, 496800L, 496814L, 496815L, 496817L, 
496818L, 496823L, 496824L, 496826L, 496827L, 496832L, 496833L, 
496835L, 496836L, 496841L, 496842L, 496844L, 496845L, 496850L, 
496851L, 496853L, 496854L, 496922L, 496923L, 496925L, 496926L, 
496931L, 496932L, 496934L, 496935L, 496940L, 496941L, 496943L, 
496944L, 496949L, 496950L, 496952L, 496953L, 496958L, 496959L, 
496961L, 496962L, 496976L, 496977L, 496979L, 496980L, 496985L, 
496986L, 496988L, 496989L, 496994L, 496995L, 496997L, 496998L, 
497003L, 497004L, 497006L, 497007L, 497012L, 497013L, 497015L, 
497016L, 497084L, 497085L, 497087L, 497088L, 497093L, 497094L, 
497096L, 497097L, 497102L, 497103L, 497105L, 497106L, 497111L, 
497112L, 497114L, 497115L, 497120L, 497121L, 497123L, 497124L, 
497138L, 497139L, 497141L, 497142L, 497147L, 497148L, 497150L, 
497151L, 497156L, 497157L, 497159L, 497160L, 497165L, 497166L, 
497168L, 497169L, 497174L, 497175L, 497177L, 497178L, 497246L, 
497247L, 497249L, 497250L, 497255L, 497256L, 497258L, 497259L, 
497264L, 497265L, 497267L, 497268L, 497273L, 497274L, 497276L, 
497277L, 497282L, 497283L, 497285L, 497286L, 497300L, 497301L, 
497303L, 497304L, 497309L, 497310L, 497312L, 497313L, 497318L, 
497319L, 497321L, 497322L, 497327L, 497328L, 497330L, 497331L, 
497336L, 497337L, 497339L, 497340L, 497570L, 497571L, 497573L, 
497574L, 497579L, 497580L, 497582L, 497583L, 497588L, 497589L, 
497591L, 497592L, 497597L, 497598L, 497600L, 497601L, 497606L, 
497607L, 497609L, 497610L, 497624L, 497625L, 497627L, 497628L, 
497633L, 497634L, 497636L, 497637L, 497642L, 497643L, 497645L, 
497646L, 497651L, 497652L, 497654L, 497655L, 497660L, 497661L, 
497663L, 497664L, 497732L, 497733L, 497735L, 497736L, 497741L, 
497742L, 497744L, 497745L, 497750L, 497751L, 497753L, 497754L, 
497759L, 497760L, 497762L, 497763L, 497768L, 497769L, 497771L, 
497772L, 497786L, 497787L, 497789L, 497790L, 497795L, 497796L, 
497798L, 497799L, 497804L, 497805L, 497807L, 497808L, 497813L, 
497814L, 497816L, 497817L, 497822L, 497823L, 497825L, 497826L, 
497894L, 497895L, 497897L, 497898L, 497903L, 497904L, 497906L, 
497907L, 497912L, 497913L, 497915L, 497916L, 497921L, 497922L, 
497924L, 497925L, 497930L, 497931L, 497933L, 497934L, 497948L, 
497949L, 497951L, 497952L, 497957L, 497958L, 497960L, 497961L, 
497966L, 497967L, 497969L, 497970L, 497975L, 497976L, 497978L, 
497979L, 497984L, 497985L, 497987L, 497988L, 498056L, 498057L, 
498059L, 498060L, 498065L, 498066L, 498068L, 498069L, 498074L, 
498075L, 498077L, 498078L, 498083L, 498084L, 498086L, 498087L, 
498092L, 498093L, 498095L, 498096L, 498110L, 498111L, 498113L, 
498114L, 498119L, 498120L, 498122L, 498123L, 498128L, 498129L, 
498131L, 498132L, 498137L, 498138L, 498140L, 498141L, 498146L, 
498147L, 498149L, 498150L, 498380L, 498381L, 498383L, 498384L, 
498389L, 498390L, 498392L, 498393L, 498398L, 498399L, 498401L, 
498402L, 498407L, 498408L, 498410L, 498411L, 498416L, 498417L, 
498419L, 498420L, 498434L, 498435L, 498437L, 498438L, 498443L, 
498444L, 498446L, 498447L, 498452L, 498453L, 498455L, 498456L, 
498461L, 498462L, 498464L, 498465L, 498470L, 498471L, 498473L, 
498474L, 498542L, 498543L, 498545L, 498546L, 498551L, 498552L, 
498554L, 498555L, 498560L, 498561L, 498563L, 498564L, 498569L, 
498570L, 498572L, 498573L, 498578L, 498579L, 498581L, 498582L, 
498596L, 498597L, 498599L, 498600L, 498605L, 498606L, 498608L, 
498609L, 498614L, 498615L, 498617L, 498618L, 498623L, 498624L, 
498626L, 498627L, 498632L, 498633L, 498635L, 498636L, 498704L, 
498705L, 498707L, 498708L, 498713L, 498714L, 498716L, 498717L, 
498722L, 498723L, 498725L, 498726L, 498731L, 498732L, 498734L, 
498735L, 498740L, 498741L, 498743L, 498744L, 498758L, 498759L, 
498761L, 498762L, 498767L, 498768L, 498770L, 498771L, 498776L, 
498777L, 498779L, 498780L, 498785L, 498786L, 498788L, 498789L, 
498794L, 498795L, 498797L, 498798L, 498866L, 498867L, 498869L, 
498870L, 498875L, 498876L, 498878L, 498879L, 498884L, 498885L, 
498887L, 498888L, 498893L, 498894L, 498896L, 498897L, 498902L, 
498903L, 498905L, 498906L, 498920L, 498921L, 498923L, 498924L, 
498929L, 498930L, 498932L, 498933L, 498938L, 498939L, 498941L, 
498942L, 498947L, 498948L, 498950L, 498951L, 498956L, 498957L, 
498959L, 498960L, 499190L, 499191L, 499193L, 499194L, 499199L, 
499200L, 499202L, 499203L, 499208L, 499209L, 499211L, 499212L, 
499217L, 499218L, 499220L, 499221L, 499226L, 499227L, 499229L, 
499230L, 499244L, 499245L, 499247L, 499248L, 499253L, 499254L, 
499256L, 499257L, 499262L, 499263L, 499265L, 499266L, 499271L, 
499272L, 499274L, 499275L, 499280L, 499281L, 499283L, 499284L, 
499352L, 499353L, 499355L, 499356L, 499361L, 499362L, 499364L, 
499365L, 499370L, 499371L, 499373L, 499374L, 499379L, 499380L, 
499382L, 499383L, 499388L, 499389L, 499391L, 499392L, 499406L, 
499407L, 499409L, 499410L, 499415L, 499416L, 499418L, 499419L, 
499424L, 499425L, 499427L, 499428L, 499433L, 499434L, 499436L, 
499437L, 499442L, 499443L, 499445L, 499446L, 499514L, 499515L, 
499517L, 499518L, 499523L, 499524L, 499526L, 499527L, 499532L, 
499533L, 499535L, 499536L, 499541L, 499542L, 499544L, 499545L, 
499550L, 499551L, 499553L, 499554L, 499568L, 499569L, 499571L, 
499572L, 499577L, 499578L, 499580L, 499581L, 499586L, 499587L, 
499589L, 499590L, 499595L, 499596L, 499598L, 499599L, 499604L, 
499605L, 499607L, 499608L, 499676L, 499677L, 499679L, 499680L, 
499685L, 499686L, 499688L, 499689L, 499694L, 499695L, 499697L, 
499698L, 499703L, 499704L, 499706L, 499707L, 499712L, 499713L, 
499715L, 499716L, 499730L, 499731L, 499733L, 499734L, 499739L, 
499740L, 499742L, 499743L, 499748L, 499749L, 499751L, 499752L, 
499757L, 499758L, 499760L, 499761L, 499766L, 499767L, 499769L, 
499770L, 500000L, 500001L, 500003L, 500004L, 500009L, 500010L, 
500012L, 500013L, 500018L, 500019L, 500021L, 500022L, 500027L, 
500028L, 500030L, 500031L, 500036L, 500037L, 500039L, 500040L, 
500054L, 500055L, 500057L, 500058L, 500063L, 500064L, 500066L, 
500067L, 500072L, 500073L, 500075L, 500076L, 500081L, 500082L, 
500084L, 500085L, 500090L, 500091L, 500093L, 500094L, 500162L, 
500163L, 500165L, 500166L, 500171L, 500172L, 500174L, 500175L, 
500180L, 500181L, 500183L, 500184L, 500189L, 500190L, 500192L, 
500193L, 500198L, 500199L, 500201L, 500202L, 500216L, 500217L, 
500219L, 500220L, 500225L, 500226L, 500228L, 500229L, 500234L, 
500235L, 500237L, 500238L, 500243L, 500244L, 500246L, 500247L, 
500252L, 500253L, 500255L, 500256L, 500324L, 500325L, 500327L, 
500328L, 500333L, 500334L, 500336L, 500337L, 500342L, 500343L, 
500345L, 500346L, 500351L, 500352L, 500354L, 500355L, 500360L, 
500361L, 500363L, 500364L, 500378L, 500379L, 500381L, 500382L, 
500387L, 500388L, 500390L, 500391L, 500396L, 500397L, 500399L, 
500400L, 500405L, 500406L, 500408L, 500409L, 500414L, 500415L, 
500417L, 500418L, 500486L, 500487L, 500489L, 500490L, 500495L, 
500496L, 500498L, 500499L, 500504L, 500505L, 500507L, 500508L, 
500513L, 500514L, 500516L, 500517L, 500522L, 500523L, 500525L, 
500526L, 500540L, 500541L, 500543L, 500544L, 500549L, 500550L, 
500552L, 500553L, 500558L, 500559L, 500561L, 500562L, 500567L, 
500568L, 500570L, 500571L, 500576L, 500577L, 500579L, 500580L, 
501620L, 501621L, 501623L, 501624L, 501629L, 501630L, 501632L, 
501633L, 501638L, 501639L, 501641L, 501642L, 501647L, 501648L, 
501650L, 501651L, 501656L, 501657L, 501659L, 501660L, 501674L, 
501675L, 501677L, 501678L, 501683L, 501684L, 501686L, 501687L, 
501692L, 501693L, 501695L, 501696L, 501701L, 501702L, 501704L, 
501705L, 501710L, 501711L, 501713L, 501714L, 501782L, 501783L, 
501785L, 501786L, 501791L, 501792L, 501794L, 501795L, 501800L, 
501801L, 501803L, 501804L, 501809L, 501810L, 501812L, 501813L, 
501818L, 501819L, 501821L, 501822L, 501836L, 501837L, 501839L, 
501840L, 501845L, 501846L, 501848L, 501849L, 501854L, 501855L, 
501857L, 501858L, 501863L, 501864L, 501866L, 501867L, 501872L, 
501873L, 501875L, 501876L, 501944L, 501945L, 501947L, 501948L, 
501953L, 501954L, 501956L, 501957L, 501962L, 501963L, 501965L, 
501966L, 501971L, 501972L, 501974L, 501975L, 501980L, 501981L, 
501983L, 501984L, 501998L, 501999L, 502001L, 502002L, 502007L, 
502008L, 502010L, 502011L, 502016L, 502017L, 502019L, 502020L, 
502025L, 502026L, 502028L, 502029L, 502034L, 502035L, 502037L, 
502038L, 502106L, 502107L, 502109L, 502110L, 502115L, 502116L, 
502118L, 502119L, 502124L, 502125L, 502127L, 502128L, 502133L, 
502134L, 502136L, 502137L, 502142L, 502143L, 502145L, 502146L, 
502160L, 502161L, 502163L, 502164L, 502169L, 502170L, 502172L, 
502173L, 502178L, 502179L, 502181L, 502182L, 502187L, 502188L, 
502190L, 502191L, 502196L, 502197L, 502199L, 502200L, 502430L, 
502431L, 502433L, 502434L, 502439L, 502440L, 502442L, 502443L, 
502448L, 502449L, 502451L, 502452L, 502457L, 502458L, 502460L, 
502461L, 502466L, 502467L, 502469L, 502470L, 502484L, 502485L, 
502487L, 502488L, 502493L, 502494L, 502496L, 502497L, 502502L, 
502503L, 502505L, 502506L, 502511L, 502512L, 502514L, 502515L, 
502520L, 502521L, 502523L, 502524L, 502592L, 502593L, 502595L, 
502596L, 502601L, 502602L, 502604L, 502605L, 502610L, 502611L, 
502613L, 502614L, 502619L, 502620L, 502622L, 502623L, 502628L, 
502629L, 502631L, 502632L, 502646L, 502647L, 502649L, 502650L, 
502655L, 502656L, 502658L, 502659L, 502664L, 502665L, 502667L, 
502668L, 502673L, 502674L, 502676L, 502677L, 502682L, 502683L, 
502685L, 502686L, 502754L, 502755L, 502757L, 502758L, 502763L, 
502764L, 502766L, 502767L, 502772L, 502773L, 502775L, 502776L, 
502781L, 502782L, 502784L, 502785L, 502790L, 502791L, 502793L, 
502794L, 502808L, 502809L, 502811L, 502812L, 502817L, 502818L, 
502820L, 502821L, 502826L, 502827L, 502829L, 502830L, 502835L, 
502836L, 502838L, 502839L, 502844L, 502845L, 502847L, 502848L, 
502916L, 502917L, 502919L, 502920L, 502925L, 502926L, 502928L, 
502929L, 502934L, 502935L, 502937L, 502938L, 502943L, 502944L, 
502946L, 502947L, 502952L, 502953L, 502955L, 502956L, 502970L, 
502971L, 502973L, 502974L, 502979L, 502980L, 502982L, 502983L, 
502988L, 502989L, 502991L, 502992L, 502997L, 502998L, 503000L, 
503001L, 503006L, 503007L, 503009L, 503010L, 503240L, 503241L, 
503243L, 503244L, 503249L, 503250L, 503252L, 503253L, 503258L, 
503259L, 503261L, 503262L, 503267L, 503268L, 503270L, 503271L, 
503276L, 503277L, 503279L, 503280L, 503294L, 503295L, 503297L, 
503298L, 503303L, 503304L, 503306L, 503307L, 503312L, 503313L, 
503315L, 503316L, 503321L, 503322L, 503324L, 503325L, 503330L, 
503331L, 503333L, 503334L, 503402L, 503403L, 503405L, 503406L, 
503411L, 503412L, 503414L, 503415L, 503420L, 503421L, 503423L, 
503424L, 503429L, 503430L, 503432L, 503433L, 503438L, 503439L, 
503441L, 503442L, 503456L, 503457L, 503459L, 503460L, 503465L, 
503466L, 503468L, 503469L, 503474L, 503475L, 503477L, 503478L, 
503483L, 503484L, 503486L, 503487L, 503492L, 503493L, 503495L, 
503496L, 503564L, 503565L, 503567L, 503568L, 503573L, 503574L, 
503576L, 503577L, 503582L, 503583L, 503585L, 503586L, 503591L, 
503592L, 503594L, 503595L, 503600L, 503601L, 503603L, 503604L, 
503618L, 503619L, 503621L, 503622L, 503627L, 503628L, 503630L, 
503631L, 503636L, 503637L, 503639L, 503640L, 503645L, 503646L, 
503648L, 503649L, 503654L, 503655L, 503657L, 503658L, 503726L, 
503727L, 503729L, 503730L, 503735L, 503736L, 503738L, 503739L, 
503744L, 503745L, 503747L, 503748L, 503753L, 503754L, 503756L, 
503757L, 503762L, 503763L, 503765L, 503766L, 503780L, 503781L, 
503783L, 503784L, 503789L, 503790L, 503792L, 503793L, 503798L, 
503799L, 503801L, 503802L, 503807L, 503808L, 503810L, 503811L, 
503816L, 503817L, 503819L, 503820L, 504050L, 504051L, 504053L, 
504054L, 504059L, 504060L, 504062L, 504063L, 504068L, 504069L, 
504071L, 504072L, 504077L, 504078L, 504080L, 504081L, 504086L, 
504087L, 504089L, 504090L, 504104L, 504105L, 504107L, 504108L, 
504113L, 504114L, 504116L, 504117L, 504122L, 504123L, 504125L, 
504126L, 504131L, 504132L, 504134L, 504135L, 504140L, 504141L, 
504143L, 504144L, 504212L, 504213L, 504215L, 504216L, 504221L, 
504222L, 504224L, 504225L, 504230L, 504231L, 504233L, 504234L, 
504239L, 504240L, 504242L, 504243L, 504248L, 504249L, 504251L, 
504252L, 504266L, 504267L, 504269L, 504270L, 504275L, 504276L, 
504278L, 504279L, 504284L, 504285L, 504287L, 504288L, 504293L, 
504294L, 504296L, 504297L, 504302L, 504303L, 504305L, 504306L, 
504374L, 504375L, 504377L, 504378L, 504383L, 504384L, 504386L, 
504387L, 504392L, 504393L, 504395L, 504396L, 504401L, 504402L, 
504404L, 504405L, 504410L, 504411L, 504413L, 504414L, 504428L, 
504429L, 504431L, 504432L, 504437L, 504438L, 504440L, 504441L, 
504446L, 504447L, 504449L, 504450L, 504455L, 504456L, 504458L, 
504459L, 504464L, 504465L, 504467L, 504468L, 504536L, 504537L, 
504539L, 504540L, 504545L, 504546L, 504548L, 504549L, 504554L, 
504555L, 504557L, 504558L, 504563L, 504564L, 504566L, 504567L, 
504572L, 504573L, 504575L, 504576L, 504590L, 504591L, 504593L, 
504594L, 504599L, 504600L, 504602L, 504603L, 504608L, 504609L, 
504611L, 504612L, 504617L, 504618L, 504620L, 504621L, 504626L, 
504627L, 504629L, 504630L, 504860L, 504861L, 504863L, 504864L, 
504869L, 504870L, 504872L, 504873L, 504878L, 504879L, 504881L, 
504882L, 504887L, 504888L, 504890L, 504891L, 504896L, 504897L, 
504899L, 504900L, 504914L, 504915L, 504917L, 504918L, 504923L, 
504924L, 504926L, 504927L, 504932L, 504933L, 504935L, 504936L, 
504941L, 504942L, 504944L, 504945L, 504950L, 504951L, 504953L, 
504954L, 505022L, 505023L, 505025L, 505026L, 505031L, 505032L, 
505034L, 505035L, 505040L, 505041L, 505043L, 505044L, 505049L, 
505050L, 505052L, 505053L, 505058L, 505059L, 505061L, 505062L, 
505076L, 505077L, 505079L, 505080L, 505085L, 505086L, 505088L, 
505089L, 505094L, 505095L, 505097L, 505098L, 505103L, 505104L, 
505106L, 505107L, 505112L, 505113L, 505115L, 505116L, 505184L, 
505185L, 505187L, 505188L, 505193L, 505194L, 505196L, 505197L, 
505202L, 505203L, 505205L, 505206L, 505211L, 505212L, 505214L, 
505215L, 505220L, 505221L, 505223L, 505224L, 505238L, 505239L, 
505241L, 505242L, 505247L, 505248L, 505250L, 505251L, 505256L, 
505257L, 505259L, 505260L, 505265L, 505266L, 505268L, 505269L, 
505274L, 505275L, 505277L, 505278L, 505346L, 505347L, 505349L, 
505350L, 505355L, 505356L, 505358L, 505359L, 505364L, 505365L, 
505367L, 505368L, 505373L, 505374L, 505376L, 505377L, 505382L, 
505383L, 505385L, 505386L, 505400L, 505401L, 505403L, 505404L, 
505409L, 505410L, 505412L, 505413L, 505418L, 505419L, 505421L, 
505422L, 505427L, 505428L, 505430L, 505431L, 505436L, 505437L, 
505439L, 505440L, 516200L, 516201L, 516203L, 516204L, 516209L, 
516210L, 516212L, 516213L, 516218L, 516219L, 516221L, 516222L, 
516227L, 516228L, 516230L, 516231L, 516236L, 516237L, 516239L, 
516240L, 516254L, 516255L, 516257L, 516258L, 516263L, 516264L, 
516266L, 516267L, 516272L, 516273L, 516275L, 516276L, 516281L, 
516282L, 516284L, 516285L, 516290L, 516291L, 516293L, 516294L, 
516362L, 516363L, 516365L, 516366L, 516371L, 516372L, 516374L, 
516375L, 516380L, 516381L, 516383L, 516384L, 516389L, 516390L, 
516392L, 516393L, 516398L, 516399L, 516401L, 516402L, 516416L, 
516417L, 516419L, 516420L, 516425L, 516426L, 516428L, 516429L, 
516434L, 516435L, 516437L, 516438L, 516443L, 516444L, 516446L, 
516447L, 516452L, 516453L, 516455L, 516456L, 516524L, 516525L, 
516527L, 516528L, 516533L, 516534L, 516536L, 516537L, 516542L, 
516543L, 516545L, 516546L, 516551L, 516552L, 516554L, 516555L, 
516560L, 516561L, 516563L, 516564L, 516578L, 516579L, 516581L, 
516582L, 516587L, 516588L, 516590L, 516591L, 516596L, 516597L, 
516599L, 516600L, 516605L, 516606L, 516608L, 516609L, 516614L, 
516615L, 516617L, 516618L, 516686L, 516687L, 516689L, 516690L, 
516695L, 516696L, 516698L, 516699L, 516704L, 516705L, 516707L, 
516708L, 516713L, 516714L, 516716L, 516717L, 516722L, 516723L, 
516725L, 516726L, 516740L, 516741L, 516743L, 516744L, 516749L, 
516750L, 516752L, 516753L, 516758L, 516759L, 516761L, 516762L, 
516767L, 516768L, 516770L, 516771L, 516776L, 516777L, 516779L, 
516780L, 517010L, 517011L, 517013L, 517014L, 517019L, 517020L, 
517022L, 517023L, 517028L, 517029L, 517031L, 517032L, 517037L, 
517038L, 517040L, 517041L, 517046L, 517047L, 517049L, 517050L, 
517064L, 517065L, 517067L, 517068L, 517073L, 517074L, 517076L, 
517077L, 517082L, 517083L, 517085L, 517086L, 517091L, 517092L, 
517094L, 517095L, 517100L, 517101L, 517103L, 517104L, 517172L, 
517173L, 517175L, 517176L, 517181L, 517182L, 517184L, 517185L, 
517190L, 517191L, 517193L, 517194L, 517199L, 517200L, 517202L, 
517203L, 517208L, 517209L, 517211L, 517212L, 517226L, 517227L, 
517229L, 517230L, 517235L, 517236L, 517238L, 517239L, 517244L, 
517245L, 517247L, 517248L, 517253L, 517254L, 517256L, 517257L, 
517262L, 517263L, 517265L, 517266L, 517334L, 517335L, 517337L, 
517338L, 517343L, 517344L, 517346L, 517347L, 517352L, 517353L, 
517355L, 517356L, 517361L, 517362L, 517364L, 517365L, 517370L, 
517371L, 517373L, 517374L, 517388L, 517389L, 517391L, 517392L, 
517397L, 517398L, 517400L, 517401L, 517406L, 517407L, 517409L, 
517410L, 517415L, 517416L, 517418L, 517419L, 517424L, 517425L, 
517427L, 517428L, 517496L, 517497L, 517499L, 517500L, 517505L, 
517506L, 517508L, 517509L, 517514L, 517515L, 517517L, 517518L, 
517523L, 517524L, 517526L, 517527L, 517532L, 517533L, 517535L, 
517536L, 517550L, 517551L, 517553L, 517554L, 517559L, 517560L, 
517562L, 517563L, 517568L, 517569L, 517571L, 517572L, 517577L, 
517578L, 517580L, 517581L, 517586L, 517587L, 517589L, 517590L, 
517820L, 517821L, 517823L, 517824L, 517829L, 517830L, 517832L, 
517833L, 517838L, 517839L, 517841L, 517842L, 517847L, 517848L, 
517850L, 517851L, 517856L, 517857L, 517859L, 517860L, 517874L, 
517875L, 517877L, 517878L, 517883L, 517884L, 517886L, 517887L, 
517892L, 517893L, 517895L, 517896L, 517901L, 517902L, 517904L, 
517905L, 517910L, 517911L, 517913L, 517914L, 517982L, 517983L, 
517985L, 517986L, 517991L, 517992L, 517994L, 517995L, 518000L, 
518001L, 518003L, 518004L, 518009L, 518010L, 518012L, 518013L, 
518018L, 518019L, 518021L, 518022L, 518036L, 518037L, 518039L, 
518040L, 518045L, 518046L, 518048L, 518049L, 518054L, 518055L, 
518057L, 518058L, 518063L, 518064L, 518066L, 518067L, 518072L, 
518073L, 518075L, 518076L, 518144L, 518145L, 518147L, 518148L, 
518153L, 518154L, 518156L, 518157L, 518162L, 518163L, 518165L, 
518166L, 518171L, 518172L, 518174L, 518175L, 518180L, 518181L, 
518183L, 518184L, 518198L, 518199L, 518201L, 518202L, 518207L, 
518208L, 518210L, 518211L, 518216L, 518217L, 518219L, 518220L, 
518225L, 518226L, 518228L, 518229L, 518234L, 518235L, 518237L, 
518238L, 518306L, 518307L, 518309L, 518310L, 518315L, 518316L, 
518318L, 518319L, 518324L, 518325L, 518327L, 518328L, 518333L, 
518334L, 518336L, 518337L, 518342L, 518343L, 518345L, 518346L, 
518360L, 518361L, 518363L, 518364L, 518369L, 518370L, 518372L, 
518373L, 518378L, 518379L, 518381L, 518382L, 518387L, 518388L, 
518390L, 518391L, 518396L, 518397L, 518399L, 518400L, 518630L, 
518631L, 518633L, 518634L, 518639L, 518640L, 518642L, 518643L, 
518648L, 518649L, 518651L, 518652L, 518657L, 518658L, 518660L, 
518661L, 518666L, 518667L, 518669L, 518670L, 518684L, 518685L, 
518687L, 518688L, 518693L, 518694L, 518696L, 518697L, 518702L, 
518703L, 518705L, 518706L, 518711L, 518712L, 518714L, 518715L, 
518720L, 518721L, 518723L, 518724L, 518792L, 518793L, 518795L, 
518796L, 518801L, 518802L, 518804L, 518805L, 518810L, 518811L, 
518813L, 518814L, 518819L, 518820L, 518822L, 518823L, 518828L, 
518829L, 518831L, 518832L, 518846L, 518847L, 518849L, 518850L, 
518855L, 518856L, 518858L, 518859L, 518864L, 518865L, 518867L, 
518868L, 518873L, 518874L, 518876L, 518877L, 518882L, 518883L, 
518885L, 518886L, 518954L, 518955L, 518957L, 518958L, 518963L, 
518964L, 518966L, 518967L, 518972L, 518973L, 518975L, 518976L, 
518981L, 518982L, 518984L, 518985L, 518990L, 518991L, 518993L, 
518994L, 519008L, 519009L, 519011L, 519012L, 519017L, 519018L, 
519020L, 519021L, 519026L, 519027L, 519029L, 519030L, 519035L, 
519036L, 519038L, 519039L, 519044L, 519045L, 519047L, 519048L, 
519116L, 519117L, 519119L, 519120L, 519125L, 519126L, 519128L, 
519129L, 519134L, 519135L, 519137L, 519138L, 519143L, 519144L, 
519146L, 519147L, 519152L, 519153L, 519155L, 519156L, 519170L, 
519171L, 519173L, 519174L, 519179L, 519180L, 519182L, 519183L, 
519188L, 519189L, 519191L, 519192L, 519197L, 519198L, 519200L, 
519201L, 519206L, 519207L, 519209L, 519210L, 519440L, 519441L, 
519443L, 519444L, 519449L, 519450L, 519452L, 519453L, 519458L, 
519459L, 519461L, 519462L, 519467L, 519468L, 519470L, 519471L, 
519476L, 519477L, 519479L, 519480L, 519494L, 519495L, 519497L, 
519498L, 519503L, 519504L, 519506L, 519507L, 519512L, 519513L, 
519515L, 519516L, 519521L, 519522L, 519524L, 519525L, 519530L, 
519531L, 519533L, 519534L, 519602L, 519603L, 519605L, 519606L, 
519611L, 519612L, 519614L, 519615L, 519620L, 519621L, 519623L, 
519624L, 519629L, 519630L, 519632L, 519633L, 519638L, 519639L, 
519641L, 519642L, 519656L, 519657L, 519659L, 519660L, 519665L, 
519666L, 519668L, 519669L, 519674L, 519675L, 519677L, 519678L, 
519683L, 519684L, 519686L, 519687L, 519692L, 519693L, 519695L, 
519696L, 519764L, 519765L, 519767L, 519768L, 519773L, 519774L, 
519776L, 519777L, 519782L, 519783L, 519785L, 519786L, 519791L, 
519792L, 519794L, 519795L, 519800L, 519801L, 519803L, 519804L, 
519818L, 519819L, 519821L, 519822L, 519827L, 519828L, 519830L, 
519831L, 519836L, 519837L, 519839L, 519840L, 519845L, 519846L, 
519848L, 519849L, 519854L, 519855L, 519857L, 519858L, 519926L, 
519927L, 519929L, 519930L, 519935L, 519936L, 519938L, 519939L, 
519944L, 519945L, 519947L, 519948L, 519953L, 519954L, 519956L, 
519957L, 519962L, 519963L, 519965L, 519966L, 519980L, 519981L, 
519983L, 519984L, 519989L, 519990L, 519992L, 519993L, 519998L, 
519999L, 520001L, 520002L, 520007L, 520008L, 520010L, 520011L, 
520016L, 520017L, 520019L, 520020L, 521060L, 521061L, 521063L, 
521064L, 521069L, 521070L, 521072L, 521073L, 521078L, 521079L, 
521081L, 521082L, 521087L, 521088L, 521090L, 521091L, 521096L, 
521097L, 521099L, 521100L, 521114L, 521115L, 521117L, 521118L, 
521123L, 521124L, 521126L, 521127L, 521132L, 521133L, 521135L, 
521136L, 521141L, 521142L, 521144L, 521145L, 521150L, 521151L, 
521153L, 521154L, 521222L, 521223L, 521225L, 521226L, 521231L, 
521232L, 521234L, 521235L, 521240L, 521241L, 521243L, 521244L, 
521249L, 521250L, 521252L, 521253L, 521258L, 521259L, 521261L, 
521262L, 521276L, 521277L, 521279L, 521280L, 521285L, 521286L, 
521288L, 521289L, 521294L, 521295L, 521297L, 521298L, 521303L, 
521304L, 521306L, 521307L, 521312L, 521313L, 521315L, 521316L, 
521384L, 521385L, 521387L, 521388L, 521393L, 521394L, 521396L, 
521397L, 521402L, 521403L, 521405L, 521406L, 521411L, 521412L, 
521414L, 521415L, 521420L, 521421L, 521423L, 521424L, 521438L, 
521439L, 521441L, 521442L, 521447L, 521448L, 521450L, 521451L, 
521456L, 521457L, 521459L, 521460L, 521465L, 521466L, 521468L, 
521469L, 521474L, 521475L, 521477L, 521478L, 521546L, 521547L, 
521549L, 521550L, 521555L, 521556L, 521558L, 521559L, 521564L, 
521565L, 521567L, 521568L, 521573L, 521574L, 521576L, 521577L, 
521582L, 521583L, 521585L, 521586L, 521600L, 521601L, 521603L, 
521604L, 521609L, 521610L, 521612L, 521613L, 521618L, 521619L, 
521621L, 521622L, 521627L, 521628L, 521630L, 521631L, 521636L, 
521637L, 521639L, 521640L, 521870L, 521871L, 521873L, 521874L, 
521879L, 521880L, 521882L, 521883L, 521888L, 521889L, 521891L, 
521892L, 521897L, 521898L, 521900L, 521901L, 521906L, 521907L, 
521909L, 521910L, 521924L, 521925L, 521927L, 521928L, 521933L, 
521934L, 521936L, 521937L, 521942L, 521943L, 521945L, 521946L, 
521951L, 521952L, 521954L, 521955L, 521960L, 521961L, 521963L, 
521964L, 522032L, 522033L, 522035L, 522036L, 522041L, 522042L, 
522044L, 522045L, 522050L, 522051L, 522053L, 522054L, 522059L, 
522060L, 522062L, 522063L, 522068L, 522069L, 522071L, 522072L, 
522086L, 522087L, 522089L, 522090L, 522095L, 522096L, 522098L, 
522099L, 522104L, 522105L, 522107L, 522108L, 522113L, 522114L, 
522116L, 522117L, 522122L, 522123L, 522125L, 522126L, 522194L, 
522195L, 522197L, 522198L, 522203L, 522204L, 522206L, 522207L, 
522212L, 522213L, 522215L, 522216L, 522221L, 522222L, 522224L, 
522225L, 522230L, 522231L, 522233L, 522234L, 522248L, 522249L, 
522251L, 522252L, 522257L, 522258L, 522260L, 522261L, 522266L, 
522267L, 522269L, 522270L, 522275L, 522276L, 522278L, 522279L, 
522284L, 522285L, 522287L, 522288L, 522356L, 522357L, 522359L, 
522360L, 522365L, 522366L, 522368L, 522369L, 522374L, 522375L, 
522377L, 522378L, 522383L, 522384L, 522386L, 522387L, 522392L, 
522393L, 522395L, 522396L, 522410L, 522411L, 522413L, 522414L, 
522419L, 522420L, 522422L, 522423L, 522428L, 522429L, 522431L, 
522432L, 522437L, 522438L, 522440L, 522441L, 522446L, 522447L, 
522449L, 522450L, 522680L, 522681L, 522683L, 522684L, 522689L, 
522690L, 522692L, 522693L, 522698L, 522699L, 522701L, 522702L, 
522707L, 522708L, 522710L, 522711L, 522716L, 522717L, 522719L, 
522720L, 522734L, 522735L, 522737L, 522738L, 522743L, 522744L, 
522746L, 522747L, 522752L, 522753L, 522755L, 522756L, 522761L, 
522762L, 522764L, 522765L, 522770L, 522771L, 522773L, 522774L, 
522842L, 522843L, 522845L, 522846L, 522851L, 522852L, 522854L, 
522855L, 522860L, 522861L, 522863L, 522864L, 522869L, 522870L, 
522872L, 522873L, 522878L, 522879L, 522881L, 522882L, 522896L, 
522897L, 522899L, 522900L, 522905L, 522906L, 522908L, 522909L, 
522914L, 522915L, 522917L, 522918L, 522923L, 522924L, 522926L, 
522927L, 522932L, 522933L, 522935L, 522936L, 523004L, 523005L, 
523007L, 523008L, 523013L, 523014L, 523016L, 523017L, 523022L, 
523023L, 523025L, 523026L, 523031L, 523032L, 523034L, 523035L, 
523040L, 523041L, 523043L, 523044L, 523058L, 523059L, 523061L, 
523062L, 523067L, 523068L, 523070L, 523071L, 523076L, 523077L, 
523079L, 523080L, 523085L, 523086L, 523088L, 523089L, 523094L, 
523095L, 523097L, 523098L, 523166L, 523167L, 523169L, 523170L, 
523175L, 523176L, 523178L, 523179L, 523184L, 523185L, 523187L, 
523188L, 523193L, 523194L, 523196L, 523197L, 523202L, 523203L, 
523205L, 523206L, 523220L, 523221L, 523223L, 523224L, 523229L, 
523230L, 523232L, 523233L, 523238L, 523239L, 523241L, 523242L, 
523247L, 523248L, 523250L, 523251L, 523256L, 523257L, 523259L, 
523260L, 523490L, 523491L, 523493L, 523494L, 523499L, 523500L, 
523502L, 523503L, 523508L, 523509L, 523511L, 523512L, 523517L, 
523518L, 523520L, 523521L, 523526L, 523527L, 523529L, 523530L, 
523544L, 523545L, 523547L, 523548L, 523553L, 523554L, 523556L, 
523557L, 523562L, 523563L, 523565L, 523566L, 523571L, 523572L, 
523574L, 523575L, 523580L, 523581L, 523583L, 523584L, 523652L, 
523653L, 523655L, 523656L, 523661L, 523662L, 523664L, 523665L, 
523670L, 523671L, 523673L, 523674L, 523679L, 523680L, 523682L, 
523683L, 523688L, 523689L, 523691L, 523692L, 523706L, 523707L, 
523709L, 523710L, 523715L, 523716L, 523718L, 523719L, 523724L, 
523725L, 523727L, 523728L, 523733L, 523734L, 523736L, 523737L, 
523742L, 523743L, 523745L, 523746L, 523814L, 523815L, 523817L, 
523818L, 523823L, 523824L, 523826L, 523827L, 523832L, 523833L, 
523835L, 523836L, 523841L, 523842L, 523844L, 523845L, 523850L, 
523851L, 523853L, 523854L, 523868L, 523869L, 523871L, 523872L, 
523877L, 523878L, 523880L, 523881L, 523886L, 523887L, 523889L, 
523890L, 523895L, 523896L, 523898L, 523899L, 523904L, 523905L, 
523907L, 523908L, 523976L, 523977L, 523979L, 523980L, 523985L, 
523986L, 523988L, 523989L, 523994L, 523995L, 523997L, 523998L, 
524003L, 524004L, 524006L, 524007L, 524012L, 524013L, 524015L, 
524016L, 524030L, 524031L, 524033L, 524034L, 524039L, 524040L, 
524042L, 524043L, 524048L, 524049L, 524051L, 524052L, 524057L, 
524058L, 524060L, 524061L, 524066L, 524067L, 524069L, 524070L, 
524300L, 524301L, 524303L, 524304L, 524309L, 524310L, 524312L, 
524313L, 524318L, 524319L, 524321L, 524322L, 524327L, 524328L, 
524330L, 524331L, 524336L, 524337L, 524339L, 524340L, 524354L, 
524355L, 524357L, 524358L, 524363L, 524364L, 524366L, 524367L, 
524372L, 524373L, 524375L, 524376L, 524381L, 524382L, 524384L, 
524385L, 524390L, 524391L, 524393L, 524394L, 524462L, 524463L, 
524465L, 524466L, 524471L, 524472L, 524474L, 524475L, 524480L, 
524481L, 524483L, 524484L, 524489L, 524490L, 524492L, 524493L, 
524498L, 524499L, 524501L, 524502L, 524516L, 524517L, 524519L, 
524520L, 524525L, 524526L, 524528L, 524529L, 524534L, 524535L, 
524537L, 524538L, 524543L, 524544L, 524546L, 524547L, 524552L, 
524553L, 524555L, 524556L, 524624L, 524625L, 524627L, 524628L, 
524633L, 524634L, 524636L, 524637L, 524642L, 524643L, 524645L, 
524646L, 524651L, 524652L, 524654L, 524655L, 524660L, 524661L, 
524663L, 524664L, 524678L, 524679L, 524681L, 524682L, 524687L, 
524688L, 524690L, 524691L, 524696L, 524697L, 524699L, 524700L, 
524705L, 524706L, 524708L, 524709L, 524714L, 524715L, 524717L, 
524718L, 524786L, 524787L, 524789L, 524790L, 524795L, 524796L, 
524798L, 524799L, 524804L, 524805L, 524807L, 524808L, 524813L, 
524814L, 524816L, 524817L, 524822L, 524823L, 524825L, 524826L, 
524840L, 524841L, 524843L, 524844L, 524849L, 524850L, 524852L, 
524853L, 524858L, 524859L, 524861L, 524862L, 524867L, 524868L, 
524870L, 524871L, 524876L, 524877L, 524879L, 524880L, 525920L, 
525921L, 525923L, 525924L, 525929L, 525930L, 525932L, 525933L, 
525938L, 525939L, 525941L, 525942L, 525947L, 525948L, 525950L, 
525951L, 525956L, 525957L, 525959L, 525960L, 525974L, 525975L, 
525977L, 525978L, 525983L, 525984L, 525986L, 525987L, 525992L, 
525993L, 525995L, 525996L, 526001L, 526002L, 526004L, 526005L, 
526010L, 526011L, 526013L, 526014L, 526082L, 526083L, 526085L, 
526086L, 526091L, 526092L, 526094L, 526095L, 526100L, 526101L, 
526103L, 526104L, 526109L, 526110L, 526112L, 526113L, 526118L, 
526119L, 526121L, 526122L, 526136L, 526137L, 526139L, 526140L, 
526145L, 526146L, 526148L, 526149L, 526154L, 526155L, 526157L, 
526158L, 526163L, 526164L, 526166L, 526167L, 526172L, 526173L, 
526175L, 526176L, 526244L, 526245L, 526247L, 526248L, 526253L, 
526254L, 526256L, 526257L, 526262L, 526263L, 526265L, 526266L, 
526271L, 526272L, 526274L, 526275L, 526280L, 526281L, 526283L, 
526284L, 526298L, 526299L, 526301L, 526302L, 526307L, 526308L, 
526310L, 526311L, 526316L, 526317L, 526319L, 526320L, 526325L, 
526326L, 526328L, 526329L, 526334L, 526335L, 526337L, 526338L, 
526406L, 526407L, 526409L, 526410L, 526415L, 526416L, 526418L, 
526419L, 526424L, 526425L, 526427L, 526428L, 526433L, 526434L, 
526436L, 526437L, 526442L, 526443L, 526445L, 526446L, 526460L, 
526461L, 526463L, 526464L, 526469L, 526470L, 526472L, 526473L, 
526478L, 526479L, 526481L, 526482L, 526487L, 526488L, 526490L, 
526491L, 526496L, 526497L, 526499L, 526500L, 526730L, 526731L, 
526733L, 526734L, 526739L, 526740L, 526742L, 526743L, 526748L, 
526749L, 526751L, 526752L, 526757L, 526758L, 526760L, 526761L, 
526766L, 526767L, 526769L, 526770L, 526784L, 526785L, 526787L, 
526788L, 526793L, 526794L, 526796L, 526797L, 526802L, 526803L, 
526805L, 526806L, 526811L, 526812L, 526814L, 526815L, 526820L, 
526821L, 526823L, 526824L, 526892L, 526893L, 526895L, 526896L, 
526901L, 526902L, 526904L, 526905L, 526910L, 526911L, 526913L, 
526914L, 526919L, 526920L, 526922L, 526923L, 526928L, 526929L, 
526931L, 526932L, 526946L, 526947L, 526949L, 526950L, 526955L, 
526956L, 526958L, 526959L, 526964L, 526965L, 526967L, 526968L, 
526973L, 526974L, 526976L, 526977L, 526982L, 526983L, 526985L, 
526986L, 527054L, 527055L, 527057L, 527058L, 527063L, 527064L, 
527066L, 527067L, 527072L, 527073L, 527075L, 527076L, 527081L, 
527082L, 527084L, 527085L, 527090L, 527091L, 527093L, 527094L, 
527108L, 527109L, 527111L, 527112L, 527117L, 527118L, 527120L, 
527121L, 527126L, 527127L, 527129L, 527130L, 527135L, 527136L, 
527138L, 527139L, 527144L, 527145L, 527147L, 527148L, 527216L, 
527217L, 527219L, 527220L, 527225L, 527226L, 527228L, 527229L, 
527234L, 527235L, 527237L, 527238L, 527243L, 527244L, 527246L, 
527247L, 527252L, 527253L, 527255L, 527256L, 527270L, 527271L, 
527273L, 527274L, 527279L, 527280L, 527282L, 527283L, 527288L, 
527289L, 527291L, 527292L, 527297L, 527298L, 527300L, 527301L, 
527306L, 527307L, 527309L, 527310L, 527540L, 527541L, 527543L, 
527544L, 527549L, 527550L, 527552L, 527553L, 527558L, 527559L, 
527561L, 527562L, 527567L, 527568L, 527570L, 527571L, 527576L, 
527577L, 527579L, 527580L, 527594L, 527595L, 527597L, 527598L, 
527603L, 527604L, 527606L, 527607L, 527612L, 527613L, 527615L, 
527616L, 527621L, 527622L, 527624L, 527625L, 527630L, 527631L, 
527633L, 527634L, 527702L, 527703L, 527705L, 527706L, 527711L, 
527712L, 527714L, 527715L, 527720L, 527721L, 527723L, 527724L, 
527729L, 527730L, 527732L, 527733L, 527738L, 527739L, 527741L, 
527742L, 527756L, 527757L, 527759L, 527760L, 527765L, 527766L, 
527768L, 527769L, 527774L, 527775L, 527777L, 527778L, 527783L, 
527784L, 527786L, 527787L, 527792L, 527793L, 527795L, 527796L, 
527864L, 527865L, 527867L, 527868L, 527873L, 527874L, 527876L, 
527877L, 527882L, 527883L, 527885L, 527886L, 527891L, 527892L, 
527894L, 527895L, 527900L, 527901L, 527903L, 527904L, 527918L, 
527919L, 527921L, 527922L, 527927L, 527928L, 527930L, 527931L, 
527936L, 527937L, 527939L, 527940L, 527945L, 527946L, 527948L, 
527949L, 527954L, 527955L, 527957L, 527958L, 528026L, 528027L, 
528029L, 528030L, 528035L, 528036L, 528038L, 528039L, 528044L, 
528045L, 528047L, 528048L, 528053L, 528054L, 528056L, 528057L, 
528062L, 528063L, 528065L, 528066L, 528080L, 528081L, 528083L, 
528084L, 528089L, 528090L, 528092L, 528093L, 528098L, 528099L, 
528101L, 528102L, 528107L, 528108L, 528110L, 528111L, 528116L, 
528117L, 528119L, 528120L, 528350L, 528351L, 528353L, 528354L, 
528359L, 528360L, 528362L, 528363L, 528368L, 528369L, 528371L, 
528372L, 528377L, 528378L, 528380L, 528381L, 528386L, 528387L, 
528389L, 528390L, 528404L, 528405L, 528407L, 528408L, 528413L, 
528414L, 528416L, 528417L, 528422L, 528423L, 528425L, 528426L, 
528431L, 528432L, 528434L, 528435L, 528440L, 528441L, 528443L, 
528444L, 528512L, 528513L, 528515L, 528516L, 528521L, 528522L, 
528524L, 528525L, 528530L, 528531L, 528533L, 528534L, 528539L, 
528540L, 528542L, 528543L, 528548L, 528549L, 528551L, 528552L, 
528566L, 528567L, 528569L, 528570L, 528575L, 528576L, 528578L, 
528579L, 528584L, 528585L, 528587L, 528588L, 528593L, 528594L, 
528596L, 528597L, 528602L, 528603L, 528605L, 528606L, 528674L, 
528675L, 528677L, 528678L, 528683L, 528684L, 528686L, 528687L, 
528692L, 528693L, 528695L, 528696L, 528701L, 528702L, 528704L, 
528705L, 528710L, 528711L, 528713L, 528714L, 528728L, 528729L, 
528731L, 528732L, 528737L, 528738L, 528740L, 528741L, 528746L, 
528747L, 528749L, 528750L, 528755L, 528756L, 528758L, 528759L, 
528764L, 528765L, 528767L, 528768L, 528836L, 528837L, 528839L, 
528840L, 528845L, 528846L, 528848L, 528849L, 528854L, 528855L, 
528857L, 528858L, 528863L, 528864L, 528866L, 528867L, 528872L, 
528873L, 528875L, 528876L, 528890L, 528891L, 528893L, 528894L, 
528899L, 528900L, 528902L, 528903L, 528908L, 528909L, 528911L, 
528912L, 528917L, 528918L, 528920L, 528921L, 528926L, 528927L, 
528929L, 528930L, 529160L, 529161L, 529163L, 529164L, 529169L, 
529170L, 529172L, 529173L, 529178L, 529179L, 529181L, 529182L, 
529187L, 529188L, 529190L, 529191L, 529196L, 529197L, 529199L, 
529200L, 529214L, 529215L, 529217L, 529218L, 529223L, 529224L, 
529226L, 529227L, 529232L, 529233L, 529235L, 529236L, 529241L, 
529242L, 529244L, 529245L, 529250L, 529251L, 529253L, 529254L, 
529322L, 529323L, 529325L, 529326L, 529331L, 529332L, 529334L, 
529335L, 529340L, 529341L, 529343L, 529344L, 529349L, 529350L, 
529352L, 529353L, 529358L, 529359L, 529361L, 529362L, 529376L, 
529377L, 529379L, 529380L, 529385L, 529386L, 529388L, 529389L, 
529394L, 529395L, 529397L, 529398L, 529403L, 529404L, 529406L, 
529407L, 529412L, 529413L, 529415L, 529416L, 529484L, 529485L, 
529487L, 529488L, 529493L, 529494L, 529496L, 529497L, 529502L, 
529503L, 529505L, 529506L, 529511L, 529512L, 529514L, 529515L, 
529520L, 529521L, 529523L, 529524L, 529538L, 529539L, 529541L, 
529542L, 529547L, 529548L, 529550L, 529551L, 529556L, 529557L, 
529559L, 529560L, 529565L, 529566L, 529568L, 529569L, 529574L, 
529575L, 529577L, 529578L, 529646L, 529647L, 529649L, 529650L, 
529655L, 529656L, 529658L, 529659L, 529664L, 529665L, 529667L, 
529668L, 529673L, 529674L, 529676L, 529677L, 529682L, 529683L, 
529685L, 529686L, 529700L, 529701L, 529703L, 529704L, 529709L, 
529710L, 529712L, 529713L, 529718L, 529719L, 529721L, 529722L, 
529727L, 529728L, 529730L, 529731L, 529736L, 529737L, 529739L, 
529740L, 540500L, 540501L, 540503L, 540504L, 540509L, 540510L, 
540512L, 540513L, 540518L, 540519L, 540521L, 540522L, 540527L, 
540528L, 540530L, 540531L, 540536L, 540537L, 540539L, 540540L, 
540554L, 540555L, 540557L, 540558L, 540563L, 540564L, 540566L, 
540567L, 540572L, 540573L, 540575L, 540576L, 540581L, 540582L, 
540584L, 540585L, 540590L, 540591L, 540593L, 540594L, 540662L, 
540663L, 540665L, 540666L, 540671L, 540672L, 540674L, 540675L, 
540680L, 540681L, 540683L, 540684L, 540689L, 540690L, 540692L, 
540693L, 540698L, 540699L, 540701L, 540702L, 540716L, 540717L, 
540719L, 540720L, 540725L, 540726L, 540728L, 540729L, 540734L, 
540735L, 540737L, 540738L, 540743L, 540744L, 540746L, 540747L, 
540752L, 540753L, 540755L, 540756L, 540824L, 540825L, 540827L, 
540828L, 540833L, 540834L, 540836L, 540837L, 540842L, 540843L, 
540845L, 540846L, 540851L, 540852L, 540854L, 540855L, 540860L, 
540861L, 540863L, 540864L, 540878L, 540879L, 540881L, 540882L, 
540887L, 540888L, 540890L, 540891L, 540896L, 540897L, 540899L, 
540900L, 540905L, 540906L, 540908L, 540909L, 540914L, 540915L, 
540917L, 540918L, 540986L, 540987L, 540989L, 540990L, 540995L, 
540996L, 540998L, 540999L, 541004L, 541005L, 541007L, 541008L, 
541013L, 541014L, 541016L, 541017L, 541022L, 541023L, 541025L, 
541026L, 541040L, 541041L, 541043L, 541044L, 541049L, 541050L, 
541052L, 541053L, 541058L, 541059L, 541061L, 541062L, 541067L, 
541068L, 541070L, 541071L, 541076L, 541077L, 541079L, 541080L, 
541310L, 541311L, 541313L, 541314L, 541319L, 541320L, 541322L, 
541323L, 541328L, 541329L, 541331L, 541332L, 541337L, 541338L, 
541340L, 541341L, 541346L, 541347L, 541349L, 541350L, 541364L, 
541365L, 541367L, 541368L, 541373L, 541374L, 541376L, 541377L, 
541382L, 541383L, 541385L, 541386L, 541391L, 541392L, 541394L, 
541395L, 541400L, 541401L, 541403L, 541404L, 541472L, 541473L, 
541475L, 541476L, 541481L, 541482L, 541484L, 541485L, 541490L, 
541491L, 541493L, 541494L, 541499L, 541500L, 541502L, 541503L, 
541508L, 541509L, 541511L, 541512L, 541526L, 541527L, 541529L, 
541530L, 541535L, 541536L, 541538L, 541539L, 541544L, 541545L, 
541547L, 541548L, 541553L, 541554L, 541556L, 541557L, 541562L, 
541563L, 541565L, 541566L, 541634L, 541635L, 541637L, 541638L, 
541643L, 541644L, 541646L, 541647L, 541652L, 541653L, 541655L, 
541656L, 541661L, 541662L, 541664L, 541665L, 541670L, 541671L, 
541673L, 541674L, 541688L, 541689L, 541691L, 541692L, 541697L, 
541698L, 541700L, 541701L, 541706L, 541707L, 541709L, 541710L, 
541715L, 541716L, 541718L, 541719L, 541724L, 541725L, 541727L, 
541728L, 541796L, 541797L, 541799L, 541800L, 541805L, 541806L, 
541808L, 541809L, 541814L, 541815L, 541817L, 541818L, 541823L, 
541824L, 541826L, 541827L, 541832L, 541833L, 541835L, 541836L, 
541850L, 541851L, 541853L, 541854L, 541859L, 541860L, 541862L, 
541863L, 541868L, 541869L, 541871L, 541872L, 541877L, 541878L, 
541880L, 541881L, 541886L, 541887L, 541889L, 541890L, 542120L, 
542121L, 542123L, 542124L, 542129L, 542130L, 542132L, 542133L, 
542138L, 542139L, 542141L, 542142L, 542147L, 542148L, 542150L, 
542151L, 542156L, 542157L, 542159L, 542160L, 542174L, 542175L, 
542177L, 542178L, 542183L, 542184L, 542186L, 542187L, 542192L, 
542193L, 542195L, 542196L, 542201L, 542202L, 542204L, 542205L, 
542210L, 542211L, 542213L, 542214L, 542282L, 542283L, 542285L, 
542286L, 542291L, 542292L, 542294L, 542295L, 542300L, 542301L, 
542303L, 542304L, 542309L, 542310L, 542312L, 542313L, 542318L, 
542319L, 542321L, 542322L, 542336L, 542337L, 542339L, 542340L, 
542345L, 542346L, 542348L, 542349L, 542354L, 542355L, 542357L, 
542358L, 542363L, 542364L, 542366L, 542367L, 542372L, 542373L, 
542375L, 542376L, 542444L, 542445L, 542447L, 542448L, 542453L, 
542454L, 542456L, 542457L, 542462L, 542463L, 542465L, 542466L, 
542471L, 542472L, 542474L, 542475L, 542480L, 542481L, 542483L, 
542484L, 542498L, 542499L, 542501L, 542502L, 542507L, 542508L, 
542510L, 542511L, 542516L, 542517L, 542519L, 542520L, 542525L, 
542526L, 542528L, 542529L, 542534L, 542535L, 542537L, 542538L, 
542606L, 542607L, 542609L, 542610L, 542615L, 542616L, 542618L, 
542619L, 542624L, 542625L, 542627L, 542628L, 542633L, 542634L, 
542636L, 542637L, 542642L, 542643L, 542645L, 542646L, 542660L, 
542661L, 542663L, 542664L, 542669L, 542670L, 542672L, 542673L, 
542678L, 542679L, 542681L, 542682L, 542687L, 542688L, 542690L, 
542691L, 542696L, 542697L, 542699L, 542700L, 542930L, 542931L, 
542933L, 542934L, 542939L, 542940L, 542942L, 542943L, 542948L, 
542949L, 542951L, 542952L, 542957L, 542958L, 542960L, 542961L, 
542966L, 542967L, 542969L, 542970L, 542984L, 542985L, 542987L, 
542988L, 542993L, 542994L, 542996L, 542997L, 543002L, 543003L, 
543005L, 543006L, 543011L, 543012L, 543014L, 543015L, 543020L, 
543021L, 543023L, 543024L, 543092L, 543093L, 543095L, 543096L, 
543101L, 543102L, 543104L, 543105L, 543110L, 543111L, 543113L, 
543114L, 543119L, 543120L, 543122L, 543123L, 543128L, 543129L, 
543131L, 543132L, 543146L, 543147L, 543149L, 543150L, 543155L, 
543156L, 543158L, 543159L, 543164L, 543165L, 543167L, 543168L, 
543173L, 543174L, 543176L, 543177L, 543182L, 543183L, 543185L, 
543186L, 543254L, 543255L, 543257L, 543258L, 543263L, 543264L, 
543266L, 543267L, 543272L, 543273L, 543275L, 543276L, 543281L, 
543282L, 543284L, 543285L, 543290L, 543291L, 543293L, 543294L, 
543308L, 543309L, 543311L, 543312L, 543317L, 543318L, 543320L, 
543321L, 543326L, 543327L, 543329L, 543330L, 543335L, 543336L, 
543338L, 543339L, 543344L, 543345L, 543347L, 543348L, 543416L, 
543417L, 543419L, 543420L, 543425L, 543426L, 543428L, 543429L, 
543434L, 543435L, 543437L, 543438L, 543443L, 543444L, 543446L, 
543447L, 543452L, 543453L, 543455L, 543456L, 543470L, 543471L, 
543473L, 543474L, 543479L, 543480L, 543482L, 543483L, 543488L, 
543489L, 543491L, 543492L, 543497L, 543498L, 543500L, 543501L, 
543506L, 543507L, 543509L, 543510L, 543740L, 543741L, 543743L, 
543744L, 543749L, 543750L, 543752L, 543753L, 543758L, 543759L, 
543761L, 543762L, 543767L, 543768L, 543770L, 543771L, 543776L, 
543777L, 543779L, 543780L, 543794L, 543795L, 543797L, 543798L, 
543803L, 543804L, 543806L, 543807L, 543812L, 543813L, 543815L, 
543816L, 543821L, 543822L, 543824L, 543825L, 543830L, 543831L, 
543833L, 543834L, 543902L, 543903L, 543905L, 543906L, 543911L, 
543912L, 543914L, 543915L, 543920L, 543921L, 543923L, 543924L, 
543929L, 543930L, 543932L, 543933L, 543938L, 543939L, 543941L, 
543942L, 543956L, 543957L, 543959L, 543960L, 543965L, 543966L, 
543968L, 543969L, 543974L, 543975L, 543977L, 543978L, 543983L, 
543984L, 543986L, 543987L, 543992L, 543993L, 543995L, 543996L, 
544064L, 544065L, 544067L, 544068L, 544073L, 544074L, 544076L, 
544077L, 544082L, 544083L, 544085L, 544086L, 544091L, 544092L, 
544094L, 544095L, 544100L, 544101L, 544103L, 544104L, 544118L, 
544119L, 544121L, 544122L, 544127L, 544128L, 544130L, 544131L, 
544136L, 544137L, 544139L, 544140L, 544145L, 544146L, 544148L, 
544149L, 544154L, 544155L, 544157L, 544158L, 544226L, 544227L, 
544229L, 544230L, 544235L, 544236L, 544238L, 544239L, 544244L, 
544245L, 544247L, 544248L, 544253L, 544254L, 544256L, 544257L, 
544262L, 544263L, 544265L, 544266L, 544280L, 544281L, 544283L, 
544284L, 544289L, 544290L, 544292L, 544293L, 544298L, 544299L, 
544301L, 544302L, 544307L, 544308L, 544310L, 544311L, 544316L, 
544317L, 544319L, 544320L, 545360L, 545361L, 545363L, 545364L, 
545369L, 545370L, 545372L, 545373L, 545378L, 545379L, 545381L, 
545382L, 545387L, 545388L, 545390L, 545391L, 545396L, 545397L, 
545399L, 545400L, 545414L, 545415L, 545417L, 545418L, 545423L, 
545424L, 545426L, 545427L, 545432L, 545433L, 545435L, 545436L, 
545441L, 545442L, 545444L, 545445L, 545450L, 545451L, 545453L, 
545454L, 545522L, 545523L, 545525L, 545526L, 545531L, 545532L, 
545534L, 545535L, 545540L, 545541L, 545543L, 545544L, 545549L, 
545550L, 545552L, 545553L, 545558L, 545559L, 545561L, 545562L, 
545576L, 545577L, 545579L, 545580L, 545585L, 545586L, 545588L, 
545589L, 545594L, 545595L, 545597L, 545598L, 545603L, 545604L, 
545606L, 545607L, 545612L, 545613L, 545615L, 545616L, 545684L, 
545685L, 545687L, 545688L, 545693L, 545694L, 545696L, 545697L, 
545702L, 545703L, 545705L, 545706L, 545711L, 545712L, 545714L, 
545715L, 545720L, 545721L, 545723L, 545724L, 545738L, 545739L, 
545741L, 545742L, 545747L, 545748L, 545750L, 545751L, 545756L, 
545757L, 545759L, 545760L, 545765L, 545766L, 545768L, 545769L, 
545774L, 545775L, 545777L, 545778L, 545846L, 545847L, 545849L, 
545850L, 545855L, 545856L, 545858L, 545859L, 545864L, 545865L, 
545867L, 545868L, 545873L, 545874L, 545876L, 545877L, 545882L, 
545883L, 545885L, 545886L, 545900L, 545901L, 545903L, 545904L, 
545909L, 545910L, 545912L, 545913L, 545918L, 545919L, 545921L, 
545922L, 545927L, 545928L, 545930L, 545931L, 545936L, 545937L, 
545939L, 545940L, 546170L, 546171L, 546173L, 546174L, 546179L, 
546180L, 546182L, 546183L, 546188L, 546189L, 546191L, 546192L, 
546197L, 546198L, 546200L, 546201L, 546206L, 546207L, 546209L, 
546210L, 546224L, 546225L, 546227L, 546228L, 546233L, 546234L, 
546236L, 546237L, 546242L, 546243L, 546245L, 546246L, 546251L, 
546252L, 546254L, 546255L, 546260L, 546261L, 546263L, 546264L, 
546332L, 546333L, 546335L, 546336L, 546341L, 546342L, 546344L, 
546345L, 546350L, 546351L, 546353L, 546354L, 546359L, 546360L, 
546362L, 546363L, 546368L, 546369L, 546371L, 546372L, 546386L, 
546387L, 546389L, 546390L, 546395L, 546396L, 546398L, 546399L, 
546404L, 546405L, 546407L, 546408L, 546413L, 546414L, 546416L, 
546417L, 546422L, 546423L, 546425L, 546426L, 546494L, 546495L, 
546497L, 546498L, 546503L, 546504L, 546506L, 546507L, 546512L, 
546513L, 546515L, 546516L, 546521L, 546522L, 546524L, 546525L, 
546530L, 546531L, 546533L, 546534L, 546548L, 546549L, 546551L, 
546552L, 546557L, 546558L, 546560L, 546561L, 546566L, 546567L, 
546569L, 546570L, 546575L, 546576L, 546578L, 546579L, 546584L, 
546585L, 546587L, 546588L, 546656L, 546657L, 546659L, 546660L, 
546665L, 546666L, 546668L, 546669L, 546674L, 546675L, 546677L, 
546678L, 546683L, 546684L, 546686L, 546687L, 546692L, 546693L, 
546695L, 546696L, 546710L, 546711L, 546713L, 546714L, 546719L, 
546720L, 546722L, 546723L, 546728L, 546729L, 546731L, 546732L, 
546737L, 546738L, 546740L, 546741L, 546746L, 546747L, 546749L, 
546750L, 546980L, 546981L, 546983L, 546984L, 546989L, 546990L, 
546992L, 546993L, 546998L, 546999L, 547001L, 547002L, 547007L, 
547008L, 547010L, 547011L, 547016L, 547017L, 547019L, 547020L, 
547034L, 547035L, 547037L, 547038L, 547043L, 547044L, 547046L, 
547047L, 547052L, 547053L, 547055L, 547056L, 547061L, 547062L, 
547064L, 547065L, 547070L, 547071L, 547073L, 547074L, 547142L, 
547143L, 547145L, 547146L, 547151L, 547152L, 547154L, 547155L, 
547160L, 547161L, 547163L, 547164L, 547169L, 547170L, 547172L, 
547173L, 547178L, 547179L, 547181L, 547182L, 547196L, 547197L, 
547199L, 547200L, 547205L, 547206L, 547208L, 547209L, 547214L, 
547215L, 547217L, 547218L, 547223L, 547224L, 547226L, 547227L, 
547232L, 547233L, 547235L, 547236L, 547304L, 547305L, 547307L, 
547308L, 547313L, 547314L, 547316L, 547317L, 547322L, 547323L, 
547325L, 547326L, 547331L, 547332L, 547334L, 547335L, 547340L, 
547341L, 547343L, 547344L, 547358L, 547359L, 547361L, 547362L, 
547367L, 547368L, 547370L, 547371L, 547376L, 547377L, 547379L, 
547380L, 547385L, 547386L, 547388L, 547389L, 547394L, 547395L, 
547397L, 547398L, 547466L, 547467L, 547469L, 547470L, 547475L, 
547476L, 547478L, 547479L, 547484L, 547485L, 547487L, 547488L, 
547493L, 547494L, 547496L, 547497L, 547502L, 547503L, 547505L, 
547506L, 547520L, 547521L, 547523L, 547524L, 547529L, 547530L, 
547532L, 547533L, 547538L, 547539L, 547541L, 547542L, 547547L, 
547548L, 547550L, 547551L, 547556L, 547557L, 547559L, 547560L, 
547790L, 547791L, 547793L, 547794L, 547799L, 547800L, 547802L, 
547803L, 547808L, 547809L, 547811L, 547812L, 547817L, 547818L, 
547820L, 547821L, 547826L, 547827L, 547829L, 547830L, 547844L, 
547845L, 547847L, 547848L, 547853L, 547854L, 547856L, 547857L, 
547862L, 547863L, 547865L, 547866L, 547871L, 547872L, 547874L, 
547875L, 547880L, 547881L, 547883L, 547884L, 547952L, 547953L, 
547955L, 547956L, 547961L, 547962L, 547964L, 547965L, 547970L, 
547971L, 547973L, 547974L, 547979L, 547980L, 547982L, 547983L, 
547988L, 547989L, 547991L, 547992L, 548006L, 548007L, 548009L, 
548010L, 548015L, 548016L, 548018L, 548019L, 548024L, 548025L, 
548027L, 548028L, 548033L, 548034L, 548036L, 548037L, 548042L, 
548043L, 548045L, 548046L, 548114L, 548115L, 548117L, 548118L, 
548123L, 548124L, 548126L, 548127L, 548132L, 548133L, 548135L, 
548136L, 548141L, 548142L, 548144L, 548145L, 548150L, 548151L, 
548153L, 548154L, 548168L, 548169L, 548171L, 548172L, 548177L, 
548178L, 548180L, 548181L, 548186L, 548187L, 548189L, 548190L, 
548195L, 548196L, 548198L, 548199L, 548204L, 548205L, 548207L, 
548208L, 548276L, 548277L, 548279L, 548280L, 548285L, 548286L, 
548288L, 548289L, 548294L, 548295L, 548297L, 548298L, 548303L, 
548304L, 548306L, 548307L, 548312L, 548313L, 548315L, 548316L, 
548330L, 548331L, 548333L, 548334L, 548339L, 548340L, 548342L, 
548343L, 548348L, 548349L, 548351L, 548352L, 548357L, 548358L, 
548360L, 548361L, 548366L, 548367L, 548369L, 548370L, 548600L, 
548601L, 548603L, 548604L, 548609L, 548610L, 548612L, 548613L, 
548618L, 548619L, 548621L, 548622L, 548627L, 548628L, 548630L, 
548631L, 548636L, 548637L, 548639L, 548640L, 548654L, 548655L, 
548657L, 548658L, 548663L, 548664L, 548666L, 548667L, 548672L, 
548673L, 548675L, 548676L, 548681L, 548682L, 548684L, 548685L, 
548690L, 548691L, 548693L, 548694L, 548762L, 548763L, 548765L, 
548766L, 548771L, 548772L, 548774L, 548775L, 548780L, 548781L, 
548783L, 548784L, 548789L, 548790L, 548792L, 548793L, 548798L, 
548799L, 548801L, 548802L, 548816L, 548817L, 548819L, 548820L, 
548825L, 548826L, 548828L, 548829L, 548834L, 548835L, 548837L, 
548838L, 548843L, 548844L, 548846L, 548847L, 548852L, 548853L, 
548855L, 548856L, 548924L, 548925L, 548927L, 548928L, 548933L, 
548934L, 548936L, 548937L, 548942L, 548943L, 548945L, 548946L, 
548951L, 548952L, 548954L, 548955L, 548960L, 548961L, 548963L, 
548964L, 548978L, 548979L, 548981L, 548982L, 548987L, 548988L, 
548990L, 548991L, 548996L, 548997L, 548999L, 549000L, 549005L, 
549006L, 549008L, 549009L, 549014L, 549015L, 549017L, 549018L, 
549086L, 549087L, 549089L, 549090L, 549095L, 549096L, 549098L, 
549099L, 549104L, 549105L, 549107L, 549108L, 549113L, 549114L, 
549116L, 549117L, 549122L, 549123L, 549125L, 549126L, 549140L, 
549141L, 549143L, 549144L, 549149L, 549150L, 549152L, 549153L, 
549158L, 549159L, 549161L, 549162L, 549167L, 549168L, 549170L, 
549171L, 549176L, 549177L, 549179L, 549180L, 550220L, 550221L, 
550223L, 550224L, 550229L, 550230L, 550232L, 550233L, 550238L, 
550239L, 550241L, 550242L, 550247L, 550248L, 550250L, 550251L, 
550256L, 550257L, 550259L, 550260L, 550274L, 550275L, 550277L, 
550278L, 550283L, 550284L, 550286L, 550287L, 550292L, 550293L, 
550295L, 550296L, 550301L, 550302L, 550304L, 550305L, 550310L, 
550311L, 550313L, 550314L, 550382L, 550383L, 550385L, 550386L, 
550391L, 550392L, 550394L, 550395L, 550400L, 550401L, 550403L, 
550404L, 550409L, 550410L, 550412L, 550413L, 550418L, 550419L, 
550421L, 550422L, 550436L, 550437L, 550439L, 550440L, 550445L, 
550446L, 550448L, 550449L, 550454L, 550455L, 550457L, 550458L, 
550463L, 550464L, 550466L, 550467L, 550472L, 550473L, 550475L, 
550476L, 550544L, 550545L, 550547L, 550548L, 550553L, 550554L, 
550556L, 550557L, 550562L, 550563L, 550565L, 550566L, 550571L, 
550572L, 550574L, 550575L, 550580L, 550581L, 550583L, 550584L, 
550598L, 550599L, 550601L, 550602L, 550607L, 550608L, 550610L, 
550611L, 550616L, 550617L, 550619L, 550620L, 550625L, 550626L, 
550628L, 550629L, 550634L, 550635L, 550637L, 550638L, 550706L, 
550707L, 550709L, 550710L, 550715L, 550716L, 550718L, 550719L, 
550724L, 550725L, 550727L, 550728L, 550733L, 550734L, 550736L, 
550737L, 550742L, 550743L, 550745L, 550746L, 550760L, 550761L, 
550763L, 550764L, 550769L, 550770L, 550772L, 550773L, 550778L, 
550779L, 550781L, 550782L, 550787L, 550788L, 550790L, 550791L, 
550796L, 550797L, 550799L, 550800L, 551030L, 551031L, 551033L, 
551034L, 551039L, 551040L, 551042L, 551043L, 551048L, 551049L, 
551051L, 551052L, 551057L, 551058L, 551060L, 551061L, 551066L, 
551067L, 551069L, 551070L, 551084L, 551085L, 551087L, 551088L, 
551093L, 551094L, 551096L, 551097L, 551102L, 551103L, 551105L, 
551106L, 551111L, 551112L, 551114L, 551115L, 551120L, 551121L, 
551123L, 551124L, 551192L, 551193L, 551195L, 551196L, 551201L, 
551202L, 551204L, 551205L, 551210L, 551211L, 551213L, 551214L, 
551219L, 551220L, 551222L, 551223L, 551228L, 551229L, 551231L, 
551232L, 551246L, 551247L, 551249L, 551250L, 551255L, 551256L, 
551258L, 551259L, 551264L, 551265L, 551267L, 551268L, 551273L, 
551274L, 551276L, 551277L, 551282L, 551283L, 551285L, 551286L, 
551354L, 551355L, 551357L, 551358L, 551363L, 551364L, 551366L, 
551367L, 551372L, 551373L, 551375L, 551376L, 551381L, 551382L, 
551384L, 551385L, 551390L, 551391L, 551393L, 551394L, 551408L, 
551409L, 551411L, 551412L, 551417L, 551418L, 551420L, 551421L, 
551426L, 551427L, 551429L, 551430L, 551435L, 551436L, 551438L, 
551439L, 551444L, 551445L, 551447L, 551448L, 551516L, 551517L, 
551519L, 551520L, 551525L, 551526L, 551528L, 551529L, 551534L, 
551535L, 551537L, 551538L, 551543L, 551544L, 551546L, 551547L, 
551552L, 551553L, 551555L, 551556L, 551570L, 551571L, 551573L, 
551574L, 551579L, 551580L, 551582L, 551583L, 551588L, 551589L, 
551591L, 551592L, 551597L, 551598L, 551600L, 551601L, 551606L, 
551607L, 551609L, 551610L, 551840L, 551841L, 551843L, 551844L, 
551849L, 551850L, 551852L, 551853L, 551858L, 551859L, 551861L, 
551862L, 551867L, 551868L, 551870L, 551871L, 551876L, 551877L, 
551879L, 551880L, 551894L, 551895L, 551897L, 551898L, 551903L, 
551904L, 551906L, 551907L, 551912L, 551913L, 551915L, 551916L, 
551921L, 551922L, 551924L, 551925L, 551930L, 551931L, 551933L, 
551934L, 552002L, 552003L, 552005L, 552006L, 552011L, 552012L, 
552014L, 552015L, 552020L, 552021L, 552023L, 552024L, 552029L, 
552030L, 552032L, 552033L, 552038L, 552039L, 552041L, 552042L, 
552056L, 552057L, 552059L, 552060L, 552065L, 552066L, 552068L, 
552069L, 552074L, 552075L, 552077L, 552078L, 552083L, 552084L, 
552086L, 552087L, 552092L, 552093L, 552095L, 552096L, 552164L, 
552165L, 552167L, 552168L, 552173L, 552174L, 552176L, 552177L, 
552182L, 552183L, 552185L, 552186L, 552191L, 552192L, 552194L, 
552195L, 552200L, 552201L, 552203L, 552204L, 552218L, 552219L, 
552221L, 552222L, 552227L, 552228L, 552230L, 552231L, 552236L, 
552237L, 552239L, 552240L, 552245L, 552246L, 552248L, 552249L, 
552254L, 552255L, 552257L, 552258L, 552326L, 552327L, 552329L, 
552330L, 552335L, 552336L, 552338L, 552339L, 552344L, 552345L, 
552347L, 552348L, 552353L, 552354L, 552356L, 552357L, 552362L, 
552363L, 552365L, 552366L, 552380L, 552381L, 552383L, 552384L, 
552389L, 552390L, 552392L, 552393L, 552398L, 552399L, 552401L, 
552402L, 552407L, 552408L, 552410L, 552411L, 552416L, 552417L, 
552419L, 552420L, 552650L, 552651L, 552653L, 552654L, 552659L, 
552660L, 552662L, 552663L, 552668L, 552669L, 552671L, 552672L, 
552677L, 552678L, 552680L, 552681L, 552686L, 552687L, 552689L, 
552690L, 552704L, 552705L, 552707L, 552708L, 552713L, 552714L, 
552716L, 552717L, 552722L, 552723L, 552725L, 552726L, 552731L, 
552732L, 552734L, 552735L, 552740L, 552741L, 552743L, 552744L, 
552812L, 552813L, 552815L, 552816L, 552821L, 552822L, 552824L, 
552825L, 552830L, 552831L, 552833L, 552834L, 552839L, 552840L, 
552842L, 552843L, 552848L, 552849L, 552851L, 552852L, 552866L, 
552867L, 552869L, 552870L, 552875L, 552876L, 552878L, 552879L, 
552884L, 552885L, 552887L, 552888L, 552893L, 552894L, 552896L, 
552897L, 552902L, 552903L, 552905L, 552906L, 552974L, 552975L, 
552977L, 552978L, 552983L, 552984L, 552986L, 552987L, 552992L, 
552993L, 552995L, 552996L, 553001L, 553002L, 553004L, 553005L, 
553010L, 553011L, 553013L, 553014L, 553028L, 553029L, 553031L, 
553032L, 553037L, 553038L, 553040L, 553041L, 553046L, 553047L, 
553049L, 553050L, 553055L, 553056L, 553058L, 553059L, 553064L, 
553065L, 553067L, 553068L, 553136L, 553137L, 553139L, 553140L, 
553145L, 553146L, 553148L, 553149L, 553154L, 553155L, 553157L, 
553158L, 553163L, 553164L, 553166L, 553167L, 553172L, 553173L, 
553175L, 553176L, 553190L, 553191L, 553193L, 553194L, 553199L, 
553200L, 553202L, 553203L, 553208L, 553209L, 553211L, 553212L, 
553217L, 553218L, 553220L, 553221L, 553226L, 553227L, 553229L, 
553230L, 553460L, 553461L, 553463L, 553464L, 553469L, 553470L, 
553472L, 553473L, 553478L, 553479L, 553481L, 553482L, 553487L, 
553488L, 553490L, 553491L, 553496L, 553497L, 553499L, 553500L, 
553514L, 553515L, 553517L, 553518L, 553523L, 553524L, 553526L, 
553527L, 553532L, 553533L, 553535L, 553536L, 553541L, 553542L, 
553544L, 553545L, 553550L, 553551L, 553553L, 553554L, 553622L, 
553623L, 553625L, 553626L, 553631L, 553632L, 553634L, 553635L, 
553640L, 553641L, 553643L, 553644L, 553649L, 553650L, 553652L, 
553653L, 553658L, 553659L, 553661L, 553662L, 553676L, 553677L, 
553679L, 553680L, 553685L, 553686L, 553688L, 553689L, 553694L, 
553695L, 553697L, 553698L, 553703L, 553704L, 553706L, 553707L, 
553712L, 553713L, 553715L, 553716L, 553784L, 553785L, 553787L, 
553788L, 553793L, 553794L, 553796L, 553797L, 553802L, 553803L, 
553805L, 553806L, 553811L, 553812L, 553814L, 553815L, 553820L, 
553821L, 553823L, 553824L, 553838L, 553839L, 553841L, 553842L, 
553847L, 553848L, 553850L, 553851L, 553856L, 553857L, 553859L, 
553860L, 553865L, 553866L, 553868L, 553869L, 553874L, 553875L, 
553877L, 553878L, 553946L, 553947L, 553949L, 553950L, 553955L, 
553956L, 553958L, 553959L, 553964L, 553965L, 553967L, 553968L, 
553973L, 553974L, 553976L, 553977L, 553982L, 553983L, 553985L, 
553986L, 554000L, 554001L, 554003L, 554004L, 554009L, 554010L, 
554012L, 554013L, 554018L, 554019L, 554021L, 554022L, 554027L, 
554028L, 554030L, 554031L, 554036L, 554037L, 554039L, 554040L, 
564800L, 564801L, 564803L, 564804L, 564809L, 564810L, 564812L, 
564813L, 564818L, 564819L, 564821L, 564822L, 564827L, 564828L, 
564830L, 564831L, 564836L, 564837L, 564839L, 564840L, 564854L, 
564855L, 564857L, 564858L, 564863L, 564864L, 564866L, 564867L, 
564872L, 564873L, 564875L, 564876L, 564881L, 564882L, 564884L, 
564885L, 564890L, 564891L, 564893L, 564894L, 564962L, 564963L, 
564965L, 564966L, 564971L, 564972L, 564974L, 564975L, 564980L, 
564981L, 564983L, 564984L, 564989L, 564990L, 564992L, 564993L, 
564998L, 564999L, 565001L, 565002L, 565016L, 565017L, 565019L, 
565020L, 565025L, 565026L, 565028L, 565029L, 565034L, 565035L, 
565037L, 565038L, 565043L, 565044L, 565046L, 565047L, 565052L, 
565053L, 565055L, 565056L, 565124L, 565125L, 565127L, 565128L, 
565133L, 565134L, 565136L, 565137L, 565142L, 565143L, 565145L, 
565146L, 565151L, 565152L, 565154L, 565155L, 565160L, 565161L, 
565163L, 565164L, 565178L, 565179L, 565181L, 565182L, 565187L, 
565188L, 565190L, 565191L, 565196L, 565197L, 565199L, 565200L, 
565205L, 565206L, 565208L, 565209L, 565214L, 565215L, 565217L, 
565218L, 565286L, 565287L, 565289L, 565290L, 565295L, 565296L, 
565298L, 565299L, 565304L, 565305L, 565307L, 565308L, 565313L, 
565314L, 565316L, 565317L, 565322L, 565323L, 565325L, 565326L, 
565340L, 565341L, 565343L, 565344L, 565349L, 565350L, 565352L, 
565353L, 565358L, 565359L, 565361L, 565362L, 565367L, 565368L, 
565370L, 565371L, 565376L, 565377L, 565379L, 565380L, 565610L, 
565611L, 565613L, 565614L, 565619L, 565620L, 565622L, 565623L, 
565628L, 565629L, 565631L, 565632L, 565637L, 565638L, 565640L, 
565641L, 565646L, 565647L, 565649L, 565650L, 565664L, 565665L, 
565667L, 565668L, 565673L, 565674L, 565676L, 565677L, 565682L, 
565683L, 565685L, 565686L, 565691L, 565692L, 565694L, 565695L, 
565700L, 565701L, 565703L, 565704L, 565772L, 565773L, 565775L, 
565776L, 565781L, 565782L, 565784L, 565785L, 565790L, 565791L, 
565793L, 565794L, 565799L, 565800L, 565802L, 565803L, 565808L, 
565809L, 565811L, 565812L, 565826L, 565827L, 565829L, 565830L, 
565835L, 565836L, 565838L, 565839L, 565844L, 565845L, 565847L, 
565848L, 565853L, 565854L, 565856L, 565857L, 565862L, 565863L, 
565865L, 565866L, 565934L, 565935L, 565937L, 565938L, 565943L, 
565944L, 565946L, 565947L, 565952L, 565953L, 565955L, 565956L, 
565961L, 565962L, 565964L, 565965L, 565970L, 565971L, 565973L, 
565974L, 565988L, 565989L, 565991L, 565992L, 565997L, 565998L, 
566000L, 566001L, 566006L, 566007L, 566009L, 566010L, 566015L, 
566016L, 566018L, 566019L, 566024L, 566025L, 566027L, 566028L, 
566096L, 566097L, 566099L, 566100L, 566105L, 566106L, 566108L, 
566109L, 566114L, 566115L, 566117L, 566118L, 566123L, 566124L, 
566126L, 566127L, 566132L, 566133L, 566135L, 566136L, 566150L, 
566151L, 566153L, 566154L, 566159L, 566160L, 566162L, 566163L, 
566168L, 566169L, 566171L, 566172L, 566177L, 566178L, 566180L, 
566181L, 566186L, 566187L, 566189L, 566190L, 566420L, 566421L, 
566423L, 566424L, 566429L, 566430L, 566432L, 566433L, 566438L, 
566439L, 566441L, 566442L, 566447L, 566448L, 566450L, 566451L, 
566456L, 566457L, 566459L, 566460L, 566474L, 566475L, 566477L, 
566478L, 566483L, 566484L, 566486L, 566487L, 566492L, 566493L, 
566495L, 566496L, 566501L, 566502L, 566504L, 566505L, 566510L, 
566511L, 566513L, 566514L, 566582L, 566583L, 566585L, 566586L, 
566591L, 566592L, 566594L, 566595L, 566600L, 566601L, 566603L, 
566604L, 566609L, 566610L, 566612L, 566613L, 566618L, 566619L, 
566621L, 566622L, 566636L, 566637L, 566639L, 566640L, 566645L, 
566646L, 566648L, 566649L, 566654L, 566655L, 566657L, 566658L, 
566663L, 566664L, 566666L, 566667L, 566672L, 566673L, 566675L, 
566676L, 566744L, 566745L, 566747L, 566748L, 566753L, 566754L, 
566756L, 566757L, 566762L, 566763L, 566765L, 566766L, 566771L, 
566772L, 566774L, 566775L, 566780L, 566781L, 566783L, 566784L, 
566798L, 566799L, 566801L, 566802L, 566807L, 566808L, 566810L, 
566811L, 566816L, 566817L, 566819L, 566820L, 566825L, 566826L, 
566828L, 566829L, 566834L, 566835L, 566837L, 566838L, 566906L, 
566907L, 566909L, 566910L, 566915L, 566916L, 566918L, 566919L, 
566924L, 566925L, 566927L, 566928L, 566933L, 566934L, 566936L, 
566937L, 566942L, 566943L, 566945L, 566946L, 566960L, 566961L, 
566963L, 566964L, 566969L, 566970L, 566972L, 566973L, 566978L, 
566979L, 566981L, 566982L, 566987L, 566988L, 566990L, 566991L, 
566996L, 566997L, 566999L, 567000L, 567230L, 567231L, 567233L, 
567234L, 567239L, 567240L, 567242L, 567243L, 567248L, 567249L, 
567251L, 567252L, 567257L, 567258L, 567260L, 567261L, 567266L, 
567267L, 567269L, 567270L, 567284L, 567285L, 567287L, 567288L, 
567293L, 567294L, 567296L, 567297L, 567302L, 567303L, 567305L, 
567306L, 567311L, 567312L, 567314L, 567315L, 567320L, 567321L, 
567323L, 567324L, 567392L, 567393L, 567395L, 567396L, 567401L, 
567402L, 567404L, 567405L, 567410L, 567411L, 567413L, 567414L, 
567419L, 567420L, 567422L, 567423L, 567428L, 567429L, 567431L, 
567432L, 567446L, 567447L, 567449L, 567450L, 567455L, 567456L, 
567458L, 567459L, 567464L, 567465L, 567467L, 567468L, 567473L, 
567474L, 567476L, 567477L, 567482L, 567483L, 567485L, 567486L, 
567554L, 567555L, 567557L, 567558L, 567563L, 567564L, 567566L, 
567567L, 567572L, 567573L, 567575L, 567576L, 567581L, 567582L, 
567584L, 567585L, 567590L, 567591L, 567593L, 567594L, 567608L, 
567609L, 567611L, 567612L, 567617L, 567618L, 567620L, 567621L, 
567626L, 567627L, 567629L, 567630L, 567635L, 567636L, 567638L, 
567639L, 567644L, 567645L, 567647L, 567648L, 567716L, 567717L, 
567719L, 567720L, 567725L, 567726L, 567728L, 567729L, 567734L, 
567735L, 567737L, 567738L, 567743L, 567744L, 567746L, 567747L, 
567752L, 567753L, 567755L, 567756L, 567770L, 567771L, 567773L, 
567774L, 567779L, 567780L, 567782L, 567783L, 567788L, 567789L, 
567791L, 567792L, 567797L, 567798L, 567800L, 567801L, 567806L, 
567807L, 567809L, 567810L, 568040L, 568041L, 568043L, 568044L, 
568049L, 568050L, 568052L, 568053L, 568058L, 568059L, 568061L, 
568062L, 568067L, 568068L, 568070L, 568071L, 568076L, 568077L, 
568079L, 568080L, 568094L, 568095L, 568097L, 568098L, 568103L, 
568104L, 568106L, 568107L, 568112L, 568113L, 568115L, 568116L, 
568121L, 568122L, 568124L, 568125L, 568130L, 568131L, 568133L, 
568134L, 568202L, 568203L, 568205L, 568206L, 568211L, 568212L, 
568214L, 568215L, 568220L, 568221L, 568223L, 568224L, 568229L, 
568230L, 568232L, 568233L, 568238L, 568239L, 568241L, 568242L, 
568256L, 568257L, 568259L, 568260L, 568265L, 568266L, 568268L, 
568269L, 568274L, 568275L, 568277L, 568278L, 568283L, 568284L, 
568286L, 568287L, 568292L, 568293L, 568295L, 568296L, 568364L, 
568365L, 568367L, 568368L, 568373L, 568374L, 568376L, 568377L, 
568382L, 568383L, 568385L, 568386L, 568391L, 568392L, 568394L, 
568395L, 568400L, 568401L, 568403L, 568404L, 568418L, 568419L, 
568421L, 568422L, 568427L, 568428L, 568430L, 568431L, 568436L, 
568437L, 568439L, 568440L, 568445L, 568446L, 568448L, 568449L, 
568454L, 568455L, 568457L, 568458L, 568526L, 568527L, 568529L, 
568530L, 568535L, 568536L, 568538L, 568539L, 568544L, 568545L, 
568547L, 568548L, 568553L, 568554L, 568556L, 568557L, 568562L, 
568563L, 568565L, 568566L, 568580L, 568581L, 568583L, 568584L, 
568589L, 568590L, 568592L, 568593L, 568598L, 568599L, 568601L, 
568602L, 568607L, 568608L, 568610L, 568611L, 568616L, 568617L, 
568619L, 568620L, 569660L, 569661L, 569663L, 569664L, 569669L, 
569670L, 569672L, 569673L, 569678L, 569679L, 569681L, 569682L, 
569687L, 569688L, 569690L, 569691L, 569696L, 569697L, 569699L, 
569700L, 569714L, 569715L, 569717L, 569718L, 569723L, 569724L, 
569726L, 569727L, 569732L, 569733L, 569735L, 569736L, 569741L, 
569742L, 569744L, 569745L, 569750L, 569751L, 569753L, 569754L, 
569822L, 569823L, 569825L, 569826L, 569831L, 569832L, 569834L, 
569835L, 569840L, 569841L, 569843L, 569844L, 569849L, 569850L, 
569852L, 569853L, 569858L, 569859L, 569861L, 569862L, 569876L, 
569877L, 569879L, 569880L, 569885L, 569886L, 569888L, 569889L, 
569894L, 569895L, 569897L, 569898L, 569903L, 569904L, 569906L, 
569907L, 569912L, 569913L, 569915L, 569916L, 569984L, 569985L, 
569987L, 569988L, 569993L, 569994L, 569996L, 569997L, 570002L, 
570003L, 570005L, 570006L, 570011L, 570012L, 570014L, 570015L, 
570020L, 570021L, 570023L, 570024L, 570038L, 570039L, 570041L, 
570042L, 570047L, 570048L, 570050L, 570051L, 570056L, 570057L, 
570059L, 570060L, 570065L, 570066L, 570068L, 570069L, 570074L, 
570075L, 570077L, 570078L, 570146L, 570147L, 570149L, 570150L, 
570155L, 570156L, 570158L, 570159L, 570164L, 570165L, 570167L, 
570168L, 570173L, 570174L, 570176L, 570177L, 570182L, 570183L, 
570185L, 570186L, 570200L, 570201L, 570203L, 570204L, 570209L, 
570210L, 570212L, 570213L, 570218L, 570219L, 570221L, 570222L, 
570227L, 570228L, 570230L, 570231L, 570236L, 570237L, 570239L, 
570240L, 570470L, 570471L, 570473L, 570474L, 570479L, 570480L, 
570482L, 570483L, 570488L, 570489L, 570491L, 570492L, 570497L, 
570498L, 570500L, 570501L, 570506L, 570507L, 570509L, 570510L, 
570524L, 570525L, 570527L, 570528L, 570533L, 570534L, 570536L, 
570537L, 570542L, 570543L, 570545L, 570546L, 570551L, 570552L, 
570554L, 570555L, 570560L, 570561L, 570563L, 570564L, 570632L, 
570633L, 570635L, 570636L, 570641L, 570642L, 570644L, 570645L, 
570650L, 570651L, 570653L, 570654L, 570659L, 570660L, 570662L, 
570663L, 570668L, 570669L, 570671L, 570672L, 570686L, 570687L, 
570689L, 570690L, 570695L, 570696L, 570698L, 570699L, 570704L, 
570705L, 570707L, 570708L, 570713L, 570714L, 570716L, 570717L, 
570722L, 570723L, 570725L, 570726L, 570794L, 570795L, 570797L, 
570798L, 570803L, 570804L, 570806L, 570807L, 570812L, 570813L, 
570815L, 570816L, 570821L, 570822L, 570824L, 570825L, 570830L, 
570831L, 570833L, 570834L, 570848L, 570849L, 570851L, 570852L, 
570857L, 570858L, 570860L, 570861L, 570866L, 570867L, 570869L, 
570870L, 570875L, 570876L, 570878L, 570879L, 570884L, 570885L, 
570887L, 570888L, 570956L, 570957L, 570959L, 570960L, 570965L, 
570966L, 570968L, 570969L, 570974L, 570975L, 570977L, 570978L, 
570983L, 570984L, 570986L, 570987L, 570992L, 570993L, 570995L, 
570996L, 571010L, 571011L, 571013L, 571014L, 571019L, 571020L, 
571022L, 571023L, 571028L, 571029L, 571031L, 571032L, 571037L, 
571038L, 571040L, 571041L, 571046L, 571047L, 571049L, 571050L, 
571280L, 571281L, 571283L, 571284L, 571289L, 571290L, 571292L, 
571293L, 571298L, 571299L, 571301L, 571302L, 571307L, 571308L, 
571310L, 571311L, 571316L, 571317L, 571319L, 571320L, 571334L, 
571335L, 571337L, 571338L, 571343L, 571344L, 571346L, 571347L, 
571352L, 571353L, 571355L, 571356L, 571361L, 571362L, 571364L, 
571365L, 571370L, 571371L, 571373L, 571374L, 571442L, 571443L, 
571445L, 571446L, 571451L, 571452L, 571454L, 571455L, 571460L, 
571461L, 571463L, 571464L, 571469L, 571470L, 571472L, 571473L, 
571478L, 571479L, 571481L, 571482L, 571496L, 571497L, 571499L, 
571500L, 571505L, 571506L, 571508L, 571509L, 571514L, 571515L, 
571517L, 571518L, 571523L, 571524L, 571526L, 571527L, 571532L, 
571533L, 571535L, 571536L, 571604L, 571605L, 571607L, 571608L, 
571613L, 571614L, 571616L, 571617L, 571622L, 571623L, 571625L, 
571626L, 571631L, 571632L, 571634L, 571635L, 571640L, 571641L, 
571643L, 571644L, 571658L, 571659L, 571661L, 571662L, 571667L, 
571668L, 571670L, 571671L, 571676L, 571677L, 571679L, 571680L, 
571685L, 571686L, 571688L, 571689L, 571694L, 571695L, 571697L, 
571698L, 571766L, 571767L, 571769L, 571770L, 571775L, 571776L, 
571778L, 571779L, 571784L, 571785L, 571787L, 571788L, 571793L, 
571794L, 571796L, 571797L, 571802L, 571803L, 571805L, 571806L, 
571820L, 571821L, 571823L, 571824L, 571829L, 571830L, 571832L, 
571833L, 571838L, 571839L, 571841L, 571842L, 571847L, 571848L, 
571850L, 571851L, 571856L, 571857L, 571859L, 571860L, 572090L, 
572091L, 572093L, 572094L, 572099L, 572100L, 572102L, 572103L, 
572108L, 572109L, 572111L, 572112L, 572117L, 572118L, 572120L, 
572121L, 572126L, 572127L, 572129L, 572130L, 572144L, 572145L, 
572147L, 572148L, 572153L, 572154L, 572156L, 572157L, 572162L, 
572163L, 572165L, 572166L, 572171L, 572172L, 572174L, 572175L, 
572180L, 572181L, 572183L, 572184L, 572252L, 572253L, 572255L, 
572256L, 572261L, 572262L, 572264L, 572265L, 572270L, 572271L, 
572273L, 572274L, 572279L, 572280L, 572282L, 572283L, 572288L, 
572289L, 572291L, 572292L, 572306L, 572307L, 572309L, 572310L, 
572315L, 572316L, 572318L, 572319L, 572324L, 572325L, 572327L, 
572328L, 572333L, 572334L, 572336L, 572337L, 572342L, 572343L, 
572345L, 572346L, 572414L, 572415L, 572417L, 572418L, 572423L, 
572424L, 572426L, 572427L, 572432L, 572433L, 572435L, 572436L, 
572441L, 572442L, 572444L, 572445L, 572450L, 572451L, 572453L, 
572454L, 572468L, 572469L, 572471L, 572472L, 572477L, 572478L, 
572480L, 572481L, 572486L, 572487L, 572489L, 572490L, 572495L, 
572496L, 572498L, 572499L, 572504L, 572505L, 572507L, 572508L, 
572576L, 572577L, 572579L, 572580L, 572585L, 572586L, 572588L, 
572589L, 572594L, 572595L, 572597L, 572598L, 572603L, 572604L, 
572606L, 572607L, 572612L, 572613L, 572615L, 572616L, 572630L, 
572631L, 572633L, 572634L, 572639L, 572640L, 572642L, 572643L, 
572648L, 572649L, 572651L, 572652L, 572657L, 572658L, 572660L, 
572661L, 572666L, 572667L, 572669L, 572670L, 572900L, 572901L, 
572903L, 572904L, 572909L, 572910L, 572912L, 572913L, 572918L, 
572919L, 572921L, 572922L, 572927L, 572928L, 572930L, 572931L, 
572936L, 572937L, 572939L, 572940L, 572954L, 572955L, 572957L, 
572958L, 572963L, 572964L, 572966L, 572967L, 572972L, 572973L, 
572975L, 572976L, 572981L, 572982L, 572984L, 572985L, 572990L, 
572991L, 572993L, 572994L, 573062L, 573063L, 573065L, 573066L, 
573071L, 573072L, 573074L, 573075L, 573080L, 573081L, 573083L, 
573084L, 573089L, 573090L, 573092L, 573093L, 573098L, 573099L, 
573101L, 573102L, 573116L, 573117L, 573119L, 573120L, 573125L, 
573126L, 573128L, 573129L, 573134L, 573135L, 573137L, 573138L, 
573143L, 573144L, 573146L, 573147L, 573152L, 573153L, 573155L, 
573156L, 573224L, 573225L, 573227L, 573228L, 573233L, 573234L, 
573236L, 573237L, 573242L, 573243L, 573245L, 573246L, 573251L, 
573252L, 573254L, 573255L, 573260L, 573261L, 573263L, 573264L, 
573278L, 573279L, 573281L, 573282L, 573287L, 573288L, 573290L, 
573291L, 573296L, 573297L, 573299L, 573300L, 573305L, 573306L, 
573308L, 573309L, 573314L, 573315L, 573317L, 573318L, 573386L, 
573387L, 573389L, 573390L, 573395L, 573396L, 573398L, 573399L, 
573404L, 573405L, 573407L, 573408L, 573413L, 573414L, 573416L, 
573417L, 573422L, 573423L, 573425L, 573426L, 573440L, 573441L, 
573443L, 573444L, 573449L, 573450L, 573452L, 573453L, 573458L, 
573459L, 573461L, 573462L, 573467L, 573468L, 573470L, 573471L, 
573476L, 573477L, 573479L, 573480L, 574520L, 574521L, 574523L, 
574524L, 574529L, 574530L, 574532L, 574533L, 574538L, 574539L, 
574541L, 574542L, 574547L, 574548L, 574550L, 574551L, 574556L, 
574557L, 574559L, 574560L, 574574L, 574575L, 574577L, 574578L, 
574583L, 574584L, 574586L, 574587L, 574592L, 574593L, 574595L, 
574596L, 574601L, 574602L, 574604L, 574605L, 574610L, 574611L, 
574613L, 574614L, 574682L, 574683L, 574685L, 574686L, 574691L, 
574692L, 574694L, 574695L, 574700L, 574701L, 574703L, 574704L, 
574709L, 574710L, 574712L, 574713L, 574718L, 574719L, 574721L, 
574722L, 574736L, 574737L, 574739L, 574740L, 574745L, 574746L, 
574748L, 574749L, 574754L, 574755L, 574757L, 574758L, 574763L, 
574764L, 574766L, 574767L, 574772L, 574773L, 574775L, 574776L, 
574844L, 574845L, 574847L, 574848L, 574853L, 574854L, 574856L, 
574857L, 574862L, 574863L, 574865L, 574866L, 574871L, 574872L, 
574874L, 574875L, 574880L, 574881L, 574883L, 574884L, 574898L, 
574899L, 574901L, 574902L, 574907L, 574908L, 574910L, 574911L, 
574916L, 574917L, 574919L, 574920L, 574925L, 574926L, 574928L, 
574929L, 574934L, 574935L, 574937L, 574938L, 575006L, 575007L, 
575009L, 575010L, 575015L, 575016L, 575018L, 575019L, 575024L, 
575025L, 575027L, 575028L, 575033L, 575034L, 575036L, 575037L, 
575042L, 575043L, 575045L, 575046L, 575060L, 575061L, 575063L, 
575064L, 575069L, 575070L, 575072L, 575073L, 575078L, 575079L, 
575081L, 575082L, 575087L, 575088L, 575090L, 575091L, 575096L, 
575097L, 575099L, 575100L, 575330L, 575331L, 575333L, 575334L, 
575339L, 575340L, 575342L, 575343L, 575348L, 575349L, 575351L, 
575352L, 575357L, 575358L, 575360L, 575361L, 575366L, 575367L, 
575369L, 575370L, 575384L, 575385L, 575387L, 575388L, 575393L, 
575394L, 575396L, 575397L, 575402L, 575403L, 575405L, 575406L, 
575411L, 575412L, 575414L, 575415L, 575420L, 575421L, 575423L, 
575424L, 575492L, 575493L, 575495L, 575496L, 575501L, 575502L, 
575504L, 575505L, 575510L, 575511L, 575513L, 575514L, 575519L, 
575520L, 575522L, 575523L, 575528L, 575529L, 575531L, 575532L, 
575546L, 575547L, 575549L, 575550L, 575555L, 575556L, 575558L, 
575559L, 575564L, 575565L, 575567L, 575568L, 575573L, 575574L, 
575576L, 575577L, 575582L, 575583L, 575585L, 575586L, 575654L, 
575655L, 575657L, 575658L, 575663L, 575664L, 575666L, 575667L, 
575672L, 575673L, 575675L, 575676L, 575681L, 575682L, 575684L, 
575685L, 575690L, 575691L, 575693L, 575694L, 575708L, 575709L, 
575711L, 575712L, 575717L, 575718L, 575720L, 575721L, 575726L, 
575727L, 575729L, 575730L, 575735L, 575736L, 575738L, 575739L, 
575744L, 575745L, 575747L, 575748L, 575816L, 575817L, 575819L, 
575820L, 575825L, 575826L, 575828L, 575829L, 575834L, 575835L, 
575837L, 575838L, 575843L, 575844L, 575846L, 575847L, 575852L, 
575853L, 575855L, 575856L, 575870L, 575871L, 575873L, 575874L, 
575879L, 575880L, 575882L, 575883L, 575888L, 575889L, 575891L, 
575892L, 575897L, 575898L, 575900L, 575901L, 575906L, 575907L, 
575909L, 575910L, 576140L, 576141L, 576143L, 576144L, 576149L, 
576150L, 576152L, 576153L, 576158L, 576159L, 576161L, 576162L, 
576167L, 576168L, 576170L, 576171L, 576176L, 576177L, 576179L, 
576180L, 576194L, 576195L, 576197L, 576198L, 576203L, 576204L, 
576206L, 576207L, 576212L, 576213L, 576215L, 576216L, 576221L, 
576222L, 576224L, 576225L, 576230L, 576231L, 576233L, 576234L, 
576302L, 576303L, 576305L, 576306L, 576311L, 576312L, 576314L, 
576315L, 576320L, 576321L, 576323L, 576324L, 576329L, 576330L, 
576332L, 576333L, 576338L, 576339L, 576341L, 576342L, 576356L, 
576357L, 576359L, 576360L, 576365L, 576366L, 576368L, 576369L, 
576374L, 576375L, 576377L, 576378L, 576383L, 576384L, 576386L, 
576387L, 576392L, 576393L, 576395L, 576396L, 576464L, 576465L, 
576467L, 576468L, 576473L, 576474L, 576476L, 576477L, 576482L, 
576483L, 576485L, 576486L, 576491L, 576492L, 576494L, 576495L, 
576500L, 576501L, 576503L, 576504L, 576518L, 576519L, 576521L, 
576522L, 576527L, 576528L, 576530L, 576531L, 576536L, 576537L, 
576539L, 576540L, 576545L, 576546L, 576548L, 576549L, 576554L, 
576555L, 576557L, 576558L, 576626L, 576627L, 576629L, 576630L, 
576635L, 576636L, 576638L, 576639L, 576644L, 576645L, 576647L, 
576648L, 576653L, 576654L, 576656L, 576657L, 576662L, 576663L, 
576665L, 576666L, 576680L, 576681L, 576683L, 576684L, 576689L, 
576690L, 576692L, 576693L, 576698L, 576699L, 576701L, 576702L, 
576707L, 576708L, 576710L, 576711L, 576716L, 576717L, 576719L, 
576720L, 576950L, 576951L, 576953L, 576954L, 576959L, 576960L, 
576962L, 576963L, 576968L, 576969L, 576971L, 576972L, 576977L, 
576978L, 576980L, 576981L, 576986L, 576987L, 576989L, 576990L, 
577004L, 577005L, 577007L, 577008L, 577013L, 577014L, 577016L, 
577017L, 577022L, 577023L, 577025L, 577026L, 577031L, 577032L, 
577034L, 577035L, 577040L, 577041L, 577043L, 577044L, 577112L, 
577113L, 577115L, 577116L, 577121L, 577122L, 577124L, 577125L, 
577130L, 577131L, 577133L, 577134L, 577139L, 577140L, 577142L, 
577143L, 577148L, 577149L, 577151L, 577152L, 577166L, 577167L, 
577169L, 577170L, 577175L, 577176L, 577178L, 577179L, 577184L, 
577185L, 577187L, 577188L, 577193L, 577194L, 577196L, 577197L, 
577202L, 577203L, 577205L, 577206L, 577274L, 577275L, 577277L, 
577278L, 577283L, 577284L, 577286L, 577287L, 577292L, 577293L, 
577295L, 577296L, 577301L, 577302L, 577304L, 577305L, 577310L, 
577311L, 577313L, 577314L, 577328L, 577329L, 577331L, 577332L, 
577337L, 577338L, 577340L, 577341L, 577346L, 577347L, 577349L, 
577350L, 577355L, 577356L, 577358L, 577359L, 577364L, 577365L, 
577367L, 577368L, 577436L, 577437L, 577439L, 577440L, 577445L, 
577446L, 577448L, 577449L, 577454L, 577455L, 577457L, 577458L, 
577463L, 577464L, 577466L, 577467L, 577472L, 577473L, 577475L, 
577476L, 577490L, 577491L, 577493L, 577494L, 577499L, 577500L, 
577502L, 577503L, 577508L, 577509L, 577511L, 577512L, 577517L, 
577518L, 577520L, 577521L, 577526L, 577527L, 577529L, 577530L, 
577760L, 577761L, 577763L, 577764L, 577769L, 577770L, 577772L, 
577773L, 577778L, 577779L, 577781L, 577782L, 577787L, 577788L, 
577790L, 577791L, 577796L, 577797L, 577799L, 577800L, 577814L, 
577815L, 577817L, 577818L, 577823L, 577824L, 577826L, 577827L, 
577832L, 577833L, 577835L, 577836L, 577841L, 577842L, 577844L, 
577845L, 577850L, 577851L, 577853L, 577854L, 577922L, 577923L, 
577925L, 577926L, 577931L, 577932L, 577934L, 577935L, 577940L, 
577941L, 577943L, 577944L, 577949L, 577950L, 577952L, 577953L, 
577958L, 577959L, 577961L, 577962L, 577976L, 577977L, 577979L, 
577980L, 577985L, 577986L, 577988L, 577989L, 577994L, 577995L, 
577997L, 577998L, 578003L, 578004L, 578006L, 578007L, 578012L, 
578013L, 578015L, 578016L, 578084L, 578085L, 578087L, 578088L, 
578093L, 578094L, 578096L, 578097L, 578102L, 578103L, 578105L, 
578106L, 578111L, 578112L, 578114L, 578115L, 578120L, 578121L, 
578123L, 578124L, 578138L, 578139L, 578141L, 578142L, 578147L, 
578148L, 578150L, 578151L, 578156L, 578157L, 578159L, 578160L, 
578165L, 578166L, 578168L, 578169L, 578174L, 578175L, 578177L, 
578178L, 578246L, 578247L, 578249L, 578250L, 578255L, 578256L, 
578258L, 578259L, 578264L, 578265L, 578267L, 578268L, 578273L, 
578274L, 578276L, 578277L, 578282L, 578283L, 578285L, 578286L, 
578300L, 578301L, 578303L, 578304L, 578309L, 578310L, 578312L, 
578313L, 578318L, 578319L, 578321L, 578322L, 578327L, 578328L, 
578330L, 578331L, 578336L, 578337L, 578339L, 578340L, 589100L, 
589101L, 589103L, 589104L, 589109L, 589110L, 589112L, 589113L, 
589118L, 589119L, 589121L, 589122L, 589127L, 589128L, 589130L, 
589131L, 589136L, 589137L, 589139L, 589140L, 589154L, 589155L, 
589157L, 589158L, 589163L, 589164L, 589166L, 589167L, 589172L, 
589173L, 589175L, 589176L, 589181L, 589182L, 589184L, 589185L, 
589190L, 589191L, 589193L, 589194L, 589262L, 589263L, 589265L, 
589266L, 589271L, 589272L, 589274L, 589275L, 589280L, 589281L, 
589283L, 589284L, 589289L, 589290L, 589292L, 589293L, 589298L, 
589299L, 589301L, 589302L, 589316L, 589317L, 589319L, 589320L, 
589325L, 589326L, 589328L, 589329L, 589334L, 589335L, 589337L, 
589338L, 589343L, 589344L, 589346L, 589347L, 589352L, 589353L, 
589355L, 589356L, 589424L, 589425L, 589427L, 589428L, 589433L, 
589434L, 589436L, 589437L, 589442L, 589443L, 589445L, 589446L, 
589451L, 589452L, 589454L, 589455L, 589460L, 589461L, 589463L, 
589464L, 589478L, 589479L, 589481L, 589482L, 589487L, 589488L, 
589490L, 589491L, 589496L, 589497L, 589499L, 589500L, 589505L, 
589506L, 589508L, 589509L, 589514L, 589515L, 589517L, 589518L, 
589586L, 589587L, 589589L, 589590L, 589595L, 589596L, 589598L, 
589599L, 589604L, 589605L, 589607L, 589608L, 589613L, 589614L, 
589616L, 589617L, 589622L, 589623L, 589625L, 589626L, 589640L, 
589641L, 589643L, 589644L, 589649L, 589650L, 589652L, 589653L, 
589658L, 589659L, 589661L, 589662L, 589667L, 589668L, 589670L, 
589671L, 589676L, 589677L, 589679L, 589680L, 589910L, 589911L, 
589913L, 589914L, 589919L, 589920L, 589922L, 589923L, 589928L, 
589929L, 589931L, 589932L, 589937L, 589938L, 589940L, 589941L, 
589946L, 589947L, 589949L, 589950L, 589964L, 589965L, 589967L, 
589968L, 589973L, 589974L, 589976L, 589977L, 589982L, 589983L, 
589985L, 589986L, 589991L, 589992L, 589994L, 589995L, 590000L, 
590001L, 590003L, 590004L, 590072L, 590073L, 590075L, 590076L, 
590081L, 590082L, 590084L, 590085L, 590090L, 590091L, 590093L, 
590094L, 590099L, 590100L, 590102L, 590103L, 590108L, 590109L, 
590111L, 590112L, 590126L, 590127L, 590129L, 590130L, 590135L, 
590136L, 590138L, 590139L, 590144L, 590145L, 590147L, 590148L, 
590153L, 590154L, 590156L, 590157L, 590162L, 590163L, 590165L, 
590166L, 590234L, 590235L, 590237L, 590238L, 590243L, 590244L, 
590246L, 590247L, 590252L, 590253L, 590255L, 590256L, 590261L, 
590262L, 590264L, 590265L, 590270L, 590271L, 590273L, 590274L, 
590288L, 590289L, 590291L, 590292L, 590297L, 590298L, 590300L, 
590301L, 590306L, 590307L, 590309L, 590310L, 590315L, 590316L, 
590318L, 590319L, 590324L, 590325L, 590327L, 590328L, 590396L, 
590397L, 590399L, 590400L, 590405L, 590406L, 590408L, 590409L, 
590414L, 590415L, 590417L, 590418L, 590423L, 590424L, 590426L, 
590427L, 590432L, 590433L, 590435L, 590436L, 590450L, 590451L, 
590453L, 590454L, 590459L, 590460L, 590462L, 590463L, 590468L, 
590469L, 590471L, 590472L, 590477L, 590478L, 590480L, 590481L, 
590486L, 590487L, 590489L, 590490L, 590720L, 590721L, 590723L, 
590724L, 590729L, 590730L, 590732L, 590733L, 590738L, 590739L, 
590741L, 590742L, 590747L, 590748L, 590750L, 590751L, 590756L, 
590757L, 590759L, 590760L, 590774L, 590775L, 590777L, 590778L, 
590783L, 590784L, 590786L, 590787L, 590792L, 590793L, 590795L, 
590796L, 590801L, 590802L, 590804L, 590805L, 590810L, 590811L, 
590813L, 590814L, 590882L, 590883L, 590885L, 590886L, 590891L, 
590892L, 590894L, 590895L, 590900L, 590901L, 590903L, 590904L, 
590909L, 590910L, 590912L, 590913L, 590918L, 590919L, 590921L, 
590922L, 590936L, 590937L, 590939L, 590940L, 590945L, 590946L, 
590948L, 590949L, 590954L, 590955L, 590957L, 590958L, 590963L, 
590964L, 590966L, 590967L, 590972L, 590973L, 590975L, 590976L, 
591044L, 591045L, 591047L, 591048L, 591053L, 591054L, 591056L, 
591057L, 591062L, 591063L, 591065L, 591066L, 591071L, 591072L, 
591074L, 591075L, 591080L, 591081L, 591083L, 591084L, 591098L, 
591099L, 591101L, 591102L, 591107L, 591108L, 591110L, 591111L, 
591116L, 591117L, 591119L, 591120L, 591125L, 591126L, 591128L, 
591129L, 591134L, 591135L, 591137L, 591138L, 591206L, 591207L, 
591209L, 591210L, 591215L, 591216L, 591218L, 591219L, 591224L, 
591225L, 591227L, 591228L, 591233L, 591234L, 591236L, 591237L, 
591242L, 591243L, 591245L, 591246L, 591260L, 591261L, 591263L, 
591264L, 591269L, 591270L, 591272L, 591273L, 591278L, 591279L, 
591281L, 591282L, 591287L, 591288L, 591290L, 591291L, 591296L, 
591297L, 591299L, 591300L, 591530L, 591531L, 591533L, 591534L, 
591539L, 591540L, 591542L, 591543L, 591548L, 591549L, 591551L, 
591552L, 591557L, 591558L, 591560L, 591561L, 591566L, 591567L, 
591569L, 591570L, 591584L, 591585L, 591587L, 591588L, 591593L, 
591594L, 591596L, 591597L, 591602L, 591603L, 591605L, 591606L, 
591611L, 591612L, 591614L, 591615L, 591620L, 591621L, 591623L, 
591624L, 591692L, 591693L, 591695L, 591696L, 591701L, 591702L, 
591704L, 591705L, 591710L, 591711L, 591713L, 591714L, 591719L, 
591720L, 591722L, 591723L, 591728L, 591729L, 591731L, 591732L, 
591746L, 591747L, 591749L, 591750L, 591755L, 591756L, 591758L, 
591759L, 591764L, 591765L, 591767L, 591768L, 591773L, 591774L, 
591776L, 591777L, 591782L, 591783L, 591785L, 591786L, 591854L, 
591855L, 591857L, 591858L, 591863L, 591864L, 591866L, 591867L, 
591872L, 591873L, 591875L, 591876L, 591881L, 591882L, 591884L, 
591885L, 591890L, 591891L, 591893L, 591894L, 591908L, 591909L, 
591911L, 591912L, 591917L, 591918L, 591920L, 591921L, 591926L, 
591927L, 591929L, 591930L, 591935L, 591936L, 591938L, 591939L, 
591944L, 591945L, 591947L, 591948L, 592016L, 592017L, 592019L, 
592020L, 592025L, 592026L, 592028L, 592029L, 592034L, 592035L, 
592037L, 592038L, 592043L, 592044L, 592046L, 592047L, 592052L, 
592053L, 592055L, 592056L, 592070L, 592071L, 592073L, 592074L, 
592079L, 592080L, 592082L, 592083L, 592088L, 592089L, 592091L, 
592092L, 592097L, 592098L, 592100L, 592101L, 592106L, 592107L, 
592109L, 592110L, 592340L, 592341L, 592343L, 592344L, 592349L, 
592350L, 592352L, 592353L, 592358L, 592359L, 592361L, 592362L, 
592367L, 592368L, 592370L, 592371L, 592376L, 592377L, 592379L, 
592380L, 592394L, 592395L, 592397L, 592398L, 592403L, 592404L, 
592406L, 592407L, 592412L, 592413L, 592415L, 592416L, 592421L, 
592422L, 592424L, 592425L, 592430L, 592431L, 592433L, 592434L, 
592502L, 592503L, 592505L, 592506L, 592511L, 592512L, 592514L, 
592515L, 592520L, 592521L, 592523L, 592524L, 592529L, 592530L, 
592532L, 592533L, 592538L, 592539L, 592541L, 592542L, 592556L, 
592557L, 592559L, 592560L, 592565L, 592566L, 592568L, 592569L, 
592574L, 592575L, 592577L, 592578L, 592583L, 592584L, 592586L, 
592587L, 592592L, 592593L, 592595L, 592596L, 592664L, 592665L, 
592667L, 592668L, 592673L, 592674L, 592676L, 592677L, 592682L, 
592683L, 592685L, 592686L, 592691L, 592692L, 592694L, 592695L, 
592700L, 592701L, 592703L, 592704L, 592718L, 592719L, 592721L, 
592722L, 592727L, 592728L, 592730L, 592731L, 592736L, 592737L, 
592739L, 592740L, 592745L, 592746L, 592748L, 592749L, 592754L, 
592755L, 592757L, 592758L, 592826L, 592827L, 592829L, 592830L, 
592835L, 592836L, 592838L, 592839L, 592844L, 592845L, 592847L, 
592848L, 592853L, 592854L, 592856L, 592857L, 592862L, 592863L, 
592865L, 592866L, 592880L, 592881L, 592883L, 592884L, 592889L, 
592890L, 592892L, 592893L, 592898L, 592899L, 592901L, 592902L, 
592907L, 592908L, 592910L, 592911L, 592916L, 592917L, 592919L, 
592920L, 593960L, 593961L, 593963L, 593964L, 593969L, 593970L, 
593972L, 593973L, 593978L, 593979L, 593981L, 593982L, 593987L, 
593988L, 593990L, 593991L, 593996L, 593997L, 593999L, 594000L, 
594014L, 594015L, 594017L, 594018L, 594023L, 594024L, 594026L, 
594027L, 594032L, 594033L, 594035L, 594036L, 594041L, 594042L, 
594044L, 594045L, 594050L, 594051L, 594053L, 594054L, 594122L, 
594123L, 594125L, 594126L, 594131L, 594132L, 594134L, 594135L, 
594140L, 594141L, 594143L, 594144L, 594149L, 594150L, 594152L, 
594153L, 594158L, 594159L, 594161L, 594162L, 594176L, 594177L, 
594179L, 594180L, 594185L, 594186L, 594188L, 594189L, 594194L, 
594195L, 594197L, 594198L, 594203L, 594204L, 594206L, 594207L, 
594212L, 594213L, 594215L, 594216L, 594284L, 594285L, 594287L, 
594288L, 594293L, 594294L, 594296L, 594297L, 594302L, 594303L, 
594305L, 594306L, 594311L, 594312L, 594314L, 594315L, 594320L, 
594321L, 594323L, 594324L, 594338L, 594339L, 594341L, 594342L, 
594347L, 594348L, 594350L, 594351L, 594356L, 594357L, 594359L, 
594360L, 594365L, 594366L, 594368L, 594369L, 594374L, 594375L, 
594377L, 594378L, 594446L, 594447L, 594449L, 594450L, 594455L, 
594456L, 594458L, 594459L, 594464L, 594465L, 594467L, 594468L, 
594473L, 594474L, 594476L, 594477L, 594482L, 594483L, 594485L, 
594486L, 594500L, 594501L, 594503L, 594504L, 594509L, 594510L, 
594512L, 594513L, 594518L, 594519L, 594521L, 594522L, 594527L, 
594528L, 594530L, 594531L, 594536L, 594537L, 594539L, 594540L, 
594770L, 594771L, 594773L, 594774L, 594779L, 594780L, 594782L, 
594783L, 594788L, 594789L, 594791L, 594792L, 594797L, 594798L, 
594800L, 594801L, 594806L, 594807L, 594809L, 594810L, 594824L, 
594825L, 594827L, 594828L, 594833L, 594834L, 594836L, 594837L, 
594842L, 594843L, 594845L, 594846L, 594851L, 594852L, 594854L, 
594855L, 594860L, 594861L, 594863L, 594864L, 594932L, 594933L, 
594935L, 594936L, 594941L, 594942L, 594944L, 594945L, 594950L, 
594951L, 594953L, 594954L, 594959L, 594960L, 594962L, 594963L, 
594968L, 594969L, 594971L, 594972L, 594986L, 594987L, 594989L, 
594990L, 594995L, 594996L, 594998L, 594999L, 595004L, 595005L, 
595007L, 595008L, 595013L, 595014L, 595016L, 595017L, 595022L, 
595023L, 595025L, 595026L, 595094L, 595095L, 595097L, 595098L, 
595103L, 595104L, 595106L, 595107L, 595112L, 595113L, 595115L, 
595116L, 595121L, 595122L, 595124L, 595125L, 595130L, 595131L, 
595133L, 595134L, 595148L, 595149L, 595151L, 595152L, 595157L, 
595158L, 595160L, 595161L, 595166L, 595167L, 595169L, 595170L, 
595175L, 595176L, 595178L, 595179L, 595184L, 595185L, 595187L, 
595188L, 595256L, 595257L, 595259L, 595260L, 595265L, 595266L, 
595268L, 595269L, 595274L, 595275L, 595277L, 595278L, 595283L, 
595284L, 595286L, 595287L, 595292L, 595293L, 595295L, 595296L, 
595310L, 595311L, 595313L, 595314L, 595319L, 595320L, 595322L, 
595323L, 595328L, 595329L, 595331L, 595332L, 595337L, 595338L, 
595340L, 595341L, 595346L, 595347L, 595349L, 595350L, 595580L, 
595581L, 595583L, 595584L, 595589L, 595590L, 595592L, 595593L, 
595598L, 595599L, 595601L, 595602L, 595607L, 595608L, 595610L, 
595611L, 595616L, 595617L, 595619L, 595620L, 595634L, 595635L, 
595637L, 595638L, 595643L, 595644L, 595646L, 595647L, 595652L, 
595653L, 595655L, 595656L, 595661L, 595662L, 595664L, 595665L, 
595670L, 595671L, 595673L, 595674L, 595742L, 595743L, 595745L, 
595746L, 595751L, 595752L, 595754L, 595755L, 595760L, 595761L, 
595763L, 595764L, 595769L, 595770L, 595772L, 595773L, 595778L, 
595779L, 595781L, 595782L, 595796L, 595797L, 595799L, 595800L, 
595805L, 595806L, 595808L, 595809L, 595814L, 595815L, 595817L, 
595818L, 595823L, 595824L, 595826L, 595827L, 595832L, 595833L, 
595835L, 595836L, 595904L, 595905L, 595907L, 595908L, 595913L, 
595914L, 595916L, 595917L, 595922L, 595923L, 595925L, 595926L, 
595931L, 595932L, 595934L, 595935L, 595940L, 595941L, 595943L, 
595944L, 595958L, 595959L, 595961L, 595962L, 595967L, 595968L, 
595970L, 595971L, 595976L, 595977L, 595979L, 595980L, 595985L, 
595986L, 595988L, 595989L, 595994L, 595995L, 595997L, 595998L, 
596066L, 596067L, 596069L, 596070L, 596075L, 596076L, 596078L, 
596079L, 596084L, 596085L, 596087L, 596088L, 596093L, 596094L, 
596096L, 596097L, 596102L, 596103L, 596105L, 596106L, 596120L, 
596121L, 596123L, 596124L, 596129L, 596130L, 596132L, 596133L, 
596138L, 596139L, 596141L, 596142L, 596147L, 596148L, 596150L, 
596151L, 596156L, 596157L, 596159L, 596160L, 596390L, 596391L, 
596393L, 596394L, 596399L, 596400L, 596402L, 596403L, 596408L, 
596409L, 596411L, 596412L, 596417L, 596418L, 596420L, 596421L, 
596426L, 596427L, 596429L, 596430L, 596444L, 596445L, 596447L, 
596448L, 596453L, 596454L, 596456L, 596457L, 596462L, 596463L, 
596465L, 596466L, 596471L, 596472L, 596474L, 596475L, 596480L, 
596481L, 596483L, 596484L, 596552L, 596553L, 596555L, 596556L, 
596561L, 596562L, 596564L, 596565L, 596570L, 596571L, 596573L, 
596574L, 596579L, 596580L, 596582L, 596583L, 596588L, 596589L, 
596591L, 596592L, 596606L, 596607L, 596609L, 596610L, 596615L, 
596616L, 596618L, 596619L, 596624L, 596625L, 596627L, 596628L, 
596633L, 596634L, 596636L, 596637L, 596642L, 596643L, 596645L, 
596646L, 596714L, 596715L, 596717L, 596718L, 596723L, 596724L, 
596726L, 596727L, 596732L, 596733L, 596735L, 596736L, 596741L, 
596742L, 596744L, 596745L, 596750L, 596751L, 596753L, 596754L, 
596768L, 596769L, 596771L, 596772L, 596777L, 596778L, 596780L, 
596781L, 596786L, 596787L, 596789L, 596790L, 596795L, 596796L, 
596798L, 596799L, 596804L, 596805L, 596807L, 596808L, 596876L, 
596877L, 596879L, 596880L, 596885L, 596886L, 596888L, 596889L, 
596894L, 596895L, 596897L, 596898L, 596903L, 596904L, 596906L, 
596907L, 596912L, 596913L, 596915L, 596916L, 596930L, 596931L, 
596933L, 596934L, 596939L, 596940L, 596942L, 596943L, 596948L, 
596949L, 596951L, 596952L, 596957L, 596958L, 596960L, 596961L, 
596966L, 596967L, 596969L, 596970L, 597200L, 597201L, 597203L, 
597204L, 597209L, 597210L, 597212L, 597213L, 597218L, 597219L, 
597221L, 597222L, 597227L, 597228L, 597230L, 597231L, 597236L, 
597237L, 597239L, 597240L, 597254L, 597255L, 597257L, 597258L, 
597263L, 597264L, 597266L, 597267L, 597272L, 597273L, 597275L, 
597276L, 597281L, 597282L, 597284L, 597285L, 597290L, 597291L, 
597293L, 597294L, 597362L, 597363L, 597365L, 597366L, 597371L, 
597372L, 597374L, 597375L, 597380L, 597381L, 597383L, 597384L, 
597389L, 597390L, 597392L, 597393L, 597398L, 597399L, 597401L, 
597402L, 597416L, 597417L, 597419L, 597420L, 597425L, 597426L, 
597428L, 597429L, 597434L, 597435L, 597437L, 597438L, 597443L, 
597444L, 597446L, 597447L, 597452L, 597453L, 597455L, 597456L, 
597524L, 597525L, 597527L, 597528L, 597533L, 597534L, 597536L, 
597537L, 597542L, 597543L, 597545L, 597546L, 597551L, 597552L, 
597554L, 597555L, 597560L, 597561L, 597563L, 597564L, 597578L, 
597579L, 597581L, 597582L, 597587L, 597588L, 597590L, 597591L, 
597596L, 597597L, 597599L, 597600L, 597605L, 597606L, 597608L, 
597609L, 597614L, 597615L, 597617L, 597618L, 597686L, 597687L, 
597689L, 597690L, 597695L, 597696L, 597698L, 597699L, 597704L, 
597705L, 597707L, 597708L, 597713L, 597714L, 597716L, 597717L, 
597722L, 597723L, 597725L, 597726L, 597740L, 597741L, 597743L, 
597744L, 597749L, 597750L, 597752L, 597753L, 597758L, 597759L, 
597761L, 597762L, 597767L, 597768L, 597770L, 597771L, 597776L, 
597777L, 597779L, 597780L, 598820L, 598821L, 598823L, 598824L, 
598829L, 598830L, 598832L, 598833L, 598838L, 598839L, 598841L, 
598842L, 598847L, 598848L, 598850L, 598851L, 598856L, 598857L, 
598859L, 598860L, 598874L, 598875L, 598877L, 598878L, 598883L, 
598884L, 598886L, 598887L, 598892L, 598893L, 598895L, 598896L, 
598901L, 598902L, 598904L, 598905L, 598910L, 598911L, 598913L, 
598914L, 598982L, 598983L, 598985L, 598986L, 598991L, 598992L, 
598994L, 598995L, 599000L, 599001L, 599003L, 599004L, 599009L, 
599010L, 599012L, 599013L, 599018L, 599019L, 599021L, 599022L, 
599036L, 599037L, 599039L, 599040L, 599045L, 599046L, 599048L, 
599049L, 599054L, 599055L, 599057L, 599058L, 599063L, 599064L, 
599066L, 599067L, 599072L, 599073L, 599075L, 599076L, 599144L, 
599145L, 599147L, 599148L, 599153L, 599154L, 599156L, 599157L, 
599162L, 599163L, 599165L, 599166L, 599171L, 599172L, 599174L, 
599175L, 599180L, 599181L, 599183L, 599184L, 599198L, 599199L, 
599201L, 599202L, 599207L, 599208L, 599210L, 599211L, 599216L, 
599217L, 599219L, 599220L, 599225L, 599226L, 599228L, 599229L, 
599234L, 599235L, 599237L, 599238L, 599306L, 599307L, 599309L, 
599310L, 599315L, 599316L, 599318L, 599319L, 599324L, 599325L, 
599327L, 599328L, 599333L, 599334L, 599336L, 599337L, 599342L, 
599343L, 599345L, 599346L, 599360L, 599361L, 599363L, 599364L, 
599369L, 599370L, 599372L, 599373L, 599378L, 599379L, 599381L, 
599382L, 599387L, 599388L, 599390L, 599391L, 599396L, 599397L, 
599399L, 599400L, 599630L, 599631L, 599633L, 599634L, 599639L, 
599640L, 599642L, 599643L, 599648L, 599649L, 599651L, 599652L, 
599657L, 599658L, 599660L, 599661L, 599666L, 599667L, 599669L, 
599670L, 599684L, 599685L, 599687L, 599688L, 599693L, 599694L, 
599696L, 599697L, 599702L, 599703L, 599705L, 599706L, 599711L, 
599712L, 599714L, 599715L, 599720L, 599721L, 599723L, 599724L, 
599792L, 599793L, 599795L, 599796L, 599801L, 599802L, 599804L, 
599805L, 599810L, 599811L, 599813L, 599814L, 599819L, 599820L, 
599822L, 599823L, 599828L, 599829L, 599831L, 599832L, 599846L, 
599847L, 599849L, 599850L, 599855L, 599856L, 599858L, 599859L, 
599864L, 599865L, 599867L, 599868L, 599873L, 599874L, 599876L, 
599877L, 599882L, 599883L, 599885L, 599886L, 599954L, 599955L, 
599957L, 599958L, 599963L, 599964L, 599966L, 599967L, 599972L, 
599973L, 599975L, 599976L, 599981L, 599982L, 599984L, 599985L, 
599990L, 599991L, 599993L, 599994L, 600008L, 600009L, 600011L, 
600012L, 600017L, 600018L, 600020L, 600021L, 600026L, 600027L, 
600029L, 600030L, 600035L, 600036L, 600038L, 600039L, 600044L, 
600045L, 600047L, 600048L, 600116L, 600117L, 600119L, 600120L, 
600125L, 600126L, 600128L, 600129L, 600134L, 600135L, 600137L, 
600138L, 600143L, 600144L, 600146L, 600147L, 600152L, 600153L, 
600155L, 600156L, 600170L, 600171L, 600173L, 600174L, 600179L, 
600180L, 600182L, 600183L, 600188L, 600189L, 600191L, 600192L, 
600197L, 600198L, 600200L, 600201L, 600206L, 600207L, 600209L, 
600210L, 600440L, 600441L, 600443L, 600444L, 600449L, 600450L, 
600452L, 600453L, 600458L, 600459L, 600461L, 600462L, 600467L, 
600468L, 600470L, 600471L, 600476L, 600477L, 600479L, 600480L, 
600494L, 600495L, 600497L, 600498L, 600503L, 600504L, 600506L, 
600507L, 600512L, 600513L, 600515L, 600516L, 600521L, 600522L, 
600524L, 600525L, 600530L, 600531L, 600533L, 600534L, 600602L, 
600603L, 600605L, 600606L, 600611L, 600612L, 600614L, 600615L, 
600620L, 600621L, 600623L, 600624L, 600629L, 600630L, 600632L, 
600633L, 600638L, 600639L, 600641L, 600642L, 600656L, 600657L, 
600659L, 600660L, 600665L, 600666L, 600668L, 600669L, 600674L, 
600675L, 600677L, 600678L, 600683L, 600684L, 600686L, 600687L, 
600692L, 600693L, 600695L, 600696L, 600764L, 600765L, 600767L, 
600768L, 600773L, 600774L, 600776L, 600777L, 600782L, 600783L, 
600785L, 600786L, 600791L, 600792L, 600794L, 600795L, 600800L, 
600801L, 600803L, 600804L, 600818L, 600819L, 600821L, 600822L, 
600827L, 600828L, 600830L, 600831L, 600836L, 600837L, 600839L, 
600840L, 600845L, 600846L, 600848L, 600849L, 600854L, 600855L, 
600857L, 600858L, 600926L, 600927L, 600929L, 600930L, 600935L, 
600936L, 600938L, 600939L, 600944L, 600945L, 600947L, 600948L, 
600953L, 600954L, 600956L, 600957L, 600962L, 600963L, 600965L, 
600966L, 600980L, 600981L, 600983L, 600984L, 600989L, 600990L, 
600992L, 600993L, 600998L, 600999L, 601001L, 601002L, 601007L, 
601008L, 601010L, 601011L, 601016L, 601017L, 601019L, 601020L, 
601250L, 601251L, 601253L, 601254L, 601259L, 601260L, 601262L, 
601263L, 601268L, 601269L, 601271L, 601272L, 601277L, 601278L, 
601280L, 601281L, 601286L, 601287L, 601289L, 601290L, 601304L, 
601305L, 601307L, 601308L, 601313L, 601314L, 601316L, 601317L, 
601322L, 601323L, 601325L, 601326L, 601331L, 601332L, 601334L, 
601335L, 601340L, 601341L, 601343L, 601344L, 601412L, 601413L, 
601415L, 601416L, 601421L, 601422L, 601424L, 601425L, 601430L, 
601431L, 601433L, 601434L, 601439L, 601440L, 601442L, 601443L, 
601448L, 601449L, 601451L, 601452L, 601466L, 601467L, 601469L, 
601470L, 601475L, 601476L, 601478L, 601479L, 601484L, 601485L, 
601487L, 601488L, 601493L, 601494L, 601496L, 601497L, 601502L, 
601503L, 601505L, 601506L, 601574L, 601575L, 601577L, 601578L, 
601583L, 601584L, 601586L, 601587L, 601592L, 601593L, 601595L, 
601596L, 601601L, 601602L, 601604L, 601605L, 601610L, 601611L, 
601613L, 601614L, 601628L, 601629L, 601631L, 601632L, 601637L, 
601638L, 601640L, 601641L, 601646L, 601647L, 601649L, 601650L, 
601655L, 601656L, 601658L, 601659L, 601664L, 601665L, 601667L, 
601668L, 601736L, 601737L, 601739L, 601740L, 601745L, 601746L, 
601748L, 601749L, 601754L, 601755L, 601757L, 601758L, 601763L, 
601764L, 601766L, 601767L, 601772L, 601773L, 601775L, 601776L, 
601790L, 601791L, 601793L, 601794L, 601799L, 601800L, 601802L, 
601803L, 601808L, 601809L, 601811L, 601812L, 601817L, 601818L, 
601820L, 601821L, 601826L, 601827L, 601829L, 601830L, 602060L, 
602061L, 602063L, 602064L, 602069L, 602070L, 602072L, 602073L, 
602078L, 602079L, 602081L, 602082L, 602087L, 602088L, 602090L, 
602091L, 602096L, 602097L, 602099L, 602100L, 602114L, 602115L, 
602117L, 602118L, 602123L, 602124L, 602126L, 602127L, 602132L, 
602133L, 602135L, 602136L, 602141L, 602142L, 602144L, 602145L, 
602150L, 602151L, 602153L, 602154L, 602222L, 602223L, 602225L, 
602226L, 602231L, 602232L, 602234L, 602235L, 602240L, 602241L, 
602243L, 602244L, 602249L, 602250L, 602252L, 602253L, 602258L, 
602259L, 602261L, 602262L, 602276L, 602277L, 602279L, 602280L, 
602285L, 602286L, 602288L, 602289L, 602294L, 602295L, 602297L, 
602298L, 602303L, 602304L, 602306L, 602307L, 602312L, 602313L, 
602315L, 602316L, 602384L, 602385L, 602387L, 602388L, 602393L, 
602394L, 602396L, 602397L, 602402L, 602403L, 602405L, 602406L, 
602411L, 602412L, 602414L, 602415L, 602420L, 602421L, 602423L, 
602424L, 602438L, 602439L, 602441L, 602442L, 602447L, 602448L, 
602450L, 602451L, 602456L, 602457L, 602459L, 602460L, 602465L, 
602466L, 602468L, 602469L, 602474L, 602475L, 602477L, 602478L, 
602546L, 602547L, 602549L, 602550L, 602555L, 602556L, 602558L, 
602559L, 602564L, 602565L, 602567L, 602568L, 602573L, 602574L, 
602576L, 602577L, 602582L, 602583L, 602585L, 602586L, 602600L, 
602601L, 602603L, 602604L, 602609L, 602610L, 602612L, 602613L, 
602618L, 602619L, 602621L, 602622L, 602627L, 602628L, 602630L, 
602631L, 602636L, 602637L, 602639L, 602640L, 613400L, 613401L, 
613403L, 613404L, 613409L, 613410L, 613412L, 613413L, 613418L, 
613419L, 613421L, 613422L, 613427L, 613428L, 613430L, 613431L, 
613436L, 613437L, 613439L, 613440L, 613454L, 613455L, 613457L, 
613458L, 613463L, 613464L, 613466L, 613467L, 613472L, 613473L, 
613475L, 613476L, 613481L, 613482L, 613484L, 613485L, 613490L, 
613491L, 613493L, 613494L, 613562L, 613563L, 613565L, 613566L, 
613571L, 613572L, 613574L, 613575L, 613580L, 613581L, 613583L, 
613584L, 613589L, 613590L, 613592L, 613593L, 613598L, 613599L, 
613601L, 613602L, 613616L, 613617L, 613619L, 613620L, 613625L, 
613626L, 613628L, 613629L, 613634L, 613635L, 613637L, 613638L, 
613643L, 613644L, 613646L, 613647L, 613652L, 613653L, 613655L, 
613656L, 613724L, 613725L, 613727L, 613728L, 613733L, 613734L, 
613736L, 613737L, 613742L, 613743L, 613745L, 613746L, 613751L, 
613752L, 613754L, 613755L, 613760L, 613761L, 613763L, 613764L, 
613778L, 613779L, 613781L, 613782L, 613787L, 613788L, 613790L, 
613791L, 613796L, 613797L, 613799L, 613800L, 613805L, 613806L, 
613808L, 613809L, 613814L, 613815L, 613817L, 613818L, 613886L, 
613887L, 613889L, 613890L, 613895L, 613896L, 613898L, 613899L, 
613904L, 613905L, 613907L, 613908L, 613913L, 613914L, 613916L, 
613917L, 613922L, 613923L, 613925L, 613926L, 613940L, 613941L, 
613943L, 613944L, 613949L, 613950L, 613952L, 613953L, 613958L, 
613959L, 613961L, 613962L, 613967L, 613968L, 613970L, 613971L, 
613976L, 613977L, 613979L, 613980L, 614210L, 614211L, 614213L, 
614214L, 614219L, 614220L, 614222L, 614223L, 614228L, 614229L, 
614231L, 614232L, 614237L, 614238L, 614240L, 614241L, 614246L, 
614247L, 614249L, 614250L, 614264L, 614265L, 614267L, 614268L, 
614273L, 614274L, 614276L, 614277L, 614282L, 614283L, 614285L, 
614286L, 614291L, 614292L, 614294L, 614295L, 614300L, 614301L, 
614303L, 614304L, 614372L, 614373L, 614375L, 614376L, 614381L, 
614382L, 614384L, 614385L, 614390L, 614391L, 614393L, 614394L, 
614399L, 614400L, 614402L, 614403L, 614408L, 614409L, 614411L, 
614412L, 614426L, 614427L, 614429L, 614430L, 614435L, 614436L, 
614438L, 614439L, 614444L, 614445L, 614447L, 614448L, 614453L, 
614454L, 614456L, 614457L, 614462L, 614463L, 614465L, 614466L, 
614534L, 614535L, 614537L, 614538L, 614543L, 614544L, 614546L, 
614547L, 614552L, 614553L, 614555L, 614556L, 614561L, 614562L, 
614564L, 614565L, 614570L, 614571L, 614573L, 614574L, 614588L, 
614589L, 614591L, 614592L, 614597L, 614598L, 614600L, 614601L, 
614606L, 614607L, 614609L, 614610L, 614615L, 614616L, 614618L, 
614619L, 614624L, 614625L, 614627L, 614628L, 614696L, 614697L, 
614699L, 614700L, 614705L, 614706L, 614708L, 614709L, 614714L, 
614715L, 614717L, 614718L, 614723L, 614724L, 614726L, 614727L, 
614732L, 614733L, 614735L, 614736L, 614750L, 614751L, 614753L, 
614754L, 614759L, 614760L, 614762L, 614763L, 614768L, 614769L, 
614771L, 614772L, 614777L, 614778L, 614780L, 614781L, 614786L, 
614787L, 614789L, 614790L, 615020L, 615021L, 615023L, 615024L, 
615029L, 615030L, 615032L, 615033L, 615038L, 615039L, 615041L, 
615042L, 615047L, 615048L, 615050L, 615051L, 615056L, 615057L, 
615059L, 615060L, 615074L, 615075L, 615077L, 615078L, 615083L, 
615084L, 615086L, 615087L, 615092L, 615093L, 615095L, 615096L, 
615101L, 615102L, 615104L, 615105L, 615110L, 615111L, 615113L, 
615114L, 615182L, 615183L, 615185L, 615186L, 615191L, 615192L, 
615194L, 615195L, 615200L, 615201L, 615203L, 615204L, 615209L, 
615210L, 615212L, 615213L, 615218L, 615219L, 615221L, 615222L, 
615236L, 615237L, 615239L, 615240L, 615245L, 615246L, 615248L, 
615249L, 615254L, 615255L, 615257L, 615258L, 615263L, 615264L, 
615266L, 615267L, 615272L, 615273L, 615275L, 615276L, 615344L, 
615345L, 615347L, 615348L, 615353L, 615354L, 615356L, 615357L, 
615362L, 615363L, 615365L, 615366L, 615371L, 615372L, 615374L, 
615375L, 615380L, 615381L, 615383L, 615384L, 615398L, 615399L, 
615401L, 615402L, 615407L, 615408L, 615410L, 615411L, 615416L, 
615417L, 615419L, 615420L, 615425L, 615426L, 615428L, 615429L, 
615434L, 615435L, 615437L, 615438L, 615506L, 615507L, 615509L, 
615510L, 615515L, 615516L, 615518L, 615519L, 615524L, 615525L, 
615527L, 615528L, 615533L, 615534L, 615536L, 615537L, 615542L, 
615543L, 615545L, 615546L, 615560L, 615561L, 615563L, 615564L, 
615569L, 615570L, 615572L, 615573L, 615578L, 615579L, 615581L, 
615582L, 615587L, 615588L, 615590L, 615591L, 615596L, 615597L, 
615599L, 615600L, 615830L, 615831L, 615833L, 615834L, 615839L, 
615840L, 615842L, 615843L, 615848L, 615849L, 615851L, 615852L, 
615857L, 615858L, 615860L, 615861L, 615866L, 615867L, 615869L, 
615870L, 615884L, 615885L, 615887L, 615888L, 615893L, 615894L, 
615896L, 615897L, 615902L, 615903L, 615905L, 615906L, 615911L, 
615912L, 615914L, 615915L, 615920L, 615921L, 615923L, 615924L, 
615992L, 615993L, 615995L, 615996L, 616001L, 616002L, 616004L, 
616005L, 616010L, 616011L, 616013L, 616014L, 616019L, 616020L, 
616022L, 616023L, 616028L, 616029L, 616031L, 616032L, 616046L, 
616047L, 616049L, 616050L, 616055L, 616056L, 616058L, 616059L, 
616064L, 616065L, 616067L, 616068L, 616073L, 616074L, 616076L, 
616077L, 616082L, 616083L, 616085L, 616086L, 616154L, 616155L, 
616157L, 616158L, 616163L, 616164L, 616166L, 616167L, 616172L, 
616173L, 616175L, 616176L, 616181L, 616182L, 616184L, 616185L, 
616190L, 616191L, 616193L, 616194L, 616208L, 616209L, 616211L, 
616212L, 616217L, 616218L, 616220L, 616221L, 616226L, 616227L, 
616229L, 616230L, 616235L, 616236L, 616238L, 616239L, 616244L, 
616245L, 616247L, 616248L, 616316L, 616317L, 616319L, 616320L, 
616325L, 616326L, 616328L, 616329L, 616334L, 616335L, 616337L, 
616338L, 616343L, 616344L, 616346L, 616347L, 616352L, 616353L, 
616355L, 616356L, 616370L, 616371L, 616373L, 616374L, 616379L, 
616380L, 616382L, 616383L, 616388L, 616389L, 616391L, 616392L, 
616397L, 616398L, 616400L, 616401L, 616406L, 616407L, 616409L, 
616410L, 616640L, 616641L, 616643L, 616644L, 616649L, 616650L, 
616652L, 616653L, 616658L, 616659L, 616661L, 616662L, 616667L, 
616668L, 616670L, 616671L, 616676L, 616677L, 616679L, 616680L, 
616694L, 616695L, 616697L, 616698L, 616703L, 616704L, 616706L, 
616707L, 616712L, 616713L, 616715L, 616716L, 616721L, 616722L, 
616724L, 616725L, 616730L, 616731L, 616733L, 616734L, 616802L, 
616803L, 616805L, 616806L, 616811L, 616812L, 616814L, 616815L, 
616820L, 616821L, 616823L, 616824L, 616829L, 616830L, 616832L, 
616833L, 616838L, 616839L, 616841L, 616842L, 616856L, 616857L, 
616859L, 616860L, 616865L, 616866L, 616868L, 616869L, 616874L, 
616875L, 616877L, 616878L, 616883L, 616884L, 616886L, 616887L, 
616892L, 616893L, 616895L, 616896L, 616964L, 616965L, 616967L, 
616968L, 616973L, 616974L, 616976L, 616977L, 616982L, 616983L, 
616985L, 616986L, 616991L, 616992L, 616994L, 616995L, 617000L, 
617001L, 617003L, 617004L, 617018L, 617019L, 617021L, 617022L, 
617027L, 617028L, 617030L, 617031L, 617036L, 617037L, 617039L, 
617040L, 617045L, 617046L, 617048L, 617049L, 617054L, 617055L, 
617057L, 617058L, 617126L, 617127L, 617129L, 617130L, 617135L, 
617136L, 617138L, 617139L, 617144L, 617145L, 617147L, 617148L, 
617153L, 617154L, 617156L, 617157L, 617162L, 617163L, 617165L, 
617166L, 617180L, 617181L, 617183L, 617184L, 617189L, 617190L, 
617192L, 617193L, 617198L, 617199L, 617201L, 617202L, 617207L, 
617208L, 617210L, 617211L, 617216L, 617217L, 617219L, 617220L, 
618260L, 618261L, 618263L, 618264L, 618269L, 618270L, 618272L, 
618273L, 618278L, 618279L, 618281L, 618282L, 618287L, 618288L, 
618290L, 618291L, 618296L, 618297L, 618299L, 618300L, 618314L, 
618315L, 618317L, 618318L, 618323L, 618324L, 618326L, 618327L, 
618332L, 618333L, 618335L, 618336L, 618341L, 618342L, 618344L, 
618345L, 618350L, 618351L, 618353L, 618354L, 618422L, 618423L, 
618425L, 618426L, 618431L, 618432L, 618434L, 618435L, 618440L, 
618441L, 618443L, 618444L, 618449L, 618450L, 618452L, 618453L, 
618458L, 618459L, 618461L, 618462L, 618476L, 618477L, 618479L, 
618480L, 618485L, 618486L, 618488L, 618489L, 618494L, 618495L, 
618497L, 618498L, 618503L, 618504L, 618506L, 618507L, 618512L, 
618513L, 618515L, 618516L, 618584L, 618585L, 618587L, 618588L, 
618593L, 618594L, 618596L, 618597L, 618602L, 618603L, 618605L, 
618606L, 618611L, 618612L, 618614L, 618615L, 618620L, 618621L, 
618623L, 618624L, 618638L, 618639L, 618641L, 618642L, 618647L, 
618648L, 618650L, 618651L, 618656L, 618657L, 618659L, 618660L, 
618665L, 618666L, 618668L, 618669L, 618674L, 618675L, 618677L, 
618678L, 618746L, 618747L, 618749L, 618750L, 618755L, 618756L, 
618758L, 618759L, 618764L, 618765L, 618767L, 618768L, 618773L, 
618774L, 618776L, 618777L, 618782L, 618783L, 618785L, 618786L, 
618800L, 618801L, 618803L, 618804L, 618809L, 618810L, 618812L, 
618813L, 618818L, 618819L, 618821L, 618822L, 618827L, 618828L, 
618830L, 618831L, 618836L, 618837L, 618839L, 618840L, 619070L, 
619071L, 619073L, 619074L, 619079L, 619080L, 619082L, 619083L, 
619088L, 619089L, 619091L, 619092L, 619097L, 619098L, 619100L, 
619101L, 619106L, 619107L, 619109L, 619110L, 619124L, 619125L, 
619127L, 619128L, 619133L, 619134L, 619136L, 619137L, 619142L, 
619143L, 619145L, 619146L, 619151L, 619152L, 619154L, 619155L, 
619160L, 619161L, 619163L, 619164L, 619232L, 619233L, 619235L, 
619236L, 619241L, 619242L, 619244L, 619245L, 619250L, 619251L, 
619253L, 619254L, 619259L, 619260L, 619262L, 619263L, 619268L, 
619269L, 619271L, 619272L, 619286L, 619287L, 619289L, 619290L, 
619295L, 619296L, 619298L, 619299L, 619304L, 619305L, 619307L, 
619308L, 619313L, 619314L, 619316L, 619317L, 619322L, 619323L, 
619325L, 619326L, 619394L, 619395L, 619397L, 619398L, 619403L, 
619404L, 619406L, 619407L, 619412L, 619413L, 619415L, 619416L, 
619421L, 619422L, 619424L, 619425L, 619430L, 619431L, 619433L, 
619434L, 619448L, 619449L, 619451L, 619452L, 619457L, 619458L, 
619460L, 619461L, 619466L, 619467L, 619469L, 619470L, 619475L, 
619476L, 619478L, 619479L, 619484L, 619485L, 619487L, 619488L, 
619556L, 619557L, 619559L, 619560L, 619565L, 619566L, 619568L, 
619569L, 619574L, 619575L, 619577L, 619578L, 619583L, 619584L, 
619586L, 619587L, 619592L, 619593L, 619595L, 619596L, 619610L, 
619611L, 619613L, 619614L, 619619L, 619620L, 619622L, 619623L, 
619628L, 619629L, 619631L, 619632L, 619637L, 619638L, 619640L, 
619641L, 619646L, 619647L, 619649L, 619650L, 619880L, 619881L, 
619883L, 619884L, 619889L, 619890L, 619892L, 619893L, 619898L, 
619899L, 619901L, 619902L, 619907L, 619908L, 619910L, 619911L, 
619916L, 619917L, 619919L, 619920L, 619934L, 619935L, 619937L, 
619938L, 619943L, 619944L, 619946L, 619947L, 619952L, 619953L, 
619955L, 619956L, 619961L, 619962L, 619964L, 619965L, 619970L, 
619971L, 619973L, 619974L, 620042L, 620043L, 620045L, 620046L, 
620051L, 620052L, 620054L, 620055L, 620060L, 620061L, 620063L, 
620064L, 620069L, 620070L, 620072L, 620073L, 620078L, 620079L, 
620081L, 620082L, 620096L, 620097L, 620099L, 620100L, 620105L, 
620106L, 620108L, 620109L, 620114L, 620115L, 620117L, 620118L, 
620123L, 620124L, 620126L, 620127L, 620132L, 620133L, 620135L, 
620136L, 620204L, 620205L, 620207L, 620208L, 620213L, 620214L, 
620216L, 620217L, 620222L, 620223L, 620225L, 620226L, 620231L, 
620232L, 620234L, 620235L, 620240L, 620241L, 620243L, 620244L, 
620258L, 620259L, 620261L, 620262L, 620267L, 620268L, 620270L, 
620271L, 620276L, 620277L, 620279L, 620280L, 620285L, 620286L, 
620288L, 620289L, 620294L, 620295L, 620297L, 620298L, 620366L, 
620367L, 620369L, 620370L, 620375L, 620376L, 620378L, 620379L, 
620384L, 620385L, 620387L, 620388L, 620393L, 620394L, 620396L, 
620397L, 620402L, 620403L, 620405L, 620406L, 620420L, 620421L, 
620423L, 620424L, 620429L, 620430L, 620432L, 620433L, 620438L, 
620439L, 620441L, 620442L, 620447L, 620448L, 620450L, 620451L, 
620456L, 620457L, 620459L, 620460L, 620690L, 620691L, 620693L, 
620694L, 620699L, 620700L, 620702L, 620703L, 620708L, 620709L, 
620711L, 620712L, 620717L, 620718L, 620720L, 620721L, 620726L, 
620727L, 620729L, 620730L, 620744L, 620745L, 620747L, 620748L, 
620753L, 620754L, 620756L, 620757L, 620762L, 620763L, 620765L, 
620766L, 620771L, 620772L, 620774L, 620775L, 620780L, 620781L, 
620783L, 620784L, 620852L, 620853L, 620855L, 620856L, 620861L, 
620862L, 620864L, 620865L, 620870L, 620871L, 620873L, 620874L, 
620879L, 620880L, 620882L, 620883L, 620888L, 620889L, 620891L, 
620892L, 620906L, 620907L, 620909L, 620910L, 620915L, 620916L, 
620918L, 620919L, 620924L, 620925L, 620927L, 620928L, 620933L, 
620934L, 620936L, 620937L, 620942L, 620943L, 620945L, 620946L, 
621014L, 621015L, 621017L, 621018L, 621023L, 621024L, 621026L, 
621027L, 621032L, 621033L, 621035L, 621036L, 621041L, 621042L, 
621044L, 621045L, 621050L, 621051L, 621053L, 621054L, 621068L, 
621069L, 621071L, 621072L, 621077L, 621078L, 621080L, 621081L, 
621086L, 621087L, 621089L, 621090L, 621095L, 621096L, 621098L, 
621099L, 621104L, 621105L, 621107L, 621108L, 621176L, 621177L, 
621179L, 621180L, 621185L, 621186L, 621188L, 621189L, 621194L, 
621195L, 621197L, 621198L, 621203L, 621204L, 621206L, 621207L, 
621212L, 621213L, 621215L, 621216L, 621230L, 621231L, 621233L, 
621234L, 621239L, 621240L, 621242L, 621243L, 621248L, 621249L, 
621251L, 621252L, 621257L, 621258L, 621260L, 621261L, 621266L, 
621267L, 621269L, 621270L, 621500L, 621501L, 621503L, 621504L, 
621509L, 621510L, 621512L, 621513L, 621518L, 621519L, 621521L, 
621522L, 621527L, 621528L, 621530L, 621531L, 621536L, 621537L, 
621539L, 621540L, 621554L, 621555L, 621557L, 621558L, 621563L, 
621564L, 621566L, 621567L, 621572L, 621573L, 621575L, 621576L, 
621581L, 621582L, 621584L, 621585L, 621590L, 621591L, 621593L, 
621594L, 621662L, 621663L, 621665L, 621666L, 621671L, 621672L, 
621674L, 621675L, 621680L, 621681L, 621683L, 621684L, 621689L, 
621690L, 621692L, 621693L, 621698L, 621699L, 621701L, 621702L, 
621716L, 621717L, 621719L, 621720L, 621725L, 621726L, 621728L, 
621729L, 621734L, 621735L, 621737L, 621738L, 621743L, 621744L, 
621746L, 621747L, 621752L, 621753L, 621755L, 621756L, 621824L, 
621825L, 621827L, 621828L, 621833L, 621834L, 621836L, 621837L, 
621842L, 621843L, 621845L, 621846L, 621851L, 621852L, 621854L, 
621855L, 621860L, 621861L, 621863L, 621864L, 621878L, 621879L, 
621881L, 621882L, 621887L, 621888L, 621890L, 621891L, 621896L, 
621897L, 621899L, 621900L, 621905L, 621906L, 621908L, 621909L, 
621914L, 621915L, 621917L, 621918L, 621986L, 621987L, 621989L, 
621990L, 621995L, 621996L, 621998L, 621999L, 622004L, 622005L, 
622007L, 622008L, 622013L, 622014L, 622016L, 622017L, 622022L, 
622023L, 622025L, 622026L, 622040L, 622041L, 622043L, 622044L, 
622049L, 622050L, 622052L, 622053L, 622058L, 622059L, 622061L, 
622062L, 622067L, 622068L, 622070L, 622071L, 622076L, 622077L, 
622079L, 622080L, 623120L, 623121L, 623123L, 623124L, 623129L, 
623130L, 623132L, 623133L, 623138L, 623139L, 623141L, 623142L, 
623147L, 623148L, 623150L, 623151L, 623156L, 623157L, 623159L, 
623160L, 623174L, 623175L, 623177L, 623178L, 623183L, 623184L, 
623186L, 623187L, 623192L, 623193L, 623195L, 623196L, 623201L, 
623202L, 623204L, 623205L, 623210L, 623211L, 623213L, 623214L, 
623282L, 623283L, 623285L, 623286L, 623291L, 623292L, 623294L, 
623295L, 623300L, 623301L, 623303L, 623304L, 623309L, 623310L, 
623312L, 623313L, 623318L, 623319L, 623321L, 623322L, 623336L, 
623337L, 623339L, 623340L, 623345L, 623346L, 623348L, 623349L, 
623354L, 623355L, 623357L, 623358L, 623363L, 623364L, 623366L, 
623367L, 623372L, 623373L, 623375L, 623376L, 623444L, 623445L, 
623447L, 623448L, 623453L, 623454L, 623456L, 623457L, 623462L, 
623463L, 623465L, 623466L, 623471L, 623472L, 623474L, 623475L, 
623480L, 623481L, 623483L, 623484L, 623498L, 623499L, 623501L, 
623502L, 623507L, 623508L, 623510L, 623511L, 623516L, 623517L, 
623519L, 623520L, 623525L, 623526L, 623528L, 623529L, 623534L, 
623535L, 623537L, 623538L, 623606L, 623607L, 623609L, 623610L, 
623615L, 623616L, 623618L, 623619L, 623624L, 623625L, 623627L, 
623628L, 623633L, 623634L, 623636L, 623637L, 623642L, 623643L, 
623645L, 623646L, 623660L, 623661L, 623663L, 623664L, 623669L, 
623670L, 623672L, 623673L, 623678L, 623679L, 623681L, 623682L, 
623687L, 623688L, 623690L, 623691L, 623696L, 623697L, 623699L, 
623700L, 623930L, 623931L, 623933L, 623934L, 623939L, 623940L, 
623942L, 623943L, 623948L, 623949L, 623951L, 623952L, 623957L, 
623958L, 623960L, 623961L, 623966L, 623967L, 623969L, 623970L, 
623984L, 623985L, 623987L, 623988L, 623993L, 623994L, 623996L, 
623997L, 624002L, 624003L, 624005L, 624006L, 624011L, 624012L, 
624014L, 624015L, 624020L, 624021L, 624023L, 624024L, 624092L, 
624093L, 624095L, 624096L, 624101L, 624102L, 624104L, 624105L, 
624110L, 624111L, 624113L, 624114L, 624119L, 624120L, 624122L, 
624123L, 624128L, 624129L, 624131L, 624132L, 624146L, 624147L, 
624149L, 624150L, 624155L, 624156L, 624158L, 624159L, 624164L, 
624165L, 624167L, 624168L, 624173L, 624174L, 624176L, 624177L, 
624182L, 624183L, 624185L, 624186L, 624254L, 624255L, 624257L, 
624258L, 624263L, 624264L, 624266L, 624267L, 624272L, 624273L, 
624275L, 624276L, 624281L, 624282L, 624284L, 624285L, 624290L, 
624291L, 624293L, 624294L, 624308L, 624309L, 624311L, 624312L, 
624317L, 624318L, 624320L, 624321L, 624326L, 624327L, 624329L, 
624330L, 624335L, 624336L, 624338L, 624339L, 624344L, 624345L, 
624347L, 624348L, 624416L, 624417L, 624419L, 624420L, 624425L, 
624426L, 624428L, 624429L, 624434L, 624435L, 624437L, 624438L, 
624443L, 624444L, 624446L, 624447L, 624452L, 624453L, 624455L, 
624456L, 624470L, 624471L, 624473L, 624474L, 624479L, 624480L, 
624482L, 624483L, 624488L, 624489L, 624491L, 624492L, 624497L, 
624498L, 624500L, 624501L, 624506L, 624507L, 624509L, 624510L, 
624740L, 624741L, 624743L, 624744L, 624749L, 624750L, 624752L, 
624753L, 624758L, 624759L, 624761L, 624762L, 624767L, 624768L, 
624770L, 624771L, 624776L, 624777L, 624779L, 624780L, 624794L, 
624795L, 624797L, 624798L, 624803L, 624804L, 624806L, 624807L, 
624812L, 624813L, 624815L, 624816L, 624821L, 624822L, 624824L, 
624825L, 624830L, 624831L, 624833L, 624834L, 624902L, 624903L, 
624905L, 624906L, 624911L, 624912L, 624914L, 624915L, 624920L, 
624921L, 624923L, 624924L, 624929L, 624930L, 624932L, 624933L, 
624938L, 624939L, 624941L, 624942L, 624956L, 624957L, 624959L, 
624960L, 624965L, 624966L, 624968L, 624969L, 624974L, 624975L, 
624977L, 624978L, 624983L, 624984L, 624986L, 624987L, 624992L, 
624993L, 624995L, 624996L, 625064L, 625065L, 625067L, 625068L, 
625073L, 625074L, 625076L, 625077L, 625082L, 625083L, 625085L, 
625086L, 625091L, 625092L, 625094L, 625095L, 625100L, 625101L, 
625103L, 625104L, 625118L, 625119L, 625121L, 625122L, 625127L, 
625128L, 625130L, 625131L, 625136L, 625137L, 625139L, 625140L, 
625145L, 625146L, 625148L, 625149L, 625154L, 625155L, 625157L, 
625158L, 625226L, 625227L, 625229L, 625230L, 625235L, 625236L, 
625238L, 625239L, 625244L, 625245L, 625247L, 625248L, 625253L, 
625254L, 625256L, 625257L, 625262L, 625263L, 625265L, 625266L, 
625280L, 625281L, 625283L, 625284L, 625289L, 625290L, 625292L, 
625293L, 625298L, 625299L, 625301L, 625302L, 625307L, 625308L, 
625310L, 625311L, 625316L, 625317L, 625319L, 625320L, 625550L, 
625551L, 625553L, 625554L, 625559L, 625560L, 625562L, 625563L, 
625568L, 625569L, 625571L, 625572L, 625577L, 625578L, 625580L, 
625581L, 625586L, 625587L, 625589L, 625590L, 625604L, 625605L, 
625607L, 625608L, 625613L, 625614L, 625616L, 625617L, 625622L, 
625623L, 625625L, 625626L, 625631L, 625632L, 625634L, 625635L, 
625640L, 625641L, 625643L, 625644L, 625712L, 625713L, 625715L, 
625716L, 625721L, 625722L, 625724L, 625725L, 625730L, 625731L, 
625733L, 625734L, 625739L, 625740L, 625742L, 625743L, 625748L, 
625749L, 625751L, 625752L, 625766L, 625767L, 625769L, 625770L, 
625775L, 625776L, 625778L, 625779L, 625784L, 625785L, 625787L, 
625788L, 625793L, 625794L, 625796L, 625797L, 625802L, 625803L, 
625805L, 625806L, 625874L, 625875L, 625877L, 625878L, 625883L, 
625884L, 625886L, 625887L, 625892L, 625893L, 625895L, 625896L, 
625901L, 625902L, 625904L, 625905L, 625910L, 625911L, 625913L, 
625914L, 625928L, 625929L, 625931L, 625932L, 625937L, 625938L, 
625940L, 625941L, 625946L, 625947L, 625949L, 625950L, 625955L, 
625956L, 625958L, 625959L, 625964L, 625965L, 625967L, 625968L, 
626036L, 626037L, 626039L, 626040L, 626045L, 626046L, 626048L, 
626049L, 626054L, 626055L, 626057L, 626058L, 626063L, 626064L, 
626066L, 626067L, 626072L, 626073L, 626075L, 626076L, 626090L, 
626091L, 626093L, 626094L, 626099L, 626100L, 626102L, 626103L, 
626108L, 626109L, 626111L, 626112L, 626117L, 626118L, 626120L, 
626121L, 626126L, 626127L, 626129L, 626130L, 626360L, 626361L, 
626363L, 626364L, 626369L, 626370L, 626372L, 626373L, 626378L, 
626379L, 626381L, 626382L, 626387L, 626388L, 626390L, 626391L, 
626396L, 626397L, 626399L, 626400L, 626414L, 626415L, 626417L, 
626418L, 626423L, 626424L, 626426L, 626427L, 626432L, 626433L, 
626435L, 626436L, 626441L, 626442L, 626444L, 626445L, 626450L, 
626451L, 626453L, 626454L, 626522L, 626523L, 626525L, 626526L, 
626531L, 626532L, 626534L, 626535L, 626540L, 626541L, 626543L, 
626544L, 626549L, 626550L, 626552L, 626553L, 626558L, 626559L, 
626561L, 626562L, 626576L, 626577L, 626579L, 626580L, 626585L, 
626586L, 626588L, 626589L, 626594L, 626595L, 626597L, 626598L, 
626603L, 626604L, 626606L, 626607L, 626612L, 626613L, 626615L, 
626616L, 626684L, 626685L, 626687L, 626688L, 626693L, 626694L, 
626696L, 626697L, 626702L, 626703L, 626705L, 626706L, 626711L, 
626712L, 626714L, 626715L, 626720L, 626721L, 626723L, 626724L, 
626738L, 626739L, 626741L, 626742L, 626747L, 626748L, 626750L, 
626751L, 626756L, 626757L, 626759L, 626760L, 626765L, 626766L, 
626768L, 626769L, 626774L, 626775L, 626777L, 626778L, 626846L, 
626847L, 626849L, 626850L, 626855L, 626856L, 626858L, 626859L, 
626864L, 626865L, 626867L, 626868L, 626873L, 626874L, 626876L, 
626877L, 626882L, 626883L, 626885L, 626886L, 626900L, 626901L, 
626903L, 626904L, 626909L, 626910L, 626912L, 626913L, 626918L, 
626919L, 626921L, 626922L, 626927L, 626928L, 626930L, 626931L, 
626936L, 626937L, 626939L, 626940L, 637700L, 637701L, 637703L, 
637704L, 637709L, 637710L, 637712L, 637713L, 637718L, 637719L, 
637721L, 637722L, 637727L, 637728L, 637730L, 637731L, 637736L, 
637737L, 637739L, 637740L, 637754L, 637755L, 637757L, 637758L, 
637763L, 637764L, 637766L, 637767L, 637772L, 637773L, 637775L, 
637776L, 637781L, 637782L, 637784L, 637785L, 637790L, 637791L, 
637793L, 637794L, 637862L, 637863L, 637865L, 637866L, 637871L, 
637872L, 637874L, 637875L, 637880L, 637881L, 637883L, 637884L, 
637889L, 637890L, 637892L, 637893L, 637898L, 637899L, 637901L, 
637902L, 637916L, 637917L, 637919L, 637920L, 637925L, 637926L, 
637928L, 637929L, 637934L, 637935L, 637937L, 637938L, 637943L, 
637944L, 637946L, 637947L, 637952L, 637953L, 637955L, 637956L, 
638024L, 638025L, 638027L, 638028L, 638033L, 638034L, 638036L, 
638037L, 638042L, 638043L, 638045L, 638046L, 638051L, 638052L, 
638054L, 638055L, 638060L, 638061L, 638063L, 638064L, 638078L, 
638079L, 638081L, 638082L, 638087L, 638088L, 638090L, 638091L, 
638096L, 638097L, 638099L, 638100L, 638105L, 638106L, 638108L, 
638109L, 638114L, 638115L, 638117L, 638118L, 638186L, 638187L, 
638189L, 638190L, 638195L, 638196L, 638198L, 638199L, 638204L, 
638205L, 638207L, 638208L, 638213L, 638214L, 638216L, 638217L, 
638222L, 638223L, 638225L, 638226L, 638240L, 638241L, 638243L, 
638244L, 638249L, 638250L, 638252L, 638253L, 638258L, 638259L, 
638261L, 638262L, 638267L, 638268L, 638270L, 638271L, 638276L, 
638277L, 638279L, 638280L, 638510L, 638511L, 638513L, 638514L, 
638519L, 638520L, 638522L, 638523L, 638528L, 638529L, 638531L, 
638532L, 638537L, 638538L, 638540L, 638541L, 638546L, 638547L, 
638549L, 638550L, 638564L, 638565L, 638567L, 638568L, 638573L, 
638574L, 638576L, 638577L, 638582L, 638583L, 638585L, 638586L, 
638591L, 638592L, 638594L, 638595L, 638600L, 638601L, 638603L, 
638604L, 638672L, 638673L, 638675L, 638676L, 638681L, 638682L, 
638684L, 638685L, 638690L, 638691L, 638693L, 638694L, 638699L, 
638700L, 638702L, 638703L, 638708L, 638709L, 638711L, 638712L, 
638726L, 638727L, 638729L, 638730L, 638735L, 638736L, 638738L, 
638739L, 638744L, 638745L, 638747L, 638748L, 638753L, 638754L, 
638756L, 638757L, 638762L, 638763L, 638765L, 638766L, 638834L, 
638835L, 638837L, 638838L, 638843L, 638844L, 638846L, 638847L, 
638852L, 638853L, 638855L, 638856L, 638861L, 638862L, 638864L, 
638865L, 638870L, 638871L, 638873L, 638874L, 638888L, 638889L, 
638891L, 638892L, 638897L, 638898L, 638900L, 638901L, 638906L, 
638907L, 638909L, 638910L, 638915L, 638916L, 638918L, 638919L, 
638924L, 638925L, 638927L, 638928L, 638996L, 638997L, 638999L, 
639000L, 639005L, 639006L, 639008L, 639009L, 639014L, 639015L, 
639017L, 639018L, 639023L, 639024L, 639026L, 639027L, 639032L, 
639033L, 639035L, 639036L, 639050L, 639051L, 639053L, 639054L, 
639059L, 639060L, 639062L, 639063L, 639068L, 639069L, 639071L, 
639072L, 639077L, 639078L, 639080L, 639081L, 639086L, 639087L, 
639089L, 639090L, 639320L, 639321L, 639323L, 639324L, 639329L, 
639330L, 639332L, 639333L, 639338L, 639339L, 639341L, 639342L, 
639347L, 639348L, 639350L, 639351L, 639356L, 639357L, 639359L, 
639360L, 639374L, 639375L, 639377L, 639378L, 639383L, 639384L, 
639386L, 639387L, 639392L, 639393L, 639395L, 639396L, 639401L, 
639402L, 639404L, 639405L, 639410L, 639411L, 639413L, 639414L, 
639482L, 639483L, 639485L, 639486L, 639491L, 639492L, 639494L, 
639495L, 639500L, 639501L, 639503L, 639504L, 639509L, 639510L, 
639512L, 639513L, 639518L, 639519L, 639521L, 639522L, 639536L, 
639537L, 639539L, 639540L, 639545L, 639546L, 639548L, 639549L, 
639554L, 639555L, 639557L, 639558L, 639563L, 639564L, 639566L, 
639567L, 639572L, 639573L, 639575L, 639576L, 639644L, 639645L, 
639647L, 639648L, 639653L, 639654L, 639656L, 639657L, 639662L, 
639663L, 639665L, 639666L, 639671L, 639672L, 639674L, 639675L, 
639680L, 639681L, 639683L, 639684L, 639698L, 639699L, 639701L, 
639702L, 639707L, 639708L, 639710L, 639711L, 639716L, 639717L, 
639719L, 639720L, 639725L, 639726L, 639728L, 639729L, 639734L, 
639735L, 639737L, 639738L, 639806L, 639807L, 639809L, 639810L, 
639815L, 639816L, 639818L, 639819L, 639824L, 639825L, 639827L, 
639828L, 639833L, 639834L, 639836L, 639837L, 639842L, 639843L, 
639845L, 639846L, 639860L, 639861L, 639863L, 639864L, 639869L, 
639870L, 639872L, 639873L, 639878L, 639879L, 639881L, 639882L, 
639887L, 639888L, 639890L, 639891L, 639896L, 639897L, 639899L, 
639900L, 640130L, 640131L, 640133L, 640134L, 640139L, 640140L, 
640142L, 640143L, 640148L, 640149L, 640151L, 640152L, 640157L, 
640158L, 640160L, 640161L, 640166L, 640167L, 640169L, 640170L, 
640184L, 640185L, 640187L, 640188L, 640193L, 640194L, 640196L, 
640197L, 640202L, 640203L, 640205L, 640206L, 640211L, 640212L, 
640214L, 640215L, 640220L, 640221L, 640223L, 640224L, 640292L, 
640293L, 640295L, 640296L, 640301L, 640302L, 640304L, 640305L, 
640310L, 640311L, 640313L, 640314L, 640319L, 640320L, 640322L, 
640323L, 640328L, 640329L, 640331L, 640332L, 640346L, 640347L, 
640349L, 640350L, 640355L, 640356L, 640358L, 640359L, 640364L, 
640365L, 640367L, 640368L, 640373L, 640374L, 640376L, 640377L, 
640382L, 640383L, 640385L, 640386L, 640454L, 640455L, 640457L, 
640458L, 640463L, 640464L, 640466L, 640467L, 640472L, 640473L, 
640475L, 640476L, 640481L, 640482L, 640484L, 640485L, 640490L, 
640491L, 640493L, 640494L, 640508L, 640509L, 640511L, 640512L, 
640517L, 640518L, 640520L, 640521L, 640526L, 640527L, 640529L, 
640530L, 640535L, 640536L, 640538L, 640539L, 640544L, 640545L, 
640547L, 640548L, 640616L, 640617L, 640619L, 640620L, 640625L, 
640626L, 640628L, 640629L, 640634L, 640635L, 640637L, 640638L, 
640643L, 640644L, 640646L, 640647L, 640652L, 640653L, 640655L, 
640656L, 640670L, 640671L, 640673L, 640674L, 640679L, 640680L, 
640682L, 640683L, 640688L, 640689L, 640691L, 640692L, 640697L, 
640698L, 640700L, 640701L, 640706L, 640707L, 640709L, 640710L, 
640940L, 640941L, 640943L, 640944L, 640949L, 640950L, 640952L, 
640953L, 640958L, 640959L, 640961L, 640962L, 640967L, 640968L, 
640970L, 640971L, 640976L, 640977L, 640979L, 640980L, 640994L, 
640995L, 640997L, 640998L, 641003L, 641004L, 641006L, 641007L, 
641012L, 641013L, 641015L, 641016L, 641021L, 641022L, 641024L, 
641025L, 641030L, 641031L, 641033L, 641034L, 641102L, 641103L, 
641105L, 641106L, 641111L, 641112L, 641114L, 641115L, 641120L, 
641121L, 641123L, 641124L, 641129L, 641130L, 641132L, 641133L, 
641138L, 641139L, 641141L, 641142L, 641156L, 641157L, 641159L, 
641160L, 641165L, 641166L, 641168L, 641169L, 641174L, 641175L, 
641177L, 641178L, 641183L, 641184L, 641186L, 641187L, 641192L, 
641193L, 641195L, 641196L, 641264L, 641265L, 641267L, 641268L, 
641273L, 641274L, 641276L, 641277L, 641282L, 641283L, 641285L, 
641286L, 641291L, 641292L, 641294L, 641295L, 641300L, 641301L, 
641303L, 641304L, 641318L, 641319L, 641321L, 641322L, 641327L, 
641328L, 641330L, 641331L, 641336L, 641337L, 641339L, 641340L, 
641345L, 641346L, 641348L, 641349L, 641354L, 641355L, 641357L, 
641358L, 641426L, 641427L, 641429L, 641430L, 641435L, 641436L, 
641438L, 641439L, 641444L, 641445L, 641447L, 641448L, 641453L, 
641454L, 641456L, 641457L, 641462L, 641463L, 641465L, 641466L, 
641480L, 641481L, 641483L, 641484L, 641489L, 641490L, 641492L, 
641493L, 641498L, 641499L, 641501L, 641502L, 641507L, 641508L, 
641510L, 641511L, 641516L, 641517L, 641519L, 641520L, 642560L, 
642561L, 642563L, 642564L, 642569L, 642570L, 642572L, 642573L, 
642578L, 642579L, 642581L, 642582L, 642587L, 642588L, 642590L, 
642591L, 642596L, 642597L, 642599L, 642600L, 642614L, 642615L, 
642617L, 642618L, 642623L, 642624L, 642626L, 642627L, 642632L, 
642633L, 642635L, 642636L, 642641L, 642642L, 642644L, 642645L, 
642650L, 642651L, 642653L, 642654L, 642722L, 642723L, 642725L, 
642726L, 642731L, 642732L, 642734L, 642735L, 642740L, 642741L, 
642743L, 642744L, 642749L, 642750L, 642752L, 642753L, 642758L, 
642759L, 642761L, 642762L, 642776L, 642777L, 642779L, 642780L, 
642785L, 642786L, 642788L, 642789L, 642794L, 642795L, 642797L, 
642798L, 642803L, 642804L, 642806L, 642807L, 642812L, 642813L, 
642815L, 642816L, 642884L, 642885L, 642887L, 642888L, 642893L, 
642894L, 642896L, 642897L, 642902L, 642903L, 642905L, 642906L, 
642911L, 642912L, 642914L, 642915L, 642920L, 642921L, 642923L, 
642924L, 642938L, 642939L, 642941L, 642942L, 642947L, 642948L, 
642950L, 642951L, 642956L, 642957L, 642959L, 642960L, 642965L, 
642966L, 642968L, 642969L, 642974L, 642975L, 642977L, 642978L, 
643046L, 643047L, 643049L, 643050L, 643055L, 643056L, 643058L, 
643059L, 643064L, 643065L, 643067L, 643068L, 643073L, 643074L, 
643076L, 643077L, 643082L, 643083L, 643085L, 643086L, 643100L, 
643101L, 643103L, 643104L, 643109L, 643110L, 643112L, 643113L, 
643118L, 643119L, 643121L, 643122L, 643127L, 643128L, 643130L, 
643131L, 643136L, 643137L, 643139L, 643140L, 643370L, 643371L, 
643373L, 643374L, 643379L, 643380L, 643382L, 643383L, 643388L, 
643389L, 643391L, 643392L, 643397L, 643398L, 643400L, 643401L, 
643406L, 643407L, 643409L, 643410L, 643424L, 643425L, 643427L, 
643428L, 643433L, 643434L, 643436L, 643437L, 643442L, 643443L, 
643445L, 643446L, 643451L, 643452L, 643454L, 643455L, 643460L, 
643461L, 643463L, 643464L, 643532L, 643533L, 643535L, 643536L, 
643541L, 643542L, 643544L, 643545L, 643550L, 643551L, 643553L, 
643554L, 643559L, 643560L, 643562L, 643563L, 643568L, 643569L, 
643571L, 643572L, 643586L, 643587L, 643589L, 643590L, 643595L, 
643596L, 643598L, 643599L, 643604L, 643605L, 643607L, 643608L, 
643613L, 643614L, 643616L, 643617L, 643622L, 643623L, 643625L, 
643626L, 643694L, 643695L, 643697L, 643698L, 643703L, 643704L, 
643706L, 643707L, 643712L, 643713L, 643715L, 643716L, 643721L, 
643722L, 643724L, 643725L, 643730L, 643731L, 643733L, 643734L, 
643748L, 643749L, 643751L, 643752L, 643757L, 643758L, 643760L, 
643761L, 643766L, 643767L, 643769L, 643770L, 643775L, 643776L, 
643778L, 643779L, 643784L, 643785L, 643787L, 643788L, 643856L, 
643857L, 643859L, 643860L, 643865L, 643866L, 643868L, 643869L, 
643874L, 643875L, 643877L, 643878L, 643883L, 643884L, 643886L, 
643887L, 643892L, 643893L, 643895L, 643896L, 643910L, 643911L, 
643913L, 643914L, 643919L, 643920L, 643922L, 643923L, 643928L, 
643929L, 643931L, 643932L, 643937L, 643938L, 643940L, 643941L, 
643946L, 643947L, 643949L, 643950L, 644180L, 644181L, 644183L, 
644184L, 644189L, 644190L, 644192L, 644193L, 644198L, 644199L, 
644201L, 644202L, 644207L, 644208L, 644210L, 644211L, 644216L, 
644217L, 644219L, 644220L, 644234L, 644235L, 644237L, 644238L, 
644243L, 644244L, 644246L, 644247L, 644252L, 644253L, 644255L, 
644256L, 644261L, 644262L, 644264L, 644265L, 644270L, 644271L, 
644273L, 644274L, 644342L, 644343L, 644345L, 644346L, 644351L, 
644352L, 644354L, 644355L, 644360L, 644361L, 644363L, 644364L, 
644369L, 644370L, 644372L, 644373L, 644378L, 644379L, 644381L, 
644382L, 644396L, 644397L, 644399L, 644400L, 644405L, 644406L, 
644408L, 644409L, 644414L, 644415L, 644417L, 644418L, 644423L, 
644424L, 644426L, 644427L, 644432L, 644433L, 644435L, 644436L, 
644504L, 644505L, 644507L, 644508L, 644513L, 644514L, 644516L, 
644517L, 644522L, 644523L, 644525L, 644526L, 644531L, 644532L, 
644534L, 644535L, 644540L, 644541L, 644543L, 644544L, 644558L, 
644559L, 644561L, 644562L, 644567L, 644568L, 644570L, 644571L, 
644576L, 644577L, 644579L, 644580L, 644585L, 644586L, 644588L, 
644589L, 644594L, 644595L, 644597L, 644598L, 644666L, 644667L, 
644669L, 644670L, 644675L, 644676L, 644678L, 644679L, 644684L, 
644685L, 644687L, 644688L, 644693L, 644694L, 644696L, 644697L, 
644702L, 644703L, 644705L, 644706L, 644720L, 644721L, 644723L, 
644724L, 644729L, 644730L, 644732L, 644733L, 644738L, 644739L, 
644741L, 644742L, 644747L, 644748L, 644750L, 644751L, 644756L, 
644757L, 644759L, 644760L, 644990L, 644991L, 644993L, 644994L, 
644999L, 645000L, 645002L, 645003L, 645008L, 645009L, 645011L, 
645012L, 645017L, 645018L, 645020L, 645021L, 645026L, 645027L, 
645029L, 645030L, 645044L, 645045L, 645047L, 645048L, 645053L, 
645054L, 645056L, 645057L, 645062L, 645063L, 645065L, 645066L, 
645071L, 645072L, 645074L, 645075L, 645080L, 645081L, 645083L, 
645084L, 645152L, 645153L, 645155L, 645156L, 645161L, 645162L, 
645164L, 645165L, 645170L, 645171L, 645173L, 645174L, 645179L, 
645180L, 645182L, 645183L, 645188L, 645189L, 645191L, 645192L, 
645206L, 645207L, 645209L, 645210L, 645215L, 645216L, 645218L, 
645219L, 645224L, 645225L, 645227L, 645228L, 645233L, 645234L, 
645236L, 645237L, 645242L, 645243L, 645245L, 645246L, 645314L, 
645315L, 645317L, 645318L, 645323L, 645324L, 645326L, 645327L, 
645332L, 645333L, 645335L, 645336L, 645341L, 645342L, 645344L, 
645345L, 645350L, 645351L, 645353L, 645354L, 645368L, 645369L, 
645371L, 645372L, 645377L, 645378L, 645380L, 645381L, 645386L, 
645387L, 645389L, 645390L, 645395L, 645396L, 645398L, 645399L, 
645404L, 645405L, 645407L, 645408L, 645476L, 645477L, 645479L, 
645480L, 645485L, 645486L, 645488L, 645489L, 645494L, 645495L, 
645497L, 645498L, 645503L, 645504L, 645506L, 645507L, 645512L, 
645513L, 645515L, 645516L, 645530L, 645531L, 645533L, 645534L, 
645539L, 645540L, 645542L, 645543L, 645548L, 645549L, 645551L, 
645552L, 645557L, 645558L, 645560L, 645561L, 645566L, 645567L, 
645569L, 645570L, 645800L, 645801L, 645803L, 645804L, 645809L, 
645810L, 645812L, 645813L, 645818L, 645819L, 645821L, 645822L, 
645827L, 645828L, 645830L, 645831L, 645836L, 645837L, 645839L, 
645840L, 645854L, 645855L, 645857L, 645858L, 645863L, 645864L, 
645866L, 645867L, 645872L, 645873L, 645875L, 645876L, 645881L, 
645882L, 645884L, 645885L, 645890L, 645891L, 645893L, 645894L, 
645962L, 645963L, 645965L, 645966L, 645971L, 645972L, 645974L, 
645975L, 645980L, 645981L, 645983L, 645984L, 645989L, 645990L, 
645992L, 645993L, 645998L, 645999L, 646001L, 646002L, 646016L, 
646017L, 646019L, 646020L, 646025L, 646026L, 646028L, 646029L, 
646034L, 646035L, 646037L, 646038L, 646043L, 646044L, 646046L, 
646047L, 646052L, 646053L, 646055L, 646056L, 646124L, 646125L, 
646127L, 646128L, 646133L, 646134L, 646136L, 646137L, 646142L, 
646143L, 646145L, 646146L, 646151L, 646152L, 646154L, 646155L, 
646160L, 646161L, 646163L, 646164L, 646178L, 646179L, 646181L, 
646182L, 646187L, 646188L, 646190L, 646191L, 646196L, 646197L, 
646199L, 646200L, 646205L, 646206L, 646208L, 646209L, 646214L, 
646215L, 646217L, 646218L, 646286L, 646287L, 646289L, 646290L, 
646295L, 646296L, 646298L, 646299L, 646304L, 646305L, 646307L, 
646308L, 646313L, 646314L, 646316L, 646317L, 646322L, 646323L, 
646325L, 646326L, 646340L, 646341L, 646343L, 646344L, 646349L, 
646350L, 646352L, 646353L, 646358L, 646359L, 646361L, 646362L, 
646367L, 646368L, 646370L, 646371L, 646376L, 646377L, 646379L, 
646380L, 647420L, 647421L, 647423L, 647424L, 647429L, 647430L, 
647432L, 647433L, 647438L, 647439L, 647441L, 647442L, 647447L, 
647448L, 647450L, 647451L, 647456L, 647457L, 647459L, 647460L, 
647474L, 647475L, 647477L, 647478L, 647483L, 647484L, 647486L, 
647487L, 647492L, 647493L, 647495L, 647496L, 647501L, 647502L, 
647504L, 647505L, 647510L, 647511L, 647513L, 647514L, 647582L, 
647583L, 647585L, 647586L, 647591L, 647592L, 647594L, 647595L, 
647600L, 647601L, 647603L, 647604L, 647609L, 647610L, 647612L, 
647613L, 647618L, 647619L, 647621L, 647622L, 647636L, 647637L, 
647639L, 647640L, 647645L, 647646L, 647648L, 647649L, 647654L, 
647655L, 647657L, 647658L, 647663L, 647664L, 647666L, 647667L, 
647672L, 647673L, 647675L, 647676L, 647744L, 647745L, 647747L, 
647748L, 647753L, 647754L, 647756L, 647757L, 647762L, 647763L, 
647765L, 647766L, 647771L, 647772L, 647774L, 647775L, 647780L, 
647781L, 647783L, 647784L, 647798L, 647799L, 647801L, 647802L, 
647807L, 647808L, 647810L, 647811L, 647816L, 647817L, 647819L, 
647820L, 647825L, 647826L, 647828L, 647829L, 647834L, 647835L, 
647837L, 647838L, 647906L, 647907L, 647909L, 647910L, 647915L, 
647916L, 647918L, 647919L, 647924L, 647925L, 647927L, 647928L, 
647933L, 647934L, 647936L, 647937L, 647942L, 647943L, 647945L, 
647946L, 647960L, 647961L, 647963L, 647964L, 647969L, 647970L, 
647972L, 647973L, 647978L, 647979L, 647981L, 647982L, 647987L, 
647988L, 647990L, 647991L, 647996L, 647997L, 647999L, 648000L, 
648230L, 648231L, 648233L, 648234L, 648239L, 648240L, 648242L, 
648243L, 648248L, 648249L, 648251L, 648252L, 648257L, 648258L, 
648260L, 648261L, 648266L, 648267L, 648269L, 648270L, 648284L, 
648285L, 648287L, 648288L, 648293L, 648294L, 648296L, 648297L, 
648302L, 648303L, 648305L, 648306L, 648311L, 648312L, 648314L, 
648315L, 648320L, 648321L, 648323L, 648324L, 648392L, 648393L, 
648395L, 648396L, 648401L, 648402L, 648404L, 648405L, 648410L, 
648411L, 648413L, 648414L, 648419L, 648420L, 648422L, 648423L, 
648428L, 648429L, 648431L, 648432L, 648446L, 648447L, 648449L, 
648450L, 648455L, 648456L, 648458L, 648459L, 648464L, 648465L, 
648467L, 648468L, 648473L, 648474L, 648476L, 648477L, 648482L, 
648483L, 648485L, 648486L, 648554L, 648555L, 648557L, 648558L, 
648563L, 648564L, 648566L, 648567L, 648572L, 648573L, 648575L, 
648576L, 648581L, 648582L, 648584L, 648585L, 648590L, 648591L, 
648593L, 648594L, 648608L, 648609L, 648611L, 648612L, 648617L, 
648618L, 648620L, 648621L, 648626L, 648627L, 648629L, 648630L, 
648635L, 648636L, 648638L, 648639L, 648644L, 648645L, 648647L, 
648648L, 648716L, 648717L, 648719L, 648720L, 648725L, 648726L, 
648728L, 648729L, 648734L, 648735L, 648737L, 648738L, 648743L, 
648744L, 648746L, 648747L, 648752L, 648753L, 648755L, 648756L, 
648770L, 648771L, 648773L, 648774L, 648779L, 648780L, 648782L, 
648783L, 648788L, 648789L, 648791L, 648792L, 648797L, 648798L, 
648800L, 648801L, 648806L, 648807L, 648809L, 648810L, 649040L, 
649041L, 649043L, 649044L, 649049L, 649050L, 649052L, 649053L, 
649058L, 649059L, 649061L, 649062L, 649067L, 649068L, 649070L, 
649071L, 649076L, 649077L, 649079L, 649080L, 649094L, 649095L, 
649097L, 649098L, 649103L, 649104L, 649106L, 649107L, 649112L, 
649113L, 649115L, 649116L, 649121L, 649122L, 649124L, 649125L, 
649130L, 649131L, 649133L, 649134L, 649202L, 649203L, 649205L, 
649206L, 649211L, 649212L, 649214L, 649215L, 649220L, 649221L, 
649223L, 649224L, 649229L, 649230L, 649232L, 649233L, 649238L, 
649239L, 649241L, 649242L, 649256L, 649257L, 649259L, 649260L, 
649265L, 649266L, 649268L, 649269L, 649274L, 649275L, 649277L, 
649278L, 649283L, 649284L, 649286L, 649287L, 649292L, 649293L, 
649295L, 649296L, 649364L, 649365L, 649367L, 649368L, 649373L, 
649374L, 649376L, 649377L, 649382L, 649383L, 649385L, 649386L, 
649391L, 649392L, 649394L, 649395L, 649400L, 649401L, 649403L, 
649404L, 649418L, 649419L, 649421L, 649422L, 649427L, 649428L, 
649430L, 649431L, 649436L, 649437L, 649439L, 649440L, 649445L, 
649446L, 649448L, 649449L, 649454L, 649455L, 649457L, 649458L, 
649526L, 649527L, 649529L, 649530L, 649535L, 649536L, 649538L, 
649539L, 649544L, 649545L, 649547L, 649548L, 649553L, 649554L, 
649556L, 649557L, 649562L, 649563L, 649565L, 649566L, 649580L, 
649581L, 649583L, 649584L, 649589L, 649590L, 649592L, 649593L, 
649598L, 649599L, 649601L, 649602L, 649607L, 649608L, 649610L, 
649611L, 649616L, 649617L, 649619L, 649620L, 649850L, 649851L, 
649853L, 649854L, 649859L, 649860L, 649862L, 649863L, 649868L, 
649869L, 649871L, 649872L, 649877L, 649878L, 649880L, 649881L, 
649886L, 649887L, 649889L, 649890L, 649904L, 649905L, 649907L, 
649908L, 649913L, 649914L, 649916L, 649917L, 649922L, 649923L, 
649925L, 649926L, 649931L, 649932L, 649934L, 649935L, 649940L, 
649941L, 649943L, 649944L, 650012L, 650013L, 650015L, 650016L, 
650021L, 650022L, 650024L, 650025L, 650030L, 650031L, 650033L, 
650034L, 650039L, 650040L, 650042L, 650043L, 650048L, 650049L, 
650051L, 650052L, 650066L, 650067L, 650069L, 650070L, 650075L, 
650076L, 650078L, 650079L, 650084L, 650085L, 650087L, 650088L, 
650093L, 650094L, 650096L, 650097L, 650102L, 650103L, 650105L, 
650106L, 650174L, 650175L, 650177L, 650178L, 650183L, 650184L, 
650186L, 650187L, 650192L, 650193L, 650195L, 650196L, 650201L, 
650202L, 650204L, 650205L, 650210L, 650211L, 650213L, 650214L, 
650228L, 650229L, 650231L, 650232L, 650237L, 650238L, 650240L, 
650241L, 650246L, 650247L, 650249L, 650250L, 650255L, 650256L, 
650258L, 650259L, 650264L, 650265L, 650267L, 650268L, 650336L, 
650337L, 650339L, 650340L, 650345L, 650346L, 650348L, 650349L, 
650354L, 650355L, 650357L, 650358L, 650363L, 650364L, 650366L, 
650367L, 650372L, 650373L, 650375L, 650376L, 650390L, 650391L, 
650393L, 650394L, 650399L, 650400L, 650402L, 650403L, 650408L, 
650409L, 650411L, 650412L, 650417L, 650418L, 650420L, 650421L, 
650426L, 650427L, 650429L, 650430L, 650660L, 650661L, 650663L, 
650664L, 650669L, 650670L, 650672L, 650673L, 650678L, 650679L, 
650681L, 650682L, 650687L, 650688L, 650690L, 650691L, 650696L, 
650697L, 650699L, 650700L, 650714L, 650715L, 650717L, 650718L, 
650723L, 650724L, 650726L, 650727L, 650732L, 650733L, 650735L, 
650736L, 650741L, 650742L, 650744L, 650745L, 650750L, 650751L, 
650753L, 650754L, 650822L, 650823L, 650825L, 650826L, 650831L, 
650832L, 650834L, 650835L, 650840L, 650841L, 650843L, 650844L, 
650849L, 650850L, 650852L, 650853L, 650858L, 650859L, 650861L, 
650862L, 650876L, 650877L, 650879L, 650880L, 650885L, 650886L, 
650888L, 650889L, 650894L, 650895L, 650897L, 650898L, 650903L, 
650904L, 650906L, 650907L, 650912L, 650913L, 650915L, 650916L, 
650984L, 650985L, 650987L, 650988L, 650993L, 650994L, 650996L, 
650997L, 651002L, 651003L, 651005L, 651006L, 651011L, 651012L, 
651014L, 651015L, 651020L, 651021L, 651023L, 651024L, 651038L, 
651039L, 651041L, 651042L, 651047L, 651048L, 651050L, 651051L, 
651056L, 651057L, 651059L, 651060L, 651065L, 651066L, 651068L, 
651069L, 651074L, 651075L, 651077L, 651078L, 651146L, 651147L, 
651149L, 651150L, 651155L, 651156L, 651158L, 651159L, 651164L, 
651165L, 651167L, 651168L, 651173L, 651174L, 651176L, 651177L, 
651182L, 651183L, 651185L, 651186L, 651200L, 651201L, 651203L, 
651204L, 651209L, 651210L, 651212L, 651213L, 651218L, 651219L, 
651221L, 651222L, 651227L, 651228L, 651230L, 651231L, 651236L, 
651237L, 651239L, 651240L, 662000L, 662001L, 662003L, 662004L, 
662009L, 662010L, 662012L, 662013L, 662018L, 662019L, 662021L, 
662022L, 662027L, 662028L, 662030L, 662031L, 662036L, 662037L, 
662039L, 662040L, 662054L, 662055L, 662057L, 662058L, 662063L, 
662064L, 662066L, 662067L, 662072L, 662073L, 662075L, 662076L, 
662081L, 662082L, 662084L, 662085L, 662090L, 662091L, 662093L, 
662094L, 662162L, 662163L, 662165L, 662166L, 662171L, 662172L, 
662174L, 662175L, 662180L, 662181L, 662183L, 662184L, 662189L, 
662190L, 662192L, 662193L, 662198L, 662199L, 662201L, 662202L, 
662216L, 662217L, 662219L, 662220L, 662225L, 662226L, 662228L, 
662229L, 662234L, 662235L, 662237L, 662238L, 662243L, 662244L, 
662246L, 662247L, 662252L, 662253L, 662255L, 662256L, 662324L, 
662325L, 662327L, 662328L, 662333L, 662334L, 662336L, 662337L, 
662342L, 662343L, 662345L, 662346L, 662351L, 662352L, 662354L, 
662355L, 662360L, 662361L, 662363L, 662364L, 662378L, 662379L, 
662381L, 662382L, 662387L, 662388L, 662390L, 662391L, 662396L, 
662397L, 662399L, 662400L, 662405L, 662406L, 662408L, 662409L, 
662414L, 662415L, 662417L, 662418L, 662486L, 662487L, 662489L, 
662490L, 662495L, 662496L, 662498L, 662499L, 662504L, 662505L, 
662507L, 662508L, 662513L, 662514L, 662516L, 662517L, 662522L, 
662523L, 662525L, 662526L, 662540L, 662541L, 662543L, 662544L, 
662549L, 662550L, 662552L, 662553L, 662558L, 662559L, 662561L, 
662562L, 662567L, 662568L, 662570L, 662571L, 662576L, 662577L, 
662579L, 662580L, 662810L, 662811L, 662813L, 662814L, 662819L, 
662820L, 662822L, 662823L, 662828L, 662829L, 662831L, 662832L, 
662837L, 662838L, 662840L, 662841L, 662846L, 662847L, 662849L, 
662850L, 662864L, 662865L, 662867L, 662868L, 662873L, 662874L, 
662876L, 662877L, 662882L, 662883L, 662885L, 662886L, 662891L, 
662892L, 662894L, 662895L, 662900L, 662901L, 662903L, 662904L, 
662972L, 662973L, 662975L, 662976L, 662981L, 662982L, 662984L, 
662985L, 662990L, 662991L, 662993L, 662994L, 662999L, 663000L, 
663002L, 663003L, 663008L, 663009L, 663011L, 663012L, 663026L, 
663027L, 663029L, 663030L, 663035L, 663036L, 663038L, 663039L, 
663044L, 663045L, 663047L, 663048L, 663053L, 663054L, 663056L, 
663057L, 663062L, 663063L, 663065L, 663066L, 663134L, 663135L, 
663137L, 663138L, 663143L, 663144L, 663146L, 663147L, 663152L, 
663153L, 663155L, 663156L, 663161L, 663162L, 663164L, 663165L, 
663170L, 663171L, 663173L, 663174L, 663188L, 663189L, 663191L, 
663192L, 663197L, 663198L, 663200L, 663201L, 663206L, 663207L, 
663209L, 663210L, 663215L, 663216L, 663218L, 663219L, 663224L, 
663225L, 663227L, 663228L, 663296L, 663297L, 663299L, 663300L, 
663305L, 663306L, 663308L, 663309L, 663314L, 663315L, 663317L, 
663318L, 663323L, 663324L, 663326L, 663327L, 663332L, 663333L, 
663335L, 663336L, 663350L, 663351L, 663353L, 663354L, 663359L, 
663360L, 663362L, 663363L, 663368L, 663369L, 663371L, 663372L, 
663377L, 663378L, 663380L, 663381L, 663386L, 663387L, 663389L, 
663390L, 663620L, 663621L, 663623L, 663624L, 663629L, 663630L, 
663632L, 663633L, 663638L, 663639L, 663641L, 663642L, 663647L, 
663648L, 663650L, 663651L, 663656L, 663657L, 663659L, 663660L, 
663674L, 663675L, 663677L, 663678L, 663683L, 663684L, 663686L, 
663687L, 663692L, 663693L, 663695L, 663696L, 663701L, 663702L, 
663704L, 663705L, 663710L, 663711L, 663713L, 663714L, 663782L, 
663783L, 663785L, 663786L, 663791L, 663792L, 663794L, 663795L, 
663800L, 663801L, 663803L, 663804L, 663809L, 663810L, 663812L, 
663813L, 663818L, 663819L, 663821L, 663822L, 663836L, 663837L, 
663839L, 663840L, 663845L, 663846L, 663848L, 663849L, 663854L, 
663855L, 663857L, 663858L, 663863L, 663864L, 663866L, 663867L, 
663872L, 663873L, 663875L, 663876L, 663944L, 663945L, 663947L, 
663948L, 663953L, 663954L, 663956L, 663957L, 663962L, 663963L, 
663965L, 663966L, 663971L, 663972L, 663974L, 663975L, 663980L, 
663981L, 663983L, 663984L, 663998L, 663999L, 664001L, 664002L, 
664007L, 664008L, 664010L, 664011L, 664016L, 664017L, 664019L, 
664020L, 664025L, 664026L, 664028L, 664029L, 664034L, 664035L, 
664037L, 664038L, 664106L, 664107L, 664109L, 664110L, 664115L, 
664116L, 664118L, 664119L, 664124L, 664125L, 664127L, 664128L, 
664133L, 664134L, 664136L, 664137L, 664142L, 664143L, 664145L, 
664146L, 664160L, 664161L, 664163L, 664164L, 664169L, 664170L, 
664172L, 664173L, 664178L, 664179L, 664181L, 664182L, 664187L, 
664188L, 664190L, 664191L, 664196L, 664197L, 664199L, 664200L, 
664430L, 664431L, 664433L, 664434L, 664439L, 664440L, 664442L, 
664443L, 664448L, 664449L, 664451L, 664452L, 664457L, 664458L, 
664460L, 664461L, 664466L, 664467L, 664469L, 664470L, 664484L, 
664485L, 664487L, 664488L, 664493L, 664494L, 664496L, 664497L, 
664502L, 664503L, 664505L, 664506L, 664511L, 664512L, 664514L, 
664515L, 664520L, 664521L, 664523L, 664524L, 664592L, 664593L, 
664595L, 664596L, 664601L, 664602L, 664604L, 664605L, 664610L, 
664611L, 664613L, 664614L, 664619L, 664620L, 664622L, 664623L, 
664628L, 664629L, 664631L, 664632L, 664646L, 664647L, 664649L, 
664650L, 664655L, 664656L, 664658L, 664659L, 664664L, 664665L, 
664667L, 664668L, 664673L, 664674L, 664676L, 664677L, 664682L, 
664683L, 664685L, 664686L, 664754L, 664755L, 664757L, 664758L, 
664763L, 664764L, 664766L, 664767L, 664772L, 664773L, 664775L, 
664776L, 664781L, 664782L, 664784L, 664785L, 664790L, 664791L, 
664793L, 664794L, 664808L, 664809L, 664811L, 664812L, 664817L, 
664818L, 664820L, 664821L, 664826L, 664827L, 664829L, 664830L, 
664835L, 664836L, 664838L, 664839L, 664844L, 664845L, 664847L, 
664848L, 664916L, 664917L, 664919L, 664920L, 664925L, 664926L, 
664928L, 664929L, 664934L, 664935L, 664937L, 664938L, 664943L, 
664944L, 664946L, 664947L, 664952L, 664953L, 664955L, 664956L, 
664970L, 664971L, 664973L, 664974L, 664979L, 664980L, 664982L, 
664983L, 664988L, 664989L, 664991L, 664992L, 664997L, 664998L, 
665000L, 665001L, 665006L, 665007L, 665009L, 665010L, 665240L, 
665241L, 665243L, 665244L, 665249L, 665250L, 665252L, 665253L, 
665258L, 665259L, 665261L, 665262L, 665267L, 665268L, 665270L, 
665271L, 665276L, 665277L, 665279L, 665280L, 665294L, 665295L, 
665297L, 665298L, 665303L, 665304L, 665306L, 665307L, 665312L, 
665313L, 665315L, 665316L, 665321L, 665322L, 665324L, 665325L, 
665330L, 665331L, 665333L, 665334L, 665402L, 665403L, 665405L, 
665406L, 665411L, 665412L, 665414L, 665415L, 665420L, 665421L, 
665423L, 665424L, 665429L, 665430L, 665432L, 665433L, 665438L, 
665439L, 665441L, 665442L, 665456L, 665457L, 665459L, 665460L, 
665465L, 665466L, 665468L, 665469L, 665474L, 665475L, 665477L, 
665478L, 665483L, 665484L, 665486L, 665487L, 665492L, 665493L, 
665495L, 665496L, 665564L, 665565L, 665567L, 665568L, 665573L, 
665574L, 665576L, 665577L, 665582L, 665583L, 665585L, 665586L, 
665591L, 665592L, 665594L, 665595L, 665600L, 665601L, 665603L, 
665604L, 665618L, 665619L, 665621L, 665622L, 665627L, 665628L, 
665630L, 665631L, 665636L, 665637L, 665639L, 665640L, 665645L, 
665646L, 665648L, 665649L, 665654L, 665655L, 665657L, 665658L, 
665726L, 665727L, 665729L, 665730L, 665735L, 665736L, 665738L, 
665739L, 665744L, 665745L, 665747L, 665748L, 665753L, 665754L, 
665756L, 665757L, 665762L, 665763L, 665765L, 665766L, 665780L, 
665781L, 665783L, 665784L, 665789L, 665790L, 665792L, 665793L, 
665798L, 665799L, 665801L, 665802L, 665807L, 665808L, 665810L, 
665811L, 665816L, 665817L, 665819L, 665820L, 666860L, 666861L, 
666863L, 666864L, 666869L, 666870L, 666872L, 666873L, 666878L, 
666879L, 666881L, 666882L, 666887L, 666888L, 666890L, 666891L, 
666896L, 666897L, 666899L, 666900L, 666914L, 666915L, 666917L, 
666918L, 666923L, 666924L, 666926L, 666927L, 666932L, 666933L, 
666935L, 666936L, 666941L, 666942L, 666944L, 666945L, 666950L, 
666951L, 666953L, 666954L, 667022L, 667023L, 667025L, 667026L, 
667031L, 667032L, 667034L, 667035L, 667040L, 667041L, 667043L, 
667044L, 667049L, 667050L, 667052L, 667053L, 667058L, 667059L, 
667061L, 667062L, 667076L, 667077L, 667079L, 667080L, 667085L, 
667086L, 667088L, 667089L, 667094L, 667095L, 667097L, 667098L, 
667103L, 667104L, 667106L, 667107L, 667112L, 667113L, 667115L, 
667116L, 667184L, 667185L, 667187L, 667188L, 667193L, 667194L, 
667196L, 667197L, 667202L, 667203L, 667205L, 667206L, 667211L, 
667212L, 667214L, 667215L, 667220L, 667221L, 667223L, 667224L, 
667238L, 667239L, 667241L, 667242L, 667247L, 667248L, 667250L, 
667251L, 667256L, 667257L, 667259L, 667260L, 667265L, 667266L, 
667268L, 667269L, 667274L, 667275L, 667277L, 667278L, 667346L, 
667347L, 667349L, 667350L, 667355L, 667356L, 667358L, 667359L, 
667364L, 667365L, 667367L, 667368L, 667373L, 667374L, 667376L, 
667377L, 667382L, 667383L, 667385L, 667386L, 667400L, 667401L, 
667403L, 667404L, 667409L, 667410L, 667412L, 667413L, 667418L, 
667419L, 667421L, 667422L, 667427L, 667428L, 667430L, 667431L, 
667436L, 667437L, 667439L, 667440L, 667670L, 667671L, 667673L, 
667674L, 667679L, 667680L, 667682L, 667683L, 667688L, 667689L, 
667691L, 667692L, 667697L, 667698L, 667700L, 667701L, 667706L, 
667707L, 667709L, 667710L, 667724L, 667725L, 667727L, 667728L, 
667733L, 667734L, 667736L, 667737L, 667742L, 667743L, 667745L, 
667746L, 667751L, 667752L, 667754L, 667755L, 667760L, 667761L, 
667763L, 667764L, 667832L, 667833L, 667835L, 667836L, 667841L, 
667842L, 667844L, 667845L, 667850L, 667851L, 667853L, 667854L, 
667859L, 667860L, 667862L, 667863L, 667868L, 667869L, 667871L, 
667872L, 667886L, 667887L, 667889L, 667890L, 667895L, 667896L, 
667898L, 667899L, 667904L, 667905L, 667907L, 667908L, 667913L, 
667914L, 667916L, 667917L, 667922L, 667923L, 667925L, 667926L, 
667994L, 667995L, 667997L, 667998L, 668003L, 668004L, 668006L, 
668007L, 668012L, 668013L, 668015L, 668016L, 668021L, 668022L, 
668024L, 668025L, 668030L, 668031L, 668033L, 668034L, 668048L, 
668049L, 668051L, 668052L, 668057L, 668058L, 668060L, 668061L, 
668066L, 668067L, 668069L, 668070L, 668075L, 668076L, 668078L, 
668079L, 668084L, 668085L, 668087L, 668088L, 668156L, 668157L, 
668159L, 668160L, 668165L, 668166L, 668168L, 668169L, 668174L, 
668175L, 668177L, 668178L, 668183L, 668184L, 668186L, 668187L, 
668192L, 668193L, 668195L, 668196L, 668210L, 668211L, 668213L, 
668214L, 668219L, 668220L, 668222L, 668223L, 668228L, 668229L, 
668231L, 668232L, 668237L, 668238L, 668240L, 668241L, 668246L, 
668247L, 668249L, 668250L, 668480L, 668481L, 668483L, 668484L, 
668489L, 668490L, 668492L, 668493L, 668498L, 668499L, 668501L, 
668502L, 668507L, 668508L, 668510L, 668511L, 668516L, 668517L, 
668519L, 668520L, 668534L, 668535L, 668537L, 668538L, 668543L, 
668544L, 668546L, 668547L, 668552L, 668553L, 668555L, 668556L, 
668561L, 668562L, 668564L, 668565L, 668570L, 668571L, 668573L, 
668574L, 668642L, 668643L, 668645L, 668646L, 668651L, 668652L, 
668654L, 668655L, 668660L, 668661L, 668663L, 668664L, 668669L, 
668670L, 668672L, 668673L, 668678L, 668679L, 668681L, 668682L, 
668696L, 668697L, 668699L, 668700L, 668705L, 668706L, 668708L, 
668709L, 668714L, 668715L, 668717L, 668718L, 668723L, 668724L, 
668726L, 668727L, 668732L, 668733L, 668735L, 668736L, 668804L, 
668805L, 668807L, 668808L, 668813L, 668814L, 668816L, 668817L, 
668822L, 668823L, 668825L, 668826L, 668831L, 668832L, 668834L, 
668835L, 668840L, 668841L, 668843L, 668844L, 668858L, 668859L, 
668861L, 668862L, 668867L, 668868L, 668870L, 668871L, 668876L, 
668877L, 668879L, 668880L, 668885L, 668886L, 668888L, 668889L, 
668894L, 668895L, 668897L, 668898L, 668966L, 668967L, 668969L, 
668970L, 668975L, 668976L, 668978L, 668979L, 668984L, 668985L, 
668987L, 668988L, 668993L, 668994L, 668996L, 668997L, 669002L, 
669003L, 669005L, 669006L, 669020L, 669021L, 669023L, 669024L, 
669029L, 669030L, 669032L, 669033L, 669038L, 669039L, 669041L, 
669042L, 669047L, 669048L, 669050L, 669051L, 669056L, 669057L, 
669059L, 669060L, 669290L, 669291L, 669293L, 669294L, 669299L, 
669300L, 669302L, 669303L, 669308L, 669309L, 669311L, 669312L, 
669317L, 669318L, 669320L, 669321L, 669326L, 669327L, 669329L, 
669330L, 669344L, 669345L, 669347L, 669348L, 669353L, 669354L, 
669356L, 669357L, 669362L, 669363L, 669365L, 669366L, 669371L, 
669372L, 669374L, 669375L, 669380L, 669381L, 669383L, 669384L, 
669452L, 669453L, 669455L, 669456L, 669461L, 669462L, 669464L, 
669465L, 669470L, 669471L, 669473L, 669474L, 669479L, 669480L, 
669482L, 669483L, 669488L, 669489L, 669491L, 669492L, 669506L, 
669507L, 669509L, 669510L, 669515L, 669516L, 669518L, 669519L, 
669524L, 669525L, 669527L, 669528L, 669533L, 669534L, 669536L, 
669537L, 669542L, 669543L, 669545L, 669546L, 669614L, 669615L, 
669617L, 669618L, 669623L, 669624L, 669626L, 669627L, 669632L, 
669633L, 669635L, 669636L, 669641L, 669642L, 669644L, 669645L, 
669650L, 669651L, 669653L, 669654L, 669668L, 669669L, 669671L, 
669672L, 669677L, 669678L, 669680L, 669681L, 669686L, 669687L, 
669689L, 669690L, 669695L, 669696L, 669698L, 669699L, 669704L, 
669705L, 669707L, 669708L, 669776L, 669777L, 669779L, 669780L, 
669785L, 669786L, 669788L, 669789L, 669794L, 669795L, 669797L, 
669798L, 669803L, 669804L, 669806L, 669807L, 669812L, 669813L, 
669815L, 669816L, 669830L, 669831L, 669833L, 669834L, 669839L, 
669840L, 669842L, 669843L, 669848L, 669849L, 669851L, 669852L, 
669857L, 669858L, 669860L, 669861L, 669866L, 669867L, 669869L, 
669870L, 670100L, 670101L, 670103L, 670104L, 670109L, 670110L, 
670112L, 670113L, 670118L, 670119L, 670121L, 670122L, 670127L, 
670128L, 670130L, 670131L, 670136L, 670137L, 670139L, 670140L, 
670154L, 670155L, 670157L, 670158L, 670163L, 670164L, 670166L, 
670167L, 670172L, 670173L, 670175L, 670176L, 670181L, 670182L, 
670184L, 670185L, 670190L, 670191L, 670193L, 670194L, 670262L, 
670263L, 670265L, 670266L, 670271L, 670272L, 670274L, 670275L, 
670280L, 670281L, 670283L, 670284L, 670289L, 670290L, 670292L, 
670293L, 670298L, 670299L, 670301L, 670302L, 670316L, 670317L, 
670319L, 670320L, 670325L, 670326L, 670328L, 670329L, 670334L, 
670335L, 670337L, 670338L, 670343L, 670344L, 670346L, 670347L, 
670352L, 670353L, 670355L, 670356L, 670424L, 670425L, 670427L, 
670428L, 670433L, 670434L, 670436L, 670437L, 670442L, 670443L, 
670445L, 670446L, 670451L, 670452L, 670454L, 670455L, 670460L, 
670461L, 670463L, 670464L, 670478L, 670479L, 670481L, 670482L, 
670487L, 670488L, 670490L, 670491L, 670496L, 670497L, 670499L, 
670500L, 670505L, 670506L, 670508L, 670509L, 670514L, 670515L, 
670517L, 670518L, 670586L, 670587L, 670589L, 670590L, 670595L, 
670596L, 670598L, 670599L, 670604L, 670605L, 670607L, 670608L, 
670613L, 670614L, 670616L, 670617L, 670622L, 670623L, 670625L, 
670626L, 670640L, 670641L, 670643L, 670644L, 670649L, 670650L, 
670652L, 670653L, 670658L, 670659L, 670661L, 670662L, 670667L, 
670668L, 670670L, 670671L, 670676L, 670677L, 670679L, 670680L, 
671720L, 671721L, 671723L, 671724L, 671729L, 671730L, 671732L, 
671733L, 671738L, 671739L, 671741L, 671742L, 671747L, 671748L, 
671750L, 671751L, 671756L, 671757L, 671759L, 671760L, 671774L, 
671775L, 671777L, 671778L, 671783L, 671784L, 671786L, 671787L, 
671792L, 671793L, 671795L, 671796L, 671801L, 671802L, 671804L, 
671805L, 671810L, 671811L, 671813L, 671814L, 671882L, 671883L, 
671885L, 671886L, 671891L, 671892L, 671894L, 671895L, 671900L, 
671901L, 671903L, 671904L, 671909L, 671910L, 671912L, 671913L, 
671918L, 671919L, 671921L, 671922L, 671936L, 671937L, 671939L, 
671940L, 671945L, 671946L, 671948L, 671949L, 671954L, 671955L, 
671957L, 671958L, 671963L, 671964L, 671966L, 671967L, 671972L, 
671973L, 671975L, 671976L, 672044L, 672045L, 672047L, 672048L, 
672053L, 672054L, 672056L, 672057L, 672062L, 672063L, 672065L, 
672066L, 672071L, 672072L, 672074L, 672075L, 672080L, 672081L, 
672083L, 672084L, 672098L, 672099L, 672101L, 672102L, 672107L, 
672108L, 672110L, 672111L, 672116L, 672117L, 672119L, 672120L, 
672125L, 672126L, 672128L, 672129L, 672134L, 672135L, 672137L, 
672138L, 672206L, 672207L, 672209L, 672210L, 672215L, 672216L, 
672218L, 672219L, 672224L, 672225L, 672227L, 672228L, 672233L, 
672234L, 672236L, 672237L, 672242L, 672243L, 672245L, 672246L, 
672260L, 672261L, 672263L, 672264L, 672269L, 672270L, 672272L, 
672273L, 672278L, 672279L, 672281L, 672282L, 672287L, 672288L, 
672290L, 672291L, 672296L, 672297L, 672299L, 672300L, 672530L, 
672531L, 672533L, 672534L, 672539L, 672540L, 672542L, 672543L, 
672548L, 672549L, 672551L, 672552L, 672557L, 672558L, 672560L, 
672561L, 672566L, 672567L, 672569L, 672570L, 672584L, 672585L, 
672587L, 672588L, 672593L, 672594L, 672596L, 672597L, 672602L, 
672603L, 672605L, 672606L, 672611L, 672612L, 672614L, 672615L, 
672620L, 672621L, 672623L, 672624L, 672692L, 672693L, 672695L, 
672696L, 672701L, 672702L, 672704L, 672705L, 672710L, 672711L, 
672713L, 672714L, 672719L, 672720L, 672722L, 672723L, 672728L, 
672729L, 672731L, 672732L, 672746L, 672747L, 672749L, 672750L, 
672755L, 672756L, 672758L, 672759L, 672764L, 672765L, 672767L, 
672768L, 672773L, 672774L, 672776L, 672777L, 672782L, 672783L, 
672785L, 672786L, 672854L, 672855L, 672857L, 672858L, 672863L, 
672864L, 672866L, 672867L, 672872L, 672873L, 672875L, 672876L, 
672881L, 672882L, 672884L, 672885L, 672890L, 672891L, 672893L, 
672894L, 672908L, 672909L, 672911L, 672912L, 672917L, 672918L, 
672920L, 672921L, 672926L, 672927L, 672929L, 672930L, 672935L, 
672936L, 672938L, 672939L, 672944L, 672945L, 672947L, 672948L, 
673016L, 673017L, 673019L, 673020L, 673025L, 673026L, 673028L, 
673029L, 673034L, 673035L, 673037L, 673038L, 673043L, 673044L, 
673046L, 673047L, 673052L, 673053L, 673055L, 673056L, 673070L, 
673071L, 673073L, 673074L, 673079L, 673080L, 673082L, 673083L, 
673088L, 673089L, 673091L, 673092L, 673097L, 673098L, 673100L, 
673101L, 673106L, 673107L, 673109L, 673110L, 673340L, 673341L, 
673343L, 673344L, 673349L, 673350L, 673352L, 673353L, 673358L, 
673359L, 673361L, 673362L, 673367L, 673368L, 673370L, 673371L, 
673376L, 673377L, 673379L, 673380L, 673394L, 673395L, 673397L, 
673398L, 673403L, 673404L, 673406L, 673407L, 673412L, 673413L, 
673415L, 673416L, 673421L, 673422L, 673424L, 673425L, 673430L, 
673431L, 673433L, 673434L, 673502L, 673503L, 673505L, 673506L, 
673511L, 673512L, 673514L, 673515L, 673520L, 673521L, 673523L, 
673524L, 673529L, 673530L, 673532L, 673533L, 673538L, 673539L, 
673541L, 673542L, 673556L, 673557L, 673559L, 673560L, 673565L, 
673566L, 673568L, 673569L, 673574L, 673575L, 673577L, 673578L, 
673583L, 673584L, 673586L, 673587L, 673592L, 673593L, 673595L, 
673596L, 673664L, 673665L, 673667L, 673668L, 673673L, 673674L, 
673676L, 673677L, 673682L, 673683L, 673685L, 673686L, 673691L, 
673692L, 673694L, 673695L, 673700L, 673701L, 673703L, 673704L, 
673718L, 673719L, 673721L, 673722L, 673727L, 673728L, 673730L, 
673731L, 673736L, 673737L, 673739L, 673740L, 673745L, 673746L, 
673748L, 673749L, 673754L, 673755L, 673757L, 673758L, 673826L, 
673827L, 673829L, 673830L, 673835L, 673836L, 673838L, 673839L, 
673844L, 673845L, 673847L, 673848L, 673853L, 673854L, 673856L, 
673857L, 673862L, 673863L, 673865L, 673866L, 673880L, 673881L, 
673883L, 673884L, 673889L, 673890L, 673892L, 673893L, 673898L, 
673899L, 673901L, 673902L, 673907L, 673908L, 673910L, 673911L, 
673916L, 673917L, 673919L, 673920L, 674150L, 674151L, 674153L, 
674154L, 674159L, 674160L, 674162L, 674163L, 674168L, 674169L, 
674171L, 674172L, 674177L, 674178L, 674180L, 674181L, 674186L, 
674187L, 674189L, 674190L, 674204L, 674205L, 674207L, 674208L, 
674213L, 674214L, 674216L, 674217L, 674222L, 674223L, 674225L, 
674226L, 674231L, 674232L, 674234L, 674235L, 674240L, 674241L, 
674243L, 674244L, 674312L, 674313L, 674315L, 674316L, 674321L, 
674322L, 674324L, 674325L, 674330L, 674331L, 674333L, 674334L, 
674339L, 674340L, 674342L, 674343L, 674348L, 674349L, 674351L, 
674352L, 674366L, 674367L, 674369L, 674370L, 674375L, 674376L, 
674378L, 674379L, 674384L, 674385L, 674387L, 674388L, 674393L, 
674394L, 674396L, 674397L, 674402L, 674403L, 674405L, 674406L, 
674474L, 674475L, 674477L, 674478L, 674483L, 674484L, 674486L, 
674487L, 674492L, 674493L, 674495L, 674496L, 674501L, 674502L, 
674504L, 674505L, 674510L, 674511L, 674513L, 674514L, 674528L, 
674529L, 674531L, 674532L, 674537L, 674538L, 674540L, 674541L, 
674546L, 674547L, 674549L, 674550L, 674555L, 674556L, 674558L, 
674559L, 674564L, 674565L, 674567L, 674568L, 674636L, 674637L, 
674639L, 674640L, 674645L, 674646L, 674648L, 674649L, 674654L, 
674655L, 674657L, 674658L, 674663L, 674664L, 674666L, 674667L, 
674672L, 674673L, 674675L, 674676L, 674690L, 674691L, 674693L, 
674694L, 674699L, 674700L, 674702L, 674703L, 674708L, 674709L, 
674711L, 674712L, 674717L, 674718L, 674720L, 674721L, 674726L, 
674727L, 674729L, 674730L, 674960L, 674961L, 674963L, 674964L, 
674969L, 674970L, 674972L, 674973L, 674978L, 674979L, 674981L, 
674982L, 674987L, 674988L, 674990L, 674991L, 674996L, 674997L, 
674999L, 675000L, 675014L, 675015L, 675017L, 675018L, 675023L, 
675024L, 675026L, 675027L, 675032L, 675033L, 675035L, 675036L, 
675041L, 675042L, 675044L, 675045L, 675050L, 675051L, 675053L, 
675054L, 675122L, 675123L, 675125L, 675126L, 675131L, 675132L, 
675134L, 675135L, 675140L, 675141L, 675143L, 675144L, 675149L, 
675150L, 675152L, 675153L, 675158L, 675159L, 675161L, 675162L, 
675176L, 675177L, 675179L, 675180L, 675185L, 675186L, 675188L, 
675189L, 675194L, 675195L, 675197L, 675198L, 675203L, 675204L, 
675206L, 675207L, 675212L, 675213L, 675215L, 675216L, 675284L, 
675285L, 675287L, 675288L, 675293L, 675294L, 675296L, 675297L, 
675302L, 675303L, 675305L, 675306L, 675311L, 675312L, 675314L, 
675315L, 675320L, 675321L, 675323L, 675324L, 675338L, 675339L, 
675341L, 675342L, 675347L, 675348L, 675350L, 675351L, 675356L, 
675357L, 675359L, 675360L, 675365L, 675366L, 675368L, 675369L, 
675374L, 675375L, 675377L, 675378L, 675446L, 675447L, 675449L, 
675450L, 675455L, 675456L, 675458L, 675459L, 675464L, 675465L, 
675467L, 675468L, 675473L, 675474L, 675476L, 675477L, 675482L, 
675483L, 675485L, 675486L, 675500L, 675501L, 675503L, 675504L, 
675509L, 675510L, 675512L, 675513L, 675518L, 675519L, 675521L, 
675522L, 675527L, 675528L, 675530L, 675531L, 675536L, 675537L, 
675539L, 675540L, 686300L, 686301L, 686303L, 686304L, 686309L, 
686310L, 686312L, 686313L, 686318L, 686319L, 686321L, 686322L, 
686327L, 686328L, 686330L, 686331L, 686336L, 686337L, 686339L, 
686340L, 686354L, 686355L, 686357L, 686358L, 686363L, 686364L, 
686366L, 686367L, 686372L, 686373L, 686375L, 686376L, 686381L, 
686382L, 686384L, 686385L, 686390L, 686391L, 686393L, 686394L, 
686462L, 686463L, 686465L, 686466L, 686471L, 686472L, 686474L, 
686475L, 686480L, 686481L, 686483L, 686484L, 686489L, 686490L, 
686492L, 686493L, 686498L, 686499L, 686501L, 686502L, 686516L, 
686517L, 686519L, 686520L, 686525L, 686526L, 686528L, 686529L, 
686534L, 686535L, 686537L, 686538L, 686543L, 686544L, 686546L, 
686547L, 686552L, 686553L, 686555L, 686556L, 686624L, 686625L, 
686627L, 686628L, 686633L, 686634L, 686636L, 686637L, 686642L, 
686643L, 686645L, 686646L, 686651L, 686652L, 686654L, 686655L, 
686660L, 686661L, 686663L, 686664L, 686678L, 686679L, 686681L, 
686682L, 686687L, 686688L, 686690L, 686691L, 686696L, 686697L, 
686699L, 686700L, 686705L, 686706L, 686708L, 686709L, 686714L, 
686715L, 686717L, 686718L, 686786L, 686787L, 686789L, 686790L, 
686795L, 686796L, 686798L, 686799L, 686804L, 686805L, 686807L, 
686808L, 686813L, 686814L, 686816L, 686817L, 686822L, 686823L, 
686825L, 686826L, 686840L, 686841L, 686843L, 686844L, 686849L, 
686850L, 686852L, 686853L, 686858L, 686859L, 686861L, 686862L, 
686867L, 686868L, 686870L, 686871L, 686876L, 686877L, 686879L, 
686880L, 687110L, 687111L, 687113L, 687114L, 687119L, 687120L, 
687122L, 687123L, 687128L, 687129L, 687131L, 687132L, 687137L, 
687138L, 687140L, 687141L, 687146L, 687147L, 687149L, 687150L, 
687164L, 687165L, 687167L, 687168L, 687173L, 687174L, 687176L, 
687177L, 687182L, 687183L, 687185L, 687186L, 687191L, 687192L, 
687194L, 687195L, 687200L, 687201L, 687203L, 687204L, 687272L, 
687273L, 687275L, 687276L, 687281L, 687282L, 687284L, 687285L, 
687290L, 687291L, 687293L, 687294L, 687299L, 687300L, 687302L, 
687303L, 687308L, 687309L, 687311L, 687312L, 687326L, 687327L, 
687329L, 687330L, 687335L, 687336L, 687338L, 687339L, 687344L, 
687345L, 687347L, 687348L, 687353L, 687354L, 687356L, 687357L, 
687362L, 687363L, 687365L, 687366L, 687434L, 687435L, 687437L, 
687438L, 687443L, 687444L, 687446L, 687447L, 687452L, 687453L, 
687455L, 687456L, 687461L, 687462L, 687464L, 687465L, 687470L, 
687471L, 687473L, 687474L, 687488L, 687489L, 687491L, 687492L, 
687497L, 687498L, 687500L, 687501L, 687506L, 687507L, 687509L, 
687510L, 687515L, 687516L, 687518L, 687519L, 687524L, 687525L, 
687527L, 687528L, 687596L, 687597L, 687599L, 687600L, 687605L, 
687606L, 687608L, 687609L, 687614L, 687615L, 687617L, 687618L, 
687623L, 687624L, 687626L, 687627L, 687632L, 687633L, 687635L, 
687636L, 687650L, 687651L, 687653L, 687654L, 687659L, 687660L, 
687662L, 687663L, 687668L, 687669L, 687671L, 687672L, 687677L, 
687678L, 687680L, 687681L, 687686L, 687687L, 687689L, 687690L, 
687920L, 687921L, 687923L, 687924L, 687929L, 687930L, 687932L, 
687933L, 687938L, 687939L, 687941L, 687942L, 687947L, 687948L, 
687950L, 687951L, 687956L, 687957L, 687959L, 687960L, 687974L, 
687975L, 687977L, 687978L, 687983L, 687984L, 687986L, 687987L, 
687992L, 687993L, 687995L, 687996L, 688001L, 688002L, 688004L, 
688005L, 688010L, 688011L, 688013L, 688014L, 688082L, 688083L, 
688085L, 688086L, 688091L, 688092L, 688094L, 688095L, 688100L, 
688101L, 688103L, 688104L, 688109L, 688110L, 688112L, 688113L, 
688118L, 688119L, 688121L, 688122L, 688136L, 688137L, 688139L, 
688140L, 688145L, 688146L, 688148L, 688149L, 688154L, 688155L, 
688157L, 688158L, 688163L, 688164L, 688166L, 688167L, 688172L, 
688173L, 688175L, 688176L, 688244L, 688245L, 688247L, 688248L, 
688253L, 688254L, 688256L, 688257L, 688262L, 688263L, 688265L, 
688266L, 688271L, 688272L, 688274L, 688275L, 688280L, 688281L, 
688283L, 688284L, 688298L, 688299L, 688301L, 688302L, 688307L, 
688308L, 688310L, 688311L, 688316L, 688317L, 688319L, 688320L, 
688325L, 688326L, 688328L, 688329L, 688334L, 688335L, 688337L, 
688338L, 688406L, 688407L, 688409L, 688410L, 688415L, 688416L, 
688418L, 688419L, 688424L, 688425L, 688427L, 688428L, 688433L, 
688434L, 688436L, 688437L, 688442L, 688443L, 688445L, 688446L, 
688460L, 688461L, 688463L, 688464L, 688469L, 688470L, 688472L, 
688473L, 688478L, 688479L, 688481L, 688482L, 688487L, 688488L, 
688490L, 688491L, 688496L, 688497L, 688499L, 688500L, 688730L, 
688731L, 688733L, 688734L, 688739L, 688740L, 688742L, 688743L, 
688748L, 688749L, 688751L, 688752L, 688757L, 688758L, 688760L, 
688761L, 688766L, 688767L, 688769L, 688770L, 688784L, 688785L, 
688787L, 688788L, 688793L, 688794L, 688796L, 688797L, 688802L, 
688803L, 688805L, 688806L, 688811L, 688812L, 688814L, 688815L, 
688820L, 688821L, 688823L, 688824L, 688892L, 688893L, 688895L, 
688896L, 688901L, 688902L, 688904L, 688905L, 688910L, 688911L, 
688913L, 688914L, 688919L, 688920L, 688922L, 688923L, 688928L, 
688929L, 688931L, 688932L, 688946L, 688947L, 688949L, 688950L, 
688955L, 688956L, 688958L, 688959L, 688964L, 688965L, 688967L, 
688968L, 688973L, 688974L, 688976L, 688977L, 688982L, 688983L, 
688985L, 688986L, 689054L, 689055L, 689057L, 689058L, 689063L, 
689064L, 689066L, 689067L, 689072L, 689073L, 689075L, 689076L, 
689081L, 689082L, 689084L, 689085L, 689090L, 689091L, 689093L, 
689094L, 689108L, 689109L, 689111L, 689112L, 689117L, 689118L, 
689120L, 689121L, 689126L, 689127L, 689129L, 689130L, 689135L, 
689136L, 689138L, 689139L, 689144L, 689145L, 689147L, 689148L, 
689216L, 689217L, 689219L, 689220L, 689225L, 689226L, 689228L, 
689229L, 689234L, 689235L, 689237L, 689238L, 689243L, 689244L, 
689246L, 689247L, 689252L, 689253L, 689255L, 689256L, 689270L, 
689271L, 689273L, 689274L, 689279L, 689280L, 689282L, 689283L, 
689288L, 689289L, 689291L, 689292L, 689297L, 689298L, 689300L, 
689301L, 689306L, 689307L, 689309L, 689310L, 689540L, 689541L, 
689543L, 689544L, 689549L, 689550L, 689552L, 689553L, 689558L, 
689559L, 689561L, 689562L, 689567L, 689568L, 689570L, 689571L, 
689576L, 689577L, 689579L, 689580L, 689594L, 689595L, 689597L, 
689598L, 689603L, 689604L, 689606L, 689607L, 689612L, 689613L, 
689615L, 689616L, 689621L, 689622L, 689624L, 689625L, 689630L, 
689631L, 689633L, 689634L, 689702L, 689703L, 689705L, 689706L, 
689711L, 689712L, 689714L, 689715L, 689720L, 689721L, 689723L, 
689724L, 689729L, 689730L, 689732L, 689733L, 689738L, 689739L, 
689741L, 689742L, 689756L, 689757L, 689759L, 689760L, 689765L, 
689766L, 689768L, 689769L, 689774L, 689775L, 689777L, 689778L, 
689783L, 689784L, 689786L, 689787L, 689792L, 689793L, 689795L, 
689796L, 689864L, 689865L, 689867L, 689868L, 689873L, 689874L, 
689876L, 689877L, 689882L, 689883L, 689885L, 689886L, 689891L, 
689892L, 689894L, 689895L, 689900L, 689901L, 689903L, 689904L, 
689918L, 689919L, 689921L, 689922L, 689927L, 689928L, 689930L, 
689931L, 689936L, 689937L, 689939L, 689940L, 689945L, 689946L, 
689948L, 689949L, 689954L, 689955L, 689957L, 689958L, 690026L, 
690027L, 690029L, 690030L, 690035L, 690036L, 690038L, 690039L, 
690044L, 690045L, 690047L, 690048L, 690053L, 690054L, 690056L, 
690057L, 690062L, 690063L, 690065L, 690066L, 690080L, 690081L, 
690083L, 690084L, 690089L, 690090L, 690092L, 690093L, 690098L, 
690099L, 690101L, 690102L, 690107L, 690108L, 690110L, 690111L, 
690116L, 690117L, 690119L, 690120L, 691160L, 691161L, 691163L, 
691164L, 691169L, 691170L, 691172L, 691173L, 691178L, 691179L, 
691181L, 691182L, 691187L, 691188L, 691190L, 691191L, 691196L, 
691197L, 691199L, 691200L, 691214L, 691215L, 691217L, 691218L, 
691223L, 691224L, 691226L, 691227L, 691232L, 691233L, 691235L, 
691236L, 691241L, 691242L, 691244L, 691245L, 691250L, 691251L, 
691253L, 691254L, 691322L, 691323L, 691325L, 691326L, 691331L, 
691332L, 691334L, 691335L, 691340L, 691341L, 691343L, 691344L, 
691349L, 691350L, 691352L, 691353L, 691358L, 691359L, 691361L, 
691362L, 691376L, 691377L, 691379L, 691380L, 691385L, 691386L, 
691388L, 691389L, 691394L, 691395L, 691397L, 691398L, 691403L, 
691404L, 691406L, 691407L, 691412L, 691413L, 691415L, 691416L, 
691484L, 691485L, 691487L, 691488L, 691493L, 691494L, 691496L, 
691497L, 691502L, 691503L, 691505L, 691506L, 691511L, 691512L, 
691514L, 691515L, 691520L, 691521L, 691523L, 691524L, 691538L, 
691539L, 691541L, 691542L, 691547L, 691548L, 691550L, 691551L, 
691556L, 691557L, 691559L, 691560L, 691565L, 691566L, 691568L, 
691569L, 691574L, 691575L, 691577L, 691578L, 691646L, 691647L, 
691649L, 691650L, 691655L, 691656L, 691658L, 691659L, 691664L, 
691665L, 691667L, 691668L, 691673L, 691674L, 691676L, 691677L, 
691682L, 691683L, 691685L, 691686L, 691700L, 691701L, 691703L, 
691704L, 691709L, 691710L, 691712L, 691713L, 691718L, 691719L, 
691721L, 691722L, 691727L, 691728L, 691730L, 691731L, 691736L, 
691737L, 691739L, 691740L, 691970L, 691971L, 691973L, 691974L, 
691979L, 691980L, 691982L, 691983L, 691988L, 691989L, 691991L, 
691992L, 691997L, 691998L, 692000L, 692001L, 692006L, 692007L, 
692009L, 692010L, 692024L, 692025L, 692027L, 692028L, 692033L, 
692034L, 692036L, 692037L, 692042L, 692043L, 692045L, 692046L, 
692051L, 692052L, 692054L, 692055L, 692060L, 692061L, 692063L, 
692064L, 692132L, 692133L, 692135L, 692136L, 692141L, 692142L, 
692144L, 692145L, 692150L, 692151L, 692153L, 692154L, 692159L, 
692160L, 692162L, 692163L, 692168L, 692169L, 692171L, 692172L, 
692186L, 692187L, 692189L, 692190L, 692195L, 692196L, 692198L, 
692199L, 692204L, 692205L, 692207L, 692208L, 692213L, 692214L, 
692216L, 692217L, 692222L, 692223L, 692225L, 692226L, 692294L, 
692295L, 692297L, 692298L, 692303L, 692304L, 692306L, 692307L, 
692312L, 692313L, 692315L, 692316L, 692321L, 692322L, 692324L, 
692325L, 692330L, 692331L, 692333L, 692334L, 692348L, 692349L, 
692351L, 692352L, 692357L, 692358L, 692360L, 692361L, 692366L, 
692367L, 692369L, 692370L, 692375L, 692376L, 692378L, 692379L, 
692384L, 692385L, 692387L, 692388L, 692456L, 692457L, 692459L, 
692460L, 692465L, 692466L, 692468L, 692469L, 692474L, 692475L, 
692477L, 692478L, 692483L, 692484L, 692486L, 692487L, 692492L, 
692493L, 692495L, 692496L, 692510L, 692511L, 692513L, 692514L, 
692519L, 692520L, 692522L, 692523L, 692528L, 692529L, 692531L, 
692532L, 692537L, 692538L, 692540L, 692541L, 692546L, 692547L, 
692549L, 692550L, 692780L, 692781L, 692783L, 692784L, 692789L, 
692790L, 692792L, 692793L, 692798L, 692799L, 692801L, 692802L, 
692807L, 692808L, 692810L, 692811L, 692816L, 692817L, 692819L, 
692820L, 692834L, 692835L, 692837L, 692838L, 692843L, 692844L, 
692846L, 692847L, 692852L, 692853L, 692855L, 692856L, 692861L, 
692862L, 692864L, 692865L, 692870L, 692871L, 692873L, 692874L, 
692942L, 692943L, 692945L, 692946L, 692951L, 692952L, 692954L, 
692955L, 692960L, 692961L, 692963L, 692964L, 692969L, 692970L, 
692972L, 692973L, 692978L, 692979L, 692981L, 692982L, 692996L, 
692997L, 692999L, 693000L, 693005L, 693006L, 693008L, 693009L, 
693014L, 693015L, 693017L, 693018L, 693023L, 693024L, 693026L, 
693027L, 693032L, 693033L, 693035L, 693036L, 693104L, 693105L, 
693107L, 693108L, 693113L, 693114L, 693116L, 693117L, 693122L, 
693123L, 693125L, 693126L, 693131L, 693132L, 693134L, 693135L, 
693140L, 693141L, 693143L, 693144L, 693158L, 693159L, 693161L, 
693162L, 693167L, 693168L, 693170L, 693171L, 693176L, 693177L, 
693179L, 693180L, 693185L, 693186L, 693188L, 693189L, 693194L, 
693195L, 693197L, 693198L, 693266L, 693267L, 693269L, 693270L, 
693275L, 693276L, 693278L, 693279L, 693284L, 693285L, 693287L, 
693288L, 693293L, 693294L, 693296L, 693297L, 693302L, 693303L, 
693305L, 693306L, 693320L, 693321L, 693323L, 693324L, 693329L, 
693330L, 693332L, 693333L, 693338L, 693339L, 693341L, 693342L, 
693347L, 693348L, 693350L, 693351L, 693356L, 693357L, 693359L, 
693360L, 693590L, 693591L, 693593L, 693594L, 693599L, 693600L, 
693602L, 693603L, 693608L, 693609L, 693611L, 693612L, 693617L, 
693618L, 693620L, 693621L, 693626L, 693627L, 693629L, 693630L, 
693644L, 693645L, 693647L, 693648L, 693653L, 693654L, 693656L, 
693657L, 693662L, 693663L, 693665L, 693666L, 693671L, 693672L, 
693674L, 693675L, 693680L, 693681L, 693683L, 693684L, 693752L, 
693753L, 693755L, 693756L, 693761L, 693762L, 693764L, 693765L, 
693770L, 693771L, 693773L, 693774L, 693779L, 693780L, 693782L, 
693783L, 693788L, 693789L, 693791L, 693792L, 693806L, 693807L, 
693809L, 693810L, 693815L, 693816L, 693818L, 693819L, 693824L, 
693825L, 693827L, 693828L, 693833L, 693834L, 693836L, 693837L, 
693842L, 693843L, 693845L, 693846L, 693914L, 693915L, 693917L, 
693918L, 693923L, 693924L, 693926L, 693927L, 693932L, 693933L, 
693935L, 693936L, 693941L, 693942L, 693944L, 693945L, 693950L, 
693951L, 693953L, 693954L, 693968L, 693969L, 693971L, 693972L, 
693977L, 693978L, 693980L, 693981L, 693986L, 693987L, 693989L, 
693990L, 693995L, 693996L, 693998L, 693999L, 694004L, 694005L, 
694007L, 694008L, 694076L, 694077L, 694079L, 694080L, 694085L, 
694086L, 694088L, 694089L, 694094L, 694095L, 694097L, 694098L, 
694103L, 694104L, 694106L, 694107L, 694112L, 694113L, 694115L, 
694116L, 694130L, 694131L, 694133L, 694134L, 694139L, 694140L, 
694142L, 694143L, 694148L, 694149L, 694151L, 694152L, 694157L, 
694158L, 694160L, 694161L, 694166L, 694167L, 694169L, 694170L, 
694400L, 694401L, 694403L, 694404L, 694409L, 694410L, 694412L, 
694413L, 694418L, 694419L, 694421L, 694422L, 694427L, 694428L, 
694430L, 694431L, 694436L, 694437L, 694439L, 694440L, 694454L, 
694455L, 694457L, 694458L, 694463L, 694464L, 694466L, 694467L, 
694472L, 694473L, 694475L, 694476L, 694481L, 694482L, 694484L, 
694485L, 694490L, 694491L, 694493L, 694494L, 694562L, 694563L, 
694565L, 694566L, 694571L, 694572L, 694574L, 694575L, 694580L, 
694581L, 694583L, 694584L, 694589L, 694590L, 694592L, 694593L, 
694598L, 694599L, 694601L, 694602L, 694616L, 694617L, 694619L, 
694620L, 694625L, 694626L, 694628L, 694629L, 694634L, 694635L, 
694637L, 694638L, 694643L, 694644L, 694646L, 694647L, 694652L, 
694653L, 694655L, 694656L, 694724L, 694725L, 694727L, 694728L, 
694733L, 694734L, 694736L, 694737L, 694742L, 694743L, 694745L, 
694746L, 694751L, 694752L, 694754L, 694755L, 694760L, 694761L, 
694763L, 694764L, 694778L, 694779L, 694781L, 694782L, 694787L, 
694788L, 694790L, 694791L, 694796L, 694797L, 694799L, 694800L, 
694805L, 694806L, 694808L, 694809L, 694814L, 694815L, 694817L, 
694818L, 694886L, 694887L, 694889L, 694890L, 694895L, 694896L, 
694898L, 694899L, 694904L, 694905L, 694907L, 694908L, 694913L, 
694914L, 694916L, 694917L, 694922L, 694923L, 694925L, 694926L, 
694940L, 694941L, 694943L, 694944L, 694949L, 694950L, 694952L, 
694953L, 694958L, 694959L, 694961L, 694962L, 694967L, 694968L, 
694970L, 694971L, 694976L, 694977L, 694979L, 694980L, 696020L, 
696021L, 696023L, 696024L, 696029L, 696030L, 696032L, 696033L, 
696038L, 696039L, 696041L, 696042L, 696047L, 696048L, 696050L, 
696051L, 696056L, 696057L, 696059L, 696060L, 696074L, 696075L, 
696077L, 696078L, 696083L, 696084L, 696086L, 696087L, 696092L, 
696093L, 696095L, 696096L, 696101L, 696102L, 696104L, 696105L, 
696110L, 696111L, 696113L, 696114L, 696182L, 696183L, 696185L, 
696186L, 696191L, 696192L, 696194L, 696195L, 696200L, 696201L, 
696203L, 696204L, 696209L, 696210L, 696212L, 696213L, 696218L, 
696219L, 696221L, 696222L, 696236L, 696237L, 696239L, 696240L, 
696245L, 696246L, 696248L, 696249L, 696254L, 696255L, 696257L, 
696258L, 696263L, 696264L, 696266L, 696267L, 696272L, 696273L, 
696275L, 696276L, 696344L, 696345L, 696347L, 696348L, 696353L, 
696354L, 696356L, 696357L, 696362L, 696363L, 696365L, 696366L, 
696371L, 696372L, 696374L, 696375L, 696380L, 696381L, 696383L, 
696384L, 696398L, 696399L, 696401L, 696402L, 696407L, 696408L, 
696410L, 696411L, 696416L, 696417L, 696419L, 696420L, 696425L, 
696426L, 696428L, 696429L, 696434L, 696435L, 696437L, 696438L, 
696506L, 696507L, 696509L, 696510L, 696515L, 696516L, 696518L, 
696519L, 696524L, 696525L, 696527L, 696528L, 696533L, 696534L, 
696536L, 696537L, 696542L, 696543L, 696545L, 696546L, 696560L, 
696561L, 696563L, 696564L, 696569L, 696570L, 696572L, 696573L, 
696578L, 696579L, 696581L, 696582L, 696587L, 696588L, 696590L, 
696591L, 696596L, 696597L, 696599L, 696600L, 696830L, 696831L, 
696833L, 696834L, 696839L, 696840L, 696842L, 696843L, 696848L, 
696849L, 696851L, 696852L, 696857L, 696858L, 696860L, 696861L, 
696866L, 696867L, 696869L, 696870L, 696884L, 696885L, 696887L, 
696888L, 696893L, 696894L, 696896L, 696897L, 696902L, 696903L, 
696905L, 696906L, 696911L, 696912L, 696914L, 696915L, 696920L, 
696921L, 696923L, 696924L, 696992L, 696993L, 696995L, 696996L, 
697001L, 697002L, 697004L, 697005L, 697010L, 697011L, 697013L, 
697014L, 697019L, 697020L, 697022L, 697023L, 697028L, 697029L, 
697031L, 697032L, 697046L, 697047L, 697049L, 697050L, 697055L, 
697056L, 697058L, 697059L, 697064L, 697065L, 697067L, 697068L, 
697073L, 697074L, 697076L, 697077L, 697082L, 697083L, 697085L, 
697086L, 697154L, 697155L, 697157L, 697158L, 697163L, 697164L, 
697166L, 697167L, 697172L, 697173L, 697175L, 697176L, 697181L, 
697182L, 697184L, 697185L, 697190L, 697191L, 697193L, 697194L, 
697208L, 697209L, 697211L, 697212L, 697217L, 697218L, 697220L, 
697221L, 697226L, 697227L, 697229L, 697230L, 697235L, 697236L, 
697238L, 697239L, 697244L, 697245L, 697247L, 697248L, 697316L, 
697317L, 697319L, 697320L, 697325L, 697326L, 697328L, 697329L, 
697334L, 697335L, 697337L, 697338L, 697343L, 697344L, 697346L, 
697347L, 697352L, 697353L, 697355L, 697356L, 697370L, 697371L, 
697373L, 697374L, 697379L, 697380L, 697382L, 697383L, 697388L, 
697389L, 697391L, 697392L, 697397L, 697398L, 697400L, 697401L, 
697406L, 697407L, 697409L, 697410L, 697640L, 697641L, 697643L, 
697644L, 697649L, 697650L, 697652L, 697653L, 697658L, 697659L, 
697661L, 697662L, 697667L, 697668L, 697670L, 697671L, 697676L, 
697677L, 697679L, 697680L, 697694L, 697695L, 697697L, 697698L, 
697703L, 697704L, 697706L, 697707L, 697712L, 697713L, 697715L, 
697716L, 697721L, 697722L, 697724L, 697725L, 697730L, 697731L, 
697733L, 697734L, 697802L, 697803L, 697805L, 697806L, 697811L, 
697812L, 697814L, 697815L, 697820L, 697821L, 697823L, 697824L, 
697829L, 697830L, 697832L, 697833L, 697838L, 697839L, 697841L, 
697842L, 697856L, 697857L, 697859L, 697860L, 697865L, 697866L, 
697868L, 697869L, 697874L, 697875L, 697877L, 697878L, 697883L, 
697884L, 697886L, 697887L, 697892L, 697893L, 697895L, 697896L, 
697964L, 697965L, 697967L, 697968L, 697973L, 697974L, 697976L, 
697977L, 697982L, 697983L, 697985L, 697986L, 697991L, 697992L, 
697994L, 697995L, 698000L, 698001L, 698003L, 698004L, 698018L, 
698019L, 698021L, 698022L, 698027L, 698028L, 698030L, 698031L, 
698036L, 698037L, 698039L, 698040L, 698045L, 698046L, 698048L, 
698049L, 698054L, 698055L, 698057L, 698058L, 698126L, 698127L, 
698129L, 698130L, 698135L, 698136L, 698138L, 698139L, 698144L, 
698145L, 698147L, 698148L, 698153L, 698154L, 698156L, 698157L, 
698162L, 698163L, 698165L, 698166L, 698180L, 698181L, 698183L, 
698184L, 698189L, 698190L, 698192L, 698193L, 698198L, 698199L, 
698201L, 698202L, 698207L, 698208L, 698210L, 698211L, 698216L, 
698217L, 698219L, 698220L, 698450L, 698451L, 698453L, 698454L, 
698459L, 698460L, 698462L, 698463L, 698468L, 698469L, 698471L, 
698472L, 698477L, 698478L, 698480L, 698481L, 698486L, 698487L, 
698489L, 698490L, 698504L, 698505L, 698507L, 698508L, 698513L, 
698514L, 698516L, 698517L, 698522L, 698523L, 698525L, 698526L, 
698531L, 698532L, 698534L, 698535L, 698540L, 698541L, 698543L, 
698544L, 698612L, 698613L, 698615L, 698616L, 698621L, 698622L, 
698624L, 698625L, 698630L, 698631L, 698633L, 698634L, 698639L, 
698640L, 698642L, 698643L, 698648L, 698649L, 698651L, 698652L, 
698666L, 698667L, 698669L, 698670L, 698675L, 698676L, 698678L, 
698679L, 698684L, 698685L, 698687L, 698688L, 698693L, 698694L, 
698696L, 698697L, 698702L, 698703L, 698705L, 698706L, 698774L, 
698775L, 698777L, 698778L, 698783L, 698784L, 698786L, 698787L, 
698792L, 698793L, 698795L, 698796L, 698801L, 698802L, 698804L, 
698805L, 698810L, 698811L, 698813L, 698814L, 698828L, 698829L, 
698831L, 698832L, 698837L, 698838L, 698840L, 698841L, 698846L, 
698847L, 698849L, 698850L, 698855L, 698856L, 698858L, 698859L, 
698864L, 698865L, 698867L, 698868L, 698936L, 698937L, 698939L, 
698940L, 698945L, 698946L, 698948L, 698949L, 698954L, 698955L, 
698957L, 698958L, 698963L, 698964L, 698966L, 698967L, 698972L, 
698973L, 698975L, 698976L, 698990L, 698991L, 698993L, 698994L, 
698999L, 699000L, 699002L, 699003L, 699008L, 699009L, 699011L, 
699012L, 699017L, 699018L, 699020L, 699021L, 699026L, 699027L, 
699029L, 699030L, 699260L, 699261L, 699263L, 699264L, 699269L, 
699270L, 699272L, 699273L, 699278L, 699279L, 699281L, 699282L, 
699287L, 699288L, 699290L, 699291L, 699296L, 699297L, 699299L, 
699300L, 699314L, 699315L, 699317L, 699318L, 699323L, 699324L, 
699326L, 699327L, 699332L, 699333L, 699335L, 699336L, 699341L, 
699342L, 699344L, 699345L, 699350L, 699351L, 699353L, 699354L, 
699422L, 699423L, 699425L, 699426L, 699431L, 699432L, 699434L, 
699435L, 699440L, 699441L, 699443L, 699444L, 699449L, 699450L, 
699452L, 699453L, 699458L, 699459L, 699461L, 699462L, 699476L, 
699477L, 699479L, 699480L, 699485L, 699486L, 699488L, 699489L, 
699494L, 699495L, 699497L, 699498L, 699503L, 699504L, 699506L, 
699507L, 699512L, 699513L, 699515L, 699516L, 699584L, 699585L, 
699587L, 699588L, 699593L, 699594L, 699596L, 699597L, 699602L, 
699603L, 699605L, 699606L, 699611L, 699612L, 699614L, 699615L, 
699620L, 699621L, 699623L, 699624L, 699638L, 699639L, 699641L, 
699642L, 699647L, 699648L, 699650L, 699651L, 699656L, 699657L, 
699659L, 699660L, 699665L, 699666L, 699668L, 699669L, 699674L, 
699675L, 699677L, 699678L, 699746L, 699747L, 699749L, 699750L, 
699755L, 699756L, 699758L, 699759L, 699764L, 699765L, 699767L, 
699768L, 699773L, 699774L, 699776L, 699777L, 699782L, 699783L, 
699785L, 699786L, 699800L, 699801L, 699803L, 699804L, 699809L, 
699810L, 699812L, 699813L, 699818L, 699819L, 699821L, 699822L, 
699827L, 699828L, 699830L, 699831L, 699836L, 699837L, 699839L, 
699840L, 710600L, 710601L, 710603L, 710604L, 710609L, 710610L, 
710612L, 710613L, 710618L, 710619L, 710621L, 710622L, 710627L, 
710628L, 710630L, 710631L, 710636L, 710637L, 710639L, 710640L, 
710654L, 710655L, 710657L, 710658L, 710663L, 710664L, 710666L, 
710667L, 710672L, 710673L, 710675L, 710676L, 710681L, 710682L, 
710684L, 710685L, 710690L, 710691L, 710693L, 710694L, 710762L, 
710763L, 710765L, 710766L, 710771L, 710772L, 710774L, 710775L, 
710780L, 710781L, 710783L, 710784L, 710789L, 710790L, 710792L, 
710793L, 710798L, 710799L, 710801L, 710802L, 710816L, 710817L, 
710819L, 710820L, 710825L, 710826L, 710828L, 710829L, 710834L, 
710835L, 710837L, 710838L, 710843L, 710844L, 710846L, 710847L, 
710852L, 710853L, 710855L, 710856L, 710924L, 710925L, 710927L, 
710928L, 710933L, 710934L, 710936L, 710937L, 710942L, 710943L, 
710945L, 710946L, 710951L, 710952L, 710954L, 710955L, 710960L, 
710961L, 710963L, 710964L, 710978L, 710979L, 710981L, 710982L, 
710987L, 710988L, 710990L, 710991L, 710996L, 710997L, 710999L, 
711000L, 711005L, 711006L, 711008L, 711009L, 711014L, 711015L, 
711017L, 711018L, 711086L, 711087L, 711089L, 711090L, 711095L, 
711096L, 711098L, 711099L, 711104L, 711105L, 711107L, 711108L, 
711113L, 711114L, 711116L, 711117L, 711122L, 711123L, 711125L, 
711126L, 711140L, 711141L, 711143L, 711144L, 711149L, 711150L, 
711152L, 711153L, 711158L, 711159L, 711161L, 711162L, 711167L, 
711168L, 711170L, 711171L, 711176L, 711177L, 711179L, 711180L, 
711410L, 711411L, 711413L, 711414L, 711419L, 711420L, 711422L, 
711423L, 711428L, 711429L, 711431L, 711432L, 711437L, 711438L, 
711440L, 711441L, 711446L, 711447L, 711449L, 711450L, 711464L, 
711465L, 711467L, 711468L, 711473L, 711474L, 711476L, 711477L, 
711482L, 711483L, 711485L, 711486L, 711491L, 711492L, 711494L, 
711495L, 711500L, 711501L, 711503L, 711504L, 711572L, 711573L, 
711575L, 711576L, 711581L, 711582L, 711584L, 711585L, 711590L, 
711591L, 711593L, 711594L, 711599L, 711600L, 711602L, 711603L, 
711608L, 711609L, 711611L, 711612L, 711626L, 711627L, 711629L, 
711630L, 711635L, 711636L, 711638L, 711639L, 711644L, 711645L, 
711647L, 711648L, 711653L, 711654L, 711656L, 711657L, 711662L, 
711663L, 711665L, 711666L, 711734L, 711735L, 711737L, 711738L, 
711743L, 711744L, 711746L, 711747L, 711752L, 711753L, 711755L, 
711756L, 711761L, 711762L, 711764L, 711765L, 711770L, 711771L, 
711773L, 711774L, 711788L, 711789L, 711791L, 711792L, 711797L, 
711798L, 711800L, 711801L, 711806L, 711807L, 711809L, 711810L, 
711815L, 711816L, 711818L, 711819L, 711824L, 711825L, 711827L, 
711828L, 711896L, 711897L, 711899L, 711900L, 711905L, 711906L, 
711908L, 711909L, 711914L, 711915L, 711917L, 711918L, 711923L, 
711924L, 711926L, 711927L, 711932L, 711933L, 711935L, 711936L, 
711950L, 711951L, 711953L, 711954L, 711959L, 711960L, 711962L, 
711963L, 711968L, 711969L, 711971L, 711972L, 711977L, 711978L, 
711980L, 711981L, 711986L, 711987L, 711989L, 711990L, 712220L, 
712221L, 712223L, 712224L, 712229L, 712230L, 712232L, 712233L, 
712238L, 712239L, 712241L, 712242L, 712247L, 712248L, 712250L, 
712251L, 712256L, 712257L, 712259L, 712260L, 712274L, 712275L, 
712277L, 712278L, 712283L, 712284L, 712286L, 712287L, 712292L, 
712293L, 712295L, 712296L, 712301L, 712302L, 712304L, 712305L, 
712310L, 712311L, 712313L, 712314L, 712382L, 712383L, 712385L, 
712386L, 712391L, 712392L, 712394L, 712395L, 712400L, 712401L, 
712403L, 712404L, 712409L, 712410L, 712412L, 712413L, 712418L, 
712419L, 712421L, 712422L, 712436L, 712437L, 712439L, 712440L, 
712445L, 712446L, 712448L, 712449L, 712454L, 712455L, 712457L, 
712458L, 712463L, 712464L, 712466L, 712467L, 712472L, 712473L, 
712475L, 712476L, 712544L, 712545L, 712547L, 712548L, 712553L, 
712554L, 712556L, 712557L, 712562L, 712563L, 712565L, 712566L, 
712571L, 712572L, 712574L, 712575L, 712580L, 712581L, 712583L, 
712584L, 712598L, 712599L, 712601L, 712602L, 712607L, 712608L, 
712610L, 712611L, 712616L, 712617L, 712619L, 712620L, 712625L, 
712626L, 712628L, 712629L, 712634L, 712635L, 712637L, 712638L, 
712706L, 712707L, 712709L, 712710L, 712715L, 712716L, 712718L, 
712719L, 712724L, 712725L, 712727L, 712728L, 712733L, 712734L, 
712736L, 712737L, 712742L, 712743L, 712745L, 712746L, 712760L, 
712761L, 712763L, 712764L, 712769L, 712770L, 712772L, 712773L, 
712778L, 712779L, 712781L, 712782L, 712787L, 712788L, 712790L, 
712791L, 712796L, 712797L, 712799L, 712800L, 713030L, 713031L, 
713033L, 713034L, 713039L, 713040L, 713042L, 713043L, 713048L, 
713049L, 713051L, 713052L, 713057L, 713058L, 713060L, 713061L, 
713066L, 713067L, 713069L, 713070L, 713084L, 713085L, 713087L, 
713088L, 713093L, 713094L, 713096L, 713097L, 713102L, 713103L, 
713105L, 713106L, 713111L, 713112L, 713114L, 713115L, 713120L, 
713121L, 713123L, 713124L, 713192L, 713193L, 713195L, 713196L, 
713201L, 713202L, 713204L, 713205L, 713210L, 713211L, 713213L, 
713214L, 713219L, 713220L, 713222L, 713223L, 713228L, 713229L, 
713231L, 713232L, 713246L, 713247L, 713249L, 713250L, 713255L, 
713256L, 713258L, 713259L, 713264L, 713265L, 713267L, 713268L, 
713273L, 713274L, 713276L, 713277L, 713282L, 713283L, 713285L, 
713286L, 713354L, 713355L, 713357L, 713358L, 713363L, 713364L, 
713366L, 713367L, 713372L, 713373L, 713375L, 713376L, 713381L, 
713382L, 713384L, 713385L, 713390L, 713391L, 713393L, 713394L, 
713408L, 713409L, 713411L, 713412L, 713417L, 713418L, 713420L, 
713421L, 713426L, 713427L, 713429L, 713430L, 713435L, 713436L, 
713438L, 713439L, 713444L, 713445L, 713447L, 713448L, 713516L, 
713517L, 713519L, 713520L, 713525L, 713526L, 713528L, 713529L, 
713534L, 713535L, 713537L, 713538L, 713543L, 713544L, 713546L, 
713547L, 713552L, 713553L, 713555L, 713556L, 713570L, 713571L, 
713573L, 713574L, 713579L, 713580L, 713582L, 713583L, 713588L, 
713589L, 713591L, 713592L, 713597L, 713598L, 713600L, 713601L, 
713606L, 713607L, 713609L, 713610L, 713840L, 713841L, 713843L, 
713844L, 713849L, 713850L, 713852L, 713853L, 713858L, 713859L, 
713861L, 713862L, 713867L, 713868L, 713870L, 713871L, 713876L, 
713877L, 713879L, 713880L, 713894L, 713895L, 713897L, 713898L, 
713903L, 713904L, 713906L, 713907L, 713912L, 713913L, 713915L, 
713916L, 713921L, 713922L, 713924L, 713925L, 713930L, 713931L, 
713933L, 713934L, 714002L, 714003L, 714005L, 714006L, 714011L, 
714012L, 714014L, 714015L, 714020L, 714021L, 714023L, 714024L, 
714029L, 714030L, 714032L, 714033L, 714038L, 714039L, 714041L, 
714042L, 714056L, 714057L, 714059L, 714060L, 714065L, 714066L, 
714068L, 714069L, 714074L, 714075L, 714077L, 714078L, 714083L, 
714084L, 714086L, 714087L, 714092L, 714093L, 714095L, 714096L, 
714164L, 714165L, 714167L, 714168L, 714173L, 714174L, 714176L, 
714177L, 714182L, 714183L, 714185L, 714186L, 714191L, 714192L, 
714194L, 714195L, 714200L, 714201L, 714203L, 714204L, 714218L, 
714219L, 714221L, 714222L, 714227L, 714228L, 714230L, 714231L, 
714236L, 714237L, 714239L, 714240L, 714245L, 714246L, 714248L, 
714249L, 714254L, 714255L, 714257L, 714258L, 714326L, 714327L, 
714329L, 714330L, 714335L, 714336L, 714338L, 714339L, 714344L, 
714345L, 714347L, 714348L, 714353L, 714354L, 714356L, 714357L, 
714362L, 714363L, 714365L, 714366L, 714380L, 714381L, 714383L, 
714384L, 714389L, 714390L, 714392L, 714393L, 714398L, 714399L, 
714401L, 714402L, 714407L, 714408L, 714410L, 714411L, 714416L, 
714417L, 714419L, 714420L, 715460L, 715461L, 715463L, 715464L, 
715469L, 715470L, 715472L, 715473L, 715478L, 715479L, 715481L, 
715482L, 715487L, 715488L, 715490L, 715491L, 715496L, 715497L, 
715499L, 715500L, 715514L, 715515L, 715517L, 715518L, 715523L, 
715524L, 715526L, 715527L, 715532L, 715533L, 715535L, 715536L, 
715541L, 715542L, 715544L, 715545L, 715550L, 715551L, 715553L, 
715554L, 715622L, 715623L, 715625L, 715626L, 715631L, 715632L, 
715634L, 715635L, 715640L, 715641L, 715643L, 715644L, 715649L, 
715650L, 715652L, 715653L, 715658L, 715659L, 715661L, 715662L, 
715676L, 715677L, 715679L, 715680L, 715685L, 715686L, 715688L, 
715689L, 715694L, 715695L, 715697L, 715698L, 715703L, 715704L, 
715706L, 715707L, 715712L, 715713L, 715715L, 715716L, 715784L, 
715785L, 715787L, 715788L, 715793L, 715794L, 715796L, 715797L, 
715802L, 715803L, 715805L, 715806L, 715811L, 715812L, 715814L, 
715815L, 715820L, 715821L, 715823L, 715824L, 715838L, 715839L, 
715841L, 715842L, 715847L, 715848L, 715850L, 715851L, 715856L, 
715857L, 715859L, 715860L, 715865L, 715866L, 715868L, 715869L, 
715874L, 715875L, 715877L, 715878L, 715946L, 715947L, 715949L, 
715950L, 715955L, 715956L, 715958L, 715959L, 715964L, 715965L, 
715967L, 715968L, 715973L, 715974L, 715976L, 715977L, 715982L, 
715983L, 715985L, 715986L, 716000L, 716001L, 716003L, 716004L, 
716009L, 716010L, 716012L, 716013L, 716018L, 716019L, 716021L, 
716022L, 716027L, 716028L, 716030L, 716031L, 716036L, 716037L, 
716039L, 716040L, 716270L, 716271L, 716273L, 716274L, 716279L, 
716280L, 716282L, 716283L, 716288L, 716289L, 716291L, 716292L, 
716297L, 716298L, 716300L, 716301L, 716306L, 716307L, 716309L, 
716310L, 716324L, 716325L, 716327L, 716328L, 716333L, 716334L, 
716336L, 716337L, 716342L, 716343L, 716345L, 716346L, 716351L, 
716352L, 716354L, 716355L, 716360L, 716361L, 716363L, 716364L, 
716432L, 716433L, 716435L, 716436L, 716441L, 716442L, 716444L, 
716445L, 716450L, 716451L, 716453L, 716454L, 716459L, 716460L, 
716462L, 716463L, 716468L, 716469L, 716471L, 716472L, 716486L, 
716487L, 716489L, 716490L, 716495L, 716496L, 716498L, 716499L, 
716504L, 716505L, 716507L, 716508L, 716513L, 716514L, 716516L, 
716517L, 716522L, 716523L, 716525L, 716526L, 716594L, 716595L, 
716597L, 716598L, 716603L, 716604L, 716606L, 716607L, 716612L, 
716613L, 716615L, 716616L, 716621L, 716622L, 716624L, 716625L, 
716630L, 716631L, 716633L, 716634L, 716648L, 716649L, 716651L, 
716652L, 716657L, 716658L, 716660L, 716661L, 716666L, 716667L, 
716669L, 716670L, 716675L, 716676L, 716678L, 716679L, 716684L, 
716685L, 716687L, 716688L, 716756L, 716757L, 716759L, 716760L, 
716765L, 716766L, 716768L, 716769L, 716774L, 716775L, 716777L, 
716778L, 716783L, 716784L, 716786L, 716787L, 716792L, 716793L, 
716795L, 716796L, 716810L, 716811L, 716813L, 716814L, 716819L, 
716820L, 716822L, 716823L, 716828L, 716829L, 716831L, 716832L, 
716837L, 716838L, 716840L, 716841L, 716846L, 716847L, 716849L, 
716850L, 717080L, 717081L, 717083L, 717084L, 717089L, 717090L, 
717092L, 717093L, 717098L, 717099L, 717101L, 717102L, 717107L, 
717108L, 717110L, 717111L, 717116L, 717117L, 717119L, 717120L, 
717134L, 717135L, 717137L, 717138L, 717143L, 717144L, 717146L, 
717147L, 717152L, 717153L, 717155L, 717156L, 717161L, 717162L, 
717164L, 717165L, 717170L, 717171L, 717173L, 717174L, 717242L, 
717243L, 717245L, 717246L, 717251L, 717252L, 717254L, 717255L, 
717260L, 717261L, 717263L, 717264L, 717269L, 717270L, 717272L, 
717273L, 717278L, 717279L, 717281L, 717282L, 717296L, 717297L, 
717299L, 717300L, 717305L, 717306L, 717308L, 717309L, 717314L, 
717315L, 717317L, 717318L, 717323L, 717324L, 717326L, 717327L, 
717332L, 717333L, 717335L, 717336L, 717404L, 717405L, 717407L, 
717408L, 717413L, 717414L, 717416L, 717417L, 717422L, 717423L, 
717425L, 717426L, 717431L, 717432L, 717434L, 717435L, 717440L, 
717441L, 717443L, 717444L, 717458L, 717459L, 717461L, 717462L, 
717467L, 717468L, 717470L, 717471L, 717476L, 717477L, 717479L, 
717480L, 717485L, 717486L, 717488L, 717489L, 717494L, 717495L, 
717497L, 717498L, 717566L, 717567L, 717569L, 717570L, 717575L, 
717576L, 717578L, 717579L, 717584L, 717585L, 717587L, 717588L, 
717593L, 717594L, 717596L, 717597L, 717602L, 717603L, 717605L, 
717606L, 717620L, 717621L, 717623L, 717624L, 717629L, 717630L, 
717632L, 717633L, 717638L, 717639L, 717641L, 717642L, 717647L, 
717648L, 717650L, 717651L, 717656L, 717657L, 717659L, 717660L, 
717890L, 717891L, 717893L, 717894L, 717899L, 717900L, 717902L, 
717903L, 717908L, 717909L, 717911L, 717912L, 717917L, 717918L, 
717920L, 717921L, 717926L, 717927L, 717929L, 717930L, 717944L, 
717945L, 717947L, 717948L, 717953L, 717954L, 717956L, 717957L, 
717962L, 717963L, 717965L, 717966L, 717971L, 717972L, 717974L, 
717975L, 717980L, 717981L, 717983L, 717984L, 718052L, 718053L, 
718055L, 718056L, 718061L, 718062L, 718064L, 718065L, 718070L, 
718071L, 718073L, 718074L, 718079L, 718080L, 718082L, 718083L, 
718088L, 718089L, 718091L, 718092L, 718106L, 718107L, 718109L, 
718110L, 718115L, 718116L, 718118L, 718119L, 718124L, 718125L, 
718127L, 718128L, 718133L, 718134L, 718136L, 718137L, 718142L, 
718143L, 718145L, 718146L, 718214L, 718215L, 718217L, 718218L, 
718223L, 718224L, 718226L, 718227L, 718232L, 718233L, 718235L, 
718236L, 718241L, 718242L, 718244L, 718245L, 718250L, 718251L, 
718253L, 718254L, 718268L, 718269L, 718271L, 718272L, 718277L, 
718278L, 718280L, 718281L, 718286L, 718287L, 718289L, 718290L, 
718295L, 718296L, 718298L, 718299L, 718304L, 718305L, 718307L, 
718308L, 718376L, 718377L, 718379L, 718380L, 718385L, 718386L, 
718388L, 718389L, 718394L, 718395L, 718397L, 718398L, 718403L, 
718404L, 718406L, 718407L, 718412L, 718413L, 718415L, 718416L, 
718430L, 718431L, 718433L, 718434L, 718439L, 718440L, 718442L, 
718443L, 718448L, 718449L, 718451L, 718452L, 718457L, 718458L, 
718460L, 718461L, 718466L, 718467L, 718469L, 718470L, 718700L, 
718701L, 718703L, 718704L, 718709L, 718710L, 718712L, 718713L, 
718718L, 718719L, 718721L, 718722L, 718727L, 718728L, 718730L, 
718731L, 718736L, 718737L, 718739L, 718740L, 718754L, 718755L, 
718757L, 718758L, 718763L, 718764L, 718766L, 718767L, 718772L, 
718773L, 718775L, 718776L, 718781L, 718782L, 718784L, 718785L, 
718790L, 718791L, 718793L, 718794L, 718862L, 718863L, 718865L, 
718866L, 718871L, 718872L, 718874L, 718875L, 718880L, 718881L, 
718883L, 718884L, 718889L, 718890L, 718892L, 718893L, 718898L, 
718899L, 718901L, 718902L, 718916L, 718917L, 718919L, 718920L, 
718925L, 718926L, 718928L, 718929L, 718934L, 718935L, 718937L, 
718938L, 718943L, 718944L, 718946L, 718947L, 718952L, 718953L, 
718955L, 718956L, 719024L, 719025L, 719027L, 719028L, 719033L, 
719034L, 719036L, 719037L, 719042L, 719043L, 719045L, 719046L, 
719051L, 719052L, 719054L, 719055L, 719060L, 719061L, 719063L, 
719064L, 719078L, 719079L, 719081L, 719082L, 719087L, 719088L, 
719090L, 719091L, 719096L, 719097L, 719099L, 719100L, 719105L, 
719106L, 719108L, 719109L, 719114L, 719115L, 719117L, 719118L, 
719186L, 719187L, 719189L, 719190L, 719195L, 719196L, 719198L, 
719199L, 719204L, 719205L, 719207L, 719208L, 719213L, 719214L, 
719216L, 719217L, 719222L, 719223L, 719225L, 719226L, 719240L, 
719241L, 719243L, 719244L, 719249L, 719250L, 719252L, 719253L, 
719258L, 719259L, 719261L, 719262L, 719267L, 719268L, 719270L, 
719271L, 719276L, 719277L, 719279L, 719280L, 720320L, 720321L, 
720323L, 720324L, 720329L, 720330L, 720332L, 720333L, 720338L, 
720339L, 720341L, 720342L, 720347L, 720348L, 720350L, 720351L, 
720356L, 720357L, 720359L, 720360L, 720374L, 720375L, 720377L, 
720378L, 720383L, 720384L, 720386L, 720387L, 720392L, 720393L, 
720395L, 720396L, 720401L, 720402L, 720404L, 720405L, 720410L, 
720411L, 720413L, 720414L, 720482L, 720483L, 720485L, 720486L, 
720491L, 720492L, 720494L, 720495L, 720500L, 720501L, 720503L, 
720504L, 720509L, 720510L, 720512L, 720513L, 720518L, 720519L, 
720521L, 720522L, 720536L, 720537L, 720539L, 720540L, 720545L, 
720546L, 720548L, 720549L, 720554L, 720555L, 720557L, 720558L, 
720563L, 720564L, 720566L, 720567L, 720572L, 720573L, 720575L, 
720576L, 720644L, 720645L, 720647L, 720648L, 720653L, 720654L, 
720656L, 720657L, 720662L, 720663L, 720665L, 720666L, 720671L, 
720672L, 720674L, 720675L, 720680L, 720681L, 720683L, 720684L, 
720698L, 720699L, 720701L, 720702L, 720707L, 720708L, 720710L, 
720711L, 720716L, 720717L, 720719L, 720720L, 720725L, 720726L, 
720728L, 720729L, 720734L, 720735L, 720737L, 720738L, 720806L, 
720807L, 720809L, 720810L, 720815L, 720816L, 720818L, 720819L, 
720824L, 720825L, 720827L, 720828L, 720833L, 720834L, 720836L, 
720837L, 720842L, 720843L, 720845L, 720846L, 720860L, 720861L, 
720863L, 720864L, 720869L, 720870L, 720872L, 720873L, 720878L, 
720879L, 720881L, 720882L, 720887L, 720888L, 720890L, 720891L, 
720896L, 720897L, 720899L, 720900L, 721130L, 721131L, 721133L, 
721134L, 721139L, 721140L, 721142L, 721143L, 721148L, 721149L, 
721151L, 721152L, 721157L, 721158L, 721160L, 721161L, 721166L, 
721167L, 721169L, 721170L, 721184L, 721185L, 721187L, 721188L, 
721193L, 721194L, 721196L, 721197L, 721202L, 721203L, 721205L, 
721206L, 721211L, 721212L, 721214L, 721215L, 721220L, 721221L, 
721223L, 721224L, 721292L, 721293L, 721295L, 721296L, 721301L, 
721302L, 721304L, 721305L, 721310L, 721311L, 721313L, 721314L, 
721319L, 721320L, 721322L, 721323L, 721328L, 721329L, 721331L, 
721332L, 721346L, 721347L, 721349L, 721350L, 721355L, 721356L, 
721358L, 721359L, 721364L, 721365L, 721367L, 721368L, 721373L, 
721374L, 721376L, 721377L, 721382L, 721383L, 721385L, 721386L, 
721454L, 721455L, 721457L, 721458L, 721463L, 721464L, 721466L, 
721467L, 721472L, 721473L, 721475L, 721476L, 721481L, 721482L, 
721484L, 721485L, 721490L, 721491L, 721493L, 721494L, 721508L, 
721509L, 721511L, 721512L, 721517L, 721518L, 721520L, 721521L, 
721526L, 721527L, 721529L, 721530L, 721535L, 721536L, 721538L, 
721539L, 721544L, 721545L, 721547L, 721548L, 721616L, 721617L, 
721619L, 721620L, 721625L, 721626L, 721628L, 721629L, 721634L, 
721635L, 721637L, 721638L, 721643L, 721644L, 721646L, 721647L, 
721652L, 721653L, 721655L, 721656L, 721670L, 721671L, 721673L, 
721674L, 721679L, 721680L, 721682L, 721683L, 721688L, 721689L, 
721691L, 721692L, 721697L, 721698L, 721700L, 721701L, 721706L, 
721707L, 721709L, 721710L, 721940L, 721941L, 721943L, 721944L, 
721949L, 721950L, 721952L, 721953L, 721958L, 721959L, 721961L, 
721962L, 721967L, 721968L, 721970L, 721971L, 721976L, 721977L, 
721979L, 721980L, 721994L, 721995L, 721997L, 721998L, 722003L, 
722004L, 722006L, 722007L, 722012L, 722013L, 722015L, 722016L, 
722021L, 722022L, 722024L, 722025L, 722030L, 722031L, 722033L, 
722034L, 722102L, 722103L, 722105L, 722106L, 722111L, 722112L, 
722114L, 722115L, 722120L, 722121L, 722123L, 722124L, 722129L, 
722130L, 722132L, 722133L, 722138L, 722139L, 722141L, 722142L, 
722156L, 722157L, 722159L, 722160L, 722165L, 722166L, 722168L, 
722169L, 722174L, 722175L, 722177L, 722178L, 722183L, 722184L, 
722186L, 722187L, 722192L, 722193L, 722195L, 722196L, 722264L, 
722265L, 722267L, 722268L, 722273L, 722274L, 722276L, 722277L, 
722282L, 722283L, 722285L, 722286L, 722291L, 722292L, 722294L, 
722295L, 722300L, 722301L, 722303L, 722304L, 722318L, 722319L, 
722321L, 722322L, 722327L, 722328L, 722330L, 722331L, 722336L, 
722337L, 722339L, 722340L, 722345L, 722346L, 722348L, 722349L, 
722354L, 722355L, 722357L, 722358L, 722426L, 722427L, 722429L, 
722430L, 722435L, 722436L, 722438L, 722439L, 722444L, 722445L, 
722447L, 722448L, 722453L, 722454L, 722456L, 722457L, 722462L, 
722463L, 722465L, 722466L, 722480L, 722481L, 722483L, 722484L, 
722489L, 722490L, 722492L, 722493L, 722498L, 722499L, 722501L, 
722502L, 722507L, 722508L, 722510L, 722511L, 722516L, 722517L, 
722519L, 722520L, 722750L, 722751L, 722753L, 722754L, 722759L, 
722760L, 722762L, 722763L, 722768L, 722769L, 722771L, 722772L, 
722777L, 722778L, 722780L, 722781L, 722786L, 722787L, 722789L, 
722790L, 722804L, 722805L, 722807L, 722808L, 722813L, 722814L, 
722816L, 722817L, 722822L, 722823L, 722825L, 722826L, 722831L, 
722832L, 722834L, 722835L, 722840L, 722841L, 722843L, 722844L, 
722912L, 722913L, 722915L, 722916L, 722921L, 722922L, 722924L, 
722925L, 722930L, 722931L, 722933L, 722934L, 722939L, 722940L, 
722942L, 722943L, 722948L, 722949L, 722951L, 722952L, 722966L, 
722967L, 722969L, 722970L, 722975L, 722976L, 722978L, 722979L, 
722984L, 722985L, 722987L, 722988L, 722993L, 722994L, 722996L, 
722997L, 723002L, 723003L, 723005L, 723006L, 723074L, 723075L, 
723077L, 723078L, 723083L, 723084L, 723086L, 723087L, 723092L, 
723093L, 723095L, 723096L, 723101L, 723102L, 723104L, 723105L, 
723110L, 723111L, 723113L, 723114L, 723128L, 723129L, 723131L, 
723132L, 723137L, 723138L, 723140L, 723141L, 723146L, 723147L, 
723149L, 723150L, 723155L, 723156L, 723158L, 723159L, 723164L, 
723165L, 723167L, 723168L, 723236L, 723237L, 723239L, 723240L, 
723245L, 723246L, 723248L, 723249L, 723254L, 723255L, 723257L, 
723258L, 723263L, 723264L, 723266L, 723267L, 723272L, 723273L, 
723275L, 723276L, 723290L, 723291L, 723293L, 723294L, 723299L, 
723300L, 723302L, 723303L, 723308L, 723309L, 723311L, 723312L, 
723317L, 723318L, 723320L, 723321L, 723326L, 723327L, 723329L, 
723330L, 723560L, 723561L, 723563L, 723564L, 723569L, 723570L, 
723572L, 723573L, 723578L, 723579L, 723581L, 723582L, 723587L, 
723588L, 723590L, 723591L, 723596L, 723597L, 723599L, 723600L, 
723614L, 723615L, 723617L, 723618L, 723623L, 723624L, 723626L, 
723627L, 723632L, 723633L, 723635L, 723636L, 723641L, 723642L, 
723644L, 723645L, 723650L, 723651L, 723653L, 723654L, 723722L, 
723723L, 723725L, 723726L, 723731L, 723732L, 723734L, 723735L, 
723740L, 723741L, 723743L, 723744L, 723749L, 723750L, 723752L, 
723753L, 723758L, 723759L, 723761L, 723762L, 723776L, 723777L, 
723779L, 723780L, 723785L, 723786L, 723788L, 723789L, 723794L, 
723795L, 723797L, 723798L, 723803L, 723804L, 723806L, 723807L, 
723812L, 723813L, 723815L, 723816L, 723884L, 723885L, 723887L, 
723888L, 723893L, 723894L, 723896L, 723897L, 723902L, 723903L, 
723905L, 723906L, 723911L, 723912L, 723914L, 723915L, 723920L, 
723921L, 723923L, 723924L, 723938L, 723939L, 723941L, 723942L, 
723947L, 723948L, 723950L, 723951L, 723956L, 723957L, 723959L, 
723960L, 723965L, 723966L, 723968L, 723969L, 723974L, 723975L, 
723977L, 723978L, 724046L, 724047L, 724049L, 724050L, 724055L, 
724056L, 724058L, 724059L, 724064L, 724065L, 724067L, 724068L, 
724073L, 724074L, 724076L, 724077L, 724082L, 724083L, 724085L, 
724086L, 724100L, 724101L, 724103L, 724104L, 724109L, 724110L, 
724112L, 724113L, 724118L, 724119L, 724121L, 724122L, 724127L, 
724128L, 724130L, 724131L, 724136L, 724137L, 724139L, 724140L, 
734900L, 734901L, 734903L, 734904L, 734909L, 734910L, 734912L, 
734913L, 734918L, 734919L, 734921L, 734922L, 734927L, 734928L, 
734930L, 734931L, 734936L, 734937L, 734939L, 734940L, 734954L, 
734955L, 734957L, 734958L, 734963L, 734964L, 734966L, 734967L, 
734972L, 734973L, 734975L, 734976L, 734981L, 734982L, 734984L, 
734985L, 734990L, 734991L, 734993L, 734994L, 735062L, 735063L, 
735065L, 735066L, 735071L, 735072L, 735074L, 735075L, 735080L, 
735081L, 735083L, 735084L, 735089L, 735090L, 735092L, 735093L, 
735098L, 735099L, 735101L, 735102L, 735116L, 735117L, 735119L, 
735120L, 735125L, 735126L, 735128L, 735129L, 735134L, 735135L, 
735137L, 735138L, 735143L, 735144L, 735146L, 735147L, 735152L, 
735153L, 735155L, 735156L, 735224L, 735225L, 735227L, 735228L, 
735233L, 735234L, 735236L, 735237L, 735242L, 735243L, 735245L, 
735246L, 735251L, 735252L, 735254L, 735255L, 735260L, 735261L, 
735263L, 735264L, 735278L, 735279L, 735281L, 735282L, 735287L, 
735288L, 735290L, 735291L, 735296L, 735297L, 735299L, 735300L, 
735305L, 735306L, 735308L, 735309L, 735314L, 735315L, 735317L, 
735318L, 735386L, 735387L, 735389L, 735390L, 735395L, 735396L, 
735398L, 735399L, 735404L, 735405L, 735407L, 735408L, 735413L, 
735414L, 735416L, 735417L, 735422L, 735423L, 735425L, 735426L, 
735440L, 735441L, 735443L, 735444L, 735449L, 735450L, 735452L, 
735453L, 735458L, 735459L, 735461L, 735462L, 735467L, 735468L, 
735470L, 735471L, 735476L, 735477L, 735479L, 735480L, 735710L, 
735711L, 735713L, 735714L, 735719L, 735720L, 735722L, 735723L, 
735728L, 735729L, 735731L, 735732L, 735737L, 735738L, 735740L, 
735741L, 735746L, 735747L, 735749L, 735750L, 735764L, 735765L, 
735767L, 735768L, 735773L, 735774L, 735776L, 735777L, 735782L, 
735783L, 735785L, 735786L, 735791L, 735792L, 735794L, 735795L, 
735800L, 735801L, 735803L, 735804L, 735872L, 735873L, 735875L, 
735876L, 735881L, 735882L, 735884L, 735885L, 735890L, 735891L, 
735893L, 735894L, 735899L, 735900L, 735902L, 735903L, 735908L, 
735909L, 735911L, 735912L, 735926L, 735927L, 735929L, 735930L, 
735935L, 735936L, 735938L, 735939L, 735944L, 735945L, 735947L, 
735948L, 735953L, 735954L, 735956L, 735957L, 735962L, 735963L, 
735965L, 735966L, 736034L, 736035L, 736037L, 736038L, 736043L, 
736044L, 736046L, 736047L, 736052L, 736053L, 736055L, 736056L, 
736061L, 736062L, 736064L, 736065L, 736070L, 736071L, 736073L, 
736074L, 736088L, 736089L, 736091L, 736092L, 736097L, 736098L, 
736100L, 736101L, 736106L, 736107L, 736109L, 736110L, 736115L, 
736116L, 736118L, 736119L, 736124L, 736125L, 736127L, 736128L, 
736196L, 736197L, 736199L, 736200L, 736205L, 736206L, 736208L, 
736209L, 736214L, 736215L, 736217L, 736218L, 736223L, 736224L, 
736226L, 736227L, 736232L, 736233L, 736235L, 736236L, 736250L, 
736251L, 736253L, 736254L, 736259L, 736260L, 736262L, 736263L, 
736268L, 736269L, 736271L, 736272L, 736277L, 736278L, 736280L, 
736281L, 736286L, 736287L, 736289L, 736290L, 736520L, 736521L, 
736523L, 736524L, 736529L, 736530L, 736532L, 736533L, 736538L, 
736539L, 736541L, 736542L, 736547L, 736548L, 736550L, 736551L, 
736556L, 736557L, 736559L, 736560L, 736574L, 736575L, 736577L, 
736578L, 736583L, 736584L, 736586L, 736587L, 736592L, 736593L, 
736595L, 736596L, 736601L, 736602L, 736604L, 736605L, 736610L, 
736611L, 736613L, 736614L, 736682L, 736683L, 736685L, 736686L, 
736691L, 736692L, 736694L, 736695L, 736700L, 736701L, 736703L, 
736704L, 736709L, 736710L, 736712L, 736713L, 736718L, 736719L, 
736721L, 736722L, 736736L, 736737L, 736739L, 736740L, 736745L, 
736746L, 736748L, 736749L, 736754L, 736755L, 736757L, 736758L, 
736763L, 736764L, 736766L, 736767L, 736772L, 736773L, 736775L, 
736776L, 736844L, 736845L, 736847L, 736848L, 736853L, 736854L, 
736856L, 736857L, 736862L, 736863L, 736865L, 736866L, 736871L, 
736872L, 736874L, 736875L, 736880L, 736881L, 736883L, 736884L, 
736898L, 736899L, 736901L, 736902L, 736907L, 736908L, 736910L, 
736911L, 736916L, 736917L, 736919L, 736920L, 736925L, 736926L, 
736928L, 736929L, 736934L, 736935L, 736937L, 736938L, 737006L, 
737007L, 737009L, 737010L, 737015L, 737016L, 737018L, 737019L, 
737024L, 737025L, 737027L, 737028L, 737033L, 737034L, 737036L, 
737037L, 737042L, 737043L, 737045L, 737046L, 737060L, 737061L, 
737063L, 737064L, 737069L, 737070L, 737072L, 737073L, 737078L, 
737079L, 737081L, 737082L, 737087L, 737088L, 737090L, 737091L, 
737096L, 737097L, 737099L, 737100L, 737330L, 737331L, 737333L, 
737334L, 737339L, 737340L, 737342L, 737343L, 737348L, 737349L, 
737351L, 737352L, 737357L, 737358L, 737360L, 737361L, 737366L, 
737367L, 737369L, 737370L, 737384L, 737385L, 737387L, 737388L, 
737393L, 737394L, 737396L, 737397L, 737402L, 737403L, 737405L, 
737406L, 737411L, 737412L, 737414L, 737415L, 737420L, 737421L, 
737423L, 737424L, 737492L, 737493L, 737495L, 737496L, 737501L, 
737502L, 737504L, 737505L, 737510L, 737511L, 737513L, 737514L, 
737519L, 737520L, 737522L, 737523L, 737528L, 737529L, 737531L, 
737532L, 737546L, 737547L, 737549L, 737550L, 737555L, 737556L, 
737558L, 737559L, 737564L, 737565L, 737567L, 737568L, 737573L, 
737574L, 737576L, 737577L, 737582L, 737583L, 737585L, 737586L, 
737654L, 737655L, 737657L, 737658L, 737663L, 737664L, 737666L, 
737667L, 737672L, 737673L, 737675L, 737676L, 737681L, 737682L, 
737684L, 737685L, 737690L, 737691L, 737693L, 737694L, 737708L, 
737709L, 737711L, 737712L, 737717L, 737718L, 737720L, 737721L, 
737726L, 737727L, 737729L, 737730L, 737735L, 737736L, 737738L, 
737739L, 737744L, 737745L, 737747L, 737748L, 737816L, 737817L, 
737819L, 737820L, 737825L, 737826L, 737828L, 737829L, 737834L, 
737835L, 737837L, 737838L, 737843L, 737844L, 737846L, 737847L, 
737852L, 737853L, 737855L, 737856L, 737870L, 737871L, 737873L, 
737874L, 737879L, 737880L, 737882L, 737883L, 737888L, 737889L, 
737891L, 737892L, 737897L, 737898L, 737900L, 737901L, 737906L, 
737907L, 737909L, 737910L, 738140L, 738141L, 738143L, 738144L, 
738149L, 738150L, 738152L, 738153L, 738158L, 738159L, 738161L, 
738162L, 738167L, 738168L, 738170L, 738171L, 738176L, 738177L, 
738179L, 738180L, 738194L, 738195L, 738197L, 738198L, 738203L, 
738204L, 738206L, 738207L, 738212L, 738213L, 738215L, 738216L, 
738221L, 738222L, 738224L, 738225L, 738230L, 738231L, 738233L, 
738234L, 738302L, 738303L, 738305L, 738306L, 738311L, 738312L, 
738314L, 738315L, 738320L, 738321L, 738323L, 738324L, 738329L, 
738330L, 738332L, 738333L, 738338L, 738339L, 738341L, 738342L, 
738356L, 738357L, 738359L, 738360L, 738365L, 738366L, 738368L, 
738369L, 738374L, 738375L, 738377L, 738378L, 738383L, 738384L, 
738386L, 738387L, 738392L, 738393L, 738395L, 738396L, 738464L, 
738465L, 738467L, 738468L, 738473L, 738474L, 738476L, 738477L, 
738482L, 738483L, 738485L, 738486L, 738491L, 738492L, 738494L, 
738495L, 738500L, 738501L, 738503L, 738504L, 738518L, 738519L, 
738521L, 738522L, 738527L, 738528L, 738530L, 738531L, 738536L, 
738537L, 738539L, 738540L, 738545L, 738546L, 738548L, 738549L, 
738554L, 738555L, 738557L, 738558L, 738626L, 738627L, 738629L, 
738630L, 738635L, 738636L, 738638L, 738639L, 738644L, 738645L, 
738647L, 738648L, 738653L, 738654L, 738656L, 738657L, 738662L, 
738663L, 738665L, 738666L, 738680L, 738681L, 738683L, 738684L, 
738689L, 738690L, 738692L, 738693L, 738698L, 738699L, 738701L, 
738702L, 738707L, 738708L, 738710L, 738711L, 738716L, 738717L, 
738719L, 738720L, 739760L, 739761L, 739763L, 739764L, 739769L, 
739770L, 739772L, 739773L, 739778L, 739779L, 739781L, 739782L, 
739787L, 739788L, 739790L, 739791L, 739796L, 739797L, 739799L, 
739800L, 739814L, 739815L, 739817L, 739818L, 739823L, 739824L, 
739826L, 739827L, 739832L, 739833L, 739835L, 739836L, 739841L, 
739842L, 739844L, 739845L, 739850L, 739851L, 739853L, 739854L, 
739922L, 739923L, 739925L, 739926L, 739931L, 739932L, 739934L, 
739935L, 739940L, 739941L, 739943L, 739944L, 739949L, 739950L, 
739952L, 739953L, 739958L, 739959L, 739961L, 739962L, 739976L, 
739977L, 739979L, 739980L, 739985L, 739986L, 739988L, 739989L, 
739994L, 739995L, 739997L, 739998L, 740003L, 740004L, 740006L, 
740007L, 740012L, 740013L, 740015L, 740016L, 740084L, 740085L, 
740087L, 740088L, 740093L, 740094L, 740096L, 740097L, 740102L, 
740103L, 740105L, 740106L, 740111L, 740112L, 740114L, 740115L, 
740120L, 740121L, 740123L, 740124L, 740138L, 740139L, 740141L, 
740142L, 740147L, 740148L, 740150L, 740151L, 740156L, 740157L, 
740159L, 740160L, 740165L, 740166L, 740168L, 740169L, 740174L, 
740175L, 740177L, 740178L, 740246L, 740247L, 740249L, 740250L, 
740255L, 740256L, 740258L, 740259L, 740264L, 740265L, 740267L, 
740268L, 740273L, 740274L, 740276L, 740277L, 740282L, 740283L, 
740285L, 740286L, 740300L, 740301L, 740303L, 740304L, 740309L, 
740310L, 740312L, 740313L, 740318L, 740319L, 740321L, 740322L, 
740327L, 740328L, 740330L, 740331L, 740336L, 740337L, 740339L, 
740340L, 740570L, 740571L, 740573L, 740574L, 740579L, 740580L, 
740582L, 740583L, 740588L, 740589L, 740591L, 740592L, 740597L, 
740598L, 740600L, 740601L, 740606L, 740607L, 740609L, 740610L, 
740624L, 740625L, 740627L, 740628L, 740633L, 740634L, 740636L, 
740637L, 740642L, 740643L, 740645L, 740646L, 740651L, 740652L, 
740654L, 740655L, 740660L, 740661L, 740663L, 740664L, 740732L, 
740733L, 740735L, 740736L, 740741L, 740742L, 740744L, 740745L, 
740750L, 740751L, 740753L, 740754L, 740759L, 740760L, 740762L, 
740763L, 740768L, 740769L, 740771L, 740772L, 740786L, 740787L, 
740789L, 740790L, 740795L, 740796L, 740798L, 740799L, 740804L, 
740805L, 740807L, 740808L, 740813L, 740814L, 740816L, 740817L, 
740822L, 740823L, 740825L, 740826L, 740894L, 740895L, 740897L, 
740898L, 740903L, 740904L, 740906L, 740907L, 740912L, 740913L, 
740915L, 740916L, 740921L, 740922L, 740924L, 740925L, 740930L, 
740931L, 740933L, 740934L, 740948L, 740949L, 740951L, 740952L, 
740957L, 740958L, 740960L, 740961L, 740966L, 740967L, 740969L, 
740970L, 740975L, 740976L, 740978L, 740979L, 740984L, 740985L, 
740987L, 740988L, 741056L, 741057L, 741059L, 741060L, 741065L, 
741066L, 741068L, 741069L, 741074L, 741075L, 741077L, 741078L, 
741083L, 741084L, 741086L, 741087L, 741092L, 741093L, 741095L, 
741096L, 741110L, 741111L, 741113L, 741114L, 741119L, 741120L, 
741122L, 741123L, 741128L, 741129L, 741131L, 741132L, 741137L, 
741138L, 741140L, 741141L, 741146L, 741147L, 741149L, 741150L, 
741380L, 741381L, 741383L, 741384L, 741389L, 741390L, 741392L, 
741393L, 741398L, 741399L, 741401L, 741402L, 741407L, 741408L, 
741410L, 741411L, 741416L, 741417L, 741419L, 741420L, 741434L, 
741435L, 741437L, 741438L, 741443L, 741444L, 741446L, 741447L, 
741452L, 741453L, 741455L, 741456L, 741461L, 741462L, 741464L, 
741465L, 741470L, 741471L, 741473L, 741474L, 741542L, 741543L, 
741545L, 741546L, 741551L, 741552L, 741554L, 741555L, 741560L, 
741561L, 741563L, 741564L, 741569L, 741570L, 741572L, 741573L, 
741578L, 741579L, 741581L, 741582L, 741596L, 741597L, 741599L, 
741600L, 741605L, 741606L, 741608L, 741609L, 741614L, 741615L, 
741617L, 741618L, 741623L, 741624L, 741626L, 741627L, 741632L, 
741633L, 741635L, 741636L, 741704L, 741705L, 741707L, 741708L, 
741713L, 741714L, 741716L, 741717L, 741722L, 741723L, 741725L, 
741726L, 741731L, 741732L, 741734L, 741735L, 741740L, 741741L, 
741743L, 741744L, 741758L, 741759L, 741761L, 741762L, 741767L, 
741768L, 741770L, 741771L, 741776L, 741777L, 741779L, 741780L, 
741785L, 741786L, 741788L, 741789L, 741794L, 741795L, 741797L, 
741798L, 741866L, 741867L, 741869L, 741870L, 741875L, 741876L, 
741878L, 741879L, 741884L, 741885L, 741887L, 741888L, 741893L, 
741894L, 741896L, 741897L, 741902L, 741903L, 741905L, 741906L, 
741920L, 741921L, 741923L, 741924L, 741929L, 741930L, 741932L, 
741933L, 741938L, 741939L, 741941L, 741942L, 741947L, 741948L, 
741950L, 741951L, 741956L, 741957L, 741959L, 741960L, 742190L, 
742191L, 742193L, 742194L, 742199L, 742200L, 742202L, 742203L, 
742208L, 742209L, 742211L, 742212L, 742217L, 742218L, 742220L, 
742221L, 742226L, 742227L, 742229L, 742230L, 742244L, 742245L, 
742247L, 742248L, 742253L, 742254L, 742256L, 742257L, 742262L, 
742263L, 742265L, 742266L, 742271L, 742272L, 742274L, 742275L, 
742280L, 742281L, 742283L, 742284L, 742352L, 742353L, 742355L, 
742356L, 742361L, 742362L, 742364L, 742365L, 742370L, 742371L, 
742373L, 742374L, 742379L, 742380L, 742382L, 742383L, 742388L, 
742389L, 742391L, 742392L, 742406L, 742407L, 742409L, 742410L, 
742415L, 742416L, 742418L, 742419L, 742424L, 742425L, 742427L, 
742428L, 742433L, 742434L, 742436L, 742437L, 742442L, 742443L, 
742445L, 742446L, 742514L, 742515L, 742517L, 742518L, 742523L, 
742524L, 742526L, 742527L, 742532L, 742533L, 742535L, 742536L, 
742541L, 742542L, 742544L, 742545L, 742550L, 742551L, 742553L, 
742554L, 742568L, 742569L, 742571L, 742572L, 742577L, 742578L, 
742580L, 742581L, 742586L, 742587L, 742589L, 742590L, 742595L, 
742596L, 742598L, 742599L, 742604L, 742605L, 742607L, 742608L, 
742676L, 742677L, 742679L, 742680L, 742685L, 742686L, 742688L, 
742689L, 742694L, 742695L, 742697L, 742698L, 742703L, 742704L, 
742706L, 742707L, 742712L, 742713L, 742715L, 742716L, 742730L, 
742731L, 742733L, 742734L, 742739L, 742740L, 742742L, 742743L, 
742748L, 742749L, 742751L, 742752L, 742757L, 742758L, 742760L, 
742761L, 742766L, 742767L, 742769L, 742770L, 743000L, 743001L, 
743003L, 743004L, 743009L, 743010L, 743012L, 743013L, 743018L, 
743019L, 743021L, 743022L, 743027L, 743028L, 743030L, 743031L, 
743036L, 743037L, 743039L, 743040L, 743054L, 743055L, 743057L, 
743058L, 743063L, 743064L, 743066L, 743067L, 743072L, 743073L, 
743075L, 743076L, 743081L, 743082L, 743084L, 743085L, 743090L, 
743091L, 743093L, 743094L, 743162L, 743163L, 743165L, 743166L, 
743171L, 743172L, 743174L, 743175L, 743180L, 743181L, 743183L, 
743184L, 743189L, 743190L, 743192L, 743193L, 743198L, 743199L, 
743201L, 743202L, 743216L, 743217L, 743219L, 743220L, 743225L, 
743226L, 743228L, 743229L, 743234L, 743235L, 743237L, 743238L, 
743243L, 743244L, 743246L, 743247L, 743252L, 743253L, 743255L, 
743256L, 743324L, 743325L, 743327L, 743328L, 743333L, 743334L, 
743336L, 743337L, 743342L, 743343L, 743345L, 743346L, 743351L, 
743352L, 743354L, 743355L, 743360L, 743361L, 743363L, 743364L, 
743378L, 743379L, 743381L, 743382L, 743387L, 743388L, 743390L, 
743391L, 743396L, 743397L, 743399L, 743400L, 743405L, 743406L, 
743408L, 743409L, 743414L, 743415L, 743417L, 743418L, 743486L, 
743487L, 743489L, 743490L, 743495L, 743496L, 743498L, 743499L, 
743504L, 743505L, 743507L, 743508L, 743513L, 743514L, 743516L, 
743517L, 743522L, 743523L, 743525L, 743526L, 743540L, 743541L, 
743543L, 743544L, 743549L, 743550L, 743552L, 743553L, 743558L, 
743559L, 743561L, 743562L, 743567L, 743568L, 743570L, 743571L, 
743576L, 743577L, 743579L, 743580L, 744620L, 744621L, 744623L, 
744624L, 744629L, 744630L, 744632L, 744633L, 744638L, 744639L, 
744641L, 744642L, 744647L, 744648L, 744650L, 744651L, 744656L, 
744657L, 744659L, 744660L, 744674L, 744675L, 744677L, 744678L, 
744683L, 744684L, 744686L, 744687L, 744692L, 744693L, 744695L, 
744696L, 744701L, 744702L, 744704L, 744705L, 744710L, 744711L, 
744713L, 744714L, 744782L, 744783L, 744785L, 744786L, 744791L, 
744792L, 744794L, 744795L, 744800L, 744801L, 744803L, 744804L, 
744809L, 744810L, 744812L, 744813L, 744818L, 744819L, 744821L, 
744822L, 744836L, 744837L, 744839L, 744840L, 744845L, 744846L, 
744848L, 744849L, 744854L, 744855L, 744857L, 744858L, 744863L, 
744864L, 744866L, 744867L, 744872L, 744873L, 744875L, 744876L, 
744944L, 744945L, 744947L, 744948L, 744953L, 744954L, 744956L, 
744957L, 744962L, 744963L, 744965L, 744966L, 744971L, 744972L, 
744974L, 744975L, 744980L, 744981L, 744983L, 744984L, 744998L, 
744999L, 745001L, 745002L, 745007L, 745008L, 745010L, 745011L, 
745016L, 745017L, 745019L, 745020L, 745025L, 745026L, 745028L, 
745029L, 745034L, 745035L, 745037L, 745038L, 745106L, 745107L, 
745109L, 745110L, 745115L, 745116L, 745118L, 745119L, 745124L, 
745125L, 745127L, 745128L, 745133L, 745134L, 745136L, 745137L, 
745142L, 745143L, 745145L, 745146L, 745160L, 745161L, 745163L, 
745164L, 745169L, 745170L, 745172L, 745173L, 745178L, 745179L, 
745181L, 745182L, 745187L, 745188L, 745190L, 745191L, 745196L, 
745197L, 745199L, 745200L, 745430L, 745431L, 745433L, 745434L, 
745439L, 745440L, 745442L, 745443L, 745448L, 745449L, 745451L, 
745452L, 745457L, 745458L, 745460L, 745461L, 745466L, 745467L, 
745469L, 745470L, 745484L, 745485L, 745487L, 745488L, 745493L, 
745494L, 745496L, 745497L, 745502L, 745503L, 745505L, 745506L, 
745511L, 745512L, 745514L, 745515L, 745520L, 745521L, 745523L, 
745524L, 745592L, 745593L, 745595L, 745596L, 745601L, 745602L, 
745604L, 745605L, 745610L, 745611L, 745613L, 745614L, 745619L, 
745620L, 745622L, 745623L, 745628L, 745629L, 745631L, 745632L, 
745646L, 745647L, 745649L, 745650L, 745655L, 745656L, 745658L, 
745659L, 745664L, 745665L, 745667L, 745668L, 745673L, 745674L, 
745676L, 745677L, 745682L, 745683L, 745685L, 745686L, 745754L, 
745755L, 745757L, 745758L, 745763L, 745764L, 745766L, 745767L, 
745772L, 745773L, 745775L, 745776L, 745781L, 745782L, 745784L, 
745785L, 745790L, 745791L, 745793L, 745794L, 745808L, 745809L, 
745811L, 745812L, 745817L, 745818L, 745820L, 745821L, 745826L, 
745827L, 745829L, 745830L, 745835L, 745836L, 745838L, 745839L, 
745844L, 745845L, 745847L, 745848L, 745916L, 745917L, 745919L, 
745920L, 745925L, 745926L, 745928L, 745929L, 745934L, 745935L, 
745937L, 745938L, 745943L, 745944L, 745946L, 745947L, 745952L, 
745953L, 745955L, 745956L, 745970L, 745971L, 745973L, 745974L, 
745979L, 745980L, 745982L, 745983L, 745988L, 745989L, 745991L, 
745992L, 745997L, 745998L, 746000L, 746001L, 746006L, 746007L, 
746009L, 746010L, 746240L, 746241L, 746243L, 746244L, 746249L, 
746250L, 746252L, 746253L, 746258L, 746259L, 746261L, 746262L, 
746267L, 746268L, 746270L, 746271L, 746276L, 746277L, 746279L, 
746280L, 746294L, 746295L, 746297L, 746298L, 746303L, 746304L, 
746306L, 746307L, 746312L, 746313L, 746315L, 746316L, 746321L, 
746322L, 746324L, 746325L, 746330L, 746331L, 746333L, 746334L, 
746402L, 746403L, 746405L, 746406L, 746411L, 746412L, 746414L, 
746415L, 746420L, 746421L, 746423L, 746424L, 746429L, 746430L, 
746432L, 746433L, 746438L, 746439L, 746441L, 746442L, 746456L, 
746457L, 746459L, 746460L, 746465L, 746466L, 746468L, 746469L, 
746474L, 746475L, 746477L, 746478L, 746483L, 746484L, 746486L, 
746487L, 746492L, 746493L, 746495L, 746496L, 746564L, 746565L, 
746567L, 746568L, 746573L, 746574L, 746576L, 746577L, 746582L, 
746583L, 746585L, 746586L, 746591L, 746592L, 746594L, 746595L, 
746600L, 746601L, 746603L, 746604L, 746618L, 746619L, 746621L, 
746622L, 746627L, 746628L, 746630L, 746631L, 746636L, 746637L, 
746639L, 746640L, 746645L, 746646L, 746648L, 746649L, 746654L, 
746655L, 746657L, 746658L, 746726L, 746727L, 746729L, 746730L, 
746735L, 746736L, 746738L, 746739L, 746744L, 746745L, 746747L, 
746748L, 746753L, 746754L, 746756L, 746757L, 746762L, 746763L, 
746765L, 746766L, 746780L, 746781L, 746783L, 746784L, 746789L, 
746790L, 746792L, 746793L, 746798L, 746799L, 746801L, 746802L, 
746807L, 746808L, 746810L, 746811L, 746816L, 746817L, 746819L, 
746820L, 747050L, 747051L, 747053L, 747054L, 747059L, 747060L, 
747062L, 747063L, 747068L, 747069L, 747071L, 747072L, 747077L, 
747078L, 747080L, 747081L, 747086L, 747087L, 747089L, 747090L, 
747104L, 747105L, 747107L, 747108L, 747113L, 747114L, 747116L, 
747117L, 747122L, 747123L, 747125L, 747126L, 747131L, 747132L, 
747134L, 747135L, 747140L, 747141L, 747143L, 747144L, 747212L, 
747213L, 747215L, 747216L, 747221L, 747222L, 747224L, 747225L, 
747230L, 747231L, 747233L, 747234L, 747239L, 747240L, 747242L, 
747243L, 747248L, 747249L, 747251L, 747252L, 747266L, 747267L, 
747269L, 747270L, 747275L, 747276L, 747278L, 747279L, 747284L, 
747285L, 747287L, 747288L, 747293L, 747294L, 747296L, 747297L, 
747302L, 747303L, 747305L, 747306L, 747374L, 747375L, 747377L, 
747378L, 747383L, 747384L, 747386L, 747387L, 747392L, 747393L, 
747395L, 747396L, 747401L, 747402L, 747404L, 747405L, 747410L, 
747411L, 747413L, 747414L, 747428L, 747429L, 747431L, 747432L, 
747437L, 747438L, 747440L, 747441L, 747446L, 747447L, 747449L, 
747450L, 747455L, 747456L, 747458L, 747459L, 747464L, 747465L, 
747467L, 747468L, 747536L, 747537L, 747539L, 747540L, 747545L, 
747546L, 747548L, 747549L, 747554L, 747555L, 747557L, 747558L, 
747563L, 747564L, 747566L, 747567L, 747572L, 747573L, 747575L, 
747576L, 747590L, 747591L, 747593L, 747594L, 747599L, 747600L, 
747602L, 747603L, 747608L, 747609L, 747611L, 747612L, 747617L, 
747618L, 747620L, 747621L, 747626L, 747627L, 747629L, 747630L, 
747860L, 747861L, 747863L, 747864L, 747869L, 747870L, 747872L, 
747873L, 747878L, 747879L, 747881L, 747882L, 747887L, 747888L, 
747890L, 747891L, 747896L, 747897L, 747899L, 747900L, 747914L, 
747915L, 747917L, 747918L, 747923L, 747924L, 747926L, 747927L, 
747932L, 747933L, 747935L, 747936L, 747941L, 747942L, 747944L, 
747945L, 747950L, 747951L, 747953L, 747954L, 748022L, 748023L, 
748025L, 748026L, 748031L, 748032L, 748034L, 748035L, 748040L, 
748041L, 748043L, 748044L, 748049L, 748050L, 748052L, 748053L, 
748058L, 748059L, 748061L, 748062L, 748076L, 748077L, 748079L, 
748080L, 748085L, 748086L, 748088L, 748089L, 748094L, 748095L, 
748097L, 748098L, 748103L, 748104L, 748106L, 748107L, 748112L, 
748113L, 748115L, 748116L, 748184L, 748185L, 748187L, 748188L, 
748193L, 748194L, 748196L, 748197L, 748202L, 748203L, 748205L, 
748206L, 748211L, 748212L, 748214L, 748215L, 748220L, 748221L, 
748223L, 748224L, 748238L, 748239L, 748241L, 748242L, 748247L, 
748248L, 748250L, 748251L, 748256L, 748257L, 748259L, 748260L, 
748265L, 748266L, 748268L, 748269L, 748274L, 748275L, 748277L, 
748278L, 748346L, 748347L, 748349L, 748350L, 748355L, 748356L, 
748358L, 748359L, 748364L, 748365L, 748367L, 748368L, 748373L, 
748374L, 748376L, 748377L, 748382L, 748383L, 748385L, 748386L, 
748400L, 748401L, 748403L, 748404L, 748409L, 748410L, 748412L, 
748413L, 748418L, 748419L, 748421L, 748422L, 748427L, 748428L, 
748430L, 748431L, 748436L, 748437L, 748439L, 748440L, 759200L, 
759201L, 759203L, 759204L, 759209L, 759210L, 759212L, 759213L, 
759218L, 759219L, 759221L, 759222L, 759227L, 759228L, 759230L, 
759231L, 759236L, 759237L, 759239L, 759240L, 759254L, 759255L, 
759257L, 759258L, 759263L, 759264L, 759266L, 759267L, 759272L, 
759273L, 759275L, 759276L, 759281L, 759282L, 759284L, 759285L, 
759290L, 759291L, 759293L, 759294L, 759362L, 759363L, 759365L, 
759366L, 759371L, 759372L, 759374L, 759375L, 759380L, 759381L, 
759383L, 759384L, 759389L, 759390L, 759392L, 759393L, 759398L, 
759399L, 759401L, 759402L, 759416L, 759417L, 759419L, 759420L, 
759425L, 759426L, 759428L, 759429L, 759434L, 759435L, 759437L, 
759438L, 759443L, 759444L, 759446L, 759447L, 759452L, 759453L, 
759455L, 759456L, 759524L, 759525L, 759527L, 759528L, 759533L, 
759534L, 759536L, 759537L, 759542L, 759543L, 759545L, 759546L, 
759551L, 759552L, 759554L, 759555L, 759560L, 759561L, 759563L, 
759564L, 759578L, 759579L, 759581L, 759582L, 759587L, 759588L, 
759590L, 759591L, 759596L, 759597L, 759599L, 759600L, 759605L, 
759606L, 759608L, 759609L, 759614L, 759615L, 759617L, 759618L, 
759686L, 759687L, 759689L, 759690L, 759695L, 759696L, 759698L, 
759699L, 759704L, 759705L, 759707L, 759708L, 759713L, 759714L, 
759716L, 759717L, 759722L, 759723L, 759725L, 759726L, 759740L, 
759741L, 759743L, 759744L, 759749L, 759750L, 759752L, 759753L, 
759758L, 759759L, 759761L, 759762L, 759767L, 759768L, 759770L, 
759771L, 759776L, 759777L, 759779L, 759780L, 760010L, 760011L, 
760013L, 760014L, 760019L, 760020L, 760022L, 760023L, 760028L, 
760029L, 760031L, 760032L, 760037L, 760038L, 760040L, 760041L, 
760046L, 760047L, 760049L, 760050L, 760064L, 760065L, 760067L, 
760068L, 760073L, 760074L, 760076L, 760077L, 760082L, 760083L, 
760085L, 760086L, 760091L, 760092L, 760094L, 760095L, 760100L, 
760101L, 760103L, 760104L, 760172L, 760173L, 760175L, 760176L, 
760181L, 760182L, 760184L, 760185L, 760190L, 760191L, 760193L, 
760194L, 760199L, 760200L, 760202L, 760203L, 760208L, 760209L, 
760211L, 760212L, 760226L, 760227L, 760229L, 760230L, 760235L, 
760236L, 760238L, 760239L, 760244L, 760245L, 760247L, 760248L, 
760253L, 760254L, 760256L, 760257L, 760262L, 760263L, 760265L, 
760266L, 760334L, 760335L, 760337L, 760338L, 760343L, 760344L, 
760346L, 760347L, 760352L, 760353L, 760355L, 760356L, 760361L, 
760362L, 760364L, 760365L, 760370L, 760371L, 760373L, 760374L, 
760388L, 760389L, 760391L, 760392L, 760397L, 760398L, 760400L, 
760401L, 760406L, 760407L, 760409L, 760410L, 760415L, 760416L, 
760418L, 760419L, 760424L, 760425L, 760427L, 760428L, 760496L, 
760497L, 760499L, 760500L, 760505L, 760506L, 760508L, 760509L, 
760514L, 760515L, 760517L, 760518L, 760523L, 760524L, 760526L, 
760527L, 760532L, 760533L, 760535L, 760536L, 760550L, 760551L, 
760553L, 760554L, 760559L, 760560L, 760562L, 760563L, 760568L, 
760569L, 760571L, 760572L, 760577L, 760578L, 760580L, 760581L, 
760586L, 760587L, 760589L, 760590L, 760820L, 760821L, 760823L, 
760824L, 760829L, 760830L, 760832L, 760833L, 760838L, 760839L, 
760841L, 760842L, 760847L, 760848L, 760850L, 760851L, 760856L, 
760857L, 760859L, 760860L, 760874L, 760875L, 760877L, 760878L, 
760883L, 760884L, 760886L, 760887L, 760892L, 760893L, 760895L, 
760896L, 760901L, 760902L, 760904L, 760905L, 760910L, 760911L, 
760913L, 760914L, 760982L, 760983L, 760985L, 760986L, 760991L, 
760992L, 760994L, 760995L, 761000L, 761001L, 761003L, 761004L, 
761009L, 761010L, 761012L, 761013L, 761018L, 761019L, 761021L, 
761022L, 761036L, 761037L, 761039L, 761040L, 761045L, 761046L, 
761048L, 761049L, 761054L, 761055L, 761057L, 761058L, 761063L, 
761064L, 761066L, 761067L, 761072L, 761073L, 761075L, 761076L, 
761144L, 761145L, 761147L, 761148L, 761153L, 761154L, 761156L, 
761157L, 761162L, 761163L, 761165L, 761166L, 761171L, 761172L, 
761174L, 761175L, 761180L, 761181L, 761183L, 761184L, 761198L, 
761199L, 761201L, 761202L, 761207L, 761208L, 761210L, 761211L, 
761216L, 761217L, 761219L, 761220L, 761225L, 761226L, 761228L, 
761229L, 761234L, 761235L, 761237L, 761238L, 761306L, 761307L, 
761309L, 761310L, 761315L, 761316L, 761318L, 761319L, 761324L, 
761325L, 761327L, 761328L, 761333L, 761334L, 761336L, 761337L, 
761342L, 761343L, 761345L, 761346L, 761360L, 761361L, 761363L, 
761364L, 761369L, 761370L, 761372L, 761373L, 761378L, 761379L, 
761381L, 761382L, 761387L, 761388L, 761390L, 761391L, 761396L, 
761397L, 761399L, 761400L, 761630L, 761631L, 761633L, 761634L, 
761639L, 761640L, 761642L, 761643L, 761648L, 761649L, 761651L, 
761652L, 761657L, 761658L, 761660L, 761661L, 761666L, 761667L, 
761669L, 761670L, 761684L, 761685L, 761687L, 761688L, 761693L, 
761694L, 761696L, 761697L, 761702L, 761703L, 761705L, 761706L, 
761711L, 761712L, 761714L, 761715L, 761720L, 761721L, 761723L, 
761724L, 761792L, 761793L, 761795L, 761796L, 761801L, 761802L, 
761804L, 761805L, 761810L, 761811L, 761813L, 761814L, 761819L, 
761820L, 761822L, 761823L, 761828L, 761829L, 761831L, 761832L, 
761846L, 761847L, 761849L, 761850L, 761855L, 761856L, 761858L, 
761859L, 761864L, 761865L, 761867L, 761868L, 761873L, 761874L, 
761876L, 761877L, 761882L, 761883L, 761885L, 761886L, 761954L, 
761955L, 761957L, 761958L, 761963L, 761964L, 761966L, 761967L, 
761972L, 761973L, 761975L, 761976L, 761981L, 761982L, 761984L, 
761985L, 761990L, 761991L, 761993L, 761994L, 762008L, 762009L, 
762011L, 762012L, 762017L, 762018L, 762020L, 762021L, 762026L, 
762027L, 762029L, 762030L, 762035L, 762036L, 762038L, 762039L, 
762044L, 762045L, 762047L, 762048L, 762116L, 762117L, 762119L, 
762120L, 762125L, 762126L, 762128L, 762129L, 762134L, 762135L, 
762137L, 762138L, 762143L, 762144L, 762146L, 762147L, 762152L, 
762153L, 762155L, 762156L, 762170L, 762171L, 762173L, 762174L, 
762179L, 762180L, 762182L, 762183L, 762188L, 762189L, 762191L, 
762192L, 762197L, 762198L, 762200L, 762201L, 762206L, 762207L, 
762209L, 762210L, 762440L, 762441L, 762443L, 762444L, 762449L, 
762450L, 762452L, 762453L, 762458L, 762459L, 762461L, 762462L, 
762467L, 762468L, 762470L, 762471L, 762476L, 762477L, 762479L, 
762480L, 762494L, 762495L, 762497L, 762498L, 762503L, 762504L, 
762506L, 762507L, 762512L, 762513L, 762515L, 762516L, 762521L, 
762522L, 762524L, 762525L, 762530L, 762531L, 762533L, 762534L, 
762602L, 762603L, 762605L, 762606L, 762611L, 762612L, 762614L, 
762615L, 762620L, 762621L, 762623L, 762624L, 762629L, 762630L, 
762632L, 762633L, 762638L, 762639L, 762641L, 762642L, 762656L, 
762657L, 762659L, 762660L, 762665L, 762666L, 762668L, 762669L, 
762674L, 762675L, 762677L, 762678L, 762683L, 762684L, 762686L, 
762687L, 762692L, 762693L, 762695L, 762696L, 762764L, 762765L, 
762767L, 762768L, 762773L, 762774L, 762776L, 762777L, 762782L, 
762783L, 762785L, 762786L, 762791L, 762792L, 762794L, 762795L, 
762800L, 762801L, 762803L, 762804L, 762818L, 762819L, 762821L, 
762822L, 762827L, 762828L, 762830L, 762831L, 762836L, 762837L, 
762839L, 762840L, 762845L, 762846L, 762848L, 762849L, 762854L, 
762855L, 762857L, 762858L, 762926L, 762927L, 762929L, 762930L, 
762935L, 762936L, 762938L, 762939L, 762944L, 762945L, 762947L, 
762948L, 762953L, 762954L, 762956L, 762957L, 762962L, 762963L, 
762965L, 762966L, 762980L, 762981L, 762983L, 762984L, 762989L, 
762990L, 762992L, 762993L, 762998L, 762999L, 763001L, 763002L, 
763007L, 763008L, 763010L, 763011L, 763016L, 763017L, 763019L, 
763020L, 764060L, 764061L, 764063L, 764064L, 764069L, 764070L, 
764072L, 764073L, 764078L, 764079L, 764081L, 764082L, 764087L, 
764088L, 764090L, 764091L, 764096L, 764097L, 764099L, 764100L, 
764114L, 764115L, 764117L, 764118L, 764123L, 764124L, 764126L, 
764127L, 764132L, 764133L, 764135L, 764136L, 764141L, 764142L, 
764144L, 764145L, 764150L, 764151L, 764153L, 764154L, 764222L, 
764223L, 764225L, 764226L, 764231L, 764232L, 764234L, 764235L, 
764240L, 764241L, 764243L, 764244L, 764249L, 764250L, 764252L, 
764253L, 764258L, 764259L, 764261L, 764262L, 764276L, 764277L, 
764279L, 764280L, 764285L, 764286L, 764288L, 764289L, 764294L, 
764295L, 764297L, 764298L, 764303L, 764304L, 764306L, 764307L, 
764312L, 764313L, 764315L, 764316L, 764384L, 764385L, 764387L, 
764388L, 764393L, 764394L, 764396L, 764397L, 764402L, 764403L, 
764405L, 764406L, 764411L, 764412L, 764414L, 764415L, 764420L, 
764421L, 764423L, 764424L, 764438L, 764439L, 764441L, 764442L, 
764447L, 764448L, 764450L, 764451L, 764456L, 764457L, 764459L, 
764460L, 764465L, 764466L, 764468L, 764469L, 764474L, 764475L, 
764477L, 764478L, 764546L, 764547L, 764549L, 764550L, 764555L, 
764556L, 764558L, 764559L, 764564L, 764565L, 764567L, 764568L, 
764573L, 764574L, 764576L, 764577L, 764582L, 764583L, 764585L, 
764586L, 764600L, 764601L, 764603L, 764604L, 764609L, 764610L, 
764612L, 764613L, 764618L, 764619L, 764621L, 764622L, 764627L, 
764628L, 764630L, 764631L, 764636L, 764637L, 764639L, 764640L, 
764870L, 764871L, 764873L, 764874L, 764879L, 764880L, 764882L, 
764883L, 764888L, 764889L, 764891L, 764892L, 764897L, 764898L, 
764900L, 764901L, 764906L, 764907L, 764909L, 764910L, 764924L, 
764925L, 764927L, 764928L, 764933L, 764934L, 764936L, 764937L, 
764942L, 764943L, 764945L, 764946L, 764951L, 764952L, 764954L, 
764955L, 764960L, 764961L, 764963L, 764964L, 765032L, 765033L, 
765035L, 765036L, 765041L, 765042L, 765044L, 765045L, 765050L, 
765051L, 765053L, 765054L, 765059L, 765060L, 765062L, 765063L, 
765068L, 765069L, 765071L, 765072L, 765086L, 765087L, 765089L, 
765090L, 765095L, 765096L, 765098L, 765099L, 765104L, 765105L, 
765107L, 765108L, 765113L, 765114L, 765116L, 765117L, 765122L, 
765123L, 765125L, 765126L, 765194L, 765195L, 765197L, 765198L, 
765203L, 765204L, 765206L, 765207L, 765212L, 765213L, 765215L, 
765216L, 765221L, 765222L, 765224L, 765225L, 765230L, 765231L, 
765233L, 765234L, 765248L, 765249L, 765251L, 765252L, 765257L, 
765258L, 765260L, 765261L, 765266L, 765267L, 765269L, 765270L, 
765275L, 765276L, 765278L, 765279L, 765284L, 765285L, 765287L, 
765288L, 765356L, 765357L, 765359L, 765360L, 765365L, 765366L, 
765368L, 765369L, 765374L, 765375L, 765377L, 765378L, 765383L, 
765384L, 765386L, 765387L, 765392L, 765393L, 765395L, 765396L, 
765410L, 765411L, 765413L, 765414L, 765419L, 765420L, 765422L, 
765423L, 765428L, 765429L, 765431L, 765432L, 765437L, 765438L, 
765440L, 765441L, 765446L, 765447L, 765449L, 765450L, 765680L, 
765681L, 765683L, 765684L, 765689L, 765690L, 765692L, 765693L, 
765698L, 765699L, 765701L, 765702L, 765707L, 765708L, 765710L, 
765711L, 765716L, 765717L, 765719L, 765720L, 765734L, 765735L, 
765737L, 765738L, 765743L, 765744L, 765746L, 765747L, 765752L, 
765753L, 765755L, 765756L, 765761L, 765762L, 765764L, 765765L, 
765770L, 765771L, 765773L, 765774L, 765842L, 765843L, 765845L, 
765846L, 765851L, 765852L, 765854L, 765855L, 765860L, 765861L, 
765863L, 765864L, 765869L, 765870L, 765872L, 765873L, 765878L, 
765879L, 765881L, 765882L, 765896L, 765897L, 765899L, 765900L, 
765905L, 765906L, 765908L, 765909L, 765914L, 765915L, 765917L, 
765918L, 765923L, 765924L, 765926L, 765927L, 765932L, 765933L, 
765935L, 765936L, 766004L, 766005L, 766007L, 766008L, 766013L, 
766014L, 766016L, 766017L, 766022L, 766023L, 766025L, 766026L, 
766031L, 766032L, 766034L, 766035L, 766040L, 766041L, 766043L, 
766044L, 766058L, 766059L, 766061L, 766062L, 766067L, 766068L, 
766070L, 766071L, 766076L, 766077L, 766079L, 766080L, 766085L, 
766086L, 766088L, 766089L, 766094L, 766095L, 766097L, 766098L, 
766166L, 766167L, 766169L, 766170L, 766175L, 766176L, 766178L, 
766179L, 766184L, 766185L, 766187L, 766188L, 766193L, 766194L, 
766196L, 766197L, 766202L, 766203L, 766205L, 766206L, 766220L, 
766221L, 766223L, 766224L, 766229L, 766230L, 766232L, 766233L, 
766238L, 766239L, 766241L, 766242L, 766247L, 766248L, 766250L, 
766251L, 766256L, 766257L, 766259L, 766260L, 766490L, 766491L, 
766493L, 766494L, 766499L, 766500L, 766502L, 766503L, 766508L, 
766509L, 766511L, 766512L, 766517L, 766518L, 766520L, 766521L, 
766526L, 766527L, 766529L, 766530L, 766544L, 766545L, 766547L, 
766548L, 766553L, 766554L, 766556L, 766557L, 766562L, 766563L, 
766565L, 766566L, 766571L, 766572L, 766574L, 766575L, 766580L, 
766581L, 766583L, 766584L, 766652L, 766653L, 766655L, 766656L, 
766661L, 766662L, 766664L, 766665L, 766670L, 766671L, 766673L, 
766674L, 766679L, 766680L, 766682L, 766683L, 766688L, 766689L, 
766691L, 766692L, 766706L, 766707L, 766709L, 766710L, 766715L, 
766716L, 766718L, 766719L, 766724L, 766725L, 766727L, 766728L, 
766733L, 766734L, 766736L, 766737L, 766742L, 766743L, 766745L, 
766746L, 766814L, 766815L, 766817L, 766818L, 766823L, 766824L, 
766826L, 766827L, 766832L, 766833L, 766835L, 766836L, 766841L, 
766842L, 766844L, 766845L, 766850L, 766851L, 766853L, 766854L, 
766868L, 766869L, 766871L, 766872L, 766877L, 766878L, 766880L, 
766881L, 766886L, 766887L, 766889L, 766890L, 766895L, 766896L, 
766898L, 766899L, 766904L, 766905L, 766907L, 766908L, 766976L, 
766977L, 766979L, 766980L, 766985L, 766986L, 766988L, 766989L, 
766994L, 766995L, 766997L, 766998L, 767003L, 767004L, 767006L, 
767007L, 767012L, 767013L, 767015L, 767016L, 767030L, 767031L, 
767033L, 767034L, 767039L, 767040L, 767042L, 767043L, 767048L, 
767049L, 767051L, 767052L, 767057L, 767058L, 767060L, 767061L, 
767066L, 767067L, 767069L, 767070L, 767300L, 767301L, 767303L, 
767304L, 767309L, 767310L, 767312L, 767313L, 767318L, 767319L, 
767321L, 767322L, 767327L, 767328L, 767330L, 767331L, 767336L, 
767337L, 767339L, 767340L, 767354L, 767355L, 767357L, 767358L, 
767363L, 767364L, 767366L, 767367L, 767372L, 767373L, 767375L, 
767376L, 767381L, 767382L, 767384L, 767385L, 767390L, 767391L, 
767393L, 767394L, 767462L, 767463L, 767465L, 767466L, 767471L, 
767472L, 767474L, 767475L, 767480L, 767481L, 767483L, 767484L, 
767489L, 767490L, 767492L, 767493L, 767498L, 767499L, 767501L, 
767502L, 767516L, 767517L, 767519L, 767520L, 767525L, 767526L, 
767528L, 767529L, 767534L, 767535L, 767537L, 767538L, 767543L, 
767544L, 767546L, 767547L, 767552L, 767553L, 767555L, 767556L, 
767624L, 767625L, 767627L, 767628L, 767633L, 767634L, 767636L, 
767637L, 767642L, 767643L, 767645L, 767646L, 767651L, 767652L, 
767654L, 767655L, 767660L, 767661L, 767663L, 767664L, 767678L, 
767679L, 767681L, 767682L, 767687L, 767688L, 767690L, 767691L, 
767696L, 767697L, 767699L, 767700L, 767705L, 767706L, 767708L, 
767709L, 767714L, 767715L, 767717L, 767718L, 767786L, 767787L, 
767789L, 767790L, 767795L, 767796L, 767798L, 767799L, 767804L, 
767805L, 767807L, 767808L, 767813L, 767814L, 767816L, 767817L, 
767822L, 767823L, 767825L, 767826L, 767840L, 767841L, 767843L, 
767844L, 767849L, 767850L, 767852L, 767853L, 767858L, 767859L, 
767861L, 767862L, 767867L, 767868L, 767870L, 767871L, 767876L, 
767877L, 767879L, 767880L, 768920L, 768921L, 768923L, 768924L, 
768929L, 768930L, 768932L, 768933L, 768938L, 768939L, 768941L, 
768942L, 768947L, 768948L, 768950L, 768951L, 768956L, 768957L, 
768959L, 768960L, 768974L, 768975L, 768977L, 768978L, 768983L, 
768984L, 768986L, 768987L, 768992L, 768993L, 768995L, 768996L, 
769001L, 769002L, 769004L, 769005L, 769010L, 769011L, 769013L, 
769014L, 769082L, 769083L, 769085L, 769086L, 769091L, 769092L, 
769094L, 769095L, 769100L, 769101L, 769103L, 769104L, 769109L, 
769110L, 769112L, 769113L, 769118L, 769119L, 769121L, 769122L, 
769136L, 769137L, 769139L, 769140L, 769145L, 769146L, 769148L, 
769149L, 769154L, 769155L, 769157L, 769158L, 769163L, 769164L, 
769166L, 769167L, 769172L, 769173L, 769175L, 769176L, 769244L, 
769245L, 769247L, 769248L, 769253L, 769254L, 769256L, 769257L, 
769262L, 769263L, 769265L, 769266L, 769271L, 769272L, 769274L, 
769275L, 769280L, 769281L, 769283L, 769284L, 769298L, 769299L, 
769301L, 769302L, 769307L, 769308L, 769310L, 769311L, 769316L, 
769317L, 769319L, 769320L, 769325L, 769326L, 769328L, 769329L, 
769334L, 769335L, 769337L, 769338L, 769406L, 769407L, 769409L, 
769410L, 769415L, 769416L, 769418L, 769419L, 769424L, 769425L, 
769427L, 769428L, 769433L, 769434L, 769436L, 769437L, 769442L, 
769443L, 769445L, 769446L, 769460L, 769461L, 769463L, 769464L, 
769469L, 769470L, 769472L, 769473L, 769478L, 769479L, 769481L, 
769482L, 769487L, 769488L, 769490L, 769491L, 769496L, 769497L, 
769499L, 769500L, 769730L, 769731L, 769733L, 769734L, 769739L, 
769740L, 769742L, 769743L, 769748L, 769749L, 769751L, 769752L, 
769757L, 769758L, 769760L, 769761L, 769766L, 769767L, 769769L, 
769770L, 769784L, 769785L, 769787L, 769788L, 769793L, 769794L, 
769796L, 769797L, 769802L, 769803L, 769805L, 769806L, 769811L, 
769812L, 769814L, 769815L, 769820L, 769821L, 769823L, 769824L, 
769892L, 769893L, 769895L, 769896L, 769901L, 769902L, 769904L, 
769905L, 769910L, 769911L, 769913L, 769914L, 769919L, 769920L, 
769922L, 769923L, 769928L, 769929L, 769931L, 769932L, 769946L, 
769947L, 769949L, 769950L, 769955L, 769956L, 769958L, 769959L, 
769964L, 769965L, 769967L, 769968L, 769973L, 769974L, 769976L, 
769977L, 769982L, 769983L, 769985L, 769986L, 770054L, 770055L, 
770057L, 770058L, 770063L, 770064L, 770066L, 770067L, 770072L, 
770073L, 770075L, 770076L, 770081L, 770082L, 770084L, 770085L, 
770090L, 770091L, 770093L, 770094L, 770108L, 770109L, 770111L, 
770112L, 770117L, 770118L, 770120L, 770121L, 770126L, 770127L, 
770129L, 770130L, 770135L, 770136L, 770138L, 770139L, 770144L, 
770145L, 770147L, 770148L, 770216L, 770217L, 770219L, 770220L, 
770225L, 770226L, 770228L, 770229L, 770234L, 770235L, 770237L, 
770238L, 770243L, 770244L, 770246L, 770247L, 770252L, 770253L, 
770255L, 770256L, 770270L, 770271L, 770273L, 770274L, 770279L, 
770280L, 770282L, 770283L, 770288L, 770289L, 770291L, 770292L, 
770297L, 770298L, 770300L, 770301L, 770306L, 770307L, 770309L, 
770310L, 770540L, 770541L, 770543L, 770544L, 770549L, 770550L, 
770552L, 770553L, 770558L, 770559L, 770561L, 770562L, 770567L, 
770568L, 770570L, 770571L, 770576L, 770577L, 770579L, 770580L, 
770594L, 770595L, 770597L, 770598L, 770603L, 770604L, 770606L, 
770607L, 770612L, 770613L, 770615L, 770616L, 770621L, 770622L, 
770624L, 770625L, 770630L, 770631L, 770633L, 770634L, 770702L, 
770703L, 770705L, 770706L, 770711L, 770712L, 770714L, 770715L, 
770720L, 770721L, 770723L, 770724L, 770729L, 770730L, 770732L, 
770733L, 770738L, 770739L, 770741L, 770742L, 770756L, 770757L, 
770759L, 770760L, 770765L, 770766L, 770768L, 770769L, 770774L, 
770775L, 770777L, 770778L, 770783L, 770784L, 770786L, 770787L, 
770792L, 770793L, 770795L, 770796L, 770864L, 770865L, 770867L, 
770868L, 770873L, 770874L, 770876L, 770877L, 770882L, 770883L, 
770885L, 770886L, 770891L, 770892L, 770894L, 770895L, 770900L, 
770901L, 770903L, 770904L, 770918L, 770919L, 770921L, 770922L, 
770927L, 770928L, 770930L, 770931L, 770936L, 770937L, 770939L, 
770940L, 770945L, 770946L, 770948L, 770949L, 770954L, 770955L, 
770957L, 770958L, 771026L, 771027L, 771029L, 771030L, 771035L, 
771036L, 771038L, 771039L, 771044L, 771045L, 771047L, 771048L, 
771053L, 771054L, 771056L, 771057L, 771062L, 771063L, 771065L, 
771066L, 771080L, 771081L, 771083L, 771084L, 771089L, 771090L, 
771092L, 771093L, 771098L, 771099L, 771101L, 771102L, 771107L, 
771108L, 771110L, 771111L, 771116L, 771117L, 771119L, 771120L, 
771350L, 771351L, 771353L, 771354L, 771359L, 771360L, 771362L, 
771363L, 771368L, 771369L, 771371L, 771372L, 771377L, 771378L, 
771380L, 771381L, 771386L, 771387L, 771389L, 771390L, 771404L, 
771405L, 771407L, 771408L, 771413L, 771414L, 771416L, 771417L, 
771422L, 771423L, 771425L, 771426L, 771431L, 771432L, 771434L, 
771435L, 771440L, 771441L, 771443L, 771444L, 771512L, 771513L, 
771515L, 771516L, 771521L, 771522L, 771524L, 771525L, 771530L, 
771531L, 771533L, 771534L, 771539L, 771540L, 771542L, 771543L, 
771548L, 771549L, 771551L, 771552L, 771566L, 771567L, 771569L, 
771570L, 771575L, 771576L, 771578L, 771579L, 771584L, 771585L, 
771587L, 771588L, 771593L, 771594L, 771596L, 771597L, 771602L, 
771603L, 771605L, 771606L, 771674L, 771675L, 771677L, 771678L, 
771683L, 771684L, 771686L, 771687L, 771692L, 771693L, 771695L, 
771696L, 771701L, 771702L, 771704L, 771705L, 771710L, 771711L, 
771713L, 771714L, 771728L, 771729L, 771731L, 771732L, 771737L, 
771738L, 771740L, 771741L, 771746L, 771747L, 771749L, 771750L, 
771755L, 771756L, 771758L, 771759L, 771764L, 771765L, 771767L, 
771768L, 771836L, 771837L, 771839L, 771840L, 771845L, 771846L, 
771848L, 771849L, 771854L, 771855L, 771857L, 771858L, 771863L, 
771864L, 771866L, 771867L, 771872L, 771873L, 771875L, 771876L, 
771890L, 771891L, 771893L, 771894L, 771899L, 771900L, 771902L, 
771903L, 771908L, 771909L, 771911L, 771912L, 771917L, 771918L, 
771920L, 771921L, 771926L, 771927L, 771929L, 771930L, 772160L, 
772161L, 772163L, 772164L, 772169L, 772170L, 772172L, 772173L, 
772178L, 772179L, 772181L, 772182L, 772187L, 772188L, 772190L, 
772191L, 772196L, 772197L, 772199L, 772200L, 772214L, 772215L, 
772217L, 772218L, 772223L, 772224L, 772226L, 772227L, 772232L, 
772233L, 772235L, 772236L, 772241L, 772242L, 772244L, 772245L, 
772250L, 772251L, 772253L, 772254L, 772322L, 772323L, 772325L, 
772326L, 772331L, 772332L, 772334L, 772335L, 772340L, 772341L, 
772343L, 772344L, 772349L, 772350L, 772352L, 772353L, 772358L, 
772359L, 772361L, 772362L, 772376L, 772377L, 772379L, 772380L, 
772385L, 772386L, 772388L, 772389L, 772394L, 772395L, 772397L, 
772398L, 772403L, 772404L, 772406L, 772407L, 772412L, 772413L, 
772415L, 772416L, 772484L, 772485L, 772487L, 772488L, 772493L, 
772494L, 772496L, 772497L, 772502L, 772503L, 772505L, 772506L, 
772511L, 772512L, 772514L, 772515L, 772520L, 772521L, 772523L, 
772524L, 772538L, 772539L, 772541L, 772542L, 772547L, 772548L, 
772550L, 772551L, 772556L, 772557L, 772559L, 772560L, 772565L, 
772566L, 772568L, 772569L, 772574L, 772575L, 772577L, 772578L, 
772646L, 772647L, 772649L, 772650L, 772655L, 772656L, 772658L, 
772659L, 772664L, 772665L, 772667L, 772668L, 772673L, 772674L, 
772676L, 772677L, 772682L, 772683L, 772685L, 772686L, 772700L, 
772701L, 772703L, 772704L, 772709L, 772710L, 772712L, 772713L, 
772718L, 772719L, 772721L, 772722L, 772727L, 772728L, 772730L, 
772731L, 772736L, 772737L, 772739L, 772740L, 783500L, 783501L, 
783503L, 783504L, 783509L, 783510L, 783512L, 783513L, 783518L, 
783519L, 783521L, 783522L, 783527L, 783528L, 783530L, 783531L, 
783536L, 783537L, 783539L, 783540L, 783554L, 783555L, 783557L, 
783558L, 783563L, 783564L, 783566L, 783567L, 783572L, 783573L, 
783575L, 783576L, 783581L, 783582L, 783584L, 783585L, 783590L, 
783591L, 783593L, 783594L, 783662L, 783663L, 783665L, 783666L, 
783671L, 783672L, 783674L, 783675L, 783680L, 783681L, 783683L, 
783684L, 783689L, 783690L, 783692L, 783693L, 783698L, 783699L, 
783701L, 783702L, 783716L, 783717L, 783719L, 783720L, 783725L, 
783726L, 783728L, 783729L, 783734L, 783735L, 783737L, 783738L, 
783743L, 783744L, 783746L, 783747L, 783752L, 783753L, 783755L, 
783756L, 783824L, 783825L, 783827L, 783828L, 783833L, 783834L, 
783836L, 783837L, 783842L, 783843L, 783845L, 783846L, 783851L, 
783852L, 783854L, 783855L, 783860L, 783861L, 783863L, 783864L, 
783878L, 783879L, 783881L, 783882L, 783887L, 783888L, 783890L, 
783891L, 783896L, 783897L, 783899L, 783900L, 783905L, 783906L, 
783908L, 783909L, 783914L, 783915L, 783917L, 783918L, 783986L, 
783987L, 783989L, 783990L, 783995L, 783996L, 783998L, 783999L, 
784004L, 784005L, 784007L, 784008L, 784013L, 784014L, 784016L, 
784017L, 784022L, 784023L, 784025L, 784026L, 784040L, 784041L, 
784043L, 784044L, 784049L, 784050L, 784052L, 784053L, 784058L, 
784059L, 784061L, 784062L, 784067L, 784068L, 784070L, 784071L, 
784076L, 784077L, 784079L, 784080L, 784310L, 784311L, 784313L, 
784314L, 784319L, 784320L, 784322L, 784323L, 784328L, 784329L, 
784331L, 784332L, 784337L, 784338L, 784340L, 784341L, 784346L, 
784347L, 784349L, 784350L, 784364L, 784365L, 784367L, 784368L, 
784373L, 784374L, 784376L, 784377L, 784382L, 784383L, 784385L, 
784386L, 784391L, 784392L, 784394L, 784395L, 784400L, 784401L, 
784403L, 784404L, 784472L, 784473L, 784475L, 784476L, 784481L, 
784482L, 784484L, 784485L, 784490L, 784491L, 784493L, 784494L, 
784499L, 784500L, 784502L, 784503L, 784508L, 784509L, 784511L, 
784512L, 784526L, 784527L, 784529L, 784530L, 784535L, 784536L, 
784538L, 784539L, 784544L, 784545L, 784547L, 784548L, 784553L, 
784554L, 784556L, 784557L, 784562L, 784563L, 784565L, 784566L, 
784634L, 784635L, 784637L, 784638L, 784643L, 784644L, 784646L, 
784647L, 784652L, 784653L, 784655L, 784656L, 784661L, 784662L, 
784664L, 784665L, 784670L, 784671L, 784673L, 784674L, 784688L, 
784689L, 784691L, 784692L, 784697L, 784698L, 784700L, 784701L, 
784706L, 784707L, 784709L, 784710L, 784715L, 784716L, 784718L, 
784719L, 784724L, 784725L, 784727L, 784728L, 784796L, 784797L, 
784799L, 784800L, 784805L, 784806L, 784808L, 784809L, 784814L, 
784815L, 784817L, 784818L, 784823L, 784824L, 784826L, 784827L, 
784832L, 784833L, 784835L, 784836L, 784850L, 784851L, 784853L, 
784854L, 784859L, 784860L, 784862L, 784863L, 784868L, 784869L, 
784871L, 784872L, 784877L, 784878L, 784880L, 784881L, 784886L, 
784887L, 784889L, 784890L, 785120L, 785121L, 785123L, 785124L, 
785129L, 785130L, 785132L, 785133L, 785138L, 785139L, 785141L, 
785142L, 785147L, 785148L, 785150L, 785151L, 785156L, 785157L, 
785159L, 785160L, 785174L, 785175L, 785177L, 785178L, 785183L, 
785184L, 785186L, 785187L, 785192L, 785193L, 785195L, 785196L, 
785201L, 785202L, 785204L, 785205L, 785210L, 785211L, 785213L, 
785214L, 785282L, 785283L, 785285L, 785286L, 785291L, 785292L, 
785294L, 785295L, 785300L, 785301L, 785303L, 785304L, 785309L, 
785310L, 785312L, 785313L, 785318L, 785319L, 785321L, 785322L, 
785336L, 785337L, 785339L, 785340L, 785345L, 785346L, 785348L, 
785349L, 785354L, 785355L, 785357L, 785358L, 785363L, 785364L, 
785366L, 785367L, 785372L, 785373L, 785375L, 785376L, 785444L, 
785445L, 785447L, 785448L, 785453L, 785454L, 785456L, 785457L, 
785462L, 785463L, 785465L, 785466L, 785471L, 785472L, 785474L, 
785475L, 785480L, 785481L, 785483L, 785484L, 785498L, 785499L, 
785501L, 785502L, 785507L, 785508L, 785510L, 785511L, 785516L, 
785517L, 785519L, 785520L, 785525L, 785526L, 785528L, 785529L, 
785534L, 785535L, 785537L, 785538L, 785606L, 785607L, 785609L, 
785610L, 785615L, 785616L, 785618L, 785619L, 785624L, 785625L, 
785627L, 785628L, 785633L, 785634L, 785636L, 785637L, 785642L, 
785643L, 785645L, 785646L, 785660L, 785661L, 785663L, 785664L, 
785669L, 785670L, 785672L, 785673L, 785678L, 785679L, 785681L, 
785682L, 785687L, 785688L, 785690L, 785691L, 785696L, 785697L, 
785699L, 785700L, 785930L, 785931L, 785933L, 785934L, 785939L, 
785940L, 785942L, 785943L, 785948L, 785949L, 785951L, 785952L, 
785957L, 785958L, 785960L, 785961L, 785966L, 785967L, 785969L, 
785970L, 785984L, 785985L, 785987L, 785988L, 785993L, 785994L, 
785996L, 785997L, 786002L, 786003L, 786005L, 786006L, 786011L, 
786012L, 786014L, 786015L, 786020L, 786021L, 786023L, 786024L, 
786092L, 786093L, 786095L, 786096L, 786101L, 786102L, 786104L, 
786105L, 786110L, 786111L, 786113L, 786114L, 786119L, 786120L, 
786122L, 786123L, 786128L, 786129L, 786131L, 786132L, 786146L, 
786147L, 786149L, 786150L, 786155L, 786156L, 786158L, 786159L, 
786164L, 786165L, 786167L, 786168L, 786173L, 786174L, 786176L, 
786177L, 786182L, 786183L, 786185L, 786186L, 786254L, 786255L, 
786257L, 786258L, 786263L, 786264L, 786266L, 786267L, 786272L, 
786273L, 786275L, 786276L, 786281L, 786282L, 786284L, 786285L, 
786290L, 786291L, 786293L, 786294L, 786308L, 786309L, 786311L, 
786312L, 786317L, 786318L, 786320L, 786321L, 786326L, 786327L, 
786329L, 786330L, 786335L, 786336L, 786338L, 786339L, 786344L, 
786345L, 786347L, 786348L, 786416L, 786417L, 786419L, 786420L, 
786425L, 786426L, 786428L, 786429L, 786434L, 786435L, 786437L, 
786438L, 786443L, 786444L, 786446L, 786447L, 786452L, 786453L, 
786455L, 786456L, 786470L, 786471L, 786473L, 786474L, 786479L, 
786480L, 786482L, 786483L, 786488L, 786489L, 786491L, 786492L, 
786497L, 786498L, 786500L, 786501L, 786506L, 786507L, 786509L, 
786510L, 786740L, 786741L, 786743L, 786744L, 786749L, 786750L, 
786752L, 786753L, 786758L, 786759L, 786761L, 786762L, 786767L, 
786768L, 786770L, 786771L, 786776L, 786777L, 786779L, 786780L, 
786794L, 786795L, 786797L, 786798L, 786803L, 786804L, 786806L, 
786807L, 786812L, 786813L, 786815L, 786816L, 786821L, 786822L, 
786824L, 786825L, 786830L, 786831L, 786833L, 786834L, 786902L, 
786903L, 786905L, 786906L, 786911L, 786912L, 786914L, 786915L, 
786920L, 786921L, 786923L, 786924L, 786929L, 786930L, 786932L, 
786933L, 786938L, 786939L, 786941L, 786942L, 786956L, 786957L, 
786959L, 786960L, 786965L, 786966L, 786968L, 786969L, 786974L, 
786975L, 786977L, 786978L, 786983L, 786984L, 786986L, 786987L, 
786992L, 786993L, 786995L, 786996L, 787064L, 787065L, 787067L, 
787068L, 787073L, 787074L, 787076L, 787077L, 787082L, 787083L, 
787085L, 787086L, 787091L, 787092L, 787094L, 787095L, 787100L, 
787101L, 787103L, 787104L, 787118L, 787119L, 787121L, 787122L, 
787127L, 787128L, 787130L, 787131L, 787136L, 787137L, 787139L, 
787140L, 787145L, 787146L, 787148L, 787149L, 787154L, 787155L, 
787157L, 787158L, 787226L, 787227L, 787229L, 787230L, 787235L, 
787236L, 787238L, 787239L, 787244L, 787245L, 787247L, 787248L, 
787253L, 787254L, 787256L, 787257L, 787262L, 787263L, 787265L, 
787266L, 787280L, 787281L, 787283L, 787284L, 787289L, 787290L, 
787292L, 787293L, 787298L, 787299L, 787301L, 787302L, 787307L, 
787308L, 787310L, 787311L, 787316L, 787317L, 787319L, 787320L, 
788360L, 788361L, 788363L, 788364L, 788369L, 788370L, 788372L, 
788373L, 788378L, 788379L, 788381L, 788382L, 788387L, 788388L, 
788390L, 788391L, 788396L, 788397L, 788399L, 788400L, 788414L, 
788415L, 788417L, 788418L, 788423L, 788424L, 788426L, 788427L, 
788432L, 788433L, 788435L, 788436L, 788441L, 788442L, 788444L, 
788445L, 788450L, 788451L, 788453L, 788454L, 788522L, 788523L, 
788525L, 788526L, 788531L, 788532L, 788534L, 788535L, 788540L, 
788541L, 788543L, 788544L, 788549L, 788550L, 788552L, 788553L, 
788558L, 788559L, 788561L, 788562L, 788576L, 788577L, 788579L, 
788580L, 788585L, 788586L, 788588L, 788589L, 788594L, 788595L, 
788597L, 788598L, 788603L, 788604L, 788606L, 788607L, 788612L, 
788613L, 788615L, 788616L, 788684L, 788685L, 788687L, 788688L, 
788693L, 788694L, 788696L, 788697L, 788702L, 788703L, 788705L, 
788706L, 788711L, 788712L, 788714L, 788715L, 788720L, 788721L, 
788723L, 788724L, 788738L, 788739L, 788741L, 788742L, 788747L, 
788748L, 788750L, 788751L, 788756L, 788757L, 788759L, 788760L, 
788765L, 788766L, 788768L, 788769L, 788774L, 788775L, 788777L, 
788778L, 788846L, 788847L, 788849L, 788850L, 788855L, 788856L, 
788858L, 788859L, 788864L, 788865L, 788867L, 788868L, 788873L, 
788874L, 788876L, 788877L, 788882L, 788883L, 788885L, 788886L, 
788900L, 788901L, 788903L, 788904L, 788909L, 788910L, 788912L, 
788913L, 788918L, 788919L, 788921L, 788922L, 788927L, 788928L, 
788930L, 788931L, 788936L, 788937L, 788939L, 788940L, 789170L, 
789171L, 789173L, 789174L, 789179L, 789180L, 789182L, 789183L, 
789188L, 789189L, 789191L, 789192L, 789197L, 789198L, 789200L, 
789201L, 789206L, 789207L, 789209L, 789210L, 789224L, 789225L, 
789227L, 789228L, 789233L, 789234L, 789236L, 789237L, 789242L, 
789243L, 789245L, 789246L, 789251L, 789252L, 789254L, 789255L, 
789260L, 789261L, 789263L, 789264L, 789332L, 789333L, 789335L, 
789336L, 789341L, 789342L, 789344L, 789345L, 789350L, 789351L, 
789353L, 789354L, 789359L, 789360L, 789362L, 789363L, 789368L, 
789369L, 789371L, 789372L, 789386L, 789387L, 789389L, 789390L, 
789395L, 789396L, 789398L, 789399L, 789404L, 789405L, 789407L, 
789408L, 789413L, 789414L, 789416L, 789417L, 789422L, 789423L, 
789425L, 789426L, 789494L, 789495L, 789497L, 789498L, 789503L, 
789504L, 789506L, 789507L, 789512L, 789513L, 789515L, 789516L, 
789521L, 789522L, 789524L, 789525L, 789530L, 789531L, 789533L, 
789534L, 789548L, 789549L, 789551L, 789552L, 789557L, 789558L, 
789560L, 789561L, 789566L, 789567L, 789569L, 789570L, 789575L, 
789576L, 789578L, 789579L, 789584L, 789585L, 789587L, 789588L, 
789656L, 789657L, 789659L, 789660L, 789665L, 789666L, 789668L, 
789669L, 789674L, 789675L, 789677L, 789678L, 789683L, 789684L, 
789686L, 789687L, 789692L, 789693L, 789695L, 789696L, 789710L, 
789711L, 789713L, 789714L, 789719L, 789720L, 789722L, 789723L, 
789728L, 789729L, 789731L, 789732L, 789737L, 789738L, 789740L, 
789741L, 789746L, 789747L, 789749L, 789750L, 789980L, 789981L, 
789983L, 789984L, 789989L, 789990L, 789992L, 789993L, 789998L, 
789999L, 790001L, 790002L, 790007L, 790008L, 790010L, 790011L, 
790016L, 790017L, 790019L, 790020L, 790034L, 790035L, 790037L, 
790038L, 790043L, 790044L, 790046L, 790047L, 790052L, 790053L, 
790055L, 790056L, 790061L, 790062L, 790064L, 790065L, 790070L, 
790071L, 790073L, 790074L, 790142L, 790143L, 790145L, 790146L, 
790151L, 790152L, 790154L, 790155L, 790160L, 790161L, 790163L, 
790164L, 790169L, 790170L, 790172L, 790173L, 790178L, 790179L, 
790181L, 790182L, 790196L, 790197L, 790199L, 790200L, 790205L, 
790206L, 790208L, 790209L, 790214L, 790215L, 790217L, 790218L, 
790223L, 790224L, 790226L, 790227L, 790232L, 790233L, 790235L, 
790236L, 790304L, 790305L, 790307L, 790308L, 790313L, 790314L, 
790316L, 790317L, 790322L, 790323L, 790325L, 790326L, 790331L, 
790332L, 790334L, 790335L, 790340L, 790341L, 790343L, 790344L, 
790358L, 790359L, 790361L, 790362L, 790367L, 790368L, 790370L, 
790371L, 790376L, 790377L, 790379L, 790380L, 790385L, 790386L, 
790388L, 790389L, 790394L, 790395L, 790397L, 790398L, 790466L, 
790467L, 790469L, 790470L, 790475L, 790476L, 790478L, 790479L, 
790484L, 790485L, 790487L, 790488L, 790493L, 790494L, 790496L, 
790497L, 790502L, 790503L, 790505L, 790506L, 790520L, 790521L, 
790523L, 790524L, 790529L, 790530L, 790532L, 790533L, 790538L, 
790539L, 790541L, 790542L, 790547L, 790548L, 790550L, 790551L, 
790556L, 790557L, 790559L, 790560L, 790790L, 790791L, 790793L, 
790794L, 790799L, 790800L, 790802L, 790803L, 790808L, 790809L, 
790811L, 790812L, 790817L, 790818L, 790820L, 790821L, 790826L, 
790827L, 790829L, 790830L, 790844L, 790845L, 790847L, 790848L, 
790853L, 790854L, 790856L, 790857L, 790862L, 790863L, 790865L, 
790866L, 790871L, 790872L, 790874L, 790875L, 790880L, 790881L, 
790883L, 790884L, 790952L, 790953L, 790955L, 790956L, 790961L, 
790962L, 790964L, 790965L, 790970L, 790971L, 790973L, 790974L, 
790979L, 790980L, 790982L, 790983L, 790988L, 790989L, 790991L, 
790992L, 791006L, 791007L, 791009L, 791010L, 791015L, 791016L, 
791018L, 791019L, 791024L, 791025L, 791027L, 791028L, 791033L, 
791034L, 791036L, 791037L, 791042L, 791043L, 791045L, 791046L, 
791114L, 791115L, 791117L, 791118L, 791123L, 791124L, 791126L, 
791127L, 791132L, 791133L, 791135L, 791136L, 791141L, 791142L, 
791144L, 791145L, 791150L, 791151L, 791153L, 791154L, 791168L, 
791169L, 791171L, 791172L, 791177L, 791178L, 791180L, 791181L, 
791186L, 791187L, 791189L, 791190L, 791195L, 791196L, 791198L, 
791199L, 791204L, 791205L, 791207L, 791208L, 791276L, 791277L, 
791279L, 791280L, 791285L, 791286L, 791288L, 791289L, 791294L, 
791295L, 791297L, 791298L, 791303L, 791304L, 791306L, 791307L, 
791312L, 791313L, 791315L, 791316L, 791330L, 791331L, 791333L, 
791334L, 791339L, 791340L, 791342L, 791343L, 791348L, 791349L, 
791351L, 791352L, 791357L, 791358L, 791360L, 791361L, 791366L, 
791367L, 791369L, 791370L, 791600L, 791601L, 791603L, 791604L, 
791609L, 791610L, 791612L, 791613L, 791618L, 791619L, 791621L, 
791622L, 791627L, 791628L, 791630L, 791631L, 791636L, 791637L, 
791639L, 791640L, 791654L, 791655L, 791657L, 791658L, 791663L, 
791664L, 791666L, 791667L, 791672L, 791673L, 791675L, 791676L, 
791681L, 791682L, 791684L, 791685L, 791690L, 791691L, 791693L, 
791694L, 791762L, 791763L, 791765L, 791766L, 791771L, 791772L, 
791774L, 791775L, 791780L, 791781L, 791783L, 791784L, 791789L, 
791790L, 791792L, 791793L, 791798L, 791799L, 791801L, 791802L, 
791816L, 791817L, 791819L, 791820L, 791825L, 791826L, 791828L, 
791829L, 791834L, 791835L, 791837L, 791838L, 791843L, 791844L, 
791846L, 791847L, 791852L, 791853L, 791855L, 791856L, 791924L, 
791925L, 791927L, 791928L, 791933L, 791934L, 791936L, 791937L, 
791942L, 791943L, 791945L, 791946L, 791951L, 791952L, 791954L, 
791955L, 791960L, 791961L, 791963L, 791964L, 791978L, 791979L, 
791981L, 791982L, 791987L, 791988L, 791990L, 791991L, 791996L, 
791997L, 791999L, 792000L, 792005L, 792006L, 792008L, 792009L, 
792014L, 792015L, 792017L, 792018L, 792086L, 792087L, 792089L, 
792090L, 792095L, 792096L, 792098L, 792099L, 792104L, 792105L, 
792107L, 792108L, 792113L, 792114L, 792116L, 792117L, 792122L, 
792123L, 792125L, 792126L, 792140L, 792141L, 792143L, 792144L, 
792149L, 792150L, 792152L, 792153L, 792158L, 792159L, 792161L, 
792162L, 792167L, 792168L, 792170L, 792171L, 792176L, 792177L, 
792179L, 792180L, 793220L, 793221L, 793223L, 793224L, 793229L, 
793230L, 793232L, 793233L, 793238L, 793239L, 793241L, 793242L, 
793247L, 793248L, 793250L, 793251L, 793256L, 793257L, 793259L, 
793260L, 793274L, 793275L, 793277L, 793278L, 793283L, 793284L, 
793286L, 793287L, 793292L, 793293L, 793295L, 793296L, 793301L, 
793302L, 793304L, 793305L, 793310L, 793311L, 793313L, 793314L, 
793382L, 793383L, 793385L, 793386L, 793391L, 793392L, 793394L, 
793395L, 793400L, 793401L, 793403L, 793404L, 793409L, 793410L, 
793412L, 793413L, 793418L, 793419L, 793421L, 793422L, 793436L, 
793437L, 793439L, 793440L, 793445L, 793446L, 793448L, 793449L, 
793454L, 793455L, 793457L, 793458L, 793463L, 793464L, 793466L, 
793467L, 793472L, 793473L, 793475L, 793476L, 793544L, 793545L, 
793547L, 793548L, 793553L, 793554L, 793556L, 793557L, 793562L, 
793563L, 793565L, 793566L, 793571L, 793572L, 793574L, 793575L, 
793580L, 793581L, 793583L, 793584L, 793598L, 793599L, 793601L, 
793602L, 793607L, 793608L, 793610L, 793611L, 793616L, 793617L, 
793619L, 793620L, 793625L, 793626L, 793628L, 793629L, 793634L, 
793635L, 793637L, 793638L, 793706L, 793707L, 793709L, 793710L, 
793715L, 793716L, 793718L, 793719L, 793724L, 793725L, 793727L, 
793728L, 793733L, 793734L, 793736L, 793737L, 793742L, 793743L, 
793745L, 793746L, 793760L, 793761L, 793763L, 793764L, 793769L, 
793770L, 793772L, 793773L, 793778L, 793779L, 793781L, 793782L, 
793787L, 793788L, 793790L, 793791L, 793796L, 793797L, 793799L, 
793800L, 794030L, 794031L, 794033L, 794034L, 794039L, 794040L, 
794042L, 794043L, 794048L, 794049L, 794051L, 794052L, 794057L, 
794058L, 794060L, 794061L, 794066L, 794067L, 794069L, 794070L, 
794084L, 794085L, 794087L, 794088L, 794093L, 794094L, 794096L, 
794097L, 794102L, 794103L, 794105L, 794106L, 794111L, 794112L, 
794114L, 794115L, 794120L, 794121L, 794123L, 794124L, 794192L, 
794193L, 794195L, 794196L, 794201L, 794202L, 794204L, 794205L, 
794210L, 794211L, 794213L, 794214L, 794219L, 794220L, 794222L, 
794223L, 794228L, 794229L, 794231L, 794232L, 794246L, 794247L, 
794249L, 794250L, 794255L, 794256L, 794258L, 794259L, 794264L, 
794265L, 794267L, 794268L, 794273L, 794274L, 794276L, 794277L, 
794282L, 794283L, 794285L, 794286L, 794354L, 794355L, 794357L, 
794358L, 794363L, 794364L, 794366L, 794367L, 794372L, 794373L, 
794375L, 794376L, 794381L, 794382L, 794384L, 794385L, 794390L, 
794391L, 794393L, 794394L, 794408L, 794409L, 794411L, 794412L, 
794417L, 794418L, 794420L, 794421L, 794426L, 794427L, 794429L, 
794430L, 794435L, 794436L, 794438L, 794439L, 794444L, 794445L, 
794447L, 794448L, 794516L, 794517L, 794519L, 794520L, 794525L, 
794526L, 794528L, 794529L, 794534L, 794535L, 794537L, 794538L, 
794543L, 794544L, 794546L, 794547L, 794552L, 794553L, 794555L, 
794556L, 794570L, 794571L, 794573L, 794574L, 794579L, 794580L, 
794582L, 794583L, 794588L, 794589L, 794591L, 794592L, 794597L, 
794598L, 794600L, 794601L, 794606L, 794607L, 794609L, 794610L, 
794840L, 794841L, 794843L, 794844L, 794849L, 794850L, 794852L, 
794853L, 794858L, 794859L, 794861L, 794862L, 794867L, 794868L, 
794870L, 794871L, 794876L, 794877L, 794879L, 794880L, 794894L, 
794895L, 794897L, 794898L, 794903L, 794904L, 794906L, 794907L, 
794912L, 794913L, 794915L, 794916L, 794921L, 794922L, 794924L, 
794925L, 794930L, 794931L, 794933L, 794934L, 795002L, 795003L, 
795005L, 795006L, 795011L, 795012L, 795014L, 795015L, 795020L, 
795021L, 795023L, 795024L, 795029L, 795030L, 795032L, 795033L, 
795038L, 795039L, 795041L, 795042L, 795056L, 795057L, 795059L, 
795060L, 795065L, 795066L, 795068L, 795069L, 795074L, 795075L, 
795077L, 795078L, 795083L, 795084L, 795086L, 795087L, 795092L, 
795093L, 795095L, 795096L, 795164L, 795165L, 795167L, 795168L, 
795173L, 795174L, 795176L, 795177L, 795182L, 795183L, 795185L, 
795186L, 795191L, 795192L, 795194L, 795195L, 795200L, 795201L, 
795203L, 795204L, 795218L, 795219L, 795221L, 795222L, 795227L, 
795228L, 795230L, 795231L, 795236L, 795237L, 795239L, 795240L, 
795245L, 795246L, 795248L, 795249L, 795254L, 795255L, 795257L, 
795258L, 795326L, 795327L, 795329L, 795330L, 795335L, 795336L, 
795338L, 795339L, 795344L, 795345L, 795347L, 795348L, 795353L, 
795354L, 795356L, 795357L, 795362L, 795363L, 795365L, 795366L, 
795380L, 795381L, 795383L, 795384L, 795389L, 795390L, 795392L, 
795393L, 795398L, 795399L, 795401L, 795402L, 795407L, 795408L, 
795410L, 795411L, 795416L, 795417L, 795419L, 795420L, 795650L, 
795651L, 795653L, 795654L, 795659L, 795660L, 795662L, 795663L, 
795668L, 795669L, 795671L, 795672L, 795677L, 795678L, 795680L, 
795681L, 795686L, 795687L, 795689L, 795690L, 795704L, 795705L, 
795707L, 795708L, 795713L, 795714L, 795716L, 795717L, 795722L, 
795723L, 795725L, 795726L, 795731L, 795732L, 795734L, 795735L, 
795740L, 795741L, 795743L, 795744L, 795812L, 795813L, 795815L, 
795816L, 795821L, 795822L, 795824L, 795825L, 795830L, 795831L, 
795833L, 795834L, 795839L, 795840L, 795842L, 795843L, 795848L, 
795849L, 795851L, 795852L, 795866L, 795867L, 795869L, 795870L, 
795875L, 795876L, 795878L, 795879L, 795884L, 795885L, 795887L, 
795888L, 795893L, 795894L, 795896L, 795897L, 795902L, 795903L, 
795905L, 795906L, 795974L, 795975L, 795977L, 795978L, 795983L, 
795984L, 795986L, 795987L, 795992L, 795993L, 795995L, 795996L, 
796001L, 796002L, 796004L, 796005L, 796010L, 796011L, 796013L, 
796014L, 796028L, 796029L, 796031L, 796032L, 796037L, 796038L, 
796040L, 796041L, 796046L, 796047L, 796049L, 796050L, 796055L, 
796056L, 796058L, 796059L, 796064L, 796065L, 796067L, 796068L, 
796136L, 796137L, 796139L, 796140L, 796145L, 796146L, 796148L, 
796149L, 796154L, 796155L, 796157L, 796158L, 796163L, 796164L, 
796166L, 796167L, 796172L, 796173L, 796175L, 796176L, 796190L, 
796191L, 796193L, 796194L, 796199L, 796200L, 796202L, 796203L, 
796208L, 796209L, 796211L, 796212L, 796217L, 796218L, 796220L, 
796221L, 796226L, 796227L, 796229L, 796230L, 796460L, 796461L, 
796463L, 796464L, 796469L, 796470L, 796472L, 796473L, 796478L, 
796479L, 796481L, 796482L, 796487L, 796488L, 796490L, 796491L, 
796496L, 796497L, 796499L, 796500L, 796514L, 796515L, 796517L, 
796518L, 796523L, 796524L, 796526L, 796527L, 796532L, 796533L, 
796535L, 796536L, 796541L, 796542L, 796544L, 796545L, 796550L, 
796551L, 796553L, 796554L, 796622L, 796623L, 796625L, 796626L, 
796631L, 796632L, 796634L, 796635L, 796640L, 796641L, 796643L, 
796644L, 796649L, 796650L, 796652L, 796653L, 796658L, 796659L, 
796661L, 796662L, 796676L, 796677L, 796679L, 796680L, 796685L, 
796686L, 796688L, 796689L, 796694L, 796695L, 796697L, 796698L, 
796703L, 796704L, 796706L, 796707L, 796712L, 796713L, 796715L, 
796716L, 796784L, 796785L, 796787L, 796788L, 796793L, 796794L, 
796796L, 796797L, 796802L, 796803L, 796805L, 796806L, 796811L, 
796812L, 796814L, 796815L, 796820L, 796821L, 796823L, 796824L, 
796838L, 796839L, 796841L, 796842L, 796847L, 796848L, 796850L, 
796851L, 796856L, 796857L, 796859L, 796860L, 796865L, 796866L, 
796868L, 796869L, 796874L, 796875L, 796877L, 796878L, 796946L, 
796947L, 796949L, 796950L, 796955L, 796956L, 796958L, 796959L, 
796964L, 796965L, 796967L, 796968L, 796973L, 796974L, 796976L, 
796977L, 796982L, 796983L, 796985L, 796986L, 797000L, 797001L, 
797003L, 797004L, 797009L, 797010L, 797012L, 797013L, 797018L, 
797019L, 797021L, 797022L, 797027L, 797028L, 797030L, 797031L, 
797036L, 797037L, 797039L, 797040L, 807800L, 807801L, 807803L, 
807804L, 807809L, 807810L, 807812L, 807813L, 807818L, 807819L, 
807821L, 807822L, 807827L, 807828L, 807830L, 807831L, 807836L, 
807837L, 807839L, 807840L, 807854L, 807855L, 807857L, 807858L, 
807863L, 807864L, 807866L, 807867L, 807872L, 807873L, 807875L, 
807876L, 807881L, 807882L, 807884L, 807885L, 807890L, 807891L, 
807893L, 807894L, 807962L, 807963L, 807965L, 807966L, 807971L, 
807972L, 807974L, 807975L, 807980L, 807981L, 807983L, 807984L, 
807989L, 807990L, 807992L, 807993L, 807998L, 807999L, 808001L, 
808002L, 808016L, 808017L, 808019L, 808020L, 808025L, 808026L, 
808028L, 808029L, 808034L, 808035L, 808037L, 808038L, 808043L, 
808044L, 808046L, 808047L, 808052L, 808053L, 808055L, 808056L, 
808124L, 808125L, 808127L, 808128L, 808133L, 808134L, 808136L, 
808137L, 808142L, 808143L, 808145L, 808146L, 808151L, 808152L, 
808154L, 808155L, 808160L, 808161L, 808163L, 808164L, 808178L, 
808179L, 808181L, 808182L, 808187L, 808188L, 808190L, 808191L, 
808196L, 808197L, 808199L, 808200L, 808205L, 808206L, 808208L, 
808209L, 808214L, 808215L, 808217L, 808218L, 808286L, 808287L, 
808289L, 808290L, 808295L, 808296L, 808298L, 808299L, 808304L, 
808305L, 808307L, 808308L, 808313L, 808314L, 808316L, 808317L, 
808322L, 808323L, 808325L, 808326L, 808340L, 808341L, 808343L, 
808344L, 808349L, 808350L, 808352L, 808353L, 808358L, 808359L, 
808361L, 808362L, 808367L, 808368L, 808370L, 808371L, 808376L, 
808377L, 808379L, 808380L, 808610L, 808611L, 808613L, 808614L, 
808619L, 808620L, 808622L, 808623L, 808628L, 808629L, 808631L, 
808632L, 808637L, 808638L, 808640L, 808641L, 808646L, 808647L, 
808649L, 808650L, 808664L, 808665L, 808667L, 808668L, 808673L, 
808674L, 808676L, 808677L, 808682L, 808683L, 808685L, 808686L, 
808691L, 808692L, 808694L, 808695L, 808700L, 808701L, 808703L, 
808704L, 808772L, 808773L, 808775L, 808776L, 808781L, 808782L, 
808784L, 808785L, 808790L, 808791L, 808793L, 808794L, 808799L, 
808800L, 808802L, 808803L, 808808L, 808809L, 808811L, 808812L, 
808826L, 808827L, 808829L, 808830L, 808835L, 808836L, 808838L, 
808839L, 808844L, 808845L, 808847L, 808848L, 808853L, 808854L, 
808856L, 808857L, 808862L, 808863L, 808865L, 808866L, 808934L, 
808935L, 808937L, 808938L, 808943L, 808944L, 808946L, 808947L, 
808952L, 808953L, 808955L, 808956L, 808961L, 808962L, 808964L, 
808965L, 808970L, 808971L, 808973L, 808974L, 808988L, 808989L, 
808991L, 808992L, 808997L, 808998L, 809000L, 809001L, 809006L, 
809007L, 809009L, 809010L, 809015L, 809016L, 809018L, 809019L, 
809024L, 809025L, 809027L, 809028L, 809096L, 809097L, 809099L, 
809100L, 809105L, 809106L, 809108L, 809109L, 809114L, 809115L, 
809117L, 809118L, 809123L, 809124L, 809126L, 809127L, 809132L, 
809133L, 809135L, 809136L, 809150L, 809151L, 809153L, 809154L, 
809159L, 809160L, 809162L, 809163L, 809168L, 809169L, 809171L, 
809172L, 809177L, 809178L, 809180L, 809181L, 809186L, 809187L, 
809189L, 809190L, 809420L, 809421L, 809423L, 809424L, 809429L, 
809430L, 809432L, 809433L, 809438L, 809439L, 809441L, 809442L, 
809447L, 809448L, 809450L, 809451L, 809456L, 809457L, 809459L, 
809460L, 809474L, 809475L, 809477L, 809478L, 809483L, 809484L, 
809486L, 809487L, 809492L, 809493L, 809495L, 809496L, 809501L, 
809502L, 809504L, 809505L, 809510L, 809511L, 809513L, 809514L, 
809582L, 809583L, 809585L, 809586L, 809591L, 809592L, 809594L, 
809595L, 809600L, 809601L, 809603L, 809604L, 809609L, 809610L, 
809612L, 809613L, 809618L, 809619L, 809621L, 809622L, 809636L, 
809637L, 809639L, 809640L, 809645L, 809646L, 809648L, 809649L, 
809654L, 809655L, 809657L, 809658L, 809663L, 809664L, 809666L, 
809667L, 809672L, 809673L, 809675L, 809676L, 809744L, 809745L, 
809747L, 809748L, 809753L, 809754L, 809756L, 809757L, 809762L, 
809763L, 809765L, 809766L, 809771L, 809772L, 809774L, 809775L, 
809780L, 809781L, 809783L, 809784L, 809798L, 809799L, 809801L, 
809802L, 809807L, 809808L, 809810L, 809811L, 809816L, 809817L, 
809819L, 809820L, 809825L, 809826L, 809828L, 809829L, 809834L, 
809835L, 809837L, 809838L, 809906L, 809907L, 809909L, 809910L, 
809915L, 809916L, 809918L, 809919L, 809924L, 809925L, 809927L, 
809928L, 809933L, 809934L, 809936L, 809937L, 809942L, 809943L, 
809945L, 809946L, 809960L, 809961L, 809963L, 809964L, 809969L, 
809970L, 809972L, 809973L, 809978L, 809979L, 809981L, 809982L, 
809987L, 809988L, 809990L, 809991L, 809996L, 809997L, 809999L, 
810000L, 810230L, 810231L, 810233L, 810234L, 810239L, 810240L, 
810242L, 810243L, 810248L, 810249L, 810251L, 810252L, 810257L, 
810258L, 810260L, 810261L, 810266L, 810267L, 810269L, 810270L, 
810284L, 810285L, 810287L, 810288L, 810293L, 810294L, 810296L, 
810297L, 810302L, 810303L, 810305L, 810306L, 810311L, 810312L, 
810314L, 810315L, 810320L, 810321L, 810323L, 810324L, 810392L, 
810393L, 810395L, 810396L, 810401L, 810402L, 810404L, 810405L, 
810410L, 810411L, 810413L, 810414L, 810419L, 810420L, 810422L, 
810423L, 810428L, 810429L, 810431L, 810432L, 810446L, 810447L, 
810449L, 810450L, 810455L, 810456L, 810458L, 810459L, 810464L, 
810465L, 810467L, 810468L, 810473L, 810474L, 810476L, 810477L, 
810482L, 810483L, 810485L, 810486L, 810554L, 810555L, 810557L, 
810558L, 810563L, 810564L, 810566L, 810567L, 810572L, 810573L, 
810575L, 810576L, 810581L, 810582L, 810584L, 810585L, 810590L, 
810591L, 810593L, 810594L, 810608L, 810609L, 810611L, 810612L, 
810617L, 810618L, 810620L, 810621L, 810626L, 810627L, 810629L, 
810630L, 810635L, 810636L, 810638L, 810639L, 810644L, 810645L, 
810647L, 810648L, 810716L, 810717L, 810719L, 810720L, 810725L, 
810726L, 810728L, 810729L, 810734L, 810735L, 810737L, 810738L, 
810743L, 810744L, 810746L, 810747L, 810752L, 810753L, 810755L, 
810756L, 810770L, 810771L, 810773L, 810774L, 810779L, 810780L, 
810782L, 810783L, 810788L, 810789L, 810791L, 810792L, 810797L, 
810798L, 810800L, 810801L, 810806L, 810807L, 810809L, 810810L, 
811040L, 811041L, 811043L, 811044L, 811049L, 811050L, 811052L, 
811053L, 811058L, 811059L, 811061L, 811062L, 811067L, 811068L, 
811070L, 811071L, 811076L, 811077L, 811079L, 811080L, 811094L, 
811095L, 811097L, 811098L, 811103L, 811104L, 811106L, 811107L, 
811112L, 811113L, 811115L, 811116L, 811121L, 811122L, 811124L, 
811125L, 811130L, 811131L, 811133L, 811134L, 811202L, 811203L, 
811205L, 811206L, 811211L, 811212L, 811214L, 811215L, 811220L, 
811221L, 811223L, 811224L, 811229L, 811230L, 811232L, 811233L, 
811238L, 811239L, 811241L, 811242L, 811256L, 811257L, 811259L, 
811260L, 811265L, 811266L, 811268L, 811269L, 811274L, 811275L, 
811277L, 811278L, 811283L, 811284L, 811286L, 811287L, 811292L, 
811293L, 811295L, 811296L, 811364L, 811365L, 811367L, 811368L, 
811373L, 811374L, 811376L, 811377L, 811382L, 811383L, 811385L, 
811386L, 811391L, 811392L, 811394L, 811395L, 811400L, 811401L, 
811403L, 811404L, 811418L, 811419L, 811421L, 811422L, 811427L, 
811428L, 811430L, 811431L, 811436L, 811437L, 811439L, 811440L, 
811445L, 811446L, 811448L, 811449L, 811454L, 811455L, 811457L, 
811458L, 811526L, 811527L, 811529L, 811530L, 811535L, 811536L, 
811538L, 811539L, 811544L, 811545L, 811547L, 811548L, 811553L, 
811554L, 811556L, 811557L, 811562L, 811563L, 811565L, 811566L, 
811580L, 811581L, 811583L, 811584L, 811589L, 811590L, 811592L, 
811593L, 811598L, 811599L, 811601L, 811602L, 811607L, 811608L, 
811610L, 811611L, 811616L, 811617L, 811619L, 811620L, 812660L, 
812661L, 812663L, 812664L, 812669L, 812670L, 812672L, 812673L, 
812678L, 812679L, 812681L, 812682L, 812687L, 812688L, 812690L, 
812691L, 812696L, 812697L, 812699L, 812700L, 812714L, 812715L, 
812717L, 812718L, 812723L, 812724L, 812726L, 812727L, 812732L, 
812733L, 812735L, 812736L, 812741L, 812742L, 812744L, 812745L, 
812750L, 812751L, 812753L, 812754L, 812822L, 812823L, 812825L, 
812826L, 812831L, 812832L, 812834L, 812835L, 812840L, 812841L, 
812843L, 812844L, 812849L, 812850L, 812852L, 812853L, 812858L, 
812859L, 812861L, 812862L, 812876L, 812877L, 812879L, 812880L, 
812885L, 812886L, 812888L, 812889L, 812894L, 812895L, 812897L, 
812898L, 812903L, 812904L, 812906L, 812907L, 812912L, 812913L, 
812915L, 812916L, 812984L, 812985L, 812987L, 812988L, 812993L, 
812994L, 812996L, 812997L, 813002L, 813003L, 813005L, 813006L, 
813011L, 813012L, 813014L, 813015L, 813020L, 813021L, 813023L, 
813024L, 813038L, 813039L, 813041L, 813042L, 813047L, 813048L, 
813050L, 813051L, 813056L, 813057L, 813059L, 813060L, 813065L, 
813066L, 813068L, 813069L, 813074L, 813075L, 813077L, 813078L, 
813146L, 813147L, 813149L, 813150L, 813155L, 813156L, 813158L, 
813159L, 813164L, 813165L, 813167L, 813168L, 813173L, 813174L, 
813176L, 813177L, 813182L, 813183L, 813185L, 813186L, 813200L, 
813201L, 813203L, 813204L, 813209L, 813210L, 813212L, 813213L, 
813218L, 813219L, 813221L, 813222L, 813227L, 813228L, 813230L, 
813231L, 813236L, 813237L, 813239L, 813240L, 813470L, 813471L, 
813473L, 813474L, 813479L, 813480L, 813482L, 813483L, 813488L, 
813489L, 813491L, 813492L, 813497L, 813498L, 813500L, 813501L, 
813506L, 813507L, 813509L, 813510L, 813524L, 813525L, 813527L, 
813528L, 813533L, 813534L, 813536L, 813537L, 813542L, 813543L, 
813545L, 813546L, 813551L, 813552L, 813554L, 813555L, 813560L, 
813561L, 813563L, 813564L, 813632L, 813633L, 813635L, 813636L, 
813641L, 813642L, 813644L, 813645L, 813650L, 813651L, 813653L, 
813654L, 813659L, 813660L, 813662L, 813663L, 813668L, 813669L, 
813671L, 813672L, 813686L, 813687L, 813689L, 813690L, 813695L, 
813696L, 813698L, 813699L, 813704L, 813705L, 813707L, 813708L, 
813713L, 813714L, 813716L, 813717L, 813722L, 813723L, 813725L, 
813726L, 813794L, 813795L, 813797L, 813798L, 813803L, 813804L, 
813806L, 813807L, 813812L, 813813L, 813815L, 813816L, 813821L, 
813822L, 813824L, 813825L, 813830L, 813831L, 813833L, 813834L, 
813848L, 813849L, 813851L, 813852L, 813857L, 813858L, 813860L, 
813861L, 813866L, 813867L, 813869L, 813870L, 813875L, 813876L, 
813878L, 813879L, 813884L, 813885L, 813887L, 813888L, 813956L, 
813957L, 813959L, 813960L, 813965L, 813966L, 813968L, 813969L, 
813974L, 813975L, 813977L, 813978L, 813983L, 813984L, 813986L, 
813987L, 813992L, 813993L, 813995L, 813996L, 814010L, 814011L, 
814013L, 814014L, 814019L, 814020L, 814022L, 814023L, 814028L, 
814029L, 814031L, 814032L, 814037L, 814038L, 814040L, 814041L, 
814046L, 814047L, 814049L, 814050L, 814280L, 814281L, 814283L, 
814284L, 814289L, 814290L, 814292L, 814293L, 814298L, 814299L, 
814301L, 814302L, 814307L, 814308L, 814310L, 814311L, 814316L, 
814317L, 814319L, 814320L, 814334L, 814335L, 814337L, 814338L, 
814343L, 814344L, 814346L, 814347L, 814352L, 814353L, 814355L, 
814356L, 814361L, 814362L, 814364L, 814365L, 814370L, 814371L, 
814373L, 814374L, 814442L, 814443L, 814445L, 814446L, 814451L, 
814452L, 814454L, 814455L, 814460L, 814461L, 814463L, 814464L, 
814469L, 814470L, 814472L, 814473L, 814478L, 814479L, 814481L, 
814482L, 814496L, 814497L, 814499L, 814500L, 814505L, 814506L, 
814508L, 814509L, 814514L, 814515L, 814517L, 814518L, 814523L, 
814524L, 814526L, 814527L, 814532L, 814533L, 814535L, 814536L, 
814604L, 814605L, 814607L, 814608L, 814613L, 814614L, 814616L, 
814617L, 814622L, 814623L, 814625L, 814626L, 814631L, 814632L, 
814634L, 814635L, 814640L, 814641L, 814643L, 814644L, 814658L, 
814659L, 814661L, 814662L, 814667L, 814668L, 814670L, 814671L, 
814676L, 814677L, 814679L, 814680L, 814685L, 814686L, 814688L, 
814689L, 814694L, 814695L, 814697L, 814698L, 814766L, 814767L, 
814769L, 814770L, 814775L, 814776L, 814778L, 814779L, 814784L, 
814785L, 814787L, 814788L, 814793L, 814794L, 814796L, 814797L, 
814802L, 814803L, 814805L, 814806L, 814820L, 814821L, 814823L, 
814824L, 814829L, 814830L, 814832L, 814833L, 814838L, 814839L, 
814841L, 814842L, 814847L, 814848L, 814850L, 814851L, 814856L, 
814857L, 814859L, 814860L, 815090L, 815091L, 815093L, 815094L, 
815099L, 815100L, 815102L, 815103L, 815108L, 815109L, 815111L, 
815112L, 815117L, 815118L, 815120L, 815121L, 815126L, 815127L, 
815129L, 815130L, 815144L, 815145L, 815147L, 815148L, 815153L, 
815154L, 815156L, 815157L, 815162L, 815163L, 815165L, 815166L, 
815171L, 815172L, 815174L, 815175L, 815180L, 815181L, 815183L, 
815184L, 815252L, 815253L, 815255L, 815256L, 815261L, 815262L, 
815264L, 815265L, 815270L, 815271L, 815273L, 815274L, 815279L, 
815280L, 815282L, 815283L, 815288L, 815289L, 815291L, 815292L, 
815306L, 815307L, 815309L, 815310L, 815315L, 815316L, 815318L, 
815319L, 815324L, 815325L, 815327L, 815328L, 815333L, 815334L, 
815336L, 815337L, 815342L, 815343L, 815345L, 815346L, 815414L, 
815415L, 815417L, 815418L, 815423L, 815424L, 815426L, 815427L, 
815432L, 815433L, 815435L, 815436L, 815441L, 815442L, 815444L, 
815445L, 815450L, 815451L, 815453L, 815454L, 815468L, 815469L, 
815471L, 815472L, 815477L, 815478L, 815480L, 815481L, 815486L, 
815487L, 815489L, 815490L, 815495L, 815496L, 815498L, 815499L, 
815504L, 815505L, 815507L, 815508L, 815576L, 815577L, 815579L, 
815580L, 815585L, 815586L, 815588L, 815589L, 815594L, 815595L, 
815597L, 815598L, 815603L, 815604L, 815606L, 815607L, 815612L, 
815613L, 815615L, 815616L, 815630L, 815631L, 815633L, 815634L, 
815639L, 815640L, 815642L, 815643L, 815648L, 815649L, 815651L, 
815652L, 815657L, 815658L, 815660L, 815661L, 815666L, 815667L, 
815669L, 815670L, 815900L, 815901L, 815903L, 815904L, 815909L, 
815910L, 815912L, 815913L, 815918L, 815919L, 815921L, 815922L, 
815927L, 815928L, 815930L, 815931L, 815936L, 815937L, 815939L, 
815940L, 815954L, 815955L, 815957L, 815958L, 815963L, 815964L, 
815966L, 815967L, 815972L, 815973L, 815975L, 815976L, 815981L, 
815982L, 815984L, 815985L, 815990L, 815991L, 815993L, 815994L, 
816062L, 816063L, 816065L, 816066L, 816071L, 816072L, 816074L, 
816075L, 816080L, 816081L, 816083L, 816084L, 816089L, 816090L, 
816092L, 816093L, 816098L, 816099L, 816101L, 816102L, 816116L, 
816117L, 816119L, 816120L, 816125L, 816126L, 816128L, 816129L, 
816134L, 816135L, 816137L, 816138L, 816143L, 816144L, 816146L, 
816147L, 816152L, 816153L, 816155L, 816156L, 816224L, 816225L, 
816227L, 816228L, 816233L, 816234L, 816236L, 816237L, 816242L, 
816243L, 816245L, 816246L, 816251L, 816252L, 816254L, 816255L, 
816260L, 816261L, 816263L, 816264L, 816278L, 816279L, 816281L, 
816282L, 816287L, 816288L, 816290L, 816291L, 816296L, 816297L, 
816299L, 816300L, 816305L, 816306L, 816308L, 816309L, 816314L, 
816315L, 816317L, 816318L, 816386L, 816387L, 816389L, 816390L, 
816395L, 816396L, 816398L, 816399L, 816404L, 816405L, 816407L, 
816408L, 816413L, 816414L, 816416L, 816417L, 816422L, 816423L, 
816425L, 816426L, 816440L, 816441L, 816443L, 816444L, 816449L, 
816450L, 816452L, 816453L, 816458L, 816459L, 816461L, 816462L, 
816467L, 816468L, 816470L, 816471L, 816476L, 816477L, 816479L, 
816480L, 817520L, 817521L, 817523L, 817524L, 817529L, 817530L, 
817532L, 817533L, 817538L, 817539L, 817541L, 817542L, 817547L, 
817548L, 817550L, 817551L, 817556L, 817557L, 817559L, 817560L, 
817574L, 817575L, 817577L, 817578L, 817583L, 817584L, 817586L, 
817587L, 817592L, 817593L, 817595L, 817596L, 817601L, 817602L, 
817604L, 817605L, 817610L, 817611L, 817613L, 817614L, 817682L, 
817683L, 817685L, 817686L, 817691L, 817692L, 817694L, 817695L, 
817700L, 817701L, 817703L, 817704L, 817709L, 817710L, 817712L, 
817713L, 817718L, 817719L, 817721L, 817722L, 817736L, 817737L, 
817739L, 817740L, 817745L, 817746L, 817748L, 817749L, 817754L, 
817755L, 817757L, 817758L, 817763L, 817764L, 817766L, 817767L, 
817772L, 817773L, 817775L, 817776L, 817844L, 817845L, 817847L, 
817848L, 817853L, 817854L, 817856L, 817857L, 817862L, 817863L, 
817865L, 817866L, 817871L, 817872L, 817874L, 817875L, 817880L, 
817881L, 817883L, 817884L, 817898L, 817899L, 817901L, 817902L, 
817907L, 817908L, 817910L, 817911L, 817916L, 817917L, 817919L, 
817920L, 817925L, 817926L, 817928L, 817929L, 817934L, 817935L, 
817937L, 817938L, 818006L, 818007L, 818009L, 818010L, 818015L, 
818016L, 818018L, 818019L, 818024L, 818025L, 818027L, 818028L, 
818033L, 818034L, 818036L, 818037L, 818042L, 818043L, 818045L, 
818046L, 818060L, 818061L, 818063L, 818064L, 818069L, 818070L, 
818072L, 818073L, 818078L, 818079L, 818081L, 818082L, 818087L, 
818088L, 818090L, 818091L, 818096L, 818097L, 818099L, 818100L, 
818330L, 818331L, 818333L, 818334L, 818339L, 818340L, 818342L, 
818343L, 818348L, 818349L, 818351L, 818352L, 818357L, 818358L, 
818360L, 818361L, 818366L, 818367L, 818369L, 818370L, 818384L, 
818385L, 818387L, 818388L, 818393L, 818394L, 818396L, 818397L, 
818402L, 818403L, 818405L, 818406L, 818411L, 818412L, 818414L, 
818415L, 818420L, 818421L, 818423L, 818424L, 818492L, 818493L, 
818495L, 818496L, 818501L, 818502L, 818504L, 818505L, 818510L, 
818511L, 818513L, 818514L, 818519L, 818520L, 818522L, 818523L, 
818528L, 818529L, 818531L, 818532L, 818546L, 818547L, 818549L, 
818550L, 818555L, 818556L, 818558L, 818559L, 818564L, 818565L, 
818567L, 818568L, 818573L, 818574L, 818576L, 818577L, 818582L, 
818583L, 818585L, 818586L, 818654L, 818655L, 818657L, 818658L, 
818663L, 818664L, 818666L, 818667L, 818672L, 818673L, 818675L, 
818676L, 818681L, 818682L, 818684L, 818685L, 818690L, 818691L, 
818693L, 818694L, 818708L, 818709L, 818711L, 818712L, 818717L, 
818718L, 818720L, 818721L, 818726L, 818727L, 818729L, 818730L, 
818735L, 818736L, 818738L, 818739L, 818744L, 818745L, 818747L, 
818748L, 818816L, 818817L, 818819L, 818820L, 818825L, 818826L, 
818828L, 818829L, 818834L, 818835L, 818837L, 818838L, 818843L, 
818844L, 818846L, 818847L, 818852L, 818853L, 818855L, 818856L, 
818870L, 818871L, 818873L, 818874L, 818879L, 818880L, 818882L, 
818883L, 818888L, 818889L, 818891L, 818892L, 818897L, 818898L, 
818900L, 818901L, 818906L, 818907L, 818909L, 818910L, 819140L, 
819141L, 819143L, 819144L, 819149L, 819150L, 819152L, 819153L, 
819158L, 819159L, 819161L, 819162L, 819167L, 819168L, 819170L, 
819171L, 819176L, 819177L, 819179L, 819180L, 819194L, 819195L, 
819197L, 819198L, 819203L, 819204L, 819206L, 819207L, 819212L, 
819213L, 819215L, 819216L, 819221L, 819222L, 819224L, 819225L, 
819230L, 819231L, 819233L, 819234L, 819302L, 819303L, 819305L, 
819306L, 819311L, 819312L, 819314L, 819315L, 819320L, 819321L, 
819323L, 819324L, 819329L, 819330L, 819332L, 819333L, 819338L, 
819339L, 819341L, 819342L, 819356L, 819357L, 819359L, 819360L, 
819365L, 819366L, 819368L, 819369L, 819374L, 819375L, 819377L, 
819378L, 819383L, 819384L, 819386L, 819387L, 819392L, 819393L, 
819395L, 819396L, 819464L, 819465L, 819467L, 819468L, 819473L, 
819474L, 819476L, 819477L, 819482L, 819483L, 819485L, 819486L, 
819491L, 819492L, 819494L, 819495L, 819500L, 819501L, 819503L, 
819504L, 819518L, 819519L, 819521L, 819522L, 819527L, 819528L, 
819530L, 819531L, 819536L, 819537L, 819539L, 819540L, 819545L, 
819546L, 819548L, 819549L, 819554L, 819555L, 819557L, 819558L, 
819626L, 819627L, 819629L, 819630L, 819635L, 819636L, 819638L, 
819639L, 819644L, 819645L, 819647L, 819648L, 819653L, 819654L, 
819656L, 819657L, 819662L, 819663L, 819665L, 819666L, 819680L, 
819681L, 819683L, 819684L, 819689L, 819690L, 819692L, 819693L, 
819698L, 819699L, 819701L, 819702L, 819707L, 819708L, 819710L, 
819711L, 819716L, 819717L, 819719L, 819720L, 819950L, 819951L, 
819953L, 819954L, 819959L, 819960L, 819962L, 819963L, 819968L, 
819969L, 819971L, 819972L, 819977L, 819978L, 819980L, 819981L, 
819986L, 819987L, 819989L, 819990L, 820004L, 820005L, 820007L, 
820008L, 820013L, 820014L, 820016L, 820017L, 820022L, 820023L, 
820025L, 820026L, 820031L, 820032L, 820034L, 820035L, 820040L, 
820041L, 820043L, 820044L, 820112L, 820113L, 820115L, 820116L, 
820121L, 820122L, 820124L, 820125L, 820130L, 820131L, 820133L, 
820134L, 820139L, 820140L, 820142L, 820143L, 820148L, 820149L, 
820151L, 820152L, 820166L, 820167L, 820169L, 820170L, 820175L, 
820176L, 820178L, 820179L, 820184L, 820185L, 820187L, 820188L, 
820193L, 820194L, 820196L, 820197L, 820202L, 820203L, 820205L, 
820206L, 820274L, 820275L, 820277L, 820278L, 820283L, 820284L, 
820286L, 820287L, 820292L, 820293L, 820295L, 820296L, 820301L, 
820302L, 820304L, 820305L, 820310L, 820311L, 820313L, 820314L, 
820328L, 820329L, 820331L, 820332L, 820337L, 820338L, 820340L, 
820341L, 820346L, 820347L, 820349L, 820350L, 820355L, 820356L, 
820358L, 820359L, 820364L, 820365L, 820367L, 820368L, 820436L, 
820437L, 820439L, 820440L, 820445L, 820446L, 820448L, 820449L, 
820454L, 820455L, 820457L, 820458L, 820463L, 820464L, 820466L, 
820467L, 820472L, 820473L, 820475L, 820476L, 820490L, 820491L, 
820493L, 820494L, 820499L, 820500L, 820502L, 820503L, 820508L, 
820509L, 820511L, 820512L, 820517L, 820518L, 820520L, 820521L, 
820526L, 820527L, 820529L, 820530L, 820760L, 820761L, 820763L, 
820764L, 820769L, 820770L, 820772L, 820773L, 820778L, 820779L, 
820781L, 820782L, 820787L, 820788L, 820790L, 820791L, 820796L, 
820797L, 820799L, 820800L, 820814L, 820815L, 820817L, 820818L, 
820823L, 820824L, 820826L, 820827L, 820832L, 820833L, 820835L, 
820836L, 820841L, 820842L, 820844L, 820845L, 820850L, 820851L, 
820853L, 820854L, 820922L, 820923L, 820925L, 820926L, 820931L, 
820932L, 820934L, 820935L, 820940L, 820941L, 820943L, 820944L, 
820949L, 820950L, 820952L, 820953L, 820958L, 820959L, 820961L, 
820962L, 820976L, 820977L, 820979L, 820980L, 820985L, 820986L, 
820988L, 820989L, 820994L, 820995L, 820997L, 820998L, 821003L, 
821004L, 821006L, 821007L, 821012L, 821013L, 821015L, 821016L, 
821084L, 821085L, 821087L, 821088L, 821093L, 821094L, 821096L, 
821097L, 821102L, 821103L, 821105L, 821106L, 821111L, 821112L, 
821114L, 821115L, 821120L, 821121L, 821123L, 821124L, 821138L, 
821139L, 821141L, 821142L, 821147L, 821148L, 821150L, 821151L, 
821156L, 821157L, 821159L, 821160L, 821165L, 821166L, 821168L, 
821169L, 821174L, 821175L, 821177L, 821178L, 821246L, 821247L, 
821249L, 821250L, 821255L, 821256L, 821258L, 821259L, 821264L, 
821265L, 821267L, 821268L, 821273L, 821274L, 821276L, 821277L, 
821282L, 821283L, 821285L, 821286L, 821300L, 821301L, 821303L, 
821304L, 821309L, 821310L, 821312L, 821313L, 821318L, 821319L, 
821321L, 821322L, 821327L, 821328L, 821330L, 821331L, 821336L, 
821337L, 821339L, 821340L, 832100L, 832101L, 832103L, 832104L, 
832109L, 832110L, 832112L, 832113L, 832118L, 832119L, 832121L, 
832122L, 832127L, 832128L, 832130L, 832131L, 832136L, 832137L, 
832139L, 832140L, 832154L, 832155L, 832157L, 832158L, 832163L, 
832164L, 832166L, 832167L, 832172L, 832173L, 832175L, 832176L, 
832181L, 832182L, 832184L, 832185L, 832190L, 832191L, 832193L, 
832194L, 832262L, 832263L, 832265L, 832266L, 832271L, 832272L, 
832274L, 832275L, 832280L, 832281L, 832283L, 832284L, 832289L, 
832290L, 832292L, 832293L, 832298L, 832299L, 832301L, 832302L, 
832316L, 832317L, 832319L, 832320L, 832325L, 832326L, 832328L, 
832329L, 832334L, 832335L, 832337L, 832338L, 832343L, 832344L, 
832346L, 832347L, 832352L, 832353L, 832355L, 832356L, 832424L, 
832425L, 832427L, 832428L, 832433L, 832434L, 832436L, 832437L, 
832442L, 832443L, 832445L, 832446L, 832451L, 832452L, 832454L, 
832455L, 832460L, 832461L, 832463L, 832464L, 832478L, 832479L, 
832481L, 832482L, 832487L, 832488L, 832490L, 832491L, 832496L, 
832497L, 832499L, 832500L, 832505L, 832506L, 832508L, 832509L, 
832514L, 832515L, 832517L, 832518L, 832586L, 832587L, 832589L, 
832590L, 832595L, 832596L, 832598L, 832599L, 832604L, 832605L, 
832607L, 832608L, 832613L, 832614L, 832616L, 832617L, 832622L, 
832623L, 832625L, 832626L, 832640L, 832641L, 832643L, 832644L, 
832649L, 832650L, 832652L, 832653L, 832658L, 832659L, 832661L, 
832662L, 832667L, 832668L, 832670L, 832671L, 832676L, 832677L, 
832679L, 832680L, 832910L, 832911L, 832913L, 832914L, 832919L, 
832920L, 832922L, 832923L, 832928L, 832929L, 832931L, 832932L, 
832937L, 832938L, 832940L, 832941L, 832946L, 832947L, 832949L, 
832950L, 832964L, 832965L, 832967L, 832968L, 832973L, 832974L, 
832976L, 832977L, 832982L, 832983L, 832985L, 832986L, 832991L, 
832992L, 832994L, 832995L, 833000L, 833001L, 833003L, 833004L, 
833072L, 833073L, 833075L, 833076L, 833081L, 833082L, 833084L, 
833085L, 833090L, 833091L, 833093L, 833094L, 833099L, 833100L, 
833102L, 833103L, 833108L, 833109L, 833111L, 833112L, 833126L, 
833127L, 833129L, 833130L, 833135L, 833136L, 833138L, 833139L, 
833144L, 833145L, 833147L, 833148L, 833153L, 833154L, 833156L, 
833157L, 833162L, 833163L, 833165L, 833166L, 833234L, 833235L, 
833237L, 833238L, 833243L, 833244L, 833246L, 833247L, 833252L, 
833253L, 833255L, 833256L, 833261L, 833262L, 833264L, 833265L, 
833270L, 833271L, 833273L, 833274L, 833288L, 833289L, 833291L, 
833292L, 833297L, 833298L, 833300L, 833301L, 833306L, 833307L, 
833309L, 833310L, 833315L, 833316L, 833318L, 833319L, 833324L, 
833325L, 833327L, 833328L, 833396L, 833397L, 833399L, 833400L, 
833405L, 833406L, 833408L, 833409L, 833414L, 833415L, 833417L, 
833418L, 833423L, 833424L, 833426L, 833427L, 833432L, 833433L, 
833435L, 833436L, 833450L, 833451L, 833453L, 833454L, 833459L, 
833460L, 833462L, 833463L, 833468L, 833469L, 833471L, 833472L, 
833477L, 833478L, 833480L, 833481L, 833486L, 833487L, 833489L, 
833490L, 833720L, 833721L, 833723L, 833724L, 833729L, 833730L, 
833732L, 833733L, 833738L, 833739L, 833741L, 833742L, 833747L, 
833748L, 833750L, 833751L, 833756L, 833757L, 833759L, 833760L, 
833774L, 833775L, 833777L, 833778L, 833783L, 833784L, 833786L, 
833787L, 833792L, 833793L, 833795L, 833796L, 833801L, 833802L, 
833804L, 833805L, 833810L, 833811L, 833813L, 833814L, 833882L, 
833883L, 833885L, 833886L, 833891L, 833892L, 833894L, 833895L, 
833900L, 833901L, 833903L, 833904L, 833909L, 833910L, 833912L, 
833913L, 833918L, 833919L, 833921L, 833922L, 833936L, 833937L, 
833939L, 833940L, 833945L, 833946L, 833948L, 833949L, 833954L, 
833955L, 833957L, 833958L, 833963L, 833964L, 833966L, 833967L, 
833972L, 833973L, 833975L, 833976L, 834044L, 834045L, 834047L, 
834048L, 834053L, 834054L, 834056L, 834057L, 834062L, 834063L, 
834065L, 834066L, 834071L, 834072L, 834074L, 834075L, 834080L, 
834081L, 834083L, 834084L, 834098L, 834099L, 834101L, 834102L, 
834107L, 834108L, 834110L, 834111L, 834116L, 834117L, 834119L, 
834120L, 834125L, 834126L, 834128L, 834129L, 834134L, 834135L, 
834137L, 834138L, 834206L, 834207L, 834209L, 834210L, 834215L, 
834216L, 834218L, 834219L, 834224L, 834225L, 834227L, 834228L, 
834233L, 834234L, 834236L, 834237L, 834242L, 834243L, 834245L, 
834246L, 834260L, 834261L, 834263L, 834264L, 834269L, 834270L, 
834272L, 834273L, 834278L, 834279L, 834281L, 834282L, 834287L, 
834288L, 834290L, 834291L, 834296L, 834297L, 834299L, 834300L, 
834530L, 834531L, 834533L, 834534L, 834539L, 834540L, 834542L, 
834543L, 834548L, 834549L, 834551L, 834552L, 834557L, 834558L, 
834560L, 834561L, 834566L, 834567L, 834569L, 834570L, 834584L, 
834585L, 834587L, 834588L, 834593L, 834594L, 834596L, 834597L, 
834602L, 834603L, 834605L, 834606L, 834611L, 834612L, 834614L, 
834615L, 834620L, 834621L, 834623L, 834624L, 834692L, 834693L, 
834695L, 834696L, 834701L, 834702L, 834704L, 834705L, 834710L, 
834711L, 834713L, 834714L, 834719L, 834720L, 834722L, 834723L, 
834728L, 834729L, 834731L, 834732L, 834746L, 834747L, 834749L, 
834750L, 834755L, 834756L, 834758L, 834759L, 834764L, 834765L, 
834767L, 834768L, 834773L, 834774L, 834776L, 834777L, 834782L, 
834783L, 834785L, 834786L, 834854L, 834855L, 834857L, 834858L, 
834863L, 834864L, 834866L, 834867L, 834872L, 834873L, 834875L, 
834876L, 834881L, 834882L, 834884L, 834885L, 834890L, 834891L, 
834893L, 834894L, 834908L, 834909L, 834911L, 834912L, 834917L, 
834918L, 834920L, 834921L, 834926L, 834927L, 834929L, 834930L, 
834935L, 834936L, 834938L, 834939L, 834944L, 834945L, 834947L, 
834948L, 835016L, 835017L, 835019L, 835020L, 835025L, 835026L, 
835028L, 835029L, 835034L, 835035L, 835037L, 835038L, 835043L, 
835044L, 835046L, 835047L, 835052L, 835053L, 835055L, 835056L, 
835070L, 835071L, 835073L, 835074L, 835079L, 835080L, 835082L, 
835083L, 835088L, 835089L, 835091L, 835092L, 835097L, 835098L, 
835100L, 835101L, 835106L, 835107L, 835109L, 835110L, 835340L, 
835341L, 835343L, 835344L, 835349L, 835350L, 835352L, 835353L, 
835358L, 835359L, 835361L, 835362L, 835367L, 835368L, 835370L, 
835371L, 835376L, 835377L, 835379L, 835380L, 835394L, 835395L, 
835397L, 835398L, 835403L, 835404L, 835406L, 835407L, 835412L, 
835413L, 835415L, 835416L, 835421L, 835422L, 835424L, 835425L, 
835430L, 835431L, 835433L, 835434L, 835502L, 835503L, 835505L, 
835506L, 835511L, 835512L, 835514L, 835515L, 835520L, 835521L, 
835523L, 835524L, 835529L, 835530L, 835532L, 835533L, 835538L, 
835539L, 835541L, 835542L, 835556L, 835557L, 835559L, 835560L, 
835565L, 835566L, 835568L, 835569L, 835574L, 835575L, 835577L, 
835578L, 835583L, 835584L, 835586L, 835587L, 835592L, 835593L, 
835595L, 835596L, 835664L, 835665L, 835667L, 835668L, 835673L, 
835674L, 835676L, 835677L, 835682L, 835683L, 835685L, 835686L, 
835691L, 835692L, 835694L, 835695L, 835700L, 835701L, 835703L, 
835704L, 835718L, 835719L, 835721L, 835722L, 835727L, 835728L, 
835730L, 835731L, 835736L, 835737L, 835739L, 835740L, 835745L, 
835746L, 835748L, 835749L, 835754L, 835755L, 835757L, 835758L, 
835826L, 835827L, 835829L, 835830L, 835835L, 835836L, 835838L, 
835839L, 835844L, 835845L, 835847L, 835848L, 835853L, 835854L, 
835856L, 835857L, 835862L, 835863L, 835865L, 835866L, 835880L, 
835881L, 835883L, 835884L, 835889L, 835890L, 835892L, 835893L, 
835898L, 835899L, 835901L, 835902L, 835907L, 835908L, 835910L, 
835911L, 835916L, 835917L, 835919L, 835920L, 836960L, 836961L, 
836963L, 836964L, 836969L, 836970L, 836972L, 836973L, 836978L, 
836979L, 836981L, 836982L, 836987L, 836988L, 836990L, 836991L, 
836996L, 836997L, 836999L, 837000L, 837014L, 837015L, 837017L, 
837018L, 837023L, 837024L, 837026L, 837027L, 837032L, 837033L, 
837035L, 837036L, 837041L, 837042L, 837044L, 837045L, 837050L, 
837051L, 837053L, 837054L, 837122L, 837123L, 837125L, 837126L, 
837131L, 837132L, 837134L, 837135L, 837140L, 837141L, 837143L, 
837144L, 837149L, 837150L, 837152L, 837153L, 837158L, 837159L, 
837161L, 837162L, 837176L, 837177L, 837179L, 837180L, 837185L, 
837186L, 837188L, 837189L, 837194L, 837195L, 837197L, 837198L, 
837203L, 837204L, 837206L, 837207L, 837212L, 837213L, 837215L, 
837216L, 837284L, 837285L, 837287L, 837288L, 837293L, 837294L, 
837296L, 837297L, 837302L, 837303L, 837305L, 837306L, 837311L, 
837312L, 837314L, 837315L, 837320L, 837321L, 837323L, 837324L, 
837338L, 837339L, 837341L, 837342L, 837347L, 837348L, 837350L, 
837351L, 837356L, 837357L, 837359L, 837360L, 837365L, 837366L, 
837368L, 837369L, 837374L, 837375L, 837377L, 837378L, 837446L, 
837447L, 837449L, 837450L, 837455L, 837456L, 837458L, 837459L, 
837464L, 837465L, 837467L, 837468L, 837473L, 837474L, 837476L, 
837477L, 837482L, 837483L, 837485L, 837486L, 837500L, 837501L, 
837503L, 837504L, 837509L, 837510L, 837512L, 837513L, 837518L, 
837519L, 837521L, 837522L, 837527L, 837528L, 837530L, 837531L, 
837536L, 837537L, 837539L, 837540L, 837770L, 837771L, 837773L, 
837774L, 837779L, 837780L, 837782L, 837783L, 837788L, 837789L, 
837791L, 837792L, 837797L, 837798L, 837800L, 837801L, 837806L, 
837807L, 837809L, 837810L, 837824L, 837825L, 837827L, 837828L, 
837833L, 837834L, 837836L, 837837L, 837842L, 837843L, 837845L, 
837846L, 837851L, 837852L, 837854L, 837855L, 837860L, 837861L, 
837863L, 837864L, 837932L, 837933L, 837935L, 837936L, 837941L, 
837942L, 837944L, 837945L, 837950L, 837951L, 837953L, 837954L, 
837959L, 837960L, 837962L, 837963L, 837968L, 837969L, 837971L, 
837972L, 837986L, 837987L, 837989L, 837990L, 837995L, 837996L, 
837998L, 837999L, 838004L, 838005L, 838007L, 838008L, 838013L, 
838014L, 838016L, 838017L, 838022L, 838023L, 838025L, 838026L, 
838094L, 838095L, 838097L, 838098L, 838103L, 838104L, 838106L, 
838107L, 838112L, 838113L, 838115L, 838116L, 838121L, 838122L, 
838124L, 838125L, 838130L, 838131L, 838133L, 838134L, 838148L, 
838149L, 838151L, 838152L, 838157L, 838158L, 838160L, 838161L, 
838166L, 838167L, 838169L, 838170L, 838175L, 838176L, 838178L, 
838179L, 838184L, 838185L, 838187L, 838188L, 838256L, 838257L, 
838259L, 838260L, 838265L, 838266L, 838268L, 838269L, 838274L, 
838275L, 838277L, 838278L, 838283L, 838284L, 838286L, 838287L, 
838292L, 838293L, 838295L, 838296L, 838310L, 838311L, 838313L, 
838314L, 838319L, 838320L, 838322L, 838323L, 838328L, 838329L, 
838331L, 838332L, 838337L, 838338L, 838340L, 838341L, 838346L, 
838347L, 838349L, 838350L, 838580L, 838581L, 838583L, 838584L, 
838589L, 838590L, 838592L, 838593L, 838598L, 838599L, 838601L, 
838602L, 838607L, 838608L, 838610L, 838611L, 838616L, 838617L, 
838619L, 838620L, 838634L, 838635L, 838637L, 838638L, 838643L, 
838644L, 838646L, 838647L, 838652L, 838653L, 838655L, 838656L, 
838661L, 838662L, 838664L, 838665L, 838670L, 838671L, 838673L, 
838674L, 838742L, 838743L, 838745L, 838746L, 838751L, 838752L, 
838754L, 838755L, 838760L, 838761L, 838763L, 838764L, 838769L, 
838770L, 838772L, 838773L, 838778L, 838779L, 838781L, 838782L, 
838796L, 838797L, 838799L, 838800L, 838805L, 838806L, 838808L, 
838809L, 838814L, 838815L, 838817L, 838818L, 838823L, 838824L, 
838826L, 838827L, 838832L, 838833L, 838835L, 838836L, 838904L, 
838905L, 838907L, 838908L, 838913L, 838914L, 838916L, 838917L, 
838922L, 838923L, 838925L, 838926L, 838931L, 838932L, 838934L, 
838935L, 838940L, 838941L, 838943L, 838944L, 838958L, 838959L, 
838961L, 838962L, 838967L, 838968L, 838970L, 838971L, 838976L, 
838977L, 838979L, 838980L, 838985L, 838986L, 838988L, 838989L, 
838994L, 838995L, 838997L, 838998L, 839066L, 839067L, 839069L, 
839070L, 839075L, 839076L, 839078L, 839079L, 839084L, 839085L, 
839087L, 839088L, 839093L, 839094L, 839096L, 839097L, 839102L, 
839103L, 839105L, 839106L, 839120L, 839121L, 839123L, 839124L, 
839129L, 839130L, 839132L, 839133L, 839138L, 839139L, 839141L, 
839142L, 839147L, 839148L, 839150L, 839151L, 839156L, 839157L, 
839159L, 839160L, 839390L, 839391L, 839393L, 839394L, 839399L, 
839400L, 839402L, 839403L, 839408L, 839409L, 839411L, 839412L, 
839417L, 839418L, 839420L, 839421L, 839426L, 839427L, 839429L, 
839430L, 839444L, 839445L, 839447L, 839448L, 839453L, 839454L, 
839456L, 839457L, 839462L, 839463L, 839465L, 839466L, 839471L, 
839472L, 839474L, 839475L, 839480L, 839481L, 839483L, 839484L, 
839552L, 839553L, 839555L, 839556L, 839561L, 839562L, 839564L, 
839565L, 839570L, 839571L, 839573L, 839574L, 839579L, 839580L, 
839582L, 839583L, 839588L, 839589L, 839591L, 839592L, 839606L, 
839607L, 839609L, 839610L, 839615L, 839616L, 839618L, 839619L, 
839624L, 839625L, 839627L, 839628L, 839633L, 839634L, 839636L, 
839637L, 839642L, 839643L, 839645L, 839646L, 839714L, 839715L, 
839717L, 839718L, 839723L, 839724L, 839726L, 839727L, 839732L, 
839733L, 839735L, 839736L, 839741L, 839742L, 839744L, 839745L, 
839750L, 839751L, 839753L, 839754L, 839768L, 839769L, 839771L, 
839772L, 839777L, 839778L, 839780L, 839781L, 839786L, 839787L, 
839789L, 839790L, 839795L, 839796L, 839798L, 839799L, 839804L, 
839805L, 839807L, 839808L, 839876L, 839877L, 839879L, 839880L, 
839885L, 839886L, 839888L, 839889L, 839894L, 839895L, 839897L, 
839898L, 839903L, 839904L, 839906L, 839907L, 839912L, 839913L, 
839915L, 839916L, 839930L, 839931L, 839933L, 839934L, 839939L, 
839940L, 839942L, 839943L, 839948L, 839949L, 839951L, 839952L, 
839957L, 839958L, 839960L, 839961L, 839966L, 839967L, 839969L, 
839970L, 840200L, 840201L, 840203L, 840204L, 840209L, 840210L, 
840212L, 840213L, 840218L, 840219L, 840221L, 840222L, 840227L, 
840228L, 840230L, 840231L, 840236L, 840237L, 840239L, 840240L, 
840254L, 840255L, 840257L, 840258L, 840263L, 840264L, 840266L, 
840267L, 840272L, 840273L, 840275L, 840276L, 840281L, 840282L, 
840284L, 840285L, 840290L, 840291L, 840293L, 840294L, 840362L, 
840363L, 840365L, 840366L, 840371L, 840372L, 840374L, 840375L, 
840380L, 840381L, 840383L, 840384L, 840389L, 840390L, 840392L, 
840393L, 840398L, 840399L, 840401L, 840402L, 840416L, 840417L, 
840419L, 840420L, 840425L, 840426L, 840428L, 840429L, 840434L, 
840435L, 840437L, 840438L, 840443L, 840444L, 840446L, 840447L, 
840452L, 840453L, 840455L, 840456L, 840524L, 840525L, 840527L, 
840528L, 840533L, 840534L, 840536L, 840537L, 840542L, 840543L, 
840545L, 840546L, 840551L, 840552L, 840554L, 840555L, 840560L, 
840561L, 840563L, 840564L, 840578L, 840579L, 840581L, 840582L, 
840587L, 840588L, 840590L, 840591L, 840596L, 840597L, 840599L, 
840600L, 840605L, 840606L, 840608L, 840609L, 840614L, 840615L, 
840617L, 840618L, 840686L, 840687L, 840689L, 840690L, 840695L, 
840696L, 840698L, 840699L, 840704L, 840705L, 840707L, 840708L, 
840713L, 840714L, 840716L, 840717L, 840722L, 840723L, 840725L, 
840726L, 840740L, 840741L, 840743L, 840744L, 840749L, 840750L, 
840752L, 840753L, 840758L, 840759L, 840761L, 840762L, 840767L, 
840768L, 840770L, 840771L, 840776L, 840777L, 840779L, 840780L, 
841820L, 841821L, 841823L, 841824L, 841829L, 841830L, 841832L, 
841833L, 841838L, 841839L, 841841L, 841842L, 841847L, 841848L, 
841850L, 841851L, 841856L, 841857L, 841859L, 841860L, 841874L, 
841875L, 841877L, 841878L, 841883L, 841884L, 841886L, 841887L, 
841892L, 841893L, 841895L, 841896L, 841901L, 841902L, 841904L, 
841905L, 841910L, 841911L, 841913L, 841914L, 841982L, 841983L, 
841985L, 841986L, 841991L, 841992L, 841994L, 841995L, 842000L, 
842001L, 842003L, 842004L, 842009L, 842010L, 842012L, 842013L, 
842018L, 842019L, 842021L, 842022L, 842036L, 842037L, 842039L, 
842040L, 842045L, 842046L, 842048L, 842049L, 842054L, 842055L, 
842057L, 842058L, 842063L, 842064L, 842066L, 842067L, 842072L, 
842073L, 842075L, 842076L, 842144L, 842145L, 842147L, 842148L, 
842153L, 842154L, 842156L, 842157L, 842162L, 842163L, 842165L, 
842166L, 842171L, 842172L, 842174L, 842175L, 842180L, 842181L, 
842183L, 842184L, 842198L, 842199L, 842201L, 842202L, 842207L, 
842208L, 842210L, 842211L, 842216L, 842217L, 842219L, 842220L, 
842225L, 842226L, 842228L, 842229L, 842234L, 842235L, 842237L, 
842238L, 842306L, 842307L, 842309L, 842310L, 842315L, 842316L, 
842318L, 842319L, 842324L, 842325L, 842327L, 842328L, 842333L, 
842334L, 842336L, 842337L, 842342L, 842343L, 842345L, 842346L, 
842360L, 842361L, 842363L, 842364L, 842369L, 842370L, 842372L, 
842373L, 842378L, 842379L, 842381L, 842382L, 842387L, 842388L, 
842390L, 842391L, 842396L, 842397L, 842399L, 842400L, 842630L, 
842631L, 842633L, 842634L, 842639L, 842640L, 842642L, 842643L, 
842648L, 842649L, 842651L, 842652L, 842657L, 842658L, 842660L, 
842661L, 842666L, 842667L, 842669L, 842670L, 842684L, 842685L, 
842687L, 842688L, 842693L, 842694L, 842696L, 842697L, 842702L, 
842703L, 842705L, 842706L, 842711L, 842712L, 842714L, 842715L, 
842720L, 842721L, 842723L, 842724L, 842792L, 842793L, 842795L, 
842796L, 842801L, 842802L, 842804L, 842805L, 842810L, 842811L, 
842813L, 842814L, 842819L, 842820L, 842822L, 842823L, 842828L, 
842829L, 842831L, 842832L, 842846L, 842847L, 842849L, 842850L, 
842855L, 842856L, 842858L, 842859L, 842864L, 842865L, 842867L, 
842868L, 842873L, 842874L, 842876L, 842877L, 842882L, 842883L, 
842885L, 842886L, 842954L, 842955L, 842957L, 842958L, 842963L, 
842964L, 842966L, 842967L, 842972L, 842973L, 842975L, 842976L, 
842981L, 842982L, 842984L, 842985L, 842990L, 842991L, 842993L, 
842994L, 843008L, 843009L, 843011L, 843012L, 843017L, 843018L, 
843020L, 843021L, 843026L, 843027L, 843029L, 843030L, 843035L, 
843036L, 843038L, 843039L, 843044L, 843045L, 843047L, 843048L, 
843116L, 843117L, 843119L, 843120L, 843125L, 843126L, 843128L, 
843129L, 843134L, 843135L, 843137L, 843138L, 843143L, 843144L, 
843146L, 843147L, 843152L, 843153L, 843155L, 843156L, 843170L, 
843171L, 843173L, 843174L, 843179L, 843180L, 843182L, 843183L, 
843188L, 843189L, 843191L, 843192L, 843197L, 843198L, 843200L, 
843201L, 843206L, 843207L, 843209L, 843210L, 843440L, 843441L, 
843443L, 843444L, 843449L, 843450L, 843452L, 843453L, 843458L, 
843459L, 843461L, 843462L, 843467L, 843468L, 843470L, 843471L, 
843476L, 843477L, 843479L, 843480L, 843494L, 843495L, 843497L, 
843498L, 843503L, 843504L, 843506L, 843507L, 843512L, 843513L, 
843515L, 843516L, 843521L, 843522L, 843524L, 843525L, 843530L, 
843531L, 843533L, 843534L, 843602L, 843603L, 843605L, 843606L, 
843611L, 843612L, 843614L, 843615L, 843620L, 843621L, 843623L, 
843624L, 843629L, 843630L, 843632L, 843633L, 843638L, 843639L, 
843641L, 843642L, 843656L, 843657L, 843659L, 843660L, 843665L, 
843666L, 843668L, 843669L, 843674L, 843675L, 843677L, 843678L, 
843683L, 843684L, 843686L, 843687L, 843692L, 843693L, 843695L, 
843696L, 843764L, 843765L, 843767L, 843768L, 843773L, 843774L, 
843776L, 843777L, 843782L, 843783L, 843785L, 843786L, 843791L, 
843792L, 843794L, 843795L, 843800L, 843801L, 843803L, 843804L, 
843818L, 843819L, 843821L, 843822L, 843827L, 843828L, 843830L, 
843831L, 843836L, 843837L, 843839L, 843840L, 843845L, 843846L, 
843848L, 843849L, 843854L, 843855L, 843857L, 843858L, 843926L, 
843927L, 843929L, 843930L, 843935L, 843936L, 843938L, 843939L, 
843944L, 843945L, 843947L, 843948L, 843953L, 843954L, 843956L, 
843957L, 843962L, 843963L, 843965L, 843966L, 843980L, 843981L, 
843983L, 843984L, 843989L, 843990L, 843992L, 843993L, 843998L, 
843999L, 844001L, 844002L, 844007L, 844008L, 844010L, 844011L, 
844016L, 844017L, 844019L, 844020L, 844250L, 844251L, 844253L, 
844254L, 844259L, 844260L, 844262L, 844263L, 844268L, 844269L, 
844271L, 844272L, 844277L, 844278L, 844280L, 844281L, 844286L, 
844287L, 844289L, 844290L, 844304L, 844305L, 844307L, 844308L, 
844313L, 844314L, 844316L, 844317L, 844322L, 844323L, 844325L, 
844326L, 844331L, 844332L, 844334L, 844335L, 844340L, 844341L, 
844343L, 844344L, 844412L, 844413L, 844415L, 844416L, 844421L, 
844422L, 844424L, 844425L, 844430L, 844431L, 844433L, 844434L, 
844439L, 844440L, 844442L, 844443L, 844448L, 844449L, 844451L, 
844452L, 844466L, 844467L, 844469L, 844470L, 844475L, 844476L, 
844478L, 844479L, 844484L, 844485L, 844487L, 844488L, 844493L, 
844494L, 844496L, 844497L, 844502L, 844503L, 844505L, 844506L, 
844574L, 844575L, 844577L, 844578L, 844583L, 844584L, 844586L, 
844587L, 844592L, 844593L, 844595L, 844596L, 844601L, 844602L, 
844604L, 844605L, 844610L, 844611L, 844613L, 844614L, 844628L, 
844629L, 844631L, 844632L, 844637L, 844638L, 844640L, 844641L, 
844646L, 844647L, 844649L, 844650L, 844655L, 844656L, 844658L, 
844659L, 844664L, 844665L, 844667L, 844668L, 844736L, 844737L, 
844739L, 844740L, 844745L, 844746L, 844748L, 844749L, 844754L, 
844755L, 844757L, 844758L, 844763L, 844764L, 844766L, 844767L, 
844772L, 844773L, 844775L, 844776L, 844790L, 844791L, 844793L, 
844794L, 844799L, 844800L, 844802L, 844803L, 844808L, 844809L, 
844811L, 844812L, 844817L, 844818L, 844820L, 844821L, 844826L, 
844827L, 844829L, 844830L, 845060L, 845061L, 845063L, 845064L, 
845069L, 845070L, 845072L, 845073L, 845078L, 845079L, 845081L, 
845082L, 845087L, 845088L, 845090L, 845091L, 845096L, 845097L, 
845099L, 845100L, 845114L, 845115L, 845117L, 845118L, 845123L, 
845124L, 845126L, 845127L, 845132L, 845133L, 845135L, 845136L, 
845141L, 845142L, 845144L, 845145L, 845150L, 845151L, 845153L, 
845154L, 845222L, 845223L, 845225L, 845226L, 845231L, 845232L, 
845234L, 845235L, 845240L, 845241L, 845243L, 845244L, 845249L, 
845250L, 845252L, 845253L, 845258L, 845259L, 845261L, 845262L, 
845276L, 845277L, 845279L, 845280L, 845285L, 845286L, 845288L, 
845289L, 845294L, 845295L, 845297L, 845298L, 845303L, 845304L, 
845306L, 845307L, 845312L, 845313L, 845315L, 845316L, 845384L, 
845385L, 845387L, 845388L, 845393L, 845394L, 845396L, 845397L, 
845402L, 845403L, 845405L, 845406L, 845411L, 845412L, 845414L, 
845415L, 845420L, 845421L, 845423L, 845424L, 845438L, 845439L, 
845441L, 845442L, 845447L, 845448L, 845450L, 845451L, 845456L, 
845457L, 845459L, 845460L, 845465L, 845466L, 845468L, 845469L, 
845474L, 845475L, 845477L, 845478L, 845546L, 845547L, 845549L, 
845550L, 845555L, 845556L, 845558L, 845559L, 845564L, 845565L, 
845567L, 845568L, 845573L, 845574L, 845576L, 845577L, 845582L, 
845583L, 845585L, 845586L, 845600L, 845601L, 845603L, 845604L, 
845609L, 845610L, 845612L, 845613L, 845618L, 845619L, 845621L, 
845622L, 845627L, 845628L, 845630L, 845631L, 845636L, 845637L, 
845639L, 845640L, 856400L, 856401L, 856403L, 856404L, 856409L, 
856410L, 856412L, 856413L, 856418L, 856419L, 856421L, 856422L, 
856427L, 856428L, 856430L, 856431L, 856436L, 856437L, 856439L, 
856440L, 856454L, 856455L, 856457L, 856458L, 856463L, 856464L, 
856466L, 856467L, 856472L, 856473L, 856475L, 856476L, 856481L, 
856482L, 856484L, 856485L, 856490L, 856491L, 856493L, 856494L, 
856562L, 856563L, 856565L, 856566L, 856571L, 856572L, 856574L, 
856575L, 856580L, 856581L, 856583L, 856584L, 856589L, 856590L, 
856592L, 856593L, 856598L, 856599L, 856601L, 856602L, 856616L, 
856617L, 856619L, 856620L, 856625L, 856626L, 856628L, 856629L, 
856634L, 856635L, 856637L, 856638L, 856643L, 856644L, 856646L, 
856647L, 856652L, 856653L, 856655L, 856656L, 856724L, 856725L, 
856727L, 856728L, 856733L, 856734L, 856736L, 856737L, 856742L, 
856743L, 856745L, 856746L, 856751L, 856752L, 856754L, 856755L, 
856760L, 856761L, 856763L, 856764L, 856778L, 856779L, 856781L, 
856782L, 856787L, 856788L, 856790L, 856791L, 856796L, 856797L, 
856799L, 856800L, 856805L, 856806L, 856808L, 856809L, 856814L, 
856815L, 856817L, 856818L, 856886L, 856887L, 856889L, 856890L, 
856895L, 856896L, 856898L, 856899L, 856904L, 856905L, 856907L, 
856908L, 856913L, 856914L, 856916L, 856917L, 856922L, 856923L, 
856925L, 856926L, 856940L, 856941L, 856943L, 856944L, 856949L, 
856950L, 856952L, 856953L, 856958L, 856959L, 856961L, 856962L, 
856967L, 856968L, 856970L, 856971L, 856976L, 856977L, 856979L, 
856980L, 857210L, 857211L, 857213L, 857214L, 857219L, 857220L, 
857222L, 857223L, 857228L, 857229L, 857231L, 857232L, 857237L, 
857238L, 857240L, 857241L, 857246L, 857247L, 857249L, 857250L, 
857264L, 857265L, 857267L, 857268L, 857273L, 857274L, 857276L, 
857277L, 857282L, 857283L, 857285L, 857286L, 857291L, 857292L, 
857294L, 857295L, 857300L, 857301L, 857303L, 857304L, 857372L, 
857373L, 857375L, 857376L, 857381L, 857382L, 857384L, 857385L, 
857390L, 857391L, 857393L, 857394L, 857399L, 857400L, 857402L, 
857403L, 857408L, 857409L, 857411L, 857412L, 857426L, 857427L, 
857429L, 857430L, 857435L, 857436L, 857438L, 857439L, 857444L, 
857445L, 857447L, 857448L, 857453L, 857454L, 857456L, 857457L, 
857462L, 857463L, 857465L, 857466L, 857534L, 857535L, 857537L, 
857538L, 857543L, 857544L, 857546L, 857547L, 857552L, 857553L, 
857555L, 857556L, 857561L, 857562L, 857564L, 857565L, 857570L, 
857571L, 857573L, 857574L, 857588L, 857589L, 857591L, 857592L, 
857597L, 857598L, 857600L, 857601L, 857606L, 857607L, 857609L, 
857610L, 857615L, 857616L, 857618L, 857619L, 857624L, 857625L, 
857627L, 857628L, 857696L, 857697L, 857699L, 857700L, 857705L, 
857706L, 857708L, 857709L, 857714L, 857715L, 857717L, 857718L, 
857723L, 857724L, 857726L, 857727L, 857732L, 857733L, 857735L, 
857736L, 857750L, 857751L, 857753L, 857754L, 857759L, 857760L, 
857762L, 857763L, 857768L, 857769L, 857771L, 857772L, 857777L, 
857778L, 857780L, 857781L, 857786L, 857787L, 857789L, 857790L, 
858020L, 858021L, 858023L, 858024L, 858029L, 858030L, 858032L, 
858033L, 858038L, 858039L, 858041L, 858042L, 858047L, 858048L, 
858050L, 858051L, 858056L, 858057L, 858059L, 858060L, 858074L, 
858075L, 858077L, 858078L, 858083L, 858084L, 858086L, 858087L, 
858092L, 858093L, 858095L, 858096L, 858101L, 858102L, 858104L, 
858105L, 858110L, 858111L, 858113L, 858114L, 858182L, 858183L, 
858185L, 858186L, 858191L, 858192L, 858194L, 858195L, 858200L, 
858201L, 858203L, 858204L, 858209L, 858210L, 858212L, 858213L, 
858218L, 858219L, 858221L, 858222L, 858236L, 858237L, 858239L, 
858240L, 858245L, 858246L, 858248L, 858249L, 858254L, 858255L, 
858257L, 858258L, 858263L, 858264L, 858266L, 858267L, 858272L, 
858273L, 858275L, 858276L, 858344L, 858345L, 858347L, 858348L, 
858353L, 858354L, 858356L, 858357L, 858362L, 858363L, 858365L, 
858366L, 858371L, 858372L, 858374L, 858375L, 858380L, 858381L, 
858383L, 858384L, 858398L, 858399L, 858401L, 858402L, 858407L, 
858408L, 858410L, 858411L, 858416L, 858417L, 858419L, 858420L, 
858425L, 858426L, 858428L, 858429L, 858434L, 858435L, 858437L, 
858438L, 858506L, 858507L, 858509L, 858510L, 858515L, 858516L, 
858518L, 858519L, 858524L, 858525L, 858527L, 858528L, 858533L, 
858534L, 858536L, 858537L, 858542L, 858543L, 858545L, 858546L, 
858560L, 858561L, 858563L, 858564L, 858569L, 858570L, 858572L, 
858573L, 858578L, 858579L, 858581L, 858582L, 858587L, 858588L, 
858590L, 858591L, 858596L, 858597L, 858599L, 858600L, 858830L, 
858831L, 858833L, 858834L, 858839L, 858840L, 858842L, 858843L, 
858848L, 858849L, 858851L, 858852L, 858857L, 858858L, 858860L, 
858861L, 858866L, 858867L, 858869L, 858870L, 858884L, 858885L, 
858887L, 858888L, 858893L, 858894L, 858896L, 858897L, 858902L, 
858903L, 858905L, 858906L, 858911L, 858912L, 858914L, 858915L, 
858920L, 858921L, 858923L, 858924L, 858992L, 858993L, 858995L, 
858996L, 859001L, 859002L, 859004L, 859005L, 859010L, 859011L, 
859013L, 859014L, 859019L, 859020L, 859022L, 859023L, 859028L, 
859029L, 859031L, 859032L, 859046L, 859047L, 859049L, 859050L, 
859055L, 859056L, 859058L, 859059L, 859064L, 859065L, 859067L, 
859068L, 859073L, 859074L, 859076L, 859077L, 859082L, 859083L, 
859085L, 859086L, 859154L, 859155L, 859157L, 859158L, 859163L, 
859164L, 859166L, 859167L, 859172L, 859173L, 859175L, 859176L, 
859181L, 859182L, 859184L, 859185L, 859190L, 859191L, 859193L, 
859194L, 859208L, 859209L, 859211L, 859212L, 859217L, 859218L, 
859220L, 859221L, 859226L, 859227L, 859229L, 859230L, 859235L, 
859236L, 859238L, 859239L, 859244L, 859245L, 859247L, 859248L, 
859316L, 859317L, 859319L, 859320L, 859325L, 859326L, 859328L, 
859329L, 859334L, 859335L, 859337L, 859338L, 859343L, 859344L, 
859346L, 859347L, 859352L, 859353L, 859355L, 859356L, 859370L, 
859371L, 859373L, 859374L, 859379L, 859380L, 859382L, 859383L, 
859388L, 859389L, 859391L, 859392L, 859397L, 859398L, 859400L, 
859401L, 859406L, 859407L, 859409L, 859410L, 859640L, 859641L, 
859643L, 859644L, 859649L, 859650L, 859652L, 859653L, 859658L, 
859659L, 859661L, 859662L, 859667L, 859668L, 859670L, 859671L, 
859676L, 859677L, 859679L, 859680L, 859694L, 859695L, 859697L, 
859698L, 859703L, 859704L, 859706L, 859707L, 859712L, 859713L, 
859715L, 859716L, 859721L, 859722L, 859724L, 859725L, 859730L, 
859731L, 859733L, 859734L, 859802L, 859803L, 859805L, 859806L, 
859811L, 859812L, 859814L, 859815L, 859820L, 859821L, 859823L, 
859824L, 859829L, 859830L, 859832L, 859833L, 859838L, 859839L, 
859841L, 859842L, 859856L, 859857L, 859859L, 859860L, 859865L, 
859866L, 859868L, 859869L, 859874L, 859875L, 859877L, 859878L, 
859883L, 859884L, 859886L, 859887L, 859892L, 859893L, 859895L, 
859896L, 859964L, 859965L, 859967L, 859968L, 859973L, 859974L, 
859976L, 859977L, 859982L, 859983L, 859985L, 859986L, 859991L, 
859992L, 859994L, 859995L, 860000L, 860001L, 860003L, 860004L, 
860018L, 860019L, 860021L, 860022L, 860027L, 860028L, 860030L, 
860031L, 860036L, 860037L, 860039L, 860040L, 860045L, 860046L, 
860048L, 860049L, 860054L, 860055L, 860057L, 860058L, 860126L, 
860127L, 860129L, 860130L, 860135L, 860136L, 860138L, 860139L, 
860144L, 860145L, 860147L, 860148L, 860153L, 860154L, 860156L, 
860157L, 860162L, 860163L, 860165L, 860166L, 860180L, 860181L, 
860183L, 860184L, 860189L, 860190L, 860192L, 860193L, 860198L, 
860199L, 860201L, 860202L, 860207L, 860208L, 860210L, 860211L, 
860216L, 860217L, 860219L, 860220L, 861260L, 861261L, 861263L, 
861264L, 861269L, 861270L, 861272L, 861273L, 861278L, 861279L, 
861281L, 861282L, 861287L, 861288L, 861290L, 861291L, 861296L, 
861297L, 861299L, 861300L, 861314L, 861315L, 861317L, 861318L, 
861323L, 861324L, 861326L, 861327L, 861332L, 861333L, 861335L, 
861336L, 861341L, 861342L, 861344L, 861345L, 861350L, 861351L, 
861353L, 861354L, 861422L, 861423L, 861425L, 861426L, 861431L, 
861432L, 861434L, 861435L, 861440L, 861441L, 861443L, 861444L, 
861449L, 861450L, 861452L, 861453L, 861458L, 861459L, 861461L, 
861462L, 861476L, 861477L, 861479L, 861480L, 861485L, 861486L, 
861488L, 861489L, 861494L, 861495L, 861497L, 861498L, 861503L, 
861504L, 861506L, 861507L, 861512L, 861513L, 861515L, 861516L, 
861584L, 861585L, 861587L, 861588L, 861593L, 861594L, 861596L, 
861597L, 861602L, 861603L, 861605L, 861606L, 861611L, 861612L, 
861614L, 861615L, 861620L, 861621L, 861623L, 861624L, 861638L, 
861639L, 861641L, 861642L, 861647L, 861648L, 861650L, 861651L, 
861656L, 861657L, 861659L, 861660L, 861665L, 861666L, 861668L, 
861669L, 861674L, 861675L, 861677L, 861678L, 861746L, 861747L, 
861749L, 861750L, 861755L, 861756L, 861758L, 861759L, 861764L, 
861765L, 861767L, 861768L, 861773L, 861774L, 861776L, 861777L, 
861782L, 861783L, 861785L, 861786L, 861800L, 861801L, 861803L, 
861804L, 861809L, 861810L, 861812L, 861813L, 861818L, 861819L, 
861821L, 861822L, 861827L, 861828L, 861830L, 861831L, 861836L, 
861837L, 861839L, 861840L, 862070L, 862071L, 862073L, 862074L, 
862079L, 862080L, 862082L, 862083L, 862088L, 862089L, 862091L, 
862092L, 862097L, 862098L, 862100L, 862101L, 862106L, 862107L, 
862109L, 862110L, 862124L, 862125L, 862127L, 862128L, 862133L, 
862134L, 862136L, 862137L, 862142L, 862143L, 862145L, 862146L, 
862151L, 862152L, 862154L, 862155L, 862160L, 862161L, 862163L, 
862164L, 862232L, 862233L, 862235L, 862236L, 862241L, 862242L, 
862244L, 862245L, 862250L, 862251L, 862253L, 862254L, 862259L, 
862260L, 862262L, 862263L, 862268L, 862269L, 862271L, 862272L, 
862286L, 862287L, 862289L, 862290L, 862295L, 862296L, 862298L, 
862299L, 862304L, 862305L, 862307L, 862308L, 862313L, 862314L, 
862316L, 862317L, 862322L, 862323L, 862325L, 862326L, 862394L, 
862395L, 862397L, 862398L, 862403L, 862404L, 862406L, 862407L, 
862412L, 862413L, 862415L, 862416L, 862421L, 862422L, 862424L, 
862425L, 862430L, 862431L, 862433L, 862434L, 862448L, 862449L, 
862451L, 862452L, 862457L, 862458L, 862460L, 862461L, 862466L, 
862467L, 862469L, 862470L, 862475L, 862476L, 862478L, 862479L, 
862484L, 862485L, 862487L, 862488L, 862556L, 862557L, 862559L, 
862560L, 862565L, 862566L, 862568L, 862569L, 862574L, 862575L, 
862577L, 862578L, 862583L, 862584L, 862586L, 862587L, 862592L, 
862593L, 862595L, 862596L, 862610L, 862611L, 862613L, 862614L, 
862619L, 862620L, 862622L, 862623L, 862628L, 862629L, 862631L, 
862632L, 862637L, 862638L, 862640L, 862641L, 862646L, 862647L, 
862649L, 862650L, 862880L, 862881L, 862883L, 862884L, 862889L, 
862890L, 862892L, 862893L, 862898L, 862899L, 862901L, 862902L, 
862907L, 862908L, 862910L, 862911L, 862916L, 862917L, 862919L, 
862920L, 862934L, 862935L, 862937L, 862938L, 862943L, 862944L, 
862946L, 862947L, 862952L, 862953L, 862955L, 862956L, 862961L, 
862962L, 862964L, 862965L, 862970L, 862971L, 862973L, 862974L, 
863042L, 863043L, 863045L, 863046L, 863051L, 863052L, 863054L, 
863055L, 863060L, 863061L, 863063L, 863064L, 863069L, 863070L, 
863072L, 863073L, 863078L, 863079L, 863081L, 863082L, 863096L, 
863097L, 863099L, 863100L, 863105L, 863106L, 863108L, 863109L, 
863114L, 863115L, 863117L, 863118L, 863123L, 863124L, 863126L, 
863127L, 863132L, 863133L, 863135L, 863136L, 863204L, 863205L, 
863207L, 863208L, 863213L, 863214L, 863216L, 863217L, 863222L, 
863223L, 863225L, 863226L, 863231L, 863232L, 863234L, 863235L, 
863240L, 863241L, 863243L, 863244L, 863258L, 863259L, 863261L, 
863262L, 863267L, 863268L, 863270L, 863271L, 863276L, 863277L, 
863279L, 863280L, 863285L, 863286L, 863288L, 863289L, 863294L, 
863295L, 863297L, 863298L, 863366L, 863367L, 863369L, 863370L, 
863375L, 863376L, 863378L, 863379L, 863384L, 863385L, 863387L, 
863388L, 863393L, 863394L, 863396L, 863397L, 863402L, 863403L, 
863405L, 863406L, 863420L, 863421L, 863423L, 863424L, 863429L, 
863430L, 863432L, 863433L, 863438L, 863439L, 863441L, 863442L, 
863447L, 863448L, 863450L, 863451L, 863456L, 863457L, 863459L, 
863460L, 863690L, 863691L, 863693L, 863694L, 863699L, 863700L, 
863702L, 863703L, 863708L, 863709L, 863711L, 863712L, 863717L, 
863718L, 863720L, 863721L, 863726L, 863727L, 863729L, 863730L, 
863744L, 863745L, 863747L, 863748L, 863753L, 863754L, 863756L, 
863757L, 863762L, 863763L, 863765L, 863766L, 863771L, 863772L, 
863774L, 863775L, 863780L, 863781L, 863783L, 863784L, 863852L, 
863853L, 863855L, 863856L, 863861L, 863862L, 863864L, 863865L, 
863870L, 863871L, 863873L, 863874L, 863879L, 863880L, 863882L, 
863883L, 863888L, 863889L, 863891L, 863892L, 863906L, 863907L, 
863909L, 863910L, 863915L, 863916L, 863918L, 863919L, 863924L, 
863925L, 863927L, 863928L, 863933L, 863934L, 863936L, 863937L, 
863942L, 863943L, 863945L, 863946L, 864014L, 864015L, 864017L, 
864018L, 864023L, 864024L, 864026L, 864027L, 864032L, 864033L, 
864035L, 864036L, 864041L, 864042L, 864044L, 864045L, 864050L, 
864051L, 864053L, 864054L, 864068L, 864069L, 864071L, 864072L, 
864077L, 864078L, 864080L, 864081L, 864086L, 864087L, 864089L, 
864090L, 864095L, 864096L, 864098L, 864099L, 864104L, 864105L, 
864107L, 864108L, 864176L, 864177L, 864179L, 864180L, 864185L, 
864186L, 864188L, 864189L, 864194L, 864195L, 864197L, 864198L, 
864203L, 864204L, 864206L, 864207L, 864212L, 864213L, 864215L, 
864216L, 864230L, 864231L, 864233L, 864234L, 864239L, 864240L, 
864242L, 864243L, 864248L, 864249L, 864251L, 864252L, 864257L, 
864258L, 864260L, 864261L, 864266L, 864267L, 864269L, 864270L, 
864500L, 864501L, 864503L, 864504L, 864509L, 864510L, 864512L, 
864513L, 864518L, 864519L, 864521L, 864522L, 864527L, 864528L, 
864530L, 864531L, 864536L, 864537L, 864539L, 864540L, 864554L, 
864555L, 864557L, 864558L, 864563L, 864564L, 864566L, 864567L, 
864572L, 864573L, 864575L, 864576L, 864581L, 864582L, 864584L, 
864585L, 864590L, 864591L, 864593L, 864594L, 864662L, 864663L, 
864665L, 864666L, 864671L, 864672L, 864674L, 864675L, 864680L, 
864681L, 864683L, 864684L, 864689L, 864690L, 864692L, 864693L, 
864698L, 864699L, 864701L, 864702L, 864716L, 864717L, 864719L, 
864720L, 864725L, 864726L, 864728L, 864729L, 864734L, 864735L, 
864737L, 864738L, 864743L, 864744L, 864746L, 864747L, 864752L, 
864753L, 864755L, 864756L, 864824L, 864825L, 864827L, 864828L, 
864833L, 864834L, 864836L, 864837L, 864842L, 864843L, 864845L, 
864846L, 864851L, 864852L, 864854L, 864855L, 864860L, 864861L, 
864863L, 864864L, 864878L, 864879L, 864881L, 864882L, 864887L, 
864888L, 864890L, 864891L, 864896L, 864897L, 864899L, 864900L, 
864905L, 864906L, 864908L, 864909L, 864914L, 864915L, 864917L, 
864918L, 864986L, 864987L, 864989L, 864990L, 864995L, 864996L, 
864998L, 864999L, 865004L, 865005L, 865007L, 865008L, 865013L, 
865014L, 865016L, 865017L, 865022L, 865023L, 865025L, 865026L, 
865040L, 865041L, 865043L, 865044L, 865049L, 865050L, 865052L, 
865053L, 865058L, 865059L, 865061L, 865062L, 865067L, 865068L, 
865070L, 865071L, 865076L, 865077L, 865079L, 865080L, 866120L, 
866121L, 866123L, 866124L, 866129L, 866130L, 866132L, 866133L, 
866138L, 866139L, 866141L, 866142L, 866147L, 866148L, 866150L, 
866151L, 866156L, 866157L, 866159L, 866160L, 866174L, 866175L, 
866177L, 866178L, 866183L, 866184L, 866186L, 866187L, 866192L, 
866193L, 866195L, 866196L, 866201L, 866202L, 866204L, 866205L, 
866210L, 866211L, 866213L, 866214L, 866282L, 866283L, 866285L, 
866286L, 866291L, 866292L, 866294L, 866295L, 866300L, 866301L, 
866303L, 866304L, 866309L, 866310L, 866312L, 866313L, 866318L, 
866319L, 866321L, 866322L, 866336L, 866337L, 866339L, 866340L, 
866345L, 866346L, 866348L, 866349L, 866354L, 866355L, 866357L, 
866358L, 866363L, 866364L, 866366L, 866367L, 866372L, 866373L, 
866375L, 866376L, 866444L, 866445L, 866447L, 866448L, 866453L, 
866454L, 866456L, 866457L, 866462L, 866463L, 866465L, 866466L, 
866471L, 866472L, 866474L, 866475L, 866480L, 866481L, 866483L, 
866484L, 866498L, 866499L, 866501L, 866502L, 866507L, 866508L, 
866510L, 866511L, 866516L, 866517L, 866519L, 866520L, 866525L, 
866526L, 866528L, 866529L, 866534L, 866535L, 866537L, 866538L, 
866606L, 866607L, 866609L, 866610L, 866615L, 866616L, 866618L, 
866619L, 866624L, 866625L, 866627L, 866628L, 866633L, 866634L, 
866636L, 866637L, 866642L, 866643L, 866645L, 866646L, 866660L, 
866661L, 866663L, 866664L, 866669L, 866670L, 866672L, 866673L, 
866678L, 866679L, 866681L, 866682L, 866687L, 866688L, 866690L, 
866691L, 866696L, 866697L, 866699L, 866700L, 866930L, 866931L, 
866933L, 866934L, 866939L, 866940L, 866942L, 866943L, 866948L, 
866949L, 866951L, 866952L, 866957L, 866958L, 866960L, 866961L, 
866966L, 866967L, 866969L, 866970L, 866984L, 866985L, 866987L, 
866988L, 866993L, 866994L, 866996L, 866997L, 867002L, 867003L, 
867005L, 867006L, 867011L, 867012L, 867014L, 867015L, 867020L, 
867021L, 867023L, 867024L, 867092L, 867093L, 867095L, 867096L, 
867101L, 867102L, 867104L, 867105L, 867110L, 867111L, 867113L, 
867114L, 867119L, 867120L, 867122L, 867123L, 867128L, 867129L, 
867131L, 867132L, 867146L, 867147L, 867149L, 867150L, 867155L, 
867156L, 867158L, 867159L, 867164L, 867165L, 867167L, 867168L, 
867173L, 867174L, 867176L, 867177L, 867182L, 867183L, 867185L, 
867186L, 867254L, 867255L, 867257L, 867258L, 867263L, 867264L, 
867266L, 867267L, 867272L, 867273L, 867275L, 867276L, 867281L, 
867282L, 867284L, 867285L, 867290L, 867291L, 867293L, 867294L, 
867308L, 867309L, 867311L, 867312L, 867317L, 867318L, 867320L, 
867321L, 867326L, 867327L, 867329L, 867330L, 867335L, 867336L, 
867338L, 867339L, 867344L, 867345L, 867347L, 867348L, 867416L, 
867417L, 867419L, 867420L, 867425L, 867426L, 867428L, 867429L, 
867434L, 867435L, 867437L, 867438L, 867443L, 867444L, 867446L, 
867447L, 867452L, 867453L, 867455L, 867456L, 867470L, 867471L, 
867473L, 867474L, 867479L, 867480L, 867482L, 867483L, 867488L, 
867489L, 867491L, 867492L, 867497L, 867498L, 867500L, 867501L, 
867506L, 867507L, 867509L, 867510L, 867740L, 867741L, 867743L, 
867744L, 867749L, 867750L, 867752L, 867753L, 867758L, 867759L, 
867761L, 867762L, 867767L, 867768L, 867770L, 867771L, 867776L, 
867777L, 867779L, 867780L, 867794L, 867795L, 867797L, 867798L, 
867803L, 867804L, 867806L, 867807L, 867812L, 867813L, 867815L, 
867816L, 867821L, 867822L, 867824L, 867825L, 867830L, 867831L, 
867833L, 867834L, 867902L, 867903L, 867905L, 867906L, 867911L, 
867912L, 867914L, 867915L, 867920L, 867921L, 867923L, 867924L, 
867929L, 867930L, 867932L, 867933L, 867938L, 867939L, 867941L, 
867942L, 867956L, 867957L, 867959L, 867960L, 867965L, 867966L, 
867968L, 867969L, 867974L, 867975L, 867977L, 867978L, 867983L, 
867984L, 867986L, 867987L, 867992L, 867993L, 867995L, 867996L, 
868064L, 868065L, 868067L, 868068L, 868073L, 868074L, 868076L, 
868077L, 868082L, 868083L, 868085L, 868086L, 868091L, 868092L, 
868094L, 868095L, 868100L, 868101L, 868103L, 868104L, 868118L, 
868119L, 868121L, 868122L, 868127L, 868128L, 868130L, 868131L, 
868136L, 868137L, 868139L, 868140L, 868145L, 868146L, 868148L, 
868149L, 868154L, 868155L, 868157L, 868158L, 868226L, 868227L, 
868229L, 868230L, 868235L, 868236L, 868238L, 868239L, 868244L, 
868245L, 868247L, 868248L, 868253L, 868254L, 868256L, 868257L, 
868262L, 868263L, 868265L, 868266L, 868280L, 868281L, 868283L, 
868284L, 868289L, 868290L, 868292L, 868293L, 868298L, 868299L, 
868301L, 868302L, 868307L, 868308L, 868310L, 868311L, 868316L, 
868317L, 868319L, 868320L, 868550L, 868551L, 868553L, 868554L, 
868559L, 868560L, 868562L, 868563L, 868568L, 868569L, 868571L, 
868572L, 868577L, 868578L, 868580L, 868581L, 868586L, 868587L, 
868589L, 868590L, 868604L, 868605L, 868607L, 868608L, 868613L, 
868614L, 868616L, 868617L, 868622L, 868623L, 868625L, 868626L, 
868631L, 868632L, 868634L, 868635L, 868640L, 868641L, 868643L, 
868644L, 868712L, 868713L, 868715L, 868716L, 868721L, 868722L, 
868724L, 868725L, 868730L, 868731L, 868733L, 868734L, 868739L, 
868740L, 868742L, 868743L, 868748L, 868749L, 868751L, 868752L, 
868766L, 868767L, 868769L, 868770L, 868775L, 868776L, 868778L, 
868779L, 868784L, 868785L, 868787L, 868788L, 868793L, 868794L, 
868796L, 868797L, 868802L, 868803L, 868805L, 868806L, 868874L, 
868875L, 868877L, 868878L, 868883L, 868884L, 868886L, 868887L, 
868892L, 868893L, 868895L, 868896L, 868901L, 868902L, 868904L, 
868905L, 868910L, 868911L, 868913L, 868914L, 868928L, 868929L, 
868931L, 868932L, 868937L, 868938L, 868940L, 868941L, 868946L, 
868947L, 868949L, 868950L, 868955L, 868956L, 868958L, 868959L, 
868964L, 868965L, 868967L, 868968L, 869036L, 869037L, 869039L, 
869040L, 869045L, 869046L, 869048L, 869049L, 869054L, 869055L, 
869057L, 869058L, 869063L, 869064L, 869066L, 869067L, 869072L, 
869073L, 869075L, 869076L, 869090L, 869091L, 869093L, 869094L, 
869099L, 869100L, 869102L, 869103L, 869108L, 869109L, 869111L, 
869112L, 869117L, 869118L, 869120L, 869121L, 869126L, 869127L, 
869129L, 869130L, 869360L, 869361L, 869363L, 869364L, 869369L, 
869370L, 869372L, 869373L, 869378L, 869379L, 869381L, 869382L, 
869387L, 869388L, 869390L, 869391L, 869396L, 869397L, 869399L, 
869400L, 869414L, 869415L, 869417L, 869418L, 869423L, 869424L, 
869426L, 869427L, 869432L, 869433L, 869435L, 869436L, 869441L, 
869442L, 869444L, 869445L, 869450L, 869451L, 869453L, 869454L, 
869522L, 869523L, 869525L, 869526L, 869531L, 869532L, 869534L, 
869535L, 869540L, 869541L, 869543L, 869544L, 869549L, 869550L, 
869552L, 869553L, 869558L, 869559L, 869561L, 869562L, 869576L, 
869577L, 869579L, 869580L, 869585L, 869586L, 869588L, 869589L, 
869594L, 869595L, 869597L, 869598L, 869603L, 869604L, 869606L, 
869607L, 869612L, 869613L, 869615L, 869616L, 869684L, 869685L, 
869687L, 869688L, 869693L, 869694L, 869696L, 869697L, 869702L, 
869703L, 869705L, 869706L, 869711L, 869712L, 869714L, 869715L, 
869720L, 869721L, 869723L, 869724L, 869738L, 869739L, 869741L, 
869742L, 869747L, 869748L, 869750L, 869751L, 869756L, 869757L, 
869759L, 869760L, 869765L, 869766L, 869768L, 869769L, 869774L, 
869775L, 869777L, 869778L, 869846L, 869847L, 869849L, 869850L, 
869855L, 869856L, 869858L, 869859L, 869864L, 869865L, 869867L, 
869868L, 869873L, 869874L, 869876L, 869877L, 869882L, 869883L, 
869885L, 869886L, 869900L, 869901L, 869903L, 869904L, 869909L, 
869910L, 869912L, 869913L, 869918L, 869919L, 869921L, 869922L, 
869927L, 869928L, 869930L, 869931L, 869936L, 869937L, 869939L, 
869940L, 880700L, 880701L, 880703L, 880704L, 880709L, 880710L, 
880712L, 880713L, 880718L, 880719L, 880721L, 880722L, 880727L, 
880728L, 880730L, 880731L, 880736L, 880737L, 880739L, 880740L, 
880754L, 880755L, 880757L, 880758L, 880763L, 880764L, 880766L, 
880767L, 880772L, 880773L, 880775L, 880776L, 880781L, 880782L, 
880784L, 880785L, 880790L, 880791L, 880793L, 880794L, 880862L, 
880863L, 880865L, 880866L, 880871L, 880872L, 880874L, 880875L, 
880880L, 880881L, 880883L, 880884L, 880889L, 880890L, 880892L, 
880893L, 880898L, 880899L, 880901L, 880902L, 880916L, 880917L, 
880919L, 880920L, 880925L, 880926L, 880928L, 880929L, 880934L, 
880935L, 880937L, 880938L, 880943L, 880944L, 880946L, 880947L, 
880952L, 880953L, 880955L, 880956L, 881024L, 881025L, 881027L, 
881028L, 881033L, 881034L, 881036L, 881037L, 881042L, 881043L, 
881045L, 881046L, 881051L, 881052L, 881054L, 881055L, 881060L, 
881061L, 881063L, 881064L, 881078L, 881079L, 881081L, 881082L, 
881087L, 881088L, 881090L, 881091L, 881096L, 881097L, 881099L, 
881100L, 881105L, 881106L, 881108L, 881109L, 881114L, 881115L, 
881117L, 881118L, 881186L, 881187L, 881189L, 881190L, 881195L, 
881196L, 881198L, 881199L, 881204L, 881205L, 881207L, 881208L, 
881213L, 881214L, 881216L, 881217L, 881222L, 881223L, 881225L, 
881226L, 881240L, 881241L, 881243L, 881244L, 881249L, 881250L, 
881252L, 881253L, 881258L, 881259L, 881261L, 881262L, 881267L, 
881268L, 881270L, 881271L, 881276L, 881277L, 881279L, 881280L, 
881510L, 881511L, 881513L, 881514L, 881519L, 881520L, 881522L, 
881523L, 881528L, 881529L, 881531L, 881532L, 881537L, 881538L, 
881540L, 881541L, 881546L, 881547L, 881549L, 881550L, 881564L, 
881565L, 881567L, 881568L, 881573L, 881574L, 881576L, 881577L, 
881582L, 881583L, 881585L, 881586L, 881591L, 881592L, 881594L, 
881595L, 881600L, 881601L, 881603L, 881604L, 881672L, 881673L, 
881675L, 881676L, 881681L, 881682L, 881684L, 881685L, 881690L, 
881691L, 881693L, 881694L, 881699L, 881700L, 881702L, 881703L, 
881708L, 881709L, 881711L, 881712L, 881726L, 881727L, 881729L, 
881730L, 881735L, 881736L, 881738L, 881739L, 881744L, 881745L, 
881747L, 881748L, 881753L, 881754L, 881756L, 881757L, 881762L, 
881763L, 881765L, 881766L, 881834L, 881835L, 881837L, 881838L, 
881843L, 881844L, 881846L, 881847L, 881852L, 881853L, 881855L, 
881856L, 881861L, 881862L, 881864L, 881865L, 881870L, 881871L, 
881873L, 881874L, 881888L, 881889L, 881891L, 881892L, 881897L, 
881898L, 881900L, 881901L, 881906L, 881907L, 881909L, 881910L, 
881915L, 881916L, 881918L, 881919L, 881924L, 881925L, 881927L, 
881928L, 881996L, 881997L, 881999L, 882000L, 882005L, 882006L, 
882008L, 882009L, 882014L, 882015L, 882017L, 882018L, 882023L, 
882024L, 882026L, 882027L, 882032L, 882033L, 882035L, 882036L, 
882050L, 882051L, 882053L, 882054L, 882059L, 882060L, 882062L, 
882063L, 882068L, 882069L, 882071L, 882072L, 882077L, 882078L, 
882080L, 882081L, 882086L, 882087L, 882089L, 882090L, 882320L, 
882321L, 882323L, 882324L, 882329L, 882330L, 882332L, 882333L, 
882338L, 882339L, 882341L, 882342L, 882347L, 882348L, 882350L, 
882351L, 882356L, 882357L, 882359L, 882360L, 882374L, 882375L, 
882377L, 882378L, 882383L, 882384L, 882386L, 882387L, 882392L, 
882393L, 882395L, 882396L, 882401L, 882402L, 882404L, 882405L, 
882410L, 882411L, 882413L, 882414L, 882482L, 882483L, 882485L, 
882486L, 882491L, 882492L, 882494L, 882495L, 882500L, 882501L, 
882503L, 882504L, 882509L, 882510L, 882512L, 882513L, 882518L, 
882519L, 882521L, 882522L, 882536L, 882537L, 882539L, 882540L, 
882545L, 882546L, 882548L, 882549L, 882554L, 882555L, 882557L, 
882558L, 882563L, 882564L, 882566L, 882567L, 882572L, 882573L, 
882575L, 882576L, 882644L, 882645L, 882647L, 882648L, 882653L, 
882654L, 882656L, 882657L, 882662L, 882663L, 882665L, 882666L, 
882671L, 882672L, 882674L, 882675L, 882680L, 882681L, 882683L, 
882684L, 882698L, 882699L, 882701L, 882702L, 882707L, 882708L, 
882710L, 882711L, 882716L, 882717L, 882719L, 882720L, 882725L, 
882726L, 882728L, 882729L, 882734L, 882735L, 882737L, 882738L, 
882806L, 882807L, 882809L, 882810L, 882815L, 882816L, 882818L, 
882819L, 882824L, 882825L, 882827L, 882828L, 882833L, 882834L, 
882836L, 882837L, 882842L, 882843L, 882845L, 882846L, 882860L, 
882861L, 882863L, 882864L, 882869L, 882870L, 882872L, 882873L, 
882878L, 882879L, 882881L, 882882L, 882887L, 882888L, 882890L, 
882891L, 882896L, 882897L, 882899L, 882900L, 883130L, 883131L, 
883133L, 883134L, 883139L, 883140L, 883142L, 883143L, 883148L, 
883149L, 883151L, 883152L, 883157L, 883158L, 883160L, 883161L, 
883166L, 883167L, 883169L, 883170L, 883184L, 883185L, 883187L, 
883188L, 883193L, 883194L, 883196L, 883197L, 883202L, 883203L, 
883205L, 883206L, 883211L, 883212L, 883214L, 883215L, 883220L, 
883221L, 883223L, 883224L, 883292L, 883293L, 883295L, 883296L, 
883301L, 883302L, 883304L, 883305L, 883310L, 883311L, 883313L, 
883314L, 883319L, 883320L, 883322L, 883323L, 883328L, 883329L, 
883331L, 883332L, 883346L, 883347L, 883349L, 883350L, 883355L, 
883356L, 883358L, 883359L, 883364L, 883365L, 883367L, 883368L, 
883373L, 883374L, 883376L, 883377L, 883382L, 883383L, 883385L, 
883386L, 883454L, 883455L, 883457L, 883458L, 883463L, 883464L, 
883466L, 883467L, 883472L, 883473L, 883475L, 883476L, 883481L, 
883482L, 883484L, 883485L, 883490L, 883491L, 883493L, 883494L, 
883508L, 883509L, 883511L, 883512L, 883517L, 883518L, 883520L, 
883521L, 883526L, 883527L, 883529L, 883530L, 883535L, 883536L, 
883538L, 883539L, 883544L, 883545L, 883547L, 883548L, 883616L, 
883617L, 883619L, 883620L, 883625L, 883626L, 883628L, 883629L, 
883634L, 883635L, 883637L, 883638L, 883643L, 883644L, 883646L, 
883647L, 883652L, 883653L, 883655L, 883656L, 883670L, 883671L, 
883673L, 883674L, 883679L, 883680L, 883682L, 883683L, 883688L, 
883689L, 883691L, 883692L, 883697L, 883698L, 883700L, 883701L, 
883706L, 883707L, 883709L, 883710L, 883940L, 883941L, 883943L, 
883944L, 883949L, 883950L, 883952L, 883953L, 883958L, 883959L, 
883961L, 883962L, 883967L, 883968L, 883970L, 883971L, 883976L, 
883977L, 883979L, 883980L, 883994L, 883995L, 883997L, 883998L, 
884003L, 884004L, 884006L, 884007L, 884012L, 884013L, 884015L, 
884016L, 884021L, 884022L, 884024L, 884025L, 884030L, 884031L, 
884033L, 884034L, 884102L, 884103L, 884105L, 884106L, 884111L, 
884112L, 884114L, 884115L, 884120L, 884121L, 884123L, 884124L, 
884129L, 884130L, 884132L, 884133L, 884138L, 884139L, 884141L, 
884142L, 884156L, 884157L, 884159L, 884160L, 884165L, 884166L, 
884168L, 884169L, 884174L, 884175L, 884177L, 884178L, 884183L, 
884184L, 884186L, 884187L, 884192L, 884193L, 884195L, 884196L, 
884264L, 884265L, 884267L, 884268L, 884273L, 884274L, 884276L, 
884277L, 884282L, 884283L, 884285L, 884286L, 884291L, 884292L, 
884294L, 884295L, 884300L, 884301L, 884303L, 884304L, 884318L, 
884319L, 884321L, 884322L, 884327L, 884328L, 884330L, 884331L, 
884336L, 884337L, 884339L, 884340L, 884345L, 884346L, 884348L, 
884349L, 884354L, 884355L, 884357L, 884358L, 884426L, 884427L, 
884429L, 884430L, 884435L, 884436L, 884438L, 884439L, 884444L, 
884445L, 884447L, 884448L, 884453L, 884454L, 884456L, 884457L, 
884462L, 884463L, 884465L, 884466L, 884480L, 884481L, 884483L, 
884484L, 884489L, 884490L, 884492L, 884493L, 884498L, 884499L, 
884501L, 884502L, 884507L, 884508L, 884510L, 884511L, 884516L, 
884517L, 884519L, 884520L, 885560L, 885561L, 885563L, 885564L, 
885569L, 885570L, 885572L, 885573L, 885578L, 885579L, 885581L, 
885582L, 885587L, 885588L, 885590L, 885591L, 885596L, 885597L, 
885599L, 885600L, 885614L, 885615L, 885617L, 885618L, 885623L, 
885624L, 885626L, 885627L, 885632L, 885633L, 885635L, 885636L, 
885641L, 885642L, 885644L, 885645L, 885650L, 885651L, 885653L, 
885654L, 885722L, 885723L, 885725L, 885726L, 885731L, 885732L, 
885734L, 885735L, 885740L, 885741L, 885743L, 885744L, 885749L, 
885750L, 885752L, 885753L, 885758L, 885759L, 885761L, 885762L, 
885776L, 885777L, 885779L, 885780L, 885785L, 885786L, 885788L, 
885789L, 885794L, 885795L, 885797L, 885798L, 885803L, 885804L, 
885806L, 885807L, 885812L, 885813L, 885815L, 885816L, 885884L, 
885885L, 885887L, 885888L, 885893L, 885894L, 885896L, 885897L, 
885902L, 885903L, 885905L, 885906L, 885911L, 885912L, 885914L, 
885915L, 885920L, 885921L, 885923L, 885924L, 885938L, 885939L, 
885941L, 885942L, 885947L, 885948L, 885950L, 885951L, 885956L, 
885957L, 885959L, 885960L, 885965L, 885966L, 885968L, 885969L, 
885974L, 885975L, 885977L, 885978L, 886046L, 886047L, 886049L, 
886050L, 886055L, 886056L, 886058L, 886059L, 886064L, 886065L, 
886067L, 886068L, 886073L, 886074L, 886076L, 886077L, 886082L, 
886083L, 886085L, 886086L, 886100L, 886101L, 886103L, 886104L, 
886109L, 886110L, 886112L, 886113L, 886118L, 886119L, 886121L, 
886122L, 886127L, 886128L, 886130L, 886131L, 886136L, 886137L, 
886139L, 886140L, 886370L, 886371L, 886373L, 886374L, 886379L, 
886380L, 886382L, 886383L, 886388L, 886389L, 886391L, 886392L, 
886397L, 886398L, 886400L, 886401L, 886406L, 886407L, 886409L, 
886410L, 886424L, 886425L, 886427L, 886428L, 886433L, 886434L, 
886436L, 886437L, 886442L, 886443L, 886445L, 886446L, 886451L, 
886452L, 886454L, 886455L, 886460L, 886461L, 886463L, 886464L, 
886532L, 886533L, 886535L, 886536L, 886541L, 886542L, 886544L, 
886545L, 886550L, 886551L, 886553L, 886554L, 886559L, 886560L, 
886562L, 886563L, 886568L, 886569L, 886571L, 886572L, 886586L, 
886587L, 886589L, 886590L, 886595L, 886596L, 886598L, 886599L, 
886604L, 886605L, 886607L, 886608L, 886613L, 886614L, 886616L, 
886617L, 886622L, 886623L, 886625L, 886626L, 886694L, 886695L, 
886697L, 886698L, 886703L, 886704L, 886706L, 886707L, 886712L, 
886713L, 886715L, 886716L, 886721L, 886722L, 886724L, 886725L, 
886730L, 886731L, 886733L, 886734L, 886748L, 886749L, 886751L, 
886752L, 886757L, 886758L, 886760L, 886761L, 886766L, 886767L, 
886769L, 886770L, 886775L, 886776L, 886778L, 886779L, 886784L, 
886785L, 886787L, 886788L, 886856L, 886857L, 886859L, 886860L, 
886865L, 886866L, 886868L, 886869L, 886874L, 886875L, 886877L, 
886878L, 886883L, 886884L, 886886L, 886887L, 886892L, 886893L, 
886895L, 886896L, 886910L, 886911L, 886913L, 886914L, 886919L, 
886920L, 886922L, 886923L, 886928L, 886929L, 886931L, 886932L, 
886937L, 886938L, 886940L, 886941L, 886946L, 886947L, 886949L, 
886950L, 887180L, 887181L, 887183L, 887184L, 887189L, 887190L, 
887192L, 887193L, 887198L, 887199L, 887201L, 887202L, 887207L, 
887208L, 887210L, 887211L, 887216L, 887217L, 887219L, 887220L, 
887234L, 887235L, 887237L, 887238L, 887243L, 887244L, 887246L, 
887247L, 887252L, 887253L, 887255L, 887256L, 887261L, 887262L, 
887264L, 887265L, 887270L, 887271L, 887273L, 887274L, 887342L, 
887343L, 887345L, 887346L, 887351L, 887352L, 887354L, 887355L, 
887360L, 887361L, 887363L, 887364L, 887369L, 887370L, 887372L, 
887373L, 887378L, 887379L, 887381L, 887382L, 887396L, 887397L, 
887399L, 887400L, 887405L, 887406L, 887408L, 887409L, 887414L, 
887415L, 887417L, 887418L, 887423L, 887424L, 887426L, 887427L, 
887432L, 887433L, 887435L, 887436L, 887504L, 887505L, 887507L, 
887508L, 887513L, 887514L, 887516L, 887517L, 887522L, 887523L, 
887525L, 887526L, 887531L, 887532L, 887534L, 887535L, 887540L, 
887541L, 887543L, 887544L, 887558L, 887559L, 887561L, 887562L, 
887567L, 887568L, 887570L, 887571L, 887576L, 887577L, 887579L, 
887580L, 887585L, 887586L, 887588L, 887589L, 887594L, 887595L, 
887597L, 887598L, 887666L, 887667L, 887669L, 887670L, 887675L, 
887676L, 887678L, 887679L, 887684L, 887685L, 887687L, 887688L, 
887693L, 887694L, 887696L, 887697L, 887702L, 887703L, 887705L, 
887706L, 887720L, 887721L, 887723L, 887724L, 887729L, 887730L, 
887732L, 887733L, 887738L, 887739L, 887741L, 887742L, 887747L, 
887748L, 887750L, 887751L, 887756L, 887757L, 887759L, 887760L, 
887990L, 887991L, 887993L, 887994L, 887999L, 888000L, 888002L, 
888003L, 888008L, 888009L, 888011L, 888012L, 888017L, 888018L, 
888020L, 888021L, 888026L, 888027L, 888029L, 888030L, 888044L, 
888045L, 888047L, 888048L, 888053L, 888054L, 888056L, 888057L, 
888062L, 888063L, 888065L, 888066L, 888071L, 888072L, 888074L, 
888075L, 888080L, 888081L, 888083L, 888084L, 888152L, 888153L, 
888155L, 888156L, 888161L, 888162L, 888164L, 888165L, 888170L, 
888171L, 888173L, 888174L, 888179L, 888180L, 888182L, 888183L, 
888188L, 888189L, 888191L, 888192L, 888206L, 888207L, 888209L, 
888210L, 888215L, 888216L, 888218L, 888219L, 888224L, 888225L, 
888227L, 888228L, 888233L, 888234L, 888236L, 888237L, 888242L, 
888243L, 888245L, 888246L, 888314L, 888315L, 888317L, 888318L, 
888323L, 888324L, 888326L, 888327L, 888332L, 888333L, 888335L, 
888336L, 888341L, 888342L, 888344L, 888345L, 888350L, 888351L, 
888353L, 888354L, 888368L, 888369L, 888371L, 888372L, 888377L, 
888378L, 888380L, 888381L, 888386L, 888387L, 888389L, 888390L, 
888395L, 888396L, 888398L, 888399L, 888404L, 888405L, 888407L, 
888408L, 888476L, 888477L, 888479L, 888480L, 888485L, 888486L, 
888488L, 888489L, 888494L, 888495L, 888497L, 888498L, 888503L, 
888504L, 888506L, 888507L, 888512L, 888513L, 888515L, 888516L, 
888530L, 888531L, 888533L, 888534L, 888539L, 888540L, 888542L, 
888543L, 888548L, 888549L, 888551L, 888552L, 888557L, 888558L, 
888560L, 888561L, 888566L, 888567L, 888569L, 888570L, 888800L, 
888801L, 888803L, 888804L, 888809L, 888810L, 888812L, 888813L, 
888818L, 888819L, 888821L, 888822L, 888827L, 888828L, 888830L, 
888831L, 888836L, 888837L, 888839L, 888840L, 888854L, 888855L, 
888857L, 888858L, 888863L, 888864L, 888866L, 888867L, 888872L, 
888873L, 888875L, 888876L, 888881L, 888882L, 888884L, 888885L, 
888890L, 888891L, 888893L, 888894L, 888962L, 888963L, 888965L, 
888966L, 888971L, 888972L, 888974L, 888975L, 888980L, 888981L, 
888983L, 888984L, 888989L, 888990L, 888992L, 888993L, 888998L, 
888999L, 889001L, 889002L, 889016L, 889017L, 889019L, 889020L, 
889025L, 889026L, 889028L, 889029L, 889034L, 889035L, 889037L, 
889038L, 889043L, 889044L, 889046L, 889047L, 889052L, 889053L, 
889055L, 889056L, 889124L, 889125L, 889127L, 889128L, 889133L, 
889134L, 889136L, 889137L, 889142L, 889143L, 889145L, 889146L, 
889151L, 889152L, 889154L, 889155L, 889160L, 889161L, 889163L, 
889164L, 889178L, 889179L, 889181L, 889182L, 889187L, 889188L, 
889190L, 889191L, 889196L, 889197L, 889199L, 889200L, 889205L, 
889206L, 889208L, 889209L, 889214L, 889215L, 889217L, 889218L, 
889286L, 889287L, 889289L, 889290L, 889295L, 889296L, 889298L, 
889299L, 889304L, 889305L, 889307L, 889308L, 889313L, 889314L, 
889316L, 889317L, 889322L, 889323L, 889325L, 889326L, 889340L, 
889341L, 889343L, 889344L, 889349L, 889350L, 889352L, 889353L, 
889358L, 889359L, 889361L, 889362L, 889367L, 889368L, 889370L, 
889371L, 889376L, 889377L, 889379L, 889380L, 890420L, 890421L, 
890423L, 890424L, 890429L, 890430L, 890432L, 890433L, 890438L, 
890439L, 890441L, 890442L, 890447L, 890448L, 890450L, 890451L, 
890456L, 890457L, 890459L, 890460L, 890474L, 890475L, 890477L, 
890478L, 890483L, 890484L, 890486L, 890487L, 890492L, 890493L, 
890495L, 890496L, 890501L, 890502L, 890504L, 890505L, 890510L, 
890511L, 890513L, 890514L, 890582L, 890583L, 890585L, 890586L, 
890591L, 890592L, 890594L, 890595L, 890600L, 890601L, 890603L, 
890604L, 890609L, 890610L, 890612L, 890613L, 890618L, 890619L, 
890621L, 890622L, 890636L, 890637L, 890639L, 890640L, 890645L, 
890646L, 890648L, 890649L, 890654L, 890655L, 890657L, 890658L, 
890663L, 890664L, 890666L, 890667L, 890672L, 890673L, 890675L, 
890676L, 890744L, 890745L, 890747L, 890748L, 890753L, 890754L, 
890756L, 890757L, 890762L, 890763L, 890765L, 890766L, 890771L, 
890772L, 890774L, 890775L, 890780L, 890781L, 890783L, 890784L, 
890798L, 890799L, 890801L, 890802L, 890807L, 890808L, 890810L, 
890811L, 890816L, 890817L, 890819L, 890820L, 890825L, 890826L, 
890828L, 890829L, 890834L, 890835L, 890837L, 890838L, 890906L, 
890907L, 890909L, 890910L, 890915L, 890916L, 890918L, 890919L, 
890924L, 890925L, 890927L, 890928L, 890933L, 890934L, 890936L, 
890937L, 890942L, 890943L, 890945L, 890946L, 890960L, 890961L, 
890963L, 890964L, 890969L, 890970L, 890972L, 890973L, 890978L, 
890979L, 890981L, 890982L, 890987L, 890988L, 890990L, 890991L, 
890996L, 890997L, 890999L, 891000L, 891230L, 891231L, 891233L, 
891234L, 891239L, 891240L, 891242L, 891243L, 891248L, 891249L, 
891251L, 891252L, 891257L, 891258L, 891260L, 891261L, 891266L, 
891267L, 891269L, 891270L, 891284L, 891285L, 891287L, 891288L, 
891293L, 891294L, 891296L, 891297L, 891302L, 891303L, 891305L, 
891306L, 891311L, 891312L, 891314L, 891315L, 891320L, 891321L, 
891323L, 891324L, 891392L, 891393L, 891395L, 891396L, 891401L, 
891402L, 891404L, 891405L, 891410L, 891411L, 891413L, 891414L, 
891419L, 891420L, 891422L, 891423L, 891428L, 891429L, 891431L, 
891432L, 891446L, 891447L, 891449L, 891450L, 891455L, 891456L, 
891458L, 891459L, 891464L, 891465L, 891467L, 891468L, 891473L, 
891474L, 891476L, 891477L, 891482L, 891483L, 891485L, 891486L, 
891554L, 891555L, 891557L, 891558L, 891563L, 891564L, 891566L, 
891567L, 891572L, 891573L, 891575L, 891576L, 891581L, 891582L, 
891584L, 891585L, 891590L, 891591L, 891593L, 891594L, 891608L, 
891609L, 891611L, 891612L, 891617L, 891618L, 891620L, 891621L, 
891626L, 891627L, 891629L, 891630L, 891635L, 891636L, 891638L, 
891639L, 891644L, 891645L, 891647L, 891648L, 891716L, 891717L, 
891719L, 891720L, 891725L, 891726L, 891728L, 891729L, 891734L, 
891735L, 891737L, 891738L, 891743L, 891744L, 891746L, 891747L, 
891752L, 891753L, 891755L, 891756L, 891770L, 891771L, 891773L, 
891774L, 891779L, 891780L, 891782L, 891783L, 891788L, 891789L, 
891791L, 891792L, 891797L, 891798L, 891800L, 891801L, 891806L, 
891807L, 891809L, 891810L, 892040L, 892041L, 892043L, 892044L, 
892049L, 892050L, 892052L, 892053L, 892058L, 892059L, 892061L, 
892062L, 892067L, 892068L, 892070L, 892071L, 892076L, 892077L, 
892079L, 892080L, 892094L, 892095L, 892097L, 892098L, 892103L, 
892104L, 892106L, 892107L, 892112L, 892113L, 892115L, 892116L, 
892121L, 892122L, 892124L, 892125L, 892130L, 892131L, 892133L, 
892134L, 892202L, 892203L, 892205L, 892206L, 892211L, 892212L, 
892214L, 892215L, 892220L, 892221L, 892223L, 892224L, 892229L, 
892230L, 892232L, 892233L, 892238L, 892239L, 892241L, 892242L, 
892256L, 892257L, 892259L, 892260L, 892265L, 892266L, 892268L, 
892269L, 892274L, 892275L, 892277L, 892278L, 892283L, 892284L, 
892286L, 892287L, 892292L, 892293L, 892295L, 892296L, 892364L, 
892365L, 892367L, 892368L, 892373L, 892374L, 892376L, 892377L, 
892382L, 892383L, 892385L, 892386L, 892391L, 892392L, 892394L, 
892395L, 892400L, 892401L, 892403L, 892404L, 892418L, 892419L, 
892421L, 892422L, 892427L, 892428L, 892430L, 892431L, 892436L, 
892437L, 892439L, 892440L, 892445L, 892446L, 892448L, 892449L, 
892454L, 892455L, 892457L, 892458L, 892526L, 892527L, 892529L, 
892530L, 892535L, 892536L, 892538L, 892539L, 892544L, 892545L, 
892547L, 892548L, 892553L, 892554L, 892556L, 892557L, 892562L, 
892563L, 892565L, 892566L, 892580L, 892581L, 892583L, 892584L, 
892589L, 892590L, 892592L, 892593L, 892598L, 892599L, 892601L, 
892602L, 892607L, 892608L, 892610L, 892611L, 892616L, 892617L, 
892619L, 892620L, 892850L, 892851L, 892853L, 892854L, 892859L, 
892860L, 892862L, 892863L, 892868L, 892869L, 892871L, 892872L, 
892877L, 892878L, 892880L, 892881L, 892886L, 892887L, 892889L, 
892890L, 892904L, 892905L, 892907L, 892908L, 892913L, 892914L, 
892916L, 892917L, 892922L, 892923L, 892925L, 892926L, 892931L, 
892932L, 892934L, 892935L, 892940L, 892941L, 892943L, 892944L, 
893012L, 893013L, 893015L, 893016L, 893021L, 893022L, 893024L, 
893025L, 893030L, 893031L, 893033L, 893034L, 893039L, 893040L, 
893042L, 893043L, 893048L, 893049L, 893051L, 893052L, 893066L, 
893067L, 893069L, 893070L, 893075L, 893076L, 893078L, 893079L, 
893084L, 893085L, 893087L, 893088L, 893093L, 893094L, 893096L, 
893097L, 893102L, 893103L, 893105L, 893106L, 893174L, 893175L, 
893177L, 893178L, 893183L, 893184L, 893186L, 893187L, 893192L, 
893193L, 893195L, 893196L, 893201L, 893202L, 893204L, 893205L, 
893210L, 893211L, 893213L, 893214L, 893228L, 893229L, 893231L, 
893232L, 893237L, 893238L, 893240L, 893241L, 893246L, 893247L, 
893249L, 893250L, 893255L, 893256L, 893258L, 893259L, 893264L, 
893265L, 893267L, 893268L, 893336L, 893337L, 893339L, 893340L, 
893345L, 893346L, 893348L, 893349L, 893354L, 893355L, 893357L, 
893358L, 893363L, 893364L, 893366L, 893367L, 893372L, 893373L, 
893375L, 893376L, 893390L, 893391L, 893393L, 893394L, 893399L, 
893400L, 893402L, 893403L, 893408L, 893409L, 893411L, 893412L, 
893417L, 893418L, 893420L, 893421L, 893426L, 893427L, 893429L, 
893430L, 893660L, 893661L, 893663L, 893664L, 893669L, 893670L, 
893672L, 893673L, 893678L, 893679L, 893681L, 893682L, 893687L, 
893688L, 893690L, 893691L, 893696L, 893697L, 893699L, 893700L, 
893714L, 893715L, 893717L, 893718L, 893723L, 893724L, 893726L, 
893727L, 893732L, 893733L, 893735L, 893736L, 893741L, 893742L, 
893744L, 893745L, 893750L, 893751L, 893753L, 893754L, 893822L, 
893823L, 893825L, 893826L, 893831L, 893832L, 893834L, 893835L, 
893840L, 893841L, 893843L, 893844L, 893849L, 893850L, 893852L, 
893853L, 893858L, 893859L, 893861L, 893862L, 893876L, 893877L, 
893879L, 893880L, 893885L, 893886L, 893888L, 893889L, 893894L, 
893895L, 893897L, 893898L, 893903L, 893904L, 893906L, 893907L, 
893912L, 893913L, 893915L, 893916L, 893984L, 893985L, 893987L, 
893988L, 893993L, 893994L, 893996L, 893997L, 894002L, 894003L, 
894005L, 894006L, 894011L, 894012L, 894014L, 894015L, 894020L, 
894021L, 894023L, 894024L, 894038L, 894039L, 894041L, 894042L, 
894047L, 894048L, 894050L, 894051L, 894056L, 894057L, 894059L, 
894060L, 894065L, 894066L, 894068L, 894069L, 894074L, 894075L, 
894077L, 894078L, 894146L, 894147L, 894149L, 894150L, 894155L, 
894156L, 894158L, 894159L, 894164L, 894165L, 894167L, 894168L, 
894173L, 894174L, 894176L, 894177L, 894182L, 894183L, 894185L, 
894186L, 894200L, 894201L, 894203L, 894204L, 894209L, 894210L, 
894212L, 894213L, 894218L, 894219L, 894221L, 894222L, 894227L, 
894228L, 894230L, 894231L, 894236L, 894237L, 894239L, 894240L, 
905000L, 905001L, 905003L, 905004L, 905009L, 905010L, 905012L, 
905013L, 905018L, 905019L, 905021L, 905022L, 905027L, 905028L, 
905030L, 905031L, 905036L, 905037L, 905039L, 905040L, 905054L, 
905055L, 905057L, 905058L, 905063L, 905064L, 905066L, 905067L, 
905072L, 905073L, 905075L, 905076L, 905081L, 905082L, 905084L, 
905085L, 905090L, 905091L, 905093L, 905094L, 905162L, 905163L, 
905165L, 905166L, 905171L, 905172L, 905174L, 905175L, 905180L, 
905181L, 905183L, 905184L, 905189L, 905190L, 905192L, 905193L, 
905198L, 905199L, 905201L, 905202L, 905216L, 905217L, 905219L, 
905220L, 905225L, 905226L, 905228L, 905229L, 905234L, 905235L, 
905237L, 905238L, 905243L, 905244L, 905246L, 905247L, 905252L, 
905253L, 905255L, 905256L, 905324L, 905325L, 905327L, 905328L, 
905333L, 905334L, 905336L, 905337L, 905342L, 905343L, 905345L, 
905346L, 905351L, 905352L, 905354L, 905355L, 905360L, 905361L, 
905363L, 905364L, 905378L, 905379L, 905381L, 905382L, 905387L, 
905388L, 905390L, 905391L, 905396L, 905397L, 905399L, 905400L, 
905405L, 905406L, 905408L, 905409L, 905414L, 905415L, 905417L, 
905418L, 905486L, 905487L, 905489L, 905490L, 905495L, 905496L, 
905498L, 905499L, 905504L, 905505L, 905507L, 905508L, 905513L, 
905514L, 905516L, 905517L, 905522L, 905523L, 905525L, 905526L, 
905540L, 905541L, 905543L, 905544L, 905549L, 905550L, 905552L, 
905553L, 905558L, 905559L, 905561L, 905562L, 905567L, 905568L, 
905570L, 905571L, 905576L, 905577L, 905579L, 905580L, 905810L, 
905811L, 905813L, 905814L, 905819L, 905820L, 905822L, 905823L, 
905828L, 905829L, 905831L, 905832L, 905837L, 905838L, 905840L, 
905841L, 905846L, 905847L, 905849L, 905850L, 905864L, 905865L, 
905867L, 905868L, 905873L, 905874L, 905876L, 905877L, 905882L, 
905883L, 905885L, 905886L, 905891L, 905892L, 905894L, 905895L, 
905900L, 905901L, 905903L, 905904L, 905972L, 905973L, 905975L, 
905976L, 905981L, 905982L, 905984L, 905985L, 905990L, 905991L, 
905993L, 905994L, 905999L, 906000L, 906002L, 906003L, 906008L, 
906009L, 906011L, 906012L, 906026L, 906027L, 906029L, 906030L, 
906035L, 906036L, 906038L, 906039L, 906044L, 906045L, 906047L, 
906048L, 906053L, 906054L, 906056L, 906057L, 906062L, 906063L, 
906065L, 906066L, 906134L, 906135L, 906137L, 906138L, 906143L, 
906144L, 906146L, 906147L, 906152L, 906153L, 906155L, 906156L, 
906161L, 906162L, 906164L, 906165L, 906170L, 906171L, 906173L, 
906174L, 906188L, 906189L, 906191L, 906192L, 906197L, 906198L, 
906200L, 906201L, 906206L, 906207L, 906209L, 906210L, 906215L, 
906216L, 906218L, 906219L, 906224L, 906225L, 906227L, 906228L, 
906296L, 906297L, 906299L, 906300L, 906305L, 906306L, 906308L, 
906309L, 906314L, 906315L, 906317L, 906318L, 906323L, 906324L, 
906326L, 906327L, 906332L, 906333L, 906335L, 906336L, 906350L, 
906351L, 906353L, 906354L, 906359L, 906360L, 906362L, 906363L, 
906368L, 906369L, 906371L, 906372L, 906377L, 906378L, 906380L, 
906381L, 906386L, 906387L, 906389L, 906390L, 906620L, 906621L, 
906623L, 906624L, 906629L, 906630L, 906632L, 906633L, 906638L, 
906639L, 906641L, 906642L, 906647L, 906648L, 906650L, 906651L, 
906656L, 906657L, 906659L, 906660L, 906674L, 906675L, 906677L, 
906678L, 906683L, 906684L, 906686L, 906687L, 906692L, 906693L, 
906695L, 906696L, 906701L, 906702L, 906704L, 906705L, 906710L, 
906711L, 906713L, 906714L, 906782L, 906783L, 906785L, 906786L, 
906791L, 906792L, 906794L, 906795L, 906800L, 906801L, 906803L, 
906804L, 906809L, 906810L, 906812L, 906813L, 906818L, 906819L, 
906821L, 906822L, 906836L, 906837L, 906839L, 906840L, 906845L, 
906846L, 906848L, 906849L, 906854L, 906855L, 906857L, 906858L, 
906863L, 906864L, 906866L, 906867L, 906872L, 906873L, 906875L, 
906876L, 906944L, 906945L, 906947L, 906948L, 906953L, 906954L, 
906956L, 906957L, 906962L, 906963L, 906965L, 906966L, 906971L, 
906972L, 906974L, 906975L, 906980L, 906981L, 906983L, 906984L, 
906998L, 906999L, 907001L, 907002L, 907007L, 907008L, 907010L, 
907011L, 907016L, 907017L, 907019L, 907020L, 907025L, 907026L, 
907028L, 907029L, 907034L, 907035L, 907037L, 907038L, 907106L, 
907107L, 907109L, 907110L, 907115L, 907116L, 907118L, 907119L, 
907124L, 907125L, 907127L, 907128L, 907133L, 907134L, 907136L, 
907137L, 907142L, 907143L, 907145L, 907146L, 907160L, 907161L, 
907163L, 907164L, 907169L, 907170L, 907172L, 907173L, 907178L, 
907179L, 907181L, 907182L, 907187L, 907188L, 907190L, 907191L, 
907196L, 907197L, 907199L, 907200L, 907430L, 907431L, 907433L, 
907434L, 907439L, 907440L, 907442L, 907443L, 907448L, 907449L, 
907451L, 907452L, 907457L, 907458L, 907460L, 907461L, 907466L, 
907467L, 907469L, 907470L, 907484L, 907485L, 907487L, 907488L, 
907493L, 907494L, 907496L, 907497L, 907502L, 907503L, 907505L, 
907506L, 907511L, 907512L, 907514L, 907515L, 907520L, 907521L, 
907523L, 907524L, 907592L, 907593L, 907595L, 907596L, 907601L, 
907602L, 907604L, 907605L, 907610L, 907611L, 907613L, 907614L, 
907619L, 907620L, 907622L, 907623L, 907628L, 907629L, 907631L, 
907632L, 907646L, 907647L, 907649L, 907650L, 907655L, 907656L, 
907658L, 907659L, 907664L, 907665L, 907667L, 907668L, 907673L, 
907674L, 907676L, 907677L, 907682L, 907683L, 907685L, 907686L, 
907754L, 907755L, 907757L, 907758L, 907763L, 907764L, 907766L, 
907767L, 907772L, 907773L, 907775L, 907776L, 907781L, 907782L, 
907784L, 907785L, 907790L, 907791L, 907793L, 907794L, 907808L, 
907809L, 907811L, 907812L, 907817L, 907818L, 907820L, 907821L, 
907826L, 907827L, 907829L, 907830L, 907835L, 907836L, 907838L, 
907839L, 907844L, 907845L, 907847L, 907848L, 907916L, 907917L, 
907919L, 907920L, 907925L, 907926L, 907928L, 907929L, 907934L, 
907935L, 907937L, 907938L, 907943L, 907944L, 907946L, 907947L, 
907952L, 907953L, 907955L, 907956L, 907970L, 907971L, 907973L, 
907974L, 907979L, 907980L, 907982L, 907983L, 907988L, 907989L, 
907991L, 907992L, 907997L, 907998L, 908000L, 908001L, 908006L, 
908007L, 908009L, 908010L, 908240L, 908241L, 908243L, 908244L, 
908249L, 908250L, 908252L, 908253L, 908258L, 908259L, 908261L, 
908262L, 908267L, 908268L, 908270L, 908271L, 908276L, 908277L, 
908279L, 908280L, 908294L, 908295L, 908297L, 908298L, 908303L, 
908304L, 908306L, 908307L, 908312L, 908313L, 908315L, 908316L, 
908321L, 908322L, 908324L, 908325L, 908330L, 908331L, 908333L, 
908334L, 908402L, 908403L, 908405L, 908406L, 908411L, 908412L, 
908414L, 908415L, 908420L, 908421L, 908423L, 908424L, 908429L, 
908430L, 908432L, 908433L, 908438L, 908439L, 908441L, 908442L, 
908456L, 908457L, 908459L, 908460L, 908465L, 908466L, 908468L, 
908469L, 908474L, 908475L, 908477L, 908478L, 908483L, 908484L, 
908486L, 908487L, 908492L, 908493L, 908495L, 908496L, 908564L, 
908565L, 908567L, 908568L, 908573L, 908574L, 908576L, 908577L, 
908582L, 908583L, 908585L, 908586L, 908591L, 908592L, 908594L, 
908595L, 908600L, 908601L, 908603L, 908604L, 908618L, 908619L, 
908621L, 908622L, 908627L, 908628L, 908630L, 908631L, 908636L, 
908637L, 908639L, 908640L, 908645L, 908646L, 908648L, 908649L, 
908654L, 908655L, 908657L, 908658L, 908726L, 908727L, 908729L, 
908730L, 908735L, 908736L, 908738L, 908739L, 908744L, 908745L, 
908747L, 908748L, 908753L, 908754L, 908756L, 908757L, 908762L, 
908763L, 908765L, 908766L, 908780L, 908781L, 908783L, 908784L, 
908789L, 908790L, 908792L, 908793L, 908798L, 908799L, 908801L, 
908802L, 908807L, 908808L, 908810L, 908811L, 908816L, 908817L, 
908819L, 908820L, 909860L, 909861L, 909863L, 909864L, 909869L, 
909870L, 909872L, 909873L, 909878L, 909879L, 909881L, 909882L, 
909887L, 909888L, 909890L, 909891L, 909896L, 909897L, 909899L, 
909900L, 909914L, 909915L, 909917L, 909918L, 909923L, 909924L, 
909926L, 909927L, 909932L, 909933L, 909935L, 909936L, 909941L, 
909942L, 909944L, 909945L, 909950L, 909951L, 909953L, 909954L, 
910022L, 910023L, 910025L, 910026L, 910031L, 910032L, 910034L, 
910035L, 910040L, 910041L, 910043L, 910044L, 910049L, 910050L, 
910052L, 910053L, 910058L, 910059L, 910061L, 910062L, 910076L, 
910077L, 910079L, 910080L, 910085L, 910086L, 910088L, 910089L, 
910094L, 910095L, 910097L, 910098L, 910103L, 910104L, 910106L, 
910107L, 910112L, 910113L, 910115L, 910116L, 910184L, 910185L, 
910187L, 910188L, 910193L, 910194L, 910196L, 910197L, 910202L, 
910203L, 910205L, 910206L, 910211L, 910212L, 910214L, 910215L, 
910220L, 910221L, 910223L, 910224L, 910238L, 910239L, 910241L, 
910242L, 910247L, 910248L, 910250L, 910251L, 910256L, 910257L, 
910259L, 910260L, 910265L, 910266L, 910268L, 910269L, 910274L, 
910275L, 910277L, 910278L, 910346L, 910347L, 910349L, 910350L, 
910355L, 910356L, 910358L, 910359L, 910364L, 910365L, 910367L, 
910368L, 910373L, 910374L, 910376L, 910377L, 910382L, 910383L, 
910385L, 910386L, 910400L, 910401L, 910403L, 910404L, 910409L, 
910410L, 910412L, 910413L, 910418L, 910419L, 910421L, 910422L, 
910427L, 910428L, 910430L, 910431L, 910436L, 910437L, 910439L, 
910440L, 910670L, 910671L, 910673L, 910674L, 910679L, 910680L, 
910682L, 910683L, 910688L, 910689L, 910691L, 910692L, 910697L, 
910698L, 910700L, 910701L, 910706L, 910707L, 910709L, 910710L, 
910724L, 910725L, 910727L, 910728L, 910733L, 910734L, 910736L, 
910737L, 910742L, 910743L, 910745L, 910746L, 910751L, 910752L, 
910754L, 910755L, 910760L, 910761L, 910763L, 910764L, 910832L, 
910833L, 910835L, 910836L, 910841L, 910842L, 910844L, 910845L, 
910850L, 910851L, 910853L, 910854L, 910859L, 910860L, 910862L, 
910863L, 910868L, 910869L, 910871L, 910872L, 910886L, 910887L, 
910889L, 910890L, 910895L, 910896L, 910898L, 910899L, 910904L, 
910905L, 910907L, 910908L, 910913L, 910914L, 910916L, 910917L, 
910922L, 910923L, 910925L, 910926L, 910994L, 910995L, 910997L, 
910998L, 911003L, 911004L, 911006L, 911007L, 911012L, 911013L, 
911015L, 911016L, 911021L, 911022L, 911024L, 911025L, 911030L, 
911031L, 911033L, 911034L, 911048L, 911049L, 911051L, 911052L, 
911057L, 911058L, 911060L, 911061L, 911066L, 911067L, 911069L, 
911070L, 911075L, 911076L, 911078L, 911079L, 911084L, 911085L, 
911087L, 911088L, 911156L, 911157L, 911159L, 911160L, 911165L, 
911166L, 911168L, 911169L, 911174L, 911175L, 911177L, 911178L, 
911183L, 911184L, 911186L, 911187L, 911192L, 911193L, 911195L, 
911196L, 911210L, 911211L, 911213L, 911214L, 911219L, 911220L, 
911222L, 911223L, 911228L, 911229L, 911231L, 911232L, 911237L, 
911238L, 911240L, 911241L, 911246L, 911247L, 911249L, 911250L, 
911480L, 911481L, 911483L, 911484L, 911489L, 911490L, 911492L, 
911493L, 911498L, 911499L, 911501L, 911502L, 911507L, 911508L, 
911510L, 911511L, 911516L, 911517L, 911519L, 911520L, 911534L, 
911535L, 911537L, 911538L, 911543L, 911544L, 911546L, 911547L, 
911552L, 911553L, 911555L, 911556L, 911561L, 911562L, 911564L, 
911565L, 911570L, 911571L, 911573L, 911574L, 911642L, 911643L, 
911645L, 911646L, 911651L, 911652L, 911654L, 911655L, 911660L, 
911661L, 911663L, 911664L, 911669L, 911670L, 911672L, 911673L, 
911678L, 911679L, 911681L, 911682L, 911696L, 911697L, 911699L, 
911700L, 911705L, 911706L, 911708L, 911709L, 911714L, 911715L, 
911717L, 911718L, 911723L, 911724L, 911726L, 911727L, 911732L, 
911733L, 911735L, 911736L, 911804L, 911805L, 911807L, 911808L, 
911813L, 911814L, 911816L, 911817L, 911822L, 911823L, 911825L, 
911826L, 911831L, 911832L, 911834L, 911835L, 911840L, 911841L, 
911843L, 911844L, 911858L, 911859L, 911861L, 911862L, 911867L, 
911868L, 911870L, 911871L, 911876L, 911877L, 911879L, 911880L, 
911885L, 911886L, 911888L, 911889L, 911894L, 911895L, 911897L, 
911898L, 911966L, 911967L, 911969L, 911970L, 911975L, 911976L, 
911978L, 911979L, 911984L, 911985L, 911987L, 911988L, 911993L, 
911994L, 911996L, 911997L, 912002L, 912003L, 912005L, 912006L, 
912020L, 912021L, 912023L, 912024L, 912029L, 912030L, 912032L, 
912033L, 912038L, 912039L, 912041L, 912042L, 912047L, 912048L, 
912050L, 912051L, 912056L, 912057L, 912059L, 912060L, 912290L, 
912291L, 912293L, 912294L, 912299L, 912300L, 912302L, 912303L, 
912308L, 912309L, 912311L, 912312L, 912317L, 912318L, 912320L, 
912321L, 912326L, 912327L, 912329L, 912330L, 912344L, 912345L, 
912347L, 912348L, 912353L, 912354L, 912356L, 912357L, 912362L, 
912363L, 912365L, 912366L, 912371L, 912372L, 912374L, 912375L, 
912380L, 912381L, 912383L, 912384L, 912452L, 912453L, 912455L, 
912456L, 912461L, 912462L, 912464L, 912465L, 912470L, 912471L, 
912473L, 912474L, 912479L, 912480L, 912482L, 912483L, 912488L, 
912489L, 912491L, 912492L, 912506L, 912507L, 912509L, 912510L, 
912515L, 912516L, 912518L, 912519L, 912524L, 912525L, 912527L, 
912528L, 912533L, 912534L, 912536L, 912537L, 912542L, 912543L, 
912545L, 912546L, 912614L, 912615L, 912617L, 912618L, 912623L, 
912624L, 912626L, 912627L, 912632L, 912633L, 912635L, 912636L, 
912641L, 912642L, 912644L, 912645L, 912650L, 912651L, 912653L, 
912654L, 912668L, 912669L, 912671L, 912672L, 912677L, 912678L, 
912680L, 912681L, 912686L, 912687L, 912689L, 912690L, 912695L, 
912696L, 912698L, 912699L, 912704L, 912705L, 912707L, 912708L, 
912776L, 912777L, 912779L, 912780L, 912785L, 912786L, 912788L, 
912789L, 912794L, 912795L, 912797L, 912798L, 912803L, 912804L, 
912806L, 912807L, 912812L, 912813L, 912815L, 912816L, 912830L, 
912831L, 912833L, 912834L, 912839L, 912840L, 912842L, 912843L, 
912848L, 912849L, 912851L, 912852L, 912857L, 912858L, 912860L, 
912861L, 912866L, 912867L, 912869L, 912870L, 913100L, 913101L, 
913103L, 913104L, 913109L, 913110L, 913112L, 913113L, 913118L, 
913119L, 913121L, 913122L, 913127L, 913128L, 913130L, 913131L, 
913136L, 913137L, 913139L, 913140L, 913154L, 913155L, 913157L, 
913158L, 913163L, 913164L, 913166L, 913167L, 913172L, 913173L, 
913175L, 913176L, 913181L, 913182L, 913184L, 913185L, 913190L, 
913191L, 913193L, 913194L, 913262L, 913263L, 913265L, 913266L, 
913271L, 913272L, 913274L, 913275L, 913280L, 913281L, 913283L, 
913284L, 913289L, 913290L, 913292L, 913293L, 913298L, 913299L, 
913301L, 913302L, 913316L, 913317L, 913319L, 913320L, 913325L, 
913326L, 913328L, 913329L, 913334L, 913335L, 913337L, 913338L, 
913343L, 913344L, 913346L, 913347L, 913352L, 913353L, 913355L, 
913356L, 913424L, 913425L, 913427L, 913428L, 913433L, 913434L, 
913436L, 913437L, 913442L, 913443L, 913445L, 913446L, 913451L, 
913452L, 913454L, 913455L, 913460L, 913461L, 913463L, 913464L, 
913478L, 913479L, 913481L, 913482L, 913487L, 913488L, 913490L, 
913491L, 913496L, 913497L, 913499L, 913500L, 913505L, 913506L, 
913508L, 913509L, 913514L, 913515L, 913517L, 913518L, 913586L, 
913587L, 913589L, 913590L, 913595L, 913596L, 913598L, 913599L, 
913604L, 913605L, 913607L, 913608L, 913613L, 913614L, 913616L, 
913617L, 913622L, 913623L, 913625L, 913626L, 913640L, 913641L, 
913643L, 913644L, 913649L, 913650L, 913652L, 913653L, 913658L, 
913659L, 913661L, 913662L, 913667L, 913668L, 913670L, 913671L, 
913676L, 913677L, 913679L, 913680L, 914720L, 914721L, 914723L, 
914724L, 914729L, 914730L, 914732L, 914733L, 914738L, 914739L, 
914741L, 914742L, 914747L, 914748L, 914750L, 914751L, 914756L, 
914757L, 914759L, 914760L, 914774L, 914775L, 914777L, 914778L, 
914783L, 914784L, 914786L, 914787L, 914792L, 914793L, 914795L, 
914796L, 914801L, 914802L, 914804L, 914805L, 914810L, 914811L, 
914813L, 914814L, 914882L, 914883L, 914885L, 914886L, 914891L, 
914892L, 914894L, 914895L, 914900L, 914901L, 914903L, 914904L, 
914909L, 914910L, 914912L, 914913L, 914918L, 914919L, 914921L, 
914922L, 914936L, 914937L, 914939L, 914940L, 914945L, 914946L, 
914948L, 914949L, 914954L, 914955L, 914957L, 914958L, 914963L, 
914964L, 914966L, 914967L, 914972L, 914973L, 914975L, 914976L, 
915044L, 915045L, 915047L, 915048L, 915053L, 915054L, 915056L, 
915057L, 915062L, 915063L, 915065L, 915066L, 915071L, 915072L, 
915074L, 915075L, 915080L, 915081L, 915083L, 915084L, 915098L, 
915099L, 915101L, 915102L, 915107L, 915108L, 915110L, 915111L, 
915116L, 915117L, 915119L, 915120L, 915125L, 915126L, 915128L, 
915129L, 915134L, 915135L, 915137L, 915138L, 915206L, 915207L, 
915209L, 915210L, 915215L, 915216L, 915218L, 915219L, 915224L, 
915225L, 915227L, 915228L, 915233L, 915234L, 915236L, 915237L, 
915242L, 915243L, 915245L, 915246L, 915260L, 915261L, 915263L, 
915264L, 915269L, 915270L, 915272L, 915273L, 915278L, 915279L, 
915281L, 915282L, 915287L, 915288L, 915290L, 915291L, 915296L, 
915297L, 915299L, 915300L, 915530L, 915531L, 915533L, 915534L, 
915539L, 915540L, 915542L, 915543L, 915548L, 915549L, 915551L, 
915552L, 915557L, 915558L, 915560L, 915561L, 915566L, 915567L, 
915569L, 915570L, 915584L, 915585L, 915587L, 915588L, 915593L, 
915594L, 915596L, 915597L, 915602L, 915603L, 915605L, 915606L, 
915611L, 915612L, 915614L, 915615L, 915620L, 915621L, 915623L, 
915624L, 915692L, 915693L, 915695L, 915696L, 915701L, 915702L, 
915704L, 915705L, 915710L, 915711L, 915713L, 915714L, 915719L, 
915720L, 915722L, 915723L, 915728L, 915729L, 915731L, 915732L, 
915746L, 915747L, 915749L, 915750L, 915755L, 915756L, 915758L, 
915759L, 915764L, 915765L, 915767L, 915768L, 915773L, 915774L, 
915776L, 915777L, 915782L, 915783L, 915785L, 915786L, 915854L, 
915855L, 915857L, 915858L, 915863L, 915864L, 915866L, 915867L, 
915872L, 915873L, 915875L, 915876L, 915881L, 915882L, 915884L, 
915885L, 915890L, 915891L, 915893L, 915894L, 915908L, 915909L, 
915911L, 915912L, 915917L, 915918L, 915920L, 915921L, 915926L, 
915927L, 915929L, 915930L, 915935L, 915936L, 915938L, 915939L, 
915944L, 915945L, 915947L, 915948L, 916016L, 916017L, 916019L, 
916020L, 916025L, 916026L, 916028L, 916029L, 916034L, 916035L, 
916037L, 916038L, 916043L, 916044L, 916046L, 916047L, 916052L, 
916053L, 916055L, 916056L, 916070L, 916071L, 916073L, 916074L, 
916079L, 916080L, 916082L, 916083L, 916088L, 916089L, 916091L, 
916092L, 916097L, 916098L, 916100L, 916101L, 916106L, 916107L, 
916109L, 916110L, 916340L, 916341L, 916343L, 916344L, 916349L, 
916350L, 916352L, 916353L, 916358L, 916359L, 916361L, 916362L, 
916367L, 916368L, 916370L, 916371L, 916376L, 916377L, 916379L, 
916380L, 916394L, 916395L, 916397L, 916398L, 916403L, 916404L, 
916406L, 916407L, 916412L, 916413L, 916415L, 916416L, 916421L, 
916422L, 916424L, 916425L, 916430L, 916431L, 916433L, 916434L, 
916502L, 916503L, 916505L, 916506L, 916511L, 916512L, 916514L, 
916515L, 916520L, 916521L, 916523L, 916524L, 916529L, 916530L, 
916532L, 916533L, 916538L, 916539L, 916541L, 916542L, 916556L, 
916557L, 916559L, 916560L, 916565L, 916566L, 916568L, 916569L, 
916574L, 916575L, 916577L, 916578L, 916583L, 916584L, 916586L, 
916587L, 916592L, 916593L, 916595L, 916596L, 916664L, 916665L, 
916667L, 916668L, 916673L, 916674L, 916676L, 916677L, 916682L, 
916683L, 916685L, 916686L, 916691L, 916692L, 916694L, 916695L, 
916700L, 916701L, 916703L, 916704L, 916718L, 916719L, 916721L, 
916722L, 916727L, 916728L, 916730L, 916731L, 916736L, 916737L, 
916739L, 916740L, 916745L, 916746L, 916748L, 916749L, 916754L, 
916755L, 916757L, 916758L, 916826L, 916827L, 916829L, 916830L, 
916835L, 916836L, 916838L, 916839L, 916844L, 916845L, 916847L, 
916848L, 916853L, 916854L, 916856L, 916857L, 916862L, 916863L, 
916865L, 916866L, 916880L, 916881L, 916883L, 916884L, 916889L, 
916890L, 916892L, 916893L, 916898L, 916899L, 916901L, 916902L, 
916907L, 916908L, 916910L, 916911L, 916916L, 916917L, 916919L, 
916920L, 917150L, 917151L, 917153L, 917154L, 917159L, 917160L, 
917162L, 917163L, 917168L, 917169L, 917171L, 917172L, 917177L, 
917178L, 917180L, 917181L, 917186L, 917187L, 917189L, 917190L, 
917204L, 917205L, 917207L, 917208L, 917213L, 917214L, 917216L, 
917217L, 917222L, 917223L, 917225L, 917226L, 917231L, 917232L, 
917234L, 917235L, 917240L, 917241L, 917243L, 917244L, 917312L, 
917313L, 917315L, 917316L, 917321L, 917322L, 917324L, 917325L, 
917330L, 917331L, 917333L, 917334L, 917339L, 917340L, 917342L, 
917343L, 917348L, 917349L, 917351L, 917352L, 917366L, 917367L, 
917369L, 917370L, 917375L, 917376L, 917378L, 917379L, 917384L, 
917385L, 917387L, 917388L, 917393L, 917394L, 917396L, 917397L, 
917402L, 917403L, 917405L, 917406L, 917474L, 917475L, 917477L, 
917478L, 917483L, 917484L, 917486L, 917487L, 917492L, 917493L, 
917495L, 917496L, 917501L, 917502L, 917504L, 917505L, 917510L, 
917511L, 917513L, 917514L, 917528L, 917529L, 917531L, 917532L, 
917537L, 917538L, 917540L, 917541L, 917546L, 917547L, 917549L, 
917550L, 917555L, 917556L, 917558L, 917559L, 917564L, 917565L, 
917567L, 917568L, 917636L, 917637L, 917639L, 917640L, 917645L, 
917646L, 917648L, 917649L, 917654L, 917655L, 917657L, 917658L, 
917663L, 917664L, 917666L, 917667L, 917672L, 917673L, 917675L, 
917676L, 917690L, 917691L, 917693L, 917694L, 917699L, 917700L, 
917702L, 917703L, 917708L, 917709L, 917711L, 917712L, 917717L, 
917718L, 917720L, 917721L, 917726L, 917727L, 917729L, 917730L, 
917960L, 917961L, 917963L, 917964L, 917969L, 917970L, 917972L, 
917973L, 917978L, 917979L, 917981L, 917982L, 917987L, 917988L, 
917990L, 917991L, 917996L, 917997L, 917999L, 918000L, 918014L, 
918015L, 918017L, 918018L, 918023L, 918024L, 918026L, 918027L, 
918032L, 918033L, 918035L, 918036L, 918041L, 918042L, 918044L, 
918045L, 918050L, 918051L, 918053L, 918054L, 918122L, 918123L, 
918125L, 918126L, 918131L, 918132L, 918134L, 918135L, 918140L, 
918141L, 918143L, 918144L, 918149L, 918150L, 918152L, 918153L, 
918158L, 918159L, 918161L, 918162L, 918176L, 918177L, 918179L, 
918180L, 918185L, 918186L, 918188L, 918189L, 918194L, 918195L, 
918197L, 918198L, 918203L, 918204L, 918206L, 918207L, 918212L, 
918213L, 918215L, 918216L, 918284L, 918285L, 918287L, 918288L, 
918293L, 918294L, 918296L, 918297L, 918302L, 918303L, 918305L, 
918306L, 918311L, 918312L, 918314L, 918315L, 918320L, 918321L, 
918323L, 918324L, 918338L, 918339L, 918341L, 918342L, 918347L, 
918348L, 918350L, 918351L, 918356L, 918357L, 918359L, 918360L, 
918365L, 918366L, 918368L, 918369L, 918374L, 918375L, 918377L, 
918378L, 918446L, 918447L, 918449L, 918450L, 918455L, 918456L, 
918458L, 918459L, 918464L, 918465L, 918467L, 918468L, 918473L, 
918474L, 918476L, 918477L, 918482L, 918483L, 918485L, 918486L, 
918500L, 918501L, 918503L, 918504L, 918509L, 918510L, 918512L, 
918513L, 918518L, 918519L, 918521L, 918522L, 918527L, 918528L, 
918530L, 918531L, 918536L, 918537L, 918539L, 918540L, 929300L, 
929301L, 929303L, 929304L, 929309L, 929310L, 929312L, 929313L, 
929318L, 929319L, 929321L, 929322L, 929327L, 929328L, 929330L, 
929331L, 929336L, 929337L, 929339L, 929340L, 929354L, 929355L, 
929357L, 929358L, 929363L, 929364L, 929366L, 929367L, 929372L, 
929373L, 929375L, 929376L, 929381L, 929382L, 929384L, 929385L, 
929390L, 929391L, 929393L, 929394L, 929462L, 929463L, 929465L, 
929466L, 929471L, 929472L, 929474L, 929475L, 929480L, 929481L, 
929483L, 929484L, 929489L, 929490L, 929492L, 929493L, 929498L, 
929499L, 929501L, 929502L, 929516L, 929517L, 929519L, 929520L, 
929525L, 929526L, 929528L, 929529L, 929534L, 929535L, 929537L, 
929538L, 929543L, 929544L, 929546L, 929547L, 929552L, 929553L, 
929555L, 929556L, 929624L, 929625L, 929627L, 929628L, 929633L, 
929634L, 929636L, 929637L, 929642L, 929643L, 929645L, 929646L, 
929651L, 929652L, 929654L, 929655L, 929660L, 929661L, 929663L, 
929664L, 929678L, 929679L, 929681L, 929682L, 929687L, 929688L, 
929690L, 929691L, 929696L, 929697L, 929699L, 929700L, 929705L, 
929706L, 929708L, 929709L, 929714L, 929715L, 929717L, 929718L, 
929786L, 929787L, 929789L, 929790L, 929795L, 929796L, 929798L, 
929799L, 929804L, 929805L, 929807L, 929808L, 929813L, 929814L, 
929816L, 929817L, 929822L, 929823L, 929825L, 929826L, 929840L, 
929841L, 929843L, 929844L, 929849L, 929850L, 929852L, 929853L, 
929858L, 929859L, 929861L, 929862L, 929867L, 929868L, 929870L, 
929871L, 929876L, 929877L, 929879L, 929880L, 930110L, 930111L, 
930113L, 930114L, 930119L, 930120L, 930122L, 930123L, 930128L, 
930129L, 930131L, 930132L, 930137L, 930138L, 930140L, 930141L, 
930146L, 930147L, 930149L, 930150L, 930164L, 930165L, 930167L, 
930168L, 930173L, 930174L, 930176L, 930177L, 930182L, 930183L, 
930185L, 930186L, 930191L, 930192L, 930194L, 930195L, 930200L, 
930201L, 930203L, 930204L, 930272L, 930273L, 930275L, 930276L, 
930281L, 930282L, 930284L, 930285L, 930290L, 930291L, 930293L, 
930294L, 930299L, 930300L, 930302L, 930303L, 930308L, 930309L, 
930311L, 930312L, 930326L, 930327L, 930329L, 930330L, 930335L, 
930336L, 930338L, 930339L, 930344L, 930345L, 930347L, 930348L, 
930353L, 930354L, 930356L, 930357L, 930362L, 930363L, 930365L, 
930366L, 930434L, 930435L, 930437L, 930438L, 930443L, 930444L, 
930446L, 930447L, 930452L, 930453L, 930455L, 930456L, 930461L, 
930462L, 930464L, 930465L, 930470L, 930471L, 930473L, 930474L, 
930488L, 930489L, 930491L, 930492L, 930497L, 930498L, 930500L, 
930501L, 930506L, 930507L, 930509L, 930510L, 930515L, 930516L, 
930518L, 930519L, 930524L, 930525L, 930527L, 930528L, 930596L, 
930597L, 930599L, 930600L, 930605L, 930606L, 930608L, 930609L, 
930614L, 930615L, 930617L, 930618L, 930623L, 930624L, 930626L, 
930627L, 930632L, 930633L, 930635L, 930636L, 930650L, 930651L, 
930653L, 930654L, 930659L, 930660L, 930662L, 930663L, 930668L, 
930669L, 930671L, 930672L, 930677L, 930678L, 930680L, 930681L, 
930686L, 930687L, 930689L, 930690L, 930920L, 930921L, 930923L, 
930924L, 930929L, 930930L, 930932L, 930933L, 930938L, 930939L, 
930941L, 930942L, 930947L, 930948L, 930950L, 930951L, 930956L, 
930957L, 930959L, 930960L, 930974L, 930975L, 930977L, 930978L, 
930983L, 930984L, 930986L, 930987L, 930992L, 930993L, 930995L, 
930996L, 931001L, 931002L, 931004L, 931005L, 931010L, 931011L, 
931013L, 931014L, 931082L, 931083L, 931085L, 931086L, 931091L, 
931092L, 931094L, 931095L, 931100L, 931101L, 931103L, 931104L, 
931109L, 931110L, 931112L, 931113L, 931118L, 931119L, 931121L, 
931122L, 931136L, 931137L, 931139L, 931140L, 931145L, 931146L, 
931148L, 931149L, 931154L, 931155L, 931157L, 931158L, 931163L, 
931164L, 931166L, 931167L, 931172L, 931173L, 931175L, 931176L, 
931244L, 931245L, 931247L, 931248L, 931253L, 931254L, 931256L, 
931257L, 931262L, 931263L, 931265L, 931266L, 931271L, 931272L, 
931274L, 931275L, 931280L, 931281L, 931283L, 931284L, 931298L, 
931299L, 931301L, 931302L, 931307L, 931308L, 931310L, 931311L, 
931316L, 931317L, 931319L, 931320L, 931325L, 931326L, 931328L, 
931329L, 931334L, 931335L, 931337L, 931338L, 931406L, 931407L, 
931409L, 931410L, 931415L, 931416L, 931418L, 931419L, 931424L, 
931425L, 931427L, 931428L, 931433L, 931434L, 931436L, 931437L, 
931442L, 931443L, 931445L, 931446L, 931460L, 931461L, 931463L, 
931464L, 931469L, 931470L, 931472L, 931473L, 931478L, 931479L, 
931481L, 931482L, 931487L, 931488L, 931490L, 931491L, 931496L, 
931497L, 931499L, 931500L, 931730L, 931731L, 931733L, 931734L, 
931739L, 931740L, 931742L, 931743L, 931748L, 931749L, 931751L, 
931752L, 931757L, 931758L, 931760L, 931761L, 931766L, 931767L, 
931769L, 931770L, 931784L, 931785L, 931787L, 931788L, 931793L, 
931794L, 931796L, 931797L, 931802L, 931803L, 931805L, 931806L, 
931811L, 931812L, 931814L, 931815L, 931820L, 931821L, 931823L, 
931824L, 931892L, 931893L, 931895L, 931896L, 931901L, 931902L, 
931904L, 931905L, 931910L, 931911L, 931913L, 931914L, 931919L, 
931920L, 931922L, 931923L, 931928L, 931929L, 931931L, 931932L, 
931946L, 931947L, 931949L, 931950L, 931955L, 931956L, 931958L, 
931959L, 931964L, 931965L, 931967L, 931968L, 931973L, 931974L, 
931976L, 931977L, 931982L, 931983L, 931985L, 931986L, 932054L, 
932055L, 932057L, 932058L, 932063L, 932064L, 932066L, 932067L, 
932072L, 932073L, 932075L, 932076L, 932081L, 932082L, 932084L, 
932085L, 932090L, 932091L, 932093L, 932094L, 932108L, 932109L, 
932111L, 932112L, 932117L, 932118L, 932120L, 932121L, 932126L, 
932127L, 932129L, 932130L, 932135L, 932136L, 932138L, 932139L, 
932144L, 932145L, 932147L, 932148L, 932216L, 932217L, 932219L, 
932220L, 932225L, 932226L, 932228L, 932229L, 932234L, 932235L, 
932237L, 932238L, 932243L, 932244L, 932246L, 932247L, 932252L, 
932253L, 932255L, 932256L, 932270L, 932271L, 932273L, 932274L, 
932279L, 932280L, 932282L, 932283L, 932288L, 932289L, 932291L, 
932292L, 932297L, 932298L, 932300L, 932301L, 932306L, 932307L, 
932309L, 932310L, 932540L, 932541L, 932543L, 932544L, 932549L, 
932550L, 932552L, 932553L, 932558L, 932559L, 932561L, 932562L, 
932567L, 932568L, 932570L, 932571L, 932576L, 932577L, 932579L, 
932580L, 932594L, 932595L, 932597L, 932598L, 932603L, 932604L, 
932606L, 932607L, 932612L, 932613L, 932615L, 932616L, 932621L, 
932622L, 932624L, 932625L, 932630L, 932631L, 932633L, 932634L, 
932702L, 932703L, 932705L, 932706L, 932711L, 932712L, 932714L, 
932715L, 932720L, 932721L, 932723L, 932724L, 932729L, 932730L, 
932732L, 932733L, 932738L, 932739L, 932741L, 932742L, 932756L, 
932757L, 932759L, 932760L, 932765L, 932766L, 932768L, 932769L, 
932774L, 932775L, 932777L, 932778L, 932783L, 932784L, 932786L, 
932787L, 932792L, 932793L, 932795L, 932796L, 932864L, 932865L, 
932867L, 932868L, 932873L, 932874L, 932876L, 932877L, 932882L, 
932883L, 932885L, 932886L, 932891L, 932892L, 932894L, 932895L, 
932900L, 932901L, 932903L, 932904L, 932918L, 932919L, 932921L, 
932922L, 932927L, 932928L, 932930L, 932931L, 932936L, 932937L, 
932939L, 932940L, 932945L, 932946L, 932948L, 932949L, 932954L, 
932955L, 932957L, 932958L, 933026L, 933027L, 933029L, 933030L, 
933035L, 933036L, 933038L, 933039L, 933044L, 933045L, 933047L, 
933048L, 933053L, 933054L, 933056L, 933057L, 933062L, 933063L, 
933065L, 933066L, 933080L, 933081L, 933083L, 933084L, 933089L, 
933090L, 933092L, 933093L, 933098L, 933099L, 933101L, 933102L, 
933107L, 933108L, 933110L, 933111L, 933116L, 933117L, 933119L, 
933120L, 934160L, 934161L, 934163L, 934164L, 934169L, 934170L, 
934172L, 934173L, 934178L, 934179L, 934181L, 934182L, 934187L, 
934188L, 934190L, 934191L, 934196L, 934197L, 934199L, 934200L, 
934214L, 934215L, 934217L, 934218L, 934223L, 934224L, 934226L, 
934227L, 934232L, 934233L, 934235L, 934236L, 934241L, 934242L, 
934244L, 934245L, 934250L, 934251L, 934253L, 934254L, 934322L, 
934323L, 934325L, 934326L, 934331L, 934332L, 934334L, 934335L, 
934340L, 934341L, 934343L, 934344L, 934349L, 934350L, 934352L, 
934353L, 934358L, 934359L, 934361L, 934362L, 934376L, 934377L, 
934379L, 934380L, 934385L, 934386L, 934388L, 934389L, 934394L, 
934395L, 934397L, 934398L, 934403L, 934404L, 934406L, 934407L, 
934412L, 934413L, 934415L, 934416L, 934484L, 934485L, 934487L, 
934488L, 934493L, 934494L, 934496L, 934497L, 934502L, 934503L, 
934505L, 934506L, 934511L, 934512L, 934514L, 934515L, 934520L, 
934521L, 934523L, 934524L, 934538L, 934539L, 934541L, 934542L, 
934547L, 934548L, 934550L, 934551L, 934556L, 934557L, 934559L, 
934560L, 934565L, 934566L, 934568L, 934569L, 934574L, 934575L, 
934577L, 934578L, 934646L, 934647L, 934649L, 934650L, 934655L, 
934656L, 934658L, 934659L, 934664L, 934665L, 934667L, 934668L, 
934673L, 934674L, 934676L, 934677L, 934682L, 934683L, 934685L, 
934686L, 934700L, 934701L, 934703L, 934704L, 934709L, 934710L, 
934712L, 934713L, 934718L, 934719L, 934721L, 934722L, 934727L, 
934728L, 934730L, 934731L, 934736L, 934737L, 934739L, 934740L, 
934970L, 934971L, 934973L, 934974L, 934979L, 934980L, 934982L, 
934983L, 934988L, 934989L, 934991L, 934992L, 934997L, 934998L, 
935000L, 935001L, 935006L, 935007L, 935009L, 935010L, 935024L, 
935025L, 935027L, 935028L, 935033L, 935034L, 935036L, 935037L, 
935042L, 935043L, 935045L, 935046L, 935051L, 935052L, 935054L, 
935055L, 935060L, 935061L, 935063L, 935064L, 935132L, 935133L, 
935135L, 935136L, 935141L, 935142L, 935144L, 935145L, 935150L, 
935151L, 935153L, 935154L, 935159L, 935160L, 935162L, 935163L, 
935168L, 935169L, 935171L, 935172L, 935186L, 935187L, 935189L, 
935190L, 935195L, 935196L, 935198L, 935199L, 935204L, 935205L, 
935207L, 935208L, 935213L, 935214L, 935216L, 935217L, 935222L, 
935223L, 935225L, 935226L, 935294L, 935295L, 935297L, 935298L, 
935303L, 935304L, 935306L, 935307L, 935312L, 935313L, 935315L, 
935316L, 935321L, 935322L, 935324L, 935325L, 935330L, 935331L, 
935333L, 935334L, 935348L, 935349L, 935351L, 935352L, 935357L, 
935358L, 935360L, 935361L, 935366L, 935367L, 935369L, 935370L, 
935375L, 935376L, 935378L, 935379L, 935384L, 935385L, 935387L, 
935388L, 935456L, 935457L, 935459L, 935460L, 935465L, 935466L, 
935468L, 935469L, 935474L, 935475L, 935477L, 935478L, 935483L, 
935484L, 935486L, 935487L, 935492L, 935493L, 935495L, 935496L, 
935510L, 935511L, 935513L, 935514L, 935519L, 935520L, 935522L, 
935523L, 935528L, 935529L, 935531L, 935532L, 935537L, 935538L, 
935540L, 935541L, 935546L, 935547L, 935549L, 935550L, 935780L, 
935781L, 935783L, 935784L, 935789L, 935790L, 935792L, 935793L, 
935798L, 935799L, 935801L, 935802L, 935807L, 935808L, 935810L, 
935811L, 935816L, 935817L, 935819L, 935820L, 935834L, 935835L, 
935837L, 935838L, 935843L, 935844L, 935846L, 935847L, 935852L, 
935853L, 935855L, 935856L, 935861L, 935862L, 935864L, 935865L, 
935870L, 935871L, 935873L, 935874L, 935942L, 935943L, 935945L, 
935946L, 935951L, 935952L, 935954L, 935955L, 935960L, 935961L, 
935963L, 935964L, 935969L, 935970L, 935972L, 935973L, 935978L, 
935979L, 935981L, 935982L, 935996L, 935997L, 935999L, 936000L, 
936005L, 936006L, 936008L, 936009L, 936014L, 936015L, 936017L, 
936018L, 936023L, 936024L, 936026L, 936027L, 936032L, 936033L, 
936035L, 936036L, 936104L, 936105L, 936107L, 936108L, 936113L, 
936114L, 936116L, 936117L, 936122L, 936123L, 936125L, 936126L, 
936131L, 936132L, 936134L, 936135L, 936140L, 936141L, 936143L, 
936144L, 936158L, 936159L, 936161L, 936162L, 936167L, 936168L, 
936170L, 936171L, 936176L, 936177L, 936179L, 936180L, 936185L, 
936186L, 936188L, 936189L, 936194L, 936195L, 936197L, 936198L, 
936266L, 936267L, 936269L, 936270L, 936275L, 936276L, 936278L, 
936279L, 936284L, 936285L, 936287L, 936288L, 936293L, 936294L, 
936296L, 936297L, 936302L, 936303L, 936305L, 936306L, 936320L, 
936321L, 936323L, 936324L, 936329L, 936330L, 936332L, 936333L, 
936338L, 936339L, 936341L, 936342L, 936347L, 936348L, 936350L, 
936351L, 936356L, 936357L, 936359L, 936360L, 936590L, 936591L, 
936593L, 936594L, 936599L, 936600L, 936602L, 936603L, 936608L, 
936609L, 936611L, 936612L, 936617L, 936618L, 936620L, 936621L, 
936626L, 936627L, 936629L, 936630L, 936644L, 936645L, 936647L, 
936648L, 936653L, 936654L, 936656L, 936657L, 936662L, 936663L, 
936665L, 936666L, 936671L, 936672L, 936674L, 936675L, 936680L, 
936681L, 936683L, 936684L, 936752L, 936753L, 936755L, 936756L, 
936761L, 936762L, 936764L, 936765L, 936770L, 936771L, 936773L, 
936774L, 936779L, 936780L, 936782L, 936783L, 936788L, 936789L, 
936791L, 936792L, 936806L, 936807L, 936809L, 936810L, 936815L, 
936816L, 936818L, 936819L, 936824L, 936825L, 936827L, 936828L, 
936833L, 936834L, 936836L, 936837L, 936842L, 936843L, 936845L, 
936846L, 936914L, 936915L, 936917L, 936918L, 936923L, 936924L, 
936926L, 936927L, 936932L, 936933L, 936935L, 936936L, 936941L, 
936942L, 936944L, 936945L, 936950L, 936951L, 936953L, 936954L, 
936968L, 936969L, 936971L, 936972L, 936977L, 936978L, 936980L, 
936981L, 936986L, 936987L, 936989L, 936990L, 936995L, 936996L, 
936998L, 936999L, 937004L, 937005L, 937007L, 937008L, 937076L, 
937077L, 937079L, 937080L, 937085L, 937086L, 937088L, 937089L, 
937094L, 937095L, 937097L, 937098L, 937103L, 937104L, 937106L, 
937107L, 937112L, 937113L, 937115L, 937116L, 937130L, 937131L, 
937133L, 937134L, 937139L, 937140L, 937142L, 937143L, 937148L, 
937149L, 937151L, 937152L, 937157L, 937158L, 937160L, 937161L, 
937166L, 937167L, 937169L, 937170L, 937400L, 937401L, 937403L, 
937404L, 937409L, 937410L, 937412L, 937413L, 937418L, 937419L, 
937421L, 937422L, 937427L, 937428L, 937430L, 937431L, 937436L, 
937437L, 937439L, 937440L, 937454L, 937455L, 937457L, 937458L, 
937463L, 937464L, 937466L, 937467L, 937472L, 937473L, 937475L, 
937476L, 937481L, 937482L, 937484L, 937485L, 937490L, 937491L, 
937493L, 937494L, 937562L, 937563L, 937565L, 937566L, 937571L, 
937572L, 937574L, 937575L, 937580L, 937581L, 937583L, 937584L, 
937589L, 937590L, 937592L, 937593L, 937598L, 937599L, 937601L, 
937602L, 937616L, 937617L, 937619L, 937620L, 937625L, 937626L, 
937628L, 937629L, 937634L, 937635L, 937637L, 937638L, 937643L, 
937644L, 937646L, 937647L, 937652L, 937653L, 937655L, 937656L, 
937724L, 937725L, 937727L, 937728L, 937733L, 937734L, 937736L, 
937737L, 937742L, 937743L, 937745L, 937746L, 937751L, 937752L, 
937754L, 937755L, 937760L, 937761L, 937763L, 937764L, 937778L, 
937779L, 937781L, 937782L, 937787L, 937788L, 937790L, 937791L, 
937796L, 937797L, 937799L, 937800L, 937805L, 937806L, 937808L, 
937809L, 937814L, 937815L, 937817L, 937818L, 937886L, 937887L, 
937889L, 937890L, 937895L, 937896L, 937898L, 937899L, 937904L, 
937905L, 937907L, 937908L, 937913L, 937914L, 937916L, 937917L, 
937922L, 937923L, 937925L, 937926L, 937940L, 937941L, 937943L, 
937944L, 937949L, 937950L, 937952L, 937953L, 937958L, 937959L, 
937961L, 937962L, 937967L, 937968L, 937970L, 937971L, 937976L, 
937977L, 937979L, 937980L, 939020L, 939021L, 939023L, 939024L, 
939029L, 939030L, 939032L, 939033L, 939038L, 939039L, 939041L, 
939042L, 939047L, 939048L, 939050L, 939051L, 939056L, 939057L, 
939059L, 939060L, 939074L, 939075L, 939077L, 939078L, 939083L, 
939084L, 939086L, 939087L, 939092L, 939093L, 939095L, 939096L, 
939101L, 939102L, 939104L, 939105L, 939110L, 939111L, 939113L, 
939114L, 939182L, 939183L, 939185L, 939186L, 939191L, 939192L, 
939194L, 939195L, 939200L, 939201L, 939203L, 939204L, 939209L, 
939210L, 939212L, 939213L, 939218L, 939219L, 939221L, 939222L, 
939236L, 939237L, 939239L, 939240L, 939245L, 939246L, 939248L, 
939249L, 939254L, 939255L, 939257L, 939258L, 939263L, 939264L, 
939266L, 939267L, 939272L, 939273L, 939275L, 939276L, 939344L, 
939345L, 939347L, 939348L, 939353L, 939354L, 939356L, 939357L, 
939362L, 939363L, 939365L, 939366L, 939371L, 939372L, 939374L, 
939375L, 939380L, 939381L, 939383L, 939384L, 939398L, 939399L, 
939401L, 939402L, 939407L, 939408L, 939410L, 939411L, 939416L, 
939417L, 939419L, 939420L, 939425L, 939426L, 939428L, 939429L, 
939434L, 939435L, 939437L, 939438L, 939506L, 939507L, 939509L, 
939510L, 939515L, 939516L, 939518L, 939519L, 939524L, 939525L, 
939527L, 939528L, 939533L, 939534L, 939536L, 939537L, 939542L, 
939543L, 939545L, 939546L, 939560L, 939561L, 939563L, 939564L, 
939569L, 939570L, 939572L, 939573L, 939578L, 939579L, 939581L, 
939582L, 939587L, 939588L, 939590L, 939591L, 939596L, 939597L, 
939599L, 939600L, 939830L, 939831L, 939833L, 939834L, 939839L, 
939840L, 939842L, 939843L, 939848L, 939849L, 939851L, 939852L, 
939857L, 939858L, 939860L, 939861L, 939866L, 939867L, 939869L, 
939870L, 939884L, 939885L, 939887L, 939888L, 939893L, 939894L, 
939896L, 939897L, 939902L, 939903L, 939905L, 939906L, 939911L, 
939912L, 939914L, 939915L, 939920L, 939921L, 939923L, 939924L, 
939992L, 939993L, 939995L, 939996L, 940001L, 940002L, 940004L, 
940005L, 940010L, 940011L, 940013L, 940014L, 940019L, 940020L, 
940022L, 940023L, 940028L, 940029L, 940031L, 940032L, 940046L, 
940047L, 940049L, 940050L, 940055L, 940056L, 940058L, 940059L, 
940064L, 940065L, 940067L, 940068L, 940073L, 940074L, 940076L, 
940077L, 940082L, 940083L, 940085L, 940086L, 940154L, 940155L, 
940157L, 940158L, 940163L, 940164L, 940166L, 940167L, 940172L, 
940173L, 940175L, 940176L, 940181L, 940182L, 940184L, 940185L, 
940190L, 940191L, 940193L, 940194L, 940208L, 940209L, 940211L, 
940212L, 940217L, 940218L, 940220L, 940221L, 940226L, 940227L, 
940229L, 940230L, 940235L, 940236L, 940238L, 940239L, 940244L, 
940245L, 940247L, 940248L, 940316L, 940317L, 940319L, 940320L, 
940325L, 940326L, 940328L, 940329L, 940334L, 940335L, 940337L, 
940338L, 940343L, 940344L, 940346L, 940347L, 940352L, 940353L, 
940355L, 940356L, 940370L, 940371L, 940373L, 940374L, 940379L, 
940380L, 940382L, 940383L, 940388L, 940389L, 940391L, 940392L, 
940397L, 940398L, 940400L, 940401L, 940406L, 940407L, 940409L, 
940410L, 940640L, 940641L, 940643L, 940644L, 940649L, 940650L, 
940652L, 940653L, 940658L, 940659L, 940661L, 940662L, 940667L, 
940668L, 940670L, 940671L, 940676L, 940677L, 940679L, 940680L, 
940694L, 940695L, 940697L, 940698L, 940703L, 940704L, 940706L, 
940707L, 940712L, 940713L, 940715L, 940716L, 940721L, 940722L, 
940724L, 940725L, 940730L, 940731L, 940733L, 940734L, 940802L, 
940803L, 940805L, 940806L, 940811L, 940812L, 940814L, 940815L, 
940820L, 940821L, 940823L, 940824L, 940829L, 940830L, 940832L, 
940833L, 940838L, 940839L, 940841L, 940842L, 940856L, 940857L, 
940859L, 940860L, 940865L, 940866L, 940868L, 940869L, 940874L, 
940875L, 940877L, 940878L, 940883L, 940884L, 940886L, 940887L, 
940892L, 940893L, 940895L, 940896L, 940964L, 940965L, 940967L, 
940968L, 940973L, 940974L, 940976L, 940977L, 940982L, 940983L, 
940985L, 940986L, 940991L, 940992L, 940994L, 940995L, 941000L, 
941001L, 941003L, 941004L, 941018L, 941019L, 941021L, 941022L, 
941027L, 941028L, 941030L, 941031L, 941036L, 941037L, 941039L, 
941040L, 941045L, 941046L, 941048L, 941049L, 941054L, 941055L, 
941057L, 941058L, 941126L, 941127L, 941129L, 941130L, 941135L, 
941136L, 941138L, 941139L, 941144L, 941145L, 941147L, 941148L, 
941153L, 941154L, 941156L, 941157L, 941162L, 941163L, 941165L, 
941166L, 941180L, 941181L, 941183L, 941184L, 941189L, 941190L, 
941192L, 941193L, 941198L, 941199L, 941201L, 941202L, 941207L, 
941208L, 941210L, 941211L, 941216L, 941217L, 941219L, 941220L, 
941450L, 941451L, 941453L, 941454L, 941459L, 941460L, 941462L, 
941463L, 941468L, 941469L, 941471L, 941472L, 941477L, 941478L, 
941480L, 941481L, 941486L, 941487L, 941489L, 941490L, 941504L, 
941505L, 941507L, 941508L, 941513L, 941514L, 941516L, 941517L, 
941522L, 941523L, 941525L, 941526L, 941531L, 941532L, 941534L, 
941535L, 941540L, 941541L, 941543L, 941544L, 941612L, 941613L, 
941615L, 941616L, 941621L, 941622L, 941624L, 941625L, 941630L, 
941631L, 941633L, 941634L, 941639L, 941640L, 941642L, 941643L, 
941648L, 941649L, 941651L, 941652L, 941666L, 941667L, 941669L, 
941670L, 941675L, 941676L, 941678L, 941679L, 941684L, 941685L, 
941687L, 941688L, 941693L, 941694L, 941696L, 941697L, 941702L, 
941703L, 941705L, 941706L, 941774L, 941775L, 941777L, 941778L, 
941783L, 941784L, 941786L, 941787L, 941792L, 941793L, 941795L, 
941796L, 941801L, 941802L, 941804L, 941805L, 941810L, 941811L, 
941813L, 941814L, 941828L, 941829L, 941831L, 941832L, 941837L, 
941838L, 941840L, 941841L, 941846L, 941847L, 941849L, 941850L, 
941855L, 941856L, 941858L, 941859L, 941864L, 941865L, 941867L, 
941868L, 941936L, 941937L, 941939L, 941940L, 941945L, 941946L, 
941948L, 941949L, 941954L, 941955L, 941957L, 941958L, 941963L, 
941964L, 941966L, 941967L, 941972L, 941973L, 941975L, 941976L, 
941990L, 941991L, 941993L, 941994L, 941999L, 942000L, 942002L, 
942003L, 942008L, 942009L, 942011L, 942012L, 942017L, 942018L, 
942020L, 942021L, 942026L, 942027L, 942029L, 942030L, 942260L, 
942261L, 942263L, 942264L, 942269L, 942270L, 942272L, 942273L, 
942278L, 942279L, 942281L, 942282L, 942287L, 942288L, 942290L, 
942291L, 942296L, 942297L, 942299L, 942300L, 942314L, 942315L, 
942317L, 942318L, 942323L, 942324L, 942326L, 942327L, 942332L, 
942333L, 942335L, 942336L, 942341L, 942342L, 942344L, 942345L, 
942350L, 942351L, 942353L, 942354L, 942422L, 942423L, 942425L, 
942426L, 942431L, 942432L, 942434L, 942435L, 942440L, 942441L, 
942443L, 942444L, 942449L, 942450L, 942452L, 942453L, 942458L, 
942459L, 942461L, 942462L, 942476L, 942477L, 942479L, 942480L, 
942485L, 942486L, 942488L, 942489L, 942494L, 942495L, 942497L, 
942498L, 942503L, 942504L, 942506L, 942507L, 942512L, 942513L, 
942515L, 942516L, 942584L, 942585L, 942587L, 942588L, 942593L, 
942594L, 942596L, 942597L, 942602L, 942603L, 942605L, 942606L, 
942611L, 942612L, 942614L, 942615L, 942620L, 942621L, 942623L, 
942624L, 942638L, 942639L, 942641L, 942642L, 942647L, 942648L, 
942650L, 942651L, 942656L, 942657L, 942659L, 942660L, 942665L, 
942666L, 942668L, 942669L, 942674L, 942675L, 942677L, 942678L, 
942746L, 942747L, 942749L, 942750L, 942755L, 942756L, 942758L, 
942759L, 942764L, 942765L, 942767L, 942768L, 942773L, 942774L, 
942776L, 942777L, 942782L, 942783L, 942785L, 942786L, 942800L, 
942801L, 942803L, 942804L, 942809L, 942810L, 942812L, 942813L, 
942818L, 942819L, 942821L, 942822L, 942827L, 942828L, 942830L, 
942831L, 942836L, 942837L, 942839L, 942840L, 953600L, 953601L, 
953603L, 953604L, 953609L, 953610L, 953612L, 953613L, 953618L, 
953619L, 953621L, 953622L, 953627L, 953628L, 953630L, 953631L, 
953636L, 953637L, 953639L, 953640L, 953654L, 953655L, 953657L, 
953658L, 953663L, 953664L, 953666L, 953667L, 953672L, 953673L, 
953675L, 953676L, 953681L, 953682L, 953684L, 953685L, 953690L, 
953691L, 953693L, 953694L, 953762L, 953763L, 953765L, 953766L, 
953771L, 953772L, 953774L, 953775L, 953780L, 953781L, 953783L, 
953784L, 953789L, 953790L, 953792L, 953793L, 953798L, 953799L, 
953801L, 953802L, 953816L, 953817L, 953819L, 953820L, 953825L, 
953826L, 953828L, 953829L, 953834L, 953835L, 953837L, 953838L, 
953843L, 953844L, 953846L, 953847L, 953852L, 953853L, 953855L, 
953856L, 953924L, 953925L, 953927L, 953928L, 953933L, 953934L, 
953936L, 953937L, 953942L, 953943L, 953945L, 953946L, 953951L, 
953952L, 953954L, 953955L, 953960L, 953961L, 953963L, 953964L, 
953978L, 953979L, 953981L, 953982L, 953987L, 953988L, 953990L, 
953991L, 953996L, 953997L, 953999L, 954000L, 954005L, 954006L, 
954008L, 954009L, 954014L, 954015L, 954017L, 954018L, 954086L, 
954087L, 954089L, 954090L, 954095L, 954096L, 954098L, 954099L, 
954104L, 954105L, 954107L, 954108L, 954113L, 954114L, 954116L, 
954117L, 954122L, 954123L, 954125L, 954126L, 954140L, 954141L, 
954143L, 954144L, 954149L, 954150L, 954152L, 954153L, 954158L, 
954159L, 954161L, 954162L, 954167L, 954168L, 954170L, 954171L, 
954176L, 954177L, 954179L, 954180L, 954410L, 954411L, 954413L, 
954414L, 954419L, 954420L, 954422L, 954423L, 954428L, 954429L, 
954431L, 954432L, 954437L, 954438L, 954440L, 954441L, 954446L, 
954447L, 954449L, 954450L, 954464L, 954465L, 954467L, 954468L, 
954473L, 954474L, 954476L, 954477L, 954482L, 954483L, 954485L, 
954486L, 954491L, 954492L, 954494L, 954495L, 954500L, 954501L, 
954503L, 954504L, 954572L, 954573L, 954575L, 954576L, 954581L, 
954582L, 954584L, 954585L, 954590L, 954591L, 954593L, 954594L, 
954599L, 954600L, 954602L, 954603L, 954608L, 954609L, 954611L, 
954612L, 954626L, 954627L, 954629L, 954630L, 954635L, 954636L, 
954638L, 954639L, 954644L, 954645L, 954647L, 954648L, 954653L, 
954654L, 954656L, 954657L, 954662L, 954663L, 954665L, 954666L, 
954734L, 954735L, 954737L, 954738L, 954743L, 954744L, 954746L, 
954747L, 954752L, 954753L, 954755L, 954756L, 954761L, 954762L, 
954764L, 954765L, 954770L, 954771L, 954773L, 954774L, 954788L, 
954789L, 954791L, 954792L, 954797L, 954798L, 954800L, 954801L, 
954806L, 954807L, 954809L, 954810L, 954815L, 954816L, 954818L, 
954819L, 954824L, 954825L, 954827L, 954828L, 954896L, 954897L, 
954899L, 954900L, 954905L, 954906L, 954908L, 954909L, 954914L, 
954915L, 954917L, 954918L, 954923L, 954924L, 954926L, 954927L, 
954932L, 954933L, 954935L, 954936L, 954950L, 954951L, 954953L, 
954954L, 954959L, 954960L, 954962L, 954963L, 954968L, 954969L, 
954971L, 954972L, 954977L, 954978L, 954980L, 954981L, 954986L, 
954987L, 954989L, 954990L, 955220L, 955221L, 955223L, 955224L, 
955229L, 955230L, 955232L, 955233L, 955238L, 955239L, 955241L, 
955242L, 955247L, 955248L, 955250L, 955251L, 955256L, 955257L, 
955259L, 955260L, 955274L, 955275L, 955277L, 955278L, 955283L, 
955284L, 955286L, 955287L, 955292L, 955293L, 955295L, 955296L, 
955301L, 955302L, 955304L, 955305L, 955310L, 955311L, 955313L, 
955314L, 955382L, 955383L, 955385L, 955386L, 955391L, 955392L, 
955394L, 955395L, 955400L, 955401L, 955403L, 955404L, 955409L, 
955410L, 955412L, 955413L, 955418L, 955419L, 955421L, 955422L, 
955436L, 955437L, 955439L, 955440L, 955445L, 955446L, 955448L, 
955449L, 955454L, 955455L, 955457L, 955458L, 955463L, 955464L, 
955466L, 955467L, 955472L, 955473L, 955475L, 955476L, 955544L, 
955545L, 955547L, 955548L, 955553L, 955554L, 955556L, 955557L, 
955562L, 955563L, 955565L, 955566L, 955571L, 955572L, 955574L, 
955575L, 955580L, 955581L, 955583L, 955584L, 955598L, 955599L, 
955601L, 955602L, 955607L, 955608L, 955610L, 955611L, 955616L, 
955617L, 955619L, 955620L, 955625L, 955626L, 955628L, 955629L, 
955634L, 955635L, 955637L, 955638L, 955706L, 955707L, 955709L, 
955710L, 955715L, 955716L, 955718L, 955719L, 955724L, 955725L, 
955727L, 955728L, 955733L, 955734L, 955736L, 955737L, 955742L, 
955743L, 955745L, 955746L, 955760L, 955761L, 955763L, 955764L, 
955769L, 955770L, 955772L, 955773L, 955778L, 955779L, 955781L, 
955782L, 955787L, 955788L, 955790L, 955791L, 955796L, 955797L, 
955799L, 955800L, 956030L, 956031L, 956033L, 956034L, 956039L, 
956040L, 956042L, 956043L, 956048L, 956049L, 956051L, 956052L, 
956057L, 956058L, 956060L, 956061L, 956066L, 956067L, 956069L, 
956070L, 956084L, 956085L, 956087L, 956088L, 956093L, 956094L, 
956096L, 956097L, 956102L, 956103L, 956105L, 956106L, 956111L, 
956112L, 956114L, 956115L, 956120L, 956121L, 956123L, 956124L, 
956192L, 956193L, 956195L, 956196L, 956201L, 956202L, 956204L, 
956205L, 956210L, 956211L, 956213L, 956214L, 956219L, 956220L, 
956222L, 956223L, 956228L, 956229L, 956231L, 956232L, 956246L, 
956247L, 956249L, 956250L, 956255L, 956256L, 956258L, 956259L, 
956264L, 956265L, 956267L, 956268L, 956273L, 956274L, 956276L, 
956277L, 956282L, 956283L, 956285L, 956286L, 956354L, 956355L, 
956357L, 956358L, 956363L, 956364L, 956366L, 956367L, 956372L, 
956373L, 956375L, 956376L, 956381L, 956382L, 956384L, 956385L, 
956390L, 956391L, 956393L, 956394L, 956408L, 956409L, 956411L, 
956412L, 956417L, 956418L, 956420L, 956421L, 956426L, 956427L, 
956429L, 956430L, 956435L, 956436L, 956438L, 956439L, 956444L, 
956445L, 956447L, 956448L, 956516L, 956517L, 956519L, 956520L, 
956525L, 956526L, 956528L, 956529L, 956534L, 956535L, 956537L, 
956538L, 956543L, 956544L, 956546L, 956547L, 956552L, 956553L, 
956555L, 956556L, 956570L, 956571L, 956573L, 956574L, 956579L, 
956580L, 956582L, 956583L, 956588L, 956589L, 956591L, 956592L, 
956597L, 956598L, 956600L, 956601L, 956606L, 956607L, 956609L, 
956610L, 956840L, 956841L, 956843L, 956844L, 956849L, 956850L, 
956852L, 956853L, 956858L, 956859L, 956861L, 956862L, 956867L, 
956868L, 956870L, 956871L, 956876L, 956877L, 956879L, 956880L, 
956894L, 956895L, 956897L, 956898L, 956903L, 956904L, 956906L, 
956907L, 956912L, 956913L, 956915L, 956916L, 956921L, 956922L, 
956924L, 956925L, 956930L, 956931L, 956933L, 956934L, 957002L, 
957003L, 957005L, 957006L, 957011L, 957012L, 957014L, 957015L, 
957020L, 957021L, 957023L, 957024L, 957029L, 957030L, 957032L, 
957033L, 957038L, 957039L, 957041L, 957042L, 957056L, 957057L, 
957059L, 957060L, 957065L, 957066L, 957068L, 957069L, 957074L, 
957075L, 957077L, 957078L, 957083L, 957084L, 957086L, 957087L, 
957092L, 957093L, 957095L, 957096L, 957164L, 957165L, 957167L, 
957168L, 957173L, 957174L, 957176L, 957177L, 957182L, 957183L, 
957185L, 957186L, 957191L, 957192L, 957194L, 957195L, 957200L, 
957201L, 957203L, 957204L, 957218L, 957219L, 957221L, 957222L, 
957227L, 957228L, 957230L, 957231L, 957236L, 957237L, 957239L, 
957240L, 957245L, 957246L, 957248L, 957249L, 957254L, 957255L, 
957257L, 957258L, 957326L, 957327L, 957329L, 957330L, 957335L, 
957336L, 957338L, 957339L, 957344L, 957345L, 957347L, 957348L, 
957353L, 957354L, 957356L, 957357L, 957362L, 957363L, 957365L, 
957366L, 957380L, 957381L, 957383L, 957384L, 957389L, 957390L, 
957392L, 957393L, 957398L, 957399L, 957401L, 957402L, 957407L, 
957408L, 957410L, 957411L, 957416L, 957417L, 957419L, 957420L, 
958460L, 958461L, 958463L, 958464L, 958469L, 958470L, 958472L, 
958473L, 958478L, 958479L, 958481L, 958482L, 958487L, 958488L, 
958490L, 958491L, 958496L, 958497L, 958499L, 958500L, 958514L, 
958515L, 958517L, 958518L, 958523L, 958524L, 958526L, 958527L, 
958532L, 958533L, 958535L, 958536L, 958541L, 958542L, 958544L, 
958545L, 958550L, 958551L, 958553L, 958554L, 958622L, 958623L, 
958625L, 958626L, 958631L, 958632L, 958634L, 958635L, 958640L, 
958641L, 958643L, 958644L, 958649L, 958650L, 958652L, 958653L, 
958658L, 958659L, 958661L, 958662L, 958676L, 958677L, 958679L, 
958680L, 958685L, 958686L, 958688L, 958689L, 958694L, 958695L, 
958697L, 958698L, 958703L, 958704L, 958706L, 958707L, 958712L, 
958713L, 958715L, 958716L, 958784L, 958785L, 958787L, 958788L, 
958793L, 958794L, 958796L, 958797L, 958802L, 958803L, 958805L, 
958806L, 958811L, 958812L, 958814L, 958815L, 958820L, 958821L, 
958823L, 958824L, 958838L, 958839L, 958841L, 958842L, 958847L, 
958848L, 958850L, 958851L, 958856L, 958857L, 958859L, 958860L, 
958865L, 958866L, 958868L, 958869L, 958874L, 958875L, 958877L, 
958878L, 958946L, 958947L, 958949L, 958950L, 958955L, 958956L, 
958958L, 958959L, 958964L, 958965L, 958967L, 958968L, 958973L, 
958974L, 958976L, 958977L, 958982L, 958983L, 958985L, 958986L, 
959000L, 959001L, 959003L, 959004L, 959009L, 959010L, 959012L, 
959013L, 959018L, 959019L, 959021L, 959022L, 959027L, 959028L, 
959030L, 959031L, 959036L, 959037L, 959039L, 959040L, 959270L, 
959271L, 959273L, 959274L, 959279L, 959280L, 959282L, 959283L, 
959288L, 959289L, 959291L, 959292L, 959297L, 959298L, 959300L, 
959301L, 959306L, 959307L, 959309L, 959310L, 959324L, 959325L, 
959327L, 959328L, 959333L, 959334L, 959336L, 959337L, 959342L, 
959343L, 959345L, 959346L, 959351L, 959352L, 959354L, 959355L, 
959360L, 959361L, 959363L, 959364L, 959432L, 959433L, 959435L, 
959436L, 959441L, 959442L, 959444L, 959445L, 959450L, 959451L, 
959453L, 959454L, 959459L, 959460L, 959462L, 959463L, 959468L, 
959469L, 959471L, 959472L, 959486L, 959487L, 959489L, 959490L, 
959495L, 959496L, 959498L, 959499L, 959504L, 959505L, 959507L, 
959508L, 959513L, 959514L, 959516L, 959517L, 959522L, 959523L, 
959525L, 959526L, 959594L, 959595L, 959597L, 959598L, 959603L, 
959604L, 959606L, 959607L, 959612L, 959613L, 959615L, 959616L, 
959621L, 959622L, 959624L, 959625L, 959630L, 959631L, 959633L, 
959634L, 959648L, 959649L, 959651L, 959652L, 959657L, 959658L, 
959660L, 959661L, 959666L, 959667L, 959669L, 959670L, 959675L, 
959676L, 959678L, 959679L, 959684L, 959685L, 959687L, 959688L, 
959756L, 959757L, 959759L, 959760L, 959765L, 959766L, 959768L, 
959769L, 959774L, 959775L, 959777L, 959778L, 959783L, 959784L, 
959786L, 959787L, 959792L, 959793L, 959795L, 959796L, 959810L, 
959811L, 959813L, 959814L, 959819L, 959820L, 959822L, 959823L, 
959828L, 959829L, 959831L, 959832L, 959837L, 959838L, 959840L, 
959841L, 959846L, 959847L, 959849L, 959850L, 960080L, 960081L, 
960083L, 960084L, 960089L, 960090L, 960092L, 960093L, 960098L, 
960099L, 960101L, 960102L, 960107L, 960108L, 960110L, 960111L, 
960116L, 960117L, 960119L, 960120L, 960134L, 960135L, 960137L, 
960138L, 960143L, 960144L, 960146L, 960147L, 960152L, 960153L, 
960155L, 960156L, 960161L, 960162L, 960164L, 960165L, 960170L, 
960171L, 960173L, 960174L, 960242L, 960243L, 960245L, 960246L, 
960251L, 960252L, 960254L, 960255L, 960260L, 960261L, 960263L, 
960264L, 960269L, 960270L, 960272L, 960273L, 960278L, 960279L, 
960281L, 960282L, 960296L, 960297L, 960299L, 960300L, 960305L, 
960306L, 960308L, 960309L, 960314L, 960315L, 960317L, 960318L, 
960323L, 960324L, 960326L, 960327L, 960332L, 960333L, 960335L, 
960336L, 960404L, 960405L, 960407L, 960408L, 960413L, 960414L, 
960416L, 960417L, 960422L, 960423L, 960425L, 960426L, 960431L, 
960432L, 960434L, 960435L, 960440L, 960441L, 960443L, 960444L, 
960458L, 960459L, 960461L, 960462L, 960467L, 960468L, 960470L, 
960471L, 960476L, 960477L, 960479L, 960480L, 960485L, 960486L, 
960488L, 960489L, 960494L, 960495L, 960497L, 960498L, 960566L, 
960567L, 960569L, 960570L, 960575L, 960576L, 960578L, 960579L, 
960584L, 960585L, 960587L, 960588L, 960593L, 960594L, 960596L, 
960597L, 960602L, 960603L, 960605L, 960606L, 960620L, 960621L, 
960623L, 960624L, 960629L, 960630L, 960632L, 960633L, 960638L, 
960639L, 960641L, 960642L, 960647L, 960648L, 960650L, 960651L, 
960656L, 960657L, 960659L, 960660L, 960890L, 960891L, 960893L, 
960894L, 960899L, 960900L, 960902L, 960903L, 960908L, 960909L, 
960911L, 960912L, 960917L, 960918L, 960920L, 960921L, 960926L, 
960927L, 960929L, 960930L, 960944L, 960945L, 960947L, 960948L, 
960953L, 960954L, 960956L, 960957L, 960962L, 960963L, 960965L, 
960966L, 960971L, 960972L, 960974L, 960975L, 960980L, 960981L, 
960983L, 960984L, 961052L, 961053L, 961055L, 961056L, 961061L, 
961062L, 961064L, 961065L, 961070L, 961071L, 961073L, 961074L, 
961079L, 961080L, 961082L, 961083L, 961088L, 961089L, 961091L, 
961092L, 961106L, 961107L, 961109L, 961110L, 961115L, 961116L, 
961118L, 961119L, 961124L, 961125L, 961127L, 961128L, 961133L, 
961134L, 961136L, 961137L, 961142L, 961143L, 961145L, 961146L, 
961214L, 961215L, 961217L, 961218L, 961223L, 961224L, 961226L, 
961227L, 961232L, 961233L, 961235L, 961236L, 961241L, 961242L, 
961244L, 961245L, 961250L, 961251L, 961253L, 961254L, 961268L, 
961269L, 961271L, 961272L, 961277L, 961278L, 961280L, 961281L, 
961286L, 961287L, 961289L, 961290L, 961295L, 961296L, 961298L, 
961299L, 961304L, 961305L, 961307L, 961308L, 961376L, 961377L, 
961379L, 961380L, 961385L, 961386L, 961388L, 961389L, 961394L, 
961395L, 961397L, 961398L, 961403L, 961404L, 961406L, 961407L, 
961412L, 961413L, 961415L, 961416L, 961430L, 961431L, 961433L, 
961434L, 961439L, 961440L, 961442L, 961443L, 961448L, 961449L, 
961451L, 961452L, 961457L, 961458L, 961460L, 961461L, 961466L, 
961467L, 961469L, 961470L, 961700L, 961701L, 961703L, 961704L, 
961709L, 961710L, 961712L, 961713L, 961718L, 961719L, 961721L, 
961722L, 961727L, 961728L, 961730L, 961731L, 961736L, 961737L, 
961739L, 961740L, 961754L, 961755L, 961757L, 961758L, 961763L, 
961764L, 961766L, 961767L, 961772L, 961773L, 961775L, 961776L, 
961781L, 961782L, 961784L, 961785L, 961790L, 961791L, 961793L, 
961794L, 961862L, 961863L, 961865L, 961866L, 961871L, 961872L, 
961874L, 961875L, 961880L, 961881L, 961883L, 961884L, 961889L, 
961890L, 961892L, 961893L, 961898L, 961899L, 961901L, 961902L, 
961916L, 961917L, 961919L, 961920L, 961925L, 961926L, 961928L, 
961929L, 961934L, 961935L, 961937L, 961938L, 961943L, 961944L, 
961946L, 961947L, 961952L, 961953L, 961955L, 961956L, 962024L, 
962025L, 962027L, 962028L, 962033L, 962034L, 962036L, 962037L, 
962042L, 962043L, 962045L, 962046L, 962051L, 962052L, 962054L, 
962055L, 962060L, 962061L, 962063L, 962064L, 962078L, 962079L, 
962081L, 962082L, 962087L, 962088L, 962090L, 962091L, 962096L, 
962097L, 962099L, 962100L, 962105L, 962106L, 962108L, 962109L, 
962114L, 962115L, 962117L, 962118L, 962186L, 962187L, 962189L, 
962190L, 962195L, 962196L, 962198L, 962199L, 962204L, 962205L, 
962207L, 962208L, 962213L, 962214L, 962216L, 962217L, 962222L, 
962223L, 962225L, 962226L, 962240L, 962241L, 962243L, 962244L, 
962249L, 962250L, 962252L, 962253L, 962258L, 962259L, 962261L, 
962262L, 962267L, 962268L, 962270L, 962271L, 962276L, 962277L, 
962279L, 962280L, 963320L, 963321L, 963323L, 963324L, 963329L, 
963330L, 963332L, 963333L, 963338L, 963339L, 963341L, 963342L, 
963347L, 963348L, 963350L, 963351L, 963356L, 963357L, 963359L, 
963360L, 963374L, 963375L, 963377L, 963378L, 963383L, 963384L, 
963386L, 963387L, 963392L, 963393L, 963395L, 963396L, 963401L, 
963402L, 963404L, 963405L, 963410L, 963411L, 963413L, 963414L, 
963482L, 963483L, 963485L, 963486L, 963491L, 963492L, 963494L, 
963495L, 963500L, 963501L, 963503L, 963504L, 963509L, 963510L, 
963512L, 963513L, 963518L, 963519L, 963521L, 963522L, 963536L, 
963537L, 963539L, 963540L, 963545L, 963546L, 963548L, 963549L, 
963554L, 963555L, 963557L, 963558L, 963563L, 963564L, 963566L, 
963567L, 963572L, 963573L, 963575L, 963576L, 963644L, 963645L, 
963647L, 963648L, 963653L, 963654L, 963656L, 963657L, 963662L, 
963663L, 963665L, 963666L, 963671L, 963672L, 963674L, 963675L, 
963680L, 963681L, 963683L, 963684L, 963698L, 963699L, 963701L, 
963702L, 963707L, 963708L, 963710L, 963711L, 963716L, 963717L, 
963719L, 963720L, 963725L, 963726L, 963728L, 963729L, 963734L, 
963735L, 963737L, 963738L, 963806L, 963807L, 963809L, 963810L, 
963815L, 963816L, 963818L, 963819L, 963824L, 963825L, 963827L, 
963828L, 963833L, 963834L, 963836L, 963837L, 963842L, 963843L, 
963845L, 963846L, 963860L, 963861L, 963863L, 963864L, 963869L, 
963870L, 963872L, 963873L, 963878L, 963879L, 963881L, 963882L, 
963887L, 963888L, 963890L, 963891L, 963896L, 963897L, 963899L, 
963900L, 964130L, 964131L, 964133L, 964134L, 964139L, 964140L, 
964142L, 964143L, 964148L, 964149L, 964151L, 964152L, 964157L, 
964158L, 964160L, 964161L, 964166L, 964167L, 964169L, 964170L, 
964184L, 964185L, 964187L, 964188L, 964193L, 964194L, 964196L, 
964197L, 964202L, 964203L, 964205L, 964206L, 964211L, 964212L, 
964214L, 964215L, 964220L, 964221L, 964223L, 964224L, 964292L, 
964293L, 964295L, 964296L, 964301L, 964302L, 964304L, 964305L, 
964310L, 964311L, 964313L, 964314L, 964319L, 964320L, 964322L, 
964323L, 964328L, 964329L, 964331L, 964332L, 964346L, 964347L, 
964349L, 964350L, 964355L, 964356L, 964358L, 964359L, 964364L, 
964365L, 964367L, 964368L, 964373L, 964374L, 964376L, 964377L, 
964382L, 964383L, 964385L, 964386L, 964454L, 964455L, 964457L, 
964458L, 964463L, 964464L, 964466L, 964467L, 964472L, 964473L, 
964475L, 964476L, 964481L, 964482L, 964484L, 964485L, 964490L, 
964491L, 964493L, 964494L, 964508L, 964509L, 964511L, 964512L, 
964517L, 964518L, 964520L, 964521L, 964526L, 964527L, 964529L, 
964530L, 964535L, 964536L, 964538L, 964539L, 964544L, 964545L, 
964547L, 964548L, 964616L, 964617L, 964619L, 964620L, 964625L, 
964626L, 964628L, 964629L, 964634L, 964635L, 964637L, 964638L, 
964643L, 964644L, 964646L, 964647L, 964652L, 964653L, 964655L, 
964656L, 964670L, 964671L, 964673L, 964674L, 964679L, 964680L, 
964682L, 964683L, 964688L, 964689L, 964691L, 964692L, 964697L, 
964698L, 964700L, 964701L, 964706L, 964707L, 964709L, 964710L, 
964940L, 964941L, 964943L, 964944L, 964949L, 964950L, 964952L, 
964953L, 964958L, 964959L, 964961L, 964962L, 964967L, 964968L, 
964970L, 964971L, 964976L, 964977L, 964979L, 964980L, 964994L, 
964995L, 964997L, 964998L, 965003L, 965004L, 965006L, 965007L, 
965012L, 965013L, 965015L, 965016L, 965021L, 965022L, 965024L, 
965025L, 965030L, 965031L, 965033L, 965034L, 965102L, 965103L, 
965105L, 965106L, 965111L, 965112L, 965114L, 965115L, 965120L, 
965121L, 965123L, 965124L, 965129L, 965130L, 965132L, 965133L, 
965138L, 965139L, 965141L, 965142L, 965156L, 965157L, 965159L, 
965160L, 965165L, 965166L, 965168L, 965169L, 965174L, 965175L, 
965177L, 965178L, 965183L, 965184L, 965186L, 965187L, 965192L, 
965193L, 965195L, 965196L, 965264L, 965265L, 965267L, 965268L, 
965273L, 965274L, 965276L, 965277L, 965282L, 965283L, 965285L, 
965286L, 965291L, 965292L, 965294L, 965295L, 965300L, 965301L, 
965303L, 965304L, 965318L, 965319L, 965321L, 965322L, 965327L, 
965328L, 965330L, 965331L, 965336L, 965337L, 965339L, 965340L, 
965345L, 965346L, 965348L, 965349L, 965354L, 965355L, 965357L, 
965358L, 965426L, 965427L, 965429L, 965430L, 965435L, 965436L, 
965438L, 965439L, 965444L, 965445L, 965447L, 965448L, 965453L, 
965454L, 965456L, 965457L, 965462L, 965463L, 965465L, 965466L, 
965480L, 965481L, 965483L, 965484L, 965489L, 965490L, 965492L, 
965493L, 965498L, 965499L, 965501L, 965502L, 965507L, 965508L, 
965510L, 965511L, 965516L, 965517L, 965519L, 965520L, 965750L, 
965751L, 965753L, 965754L, 965759L, 965760L, 965762L, 965763L, 
965768L, 965769L, 965771L, 965772L, 965777L, 965778L, 965780L, 
965781L, 965786L, 965787L, 965789L, 965790L, 965804L, 965805L, 
965807L, 965808L, 965813L, 965814L, 965816L, 965817L, 965822L, 
965823L, 965825L, 965826L, 965831L, 965832L, 965834L, 965835L, 
965840L, 965841L, 965843L, 965844L, 965912L, 965913L, 965915L, 
965916L, 965921L, 965922L, 965924L, 965925L, 965930L, 965931L, 
965933L, 965934L, 965939L, 965940L, 965942L, 965943L, 965948L, 
965949L, 965951L, 965952L, 965966L, 965967L, 965969L, 965970L, 
965975L, 965976L, 965978L, 965979L, 965984L, 965985L, 965987L, 
965988L, 965993L, 965994L, 965996L, 965997L, 966002L, 966003L, 
966005L, 966006L, 966074L, 966075L, 966077L, 966078L, 966083L, 
966084L, 966086L, 966087L, 966092L, 966093L, 966095L, 966096L, 
966101L, 966102L, 966104L, 966105L, 966110L, 966111L, 966113L, 
966114L, 966128L, 966129L, 966131L, 966132L, 966137L, 966138L, 
966140L, 966141L, 966146L, 966147L, 966149L, 966150L, 966155L, 
966156L, 966158L, 966159L, 966164L, 966165L, 966167L, 966168L, 
966236L, 966237L, 966239L, 966240L, 966245L, 966246L, 966248L, 
966249L, 966254L, 966255L, 966257L, 966258L, 966263L, 966264L, 
966266L, 966267L, 966272L, 966273L, 966275L, 966276L, 966290L, 
966291L, 966293L, 966294L, 966299L, 966300L, 966302L, 966303L, 
966308L, 966309L, 966311L, 966312L, 966317L, 966318L, 966320L, 
966321L, 966326L, 966327L, 966329L, 966330L, 966560L, 966561L, 
966563L, 966564L, 966569L, 966570L, 966572L, 966573L, 966578L, 
966579L, 966581L, 966582L, 966587L, 966588L, 966590L, 966591L, 
966596L, 966597L, 966599L, 966600L, 966614L, 966615L, 966617L, 
966618L, 966623L, 966624L, 966626L, 966627L, 966632L, 966633L, 
966635L, 966636L, 966641L, 966642L, 966644L, 966645L, 966650L, 
966651L, 966653L, 966654L, 966722L, 966723L, 966725L, 966726L, 
966731L, 966732L, 966734L, 966735L, 966740L, 966741L, 966743L, 
966744L, 966749L, 966750L, 966752L, 966753L, 966758L, 966759L, 
966761L, 966762L, 966776L, 966777L, 966779L, 966780L, 966785L, 
966786L, 966788L, 966789L, 966794L, 966795L, 966797L, 966798L, 
966803L, 966804L, 966806L, 966807L, 966812L, 966813L, 966815L, 
966816L, 966884L, 966885L, 966887L, 966888L, 966893L, 966894L, 
966896L, 966897L, 966902L, 966903L, 966905L, 966906L, 966911L, 
966912L, 966914L, 966915L, 966920L, 966921L, 966923L, 966924L, 
966938L, 966939L, 966941L, 966942L, 966947L, 966948L, 966950L, 
966951L, 966956L, 966957L, 966959L, 966960L, 966965L, 966966L, 
966968L, 966969L, 966974L, 966975L, 966977L, 966978L, 967046L, 
967047L, 967049L, 967050L, 967055L, 967056L, 967058L, 967059L, 
967064L, 967065L, 967067L, 967068L, 967073L, 967074L, 967076L, 
967077L, 967082L, 967083L, 967085L, 967086L, 967100L, 967101L, 
967103L, 967104L, 967109L, 967110L, 967112L, 967113L, 967118L, 
967119L, 967121L, 967122L, 967127L, 967128L, 967130L, 967131L, 
967136L, 967137L, 967139L, 967140L, 977900L, 977901L, 977903L, 
977904L, 977909L, 977910L, 977912L, 977913L, 977918L, 977919L, 
977921L, 977922L, 977927L, 977928L, 977930L, 977931L, 977936L, 
977937L, 977939L, 977940L, 977954L, 977955L, 977957L, 977958L, 
977963L, 977964L, 977966L, 977967L, 977972L, 977973L, 977975L, 
977976L, 977981L, 977982L, 977984L, 977985L, 977990L, 977991L, 
977993L, 977994L, 978062L, 978063L, 978065L, 978066L, 978071L, 
978072L, 978074L, 978075L, 978080L, 978081L, 978083L, 978084L, 
978089L, 978090L, 978092L, 978093L, 978098L, 978099L, 978101L, 
978102L, 978116L, 978117L, 978119L, 978120L, 978125L, 978126L, 
978128L, 978129L, 978134L, 978135L, 978137L, 978138L, 978143L, 
978144L, 978146L, 978147L, 978152L, 978153L, 978155L, 978156L, 
978224L, 978225L, 978227L, 978228L, 978233L, 978234L, 978236L, 
978237L, 978242L, 978243L, 978245L, 978246L, 978251L, 978252L, 
978254L, 978255L, 978260L, 978261L, 978263L, 978264L, 978278L, 
978279L, 978281L, 978282L, 978287L, 978288L, 978290L, 978291L, 
978296L, 978297L, 978299L, 978300L, 978305L, 978306L, 978308L, 
978309L, 978314L, 978315L, 978317L, 978318L, 978386L, 978387L, 
978389L, 978390L, 978395L, 978396L, 978398L, 978399L, 978404L, 
978405L, 978407L, 978408L, 978413L, 978414L, 978416L, 978417L, 
978422L, 978423L, 978425L, 978426L, 978440L, 978441L, 978443L, 
978444L, 978449L, 978450L, 978452L, 978453L, 978458L, 978459L, 
978461L, 978462L, 978467L, 978468L, 978470L, 978471L, 978476L, 
978477L, 978479L, 978480L, 978710L, 978711L, 978713L, 978714L, 
978719L, 978720L, 978722L, 978723L, 978728L, 978729L, 978731L, 
978732L, 978737L, 978738L, 978740L, 978741L, 978746L, 978747L, 
978749L, 978750L, 978764L, 978765L, 978767L, 978768L, 978773L, 
978774L, 978776L, 978777L, 978782L, 978783L, 978785L, 978786L, 
978791L, 978792L, 978794L, 978795L, 978800L, 978801L, 978803L, 
978804L, 978872L, 978873L, 978875L, 978876L, 978881L, 978882L, 
978884L, 978885L, 978890L, 978891L, 978893L, 978894L, 978899L, 
978900L, 978902L, 978903L, 978908L, 978909L, 978911L, 978912L, 
978926L, 978927L, 978929L, 978930L, 978935L, 978936L, 978938L, 
978939L, 978944L, 978945L, 978947L, 978948L, 978953L, 978954L, 
978956L, 978957L, 978962L, 978963L, 978965L, 978966L, 979034L, 
979035L, 979037L, 979038L, 979043L, 979044L, 979046L, 979047L, 
979052L, 979053L, 979055L, 979056L, 979061L, 979062L, 979064L, 
979065L, 979070L, 979071L, 979073L, 979074L, 979088L, 979089L, 
979091L, 979092L, 979097L, 979098L, 979100L, 979101L, 979106L, 
979107L, 979109L, 979110L, 979115L, 979116L, 979118L, 979119L, 
979124L, 979125L, 979127L, 979128L, 979196L, 979197L, 979199L, 
979200L, 979205L, 979206L, 979208L, 979209L, 979214L, 979215L, 
979217L, 979218L, 979223L, 979224L, 979226L, 979227L, 979232L, 
979233L, 979235L, 979236L, 979250L, 979251L, 979253L, 979254L, 
979259L, 979260L, 979262L, 979263L, 979268L, 979269L, 979271L, 
979272L, 979277L, 979278L, 979280L, 979281L, 979286L, 979287L, 
979289L, 979290L, 979520L, 979521L, 979523L, 979524L, 979529L, 
979530L, 979532L, 979533L, 979538L, 979539L, 979541L, 979542L, 
979547L, 979548L, 979550L, 979551L, 979556L, 979557L, 979559L, 
979560L, 979574L, 979575L, 979577L, 979578L, 979583L, 979584L, 
979586L, 979587L, 979592L, 979593L, 979595L, 979596L, 979601L, 
979602L, 979604L, 979605L, 979610L, 979611L, 979613L, 979614L, 
979682L, 979683L, 979685L, 979686L, 979691L, 979692L, 979694L, 
979695L, 979700L, 979701L, 979703L, 979704L, 979709L, 979710L, 
979712L, 979713L, 979718L, 979719L, 979721L, 979722L, 979736L, 
979737L, 979739L, 979740L, 979745L, 979746L, 979748L, 979749L, 
979754L, 979755L, 979757L, 979758L, 979763L, 979764L, 979766L, 
979767L, 979772L, 979773L, 979775L, 979776L, 979844L, 979845L, 
979847L, 979848L, 979853L, 979854L, 979856L, 979857L, 979862L, 
979863L, 979865L, 979866L, 979871L, 979872L, 979874L, 979875L, 
979880L, 979881L, 979883L, 979884L, 979898L, 979899L, 979901L, 
979902L, 979907L, 979908L, 979910L, 979911L, 979916L, 979917L, 
979919L, 979920L, 979925L, 979926L, 979928L, 979929L, 979934L, 
979935L, 979937L, 979938L, 980006L, 980007L, 980009L, 980010L, 
980015L, 980016L, 980018L, 980019L, 980024L, 980025L, 980027L, 
980028L, 980033L, 980034L, 980036L, 980037L, 980042L, 980043L, 
980045L, 980046L, 980060L, 980061L, 980063L, 980064L, 980069L, 
980070L, 980072L, 980073L, 980078L, 980079L, 980081L, 980082L, 
980087L, 980088L, 980090L, 980091L, 980096L, 980097L, 980099L, 
980100L, 980330L, 980331L, 980333L, 980334L, 980339L, 980340L, 
980342L, 980343L, 980348L, 980349L, 980351L, 980352L, 980357L, 
980358L, 980360L, 980361L, 980366L, 980367L, 980369L, 980370L, 
980384L, 980385L, 980387L, 980388L, 980393L, 980394L, 980396L, 
980397L, 980402L, 980403L, 980405L, 980406L, 980411L, 980412L, 
980414L, 980415L, 980420L, 980421L, 980423L, 980424L, 980492L, 
980493L, 980495L, 980496L, 980501L, 980502L, 980504L, 980505L, 
980510L, 980511L, 980513L, 980514L, 980519L, 980520L, 980522L, 
980523L, 980528L, 980529L, 980531L, 980532L, 980546L, 980547L, 
980549L, 980550L, 980555L, 980556L, 980558L, 980559L, 980564L, 
980565L, 980567L, 980568L, 980573L, 980574L, 980576L, 980577L, 
980582L, 980583L, 980585L, 980586L, 980654L, 980655L, 980657L, 
980658L, 980663L, 980664L, 980666L, 980667L, 980672L, 980673L, 
980675L, 980676L, 980681L, 980682L, 980684L, 980685L, 980690L, 
980691L, 980693L, 980694L, 980708L, 980709L, 980711L, 980712L, 
980717L, 980718L, 980720L, 980721L, 980726L, 980727L, 980729L, 
980730L, 980735L, 980736L, 980738L, 980739L, 980744L, 980745L, 
980747L, 980748L, 980816L, 980817L, 980819L, 980820L, 980825L, 
980826L, 980828L, 980829L, 980834L, 980835L, 980837L, 980838L, 
980843L, 980844L, 980846L, 980847L, 980852L, 980853L, 980855L, 
980856L, 980870L, 980871L, 980873L, 980874L, 980879L, 980880L, 
980882L, 980883L, 980888L, 980889L, 980891L, 980892L, 980897L, 
980898L, 980900L, 980901L, 980906L, 980907L, 980909L, 980910L, 
981140L, 981141L, 981143L, 981144L, 981149L, 981150L, 981152L, 
981153L, 981158L, 981159L, 981161L, 981162L, 981167L, 981168L, 
981170L, 981171L, 981176L, 981177L, 981179L, 981180L, 981194L, 
981195L, 981197L, 981198L, 981203L, 981204L, 981206L, 981207L, 
981212L, 981213L, 981215L, 981216L, 981221L, 981222L, 981224L, 
981225L, 981230L, 981231L, 981233L, 981234L, 981302L, 981303L, 
981305L, 981306L, 981311L, 981312L, 981314L, 981315L, 981320L, 
981321L, 981323L, 981324L, 981329L, 981330L, 981332L, 981333L, 
981338L, 981339L, 981341L, 981342L, 981356L, 981357L, 981359L, 
981360L, 981365L, 981366L, 981368L, 981369L, 981374L, 981375L, 
981377L, 981378L, 981383L, 981384L, 981386L, 981387L, 981392L, 
981393L, 981395L, 981396L, 981464L, 981465L, 981467L, 981468L, 
981473L, 981474L, 981476L, 981477L, 981482L, 981483L, 981485L, 
981486L, 981491L, 981492L, 981494L, 981495L, 981500L, 981501L, 
981503L, 981504L, 981518L, 981519L, 981521L, 981522L, 981527L, 
981528L, 981530L, 981531L, 981536L, 981537L, 981539L, 981540L, 
981545L, 981546L, 981548L, 981549L, 981554L, 981555L, 981557L, 
981558L, 981626L, 981627L, 981629L, 981630L, 981635L, 981636L, 
981638L, 981639L, 981644L, 981645L, 981647L, 981648L, 981653L, 
981654L, 981656L, 981657L, 981662L, 981663L, 981665L, 981666L, 
981680L, 981681L, 981683L, 981684L, 981689L, 981690L, 981692L, 
981693L, 981698L, 981699L, 981701L, 981702L, 981707L, 981708L, 
981710L, 981711L, 981716L, 981717L, 981719L, 981720L, 982760L, 
982761L, 982763L, 982764L, 982769L, 982770L, 982772L, 982773L, 
982778L, 982779L, 982781L, 982782L, 982787L, 982788L, 982790L, 
982791L, 982796L, 982797L, 982799L, 982800L, 982814L, 982815L, 
982817L, 982818L, 982823L, 982824L, 982826L, 982827L, 982832L, 
982833L, 982835L, 982836L, 982841L, 982842L, 982844L, 982845L, 
982850L, 982851L, 982853L, 982854L, 982922L, 982923L, 982925L, 
982926L, 982931L, 982932L, 982934L, 982935L, 982940L, 982941L, 
982943L, 982944L, 982949L, 982950L, 982952L, 982953L, 982958L, 
982959L, 982961L, 982962L, 982976L, 982977L, 982979L, 982980L, 
982985L, 982986L, 982988L, 982989L, 982994L, 982995L, 982997L, 
982998L, 983003L, 983004L, 983006L, 983007L, 983012L, 983013L, 
983015L, 983016L, 983084L, 983085L, 983087L, 983088L, 983093L, 
983094L, 983096L, 983097L, 983102L, 983103L, 983105L, 983106L, 
983111L, 983112L, 983114L, 983115L, 983120L, 983121L, 983123L, 
983124L, 983138L, 983139L, 983141L, 983142L, 983147L, 983148L, 
983150L, 983151L, 983156L, 983157L, 983159L, 983160L, 983165L, 
983166L, 983168L, 983169L, 983174L, 983175L, 983177L, 983178L, 
983246L, 983247L, 983249L, 983250L, 983255L, 983256L, 983258L, 
983259L, 983264L, 983265L, 983267L, 983268L, 983273L, 983274L, 
983276L, 983277L, 983282L, 983283L, 983285L, 983286L, 983300L, 
983301L, 983303L, 983304L, 983309L, 983310L, 983312L, 983313L, 
983318L, 983319L, 983321L, 983322L, 983327L, 983328L, 983330L, 
983331L, 983336L, 983337L, 983339L, 983340L, 983570L, 983571L, 
983573L, 983574L, 983579L, 983580L, 983582L, 983583L, 983588L, 
983589L, 983591L, 983592L, 983597L, 983598L, 983600L, 983601L, 
983606L, 983607L, 983609L, 983610L, 983624L, 983625L, 983627L, 
983628L, 983633L, 983634L, 983636L, 983637L, 983642L, 983643L, 
983645L, 983646L, 983651L, 983652L, 983654L, 983655L, 983660L, 
983661L, 983663L, 983664L, 983732L, 983733L, 983735L, 983736L, 
983741L, 983742L, 983744L, 983745L, 983750L, 983751L, 983753L, 
983754L, 983759L, 983760L, 983762L, 983763L, 983768L, 983769L, 
983771L, 983772L, 983786L, 983787L, 983789L, 983790L, 983795L, 
983796L, 983798L, 983799L, 983804L, 983805L, 983807L, 983808L, 
983813L, 983814L, 983816L, 983817L, 983822L, 983823L, 983825L, 
983826L, 983894L, 983895L, 983897L, 983898L, 983903L, 983904L, 
983906L, 983907L, 983912L, 983913L, 983915L, 983916L, 983921L, 
983922L, 983924L, 983925L, 983930L, 983931L, 983933L, 983934L, 
983948L, 983949L, 983951L, 983952L, 983957L, 983958L, 983960L, 
983961L, 983966L, 983967L, 983969L, 983970L, 983975L, 983976L, 
983978L, 983979L, 983984L, 983985L, 983987L, 983988L, 984056L, 
984057L, 984059L, 984060L, 984065L, 984066L, 984068L, 984069L, 
984074L, 984075L, 984077L, 984078L, 984083L, 984084L, 984086L, 
984087L, 984092L, 984093L, 984095L, 984096L, 984110L, 984111L, 
984113L, 984114L, 984119L, 984120L, 984122L, 984123L, 984128L, 
984129L, 984131L, 984132L, 984137L, 984138L, 984140L, 984141L, 
984146L, 984147L, 984149L, 984150L, 984380L, 984381L, 984383L, 
984384L, 984389L, 984390L, 984392L, 984393L, 984398L, 984399L, 
984401L, 984402L, 984407L, 984408L, 984410L, 984411L, 984416L, 
984417L, 984419L, 984420L, 984434L, 984435L, 984437L, 984438L, 
984443L, 984444L, 984446L, 984447L, 984452L, 984453L, 984455L, 
984456L, 984461L, 984462L, 984464L, 984465L, 984470L, 984471L, 
984473L, 984474L, 984542L, 984543L, 984545L, 984546L, 984551L, 
984552L, 984554L, 984555L, 984560L, 984561L, 984563L, 984564L, 
984569L, 984570L, 984572L, 984573L, 984578L, 984579L, 984581L, 
984582L, 984596L, 984597L, 984599L, 984600L, 984605L, 984606L, 
984608L, 984609L, 984614L, 984615L, 984617L, 984618L, 984623L, 
984624L, 984626L, 984627L, 984632L, 984633L, 984635L, 984636L, 
984704L, 984705L, 984707L, 984708L, 984713L, 984714L, 984716L, 
984717L, 984722L, 984723L, 984725L, 984726L, 984731L, 984732L, 
984734L, 984735L, 984740L, 984741L, 984743L, 984744L, 984758L, 
984759L, 984761L, 984762L, 984767L, 984768L, 984770L, 984771L, 
984776L, 984777L, 984779L, 984780L, 984785L, 984786L, 984788L, 
984789L, 984794L, 984795L, 984797L, 984798L, 984866L, 984867L, 
984869L, 984870L, 984875L, 984876L, 984878L, 984879L, 984884L, 
984885L, 984887L, 984888L, 984893L, 984894L, 984896L, 984897L, 
984902L, 984903L, 984905L, 984906L, 984920L, 984921L, 984923L, 
984924L, 984929L, 984930L, 984932L, 984933L, 984938L, 984939L, 
984941L, 984942L, 984947L, 984948L, 984950L, 984951L, 984956L, 
984957L, 984959L, 984960L, 985190L, 985191L, 985193L, 985194L, 
985199L, 985200L, 985202L, 985203L, 985208L, 985209L, 985211L, 
985212L, 985217L, 985218L, 985220L, 985221L, 985226L, 985227L, 
985229L, 985230L, 985244L, 985245L, 985247L, 985248L, 985253L, 
985254L, 985256L, 985257L, 985262L, 985263L, 985265L, 985266L, 
985271L, 985272L, 985274L, 985275L, 985280L, 985281L, 985283L, 
985284L, 985352L, 985353L, 985355L, 985356L, 985361L, 985362L, 
985364L, 985365L, 985370L, 985371L, 985373L, 985374L, 985379L, 
985380L, 985382L, 985383L, 985388L, 985389L, 985391L, 985392L, 
985406L, 985407L, 985409L, 985410L, 985415L, 985416L, 985418L, 
985419L, 985424L, 985425L, 985427L, 985428L, 985433L, 985434L, 
985436L, 985437L, 985442L, 985443L, 985445L, 985446L, 985514L, 
985515L, 985517L, 985518L, 985523L, 985524L, 985526L, 985527L, 
985532L, 985533L, 985535L, 985536L, 985541L, 985542L, 985544L, 
985545L, 985550L, 985551L, 985553L, 985554L, 985568L, 985569L, 
985571L, 985572L, 985577L, 985578L, 985580L, 985581L, 985586L, 
985587L, 985589L, 985590L, 985595L, 985596L, 985598L, 985599L, 
985604L, 985605L, 985607L, 985608L, 985676L, 985677L, 985679L, 
985680L, 985685L, 985686L, 985688L, 985689L, 985694L, 985695L, 
985697L, 985698L, 985703L, 985704L, 985706L, 985707L, 985712L, 
985713L, 985715L, 985716L, 985730L, 985731L, 985733L, 985734L, 
985739L, 985740L, 985742L, 985743L, 985748L, 985749L, 985751L, 
985752L, 985757L, 985758L, 985760L, 985761L, 985766L, 985767L, 
985769L, 985770L, 986000L, 986001L, 986003L, 986004L, 986009L, 
986010L, 986012L, 986013L, 986018L, 986019L, 986021L, 986022L, 
986027L, 986028L, 986030L, 986031L, 986036L, 986037L, 986039L, 
986040L, 986054L, 986055L, 986057L, 986058L, 986063L, 986064L, 
986066L, 986067L, 986072L, 986073L, 986075L, 986076L, 986081L, 
986082L, 986084L, 986085L, 986090L, 986091L, 986093L, 986094L, 
986162L, 986163L, 986165L, 986166L, 986171L, 986172L, 986174L, 
986175L, 986180L, 986181L, 986183L, 986184L, 986189L, 986190L, 
986192L, 986193L, 986198L, 986199L, 986201L, 986202L, 986216L, 
986217L, 986219L, 986220L, 986225L, 986226L, 986228L, 986229L, 
986234L, 986235L, 986237L, 986238L, 986243L, 986244L, 986246L, 
986247L, 986252L, 986253L, 986255L, 986256L, 986324L, 986325L, 
986327L, 986328L, 986333L, 986334L, 986336L, 986337L, 986342L, 
986343L, 986345L, 986346L, 986351L, 986352L, 986354L, 986355L, 
986360L, 986361L, 986363L, 986364L, 986378L, 986379L, 986381L, 
986382L, 986387L, 986388L, 986390L, 986391L, 986396L, 986397L, 
986399L, 986400L, 986405L, 986406L, 986408L, 986409L, 986414L, 
986415L, 986417L, 986418L, 986486L, 986487L, 986489L, 986490L, 
986495L, 986496L, 986498L, 986499L, 986504L, 986505L, 986507L, 
986508L, 986513L, 986514L, 986516L, 986517L, 986522L, 986523L, 
986525L, 986526L, 986540L, 986541L, 986543L, 986544L, 986549L, 
986550L, 986552L, 986553L, 986558L, 986559L, 986561L, 986562L, 
986567L, 986568L, 986570L, 986571L, 986576L, 986577L, 986579L, 
986580L, 987620L, 987621L, 987623L, 987624L, 987629L, 987630L, 
987632L, 987633L, 987638L, 987639L, 987641L, 987642L, 987647L, 
987648L, 987650L, 987651L, 987656L, 987657L, 987659L, 987660L, 
987674L, 987675L, 987677L, 987678L, 987683L, 987684L, 987686L, 
987687L, 987692L, 987693L, 987695L, 987696L, 987701L, 987702L, 
987704L, 987705L, 987710L, 987711L, 987713L, 987714L, 987782L, 
987783L, 987785L, 987786L, 987791L, 987792L, 987794L, 987795L, 
987800L, 987801L, 987803L, 987804L, 987809L, 987810L, 987812L, 
987813L, 987818L, 987819L, 987821L, 987822L, 987836L, 987837L, 
987839L, 987840L, 987845L, 987846L, 987848L, 987849L, 987854L, 
987855L, 987857L, 987858L, 987863L, 987864L, 987866L, 987867L, 
987872L, 987873L, 987875L, 987876L, 987944L, 987945L, 987947L, 
987948L, 987953L, 987954L, 987956L, 987957L, 987962L, 987963L, 
987965L, 987966L, 987971L, 987972L, 987974L, 987975L, 987980L, 
987981L, 987983L, 987984L, 987998L, 987999L, 988001L, 988002L, 
988007L, 988008L, 988010L, 988011L, 988016L, 988017L, 988019L, 
988020L, 988025L, 988026L, 988028L, 988029L, 988034L, 988035L, 
988037L, 988038L, 988106L, 988107L, 988109L, 988110L, 988115L, 
988116L, 988118L, 988119L, 988124L, 988125L, 988127L, 988128L, 
988133L, 988134L, 988136L, 988137L, 988142L, 988143L, 988145L, 
988146L, 988160L, 988161L, 988163L, 988164L, 988169L, 988170L, 
988172L, 988173L, 988178L, 988179L, 988181L, 988182L, 988187L, 
988188L, 988190L, 988191L, 988196L, 988197L, 988199L, 988200L, 
988430L, 988431L, 988433L, 988434L, 988439L, 988440L, 988442L, 
988443L, 988448L, 988449L, 988451L, 988452L, 988457L, 988458L, 
988460L, 988461L, 988466L, 988467L, 988469L, 988470L, 988484L, 
988485L, 988487L, 988488L, 988493L, 988494L, 988496L, 988497L, 
988502L, 988503L, 988505L, 988506L, 988511L, 988512L, 988514L, 
988515L, 988520L, 988521L, 988523L, 988524L, 988592L, 988593L, 
988595L, 988596L, 988601L, 988602L, 988604L, 988605L, 988610L, 
988611L, 988613L, 988614L, 988619L, 988620L, 988622L, 988623L, 
988628L, 988629L, 988631L, 988632L, 988646L, 988647L, 988649L, 
988650L, 988655L, 988656L, 988658L, 988659L, 988664L, 988665L, 
988667L, 988668L, 988673L, 988674L, 988676L, 988677L, 988682L, 
988683L, 988685L, 988686L, 988754L, 988755L, 988757L, 988758L, 
988763L, 988764L, 988766L, 988767L, 988772L, 988773L, 988775L, 
988776L, 988781L, 988782L, 988784L, 988785L, 988790L, 988791L, 
988793L, 988794L, 988808L, 988809L, 988811L, 988812L, 988817L, 
988818L, 988820L, 988821L, 988826L, 988827L, 988829L, 988830L, 
988835L, 988836L, 988838L, 988839L, 988844L, 988845L, 988847L, 
988848L, 988916L, 988917L, 988919L, 988920L, 988925L, 988926L, 
988928L, 988929L, 988934L, 988935L, 988937L, 988938L, 988943L, 
988944L, 988946L, 988947L, 988952L, 988953L, 988955L, 988956L, 
988970L, 988971L, 988973L, 988974L, 988979L, 988980L, 988982L, 
988983L, 988988L, 988989L, 988991L, 988992L, 988997L, 988998L, 
989000L, 989001L, 989006L, 989007L, 989009L, 989010L, 989240L, 
989241L, 989243L, 989244L, 989249L, 989250L, 989252L, 989253L, 
989258L, 989259L, 989261L, 989262L, 989267L, 989268L, 989270L, 
989271L, 989276L, 989277L, 989279L, 989280L, 989294L, 989295L, 
989297L, 989298L, 989303L, 989304L, 989306L, 989307L, 989312L, 
989313L, 989315L, 989316L, 989321L, 989322L, 989324L, 989325L, 
989330L, 989331L, 989333L, 989334L, 989402L, 989403L, 989405L, 
989406L, 989411L, 989412L, 989414L, 989415L, 989420L, 989421L, 
989423L, 989424L, 989429L, 989430L, 989432L, 989433L, 989438L, 
989439L, 989441L, 989442L, 989456L, 989457L, 989459L, 989460L, 
989465L, 989466L, 989468L, 989469L, 989474L, 989475L, 989477L, 
989478L, 989483L, 989484L, 989486L, 989487L, 989492L, 989493L, 
989495L, 989496L, 989564L, 989565L, 989567L, 989568L, 989573L, 
989574L, 989576L, 989577L, 989582L, 989583L, 989585L, 989586L, 
989591L, 989592L, 989594L, 989595L, 989600L, 989601L, 989603L, 
989604L, 989618L, 989619L, 989621L, 989622L, 989627L, 989628L, 
989630L, 989631L, 989636L, 989637L, 989639L, 989640L, 989645L, 
989646L, 989648L, 989649L, 989654L, 989655L, 989657L, 989658L, 
989726L, 989727L, 989729L, 989730L, 989735L, 989736L, 989738L, 
989739L, 989744L, 989745L, 989747L, 989748L, 989753L, 989754L, 
989756L, 989757L, 989762L, 989763L, 989765L, 989766L, 989780L, 
989781L, 989783L, 989784L, 989789L, 989790L, 989792L, 989793L, 
989798L, 989799L, 989801L, 989802L, 989807L, 989808L, 989810L, 
989811L, 989816L, 989817L, 989819L, 989820L, 990050L, 990051L, 
990053L, 990054L, 990059L, 990060L, 990062L, 990063L, 990068L, 
990069L, 990071L, 990072L, 990077L, 990078L, 990080L, 990081L, 
990086L, 990087L, 990089L, 990090L, 990104L, 990105L, 990107L, 
990108L, 990113L, 990114L, 990116L, 990117L, 990122L, 990123L, 
990125L, 990126L, 990131L, 990132L, 990134L, 990135L, 990140L, 
990141L, 990143L, 990144L, 990212L, 990213L, 990215L, 990216L, 
990221L, 990222L, 990224L, 990225L, 990230L, 990231L, 990233L, 
990234L, 990239L, 990240L, 990242L, 990243L, 990248L, 990249L, 
990251L, 990252L, 990266L, 990267L, 990269L, 990270L, 990275L, 
990276L, 990278L, 990279L, 990284L, 990285L, 990287L, 990288L, 
990293L, 990294L, 990296L, 990297L, 990302L, 990303L, 990305L, 
990306L, 990374L, 990375L, 990377L, 990378L, 990383L, 990384L, 
990386L, 990387L, 990392L, 990393L, 990395L, 990396L, 990401L, 
990402L, 990404L, 990405L, 990410L, 990411L, 990413L, 990414L, 
990428L, 990429L, 990431L, 990432L, 990437L, 990438L, 990440L, 
990441L, 990446L, 990447L, 990449L, 990450L, 990455L, 990456L, 
990458L, 990459L, 990464L, 990465L, 990467L, 990468L, 990536L, 
990537L, 990539L, 990540L, 990545L, 990546L, 990548L, 990549L, 
990554L, 990555L, 990557L, 990558L, 990563L, 990564L, 990566L, 
990567L, 990572L, 990573L, 990575L, 990576L, 990590L, 990591L, 
990593L, 990594L, 990599L, 990600L, 990602L, 990603L, 990608L, 
990609L, 990611L, 990612L, 990617L, 990618L, 990620L, 990621L, 
990626L, 990627L, 990629L, 990630L, 990860L, 990861L, 990863L, 
990864L, 990869L, 990870L, 990872L, 990873L, 990878L, 990879L, 
990881L, 990882L, 990887L, 990888L, 990890L, 990891L, 990896L, 
990897L, 990899L, 990900L, 990914L, 990915L, 990917L, 990918L, 
990923L, 990924L, 990926L, 990927L, 990932L, 990933L, 990935L, 
990936L, 990941L, 990942L, 990944L, 990945L, 990950L, 990951L, 
990953L, 990954L, 991022L, 991023L, 991025L, 991026L, 991031L, 
991032L, 991034L, 991035L, 991040L, 991041L, 991043L, 991044L, 
991049L, 991050L, 991052L, 991053L, 991058L, 991059L, 991061L, 
991062L, 991076L, 991077L, 991079L, 991080L, 991085L, 991086L, 
991088L, 991089L, 991094L, 991095L, 991097L, 991098L, 991103L, 
991104L, 991106L, 991107L, 991112L, 991113L, 991115L, 991116L, 
991184L, 991185L, 991187L, 991188L, 991193L, 991194L, 991196L, 
991197L, 991202L, 991203L, 991205L, 991206L, 991211L, 991212L, 
991214L, 991215L, 991220L, 991221L, 991223L, 991224L, 991238L, 
991239L, 991241L, 991242L, 991247L, 991248L, 991250L, 991251L, 
991256L, 991257L, 991259L, 991260L, 991265L, 991266L, 991268L, 
991269L, 991274L, 991275L, 991277L, 991278L, 991346L, 991347L, 
991349L, 991350L, 991355L, 991356L, 991358L, 991359L, 991364L, 
991365L, 991367L, 991368L, 991373L, 991374L, 991376L, 991377L, 
991382L, 991383L, 991385L, 991386L, 991400L, 991401L, 991403L, 
991404L, 991409L, 991410L, 991412L, 991413L, 991418L, 991419L, 
991421L, 991422L, 991427L, 991428L, 991430L, 991431L, 991436L, 
991437L, 991439L, 991440L, 1002200L, 1002201L, 1002203L, 1002204L, 
1002209L, 1002210L, 1002212L, 1002213L, 1002218L, 1002219L, 1002221L, 
1002222L, 1002227L, 1002228L, 1002230L, 1002231L, 1002236L, 1002237L, 
1002239L, 1002240L, 1002254L, 1002255L, 1002257L, 1002258L, 1002263L, 
1002264L, 1002266L, 1002267L, 1002272L, 1002273L, 1002275L, 1002276L, 
1002281L, 1002282L, 1002284L, 1002285L, 1002290L, 1002291L, 1002293L, 
1002294L, 1002362L, 1002363L, 1002365L, 1002366L, 1002371L, 1002372L, 
1002374L, 1002375L, 1002380L, 1002381L, 1002383L, 1002384L, 1002389L, 
1002390L, 1002392L, 1002393L, 1002398L, 1002399L, 1002401L, 1002402L, 
1002416L, 1002417L, 1002419L, 1002420L, 1002425L, 1002426L, 1002428L, 
1002429L, 1002434L, 1002435L, 1002437L, 1002438L, 1002443L, 1002444L, 
1002446L, 1002447L, 1002452L, 1002453L, 1002455L, 1002456L, 1002524L, 
1002525L, 1002527L, 1002528L, 1002533L, 1002534L, 1002536L, 1002537L, 
1002542L, 1002543L, 1002545L, 1002546L, 1002551L, 1002552L, 1002554L, 
1002555L, 1002560L, 1002561L, 1002563L, 1002564L, 1002578L, 1002579L, 
1002581L, 1002582L, 1002587L, 1002588L, 1002590L, 1002591L, 1002596L, 
1002597L, 1002599L, 1002600L, 1002605L, 1002606L, 1002608L, 1002609L, 
1002614L, 1002615L, 1002617L, 1002618L, 1002686L, 1002687L, 1002689L, 
1002690L, 1002695L, 1002696L, 1002698L, 1002699L, 1002704L, 1002705L, 
1002707L, 1002708L, 1002713L, 1002714L, 1002716L, 1002717L, 1002722L, 
1002723L, 1002725L, 1002726L, 1002740L, 1002741L, 1002743L, 1002744L, 
1002749L, 1002750L, 1002752L, 1002753L, 1002758L, 1002759L, 1002761L, 
1002762L, 1002767L, 1002768L, 1002770L, 1002771L, 1002776L, 1002777L, 
1002779L, 1002780L, 1003010L, 1003011L, 1003013L, 1003014L, 1003019L, 
1003020L, 1003022L, 1003023L, 1003028L, 1003029L, 1003031L, 1003032L, 
1003037L, 1003038L, 1003040L, 1003041L, 1003046L, 1003047L, 1003049L, 
1003050L, 1003064L, 1003065L, 1003067L, 1003068L, 1003073L, 1003074L, 
1003076L, 1003077L, 1003082L, 1003083L, 1003085L, 1003086L, 1003091L, 
1003092L, 1003094L, 1003095L, 1003100L, 1003101L, 1003103L, 1003104L, 
1003172L, 1003173L, 1003175L, 1003176L, 1003181L, 1003182L, 1003184L, 
1003185L, 1003190L, 1003191L, 1003193L, 1003194L, 1003199L, 1003200L, 
1003202L, 1003203L, 1003208L, 1003209L, 1003211L, 1003212L, 1003226L, 
1003227L, 1003229L, 1003230L, 1003235L, 1003236L, 1003238L, 1003239L, 
1003244L, 1003245L, 1003247L, 1003248L, 1003253L, 1003254L, 1003256L, 
1003257L, 1003262L, 1003263L, 1003265L, 1003266L, 1003334L, 1003335L, 
1003337L, 1003338L, 1003343L, 1003344L, 1003346L, 1003347L, 1003352L, 
1003353L, 1003355L, 1003356L, 1003361L, 1003362L, 1003364L, 1003365L, 
1003370L, 1003371L, 1003373L, 1003374L, 1003388L, 1003389L, 1003391L, 
1003392L, 1003397L, 1003398L, 1003400L, 1003401L, 1003406L, 1003407L, 
1003409L, 1003410L, 1003415L, 1003416L, 1003418L, 1003419L, 1003424L, 
1003425L, 1003427L, 1003428L, 1003496L, 1003497L, 1003499L, 1003500L, 
1003505L, 1003506L, 1003508L, 1003509L, 1003514L, 1003515L, 1003517L, 
1003518L, 1003523L, 1003524L, 1003526L, 1003527L, 1003532L, 1003533L, 
1003535L, 1003536L, 1003550L, 1003551L, 1003553L, 1003554L, 1003559L, 
1003560L, 1003562L, 1003563L, 1003568L, 1003569L, 1003571L, 1003572L, 
1003577L, 1003578L, 1003580L, 1003581L, 1003586L, 1003587L, 1003589L, 
1003590L, 1003820L, 1003821L, 1003823L, 1003824L, 1003829L, 1003830L, 
1003832L, 1003833L, 1003838L, 1003839L, 1003841L, 1003842L, 1003847L, 
1003848L, 1003850L, 1003851L, 1003856L, 1003857L, 1003859L, 1003860L, 
1003874L, 1003875L, 1003877L, 1003878L, 1003883L, 1003884L, 1003886L, 
1003887L, 1003892L, 1003893L, 1003895L, 1003896L, 1003901L, 1003902L, 
1003904L, 1003905L, 1003910L, 1003911L, 1003913L, 1003914L, 1003982L, 
1003983L, 1003985L, 1003986L, 1003991L, 1003992L, 1003994L, 1003995L, 
1004000L, 1004001L, 1004003L, 1004004L, 1004009L, 1004010L, 1004012L, 
1004013L, 1004018L, 1004019L, 1004021L, 1004022L, 1004036L, 1004037L, 
1004039L, 1004040L, 1004045L, 1004046L, 1004048L, 1004049L, 1004054L, 
1004055L, 1004057L, 1004058L, 1004063L, 1004064L, 1004066L, 1004067L, 
1004072L, 1004073L, 1004075L, 1004076L, 1004144L, 1004145L, 1004147L, 
1004148L, 1004153L, 1004154L, 1004156L, 1004157L, 1004162L, 1004163L, 
1004165L, 1004166L, 1004171L, 1004172L, 1004174L, 1004175L, 1004180L, 
1004181L, 1004183L, 1004184L, 1004198L, 1004199L, 1004201L, 1004202L, 
1004207L, 1004208L, 1004210L, 1004211L, 1004216L, 1004217L, 1004219L, 
1004220L, 1004225L, 1004226L, 1004228L, 1004229L, 1004234L, 1004235L, 
1004237L, 1004238L, 1004306L, 1004307L, 1004309L, 1004310L, 1004315L, 
1004316L, 1004318L, 1004319L, 1004324L, 1004325L, 1004327L, 1004328L, 
1004333L, 1004334L, 1004336L, 1004337L, 1004342L, 1004343L, 1004345L, 
1004346L, 1004360L, 1004361L, 1004363L, 1004364L, 1004369L, 1004370L, 
1004372L, 1004373L, 1004378L, 1004379L, 1004381L, 1004382L, 1004387L, 
1004388L, 1004390L, 1004391L, 1004396L, 1004397L, 1004399L, 1004400L, 
1004630L, 1004631L, 1004633L, 1004634L, 1004639L, 1004640L, 1004642L, 
1004643L, 1004648L, 1004649L, 1004651L, 1004652L, 1004657L, 1004658L, 
1004660L, 1004661L, 1004666L, 1004667L, 1004669L, 1004670L, 1004684L, 
1004685L, 1004687L, 1004688L, 1004693L, 1004694L, 1004696L, 1004697L, 
1004702L, 1004703L, 1004705L, 1004706L, 1004711L, 1004712L, 1004714L, 
1004715L, 1004720L, 1004721L, 1004723L, 1004724L, 1004792L, 1004793L, 
1004795L, 1004796L, 1004801L, 1004802L, 1004804L, 1004805L, 1004810L, 
1004811L, 1004813L, 1004814L, 1004819L, 1004820L, 1004822L, 1004823L, 
1004828L, 1004829L, 1004831L, 1004832L, 1004846L, 1004847L, 1004849L, 
1004850L, 1004855L, 1004856L, 1004858L, 1004859L, 1004864L, 1004865L, 
1004867L, 1004868L, 1004873L, 1004874L, 1004876L, 1004877L, 1004882L, 
1004883L, 1004885L, 1004886L, 1004954L, 1004955L, 1004957L, 1004958L, 
1004963L, 1004964L, 1004966L, 1004967L, 1004972L, 1004973L, 1004975L, 
1004976L, 1004981L, 1004982L, 1004984L, 1004985L, 1004990L, 1004991L, 
1004993L, 1004994L, 1005008L, 1005009L, 1005011L, 1005012L, 1005017L, 
1005018L, 1005020L, 1005021L, 1005026L, 1005027L, 1005029L, 1005030L, 
1005035L, 1005036L, 1005038L, 1005039L, 1005044L, 1005045L, 1005047L, 
1005048L, 1005116L, 1005117L, 1005119L, 1005120L, 1005125L, 1005126L, 
1005128L, 1005129L, 1005134L, 1005135L, 1005137L, 1005138L, 1005143L, 
1005144L, 1005146L, 1005147L, 1005152L, 1005153L, 1005155L, 1005156L, 
1005170L, 1005171L, 1005173L, 1005174L, 1005179L, 1005180L, 1005182L, 
1005183L, 1005188L, 1005189L, 1005191L, 1005192L, 1005197L, 1005198L, 
1005200L, 1005201L, 1005206L, 1005207L, 1005209L, 1005210L, 1005440L, 
1005441L, 1005443L, 1005444L, 1005449L, 1005450L, 1005452L, 1005453L, 
1005458L, 1005459L, 1005461L, 1005462L, 1005467L, 1005468L, 1005470L, 
1005471L, 1005476L, 1005477L, 1005479L, 1005480L, 1005494L, 1005495L, 
1005497L, 1005498L, 1005503L, 1005504L, 1005506L, 1005507L, 1005512L, 
1005513L, 1005515L, 1005516L, 1005521L, 1005522L, 1005524L, 1005525L, 
1005530L, 1005531L, 1005533L, 1005534L, 1005602L, 1005603L, 1005605L, 
1005606L, 1005611L, 1005612L, 1005614L, 1005615L, 1005620L, 1005621L, 
1005623L, 1005624L, 1005629L, 1005630L, 1005632L, 1005633L, 1005638L, 
1005639L, 1005641L, 1005642L, 1005656L, 1005657L, 1005659L, 1005660L, 
1005665L, 1005666L, 1005668L, 1005669L, 1005674L, 1005675L, 1005677L, 
1005678L, 1005683L, 1005684L, 1005686L, 1005687L, 1005692L, 1005693L, 
1005695L, 1005696L, 1005764L, 1005765L, 1005767L, 1005768L, 1005773L, 
1005774L, 1005776L, 1005777L, 1005782L, 1005783L, 1005785L, 1005786L, 
1005791L, 1005792L, 1005794L, 1005795L, 1005800L, 1005801L, 1005803L, 
1005804L, 1005818L, 1005819L, 1005821L, 1005822L, 1005827L, 1005828L, 
1005830L, 1005831L, 1005836L, 1005837L, 1005839L, 1005840L, 1005845L, 
1005846L, 1005848L, 1005849L, 1005854L, 1005855L, 1005857L, 1005858L, 
1005926L, 1005927L, 1005929L, 1005930L, 1005935L, 1005936L, 1005938L, 
1005939L, 1005944L, 1005945L, 1005947L, 1005948L, 1005953L, 1005954L, 
1005956L, 1005957L, 1005962L, 1005963L, 1005965L, 1005966L, 1005980L, 
1005981L, 1005983L, 1005984L, 1005989L, 1005990L, 1005992L, 1005993L, 
1005998L, 1005999L, 1006001L, 1006002L, 1006007L, 1006008L, 1006010L, 
1006011L, 1006016L, 1006017L, 1006019L, 1006020L, 1007060L, 1007061L, 
1007063L, 1007064L, 1007069L, 1007070L, 1007072L, 1007073L, 1007078L, 
1007079L, 1007081L, 1007082L, 1007087L, 1007088L, 1007090L, 1007091L, 
1007096L, 1007097L, 1007099L, 1007100L, 1007114L, 1007115L, 1007117L, 
1007118L, 1007123L, 1007124L, 1007126L, 1007127L, 1007132L, 1007133L, 
1007135L, 1007136L, 1007141L, 1007142L, 1007144L, 1007145L, 1007150L, 
1007151L, 1007153L, 1007154L, 1007222L, 1007223L, 1007225L, 1007226L, 
1007231L, 1007232L, 1007234L, 1007235L, 1007240L, 1007241L, 1007243L, 
1007244L, 1007249L, 1007250L, 1007252L, 1007253L, 1007258L, 1007259L, 
1007261L, 1007262L, 1007276L, 1007277L, 1007279L, 1007280L, 1007285L, 
1007286L, 1007288L, 1007289L, 1007294L, 1007295L, 1007297L, 1007298L, 
1007303L, 1007304L, 1007306L, 1007307L, 1007312L, 1007313L, 1007315L, 
1007316L, 1007384L, 1007385L, 1007387L, 1007388L, 1007393L, 1007394L, 
1007396L, 1007397L, 1007402L, 1007403L, 1007405L, 1007406L, 1007411L, 
1007412L, 1007414L, 1007415L, 1007420L, 1007421L, 1007423L, 1007424L, 
1007438L, 1007439L, 1007441L, 1007442L, 1007447L, 1007448L, 1007450L, 
1007451L, 1007456L, 1007457L, 1007459L, 1007460L, 1007465L, 1007466L, 
1007468L, 1007469L, 1007474L, 1007475L, 1007477L, 1007478L, 1007546L, 
1007547L, 1007549L, 1007550L, 1007555L, 1007556L, 1007558L, 1007559L, 
1007564L, 1007565L, 1007567L, 1007568L, 1007573L, 1007574L, 1007576L, 
1007577L, 1007582L, 1007583L, 1007585L, 1007586L, 1007600L, 1007601L, 
1007603L, 1007604L, 1007609L, 1007610L, 1007612L, 1007613L, 1007618L, 
1007619L, 1007621L, 1007622L, 1007627L, 1007628L, 1007630L, 1007631L, 
1007636L, 1007637L, 1007639L, 1007640L, 1007870L, 1007871L, 1007873L, 
1007874L, 1007879L, 1007880L, 1007882L, 1007883L, 1007888L, 1007889L, 
1007891L, 1007892L, 1007897L, 1007898L, 1007900L, 1007901L, 1007906L, 
1007907L, 1007909L, 1007910L, 1007924L, 1007925L, 1007927L, 1007928L, 
1007933L, 1007934L, 1007936L, 1007937L, 1007942L, 1007943L, 1007945L, 
1007946L, 1007951L, 1007952L, 1007954L, 1007955L, 1007960L, 1007961L, 
1007963L, 1007964L, 1008032L, 1008033L, 1008035L, 1008036L, 1008041L, 
1008042L, 1008044L, 1008045L, 1008050L, 1008051L, 1008053L, 1008054L, 
1008059L, 1008060L, 1008062L, 1008063L, 1008068L, 1008069L, 1008071L, 
1008072L, 1008086L, 1008087L, 1008089L, 1008090L, 1008095L, 1008096L, 
1008098L, 1008099L, 1008104L, 1008105L, 1008107L, 1008108L, 1008113L, 
1008114L, 1008116L, 1008117L, 1008122L, 1008123L, 1008125L, 1008126L, 
1008194L, 1008195L, 1008197L, 1008198L, 1008203L, 1008204L, 1008206L, 
1008207L, 1008212L, 1008213L, 1008215L, 1008216L, 1008221L, 1008222L, 
1008224L, 1008225L, 1008230L, 1008231L, 1008233L, 1008234L, 1008248L, 
1008249L, 1008251L, 1008252L, 1008257L, 1008258L, 1008260L, 1008261L, 
1008266L, 1008267L, 1008269L, 1008270L, 1008275L, 1008276L, 1008278L, 
1008279L, 1008284L, 1008285L, 1008287L, 1008288L, 1008356L, 1008357L, 
1008359L, 1008360L, 1008365L, 1008366L, 1008368L, 1008369L, 1008374L, 
1008375L, 1008377L, 1008378L, 1008383L, 1008384L, 1008386L, 1008387L, 
1008392L, 1008393L, 1008395L, 1008396L, 1008410L, 1008411L, 1008413L, 
1008414L, 1008419L, 1008420L, 1008422L, 1008423L, 1008428L, 1008429L, 
1008431L, 1008432L, 1008437L, 1008438L, 1008440L, 1008441L, 1008446L, 
1008447L, 1008449L, 1008450L, 1008680L, 1008681L, 1008683L, 1008684L, 
1008689L, 1008690L, 1008692L, 1008693L, 1008698L, 1008699L, 1008701L, 
1008702L, 1008707L, 1008708L, 1008710L, 1008711L, 1008716L, 1008717L, 
1008719L, 1008720L, 1008734L, 1008735L, 1008737L, 1008738L, 1008743L, 
1008744L, 1008746L, 1008747L, 1008752L, 1008753L, 1008755L, 1008756L, 
1008761L, 1008762L, 1008764L, 1008765L, 1008770L, 1008771L, 1008773L, 
1008774L, 1008842L, 1008843L, 1008845L, 1008846L, 1008851L, 1008852L, 
1008854L, 1008855L, 1008860L, 1008861L, 1008863L, 1008864L, 1008869L, 
1008870L, 1008872L, 1008873L, 1008878L, 1008879L, 1008881L, 1008882L, 
1008896L, 1008897L, 1008899L, 1008900L, 1008905L, 1008906L, 1008908L, 
1008909L, 1008914L, 1008915L, 1008917L, 1008918L, 1008923L, 1008924L, 
1008926L, 1008927L, 1008932L, 1008933L, 1008935L, 1008936L, 1009004L, 
1009005L, 1009007L, 1009008L, 1009013L, 1009014L, 1009016L, 1009017L, 
1009022L, 1009023L, 1009025L, 1009026L, 1009031L, 1009032L, 1009034L, 
1009035L, 1009040L, 1009041L, 1009043L, 1009044L, 1009058L, 1009059L, 
1009061L, 1009062L, 1009067L, 1009068L, 1009070L, 1009071L, 1009076L, 
1009077L, 1009079L, 1009080L, 1009085L, 1009086L, 1009088L, 1009089L, 
1009094L, 1009095L, 1009097L, 1009098L, 1009166L, 1009167L, 1009169L, 
1009170L, 1009175L, 1009176L, 1009178L, 1009179L, 1009184L, 1009185L, 
1009187L, 1009188L, 1009193L, 1009194L, 1009196L, 1009197L, 1009202L, 
1009203L, 1009205L, 1009206L, 1009220L, 1009221L, 1009223L, 1009224L, 
1009229L, 1009230L, 1009232L, 1009233L, 1009238L, 1009239L, 1009241L, 
1009242L, 1009247L, 1009248L, 1009250L, 1009251L, 1009256L, 1009257L, 
1009259L, 1009260L, 1009490L, 1009491L, 1009493L, 1009494L, 1009499L, 
1009500L, 1009502L, 1009503L, 1009508L, 1009509L, 1009511L, 1009512L, 
1009517L, 1009518L, 1009520L, 1009521L, 1009526L, 1009527L, 1009529L, 
1009530L, 1009544L, 1009545L, 1009547L, 1009548L, 1009553L, 1009554L, 
1009556L, 1009557L, 1009562L, 1009563L, 1009565L, 1009566L, 1009571L, 
1009572L, 1009574L, 1009575L, 1009580L, 1009581L, 1009583L, 1009584L, 
1009652L, 1009653L, 1009655L, 1009656L, 1009661L, 1009662L, 1009664L, 
1009665L, 1009670L, 1009671L, 1009673L, 1009674L, 1009679L, 1009680L, 
1009682L, 1009683L, 1009688L, 1009689L, 1009691L, 1009692L, 1009706L, 
1009707L, 1009709L, 1009710L, 1009715L, 1009716L, 1009718L, 1009719L, 
1009724L, 1009725L, 1009727L, 1009728L, 1009733L, 1009734L, 1009736L, 
1009737L, 1009742L, 1009743L, 1009745L, 1009746L, 1009814L, 1009815L, 
1009817L, 1009818L, 1009823L, 1009824L, 1009826L, 1009827L, 1009832L, 
1009833L, 1009835L, 1009836L, 1009841L, 1009842L, 1009844L, 1009845L, 
1009850L, 1009851L, 1009853L, 1009854L, 1009868L, 1009869L, 1009871L, 
1009872L, 1009877L, 1009878L, 1009880L, 1009881L, 1009886L, 1009887L, 
1009889L, 1009890L, 1009895L, 1009896L, 1009898L, 1009899L, 1009904L, 
1009905L, 1009907L, 1009908L, 1009976L, 1009977L, 1009979L, 1009980L, 
1009985L, 1009986L, 1009988L, 1009989L, 1009994L, 1009995L, 1009997L, 
1009998L, 1010003L, 1010004L, 1010006L, 1010007L, 1010012L, 1010013L, 
1010015L, 1010016L, 1010030L, 1010031L, 1010033L, 1010034L, 1010039L, 
1010040L, 1010042L, 1010043L, 1010048L, 1010049L, 1010051L, 1010052L, 
1010057L, 1010058L, 1010060L, 1010061L, 1010066L, 1010067L, 1010069L, 
1010070L, 1010300L, 1010301L, 1010303L, 1010304L, 1010309L, 1010310L, 
1010312L, 1010313L, 1010318L, 1010319L, 1010321L, 1010322L, 1010327L, 
1010328L, 1010330L, 1010331L, 1010336L, 1010337L, 1010339L, 1010340L, 
1010354L, 1010355L, 1010357L, 1010358L, 1010363L, 1010364L, 1010366L, 
1010367L, 1010372L, 1010373L, 1010375L, 1010376L, 1010381L, 1010382L, 
1010384L, 1010385L, 1010390L, 1010391L, 1010393L, 1010394L, 1010462L, 
1010463L, 1010465L, 1010466L, 1010471L, 1010472L, 1010474L, 1010475L, 
1010480L, 1010481L, 1010483L, 1010484L, 1010489L, 1010490L, 1010492L, 
1010493L, 1010498L, 1010499L, 1010501L, 1010502L, 1010516L, 1010517L, 
1010519L, 1010520L, 1010525L, 1010526L, 1010528L, 1010529L, 1010534L, 
1010535L, 1010537L, 1010538L, 1010543L, 1010544L, 1010546L, 1010547L, 
1010552L, 1010553L, 1010555L, 1010556L, 1010624L, 1010625L, 1010627L, 
1010628L, 1010633L, 1010634L, 1010636L, 1010637L, 1010642L, 1010643L, 
1010645L, 1010646L, 1010651L, 1010652L, 1010654L, 1010655L, 1010660L, 
1010661L, 1010663L, 1010664L, 1010678L, 1010679L, 1010681L, 1010682L, 
1010687L, 1010688L, 1010690L, 1010691L, 1010696L, 1010697L, 1010699L, 
1010700L, 1010705L, 1010706L, 1010708L, 1010709L, 1010714L, 1010715L, 
1010717L, 1010718L, 1010786L, 1010787L, 1010789L, 1010790L, 1010795L, 
1010796L, 1010798L, 1010799L, 1010804L, 1010805L, 1010807L, 1010808L, 
1010813L, 1010814L, 1010816L, 1010817L, 1010822L, 1010823L, 1010825L, 
1010826L, 1010840L, 1010841L, 1010843L, 1010844L, 1010849L, 1010850L, 
1010852L, 1010853L, 1010858L, 1010859L, 1010861L, 1010862L, 1010867L, 
1010868L, 1010870L, 1010871L, 1010876L, 1010877L, 1010879L, 1010880L, 
1011920L, 1011921L, 1011923L, 1011924L, 1011929L, 1011930L, 1011932L, 
1011933L, 1011938L, 1011939L, 1011941L, 1011942L, 1011947L, 1011948L, 
1011950L, 1011951L, 1011956L, 1011957L, 1011959L, 1011960L, 1011974L, 
1011975L, 1011977L, 1011978L, 1011983L, 1011984L, 1011986L, 1011987L, 
1011992L, 1011993L, 1011995L, 1011996L, 1012001L, 1012002L, 1012004L, 
1012005L, 1012010L, 1012011L, 1012013L, 1012014L, 1012082L, 1012083L, 
1012085L, 1012086L, 1012091L, 1012092L, 1012094L, 1012095L, 1012100L, 
1012101L, 1012103L, 1012104L, 1012109L, 1012110L, 1012112L, 1012113L, 
1012118L, 1012119L, 1012121L, 1012122L, 1012136L, 1012137L, 1012139L, 
1012140L, 1012145L, 1012146L, 1012148L, 1012149L, 1012154L, 1012155L, 
1012157L, 1012158L, 1012163L, 1012164L, 1012166L, 1012167L, 1012172L, 
1012173L, 1012175L, 1012176L, 1012244L, 1012245L, 1012247L, 1012248L, 
1012253L, 1012254L, 1012256L, 1012257L, 1012262L, 1012263L, 1012265L, 
1012266L, 1012271L, 1012272L, 1012274L, 1012275L, 1012280L, 1012281L, 
1012283L, 1012284L, 1012298L, 1012299L, 1012301L, 1012302L, 1012307L, 
1012308L, 1012310L, 1012311L, 1012316L, 1012317L, 1012319L, 1012320L, 
1012325L, 1012326L, 1012328L, 1012329L, 1012334L, 1012335L, 1012337L, 
1012338L, 1012406L, 1012407L, 1012409L, 1012410L, 1012415L, 1012416L, 
1012418L, 1012419L, 1012424L, 1012425L, 1012427L, 1012428L, 1012433L, 
1012434L, 1012436L, 1012437L, 1012442L, 1012443L, 1012445L, 1012446L, 
1012460L, 1012461L, 1012463L, 1012464L, 1012469L, 1012470L, 1012472L, 
1012473L, 1012478L, 1012479L, 1012481L, 1012482L, 1012487L, 1012488L, 
1012490L, 1012491L, 1012496L, 1012497L, 1012499L, 1012500L, 1012730L, 
1012731L, 1012733L, 1012734L, 1012739L, 1012740L, 1012742L, 1012743L, 
1012748L, 1012749L, 1012751L, 1012752L, 1012757L, 1012758L, 1012760L, 
1012761L, 1012766L, 1012767L, 1012769L, 1012770L, 1012784L, 1012785L, 
1012787L, 1012788L, 1012793L, 1012794L, 1012796L, 1012797L, 1012802L, 
1012803L, 1012805L, 1012806L, 1012811L, 1012812L, 1012814L, 1012815L, 
1012820L, 1012821L, 1012823L, 1012824L, 1012892L, 1012893L, 1012895L, 
1012896L, 1012901L, 1012902L, 1012904L, 1012905L, 1012910L, 1012911L, 
1012913L, 1012914L, 1012919L, 1012920L, 1012922L, 1012923L, 1012928L, 
1012929L, 1012931L, 1012932L, 1012946L, 1012947L, 1012949L, 1012950L, 
1012955L, 1012956L, 1012958L, 1012959L, 1012964L, 1012965L, 1012967L, 
1012968L, 1012973L, 1012974L, 1012976L, 1012977L, 1012982L, 1012983L, 
1012985L, 1012986L, 1013054L, 1013055L, 1013057L, 1013058L, 1013063L, 
1013064L, 1013066L, 1013067L, 1013072L, 1013073L, 1013075L, 1013076L, 
1013081L, 1013082L, 1013084L, 1013085L, 1013090L, 1013091L, 1013093L, 
1013094L, 1013108L, 1013109L, 1013111L, 1013112L, 1013117L, 1013118L, 
1013120L, 1013121L, 1013126L, 1013127L, 1013129L, 1013130L, 1013135L, 
1013136L, 1013138L, 1013139L, 1013144L, 1013145L, 1013147L, 1013148L, 
1013216L, 1013217L, 1013219L, 1013220L, 1013225L, 1013226L, 1013228L, 
1013229L, 1013234L, 1013235L, 1013237L, 1013238L, 1013243L, 1013244L, 
1013246L, 1013247L, 1013252L, 1013253L, 1013255L, 1013256L, 1013270L, 
1013271L, 1013273L, 1013274L, 1013279L, 1013280L, 1013282L, 1013283L, 
1013288L, 1013289L, 1013291L, 1013292L, 1013297L, 1013298L, 1013300L, 
1013301L, 1013306L, 1013307L, 1013309L, 1013310L, 1013540L, 1013541L, 
1013543L, 1013544L, 1013549L, 1013550L, 1013552L, 1013553L, 1013558L, 
1013559L, 1013561L, 1013562L, 1013567L, 1013568L, 1013570L, 1013571L, 
1013576L, 1013577L, 1013579L, 1013580L, 1013594L, 1013595L, 1013597L, 
1013598L, 1013603L, 1013604L, 1013606L, 1013607L, 1013612L, 1013613L, 
1013615L, 1013616L, 1013621L, 1013622L, 1013624L, 1013625L, 1013630L, 
1013631L, 1013633L, 1013634L, 1013702L, 1013703L, 1013705L, 1013706L, 
1013711L, 1013712L, 1013714L, 1013715L, 1013720L, 1013721L, 1013723L, 
1013724L, 1013729L, 1013730L, 1013732L, 1013733L, 1013738L, 1013739L, 
1013741L, 1013742L, 1013756L, 1013757L, 1013759L, 1013760L, 1013765L, 
1013766L, 1013768L, 1013769L, 1013774L, 1013775L, 1013777L, 1013778L, 
1013783L, 1013784L, 1013786L, 1013787L, 1013792L, 1013793L, 1013795L, 
1013796L, 1013864L, 1013865L, 1013867L, 1013868L, 1013873L, 1013874L, 
1013876L, 1013877L, 1013882L, 1013883L, 1013885L, 1013886L, 1013891L, 
1013892L, 1013894L, 1013895L, 1013900L, 1013901L, 1013903L, 1013904L, 
1013918L, 1013919L, 1013921L, 1013922L, 1013927L, 1013928L, 1013930L, 
1013931L, 1013936L, 1013937L, 1013939L, 1013940L, 1013945L, 1013946L, 
1013948L, 1013949L, 1013954L, 1013955L, 1013957L, 1013958L, 1014026L, 
1014027L, 1014029L, 1014030L, 1014035L, 1014036L, 1014038L, 1014039L, 
1014044L, 1014045L, 1014047L, 1014048L, 1014053L, 1014054L, 1014056L, 
1014057L, 1014062L, 1014063L, 1014065L, 1014066L, 1014080L, 1014081L, 
1014083L, 1014084L, 1014089L, 1014090L, 1014092L, 1014093L, 1014098L, 
1014099L, 1014101L, 1014102L, 1014107L, 1014108L, 1014110L, 1014111L, 
1014116L, 1014117L, 1014119L, 1014120L, 1014350L, 1014351L, 1014353L, 
1014354L, 1014359L, 1014360L, 1014362L, 1014363L, 1014368L, 1014369L, 
1014371L, 1014372L, 1014377L, 1014378L, 1014380L, 1014381L, 1014386L, 
1014387L, 1014389L, 1014390L, 1014404L, 1014405L, 1014407L, 1014408L, 
1014413L, 1014414L, 1014416L, 1014417L, 1014422L, 1014423L, 1014425L, 
1014426L, 1014431L, 1014432L, 1014434L, 1014435L, 1014440L, 1014441L, 
1014443L, 1014444L, 1014512L, 1014513L, 1014515L, 1014516L, 1014521L, 
1014522L, 1014524L, 1014525L, 1014530L, 1014531L, 1014533L, 1014534L, 
1014539L, 1014540L, 1014542L, 1014543L, 1014548L, 1014549L, 1014551L, 
1014552L, 1014566L, 1014567L, 1014569L, 1014570L, 1014575L, 1014576L, 
1014578L, 1014579L, 1014584L, 1014585L, 1014587L, 1014588L, 1014593L, 
1014594L, 1014596L, 1014597L, 1014602L, 1014603L, 1014605L, 1014606L, 
1014674L, 1014675L, 1014677L, 1014678L, 1014683L, 1014684L, 1014686L, 
1014687L, 1014692L, 1014693L, 1014695L, 1014696L, 1014701L, 1014702L, 
1014704L, 1014705L, 1014710L, 1014711L, 1014713L, 1014714L, 1014728L, 
1014729L, 1014731L, 1014732L, 1014737L, 1014738L, 1014740L, 1014741L, 
1014746L, 1014747L, 1014749L, 1014750L, 1014755L, 1014756L, 1014758L, 
1014759L, 1014764L, 1014765L, 1014767L, 1014768L, 1014836L, 1014837L, 
1014839L, 1014840L, 1014845L, 1014846L, 1014848L, 1014849L, 1014854L, 
1014855L, 1014857L, 1014858L, 1014863L, 1014864L, 1014866L, 1014867L, 
1014872L, 1014873L, 1014875L, 1014876L, 1014890L, 1014891L, 1014893L, 
1014894L, 1014899L, 1014900L, 1014902L, 1014903L, 1014908L, 1014909L, 
1014911L, 1014912L, 1014917L, 1014918L, 1014920L, 1014921L, 1014926L, 
1014927L, 1014929L, 1014930L, 1015160L, 1015161L, 1015163L, 1015164L, 
1015169L, 1015170L, 1015172L, 1015173L, 1015178L, 1015179L, 1015181L, 
1015182L, 1015187L, 1015188L, 1015190L, 1015191L, 1015196L, 1015197L, 
1015199L, 1015200L, 1015214L, 1015215L, 1015217L, 1015218L, 1015223L, 
1015224L, 1015226L, 1015227L, 1015232L, 1015233L, 1015235L, 1015236L, 
1015241L, 1015242L, 1015244L, 1015245L, 1015250L, 1015251L, 1015253L, 
1015254L, 1015322L, 1015323L, 1015325L, 1015326L, 1015331L, 1015332L, 
1015334L, 1015335L, 1015340L, 1015341L, 1015343L, 1015344L, 1015349L, 
1015350L, 1015352L, 1015353L, 1015358L, 1015359L, 1015361L, 1015362L, 
1015376L, 1015377L, 1015379L, 1015380L, 1015385L, 1015386L, 1015388L, 
1015389L, 1015394L, 1015395L, 1015397L, 1015398L, 1015403L, 1015404L, 
1015406L, 1015407L, 1015412L, 1015413L, 1015415L, 1015416L, 1015484L, 
1015485L, 1015487L, 1015488L, 1015493L, 1015494L, 1015496L, 1015497L, 
1015502L, 1015503L, 1015505L, 1015506L, 1015511L, 1015512L, 1015514L, 
1015515L, 1015520L, 1015521L, 1015523L, 1015524L, 1015538L, 1015539L, 
1015541L, 1015542L, 1015547L, 1015548L, 1015550L, 1015551L, 1015556L, 
1015557L, 1015559L, 1015560L, 1015565L, 1015566L, 1015568L, 1015569L, 
1015574L, 1015575L, 1015577L, 1015578L, 1015646L, 1015647L, 1015649L, 
1015650L, 1015655L, 1015656L, 1015658L, 1015659L, 1015664L, 1015665L, 
1015667L, 1015668L, 1015673L, 1015674L, 1015676L, 1015677L, 1015682L, 
1015683L, 1015685L, 1015686L, 1015700L, 1015701L, 1015703L, 1015704L, 
1015709L, 1015710L, 1015712L, 1015713L, 1015718L, 1015719L, 1015721L, 
1015722L, 1015727L, 1015728L, 1015730L, 1015731L, 1015736L, 1015737L, 
1015739L, 1015740L, 1026500L, 1026501L, 1026503L, 1026504L, 1026509L, 
1026510L, 1026512L, 1026513L, 1026518L, 1026519L, 1026521L, 1026522L, 
1026527L, 1026528L, 1026530L, 1026531L, 1026536L, 1026537L, 1026539L, 
1026540L, 1026554L, 1026555L, 1026557L, 1026558L, 1026563L, 1026564L, 
1026566L, 1026567L, 1026572L, 1026573L, 1026575L, 1026576L, 1026581L, 
1026582L, 1026584L, 1026585L, 1026590L, 1026591L, 1026593L, 1026594L, 
1026662L, 1026663L, 1026665L, 1026666L, 1026671L, 1026672L, 1026674L, 
1026675L, 1026680L, 1026681L, 1026683L, 1026684L, 1026689L, 1026690L, 
1026692L, 1026693L, 1026698L, 1026699L, 1026701L, 1026702L, 1026716L, 
1026717L, 1026719L, 1026720L, 1026725L, 1026726L, 1026728L, 1026729L, 
1026734L, 1026735L, 1026737L, 1026738L, 1026743L, 1026744L, 1026746L, 
1026747L, 1026752L, 1026753L, 1026755L, 1026756L, 1026824L, 1026825L, 
1026827L, 1026828L, 1026833L, 1026834L, 1026836L, 1026837L, 1026842L, 
1026843L, 1026845L, 1026846L, 1026851L, 1026852L, 1026854L, 1026855L, 
1026860L, 1026861L, 1026863L, 1026864L, 1026878L, 1026879L, 1026881L, 
1026882L, 1026887L, 1026888L, 1026890L, 1026891L, 1026896L, 1026897L, 
1026899L, 1026900L, 1026905L, 1026906L, 1026908L, 1026909L, 1026914L, 
1026915L, 1026917L, 1026918L, 1026986L, 1026987L, 1026989L, 1026990L, 
1026995L, 1026996L, 1026998L, 1026999L, 1027004L, 1027005L, 1027007L, 
1027008L, 1027013L, 1027014L, 1027016L, 1027017L, 1027022L, 1027023L, 
1027025L, 1027026L, 1027040L, 1027041L, 1027043L, 1027044L, 1027049L, 
1027050L, 1027052L, 1027053L, 1027058L, 1027059L, 1027061L, 1027062L, 
1027067L, 1027068L, 1027070L, 1027071L, 1027076L, 1027077L, 1027079L, 
1027080L, 1027310L, 1027311L, 1027313L, 1027314L, 1027319L, 1027320L, 
1027322L, 1027323L, 1027328L, 1027329L, 1027331L, 1027332L, 1027337L, 
1027338L, 1027340L, 1027341L, 1027346L, 1027347L, 1027349L, 1027350L, 
1027364L, 1027365L, 1027367L, 1027368L, 1027373L, 1027374L, 1027376L, 
1027377L, 1027382L, 1027383L, 1027385L, 1027386L, 1027391L, 1027392L, 
1027394L, 1027395L, 1027400L, 1027401L, 1027403L, 1027404L, 1027472L, 
1027473L, 1027475L, 1027476L, 1027481L, 1027482L, 1027484L, 1027485L, 
1027490L, 1027491L, 1027493L, 1027494L, 1027499L, 1027500L, 1027502L, 
1027503L, 1027508L, 1027509L, 1027511L, 1027512L, 1027526L, 1027527L, 
1027529L, 1027530L, 1027535L, 1027536L, 1027538L, 1027539L, 1027544L, 
1027545L, 1027547L, 1027548L, 1027553L, 1027554L, 1027556L, 1027557L, 
1027562L, 1027563L, 1027565L, 1027566L, 1027634L, 1027635L, 1027637L, 
1027638L, 1027643L, 1027644L, 1027646L, 1027647L, 1027652L, 1027653L, 
1027655L, 1027656L, 1027661L, 1027662L, 1027664L, 1027665L, 1027670L, 
1027671L, 1027673L, 1027674L, 1027688L, 1027689L, 1027691L, 1027692L, 
1027697L, 1027698L, 1027700L, 1027701L, 1027706L, 1027707L, 1027709L, 
1027710L, 1027715L, 1027716L, 1027718L, 1027719L, 1027724L, 1027725L, 
1027727L, 1027728L, 1027796L, 1027797L, 1027799L, 1027800L, 1027805L, 
1027806L, 1027808L, 1027809L, 1027814L, 1027815L, 1027817L, 1027818L, 
1027823L, 1027824L, 1027826L, 1027827L, 1027832L, 1027833L, 1027835L, 
1027836L, 1027850L, 1027851L, 1027853L, 1027854L, 1027859L, 1027860L, 
1027862L, 1027863L, 1027868L, 1027869L, 1027871L, 1027872L, 1027877L, 
1027878L, 1027880L, 1027881L, 1027886L, 1027887L, 1027889L, 1027890L, 
1028120L, 1028121L, 1028123L, 1028124L, 1028129L, 1028130L, 1028132L, 
1028133L, 1028138L, 1028139L, 1028141L, 1028142L, 1028147L, 1028148L, 
1028150L, 1028151L, 1028156L, 1028157L, 1028159L, 1028160L, 1028174L, 
1028175L, 1028177L, 1028178L, 1028183L, 1028184L, 1028186L, 1028187L, 
1028192L, 1028193L, 1028195L, 1028196L, 1028201L, 1028202L, 1028204L, 
1028205L, 1028210L, 1028211L, 1028213L, 1028214L, 1028282L, 1028283L, 
1028285L, 1028286L, 1028291L, 1028292L, 1028294L, 1028295L, 1028300L, 
1028301L, 1028303L, 1028304L, 1028309L, 1028310L, 1028312L, 1028313L, 
1028318L, 1028319L, 1028321L, 1028322L, 1028336L, 1028337L, 1028339L, 
1028340L, 1028345L, 1028346L, 1028348L, 1028349L, 1028354L, 1028355L, 
1028357L, 1028358L, 1028363L, 1028364L, 1028366L, 1028367L, 1028372L, 
1028373L, 1028375L, 1028376L, 1028444L, 1028445L, 1028447L, 1028448L, 
1028453L, 1028454L, 1028456L, 1028457L, 1028462L, 1028463L, 1028465L, 
1028466L, 1028471L, 1028472L, 1028474L, 1028475L, 1028480L, 1028481L, 
1028483L, 1028484L, 1028498L, 1028499L, 1028501L, 1028502L, 1028507L, 
1028508L, 1028510L, 1028511L, 1028516L, 1028517L, 1028519L, 1028520L, 
1028525L, 1028526L, 1028528L, 1028529L, 1028534L, 1028535L, 1028537L, 
1028538L, 1028606L, 1028607L, 1028609L, 1028610L, 1028615L, 1028616L, 
1028618L, 1028619L, 1028624L, 1028625L, 1028627L, 1028628L, 1028633L, 
1028634L, 1028636L, 1028637L, 1028642L, 1028643L, 1028645L, 1028646L, 
1028660L, 1028661L, 1028663L, 1028664L, 1028669L, 1028670L, 1028672L, 
1028673L, 1028678L, 1028679L, 1028681L, 1028682L, 1028687L, 1028688L, 
1028690L, 1028691L, 1028696L, 1028697L, 1028699L, 1028700L, 1028930L, 
1028931L, 1028933L, 1028934L, 1028939L, 1028940L, 1028942L, 1028943L, 
1028948L, 1028949L, 1028951L, 1028952L, 1028957L, 1028958L, 1028960L, 
1028961L, 1028966L, 1028967L, 1028969L, 1028970L, 1028984L, 1028985L, 
1028987L, 1028988L, 1028993L, 1028994L, 1028996L, 1028997L, 1029002L, 
1029003L, 1029005L, 1029006L, 1029011L, 1029012L, 1029014L, 1029015L, 
1029020L, 1029021L, 1029023L, 1029024L, 1029092L, 1029093L, 1029095L, 
1029096L, 1029101L, 1029102L, 1029104L, 1029105L, 1029110L, 1029111L, 
1029113L, 1029114L, 1029119L, 1029120L, 1029122L, 1029123L, 1029128L, 
1029129L, 1029131L, 1029132L, 1029146L, 1029147L, 1029149L, 1029150L, 
1029155L, 1029156L, 1029158L, 1029159L, 1029164L, 1029165L, 1029167L, 
1029168L, 1029173L, 1029174L, 1029176L, 1029177L, 1029182L, 1029183L, 
1029185L, 1029186L, 1029254L, 1029255L, 1029257L, 1029258L, 1029263L, 
1029264L, 1029266L, 1029267L, 1029272L, 1029273L, 1029275L, 1029276L, 
1029281L, 1029282L, 1029284L, 1029285L, 1029290L, 1029291L, 1029293L, 
1029294L, 1029308L, 1029309L, 1029311L, 1029312L, 1029317L, 1029318L, 
1029320L, 1029321L, 1029326L, 1029327L, 1029329L, 1029330L, 1029335L, 
1029336L, 1029338L, 1029339L, 1029344L, 1029345L, 1029347L, 1029348L, 
1029416L, 1029417L, 1029419L, 1029420L, 1029425L, 1029426L, 1029428L, 
1029429L, 1029434L, 1029435L, 1029437L, 1029438L, 1029443L, 1029444L, 
1029446L, 1029447L, 1029452L, 1029453L, 1029455L, 1029456L, 1029470L, 
1029471L, 1029473L, 1029474L, 1029479L, 1029480L, 1029482L, 1029483L, 
1029488L, 1029489L, 1029491L, 1029492L, 1029497L, 1029498L, 1029500L, 
1029501L, 1029506L, 1029507L, 1029509L, 1029510L, 1029740L, 1029741L, 
1029743L, 1029744L, 1029749L, 1029750L, 1029752L, 1029753L, 1029758L, 
1029759L, 1029761L, 1029762L, 1029767L, 1029768L, 1029770L, 1029771L, 
1029776L, 1029777L, 1029779L, 1029780L, 1029794L, 1029795L, 1029797L, 
1029798L, 1029803L, 1029804L, 1029806L, 1029807L, 1029812L, 1029813L, 
1029815L, 1029816L, 1029821L, 1029822L, 1029824L, 1029825L, 1029830L, 
1029831L, 1029833L, 1029834L, 1029902L, 1029903L, 1029905L, 1029906L, 
1029911L, 1029912L, 1029914L, 1029915L, 1029920L, 1029921L, 1029923L, 
1029924L, 1029929L, 1029930L, 1029932L, 1029933L, 1029938L, 1029939L, 
1029941L, 1029942L, 1029956L, 1029957L, 1029959L, 1029960L, 1029965L, 
1029966L, 1029968L, 1029969L, 1029974L, 1029975L, 1029977L, 1029978L, 
1029983L, 1029984L, 1029986L, 1029987L, 1029992L, 1029993L, 1029995L, 
1029996L, 1030064L, 1030065L, 1030067L, 1030068L, 1030073L, 1030074L, 
1030076L, 1030077L, 1030082L, 1030083L, 1030085L, 1030086L, 1030091L, 
1030092L, 1030094L, 1030095L, 1030100L, 1030101L, 1030103L, 1030104L, 
1030118L, 1030119L, 1030121L, 1030122L, 1030127L, 1030128L, 1030130L, 
1030131L, 1030136L, 1030137L, 1030139L, 1030140L, 1030145L, 1030146L, 
1030148L, 1030149L, 1030154L, 1030155L, 1030157L, 1030158L, 1030226L, 
1030227L, 1030229L, 1030230L, 1030235L, 1030236L, 1030238L, 1030239L, 
1030244L, 1030245L, 1030247L, 1030248L, 1030253L, 1030254L, 1030256L, 
1030257L, 1030262L, 1030263L, 1030265L, 1030266L, 1030280L, 1030281L, 
1030283L, 1030284L, 1030289L, 1030290L, 1030292L, 1030293L, 1030298L, 
1030299L, 1030301L, 1030302L, 1030307L, 1030308L, 1030310L, 1030311L, 
1030316L, 1030317L, 1030319L, 1030320L, 1031360L, 1031361L, 1031363L, 
1031364L, 1031369L, 1031370L, 1031372L, 1031373L, 1031378L, 1031379L, 
1031381L, 1031382L, 1031387L, 1031388L, 1031390L, 1031391L, 1031396L, 
1031397L, 1031399L, 1031400L, 1031414L, 1031415L, 1031417L, 1031418L, 
1031423L, 1031424L, 1031426L, 1031427L, 1031432L, 1031433L, 1031435L, 
1031436L, 1031441L, 1031442L, 1031444L, 1031445L, 1031450L, 1031451L, 
1031453L, 1031454L, 1031522L, 1031523L, 1031525L, 1031526L, 1031531L, 
1031532L, 1031534L, 1031535L, 1031540L, 1031541L, 1031543L, 1031544L, 
1031549L, 1031550L, 1031552L, 1031553L, 1031558L, 1031559L, 1031561L, 
1031562L, 1031576L, 1031577L, 1031579L, 1031580L, 1031585L, 1031586L, 
1031588L, 1031589L, 1031594L, 1031595L, 1031597L, 1031598L, 1031603L, 
1031604L, 1031606L, 1031607L, 1031612L, 1031613L, 1031615L, 1031616L, 
1031684L, 1031685L, 1031687L, 1031688L, 1031693L, 1031694L, 1031696L, 
1031697L, 1031702L, 1031703L, 1031705L, 1031706L, 1031711L, 1031712L, 
1031714L, 1031715L, 1031720L, 1031721L, 1031723L, 1031724L, 1031738L, 
1031739L, 1031741L, 1031742L, 1031747L, 1031748L, 1031750L, 1031751L, 
1031756L, 1031757L, 1031759L, 1031760L, 1031765L, 1031766L, 1031768L, 
1031769L, 1031774L, 1031775L, 1031777L, 1031778L, 1031846L, 1031847L, 
1031849L, 1031850L, 1031855L, 1031856L, 1031858L, 1031859L, 1031864L, 
1031865L, 1031867L, 1031868L, 1031873L, 1031874L, 1031876L, 1031877L, 
1031882L, 1031883L, 1031885L, 1031886L, 1031900L, 1031901L, 1031903L, 
1031904L, 1031909L, 1031910L, 1031912L, 1031913L, 1031918L, 1031919L, 
1031921L, 1031922L, 1031927L, 1031928L, 1031930L, 1031931L, 1031936L, 
1031937L, 1031939L, 1031940L, 1032170L, 1032171L, 1032173L, 1032174L, 
1032179L, 1032180L, 1032182L, 1032183L, 1032188L, 1032189L, 1032191L, 
1032192L, 1032197L, 1032198L, 1032200L, 1032201L, 1032206L, 1032207L, 
1032209L, 1032210L, 1032224L, 1032225L, 1032227L, 1032228L, 1032233L, 
1032234L, 1032236L, 1032237L, 1032242L, 1032243L, 1032245L, 1032246L, 
1032251L, 1032252L, 1032254L, 1032255L, 1032260L, 1032261L, 1032263L, 
1032264L, 1032332L, 1032333L, 1032335L, 1032336L, 1032341L, 1032342L, 
1032344L, 1032345L, 1032350L, 1032351L, 1032353L, 1032354L, 1032359L, 
1032360L, 1032362L, 1032363L, 1032368L, 1032369L, 1032371L, 1032372L, 
1032386L, 1032387L, 1032389L, 1032390L, 1032395L, 1032396L, 1032398L, 
1032399L, 1032404L, 1032405L, 1032407L, 1032408L, 1032413L, 1032414L, 
1032416L, 1032417L, 1032422L, 1032423L, 1032425L, 1032426L, 1032494L, 
1032495L, 1032497L, 1032498L, 1032503L, 1032504L, 1032506L, 1032507L, 
1032512L, 1032513L, 1032515L, 1032516L, 1032521L, 1032522L, 1032524L, 
1032525L, 1032530L, 1032531L, 1032533L, 1032534L, 1032548L, 1032549L, 
1032551L, 1032552L, 1032557L, 1032558L, 1032560L, 1032561L, 1032566L, 
1032567L, 1032569L, 1032570L, 1032575L, 1032576L, 1032578L, 1032579L, 
1032584L, 1032585L, 1032587L, 1032588L, 1032656L, 1032657L, 1032659L, 
1032660L, 1032665L, 1032666L, 1032668L, 1032669L, 1032674L, 1032675L, 
1032677L, 1032678L, 1032683L, 1032684L, 1032686L, 1032687L, 1032692L, 
1032693L, 1032695L, 1032696L, 1032710L, 1032711L, 1032713L, 1032714L, 
1032719L, 1032720L, 1032722L, 1032723L, 1032728L, 1032729L, 1032731L, 
1032732L, 1032737L, 1032738L, 1032740L, 1032741L, 1032746L, 1032747L, 
1032749L, 1032750L, 1032980L, 1032981L, 1032983L, 1032984L, 1032989L, 
1032990L, 1032992L, 1032993L, 1032998L, 1032999L, 1033001L, 1033002L, 
1033007L, 1033008L, 1033010L, 1033011L, 1033016L, 1033017L, 1033019L, 
1033020L, 1033034L, 1033035L, 1033037L, 1033038L, 1033043L, 1033044L, 
1033046L, 1033047L, 1033052L, 1033053L, 1033055L, 1033056L, 1033061L, 
1033062L, 1033064L, 1033065L, 1033070L, 1033071L, 1033073L, 1033074L, 
1033142L, 1033143L, 1033145L, 1033146L, 1033151L, 1033152L, 1033154L, 
1033155L, 1033160L, 1033161L, 1033163L, 1033164L, 1033169L, 1033170L, 
1033172L, 1033173L, 1033178L, 1033179L, 1033181L, 1033182L, 1033196L, 
1033197L, 1033199L, 1033200L, 1033205L, 1033206L, 1033208L, 1033209L, 
1033214L, 1033215L, 1033217L, 1033218L, 1033223L, 1033224L, 1033226L, 
1033227L, 1033232L, 1033233L, 1033235L, 1033236L, 1033304L, 1033305L, 
1033307L, 1033308L, 1033313L, 1033314L, 1033316L, 1033317L, 1033322L, 
1033323L, 1033325L, 1033326L, 1033331L, 1033332L, 1033334L, 1033335L, 
1033340L, 1033341L, 1033343L, 1033344L, 1033358L, 1033359L, 1033361L, 
1033362L, 1033367L, 1033368L, 1033370L, 1033371L, 1033376L, 1033377L, 
1033379L, 1033380L, 1033385L, 1033386L, 1033388L, 1033389L, 1033394L, 
1033395L, 1033397L, 1033398L, 1033466L, 1033467L, 1033469L, 1033470L, 
1033475L, 1033476L, 1033478L, 1033479L, 1033484L, 1033485L, 1033487L, 
1033488L, 1033493L, 1033494L, 1033496L, 1033497L, 1033502L, 1033503L, 
1033505L, 1033506L, 1033520L, 1033521L, 1033523L, 1033524L, 1033529L, 
1033530L, 1033532L, 1033533L, 1033538L, 1033539L, 1033541L, 1033542L, 
1033547L, 1033548L, 1033550L, 1033551L, 1033556L, 1033557L, 1033559L, 
1033560L, 1033790L, 1033791L, 1033793L, 1033794L, 1033799L, 1033800L, 
1033802L, 1033803L, 1033808L, 1033809L, 1033811L, 1033812L, 1033817L, 
1033818L, 1033820L, 1033821L, 1033826L, 1033827L, 1033829L, 1033830L, 
1033844L, 1033845L, 1033847L, 1033848L, 1033853L, 1033854L, 1033856L, 
1033857L, 1033862L, 1033863L, 1033865L, 1033866L, 1033871L, 1033872L, 
1033874L, 1033875L, 1033880L, 1033881L, 1033883L, 1033884L, 1033952L, 
1033953L, 1033955L, 1033956L, 1033961L, 1033962L, 1033964L, 1033965L, 
1033970L, 1033971L, 1033973L, 1033974L, 1033979L, 1033980L, 1033982L, 
1033983L, 1033988L, 1033989L, 1033991L, 1033992L, 1034006L, 1034007L, 
1034009L, 1034010L, 1034015L, 1034016L, 1034018L, 1034019L, 1034024L, 
1034025L, 1034027L, 1034028L, 1034033L, 1034034L, 1034036L, 1034037L, 
1034042L, 1034043L, 1034045L, 1034046L, 1034114L, 1034115L, 1034117L, 
1034118L, 1034123L, 1034124L, 1034126L, 1034127L, 1034132L, 1034133L, 
1034135L, 1034136L, 1034141L, 1034142L, 1034144L, 1034145L, 1034150L, 
1034151L, 1034153L, 1034154L, 1034168L, 1034169L, 1034171L, 1034172L, 
1034177L, 1034178L, 1034180L, 1034181L, 1034186L, 1034187L, 1034189L, 
1034190L, 1034195L, 1034196L, 1034198L, 1034199L, 1034204L, 1034205L, 
1034207L, 1034208L, 1034276L, 1034277L, 1034279L, 1034280L, 1034285L, 
1034286L, 1034288L, 1034289L, 1034294L, 1034295L, 1034297L, 1034298L, 
1034303L, 1034304L, 1034306L, 1034307L, 1034312L, 1034313L, 1034315L, 
1034316L, 1034330L, 1034331L, 1034333L, 1034334L, 1034339L, 1034340L, 
1034342L, 1034343L, 1034348L, 1034349L, 1034351L, 1034352L, 1034357L, 
1034358L, 1034360L, 1034361L, 1034366L, 1034367L, 1034369L, 1034370L, 
1034600L, 1034601L, 1034603L, 1034604L, 1034609L, 1034610L, 1034612L, 
1034613L, 1034618L, 1034619L, 1034621L, 1034622L, 1034627L, 1034628L, 
1034630L, 1034631L, 1034636L, 1034637L, 1034639L, 1034640L, 1034654L, 
1034655L, 1034657L, 1034658L, 1034663L, 1034664L, 1034666L, 1034667L, 
1034672L, 1034673L, 1034675L, 1034676L, 1034681L, 1034682L, 1034684L, 
1034685L, 1034690L, 1034691L, 1034693L, 1034694L, 1034762L, 1034763L, 
1034765L, 1034766L, 1034771L, 1034772L, 1034774L, 1034775L, 1034780L, 
1034781L, 1034783L, 1034784L, 1034789L, 1034790L, 1034792L, 1034793L, 
1034798L, 1034799L, 1034801L, 1034802L, 1034816L, 1034817L, 1034819L, 
1034820L, 1034825L, 1034826L, 1034828L, 1034829L, 1034834L, 1034835L, 
1034837L, 1034838L, 1034843L, 1034844L, 1034846L, 1034847L, 1034852L, 
1034853L, 1034855L, 1034856L, 1034924L, 1034925L, 1034927L, 1034928L, 
1034933L, 1034934L, 1034936L, 1034937L, 1034942L, 1034943L, 1034945L, 
1034946L, 1034951L, 1034952L, 1034954L, 1034955L, 1034960L, 1034961L, 
1034963L, 1034964L, 1034978L, 1034979L, 1034981L, 1034982L, 1034987L, 
1034988L, 1034990L, 1034991L, 1034996L, 1034997L, 1034999L, 1035000L, 
1035005L, 1035006L, 1035008L, 1035009L, 1035014L, 1035015L, 1035017L, 
1035018L, 1035086L, 1035087L, 1035089L, 1035090L, 1035095L, 1035096L, 
1035098L, 1035099L, 1035104L, 1035105L, 1035107L, 1035108L, 1035113L, 
1035114L, 1035116L, 1035117L, 1035122L, 1035123L, 1035125L, 1035126L, 
1035140L, 1035141L, 1035143L, 1035144L, 1035149L, 1035150L, 1035152L, 
1035153L, 1035158L, 1035159L, 1035161L, 1035162L, 1035167L, 1035168L, 
1035170L, 1035171L, 1035176L, 1035177L, 1035179L, 1035180L, 1036220L, 
1036221L, 1036223L, 1036224L, 1036229L, 1036230L, 1036232L, 1036233L, 
1036238L, 1036239L, 1036241L, 1036242L, 1036247L, 1036248L, 1036250L, 
1036251L, 1036256L, 1036257L, 1036259L, 1036260L, 1036274L, 1036275L, 
1036277L, 1036278L, 1036283L, 1036284L, 1036286L, 1036287L, 1036292L, 
1036293L, 1036295L, 1036296L, 1036301L, 1036302L, 1036304L, 1036305L, 
1036310L, 1036311L, 1036313L, 1036314L, 1036382L, 1036383L, 1036385L, 
1036386L, 1036391L, 1036392L, 1036394L, 1036395L, 1036400L, 1036401L, 
1036403L, 1036404L, 1036409L, 1036410L, 1036412L, 1036413L, 1036418L, 
1036419L, 1036421L, 1036422L, 1036436L, 1036437L, 1036439L, 1036440L, 
1036445L, 1036446L, 1036448L, 1036449L, 1036454L, 1036455L, 1036457L, 
1036458L, 1036463L, 1036464L, 1036466L, 1036467L, 1036472L, 1036473L, 
1036475L, 1036476L, 1036544L, 1036545L, 1036547L, 1036548L, 1036553L, 
1036554L, 1036556L, 1036557L, 1036562L, 1036563L, 1036565L, 1036566L, 
1036571L, 1036572L, 1036574L, 1036575L, 1036580L, 1036581L, 1036583L, 
1036584L, 1036598L, 1036599L, 1036601L, 1036602L, 1036607L, 1036608L, 
1036610L, 1036611L, 1036616L, 1036617L, 1036619L, 1036620L, 1036625L, 
1036626L, 1036628L, 1036629L, 1036634L, 1036635L, 1036637L, 1036638L, 
1036706L, 1036707L, 1036709L, 1036710L, 1036715L, 1036716L, 1036718L, 
1036719L, 1036724L, 1036725L, 1036727L, 1036728L, 1036733L, 1036734L, 
1036736L, 1036737L, 1036742L, 1036743L, 1036745L, 1036746L, 1036760L, 
1036761L, 1036763L, 1036764L, 1036769L, 1036770L, 1036772L, 1036773L, 
1036778L, 1036779L, 1036781L, 1036782L, 1036787L, 1036788L, 1036790L, 
1036791L, 1036796L, 1036797L, 1036799L, 1036800L, 1037030L, 1037031L, 
1037033L, 1037034L, 1037039L, 1037040L, 1037042L, 1037043L, 1037048L, 
1037049L, 1037051L, 1037052L, 1037057L, 1037058L, 1037060L, 1037061L, 
1037066L, 1037067L, 1037069L, 1037070L, 1037084L, 1037085L, 1037087L, 
1037088L, 1037093L, 1037094L, 1037096L, 1037097L, 1037102L, 1037103L, 
1037105L, 1037106L, 1037111L, 1037112L, 1037114L, 1037115L, 1037120L, 
1037121L, 1037123L, 1037124L, 1037192L, 1037193L, 1037195L, 1037196L, 
1037201L, 1037202L, 1037204L, 1037205L, 1037210L, 1037211L, 1037213L, 
1037214L, 1037219L, 1037220L, 1037222L, 1037223L, 1037228L, 1037229L, 
1037231L, 1037232L, 1037246L, 1037247L, 1037249L, 1037250L, 1037255L, 
1037256L, 1037258L, 1037259L, 1037264L, 1037265L, 1037267L, 1037268L, 
1037273L, 1037274L, 1037276L, 1037277L, 1037282L, 1037283L, 1037285L, 
1037286L, 1037354L, 1037355L, 1037357L, 1037358L, 1037363L, 1037364L, 
1037366L, 1037367L, 1037372L, 1037373L, 1037375L, 1037376L, 1037381L, 
1037382L, 1037384L, 1037385L, 1037390L, 1037391L, 1037393L, 1037394L, 
1037408L, 1037409L, 1037411L, 1037412L, 1037417L, 1037418L, 1037420L, 
1037421L, 1037426L, 1037427L, 1037429L, 1037430L, 1037435L, 1037436L, 
1037438L, 1037439L, 1037444L, 1037445L, 1037447L, 1037448L, 1037516L, 
1037517L, 1037519L, 1037520L, 1037525L, 1037526L, 1037528L, 1037529L, 
1037534L, 1037535L, 1037537L, 1037538L, 1037543L, 1037544L, 1037546L, 
1037547L, 1037552L, 1037553L, 1037555L, 1037556L, 1037570L, 1037571L, 
1037573L, 1037574L, 1037579L, 1037580L, 1037582L, 1037583L, 1037588L, 
1037589L, 1037591L, 1037592L, 1037597L, 1037598L, 1037600L, 1037601L, 
1037606L, 1037607L, 1037609L, 1037610L, 1037840L, 1037841L, 1037843L, 
1037844L, 1037849L, 1037850L, 1037852L, 1037853L, 1037858L, 1037859L, 
1037861L, 1037862L, 1037867L, 1037868L, 1037870L, 1037871L, 1037876L, 
1037877L, 1037879L, 1037880L, 1037894L, 1037895L, 1037897L, 1037898L, 
1037903L, 1037904L, 1037906L, 1037907L, 1037912L, 1037913L, 1037915L, 
1037916L, 1037921L, 1037922L, 1037924L, 1037925L, 1037930L, 1037931L, 
1037933L, 1037934L, 1038002L, 1038003L, 1038005L, 1038006L, 1038011L, 
1038012L, 1038014L, 1038015L, 1038020L, 1038021L, 1038023L, 1038024L, 
1038029L, 1038030L, 1038032L, 1038033L, 1038038L, 1038039L, 1038041L, 
1038042L, 1038056L, 1038057L, 1038059L, 1038060L, 1038065L, 1038066L, 
1038068L, 1038069L, 1038074L, 1038075L, 1038077L, 1038078L, 1038083L, 
1038084L, 1038086L, 1038087L, 1038092L, 1038093L, 1038095L, 1038096L, 
1038164L, 1038165L, 1038167L, 1038168L, 1038173L, 1038174L, 1038176L, 
1038177L, 1038182L, 1038183L, 1038185L, 1038186L, 1038191L, 1038192L, 
1038194L, 1038195L, 1038200L, 1038201L, 1038203L, 1038204L, 1038218L, 
1038219L, 1038221L, 1038222L, 1038227L, 1038228L, 1038230L, 1038231L, 
1038236L, 1038237L, 1038239L, 1038240L, 1038245L, 1038246L, 1038248L, 
1038249L, 1038254L, 1038255L, 1038257L, 1038258L, 1038326L, 1038327L, 
1038329L, 1038330L, 1038335L, 1038336L, 1038338L, 1038339L, 1038344L, 
1038345L, 1038347L, 1038348L, 1038353L, 1038354L, 1038356L, 1038357L, 
1038362L, 1038363L, 1038365L, 1038366L, 1038380L, 1038381L, 1038383L, 
1038384L, 1038389L, 1038390L, 1038392L, 1038393L, 1038398L, 1038399L, 
1038401L, 1038402L, 1038407L, 1038408L, 1038410L, 1038411L, 1038416L, 
1038417L, 1038419L, 1038420L, 1038650L, 1038651L, 1038653L, 1038654L, 
1038659L, 1038660L, 1038662L, 1038663L, 1038668L, 1038669L, 1038671L, 
1038672L, 1038677L, 1038678L, 1038680L, 1038681L, 1038686L, 1038687L, 
1038689L, 1038690L, 1038704L, 1038705L, 1038707L, 1038708L, 1038713L, 
1038714L, 1038716L, 1038717L, 1038722L, 1038723L, 1038725L, 1038726L, 
1038731L, 1038732L, 1038734L, 1038735L, 1038740L, 1038741L, 1038743L, 
1038744L, 1038812L, 1038813L, 1038815L, 1038816L, 1038821L, 1038822L, 
1038824L, 1038825L, 1038830L, 1038831L, 1038833L, 1038834L, 1038839L, 
1038840L, 1038842L, 1038843L, 1038848L, 1038849L, 1038851L, 1038852L, 
1038866L, 1038867L, 1038869L, 1038870L, 1038875L, 1038876L, 1038878L, 
1038879L, 1038884L, 1038885L, 1038887L, 1038888L, 1038893L, 1038894L, 
1038896L, 1038897L, 1038902L, 1038903L, 1038905L, 1038906L, 1038974L, 
1038975L, 1038977L, 1038978L, 1038983L, 1038984L, 1038986L, 1038987L, 
1038992L, 1038993L, 1038995L, 1038996L, 1039001L, 1039002L, 1039004L, 
1039005L, 1039010L, 1039011L, 1039013L, 1039014L, 1039028L, 1039029L, 
1039031L, 1039032L, 1039037L, 1039038L, 1039040L, 1039041L, 1039046L, 
1039047L, 1039049L, 1039050L, 1039055L, 1039056L, 1039058L, 1039059L, 
1039064L, 1039065L, 1039067L, 1039068L, 1039136L, 1039137L, 1039139L, 
1039140L, 1039145L, 1039146L, 1039148L, 1039149L, 1039154L, 1039155L, 
1039157L, 1039158L, 1039163L, 1039164L, 1039166L, 1039167L, 1039172L, 
1039173L, 1039175L, 1039176L, 1039190L, 1039191L, 1039193L, 1039194L, 
1039199L, 1039200L, 1039202L, 1039203L, 1039208L, 1039209L, 1039211L, 
1039212L, 1039217L, 1039218L, 1039220L, 1039221L, 1039226L, 1039227L, 
1039229L, 1039230L, 1039460L, 1039461L, 1039463L, 1039464L, 1039469L, 
1039470L, 1039472L, 1039473L, 1039478L, 1039479L, 1039481L, 1039482L, 
1039487L, 1039488L, 1039490L, 1039491L, 1039496L, 1039497L, 1039499L, 
1039500L, 1039514L, 1039515L, 1039517L, 1039518L, 1039523L, 1039524L, 
1039526L, 1039527L, 1039532L, 1039533L, 1039535L, 1039536L, 1039541L, 
1039542L, 1039544L, 1039545L, 1039550L, 1039551L, 1039553L, 1039554L, 
1039622L, 1039623L, 1039625L, 1039626L, 1039631L, 1039632L, 1039634L, 
1039635L, 1039640L, 1039641L, 1039643L, 1039644L, 1039649L, 1039650L, 
1039652L, 1039653L, 1039658L, 1039659L, 1039661L, 1039662L, 1039676L, 
1039677L, 1039679L, 1039680L, 1039685L, 1039686L, 1039688L, 1039689L, 
1039694L, 1039695L, 1039697L, 1039698L, 1039703L, 1039704L, 1039706L, 
1039707L, 1039712L, 1039713L, 1039715L, 1039716L, 1039784L, 1039785L, 
1039787L, 1039788L, 1039793L, 1039794L, 1039796L, 1039797L, 1039802L, 
1039803L, 1039805L, 1039806L, 1039811L, 1039812L, 1039814L, 1039815L, 
1039820L, 1039821L, 1039823L, 1039824L, 1039838L, 1039839L, 1039841L, 
1039842L, 1039847L, 1039848L, 1039850L, 1039851L, 1039856L, 1039857L, 
1039859L, 1039860L, 1039865L, 1039866L, 1039868L, 1039869L, 1039874L, 
1039875L, 1039877L, 1039878L, 1039946L, 1039947L, 1039949L, 1039950L, 
1039955L, 1039956L, 1039958L, 1039959L, 1039964L, 1039965L, 1039967L, 
1039968L, 1039973L, 1039974L, 1039976L, 1039977L, 1039982L, 1039983L, 
1039985L, 1039986L, 1040000L, 1040001L, 1040003L, 1040004L, 1040009L, 
1040010L, 1040012L, 1040013L, 1040018L, 1040019L, 1040021L, 1040022L, 
1040027L, 1040028L, 1040030L, 1040031L, 1040036L, 1040037L, 1040039L, 
1040040L, 1050800L, 1050801L, 1050803L, 1050804L, 1050809L, 1050810L, 
1050812L, 1050813L, 1050818L, 1050819L, 1050821L, 1050822L, 1050827L, 
1050828L, 1050830L, 1050831L, 1050836L, 1050837L, 1050839L, 1050840L, 
1050854L, 1050855L, 1050857L, 1050858L, 1050863L, 1050864L, 1050866L, 
1050867L, 1050872L, 1050873L, 1050875L, 1050876L, 1050881L, 1050882L, 
1050884L, 1050885L, 1050890L, 1050891L, 1050893L, 1050894L, 1050962L, 
1050963L, 1050965L, 1050966L, 1050971L, 1050972L, 1050974L, 1050975L, 
1050980L, 1050981L, 1050983L, 1050984L, 1050989L, 1050990L, 1050992L, 
1050993L, 1050998L, 1050999L, 1051001L, 1051002L, 1051016L, 1051017L, 
1051019L, 1051020L, 1051025L, 1051026L, 1051028L, 1051029L, 1051034L, 
1051035L, 1051037L, 1051038L, 1051043L, 1051044L, 1051046L, 1051047L, 
1051052L, 1051053L, 1051055L, 1051056L, 1051124L, 1051125L, 1051127L, 
1051128L, 1051133L, 1051134L, 1051136L, 1051137L, 1051142L, 1051143L, 
1051145L, 1051146L, 1051151L, 1051152L, 1051154L, 1051155L, 1051160L, 
1051161L, 1051163L, 1051164L, 1051178L, 1051179L, 1051181L, 1051182L, 
1051187L, 1051188L, 1051190L, 1051191L, 1051196L, 1051197L, 1051199L, 
1051200L, 1051205L, 1051206L, 1051208L, 1051209L, 1051214L, 1051215L, 
1051217L, 1051218L, 1051286L, 1051287L, 1051289L, 1051290L, 1051295L, 
1051296L, 1051298L, 1051299L, 1051304L, 1051305L, 1051307L, 1051308L, 
1051313L, 1051314L, 1051316L, 1051317L, 1051322L, 1051323L, 1051325L, 
1051326L, 1051340L, 1051341L, 1051343L, 1051344L, 1051349L, 1051350L, 
1051352L, 1051353L, 1051358L, 1051359L, 1051361L, 1051362L, 1051367L, 
1051368L, 1051370L, 1051371L, 1051376L, 1051377L, 1051379L, 1051380L, 
1051610L, 1051611L, 1051613L, 1051614L, 1051619L, 1051620L, 1051622L, 
1051623L, 1051628L, 1051629L, 1051631L, 1051632L, 1051637L, 1051638L, 
1051640L, 1051641L, 1051646L, 1051647L, 1051649L, 1051650L, 1051664L, 
1051665L, 1051667L, 1051668L, 1051673L, 1051674L, 1051676L, 1051677L, 
1051682L, 1051683L, 1051685L, 1051686L, 1051691L, 1051692L, 1051694L, 
1051695L, 1051700L, 1051701L, 1051703L, 1051704L, 1051772L, 1051773L, 
1051775L, 1051776L, 1051781L, 1051782L, 1051784L, 1051785L, 1051790L, 
1051791L, 1051793L, 1051794L, 1051799L, 1051800L, 1051802L, 1051803L, 
1051808L, 1051809L, 1051811L, 1051812L, 1051826L, 1051827L, 1051829L, 
1051830L, 1051835L, 1051836L, 1051838L, 1051839L, 1051844L, 1051845L, 
1051847L, 1051848L, 1051853L, 1051854L, 1051856L, 1051857L, 1051862L, 
1051863L, 1051865L, 1051866L, 1051934L, 1051935L, 1051937L, 1051938L, 
1051943L, 1051944L, 1051946L, 1051947L, 1051952L, 1051953L, 1051955L, 
1051956L, 1051961L, 1051962L, 1051964L, 1051965L, 1051970L, 1051971L, 
1051973L, 1051974L, 1051988L, 1051989L, 1051991L, 1051992L, 1051997L, 
1051998L, 1052000L, 1052001L, 1052006L, 1052007L, 1052009L, 1052010L, 
1052015L, 1052016L, 1052018L, 1052019L, 1052024L, 1052025L, 1052027L, 
1052028L, 1052096L, 1052097L, 1052099L, 1052100L, 1052105L, 1052106L, 
1052108L, 1052109L, 1052114L, 1052115L, 1052117L, 1052118L, 1052123L, 
1052124L, 1052126L, 1052127L, 1052132L, 1052133L, 1052135L, 1052136L, 
1052150L, 1052151L, 1052153L, 1052154L, 1052159L, 1052160L, 1052162L, 
1052163L, 1052168L, 1052169L, 1052171L, 1052172L, 1052177L, 1052178L, 
1052180L, 1052181L, 1052186L, 1052187L, 1052189L, 1052190L, 1052420L, 
1052421L, 1052423L, 1052424L, 1052429L, 1052430L, 1052432L, 1052433L, 
1052438L, 1052439L, 1052441L, 1052442L, 1052447L, 1052448L, 1052450L, 
1052451L, 1052456L, 1052457L, 1052459L, 1052460L, 1052474L, 1052475L, 
1052477L, 1052478L, 1052483L, 1052484L, 1052486L, 1052487L, 1052492L, 
1052493L, 1052495L, 1052496L, 1052501L, 1052502L, 1052504L, 1052505L, 
1052510L, 1052511L, 1052513L, 1052514L, 1052582L, 1052583L, 1052585L, 
1052586L, 1052591L, 1052592L, 1052594L, 1052595L, 1052600L, 1052601L, 
1052603L, 1052604L, 1052609L, 1052610L, 1052612L, 1052613L, 1052618L, 
1052619L, 1052621L, 1052622L, 1052636L, 1052637L, 1052639L, 1052640L, 
1052645L, 1052646L, 1052648L, 1052649L, 1052654L, 1052655L, 1052657L, 
1052658L, 1052663L, 1052664L, 1052666L, 1052667L, 1052672L, 1052673L, 
1052675L, 1052676L, 1052744L, 1052745L, 1052747L, 1052748L, 1052753L, 
1052754L, 1052756L, 1052757L, 1052762L, 1052763L, 1052765L, 1052766L, 
1052771L, 1052772L, 1052774L, 1052775L, 1052780L, 1052781L, 1052783L, 
1052784L, 1052798L, 1052799L, 1052801L, 1052802L, 1052807L, 1052808L, 
1052810L, 1052811L, 1052816L, 1052817L, 1052819L, 1052820L, 1052825L, 
1052826L, 1052828L, 1052829L, 1052834L, 1052835L, 1052837L, 1052838L, 
1052906L, 1052907L, 1052909L, 1052910L, 1052915L, 1052916L, 1052918L, 
1052919L, 1052924L, 1052925L, 1052927L, 1052928L, 1052933L, 1052934L, 
1052936L, 1052937L, 1052942L, 1052943L, 1052945L, 1052946L, 1052960L, 
1052961L, 1052963L, 1052964L, 1052969L, 1052970L, 1052972L, 1052973L, 
1052978L, 1052979L, 1052981L, 1052982L, 1052987L, 1052988L, 1052990L, 
1052991L, 1052996L, 1052997L, 1052999L, 1053000L, 1053230L, 1053231L, 
1053233L, 1053234L, 1053239L, 1053240L, 1053242L, 1053243L, 1053248L, 
1053249L, 1053251L, 1053252L, 1053257L, 1053258L, 1053260L, 1053261L, 
1053266L, 1053267L, 1053269L, 1053270L, 1053284L, 1053285L, 1053287L, 
1053288L, 1053293L, 1053294L, 1053296L, 1053297L, 1053302L, 1053303L, 
1053305L, 1053306L, 1053311L, 1053312L, 1053314L, 1053315L, 1053320L, 
1053321L, 1053323L, 1053324L, 1053392L, 1053393L, 1053395L, 1053396L, 
1053401L, 1053402L, 1053404L, 1053405L, 1053410L, 1053411L, 1053413L, 
1053414L, 1053419L, 1053420L, 1053422L, 1053423L, 1053428L, 1053429L, 
1053431L, 1053432L, 1053446L, 1053447L, 1053449L, 1053450L, 1053455L, 
1053456L, 1053458L, 1053459L, 1053464L, 1053465L, 1053467L, 1053468L, 
1053473L, 1053474L, 1053476L, 1053477L, 1053482L, 1053483L, 1053485L, 
1053486L, 1053554L, 1053555L, 1053557L, 1053558L, 1053563L, 1053564L, 
1053566L, 1053567L, 1053572L, 1053573L, 1053575L, 1053576L, 1053581L, 
1053582L, 1053584L, 1053585L, 1053590L, 1053591L, 1053593L, 1053594L, 
1053608L, 1053609L, 1053611L, 1053612L, 1053617L, 1053618L, 1053620L, 
1053621L, 1053626L, 1053627L, 1053629L, 1053630L, 1053635L, 1053636L, 
1053638L, 1053639L, 1053644L, 1053645L, 1053647L, 1053648L, 1053716L, 
1053717L, 1053719L, 1053720L, 1053725L, 1053726L, 1053728L, 1053729L, 
1053734L, 1053735L, 1053737L, 1053738L, 1053743L, 1053744L, 1053746L, 
1053747L, 1053752L, 1053753L, 1053755L, 1053756L, 1053770L, 1053771L, 
1053773L, 1053774L, 1053779L, 1053780L, 1053782L, 1053783L, 1053788L, 
1053789L, 1053791L, 1053792L, 1053797L, 1053798L, 1053800L, 1053801L, 
1053806L, 1053807L, 1053809L, 1053810L, 1054040L, 1054041L, 1054043L, 
1054044L, 1054049L, 1054050L, 1054052L, 1054053L, 1054058L, 1054059L, 
1054061L, 1054062L, 1054067L, 1054068L, 1054070L, 1054071L, 1054076L, 
1054077L, 1054079L, 1054080L, 1054094L, 1054095L, 1054097L, 1054098L, 
1054103L, 1054104L, 1054106L, 1054107L, 1054112L, 1054113L, 1054115L, 
1054116L, 1054121L, 1054122L, 1054124L, 1054125L, 1054130L, 1054131L, 
1054133L, 1054134L, 1054202L, 1054203L, 1054205L, 1054206L, 1054211L, 
1054212L, 1054214L, 1054215L, 1054220L, 1054221L, 1054223L, 1054224L, 
1054229L, 1054230L, 1054232L, 1054233L, 1054238L, 1054239L, 1054241L, 
1054242L, 1054256L, 1054257L, 1054259L, 1054260L, 1054265L, 1054266L, 
1054268L, 1054269L, 1054274L, 1054275L, 1054277L, 1054278L, 1054283L, 
1054284L, 1054286L, 1054287L, 1054292L, 1054293L, 1054295L, 1054296L, 
1054364L, 1054365L, 1054367L, 1054368L, 1054373L, 1054374L, 1054376L, 
1054377L, 1054382L, 1054383L, 1054385L, 1054386L, 1054391L, 1054392L, 
1054394L, 1054395L, 1054400L, 1054401L, 1054403L, 1054404L, 1054418L, 
1054419L, 1054421L, 1054422L, 1054427L, 1054428L, 1054430L, 1054431L, 
1054436L, 1054437L, 1054439L, 1054440L, 1054445L, 1054446L, 1054448L, 
1054449L, 1054454L, 1054455L, 1054457L, 1054458L, 1054526L, 1054527L, 
1054529L, 1054530L, 1054535L, 1054536L, 1054538L, 1054539L, 1054544L, 
1054545L, 1054547L, 1054548L, 1054553L, 1054554L, 1054556L, 1054557L, 
1054562L, 1054563L, 1054565L, 1054566L, 1054580L, 1054581L, 1054583L, 
1054584L, 1054589L, 1054590L, 1054592L, 1054593L, 1054598L, 1054599L, 
1054601L, 1054602L, 1054607L, 1054608L, 1054610L, 1054611L, 1054616L, 
1054617L, 1054619L, 1054620L, 1055660L, 1055661L, 1055663L, 1055664L, 
1055669L, 1055670L, 1055672L, 1055673L, 1055678L, 1055679L, 1055681L, 
1055682L, 1055687L, 1055688L, 1055690L, 1055691L, 1055696L, 1055697L, 
1055699L, 1055700L, 1055714L, 1055715L, 1055717L, 1055718L, 1055723L, 
1055724L, 1055726L, 1055727L, 1055732L, 1055733L, 1055735L, 1055736L, 
1055741L, 1055742L, 1055744L, 1055745L, 1055750L, 1055751L, 1055753L, 
1055754L, 1055822L, 1055823L, 1055825L, 1055826L, 1055831L, 1055832L, 
1055834L, 1055835L, 1055840L, 1055841L, 1055843L, 1055844L, 1055849L, 
1055850L, 1055852L, 1055853L, 1055858L, 1055859L, 1055861L, 1055862L, 
1055876L, 1055877L, 1055879L, 1055880L, 1055885L, 1055886L, 1055888L, 
1055889L, 1055894L, 1055895L, 1055897L, 1055898L, 1055903L, 1055904L, 
1055906L, 1055907L, 1055912L, 1055913L, 1055915L, 1055916L, 1055984L, 
1055985L, 1055987L, 1055988L, 1055993L, 1055994L, 1055996L, 1055997L, 
1056002L, 1056003L, 1056005L, 1056006L, 1056011L, 1056012L, 1056014L, 
1056015L, 1056020L, 1056021L, 1056023L, 1056024L, 1056038L, 1056039L, 
1056041L, 1056042L, 1056047L, 1056048L, 1056050L, 1056051L, 1056056L, 
1056057L, 1056059L, 1056060L, 1056065L, 1056066L, 1056068L, 1056069L, 
1056074L, 1056075L, 1056077L, 1056078L, 1056146L, 1056147L, 1056149L, 
1056150L, 1056155L, 1056156L, 1056158L, 1056159L, 1056164L, 1056165L, 
1056167L, 1056168L, 1056173L, 1056174L, 1056176L, 1056177L, 1056182L, 
1056183L, 1056185L, 1056186L, 1056200L, 1056201L, 1056203L, 1056204L, 
1056209L, 1056210L, 1056212L, 1056213L, 1056218L, 1056219L, 1056221L, 
1056222L, 1056227L, 1056228L, 1056230L, 1056231L, 1056236L, 1056237L, 
1056239L, 1056240L, 1056470L, 1056471L, 1056473L, 1056474L, 1056479L, 
1056480L, 1056482L, 1056483L, 1056488L, 1056489L, 1056491L, 1056492L, 
1056497L, 1056498L, 1056500L, 1056501L, 1056506L, 1056507L, 1056509L, 
1056510L, 1056524L, 1056525L, 1056527L, 1056528L, 1056533L, 1056534L, 
1056536L, 1056537L, 1056542L, 1056543L, 1056545L, 1056546L, 1056551L, 
1056552L, 1056554L, 1056555L, 1056560L, 1056561L, 1056563L, 1056564L, 
1056632L, 1056633L, 1056635L, 1056636L, 1056641L, 1056642L, 1056644L, 
1056645L, 1056650L, 1056651L, 1056653L, 1056654L, 1056659L, 1056660L, 
1056662L, 1056663L, 1056668L, 1056669L, 1056671L, 1056672L, 1056686L, 
1056687L, 1056689L, 1056690L, 1056695L, 1056696L, 1056698L, 1056699L, 
1056704L, 1056705L, 1056707L, 1056708L, 1056713L, 1056714L, 1056716L, 
1056717L, 1056722L, 1056723L, 1056725L, 1056726L, 1056794L, 1056795L, 
1056797L, 1056798L, 1056803L, 1056804L, 1056806L, 1056807L, 1056812L, 
1056813L, 1056815L, 1056816L, 1056821L, 1056822L, 1056824L, 1056825L, 
1056830L, 1056831L, 1056833L, 1056834L, 1056848L, 1056849L, 1056851L, 
1056852L, 1056857L, 1056858L, 1056860L, 1056861L, 1056866L, 1056867L, 
1056869L, 1056870L, 1056875L, 1056876L, 1056878L, 1056879L, 1056884L, 
1056885L, 1056887L, 1056888L, 1056956L, 1056957L, 1056959L, 1056960L, 
1056965L, 1056966L, 1056968L, 1056969L, 1056974L, 1056975L, 1056977L, 
1056978L, 1056983L, 1056984L, 1056986L, 1056987L, 1056992L, 1056993L, 
1056995L, 1056996L, 1057010L, 1057011L, 1057013L, 1057014L, 1057019L, 
1057020L, 1057022L, 1057023L, 1057028L, 1057029L, 1057031L, 1057032L, 
1057037L, 1057038L, 1057040L, 1057041L, 1057046L, 1057047L, 1057049L, 
1057050L, 1057280L, 1057281L, 1057283L, 1057284L, 1057289L, 1057290L, 
1057292L, 1057293L, 1057298L, 1057299L, 1057301L, 1057302L, 1057307L, 
1057308L, 1057310L, 1057311L, 1057316L, 1057317L, 1057319L, 1057320L, 
1057334L, 1057335L, 1057337L, 1057338L, 1057343L, 1057344L, 1057346L, 
1057347L, 1057352L, 1057353L, 1057355L, 1057356L, 1057361L, 1057362L, 
1057364L, 1057365L, 1057370L, 1057371L, 1057373L, 1057374L, 1057442L, 
1057443L, 1057445L, 1057446L, 1057451L, 1057452L, 1057454L, 1057455L, 
1057460L, 1057461L, 1057463L, 1057464L, 1057469L, 1057470L, 1057472L, 
1057473L, 1057478L, 1057479L, 1057481L, 1057482L, 1057496L, 1057497L, 
1057499L, 1057500L, 1057505L, 1057506L, 1057508L, 1057509L, 1057514L, 
1057515L, 1057517L, 1057518L, 1057523L, 1057524L, 1057526L, 1057527L, 
1057532L, 1057533L, 1057535L, 1057536L, 1057604L, 1057605L, 1057607L, 
1057608L, 1057613L, 1057614L, 1057616L, 1057617L, 1057622L, 1057623L, 
1057625L, 1057626L, 1057631L, 1057632L, 1057634L, 1057635L, 1057640L, 
1057641L, 1057643L, 1057644L, 1057658L, 1057659L, 1057661L, 1057662L, 
1057667L, 1057668L, 1057670L, 1057671L, 1057676L, 1057677L, 1057679L, 
1057680L, 1057685L, 1057686L, 1057688L, 1057689L, 1057694L, 1057695L, 
1057697L, 1057698L, 1057766L, 1057767L, 1057769L, 1057770L, 1057775L, 
1057776L, 1057778L, 1057779L, 1057784L, 1057785L, 1057787L, 1057788L, 
1057793L, 1057794L, 1057796L, 1057797L, 1057802L, 1057803L, 1057805L, 
1057806L, 1057820L, 1057821L, 1057823L, 1057824L, 1057829L, 1057830L, 
1057832L, 1057833L, 1057838L, 1057839L, 1057841L, 1057842L, 1057847L, 
1057848L, 1057850L, 1057851L, 1057856L, 1057857L, 1057859L, 1057860L, 
1058090L, 1058091L, 1058093L, 1058094L, 1058099L, 1058100L, 1058102L, 
1058103L, 1058108L, 1058109L, 1058111L, 1058112L, 1058117L, 1058118L, 
1058120L, 1058121L, 1058126L, 1058127L, 1058129L, 1058130L, 1058144L, 
1058145L, 1058147L, 1058148L, 1058153L, 1058154L, 1058156L, 1058157L, 
1058162L, 1058163L, 1058165L, 1058166L, 1058171L, 1058172L, 1058174L, 
1058175L, 1058180L, 1058181L, 1058183L, 1058184L, 1058252L, 1058253L, 
1058255L, 1058256L, 1058261L, 1058262L, 1058264L, 1058265L, 1058270L, 
1058271L, 1058273L, 1058274L, 1058279L, 1058280L, 1058282L, 1058283L, 
1058288L, 1058289L, 1058291L, 1058292L, 1058306L, 1058307L, 1058309L, 
1058310L, 1058315L, 1058316L, 1058318L, 1058319L, 1058324L, 1058325L, 
1058327L, 1058328L, 1058333L, 1058334L, 1058336L, 1058337L, 1058342L, 
1058343L, 1058345L, 1058346L, 1058414L, 1058415L, 1058417L, 1058418L, 
1058423L, 1058424L, 1058426L, 1058427L, 1058432L, 1058433L, 1058435L, 
1058436L, 1058441L, 1058442L, 1058444L, 1058445L, 1058450L, 1058451L, 
1058453L, 1058454L, 1058468L, 1058469L, 1058471L, 1058472L, 1058477L, 
1058478L, 1058480L, 1058481L, 1058486L, 1058487L, 1058489L, 1058490L, 
1058495L, 1058496L, 1058498L, 1058499L, 1058504L, 1058505L, 1058507L, 
1058508L, 1058576L, 1058577L, 1058579L, 1058580L, 1058585L, 1058586L, 
1058588L, 1058589L, 1058594L, 1058595L, 1058597L, 1058598L, 1058603L, 
1058604L, 1058606L, 1058607L, 1058612L, 1058613L, 1058615L, 1058616L, 
1058630L, 1058631L, 1058633L, 1058634L, 1058639L, 1058640L, 1058642L, 
1058643L, 1058648L, 1058649L, 1058651L, 1058652L, 1058657L, 1058658L, 
1058660L, 1058661L, 1058666L, 1058667L, 1058669L, 1058670L, 1058900L, 
1058901L, 1058903L, 1058904L, 1058909L, 1058910L, 1058912L, 1058913L, 
1058918L, 1058919L, 1058921L, 1058922L, 1058927L, 1058928L, 1058930L, 
1058931L, 1058936L, 1058937L, 1058939L, 1058940L, 1058954L, 1058955L, 
1058957L, 1058958L, 1058963L, 1058964L, 1058966L, 1058967L, 1058972L, 
1058973L, 1058975L, 1058976L, 1058981L, 1058982L, 1058984L, 1058985L, 
1058990L, 1058991L, 1058993L, 1058994L, 1059062L, 1059063L, 1059065L, 
1059066L, 1059071L, 1059072L, 1059074L, 1059075L, 1059080L, 1059081L, 
1059083L, 1059084L, 1059089L, 1059090L, 1059092L, 1059093L, 1059098L, 
1059099L, 1059101L, 1059102L, 1059116L, 1059117L, 1059119L, 1059120L, 
1059125L, 1059126L, 1059128L, 1059129L, 1059134L, 1059135L, 1059137L, 
1059138L, 1059143L, 1059144L, 1059146L, 1059147L, 1059152L, 1059153L, 
1059155L, 1059156L, 1059224L, 1059225L, 1059227L, 1059228L, 1059233L, 
1059234L, 1059236L, 1059237L, 1059242L, 1059243L, 1059245L, 1059246L, 
1059251L, 1059252L, 1059254L, 1059255L, 1059260L, 1059261L, 1059263L, 
1059264L, 1059278L, 1059279L, 1059281L, 1059282L, 1059287L, 1059288L, 
1059290L, 1059291L, 1059296L, 1059297L, 1059299L, 1059300L, 1059305L, 
1059306L, 1059308L, 1059309L, 1059314L, 1059315L, 1059317L, 1059318L, 
1059386L, 1059387L, 1059389L, 1059390L, 1059395L, 1059396L, 1059398L, 
1059399L, 1059404L, 1059405L, 1059407L, 1059408L, 1059413L, 1059414L, 
1059416L, 1059417L, 1059422L, 1059423L, 1059425L, 1059426L, 1059440L, 
1059441L, 1059443L, 1059444L, 1059449L, 1059450L, 1059452L, 1059453L, 
1059458L, 1059459L, 1059461L, 1059462L, 1059467L, 1059468L, 1059470L, 
1059471L, 1059476L, 1059477L, 1059479L, 1059480L, 1060520L, 1060521L, 
1060523L, 1060524L, 1060529L, 1060530L, 1060532L, 1060533L, 1060538L, 
1060539L, 1060541L, 1060542L, 1060547L, 1060548L, 1060550L, 1060551L, 
1060556L, 1060557L, 1060559L, 1060560L, 1060574L, 1060575L, 1060577L, 
1060578L, 1060583L, 1060584L, 1060586L, 1060587L, 1060592L, 1060593L, 
1060595L, 1060596L, 1060601L, 1060602L, 1060604L, 1060605L, 1060610L, 
1060611L, 1060613L, 1060614L, 1060682L, 1060683L, 1060685L, 1060686L, 
1060691L, 1060692L, 1060694L, 1060695L, 1060700L, 1060701L, 1060703L, 
1060704L, 1060709L, 1060710L, 1060712L, 1060713L, 1060718L, 1060719L, 
1060721L, 1060722L, 1060736L, 1060737L, 1060739L, 1060740L, 1060745L, 
1060746L, 1060748L, 1060749L, 1060754L, 1060755L, 1060757L, 1060758L, 
1060763L, 1060764L, 1060766L, 1060767L, 1060772L, 1060773L, 1060775L, 
1060776L, 1060844L, 1060845L, 1060847L, 1060848L, 1060853L, 1060854L, 
1060856L, 1060857L, 1060862L, 1060863L, 1060865L, 1060866L, 1060871L, 
1060872L, 1060874L, 1060875L, 1060880L, 1060881L, 1060883L, 1060884L, 
1060898L, 1060899L, 1060901L, 1060902L, 1060907L, 1060908L, 1060910L, 
1060911L, 1060916L, 1060917L, 1060919L, 1060920L, 1060925L, 1060926L, 
1060928L, 1060929L, 1060934L, 1060935L, 1060937L, 1060938L, 1061006L, 
1061007L, 1061009L, 1061010L, 1061015L, 1061016L, 1061018L, 1061019L, 
1061024L, 1061025L, 1061027L, 1061028L, 1061033L, 1061034L, 1061036L, 
1061037L, 1061042L, 1061043L, 1061045L, 1061046L, 1061060L, 1061061L, 
1061063L, 1061064L, 1061069L, 1061070L, 1061072L, 1061073L, 1061078L, 
1061079L, 1061081L, 1061082L, 1061087L, 1061088L, 1061090L, 1061091L, 
1061096L, 1061097L, 1061099L, 1061100L, 1061330L, 1061331L, 1061333L, 
1061334L, 1061339L, 1061340L, 1061342L, 1061343L, 1061348L, 1061349L, 
1061351L, 1061352L, 1061357L, 1061358L, 1061360L, 1061361L, 1061366L, 
1061367L, 1061369L, 1061370L, 1061384L, 1061385L, 1061387L, 1061388L, 
1061393L, 1061394L, 1061396L, 1061397L, 1061402L, 1061403L, 1061405L, 
1061406L, 1061411L, 1061412L, 1061414L, 1061415L, 1061420L, 1061421L, 
1061423L, 1061424L, 1061492L, 1061493L, 1061495L, 1061496L, 1061501L, 
1061502L, 1061504L, 1061505L, 1061510L, 1061511L, 1061513L, 1061514L, 
1061519L, 1061520L, 1061522L, 1061523L, 1061528L, 1061529L, 1061531L, 
1061532L, 1061546L, 1061547L, 1061549L, 1061550L, 1061555L, 1061556L, 
1061558L, 1061559L, 1061564L, 1061565L, 1061567L, 1061568L, 1061573L, 
1061574L, 1061576L, 1061577L, 1061582L, 1061583L, 1061585L, 1061586L, 
1061654L, 1061655L, 1061657L, 1061658L, 1061663L, 1061664L, 1061666L, 
1061667L, 1061672L, 1061673L, 1061675L, 1061676L, 1061681L, 1061682L, 
1061684L, 1061685L, 1061690L, 1061691L, 1061693L, 1061694L, 1061708L, 
1061709L, 1061711L, 1061712L, 1061717L, 1061718L, 1061720L, 1061721L, 
1061726L, 1061727L, 1061729L, 1061730L, 1061735L, 1061736L, 1061738L, 
1061739L, 1061744L, 1061745L, 1061747L, 1061748L, 1061816L, 1061817L, 
1061819L, 1061820L, 1061825L, 1061826L, 1061828L, 1061829L, 1061834L, 
1061835L, 1061837L, 1061838L, 1061843L, 1061844L, 1061846L, 1061847L, 
1061852L, 1061853L, 1061855L, 1061856L, 1061870L, 1061871L, 1061873L, 
1061874L, 1061879L, 1061880L, 1061882L, 1061883L, 1061888L, 1061889L, 
1061891L, 1061892L, 1061897L, 1061898L, 1061900L, 1061901L, 1061906L, 
1061907L, 1061909L, 1061910L, 1062140L, 1062141L, 1062143L, 1062144L, 
1062149L, 1062150L, 1062152L, 1062153L, 1062158L, 1062159L, 1062161L, 
1062162L, 1062167L, 1062168L, 1062170L, 1062171L, 1062176L, 1062177L, 
1062179L, 1062180L, 1062194L, 1062195L, 1062197L, 1062198L, 1062203L, 
1062204L, 1062206L, 1062207L, 1062212L, 1062213L, 1062215L, 1062216L, 
1062221L, 1062222L, 1062224L, 1062225L, 1062230L, 1062231L, 1062233L, 
1062234L, 1062302L, 1062303L, 1062305L, 1062306L, 1062311L, 1062312L, 
1062314L, 1062315L, 1062320L, 1062321L, 1062323L, 1062324L, 1062329L, 
1062330L, 1062332L, 1062333L, 1062338L, 1062339L, 1062341L, 1062342L, 
1062356L, 1062357L, 1062359L, 1062360L, 1062365L, 1062366L, 1062368L, 
1062369L, 1062374L, 1062375L, 1062377L, 1062378L, 1062383L, 1062384L, 
1062386L, 1062387L, 1062392L, 1062393L, 1062395L, 1062396L, 1062464L, 
1062465L, 1062467L, 1062468L, 1062473L, 1062474L, 1062476L, 1062477L, 
1062482L, 1062483L, 1062485L, 1062486L, 1062491L, 1062492L, 1062494L, 
1062495L, 1062500L, 1062501L, 1062503L, 1062504L, 1062518L, 1062519L, 
1062521L, 1062522L, 1062527L, 1062528L, 1062530L, 1062531L, 1062536L, 
1062537L, 1062539L, 1062540L, 1062545L, 1062546L, 1062548L, 1062549L, 
1062554L, 1062555L, 1062557L, 1062558L, 1062626L, 1062627L, 1062629L, 
1062630L, 1062635L, 1062636L, 1062638L, 1062639L, 1062644L, 1062645L, 
1062647L, 1062648L, 1062653L, 1062654L, 1062656L, 1062657L, 1062662L, 
1062663L, 1062665L, 1062666L, 1062680L, 1062681L, 1062683L, 1062684L, 
1062689L, 1062690L, 1062692L, 1062693L, 1062698L, 1062699L, 1062701L, 
1062702L, 1062707L, 1062708L, 1062710L, 1062711L, 1062716L, 1062717L, 
1062719L, 1062720L, 1062950L, 1062951L, 1062953L, 1062954L, 1062959L, 
1062960L, 1062962L, 1062963L, 1062968L, 1062969L, 1062971L, 1062972L, 
1062977L, 1062978L, 1062980L, 1062981L, 1062986L, 1062987L, 1062989L, 
1062990L, 1063004L, 1063005L, 1063007L, 1063008L, 1063013L, 1063014L, 
1063016L, 1063017L, 1063022L, 1063023L, 1063025L, 1063026L, 1063031L, 
1063032L, 1063034L, 1063035L, 1063040L, 1063041L, 1063043L, 1063044L, 
1063112L, 1063113L, 1063115L, 1063116L, 1063121L, 1063122L, 1063124L, 
1063125L, 1063130L, 1063131L, 1063133L, 1063134L, 1063139L, 1063140L, 
1063142L, 1063143L, 1063148L, 1063149L, 1063151L, 1063152L, 1063166L, 
1063167L, 1063169L, 1063170L, 1063175L, 1063176L, 1063178L, 1063179L, 
1063184L, 1063185L, 1063187L, 1063188L, 1063193L, 1063194L, 1063196L, 
1063197L, 1063202L, 1063203L, 1063205L, 1063206L, 1063274L, 1063275L, 
1063277L, 1063278L, 1063283L, 1063284L, 1063286L, 1063287L, 1063292L, 
1063293L, 1063295L, 1063296L, 1063301L, 1063302L, 1063304L, 1063305L, 
1063310L, 1063311L, 1063313L, 1063314L, 1063328L, 1063329L, 1063331L, 
1063332L, 1063337L, 1063338L, 1063340L, 1063341L, 1063346L, 1063347L, 
1063349L, 1063350L, 1063355L, 1063356L, 1063358L, 1063359L, 1063364L, 
1063365L, 1063367L, 1063368L, 1063436L, 1063437L, 1063439L, 1063440L, 
1063445L, 1063446L, 1063448L, 1063449L, 1063454L, 1063455L, 1063457L, 
1063458L, 1063463L, 1063464L, 1063466L, 1063467L, 1063472L, 1063473L, 
1063475L, 1063476L, 1063490L, 1063491L, 1063493L, 1063494L, 1063499L, 
1063500L, 1063502L, 1063503L, 1063508L, 1063509L, 1063511L, 1063512L, 
1063517L, 1063518L, 1063520L, 1063521L, 1063526L, 1063527L, 1063529L, 
1063530L, 1063760L, 1063761L, 1063763L, 1063764L, 1063769L, 1063770L, 
1063772L, 1063773L, 1063778L, 1063779L, 1063781L, 1063782L, 1063787L, 
1063788L, 1063790L, 1063791L, 1063796L, 1063797L, 1063799L, 1063800L, 
1063814L, 1063815L, 1063817L, 1063818L, 1063823L, 1063824L, 1063826L, 
1063827L, 1063832L, 1063833L, 1063835L, 1063836L, 1063841L, 1063842L, 
1063844L, 1063845L, 1063850L, 1063851L, 1063853L, 1063854L, 1063922L, 
1063923L, 1063925L, 1063926L, 1063931L, 1063932L, 1063934L, 1063935L, 
1063940L, 1063941L, 1063943L, 1063944L, 1063949L, 1063950L, 1063952L, 
1063953L, 1063958L, 1063959L, 1063961L, 1063962L, 1063976L, 1063977L, 
1063979L, 1063980L, 1063985L, 1063986L, 1063988L, 1063989L, 1063994L, 
1063995L, 1063997L, 1063998L, 1064003L, 1064004L, 1064006L, 1064007L, 
1064012L, 1064013L, 1064015L, 1064016L, 1064084L, 1064085L, 1064087L, 
1064088L, 1064093L, 1064094L, 1064096L, 1064097L, 1064102L, 1064103L, 
1064105L, 1064106L, 1064111L, 1064112L, 1064114L, 1064115L, 1064120L, 
1064121L, 1064123L, 1064124L, 1064138L, 1064139L, 1064141L, 1064142L, 
1064147L, 1064148L, 1064150L, 1064151L, 1064156L, 1064157L, 1064159L, 
1064160L, 1064165L, 1064166L, 1064168L, 1064169L, 1064174L, 1064175L, 
1064177L, 1064178L, 1064246L, 1064247L, 1064249L, 1064250L, 1064255L, 
1064256L, 1064258L, 1064259L, 1064264L, 1064265L, 1064267L, 1064268L, 
1064273L, 1064274L, 1064276L, 1064277L, 1064282L, 1064283L, 1064285L, 
1064286L, 1064300L, 1064301L, 1064303L, 1064304L, 1064309L, 1064310L, 
1064312L, 1064313L, 1064318L, 1064319L, 1064321L, 1064322L, 1064327L, 
1064328L, 1064330L, 1064331L, 1064336L, 1064337L, 1064339L, 1064340L, 
1075100L, 1075101L, 1075103L, 1075104L, 1075109L, 1075110L, 1075112L, 
1075113L, 1075118L, 1075119L, 1075121L, 1075122L, 1075127L, 1075128L, 
1075130L, 1075131L, 1075136L, 1075137L, 1075139L, 1075140L, 1075154L, 
1075155L, 1075157L, 1075158L, 1075163L, 1075164L, 1075166L, 1075167L, 
1075172L, 1075173L, 1075175L, 1075176L, 1075181L, 1075182L, 1075184L, 
1075185L, 1075190L, 1075191L, 1075193L, 1075194L, 1075262L, 1075263L, 
1075265L, 1075266L, 1075271L, 1075272L, 1075274L, 1075275L, 1075280L, 
1075281L, 1075283L, 1075284L, 1075289L, 1075290L, 1075292L, 1075293L, 
1075298L, 1075299L, 1075301L, 1075302L, 1075316L, 1075317L, 1075319L, 
1075320L, 1075325L, 1075326L, 1075328L, 1075329L, 1075334L, 1075335L, 
1075337L, 1075338L, 1075343L, 1075344L, 1075346L, 1075347L, 1075352L, 
1075353L, 1075355L, 1075356L, 1075424L, 1075425L, 1075427L, 1075428L, 
1075433L, 1075434L, 1075436L, 1075437L, 1075442L, 1075443L, 1075445L, 
1075446L, 1075451L, 1075452L, 1075454L, 1075455L, 1075460L, 1075461L, 
1075463L, 1075464L, 1075478L, 1075479L, 1075481L, 1075482L, 1075487L, 
1075488L, 1075490L, 1075491L, 1075496L, 1075497L, 1075499L, 1075500L, 
1075505L, 1075506L, 1075508L, 1075509L, 1075514L, 1075515L, 1075517L, 
1075518L, 1075586L, 1075587L, 1075589L, 1075590L, 1075595L, 1075596L, 
1075598L, 1075599L, 1075604L, 1075605L, 1075607L, 1075608L, 1075613L, 
1075614L, 1075616L, 1075617L, 1075622L, 1075623L, 1075625L, 1075626L, 
1075640L, 1075641L, 1075643L, 1075644L, 1075649L, 1075650L, 1075652L, 
1075653L, 1075658L, 1075659L, 1075661L, 1075662L, 1075667L, 1075668L, 
1075670L, 1075671L, 1075676L, 1075677L, 1075679L, 1075680L, 1075910L, 
1075911L, 1075913L, 1075914L, 1075919L, 1075920L, 1075922L, 1075923L, 
1075928L, 1075929L, 1075931L, 1075932L, 1075937L, 1075938L, 1075940L, 
1075941L, 1075946L, 1075947L, 1075949L, 1075950L, 1075964L, 1075965L, 
1075967L, 1075968L, 1075973L, 1075974L, 1075976L, 1075977L, 1075982L, 
1075983L, 1075985L, 1075986L, 1075991L, 1075992L, 1075994L, 1075995L, 
1076000L, 1076001L, 1076003L, 1076004L, 1076072L, 1076073L, 1076075L, 
1076076L, 1076081L, 1076082L, 1076084L, 1076085L, 1076090L, 1076091L, 
1076093L, 1076094L, 1076099L, 1076100L, 1076102L, 1076103L, 1076108L, 
1076109L, 1076111L, 1076112L, 1076126L, 1076127L, 1076129L, 1076130L, 
1076135L, 1076136L, 1076138L, 1076139L, 1076144L, 1076145L, 1076147L, 
1076148L, 1076153L, 1076154L, 1076156L, 1076157L, 1076162L, 1076163L, 
1076165L, 1076166L, 1076234L, 1076235L, 1076237L, 1076238L, 1076243L, 
1076244L, 1076246L, 1076247L, 1076252L, 1076253L, 1076255L, 1076256L, 
1076261L, 1076262L, 1076264L, 1076265L, 1076270L, 1076271L, 1076273L, 
1076274L, 1076288L, 1076289L, 1076291L, 1076292L, 1076297L, 1076298L, 
1076300L, 1076301L, 1076306L, 1076307L, 1076309L, 1076310L, 1076315L, 
1076316L, 1076318L, 1076319L, 1076324L, 1076325L, 1076327L, 1076328L, 
1076396L, 1076397L, 1076399L, 1076400L, 1076405L, 1076406L, 1076408L, 
1076409L, 1076414L, 1076415L, 1076417L, 1076418L, 1076423L, 1076424L, 
1076426L, 1076427L, 1076432L, 1076433L, 1076435L, 1076436L, 1076450L, 
1076451L, 1076453L, 1076454L, 1076459L, 1076460L, 1076462L, 1076463L, 
1076468L, 1076469L, 1076471L, 1076472L, 1076477L, 1076478L, 1076480L, 
1076481L, 1076486L, 1076487L, 1076489L, 1076490L, 1076720L, 1076721L, 
1076723L, 1076724L, 1076729L, 1076730L, 1076732L, 1076733L, 1076738L, 
1076739L, 1076741L, 1076742L, 1076747L, 1076748L, 1076750L, 1076751L, 
1076756L, 1076757L, 1076759L, 1076760L, 1076774L, 1076775L, 1076777L, 
1076778L, 1076783L, 1076784L, 1076786L, 1076787L, 1076792L, 1076793L, 
1076795L, 1076796L, 1076801L, 1076802L, 1076804L, 1076805L, 1076810L, 
1076811L, 1076813L, 1076814L, 1076882L, 1076883L, 1076885L, 1076886L, 
1076891L, 1076892L, 1076894L, 1076895L, 1076900L, 1076901L, 1076903L, 
1076904L, 1076909L, 1076910L, 1076912L, 1076913L, 1076918L, 1076919L, 
1076921L, 1076922L, 1076936L, 1076937L, 1076939L, 1076940L, 1076945L, 
1076946L, 1076948L, 1076949L, 1076954L, 1076955L, 1076957L, 1076958L, 
1076963L, 1076964L, 1076966L, 1076967L, 1076972L, 1076973L, 1076975L, 
1076976L, 1077044L, 1077045L, 1077047L, 1077048L, 1077053L, 1077054L, 
1077056L, 1077057L, 1077062L, 1077063L, 1077065L, 1077066L, 1077071L, 
1077072L, 1077074L, 1077075L, 1077080L, 1077081L, 1077083L, 1077084L, 
1077098L, 1077099L, 1077101L, 1077102L, 1077107L, 1077108L, 1077110L, 
1077111L, 1077116L, 1077117L, 1077119L, 1077120L, 1077125L, 1077126L, 
1077128L, 1077129L, 1077134L, 1077135L, 1077137L, 1077138L, 1077206L, 
1077207L, 1077209L, 1077210L, 1077215L, 1077216L, 1077218L, 1077219L, 
1077224L, 1077225L, 1077227L, 1077228L, 1077233L, 1077234L, 1077236L, 
1077237L, 1077242L, 1077243L, 1077245L, 1077246L, 1077260L, 1077261L, 
1077263L, 1077264L, 1077269L, 1077270L, 1077272L, 1077273L, 1077278L, 
1077279L, 1077281L, 1077282L, 1077287L, 1077288L, 1077290L, 1077291L, 
1077296L, 1077297L, 1077299L, 1077300L, 1077530L, 1077531L, 1077533L, 
1077534L, 1077539L, 1077540L, 1077542L, 1077543L, 1077548L, 1077549L, 
1077551L, 1077552L, 1077557L, 1077558L, 1077560L, 1077561L, 1077566L, 
1077567L, 1077569L, 1077570L, 1077584L, 1077585L, 1077587L, 1077588L, 
1077593L, 1077594L, 1077596L, 1077597L, 1077602L, 1077603L, 1077605L, 
1077606L, 1077611L, 1077612L, 1077614L, 1077615L, 1077620L, 1077621L, 
1077623L, 1077624L, 1077692L, 1077693L, 1077695L, 1077696L, 1077701L, 
1077702L, 1077704L, 1077705L, 1077710L, 1077711L, 1077713L, 1077714L, 
1077719L, 1077720L, 1077722L, 1077723L, 1077728L, 1077729L, 1077731L, 
1077732L, 1077746L, 1077747L, 1077749L, 1077750L, 1077755L, 1077756L, 
1077758L, 1077759L, 1077764L, 1077765L, 1077767L, 1077768L, 1077773L, 
1077774L, 1077776L, 1077777L, 1077782L, 1077783L, 1077785L, 1077786L, 
1077854L, 1077855L, 1077857L, 1077858L, 1077863L, 1077864L, 1077866L, 
1077867L, 1077872L, 1077873L, 1077875L, 1077876L, 1077881L, 1077882L, 
1077884L, 1077885L, 1077890L, 1077891L, 1077893L, 1077894L, 1077908L, 
1077909L, 1077911L, 1077912L, 1077917L, 1077918L, 1077920L, 1077921L, 
1077926L, 1077927L, 1077929L, 1077930L, 1077935L, 1077936L, 1077938L, 
1077939L, 1077944L, 1077945L, 1077947L, 1077948L, 1078016L, 1078017L, 
1078019L, 1078020L, 1078025L, 1078026L, 1078028L, 1078029L, 1078034L, 
1078035L, 1078037L, 1078038L, 1078043L, 1078044L, 1078046L, 1078047L, 
1078052L, 1078053L, 1078055L, 1078056L, 1078070L, 1078071L, 1078073L, 
1078074L, 1078079L, 1078080L, 1078082L, 1078083L, 1078088L, 1078089L, 
1078091L, 1078092L, 1078097L, 1078098L, 1078100L, 1078101L, 1078106L, 
1078107L, 1078109L, 1078110L, 1078340L, 1078341L, 1078343L, 1078344L, 
1078349L, 1078350L, 1078352L, 1078353L, 1078358L, 1078359L, 1078361L, 
1078362L, 1078367L, 1078368L, 1078370L, 1078371L, 1078376L, 1078377L, 
1078379L, 1078380L, 1078394L, 1078395L, 1078397L, 1078398L, 1078403L, 
1078404L, 1078406L, 1078407L, 1078412L, 1078413L, 1078415L, 1078416L, 
1078421L, 1078422L, 1078424L, 1078425L, 1078430L, 1078431L, 1078433L, 
1078434L, 1078502L, 1078503L, 1078505L, 1078506L, 1078511L, 1078512L, 
1078514L, 1078515L, 1078520L, 1078521L, 1078523L, 1078524L, 1078529L, 
1078530L, 1078532L, 1078533L, 1078538L, 1078539L, 1078541L, 1078542L, 
1078556L, 1078557L, 1078559L, 1078560L, 1078565L, 1078566L, 1078568L, 
1078569L, 1078574L, 1078575L, 1078577L, 1078578L, 1078583L, 1078584L, 
1078586L, 1078587L, 1078592L, 1078593L, 1078595L, 1078596L, 1078664L, 
1078665L, 1078667L, 1078668L, 1078673L, 1078674L, 1078676L, 1078677L, 
1078682L, 1078683L, 1078685L, 1078686L, 1078691L, 1078692L, 1078694L, 
1078695L, 1078700L, 1078701L, 1078703L, 1078704L, 1078718L, 1078719L, 
1078721L, 1078722L, 1078727L, 1078728L, 1078730L, 1078731L, 1078736L, 
1078737L, 1078739L, 1078740L, 1078745L, 1078746L, 1078748L, 1078749L, 
1078754L, 1078755L, 1078757L, 1078758L, 1078826L, 1078827L, 1078829L, 
1078830L, 1078835L, 1078836L, 1078838L, 1078839L, 1078844L, 1078845L, 
1078847L, 1078848L, 1078853L, 1078854L, 1078856L, 1078857L, 1078862L, 
1078863L, 1078865L, 1078866L, 1078880L, 1078881L, 1078883L, 1078884L, 
1078889L, 1078890L, 1078892L, 1078893L, 1078898L, 1078899L, 1078901L, 
1078902L, 1078907L, 1078908L, 1078910L, 1078911L, 1078916L, 1078917L, 
1078919L, 1078920L, 1079960L, 1079961L, 1079963L, 1079964L, 1079969L, 
1079970L, 1079972L, 1079973L, 1079978L, 1079979L, 1079981L, 1079982L, 
1079987L, 1079988L, 1079990L, 1079991L, 1079996L, 1079997L, 1079999L, 
1080000L, 1080014L, 1080015L, 1080017L, 1080018L, 1080023L, 1080024L, 
1080026L, 1080027L, 1080032L, 1080033L, 1080035L, 1080036L, 1080041L, 
1080042L, 1080044L, 1080045L, 1080050L, 1080051L, 1080053L, 1080054L, 
1080122L, 1080123L, 1080125L, 1080126L, 1080131L, 1080132L, 1080134L, 
1080135L, 1080140L, 1080141L, 1080143L, 1080144L, 1080149L, 1080150L, 
1080152L, 1080153L, 1080158L, 1080159L, 1080161L, 1080162L, 1080176L, 
1080177L, 1080179L, 1080180L, 1080185L, 1080186L, 1080188L, 1080189L, 
1080194L, 1080195L, 1080197L, 1080198L, 1080203L, 1080204L, 1080206L, 
1080207L, 1080212L, 1080213L, 1080215L, 1080216L, 1080284L, 1080285L, 
1080287L, 1080288L, 1080293L, 1080294L, 1080296L, 1080297L, 1080302L, 
1080303L, 1080305L, 1080306L, 1080311L, 1080312L, 1080314L, 1080315L, 
1080320L, 1080321L, 1080323L, 1080324L, 1080338L, 1080339L, 1080341L, 
1080342L, 1080347L, 1080348L, 1080350L, 1080351L, 1080356L, 1080357L, 
1080359L, 1080360L, 1080365L, 1080366L, 1080368L, 1080369L, 1080374L, 
1080375L, 1080377L, 1080378L, 1080446L, 1080447L, 1080449L, 1080450L, 
1080455L, 1080456L, 1080458L, 1080459L, 1080464L, 1080465L, 1080467L, 
1080468L, 1080473L, 1080474L, 1080476L, 1080477L, 1080482L, 1080483L, 
1080485L, 1080486L, 1080500L, 1080501L, 1080503L, 1080504L, 1080509L, 
1080510L, 1080512L, 1080513L, 1080518L, 1080519L, 1080521L, 1080522L, 
1080527L, 1080528L, 1080530L, 1080531L, 1080536L, 1080537L, 1080539L, 
1080540L, 1080770L, 1080771L, 1080773L, 1080774L, 1080779L, 1080780L, 
1080782L, 1080783L, 1080788L, 1080789L, 1080791L, 1080792L, 1080797L, 
1080798L, 1080800L, 1080801L, 1080806L, 1080807L, 1080809L, 1080810L, 
1080824L, 1080825L, 1080827L, 1080828L, 1080833L, 1080834L, 1080836L, 
1080837L, 1080842L, 1080843L, 1080845L, 1080846L, 1080851L, 1080852L, 
1080854L, 1080855L, 1080860L, 1080861L, 1080863L, 1080864L, 1080932L, 
1080933L, 1080935L, 1080936L, 1080941L, 1080942L, 1080944L, 1080945L, 
1080950L, 1080951L, 1080953L, 1080954L, 1080959L, 1080960L, 1080962L, 
1080963L, 1080968L, 1080969L, 1080971L, 1080972L, 1080986L, 1080987L, 
1080989L, 1080990L, 1080995L, 1080996L, 1080998L, 1080999L, 1081004L, 
1081005L, 1081007L, 1081008L, 1081013L, 1081014L, 1081016L, 1081017L, 
1081022L, 1081023L, 1081025L, 1081026L, 1081094L, 1081095L, 1081097L, 
1081098L, 1081103L, 1081104L, 1081106L, 1081107L, 1081112L, 1081113L, 
1081115L, 1081116L, 1081121L, 1081122L, 1081124L, 1081125L, 1081130L, 
1081131L, 1081133L, 1081134L, 1081148L, 1081149L, 1081151L, 1081152L, 
1081157L, 1081158L, 1081160L, 1081161L, 1081166L, 1081167L, 1081169L, 
1081170L, 1081175L, 1081176L, 1081178L, 1081179L, 1081184L, 1081185L, 
1081187L, 1081188L, 1081256L, 1081257L, 1081259L, 1081260L, 1081265L, 
1081266L, 1081268L, 1081269L, 1081274L, 1081275L, 1081277L, 1081278L, 
1081283L, 1081284L, 1081286L, 1081287L, 1081292L, 1081293L, 1081295L, 
1081296L, 1081310L, 1081311L, 1081313L, 1081314L, 1081319L, 1081320L, 
1081322L, 1081323L, 1081328L, 1081329L, 1081331L, 1081332L, 1081337L, 
1081338L, 1081340L, 1081341L, 1081346L, 1081347L, 1081349L, 1081350L, 
1081580L, 1081581L, 1081583L, 1081584L, 1081589L, 1081590L, 1081592L, 
1081593L, 1081598L, 1081599L, 1081601L, 1081602L, 1081607L, 1081608L, 
1081610L, 1081611L, 1081616L, 1081617L, 1081619L, 1081620L, 1081634L, 
1081635L, 1081637L, 1081638L, 1081643L, 1081644L, 1081646L, 1081647L, 
1081652L, 1081653L, 1081655L, 1081656L, 1081661L, 1081662L, 1081664L, 
1081665L, 1081670L, 1081671L, 1081673L, 1081674L, 1081742L, 1081743L, 
1081745L, 1081746L, 1081751L, 1081752L, 1081754L, 1081755L, 1081760L, 
1081761L, 1081763L, 1081764L, 1081769L, 1081770L, 1081772L, 1081773L, 
1081778L, 1081779L, 1081781L, 1081782L, 1081796L, 1081797L, 1081799L, 
1081800L, 1081805L, 1081806L, 1081808L, 1081809L, 1081814L, 1081815L, 
1081817L, 1081818L, 1081823L, 1081824L, 1081826L, 1081827L, 1081832L, 
1081833L, 1081835L, 1081836L, 1081904L, 1081905L, 1081907L, 1081908L, 
1081913L, 1081914L, 1081916L, 1081917L, 1081922L, 1081923L, 1081925L, 
1081926L, 1081931L, 1081932L, 1081934L, 1081935L, 1081940L, 1081941L, 
1081943L, 1081944L, 1081958L, 1081959L, 1081961L, 1081962L, 1081967L, 
1081968L, 1081970L, 1081971L, 1081976L, 1081977L, 1081979L, 1081980L, 
1081985L, 1081986L, 1081988L, 1081989L, 1081994L, 1081995L, 1081997L, 
1081998L, 1082066L, 1082067L, 1082069L, 1082070L, 1082075L, 1082076L, 
1082078L, 1082079L, 1082084L, 1082085L, 1082087L, 1082088L, 1082093L, 
1082094L, 1082096L, 1082097L, 1082102L, 1082103L, 1082105L, 1082106L, 
1082120L, 1082121L, 1082123L, 1082124L, 1082129L, 1082130L, 1082132L, 
1082133L, 1082138L, 1082139L, 1082141L, 1082142L, 1082147L, 1082148L, 
1082150L, 1082151L, 1082156L, 1082157L, 1082159L, 1082160L, 1082390L, 
1082391L, 1082393L, 1082394L, 1082399L, 1082400L, 1082402L, 1082403L, 
1082408L, 1082409L, 1082411L, 1082412L, 1082417L, 1082418L, 1082420L, 
1082421L, 1082426L, 1082427L, 1082429L, 1082430L, 1082444L, 1082445L, 
1082447L, 1082448L, 1082453L, 1082454L, 1082456L, 1082457L, 1082462L, 
1082463L, 1082465L, 1082466L, 1082471L, 1082472L, 1082474L, 1082475L, 
1082480L, 1082481L, 1082483L, 1082484L, 1082552L, 1082553L, 1082555L, 
1082556L, 1082561L, 1082562L, 1082564L, 1082565L, 1082570L, 1082571L, 
1082573L, 1082574L, 1082579L, 1082580L, 1082582L, 1082583L, 1082588L, 
1082589L, 1082591L, 1082592L, 1082606L, 1082607L, 1082609L, 1082610L, 
1082615L, 1082616L, 1082618L, 1082619L, 1082624L, 1082625L, 1082627L, 
1082628L, 1082633L, 1082634L, 1082636L, 1082637L, 1082642L, 1082643L, 
1082645L, 1082646L, 1082714L, 1082715L, 1082717L, 1082718L, 1082723L, 
1082724L, 1082726L, 1082727L, 1082732L, 1082733L, 1082735L, 1082736L, 
1082741L, 1082742L, 1082744L, 1082745L, 1082750L, 1082751L, 1082753L, 
1082754L, 1082768L, 1082769L, 1082771L, 1082772L, 1082777L, 1082778L, 
1082780L, 1082781L, 1082786L, 1082787L, 1082789L, 1082790L, 1082795L, 
1082796L, 1082798L, 1082799L, 1082804L, 1082805L, 1082807L, 1082808L, 
1082876L, 1082877L, 1082879L, 1082880L, 1082885L, 1082886L, 1082888L, 
1082889L, 1082894L, 1082895L, 1082897L, 1082898L, 1082903L, 1082904L, 
1082906L, 1082907L, 1082912L, 1082913L, 1082915L, 1082916L, 1082930L, 
1082931L, 1082933L, 1082934L, 1082939L, 1082940L, 1082942L, 1082943L, 
1082948L, 1082949L, 1082951L, 1082952L, 1082957L, 1082958L, 1082960L, 
1082961L, 1082966L, 1082967L, 1082969L, 1082970L, 1083200L, 1083201L, 
1083203L, 1083204L, 1083209L, 1083210L, 1083212L, 1083213L, 1083218L, 
1083219L, 1083221L, 1083222L, 1083227L, 1083228L, 1083230L, 1083231L, 
1083236L, 1083237L, 1083239L, 1083240L, 1083254L, 1083255L, 1083257L, 
1083258L, 1083263L, 1083264L, 1083266L, 1083267L, 1083272L, 1083273L, 
1083275L, 1083276L, 1083281L, 1083282L, 1083284L, 1083285L, 1083290L, 
1083291L, 1083293L, 1083294L, 1083362L, 1083363L, 1083365L, 1083366L, 
1083371L, 1083372L, 1083374L, 1083375L, 1083380L, 1083381L, 1083383L, 
1083384L, 1083389L, 1083390L, 1083392L, 1083393L, 1083398L, 1083399L, 
1083401L, 1083402L, 1083416L, 1083417L, 1083419L, 1083420L, 1083425L, 
1083426L, 1083428L, 1083429L, 1083434L, 1083435L, 1083437L, 1083438L, 
1083443L, 1083444L, 1083446L, 1083447L, 1083452L, 1083453L, 1083455L, 
1083456L, 1083524L, 1083525L, 1083527L, 1083528L, 1083533L, 1083534L, 
1083536L, 1083537L, 1083542L, 1083543L, 1083545L, 1083546L, 1083551L, 
1083552L, 1083554L, 1083555L, 1083560L, 1083561L, 1083563L, 1083564L, 
1083578L, 1083579L, 1083581L, 1083582L, 1083587L, 1083588L, 1083590L, 
1083591L, 1083596L, 1083597L, 1083599L, 1083600L, 1083605L, 1083606L, 
1083608L, 1083609L, 1083614L, 1083615L, 1083617L, 1083618L, 1083686L, 
1083687L, 1083689L, 1083690L, 1083695L, 1083696L, 1083698L, 1083699L, 
1083704L, 1083705L, 1083707L, 1083708L, 1083713L, 1083714L, 1083716L, 
1083717L, 1083722L, 1083723L, 1083725L, 1083726L, 1083740L, 1083741L, 
1083743L, 1083744L, 1083749L, 1083750L, 1083752L, 1083753L, 1083758L, 
1083759L, 1083761L, 1083762L, 1083767L, 1083768L, 1083770L, 1083771L, 
1083776L, 1083777L, 1083779L, 1083780L, 1084820L, 1084821L, 1084823L, 
1084824L, 1084829L, 1084830L, 1084832L, 1084833L, 1084838L, 1084839L, 
1084841L, 1084842L, 1084847L, 1084848L, 1084850L, 1084851L, 1084856L, 
1084857L, 1084859L, 1084860L, 1084874L, 1084875L, 1084877L, 1084878L, 
1084883L, 1084884L, 1084886L, 1084887L, 1084892L, 1084893L, 1084895L, 
1084896L, 1084901L, 1084902L, 1084904L, 1084905L, 1084910L, 1084911L, 
1084913L, 1084914L, 1084982L, 1084983L, 1084985L, 1084986L, 1084991L, 
1084992L, 1084994L, 1084995L, 1085000L, 1085001L, 1085003L, 1085004L, 
1085009L, 1085010L, 1085012L, 1085013L, 1085018L, 1085019L, 1085021L, 
1085022L, 1085036L, 1085037L, 1085039L, 1085040L, 1085045L, 1085046L, 
1085048L, 1085049L, 1085054L, 1085055L, 1085057L, 1085058L, 1085063L, 
1085064L, 1085066L, 1085067L, 1085072L, 1085073L, 1085075L, 1085076L, 
1085144L, 1085145L, 1085147L, 1085148L, 1085153L, 1085154L, 1085156L, 
1085157L, 1085162L, 1085163L, 1085165L, 1085166L, 1085171L, 1085172L, 
1085174L, 1085175L, 1085180L, 1085181L, 1085183L, 1085184L, 1085198L, 
1085199L, 1085201L, 1085202L, 1085207L, 1085208L, 1085210L, 1085211L, 
1085216L, 1085217L, 1085219L, 1085220L, 1085225L, 1085226L, 1085228L, 
1085229L, 1085234L, 1085235L, 1085237L, 1085238L, 1085306L, 1085307L, 
1085309L, 1085310L, 1085315L, 1085316L, 1085318L, 1085319L, 1085324L, 
1085325L, 1085327L, 1085328L, 1085333L, 1085334L, 1085336L, 1085337L, 
1085342L, 1085343L, 1085345L, 1085346L, 1085360L, 1085361L, 1085363L, 
1085364L, 1085369L, 1085370L, 1085372L, 1085373L, 1085378L, 1085379L, 
1085381L, 1085382L, 1085387L, 1085388L, 1085390L, 1085391L, 1085396L, 
1085397L, 1085399L, 1085400L, 1085630L, 1085631L, 1085633L, 1085634L, 
1085639L, 1085640L, 1085642L, 1085643L, 1085648L, 1085649L, 1085651L, 
1085652L, 1085657L, 1085658L, 1085660L, 1085661L, 1085666L, 1085667L, 
1085669L, 1085670L, 1085684L, 1085685L, 1085687L, 1085688L, 1085693L, 
1085694L, 1085696L, 1085697L, 1085702L, 1085703L, 1085705L, 1085706L, 
1085711L, 1085712L, 1085714L, 1085715L, 1085720L, 1085721L, 1085723L, 
1085724L, 1085792L, 1085793L, 1085795L, 1085796L, 1085801L, 1085802L, 
1085804L, 1085805L, 1085810L, 1085811L, 1085813L, 1085814L, 1085819L, 
1085820L, 1085822L, 1085823L, 1085828L, 1085829L, 1085831L, 1085832L, 
1085846L, 1085847L, 1085849L, 1085850L, 1085855L, 1085856L, 1085858L, 
1085859L, 1085864L, 1085865L, 1085867L, 1085868L, 1085873L, 1085874L, 
1085876L, 1085877L, 1085882L, 1085883L, 1085885L, 1085886L, 1085954L, 
1085955L, 1085957L, 1085958L, 1085963L, 1085964L, 1085966L, 1085967L, 
1085972L, 1085973L, 1085975L, 1085976L, 1085981L, 1085982L, 1085984L, 
1085985L, 1085990L, 1085991L, 1085993L, 1085994L, 1086008L, 1086009L, 
1086011L, 1086012L, 1086017L, 1086018L, 1086020L, 1086021L, 1086026L, 
1086027L, 1086029L, 1086030L, 1086035L, 1086036L, 1086038L, 1086039L, 
1086044L, 1086045L, 1086047L, 1086048L, 1086116L, 1086117L, 1086119L, 
1086120L, 1086125L, 1086126L, 1086128L, 1086129L, 1086134L, 1086135L, 
1086137L, 1086138L, 1086143L, 1086144L, 1086146L, 1086147L, 1086152L, 
1086153L, 1086155L, 1086156L, 1086170L, 1086171L, 1086173L, 1086174L, 
1086179L, 1086180L, 1086182L, 1086183L, 1086188L, 1086189L, 1086191L, 
1086192L, 1086197L, 1086198L, 1086200L, 1086201L, 1086206L, 1086207L, 
1086209L, 1086210L, 1086440L, 1086441L, 1086443L, 1086444L, 1086449L, 
1086450L, 1086452L, 1086453L, 1086458L, 1086459L, 1086461L, 1086462L, 
1086467L, 1086468L, 1086470L, 1086471L, 1086476L, 1086477L, 1086479L, 
1086480L, 1086494L, 1086495L, 1086497L, 1086498L, 1086503L, 1086504L, 
1086506L, 1086507L, 1086512L, 1086513L, 1086515L, 1086516L, 1086521L, 
1086522L, 1086524L, 1086525L, 1086530L, 1086531L, 1086533L, 1086534L, 
1086602L, 1086603L, 1086605L, 1086606L, 1086611L, 1086612L, 1086614L, 
1086615L, 1086620L, 1086621L, 1086623L, 1086624L, 1086629L, 1086630L, 
1086632L, 1086633L, 1086638L, 1086639L, 1086641L, 1086642L, 1086656L, 
1086657L, 1086659L, 1086660L, 1086665L, 1086666L, 1086668L, 1086669L, 
1086674L, 1086675L, 1086677L, 1086678L, 1086683L, 1086684L, 1086686L, 
1086687L, 1086692L, 1086693L, 1086695L, 1086696L, 1086764L, 1086765L, 
1086767L, 1086768L, 1086773L, 1086774L, 1086776L, 1086777L, 1086782L, 
1086783L, 1086785L, 1086786L, 1086791L, 1086792L, 1086794L, 1086795L, 
1086800L, 1086801L, 1086803L, 1086804L, 1086818L, 1086819L, 1086821L, 
1086822L, 1086827L, 1086828L, 1086830L, 1086831L, 1086836L, 1086837L, 
1086839L, 1086840L, 1086845L, 1086846L, 1086848L, 1086849L, 1086854L, 
1086855L, 1086857L, 1086858L, 1086926L, 1086927L, 1086929L, 1086930L, 
1086935L, 1086936L, 1086938L, 1086939L, 1086944L, 1086945L, 1086947L, 
1086948L, 1086953L, 1086954L, 1086956L, 1086957L, 1086962L, 1086963L, 
1086965L, 1086966L, 1086980L, 1086981L, 1086983L, 1086984L, 1086989L, 
1086990L, 1086992L, 1086993L, 1086998L, 1086999L, 1087001L, 1087002L, 
1087007L, 1087008L, 1087010L, 1087011L, 1087016L, 1087017L, 1087019L, 
1087020L, 1087250L, 1087251L, 1087253L, 1087254L, 1087259L, 1087260L, 
1087262L, 1087263L, 1087268L, 1087269L, 1087271L, 1087272L, 1087277L, 
1087278L, 1087280L, 1087281L, 1087286L, 1087287L, 1087289L, 1087290L, 
1087304L, 1087305L, 1087307L, 1087308L, 1087313L, 1087314L, 1087316L, 
1087317L, 1087322L, 1087323L, 1087325L, 1087326L, 1087331L, 1087332L, 
1087334L, 1087335L, 1087340L, 1087341L, 1087343L, 1087344L, 1087412L, 
1087413L, 1087415L, 1087416L, 1087421L, 1087422L, 1087424L, 1087425L, 
1087430L, 1087431L, 1087433L, 1087434L, 1087439L, 1087440L, 1087442L, 
1087443L, 1087448L, 1087449L, 1087451L, 1087452L, 1087466L, 1087467L, 
1087469L, 1087470L, 1087475L, 1087476L, 1087478L, 1087479L, 1087484L, 
1087485L, 1087487L, 1087488L, 1087493L, 1087494L, 1087496L, 1087497L, 
1087502L, 1087503L, 1087505L, 1087506L, 1087574L, 1087575L, 1087577L, 
1087578L, 1087583L, 1087584L, 1087586L, 1087587L, 1087592L, 1087593L, 
1087595L, 1087596L, 1087601L, 1087602L, 1087604L, 1087605L, 1087610L, 
1087611L, 1087613L, 1087614L, 1087628L, 1087629L, 1087631L, 1087632L, 
1087637L, 1087638L, 1087640L, 1087641L, 1087646L, 1087647L, 1087649L, 
1087650L, 1087655L, 1087656L, 1087658L, 1087659L, 1087664L, 1087665L, 
1087667L, 1087668L, 1087736L, 1087737L, 1087739L, 1087740L, 1087745L, 
1087746L, 1087748L, 1087749L, 1087754L, 1087755L, 1087757L, 1087758L, 
1087763L, 1087764L, 1087766L, 1087767L, 1087772L, 1087773L, 1087775L, 
1087776L, 1087790L, 1087791L, 1087793L, 1087794L, 1087799L, 1087800L, 
1087802L, 1087803L, 1087808L, 1087809L, 1087811L, 1087812L, 1087817L, 
1087818L, 1087820L, 1087821L, 1087826L, 1087827L, 1087829L, 1087830L, 
1088060L, 1088061L, 1088063L, 1088064L, 1088069L, 1088070L, 1088072L, 
1088073L, 1088078L, 1088079L, 1088081L, 1088082L, 1088087L, 1088088L, 
1088090L, 1088091L, 1088096L, 1088097L, 1088099L, 1088100L, 1088114L, 
1088115L, 1088117L, 1088118L, 1088123L, 1088124L, 1088126L, 1088127L, 
1088132L, 1088133L, 1088135L, 1088136L, 1088141L, 1088142L, 1088144L, 
1088145L, 1088150L, 1088151L, 1088153L, 1088154L, 1088222L, 1088223L, 
1088225L, 1088226L, 1088231L, 1088232L, 1088234L, 1088235L, 1088240L, 
1088241L, 1088243L, 1088244L, 1088249L, 1088250L, 1088252L, 1088253L, 
1088258L, 1088259L, 1088261L, 1088262L, 1088276L, 1088277L, 1088279L, 
1088280L, 1088285L, 1088286L, 1088288L, 1088289L, 1088294L, 1088295L, 
1088297L, 1088298L, 1088303L, 1088304L, 1088306L, 1088307L, 1088312L, 
1088313L, 1088315L, 1088316L, 1088384L, 1088385L, 1088387L, 1088388L, 
1088393L, 1088394L, 1088396L, 1088397L, 1088402L, 1088403L, 1088405L, 
1088406L, 1088411L, 1088412L, 1088414L, 1088415L, 1088420L, 1088421L, 
1088423L, 1088424L, 1088438L, 1088439L, 1088441L, 1088442L, 1088447L, 
1088448L, 1088450L, 1088451L, 1088456L, 1088457L, 1088459L, 1088460L, 
1088465L, 1088466L, 1088468L, 1088469L, 1088474L, 1088475L, 1088477L, 
1088478L, 1088546L, 1088547L, 1088549L, 1088550L, 1088555L, 1088556L, 
1088558L, 1088559L, 1088564L, 1088565L, 1088567L, 1088568L, 1088573L, 
1088574L, 1088576L, 1088577L, 1088582L, 1088583L, 1088585L, 1088586L, 
1088600L, 1088601L, 1088603L, 1088604L, 1088609L, 1088610L, 1088612L, 
1088613L, 1088618L, 1088619L, 1088621L, 1088622L, 1088627L, 1088628L, 
1088630L, 1088631L, 1088636L, 1088637L, 1088639L, 1088640L, 1099400L, 
1099401L, 1099403L, 1099404L, 1099409L, 1099410L, 1099412L, 1099413L, 
1099418L, 1099419L, 1099421L, 1099422L, 1099427L, 1099428L, 1099430L, 
1099431L, 1099436L, 1099437L, 1099439L, 1099440L, 1099454L, 1099455L, 
1099457L, 1099458L, 1099463L, 1099464L, 1099466L, 1099467L, 1099472L, 
1099473L, 1099475L, 1099476L, 1099481L, 1099482L, 1099484L, 1099485L, 
1099490L, 1099491L, 1099493L, 1099494L, 1099562L, 1099563L, 1099565L, 
1099566L, 1099571L, 1099572L, 1099574L, 1099575L, 1099580L, 1099581L, 
1099583L, 1099584L, 1099589L, 1099590L, 1099592L, 1099593L, 1099598L, 
1099599L, 1099601L, 1099602L, 1099616L, 1099617L, 1099619L, 1099620L, 
1099625L, 1099626L, 1099628L, 1099629L, 1099634L, 1099635L, 1099637L, 
1099638L, 1099643L, 1099644L, 1099646L, 1099647L, 1099652L, 1099653L, 
1099655L, 1099656L, 1099724L, 1099725L, 1099727L, 1099728L, 1099733L, 
1099734L, 1099736L, 1099737L, 1099742L, 1099743L, 1099745L, 1099746L, 
1099751L, 1099752L, 1099754L, 1099755L, 1099760L, 1099761L, 1099763L, 
1099764L, 1099778L, 1099779L, 1099781L, 1099782L, 1099787L, 1099788L, 
1099790L, 1099791L, 1099796L, 1099797L, 1099799L, 1099800L, 1099805L, 
1099806L, 1099808L, 1099809L, 1099814L, 1099815L, 1099817L, 1099818L, 
1099886L, 1099887L, 1099889L, 1099890L, 1099895L, 1099896L, 1099898L, 
1099899L, 1099904L, 1099905L, 1099907L, 1099908L, 1099913L, 1099914L, 
1099916L, 1099917L, 1099922L, 1099923L, 1099925L, 1099926L, 1099940L, 
1099941L, 1099943L, 1099944L, 1099949L, 1099950L, 1099952L, 1099953L, 
1099958L, 1099959L, 1099961L, 1099962L, 1099967L, 1099968L, 1099970L, 
1099971L, 1099976L, 1099977L, 1099979L, 1099980L, 1100210L, 1100211L, 
1100213L, 1100214L, 1100219L, 1100220L, 1100222L, 1100223L, 1100228L, 
1100229L, 1100231L, 1100232L, 1100237L, 1100238L, 1100240L, 1100241L, 
1100246L, 1100247L, 1100249L, 1100250L, 1100264L, 1100265L, 1100267L, 
1100268L, 1100273L, 1100274L, 1100276L, 1100277L, 1100282L, 1100283L, 
1100285L, 1100286L, 1100291L, 1100292L, 1100294L, 1100295L, 1100300L, 
1100301L, 1100303L, 1100304L, 1100372L, 1100373L, 1100375L, 1100376L, 
1100381L, 1100382L, 1100384L, 1100385L, 1100390L, 1100391L, 1100393L, 
1100394L, 1100399L, 1100400L, 1100402L, 1100403L, 1100408L, 1100409L, 
1100411L, 1100412L, 1100426L, 1100427L, 1100429L, 1100430L, 1100435L, 
1100436L, 1100438L, 1100439L, 1100444L, 1100445L, 1100447L, 1100448L, 
1100453L, 1100454L, 1100456L, 1100457L, 1100462L, 1100463L, 1100465L, 
1100466L, 1100534L, 1100535L, 1100537L, 1100538L, 1100543L, 1100544L, 
1100546L, 1100547L, 1100552L, 1100553L, 1100555L, 1100556L, 1100561L, 
1100562L, 1100564L, 1100565L, 1100570L, 1100571L, 1100573L, 1100574L, 
1100588L, 1100589L, 1100591L, 1100592L, 1100597L, 1100598L, 1100600L, 
1100601L, 1100606L, 1100607L, 1100609L, 1100610L, 1100615L, 1100616L, 
1100618L, 1100619L, 1100624L, 1100625L, 1100627L, 1100628L, 1100696L, 
1100697L, 1100699L, 1100700L, 1100705L, 1100706L, 1100708L, 1100709L, 
1100714L, 1100715L, 1100717L, 1100718L, 1100723L, 1100724L, 1100726L, 
1100727L, 1100732L, 1100733L, 1100735L, 1100736L, 1100750L, 1100751L, 
1100753L, 1100754L, 1100759L, 1100760L, 1100762L, 1100763L, 1100768L, 
1100769L, 1100771L, 1100772L, 1100777L, 1100778L, 1100780L, 1100781L, 
1100786L, 1100787L, 1100789L, 1100790L, 1101020L, 1101021L, 1101023L, 
1101024L, 1101029L, 1101030L, 1101032L, 1101033L, 1101038L, 1101039L, 
1101041L, 1101042L, 1101047L, 1101048L, 1101050L, 1101051L, 1101056L, 
1101057L, 1101059L, 1101060L, 1101074L, 1101075L, 1101077L, 1101078L, 
1101083L, 1101084L, 1101086L, 1101087L, 1101092L, 1101093L, 1101095L, 
1101096L, 1101101L, 1101102L, 1101104L, 1101105L, 1101110L, 1101111L, 
1101113L, 1101114L, 1101182L, 1101183L, 1101185L, 1101186L, 1101191L, 
1101192L, 1101194L, 1101195L, 1101200L, 1101201L, 1101203L, 1101204L, 
1101209L, 1101210L, 1101212L, 1101213L, 1101218L, 1101219L, 1101221L, 
1101222L, 1101236L, 1101237L, 1101239L, 1101240L, 1101245L, 1101246L, 
1101248L, 1101249L, 1101254L, 1101255L, 1101257L, 1101258L, 1101263L, 
1101264L, 1101266L, 1101267L, 1101272L, 1101273L, 1101275L, 1101276L, 
1101344L, 1101345L, 1101347L, 1101348L, 1101353L, 1101354L, 1101356L, 
1101357L, 1101362L, 1101363L, 1101365L, 1101366L, 1101371L, 1101372L, 
1101374L, 1101375L, 1101380L, 1101381L, 1101383L, 1101384L, 1101398L, 
1101399L, 1101401L, 1101402L, 1101407L, 1101408L, 1101410L, 1101411L, 
1101416L, 1101417L, 1101419L, 1101420L, 1101425L, 1101426L, 1101428L, 
1101429L, 1101434L, 1101435L, 1101437L, 1101438L, 1101506L, 1101507L, 
1101509L, 1101510L, 1101515L, 1101516L, 1101518L, 1101519L, 1101524L, 
1101525L, 1101527L, 1101528L, 1101533L, 1101534L, 1101536L, 1101537L, 
1101542L, 1101543L, 1101545L, 1101546L, 1101560L, 1101561L, 1101563L, 
1101564L, 1101569L, 1101570L, 1101572L, 1101573L, 1101578L, 1101579L, 
1101581L, 1101582L, 1101587L, 1101588L, 1101590L, 1101591L, 1101596L, 
1101597L, 1101599L, 1101600L, 1101830L, 1101831L, 1101833L, 1101834L, 
1101839L, 1101840L, 1101842L, 1101843L, 1101848L, 1101849L, 1101851L, 
1101852L, 1101857L, 1101858L, 1101860L, 1101861L, 1101866L, 1101867L, 
1101869L, 1101870L, 1101884L, 1101885L, 1101887L, 1101888L, 1101893L, 
1101894L, 1101896L, 1101897L, 1101902L, 1101903L, 1101905L, 1101906L, 
1101911L, 1101912L, 1101914L, 1101915L, 1101920L, 1101921L, 1101923L, 
1101924L, 1101992L, 1101993L, 1101995L, 1101996L, 1102001L, 1102002L, 
1102004L, 1102005L, 1102010L, 1102011L, 1102013L, 1102014L, 1102019L, 
1102020L, 1102022L, 1102023L, 1102028L, 1102029L, 1102031L, 1102032L, 
1102046L, 1102047L, 1102049L, 1102050L, 1102055L, 1102056L, 1102058L, 
1102059L, 1102064L, 1102065L, 1102067L, 1102068L, 1102073L, 1102074L, 
1102076L, 1102077L, 1102082L, 1102083L, 1102085L, 1102086L, 1102154L, 
1102155L, 1102157L, 1102158L, 1102163L, 1102164L, 1102166L, 1102167L, 
1102172L, 1102173L, 1102175L, 1102176L, 1102181L, 1102182L, 1102184L, 
1102185L, 1102190L, 1102191L, 1102193L, 1102194L, 1102208L, 1102209L, 
1102211L, 1102212L, 1102217L, 1102218L, 1102220L, 1102221L, 1102226L, 
1102227L, 1102229L, 1102230L, 1102235L, 1102236L, 1102238L, 1102239L, 
1102244L, 1102245L, 1102247L, 1102248L, 1102316L, 1102317L, 1102319L, 
1102320L, 1102325L, 1102326L, 1102328L, 1102329L, 1102334L, 1102335L, 
1102337L, 1102338L, 1102343L, 1102344L, 1102346L, 1102347L, 1102352L, 
1102353L, 1102355L, 1102356L, 1102370L, 1102371L, 1102373L, 1102374L, 
1102379L, 1102380L, 1102382L, 1102383L, 1102388L, 1102389L, 1102391L, 
1102392L, 1102397L, 1102398L, 1102400L, 1102401L, 1102406L, 1102407L, 
1102409L, 1102410L, 1102640L, 1102641L, 1102643L, 1102644L, 1102649L, 
1102650L, 1102652L, 1102653L, 1102658L, 1102659L, 1102661L, 1102662L, 
1102667L, 1102668L, 1102670L, 1102671L, 1102676L, 1102677L, 1102679L, 
1102680L, 1102694L, 1102695L, 1102697L, 1102698L, 1102703L, 1102704L, 
1102706L, 1102707L, 1102712L, 1102713L, 1102715L, 1102716L, 1102721L, 
1102722L, 1102724L, 1102725L, 1102730L, 1102731L, 1102733L, 1102734L, 
1102802L, 1102803L, 1102805L, 1102806L, 1102811L, 1102812L, 1102814L, 
1102815L, 1102820L, 1102821L, 1102823L, 1102824L, 1102829L, 1102830L, 
1102832L, 1102833L, 1102838L, 1102839L, 1102841L, 1102842L, 1102856L, 
1102857L, 1102859L, 1102860L, 1102865L, 1102866L, 1102868L, 1102869L, 
1102874L, 1102875L, 1102877L, 1102878L, 1102883L, 1102884L, 1102886L, 
1102887L, 1102892L, 1102893L, 1102895L, 1102896L, 1102964L, 1102965L, 
1102967L, 1102968L, 1102973L, 1102974L, 1102976L, 1102977L, 1102982L, 
1102983L, 1102985L, 1102986L, 1102991L, 1102992L, 1102994L, 1102995L, 
1103000L, 1103001L, 1103003L, 1103004L, 1103018L, 1103019L, 1103021L, 
1103022L, 1103027L, 1103028L, 1103030L, 1103031L, 1103036L, 1103037L, 
1103039L, 1103040L, 1103045L, 1103046L, 1103048L, 1103049L, 1103054L, 
1103055L, 1103057L, 1103058L, 1103126L, 1103127L, 1103129L, 1103130L, 
1103135L, 1103136L, 1103138L, 1103139L, 1103144L, 1103145L, 1103147L, 
1103148L, 1103153L, 1103154L, 1103156L, 1103157L, 1103162L, 1103163L, 
1103165L, 1103166L, 1103180L, 1103181L, 1103183L, 1103184L, 1103189L, 
1103190L, 1103192L, 1103193L, 1103198L, 1103199L, 1103201L, 1103202L, 
1103207L, 1103208L, 1103210L, 1103211L, 1103216L, 1103217L, 1103219L, 
1103220L, 1104260L, 1104261L, 1104263L, 1104264L, 1104269L, 1104270L, 
1104272L, 1104273L, 1104278L, 1104279L, 1104281L, 1104282L, 1104287L, 
1104288L, 1104290L, 1104291L, 1104296L, 1104297L, 1104299L, 1104300L, 
1104314L, 1104315L, 1104317L, 1104318L, 1104323L, 1104324L, 1104326L, 
1104327L, 1104332L, 1104333L, 1104335L, 1104336L, 1104341L, 1104342L, 
1104344L, 1104345L, 1104350L, 1104351L, 1104353L, 1104354L, 1104422L, 
1104423L, 1104425L, 1104426L, 1104431L, 1104432L, 1104434L, 1104435L, 
1104440L, 1104441L, 1104443L, 1104444L, 1104449L, 1104450L, 1104452L, 
1104453L, 1104458L, 1104459L, 1104461L, 1104462L, 1104476L, 1104477L, 
1104479L, 1104480L, 1104485L, 1104486L, 1104488L, 1104489L, 1104494L, 
1104495L, 1104497L, 1104498L, 1104503L, 1104504L, 1104506L, 1104507L, 
1104512L, 1104513L, 1104515L, 1104516L, 1104584L, 1104585L, 1104587L, 
1104588L, 1104593L, 1104594L, 1104596L, 1104597L, 1104602L, 1104603L, 
1104605L, 1104606L, 1104611L, 1104612L, 1104614L, 1104615L, 1104620L, 
1104621L, 1104623L, 1104624L, 1104638L, 1104639L, 1104641L, 1104642L, 
1104647L, 1104648L, 1104650L, 1104651L, 1104656L, 1104657L, 1104659L, 
1104660L, 1104665L, 1104666L, 1104668L, 1104669L, 1104674L, 1104675L, 
1104677L, 1104678L, 1104746L, 1104747L, 1104749L, 1104750L, 1104755L, 
1104756L, 1104758L, 1104759L, 1104764L, 1104765L, 1104767L, 1104768L, 
1104773L, 1104774L, 1104776L, 1104777L, 1104782L, 1104783L, 1104785L, 
1104786L, 1104800L, 1104801L, 1104803L, 1104804L, 1104809L, 1104810L, 
1104812L, 1104813L, 1104818L, 1104819L, 1104821L, 1104822L, 1104827L, 
1104828L, 1104830L, 1104831L, 1104836L, 1104837L, 1104839L, 1104840L, 
1105070L, 1105071L, 1105073L, 1105074L, 1105079L, 1105080L, 1105082L, 
1105083L, 1105088L, 1105089L, 1105091L, 1105092L, 1105097L, 1105098L, 
1105100L, 1105101L, 1105106L, 1105107L, 1105109L, 1105110L, 1105124L, 
1105125L, 1105127L, 1105128L, 1105133L, 1105134L, 1105136L, 1105137L, 
1105142L, 1105143L, 1105145L, 1105146L, 1105151L, 1105152L, 1105154L, 
1105155L, 1105160L, 1105161L, 1105163L, 1105164L, 1105232L, 1105233L, 
1105235L, 1105236L, 1105241L, 1105242L, 1105244L, 1105245L, 1105250L, 
1105251L, 1105253L, 1105254L, 1105259L, 1105260L, 1105262L, 1105263L, 
1105268L, 1105269L, 1105271L, 1105272L, 1105286L, 1105287L, 1105289L, 
1105290L, 1105295L, 1105296L, 1105298L, 1105299L, 1105304L, 1105305L, 
1105307L, 1105308L, 1105313L, 1105314L, 1105316L, 1105317L, 1105322L, 
1105323L, 1105325L, 1105326L, 1105394L, 1105395L, 1105397L, 1105398L, 
1105403L, 1105404L, 1105406L, 1105407L, 1105412L, 1105413L, 1105415L, 
1105416L, 1105421L, 1105422L, 1105424L, 1105425L, 1105430L, 1105431L, 
1105433L, 1105434L, 1105448L, 1105449L, 1105451L, 1105452L, 1105457L, 
1105458L, 1105460L, 1105461L, 1105466L, 1105467L, 1105469L, 1105470L, 
1105475L, 1105476L, 1105478L, 1105479L, 1105484L, 1105485L, 1105487L, 
1105488L, 1105556L, 1105557L, 1105559L, 1105560L, 1105565L, 1105566L, 
1105568L, 1105569L, 1105574L, 1105575L, 1105577L, 1105578L, 1105583L, 
1105584L, 1105586L, 1105587L, 1105592L, 1105593L, 1105595L, 1105596L, 
1105610L, 1105611L, 1105613L, 1105614L, 1105619L, 1105620L, 1105622L, 
1105623L, 1105628L, 1105629L, 1105631L, 1105632L, 1105637L, 1105638L, 
1105640L, 1105641L, 1105646L, 1105647L, 1105649L, 1105650L, 1105880L, 
1105881L, 1105883L, 1105884L, 1105889L, 1105890L, 1105892L, 1105893L, 
1105898L, 1105899L, 1105901L, 1105902L, 1105907L, 1105908L, 1105910L, 
1105911L, 1105916L, 1105917L, 1105919L, 1105920L, 1105934L, 1105935L, 
1105937L, 1105938L, 1105943L, 1105944L, 1105946L, 1105947L, 1105952L, 
1105953L, 1105955L, 1105956L, 1105961L, 1105962L, 1105964L, 1105965L, 
1105970L, 1105971L, 1105973L, 1105974L, 1106042L, 1106043L, 1106045L, 
1106046L, 1106051L, 1106052L, 1106054L, 1106055L, 1106060L, 1106061L, 
1106063L, 1106064L, 1106069L, 1106070L, 1106072L, 1106073L, 1106078L, 
1106079L, 1106081L, 1106082L, 1106096L, 1106097L, 1106099L, 1106100L, 
1106105L, 1106106L, 1106108L, 1106109L, 1106114L, 1106115L, 1106117L, 
1106118L, 1106123L, 1106124L, 1106126L, 1106127L, 1106132L, 1106133L, 
1106135L, 1106136L, 1106204L, 1106205L, 1106207L, 1106208L, 1106213L, 
1106214L, 1106216L, 1106217L, 1106222L, 1106223L, 1106225L, 1106226L, 
1106231L, 1106232L, 1106234L, 1106235L, 1106240L, 1106241L, 1106243L, 
1106244L, 1106258L, 1106259L, 1106261L, 1106262L, 1106267L, 1106268L, 
1106270L, 1106271L, 1106276L, 1106277L, 1106279L, 1106280L, 1106285L, 
1106286L, 1106288L, 1106289L, 1106294L, 1106295L, 1106297L, 1106298L, 
1106366L, 1106367L, 1106369L, 1106370L, 1106375L, 1106376L, 1106378L, 
1106379L, 1106384L, 1106385L, 1106387L, 1106388L, 1106393L, 1106394L, 
1106396L, 1106397L, 1106402L, 1106403L, 1106405L, 1106406L, 1106420L, 
1106421L, 1106423L, 1106424L, 1106429L, 1106430L, 1106432L, 1106433L, 
1106438L, 1106439L, 1106441L, 1106442L, 1106447L, 1106448L, 1106450L, 
1106451L, 1106456L, 1106457L, 1106459L, 1106460L, 1106690L, 1106691L, 
1106693L, 1106694L, 1106699L, 1106700L, 1106702L, 1106703L, 1106708L, 
1106709L, 1106711L, 1106712L, 1106717L, 1106718L, 1106720L, 1106721L, 
1106726L, 1106727L, 1106729L, 1106730L, 1106744L, 1106745L, 1106747L, 
1106748L, 1106753L, 1106754L, 1106756L, 1106757L, 1106762L, 1106763L, 
1106765L, 1106766L, 1106771L, 1106772L, 1106774L, 1106775L, 1106780L, 
1106781L, 1106783L, 1106784L, 1106852L, 1106853L, 1106855L, 1106856L, 
1106861L, 1106862L, 1106864L, 1106865L, 1106870L, 1106871L, 1106873L, 
1106874L, 1106879L, 1106880L, 1106882L, 1106883L, 1106888L, 1106889L, 
1106891L, 1106892L, 1106906L, 1106907L, 1106909L, 1106910L, 1106915L, 
1106916L, 1106918L, 1106919L, 1106924L, 1106925L, 1106927L, 1106928L, 
1106933L, 1106934L, 1106936L, 1106937L, 1106942L, 1106943L, 1106945L, 
1106946L, 1107014L, 1107015L, 1107017L, 1107018L, 1107023L, 1107024L, 
1107026L, 1107027L, 1107032L, 1107033L, 1107035L, 1107036L, 1107041L, 
1107042L, 1107044L, 1107045L, 1107050L, 1107051L, 1107053L, 1107054L, 
1107068L, 1107069L, 1107071L, 1107072L, 1107077L, 1107078L, 1107080L, 
1107081L, 1107086L, 1107087L, 1107089L, 1107090L, 1107095L, 1107096L, 
1107098L, 1107099L, 1107104L, 1107105L, 1107107L, 1107108L, 1107176L, 
1107177L, 1107179L, 1107180L, 1107185L, 1107186L, 1107188L, 1107189L, 
1107194L, 1107195L, 1107197L, 1107198L, 1107203L, 1107204L, 1107206L, 
1107207L, 1107212L, 1107213L, 1107215L, 1107216L, 1107230L, 1107231L, 
1107233L, 1107234L, 1107239L, 1107240L, 1107242L, 1107243L, 1107248L, 
1107249L, 1107251L, 1107252L, 1107257L, 1107258L, 1107260L, 1107261L, 
1107266L, 1107267L, 1107269L, 1107270L, 1107500L, 1107501L, 1107503L, 
1107504L, 1107509L, 1107510L, 1107512L, 1107513L, 1107518L, 1107519L, 
1107521L, 1107522L, 1107527L, 1107528L, 1107530L, 1107531L, 1107536L, 
1107537L, 1107539L, 1107540L, 1107554L, 1107555L, 1107557L, 1107558L, 
1107563L, 1107564L, 1107566L, 1107567L, 1107572L, 1107573L, 1107575L, 
1107576L, 1107581L, 1107582L, 1107584L, 1107585L, 1107590L, 1107591L, 
1107593L, 1107594L, 1107662L, 1107663L, 1107665L, 1107666L, 1107671L, 
1107672L, 1107674L, 1107675L, 1107680L, 1107681L, 1107683L, 1107684L, 
1107689L, 1107690L, 1107692L, 1107693L, 1107698L, 1107699L, 1107701L, 
1107702L, 1107716L, 1107717L, 1107719L, 1107720L, 1107725L, 1107726L, 
1107728L, 1107729L, 1107734L, 1107735L, 1107737L, 1107738L, 1107743L, 
1107744L, 1107746L, 1107747L, 1107752L, 1107753L, 1107755L, 1107756L, 
1107824L, 1107825L, 1107827L, 1107828L, 1107833L, 1107834L, 1107836L, 
1107837L, 1107842L, 1107843L, 1107845L, 1107846L, 1107851L, 1107852L, 
1107854L, 1107855L, 1107860L, 1107861L, 1107863L, 1107864L, 1107878L, 
1107879L, 1107881L, 1107882L, 1107887L, 1107888L, 1107890L, 1107891L, 
1107896L, 1107897L, 1107899L, 1107900L, 1107905L, 1107906L, 1107908L, 
1107909L, 1107914L, 1107915L, 1107917L, 1107918L, 1107986L, 1107987L, 
1107989L, 1107990L, 1107995L, 1107996L, 1107998L, 1107999L, 1108004L, 
1108005L, 1108007L, 1108008L, 1108013L, 1108014L, 1108016L, 1108017L, 
1108022L, 1108023L, 1108025L, 1108026L, 1108040L, 1108041L, 1108043L, 
1108044L, 1108049L, 1108050L, 1108052L, 1108053L, 1108058L, 1108059L, 
1108061L, 1108062L, 1108067L, 1108068L, 1108070L, 1108071L, 1108076L, 
1108077L, 1108079L, 1108080L, 1109120L, 1109121L, 1109123L, 1109124L, 
1109129L, 1109130L, 1109132L, 1109133L, 1109138L, 1109139L, 1109141L, 
1109142L, 1109147L, 1109148L, 1109150L, 1109151L, 1109156L, 1109157L, 
1109159L, 1109160L, 1109174L, 1109175L, 1109177L, 1109178L, 1109183L, 
1109184L, 1109186L, 1109187L, 1109192L, 1109193L, 1109195L, 1109196L, 
1109201L, 1109202L, 1109204L, 1109205L, 1109210L, 1109211L, 1109213L, 
1109214L, 1109282L, 1109283L, 1109285L, 1109286L, 1109291L, 1109292L, 
1109294L, 1109295L, 1109300L, 1109301L, 1109303L, 1109304L, 1109309L, 
1109310L, 1109312L, 1109313L, 1109318L, 1109319L, 1109321L, 1109322L, 
1109336L, 1109337L, 1109339L, 1109340L, 1109345L, 1109346L, 1109348L, 
1109349L, 1109354L, 1109355L, 1109357L, 1109358L, 1109363L, 1109364L, 
1109366L, 1109367L, 1109372L, 1109373L, 1109375L, 1109376L, 1109444L, 
1109445L, 1109447L, 1109448L, 1109453L, 1109454L, 1109456L, 1109457L, 
1109462L, 1109463L, 1109465L, 1109466L, 1109471L, 1109472L, 1109474L, 
1109475L, 1109480L, 1109481L, 1109483L, 1109484L, 1109498L, 1109499L, 
1109501L, 1109502L, 1109507L, 1109508L, 1109510L, 1109511L, 1109516L, 
1109517L, 1109519L, 1109520L, 1109525L, 1109526L, 1109528L, 1109529L, 
1109534L, 1109535L, 1109537L, 1109538L, 1109606L, 1109607L, 1109609L, 
1109610L, 1109615L, 1109616L, 1109618L, 1109619L, 1109624L, 1109625L, 
1109627L, 1109628L, 1109633L, 1109634L, 1109636L, 1109637L, 1109642L, 
1109643L, 1109645L, 1109646L, 1109660L, 1109661L, 1109663L, 1109664L, 
1109669L, 1109670L, 1109672L, 1109673L, 1109678L, 1109679L, 1109681L, 
1109682L, 1109687L, 1109688L, 1109690L, 1109691L, 1109696L, 1109697L, 
1109699L, 1109700L, 1109930L, 1109931L, 1109933L, 1109934L, 1109939L, 
1109940L, 1109942L, 1109943L, 1109948L, 1109949L, 1109951L, 1109952L, 
1109957L, 1109958L, 1109960L, 1109961L, 1109966L, 1109967L, 1109969L, 
1109970L, 1109984L, 1109985L, 1109987L, 1109988L, 1109993L, 1109994L, 
1109996L, 1109997L, 1110002L, 1110003L, 1110005L, 1110006L, 1110011L, 
1110012L, 1110014L, 1110015L, 1110020L, 1110021L, 1110023L, 1110024L, 
1110092L, 1110093L, 1110095L, 1110096L, 1110101L, 1110102L, 1110104L, 
1110105L, 1110110L, 1110111L, 1110113L, 1110114L, 1110119L, 1110120L, 
1110122L, 1110123L, 1110128L, 1110129L, 1110131L, 1110132L, 1110146L, 
1110147L, 1110149L, 1110150L, 1110155L, 1110156L, 1110158L, 1110159L, 
1110164L, 1110165L, 1110167L, 1110168L, 1110173L, 1110174L, 1110176L, 
1110177L, 1110182L, 1110183L, 1110185L, 1110186L, 1110254L, 1110255L, 
1110257L, 1110258L, 1110263L, 1110264L, 1110266L, 1110267L, 1110272L, 
1110273L, 1110275L, 1110276L, 1110281L, 1110282L, 1110284L, 1110285L, 
1110290L, 1110291L, 1110293L, 1110294L, 1110308L, 1110309L, 1110311L, 
1110312L, 1110317L, 1110318L, 1110320L, 1110321L, 1110326L, 1110327L, 
1110329L, 1110330L, 1110335L, 1110336L, 1110338L, 1110339L, 1110344L, 
1110345L, 1110347L, 1110348L, 1110416L, 1110417L, 1110419L, 1110420L, 
1110425L, 1110426L, 1110428L, 1110429L, 1110434L, 1110435L, 1110437L, 
1110438L, 1110443L, 1110444L, 1110446L, 1110447L, 1110452L, 1110453L, 
1110455L, 1110456L, 1110470L, 1110471L, 1110473L, 1110474L, 1110479L, 
1110480L, 1110482L, 1110483L, 1110488L, 1110489L, 1110491L, 1110492L, 
1110497L, 1110498L, 1110500L, 1110501L, 1110506L, 1110507L, 1110509L, 
1110510L, 1110740L, 1110741L, 1110743L, 1110744L, 1110749L, 1110750L, 
1110752L, 1110753L, 1110758L, 1110759L, 1110761L, 1110762L, 1110767L, 
1110768L, 1110770L, 1110771L, 1110776L, 1110777L, 1110779L, 1110780L, 
1110794L, 1110795L, 1110797L, 1110798L, 1110803L, 1110804L, 1110806L, 
1110807L, 1110812L, 1110813L, 1110815L, 1110816L, 1110821L, 1110822L, 
1110824L, 1110825L, 1110830L, 1110831L, 1110833L, 1110834L, 1110902L, 
1110903L, 1110905L, 1110906L, 1110911L, 1110912L, 1110914L, 1110915L, 
1110920L, 1110921L, 1110923L, 1110924L, 1110929L, 1110930L, 1110932L, 
1110933L, 1110938L, 1110939L, 1110941L, 1110942L, 1110956L, 1110957L, 
1110959L, 1110960L, 1110965L, 1110966L, 1110968L, 1110969L, 1110974L, 
1110975L, 1110977L, 1110978L, 1110983L, 1110984L, 1110986L, 1110987L, 
1110992L, 1110993L, 1110995L, 1110996L, 1111064L, 1111065L, 1111067L, 
1111068L, 1111073L, 1111074L, 1111076L, 1111077L, 1111082L, 1111083L, 
1111085L, 1111086L, 1111091L, 1111092L, 1111094L, 1111095L, 1111100L, 
1111101L, 1111103L, 1111104L, 1111118L, 1111119L, 1111121L, 1111122L, 
1111127L, 1111128L, 1111130L, 1111131L, 1111136L, 1111137L, 1111139L, 
1111140L, 1111145L, 1111146L, 1111148L, 1111149L, 1111154L, 1111155L, 
1111157L, 1111158L, 1111226L, 1111227L, 1111229L, 1111230L, 1111235L, 
1111236L, 1111238L, 1111239L, 1111244L, 1111245L, 1111247L, 1111248L, 
1111253L, 1111254L, 1111256L, 1111257L, 1111262L, 1111263L, 1111265L, 
1111266L, 1111280L, 1111281L, 1111283L, 1111284L, 1111289L, 1111290L, 
1111292L, 1111293L, 1111298L, 1111299L, 1111301L, 1111302L, 1111307L, 
1111308L, 1111310L, 1111311L, 1111316L, 1111317L, 1111319L, 1111320L, 
1111550L, 1111551L, 1111553L, 1111554L, 1111559L, 1111560L, 1111562L, 
1111563L, 1111568L, 1111569L, 1111571L, 1111572L, 1111577L, 1111578L, 
1111580L, 1111581L, 1111586L, 1111587L, 1111589L, 1111590L, 1111604L, 
1111605L, 1111607L, 1111608L, 1111613L, 1111614L, 1111616L, 1111617L, 
1111622L, 1111623L, 1111625L, 1111626L, 1111631L, 1111632L, 1111634L, 
1111635L, 1111640L, 1111641L, 1111643L, 1111644L, 1111712L, 1111713L, 
1111715L, 1111716L, 1111721L, 1111722L, 1111724L, 1111725L, 1111730L, 
1111731L, 1111733L, 1111734L, 1111739L, 1111740L, 1111742L, 1111743L, 
1111748L, 1111749L, 1111751L, 1111752L, 1111766L, 1111767L, 1111769L, 
1111770L, 1111775L, 1111776L, 1111778L, 1111779L, 1111784L, 1111785L, 
1111787L, 1111788L, 1111793L, 1111794L, 1111796L, 1111797L, 1111802L, 
1111803L, 1111805L, 1111806L, 1111874L, 1111875L, 1111877L, 1111878L, 
1111883L, 1111884L, 1111886L, 1111887L, 1111892L, 1111893L, 1111895L, 
1111896L, 1111901L, 1111902L, 1111904L, 1111905L, 1111910L, 1111911L, 
1111913L, 1111914L, 1111928L, 1111929L, 1111931L, 1111932L, 1111937L, 
1111938L, 1111940L, 1111941L, 1111946L, 1111947L, 1111949L, 1111950L, 
1111955L, 1111956L, 1111958L, 1111959L, 1111964L, 1111965L, 1111967L, 
1111968L, 1112036L, 1112037L, 1112039L, 1112040L, 1112045L, 1112046L, 
1112048L, 1112049L, 1112054L, 1112055L, 1112057L, 1112058L, 1112063L, 
1112064L, 1112066L, 1112067L, 1112072L, 1112073L, 1112075L, 1112076L, 
1112090L, 1112091L, 1112093L, 1112094L, 1112099L, 1112100L, 1112102L, 
1112103L, 1112108L, 1112109L, 1112111L, 1112112L, 1112117L, 1112118L, 
1112120L, 1112121L, 1112126L, 1112127L, 1112129L, 1112130L, 1112360L, 
1112361L, 1112363L, 1112364L, 1112369L, 1112370L, 1112372L, 1112373L, 
1112378L, 1112379L, 1112381L, 1112382L, 1112387L, 1112388L, 1112390L, 
1112391L, 1112396L, 1112397L, 1112399L, 1112400L, 1112414L, 1112415L, 
1112417L, 1112418L, 1112423L, 1112424L, 1112426L, 1112427L, 1112432L, 
1112433L, 1112435L, 1112436L, 1112441L, 1112442L, 1112444L, 1112445L, 
1112450L, 1112451L, 1112453L, 1112454L, 1112522L, 1112523L, 1112525L, 
1112526L, 1112531L, 1112532L, 1112534L, 1112535L, 1112540L, 1112541L, 
1112543L, 1112544L, 1112549L, 1112550L, 1112552L, 1112553L, 1112558L, 
1112559L, 1112561L, 1112562L, 1112576L, 1112577L, 1112579L, 1112580L, 
1112585L, 1112586L, 1112588L, 1112589L, 1112594L, 1112595L, 1112597L, 
1112598L, 1112603L, 1112604L, 1112606L, 1112607L, 1112612L, 1112613L, 
1112615L, 1112616L, 1112684L, 1112685L, 1112687L, 1112688L, 1112693L, 
1112694L, 1112696L, 1112697L, 1112702L, 1112703L, 1112705L, 1112706L, 
1112711L, 1112712L, 1112714L, 1112715L, 1112720L, 1112721L, 1112723L, 
1112724L, 1112738L, 1112739L, 1112741L, 1112742L, 1112747L, 1112748L, 
1112750L, 1112751L, 1112756L, 1112757L, 1112759L, 1112760L, 1112765L, 
1112766L, 1112768L, 1112769L, 1112774L, 1112775L, 1112777L, 1112778L, 
1112846L, 1112847L, 1112849L, 1112850L, 1112855L, 1112856L, 1112858L, 
1112859L, 1112864L, 1112865L, 1112867L, 1112868L, 1112873L, 1112874L, 
1112876L, 1112877L, 1112882L, 1112883L, 1112885L, 1112886L, 1112900L, 
1112901L, 1112903L, 1112904L, 1112909L, 1112910L, 1112912L, 1112913L, 
1112918L, 1112919L, 1112921L, 1112922L, 1112927L, 1112928L, 1112930L, 
1112931L, 1112936L, 1112937L, 1112939L, 1112940L, 1123700L, 1123701L, 
1123703L, 1123704L, 1123709L, 1123710L, 1123712L, 1123713L, 1123718L, 
1123719L, 1123721L, 1123722L, 1123727L, 1123728L, 1123730L, 1123731L, 
1123736L, 1123737L, 1123739L, 1123740L, 1123754L, 1123755L, 1123757L, 
1123758L, 1123763L, 1123764L, 1123766L, 1123767L, 1123772L, 1123773L, 
1123775L, 1123776L, 1123781L, 1123782L, 1123784L, 1123785L, 1123790L, 
1123791L, 1123793L, 1123794L, 1123862L, 1123863L, 1123865L, 1123866L, 
1123871L, 1123872L, 1123874L, 1123875L, 1123880L, 1123881L, 1123883L, 
1123884L, 1123889L, 1123890L, 1123892L, 1123893L, 1123898L, 1123899L, 
1123901L, 1123902L, 1123916L, 1123917L, 1123919L, 1123920L, 1123925L, 
1123926L, 1123928L, 1123929L, 1123934L, 1123935L, 1123937L, 1123938L, 
1123943L, 1123944L, 1123946L, 1123947L, 1123952L, 1123953L, 1123955L, 
1123956L, 1124024L, 1124025L, 1124027L, 1124028L, 1124033L, 1124034L, 
1124036L, 1124037L, 1124042L, 1124043L, 1124045L, 1124046L, 1124051L, 
1124052L, 1124054L, 1124055L, 1124060L, 1124061L, 1124063L, 1124064L, 
1124078L, 1124079L, 1124081L, 1124082L, 1124087L, 1124088L, 1124090L, 
1124091L, 1124096L, 1124097L, 1124099L, 1124100L, 1124105L, 1124106L, 
1124108L, 1124109L, 1124114L, 1124115L, 1124117L, 1124118L, 1124186L, 
1124187L, 1124189L, 1124190L, 1124195L, 1124196L, 1124198L, 1124199L, 
1124204L, 1124205L, 1124207L, 1124208L, 1124213L, 1124214L, 1124216L, 
1124217L, 1124222L, 1124223L, 1124225L, 1124226L, 1124240L, 1124241L, 
1124243L, 1124244L, 1124249L, 1124250L, 1124252L, 1124253L, 1124258L, 
1124259L, 1124261L, 1124262L, 1124267L, 1124268L, 1124270L, 1124271L, 
1124276L, 1124277L, 1124279L, 1124280L, 1124510L, 1124511L, 1124513L, 
1124514L, 1124519L, 1124520L, 1124522L, 1124523L, 1124528L, 1124529L, 
1124531L, 1124532L, 1124537L, 1124538L, 1124540L, 1124541L, 1124546L, 
1124547L, 1124549L, 1124550L, 1124564L, 1124565L, 1124567L, 1124568L, 
1124573L, 1124574L, 1124576L, 1124577L, 1124582L, 1124583L, 1124585L, 
1124586L, 1124591L, 1124592L, 1124594L, 1124595L, 1124600L, 1124601L, 
1124603L, 1124604L, 1124672L, 1124673L, 1124675L, 1124676L, 1124681L, 
1124682L, 1124684L, 1124685L, 1124690L, 1124691L, 1124693L, 1124694L, 
1124699L, 1124700L, 1124702L, 1124703L, 1124708L, 1124709L, 1124711L, 
1124712L, 1124726L, 1124727L, 1124729L, 1124730L, 1124735L, 1124736L, 
1124738L, 1124739L, 1124744L, 1124745L, 1124747L, 1124748L, 1124753L, 
1124754L, 1124756L, 1124757L, 1124762L, 1124763L, 1124765L, 1124766L, 
1124834L, 1124835L, 1124837L, 1124838L, 1124843L, 1124844L, 1124846L, 
1124847L, 1124852L, 1124853L, 1124855L, 1124856L, 1124861L, 1124862L, 
1124864L, 1124865L, 1124870L, 1124871L, 1124873L, 1124874L, 1124888L, 
1124889L, 1124891L, 1124892L, 1124897L, 1124898L, 1124900L, 1124901L, 
1124906L, 1124907L, 1124909L, 1124910L, 1124915L, 1124916L, 1124918L, 
1124919L, 1124924L, 1124925L, 1124927L, 1124928L, 1124996L, 1124997L, 
1124999L, 1125000L, 1125005L, 1125006L, 1125008L, 1125009L, 1125014L, 
1125015L, 1125017L, 1125018L, 1125023L, 1125024L, 1125026L, 1125027L, 
1125032L, 1125033L, 1125035L, 1125036L, 1125050L, 1125051L, 1125053L, 
1125054L, 1125059L, 1125060L, 1125062L, 1125063L, 1125068L, 1125069L, 
1125071L, 1125072L, 1125077L, 1125078L, 1125080L, 1125081L, 1125086L, 
1125087L, 1125089L, 1125090L, 1125320L, 1125321L, 1125323L, 1125324L, 
1125329L, 1125330L, 1125332L, 1125333L, 1125338L, 1125339L, 1125341L, 
1125342L, 1125347L, 1125348L, 1125350L, 1125351L, 1125356L, 1125357L, 
1125359L, 1125360L, 1125374L, 1125375L, 1125377L, 1125378L, 1125383L, 
1125384L, 1125386L, 1125387L, 1125392L, 1125393L, 1125395L, 1125396L, 
1125401L, 1125402L, 1125404L, 1125405L, 1125410L, 1125411L, 1125413L, 
1125414L, 1125482L, 1125483L, 1125485L, 1125486L, 1125491L, 1125492L, 
1125494L, 1125495L, 1125500L, 1125501L, 1125503L, 1125504L, 1125509L, 
1125510L, 1125512L, 1125513L, 1125518L, 1125519L, 1125521L, 1125522L, 
1125536L, 1125537L, 1125539L, 1125540L, 1125545L, 1125546L, 1125548L, 
1125549L, 1125554L, 1125555L, 1125557L, 1125558L, 1125563L, 1125564L, 
1125566L, 1125567L, 1125572L, 1125573L, 1125575L, 1125576L, 1125644L, 
1125645L, 1125647L, 1125648L, 1125653L, 1125654L, 1125656L, 1125657L, 
1125662L, 1125663L, 1125665L, 1125666L, 1125671L, 1125672L, 1125674L, 
1125675L, 1125680L, 1125681L, 1125683L, 1125684L, 1125698L, 1125699L, 
1125701L, 1125702L, 1125707L, 1125708L, 1125710L, 1125711L, 1125716L, 
1125717L, 1125719L, 1125720L, 1125725L, 1125726L, 1125728L, 1125729L, 
1125734L, 1125735L, 1125737L, 1125738L, 1125806L, 1125807L, 1125809L, 
1125810L, 1125815L, 1125816L, 1125818L, 1125819L, 1125824L, 1125825L, 
1125827L, 1125828L, 1125833L, 1125834L, 1125836L, 1125837L, 1125842L, 
1125843L, 1125845L, 1125846L, 1125860L, 1125861L, 1125863L, 1125864L, 
1125869L, 1125870L, 1125872L, 1125873L, 1125878L, 1125879L, 1125881L, 
1125882L, 1125887L, 1125888L, 1125890L, 1125891L, 1125896L, 1125897L, 
1125899L, 1125900L, 1126130L, 1126131L, 1126133L, 1126134L, 1126139L, 
1126140L, 1126142L, 1126143L, 1126148L, 1126149L, 1126151L, 1126152L, 
1126157L, 1126158L, 1126160L, 1126161L, 1126166L, 1126167L, 1126169L, 
1126170L, 1126184L, 1126185L, 1126187L, 1126188L, 1126193L, 1126194L, 
1126196L, 1126197L, 1126202L, 1126203L, 1126205L, 1126206L, 1126211L, 
1126212L, 1126214L, 1126215L, 1126220L, 1126221L, 1126223L, 1126224L, 
1126292L, 1126293L, 1126295L, 1126296L, 1126301L, 1126302L, 1126304L, 
1126305L, 1126310L, 1126311L, 1126313L, 1126314L, 1126319L, 1126320L, 
1126322L, 1126323L, 1126328L, 1126329L, 1126331L, 1126332L, 1126346L, 
1126347L, 1126349L, 1126350L, 1126355L, 1126356L, 1126358L, 1126359L, 
1126364L, 1126365L, 1126367L, 1126368L, 1126373L, 1126374L, 1126376L, 
1126377L, 1126382L, 1126383L, 1126385L, 1126386L, 1126454L, 1126455L, 
1126457L, 1126458L, 1126463L, 1126464L, 1126466L, 1126467L, 1126472L, 
1126473L, 1126475L, 1126476L, 1126481L, 1126482L, 1126484L, 1126485L, 
1126490L, 1126491L, 1126493L, 1126494L, 1126508L, 1126509L, 1126511L, 
1126512L, 1126517L, 1126518L, 1126520L, 1126521L, 1126526L, 1126527L, 
1126529L, 1126530L, 1126535L, 1126536L, 1126538L, 1126539L, 1126544L, 
1126545L, 1126547L, 1126548L, 1126616L, 1126617L, 1126619L, 1126620L, 
1126625L, 1126626L, 1126628L, 1126629L, 1126634L, 1126635L, 1126637L, 
1126638L, 1126643L, 1126644L, 1126646L, 1126647L, 1126652L, 1126653L, 
1126655L, 1126656L, 1126670L, 1126671L, 1126673L, 1126674L, 1126679L, 
1126680L, 1126682L, 1126683L, 1126688L, 1126689L, 1126691L, 1126692L, 
1126697L, 1126698L, 1126700L, 1126701L, 1126706L, 1126707L, 1126709L, 
1126710L, 1126940L, 1126941L, 1126943L, 1126944L, 1126949L, 1126950L, 
1126952L, 1126953L, 1126958L, 1126959L, 1126961L, 1126962L, 1126967L, 
1126968L, 1126970L, 1126971L, 1126976L, 1126977L, 1126979L, 1126980L, 
1126994L, 1126995L, 1126997L, 1126998L, 1127003L, 1127004L, 1127006L, 
1127007L, 1127012L, 1127013L, 1127015L, 1127016L, 1127021L, 1127022L, 
1127024L, 1127025L, 1127030L, 1127031L, 1127033L, 1127034L, 1127102L, 
1127103L, 1127105L, 1127106L, 1127111L, 1127112L, 1127114L, 1127115L, 
1127120L, 1127121L, 1127123L, 1127124L, 1127129L, 1127130L, 1127132L, 
1127133L, 1127138L, 1127139L, 1127141L, 1127142L, 1127156L, 1127157L, 
1127159L, 1127160L, 1127165L, 1127166L, 1127168L, 1127169L, 1127174L, 
1127175L, 1127177L, 1127178L, 1127183L, 1127184L, 1127186L, 1127187L, 
1127192L, 1127193L, 1127195L, 1127196L, 1127264L, 1127265L, 1127267L, 
1127268L, 1127273L, 1127274L, 1127276L, 1127277L, 1127282L, 1127283L, 
1127285L, 1127286L, 1127291L, 1127292L, 1127294L, 1127295L, 1127300L, 
1127301L, 1127303L, 1127304L, 1127318L, 1127319L, 1127321L, 1127322L, 
1127327L, 1127328L, 1127330L, 1127331L, 1127336L, 1127337L, 1127339L, 
1127340L, 1127345L, 1127346L, 1127348L, 1127349L, 1127354L, 1127355L, 
1127357L, 1127358L, 1127426L, 1127427L, 1127429L, 1127430L, 1127435L, 
1127436L, 1127438L, 1127439L, 1127444L, 1127445L, 1127447L, 1127448L, 
1127453L, 1127454L, 1127456L, 1127457L, 1127462L, 1127463L, 1127465L, 
1127466L, 1127480L, 1127481L, 1127483L, 1127484L, 1127489L, 1127490L, 
1127492L, 1127493L, 1127498L, 1127499L, 1127501L, 1127502L, 1127507L, 
1127508L, 1127510L, 1127511L, 1127516L, 1127517L, 1127519L, 1127520L, 
1128560L, 1128561L, 1128563L, 1128564L, 1128569L, 1128570L, 1128572L, 
1128573L, 1128578L, 1128579L, 1128581L, 1128582L, 1128587L, 1128588L, 
1128590L, 1128591L, 1128596L, 1128597L, 1128599L, 1128600L, 1128614L, 
1128615L, 1128617L, 1128618L, 1128623L, 1128624L, 1128626L, 1128627L, 
1128632L, 1128633L, 1128635L, 1128636L, 1128641L, 1128642L, 1128644L, 
1128645L, 1128650L, 1128651L, 1128653L, 1128654L, 1128722L, 1128723L, 
1128725L, 1128726L, 1128731L, 1128732L, 1128734L, 1128735L, 1128740L, 
1128741L, 1128743L, 1128744L, 1128749L, 1128750L, 1128752L, 1128753L, 
1128758L, 1128759L, 1128761L, 1128762L, 1128776L, 1128777L, 1128779L, 
1128780L, 1128785L, 1128786L, 1128788L, 1128789L, 1128794L, 1128795L, 
1128797L, 1128798L, 1128803L, 1128804L, 1128806L, 1128807L, 1128812L, 
1128813L, 1128815L, 1128816L, 1128884L, 1128885L, 1128887L, 1128888L, 
1128893L, 1128894L, 1128896L, 1128897L, 1128902L, 1128903L, 1128905L, 
1128906L, 1128911L, 1128912L, 1128914L, 1128915L, 1128920L, 1128921L, 
1128923L, 1128924L, 1128938L, 1128939L, 1128941L, 1128942L, 1128947L, 
1128948L, 1128950L, 1128951L, 1128956L, 1128957L, 1128959L, 1128960L, 
1128965L, 1128966L, 1128968L, 1128969L, 1128974L, 1128975L, 1128977L, 
1128978L, 1129046L, 1129047L, 1129049L, 1129050L, 1129055L, 1129056L, 
1129058L, 1129059L, 1129064L, 1129065L, 1129067L, 1129068L, 1129073L, 
1129074L, 1129076L, 1129077L, 1129082L, 1129083L, 1129085L, 1129086L, 
1129100L, 1129101L, 1129103L, 1129104L, 1129109L, 1129110L, 1129112L, 
1129113L, 1129118L, 1129119L, 1129121L, 1129122L, 1129127L, 1129128L, 
1129130L, 1129131L, 1129136L, 1129137L, 1129139L, 1129140L, 1129370L, 
1129371L, 1129373L, 1129374L, 1129379L, 1129380L, 1129382L, 1129383L, 
1129388L, 1129389L, 1129391L, 1129392L, 1129397L, 1129398L, 1129400L, 
1129401L, 1129406L, 1129407L, 1129409L, 1129410L, 1129424L, 1129425L, 
1129427L, 1129428L, 1129433L, 1129434L, 1129436L, 1129437L, 1129442L, 
1129443L, 1129445L, 1129446L, 1129451L, 1129452L, 1129454L, 1129455L, 
1129460L, 1129461L, 1129463L, 1129464L, 1129532L, 1129533L, 1129535L, 
1129536L, 1129541L, 1129542L, 1129544L, 1129545L, 1129550L, 1129551L, 
1129553L, 1129554L, 1129559L, 1129560L, 1129562L, 1129563L, 1129568L, 
1129569L, 1129571L, 1129572L, 1129586L, 1129587L, 1129589L, 1129590L, 
1129595L, 1129596L, 1129598L, 1129599L, 1129604L, 1129605L, 1129607L, 
1129608L, 1129613L, 1129614L, 1129616L, 1129617L, 1129622L, 1129623L, 
1129625L, 1129626L, 1129694L, 1129695L, 1129697L, 1129698L, 1129703L, 
1129704L, 1129706L, 1129707L, 1129712L, 1129713L, 1129715L, 1129716L, 
1129721L, 1129722L, 1129724L, 1129725L, 1129730L, 1129731L, 1129733L, 
1129734L, 1129748L, 1129749L, 1129751L, 1129752L, 1129757L, 1129758L, 
1129760L, 1129761L, 1129766L, 1129767L, 1129769L, 1129770L, 1129775L, 
1129776L, 1129778L, 1129779L, 1129784L, 1129785L, 1129787L, 1129788L, 
1129856L, 1129857L, 1129859L, 1129860L, 1129865L, 1129866L, 1129868L, 
1129869L, 1129874L, 1129875L, 1129877L, 1129878L, 1129883L, 1129884L, 
1129886L, 1129887L, 1129892L, 1129893L, 1129895L, 1129896L, 1129910L, 
1129911L, 1129913L, 1129914L, 1129919L, 1129920L, 1129922L, 1129923L, 
1129928L, 1129929L, 1129931L, 1129932L, 1129937L, 1129938L, 1129940L, 
1129941L, 1129946L, 1129947L, 1129949L, 1129950L, 1130180L, 1130181L, 
1130183L, 1130184L, 1130189L, 1130190L, 1130192L, 1130193L, 1130198L, 
1130199L, 1130201L, 1130202L, 1130207L, 1130208L, 1130210L, 1130211L, 
1130216L, 1130217L, 1130219L, 1130220L, 1130234L, 1130235L, 1130237L, 
1130238L, 1130243L, 1130244L, 1130246L, 1130247L, 1130252L, 1130253L, 
1130255L, 1130256L, 1130261L, 1130262L, 1130264L, 1130265L, 1130270L, 
1130271L, 1130273L, 1130274L, 1130342L, 1130343L, 1130345L, 1130346L, 
1130351L, 1130352L, 1130354L, 1130355L, 1130360L, 1130361L, 1130363L, 
1130364L, 1130369L, 1130370L, 1130372L, 1130373L, 1130378L, 1130379L, 
1130381L, 1130382L, 1130396L, 1130397L, 1130399L, 1130400L, 1130405L, 
1130406L, 1130408L, 1130409L, 1130414L, 1130415L, 1130417L, 1130418L, 
1130423L, 1130424L, 1130426L, 1130427L, 1130432L, 1130433L, 1130435L, 
1130436L, 1130504L, 1130505L, 1130507L, 1130508L, 1130513L, 1130514L, 
1130516L, 1130517L, 1130522L, 1130523L, 1130525L, 1130526L, 1130531L, 
1130532L, 1130534L, 1130535L, 1130540L, 1130541L, 1130543L, 1130544L, 
1130558L, 1130559L, 1130561L, 1130562L, 1130567L, 1130568L, 1130570L, 
1130571L, 1130576L, 1130577L, 1130579L, 1130580L, 1130585L, 1130586L, 
1130588L, 1130589L, 1130594L, 1130595L, 1130597L, 1130598L, 1130666L, 
1130667L, 1130669L, 1130670L, 1130675L, 1130676L, 1130678L, 1130679L, 
1130684L, 1130685L, 1130687L, 1130688L, 1130693L, 1130694L, 1130696L, 
1130697L, 1130702L, 1130703L, 1130705L, 1130706L, 1130720L, 1130721L, 
1130723L, 1130724L, 1130729L, 1130730L, 1130732L, 1130733L, 1130738L, 
1130739L, 1130741L, 1130742L, 1130747L, 1130748L, 1130750L, 1130751L, 
1130756L, 1130757L, 1130759L, 1130760L, 1130990L, 1130991L, 1130993L, 
1130994L, 1130999L, 1131000L, 1131002L, 1131003L, 1131008L, 1131009L, 
1131011L, 1131012L, 1131017L, 1131018L, 1131020L, 1131021L, 1131026L, 
1131027L, 1131029L, 1131030L, 1131044L, 1131045L, 1131047L, 1131048L, 
1131053L, 1131054L, 1131056L, 1131057L, 1131062L, 1131063L, 1131065L, 
1131066L, 1131071L, 1131072L, 1131074L, 1131075L, 1131080L, 1131081L, 
1131083L, 1131084L, 1131152L, 1131153L, 1131155L, 1131156L, 1131161L, 
1131162L, 1131164L, 1131165L, 1131170L, 1131171L, 1131173L, 1131174L, 
1131179L, 1131180L, 1131182L, 1131183L, 1131188L, 1131189L, 1131191L, 
1131192L, 1131206L, 1131207L, 1131209L, 1131210L, 1131215L, 1131216L, 
1131218L, 1131219L, 1131224L, 1131225L, 1131227L, 1131228L, 1131233L, 
1131234L, 1131236L, 1131237L, 1131242L, 1131243L, 1131245L, 1131246L, 
1131314L, 1131315L, 1131317L, 1131318L, 1131323L, 1131324L, 1131326L, 
1131327L, 1131332L, 1131333L, 1131335L, 1131336L, 1131341L, 1131342L, 
1131344L, 1131345L, 1131350L, 1131351L, 1131353L, 1131354L, 1131368L, 
1131369L, 1131371L, 1131372L, 1131377L, 1131378L, 1131380L, 1131381L, 
1131386L, 1131387L, 1131389L, 1131390L, 1131395L, 1131396L, 1131398L, 
1131399L, 1131404L, 1131405L, 1131407L, 1131408L, 1131476L, 1131477L, 
1131479L, 1131480L, 1131485L, 1131486L, 1131488L, 1131489L, 1131494L, 
1131495L, 1131497L, 1131498L, 1131503L, 1131504L, 1131506L, 1131507L, 
1131512L, 1131513L, 1131515L, 1131516L, 1131530L, 1131531L, 1131533L, 
1131534L, 1131539L, 1131540L, 1131542L, 1131543L, 1131548L, 1131549L, 
1131551L, 1131552L, 1131557L, 1131558L, 1131560L, 1131561L, 1131566L, 
1131567L, 1131569L, 1131570L, 1131800L, 1131801L, 1131803L, 1131804L, 
1131809L, 1131810L, 1131812L, 1131813L, 1131818L, 1131819L, 1131821L, 
1131822L, 1131827L, 1131828L, 1131830L, 1131831L, 1131836L, 1131837L, 
1131839L, 1131840L, 1131854L, 1131855L, 1131857L, 1131858L, 1131863L, 
1131864L, 1131866L, 1131867L, 1131872L, 1131873L, 1131875L, 1131876L, 
1131881L, 1131882L, 1131884L, 1131885L, 1131890L, 1131891L, 1131893L, 
1131894L, 1131962L, 1131963L, 1131965L, 1131966L, 1131971L, 1131972L, 
1131974L, 1131975L, 1131980L, 1131981L, 1131983L, 1131984L, 1131989L, 
1131990L, 1131992L, 1131993L, 1131998L, 1131999L, 1132001L, 1132002L, 
1132016L, 1132017L, 1132019L, 1132020L, 1132025L, 1132026L, 1132028L, 
1132029L, 1132034L, 1132035L, 1132037L, 1132038L, 1132043L, 1132044L, 
1132046L, 1132047L, 1132052L, 1132053L, 1132055L, 1132056L, 1132124L, 
1132125L, 1132127L, 1132128L, 1132133L, 1132134L, 1132136L, 1132137L, 
1132142L, 1132143L, 1132145L, 1132146L, 1132151L, 1132152L, 1132154L, 
1132155L, 1132160L, 1132161L, 1132163L, 1132164L, 1132178L, 1132179L, 
1132181L, 1132182L, 1132187L, 1132188L, 1132190L, 1132191L, 1132196L, 
1132197L, 1132199L, 1132200L, 1132205L, 1132206L, 1132208L, 1132209L, 
1132214L, 1132215L, 1132217L, 1132218L, 1132286L, 1132287L, 1132289L, 
1132290L, 1132295L, 1132296L, 1132298L, 1132299L, 1132304L, 1132305L, 
1132307L, 1132308L, 1132313L, 1132314L, 1132316L, 1132317L, 1132322L, 
1132323L, 1132325L, 1132326L, 1132340L, 1132341L, 1132343L, 1132344L, 
1132349L, 1132350L, 1132352L, 1132353L, 1132358L, 1132359L, 1132361L, 
1132362L, 1132367L, 1132368L, 1132370L, 1132371L, 1132376L, 1132377L, 
1132379L, 1132380L, 1133420L, 1133421L, 1133423L, 1133424L, 1133429L, 
1133430L, 1133432L, 1133433L, 1133438L, 1133439L, 1133441L, 1133442L, 
1133447L, 1133448L, 1133450L, 1133451L, 1133456L, 1133457L, 1133459L, 
1133460L, 1133474L, 1133475L, 1133477L, 1133478L, 1133483L, 1133484L, 
1133486L, 1133487L, 1133492L, 1133493L, 1133495L, 1133496L, 1133501L, 
1133502L, 1133504L, 1133505L, 1133510L, 1133511L, 1133513L, 1133514L, 
1133582L, 1133583L, 1133585L, 1133586L, 1133591L, 1133592L, 1133594L, 
1133595L, 1133600L, 1133601L, 1133603L, 1133604L, 1133609L, 1133610L, 
1133612L, 1133613L, 1133618L, 1133619L, 1133621L, 1133622L, 1133636L, 
1133637L, 1133639L, 1133640L, 1133645L, 1133646L, 1133648L, 1133649L, 
1133654L, 1133655L, 1133657L, 1133658L, 1133663L, 1133664L, 1133666L, 
1133667L, 1133672L, 1133673L, 1133675L, 1133676L, 1133744L, 1133745L, 
1133747L, 1133748L, 1133753L, 1133754L, 1133756L, 1133757L, 1133762L, 
1133763L, 1133765L, 1133766L, 1133771L, 1133772L, 1133774L, 1133775L, 
1133780L, 1133781L, 1133783L, 1133784L, 1133798L, 1133799L, 1133801L, 
1133802L, 1133807L, 1133808L, 1133810L, 1133811L, 1133816L, 1133817L, 
1133819L, 1133820L, 1133825L, 1133826L, 1133828L, 1133829L, 1133834L, 
1133835L, 1133837L, 1133838L, 1133906L, 1133907L, 1133909L, 1133910L, 
1133915L, 1133916L, 1133918L, 1133919L, 1133924L, 1133925L, 1133927L, 
1133928L, 1133933L, 1133934L, 1133936L, 1133937L, 1133942L, 1133943L, 
1133945L, 1133946L, 1133960L, 1133961L, 1133963L, 1133964L, 1133969L, 
1133970L, 1133972L, 1133973L, 1133978L, 1133979L, 1133981L, 1133982L, 
1133987L, 1133988L, 1133990L, 1133991L, 1133996L, 1133997L, 1133999L, 
1134000L, 1134230L, 1134231L, 1134233L, 1134234L, 1134239L, 1134240L, 
1134242L, 1134243L, 1134248L, 1134249L, 1134251L, 1134252L, 1134257L, 
1134258L, 1134260L, 1134261L, 1134266L, 1134267L, 1134269L, 1134270L, 
1134284L, 1134285L, 1134287L, 1134288L, 1134293L, 1134294L, 1134296L, 
1134297L, 1134302L, 1134303L, 1134305L, 1134306L, 1134311L, 1134312L, 
1134314L, 1134315L, 1134320L, 1134321L, 1134323L, 1134324L, 1134392L, 
1134393L, 1134395L, 1134396L, 1134401L, 1134402L, 1134404L, 1134405L, 
1134410L, 1134411L, 1134413L, 1134414L, 1134419L, 1134420L, 1134422L, 
1134423L, 1134428L, 1134429L, 1134431L, 1134432L, 1134446L, 1134447L, 
1134449L, 1134450L, 1134455L, 1134456L, 1134458L, 1134459L, 1134464L, 
1134465L, 1134467L, 1134468L, 1134473L, 1134474L, 1134476L, 1134477L, 
1134482L, 1134483L, 1134485L, 1134486L, 1134554L, 1134555L, 1134557L, 
1134558L, 1134563L, 1134564L, 1134566L, 1134567L, 1134572L, 1134573L, 
1134575L, 1134576L, 1134581L, 1134582L, 1134584L, 1134585L, 1134590L, 
1134591L, 1134593L, 1134594L, 1134608L, 1134609L, 1134611L, 1134612L, 
1134617L, 1134618L, 1134620L, 1134621L, 1134626L, 1134627L, 1134629L, 
1134630L, 1134635L, 1134636L, 1134638L, 1134639L, 1134644L, 1134645L, 
1134647L, 1134648L, 1134716L, 1134717L, 1134719L, 1134720L, 1134725L, 
1134726L, 1134728L, 1134729L, 1134734L, 1134735L, 1134737L, 1134738L, 
1134743L, 1134744L, 1134746L, 1134747L, 1134752L, 1134753L, 1134755L, 
1134756L, 1134770L, 1134771L, 1134773L, 1134774L, 1134779L, 1134780L, 
1134782L, 1134783L, 1134788L, 1134789L, 1134791L, 1134792L, 1134797L, 
1134798L, 1134800L, 1134801L, 1134806L, 1134807L, 1134809L, 1134810L, 
1135040L, 1135041L, 1135043L, 1135044L, 1135049L, 1135050L, 1135052L, 
1135053L, 1135058L, 1135059L, 1135061L, 1135062L, 1135067L, 1135068L, 
1135070L, 1135071L, 1135076L, 1135077L, 1135079L, 1135080L, 1135094L, 
1135095L, 1135097L, 1135098L, 1135103L, 1135104L, 1135106L, 1135107L, 
1135112L, 1135113L, 1135115L, 1135116L, 1135121L, 1135122L, 1135124L, 
1135125L, 1135130L, 1135131L, 1135133L, 1135134L, 1135202L, 1135203L, 
1135205L, 1135206L, 1135211L, 1135212L, 1135214L, 1135215L, 1135220L, 
1135221L, 1135223L, 1135224L, 1135229L, 1135230L, 1135232L, 1135233L, 
1135238L, 1135239L, 1135241L, 1135242L, 1135256L, 1135257L, 1135259L, 
1135260L, 1135265L, 1135266L, 1135268L, 1135269L, 1135274L, 1135275L, 
1135277L, 1135278L, 1135283L, 1135284L, 1135286L, 1135287L, 1135292L, 
1135293L, 1135295L, 1135296L, 1135364L, 1135365L, 1135367L, 1135368L, 
1135373L, 1135374L, 1135376L, 1135377L, 1135382L, 1135383L, 1135385L, 
1135386L, 1135391L, 1135392L, 1135394L, 1135395L, 1135400L, 1135401L, 
1135403L, 1135404L, 1135418L, 1135419L, 1135421L, 1135422L, 1135427L, 
1135428L, 1135430L, 1135431L, 1135436L, 1135437L, 1135439L, 1135440L, 
1135445L, 1135446L, 1135448L, 1135449L, 1135454L, 1135455L, 1135457L, 
1135458L, 1135526L, 1135527L, 1135529L, 1135530L, 1135535L, 1135536L, 
1135538L, 1135539L, 1135544L, 1135545L, 1135547L, 1135548L, 1135553L, 
1135554L, 1135556L, 1135557L, 1135562L, 1135563L, 1135565L, 1135566L, 
1135580L, 1135581L, 1135583L, 1135584L, 1135589L, 1135590L, 1135592L, 
1135593L, 1135598L, 1135599L, 1135601L, 1135602L, 1135607L, 1135608L, 
1135610L, 1135611L, 1135616L, 1135617L, 1135619L, 1135620L, 1135850L, 
1135851L, 1135853L, 1135854L, 1135859L, 1135860L, 1135862L, 1135863L, 
1135868L, 1135869L, 1135871L, 1135872L, 1135877L, 1135878L, 1135880L, 
1135881L, 1135886L, 1135887L, 1135889L, 1135890L, 1135904L, 1135905L, 
1135907L, 1135908L, 1135913L, 1135914L, 1135916L, 1135917L, 1135922L, 
1135923L, 1135925L, 1135926L, 1135931L, 1135932L, 1135934L, 1135935L, 
1135940L, 1135941L, 1135943L, 1135944L, 1136012L, 1136013L, 1136015L, 
1136016L, 1136021L, 1136022L, 1136024L, 1136025L, 1136030L, 1136031L, 
1136033L, 1136034L, 1136039L, 1136040L, 1136042L, 1136043L, 1136048L, 
1136049L, 1136051L, 1136052L, 1136066L, 1136067L, 1136069L, 1136070L, 
1136075L, 1136076L, 1136078L, 1136079L, 1136084L, 1136085L, 1136087L, 
1136088L, 1136093L, 1136094L, 1136096L, 1136097L, 1136102L, 1136103L, 
1136105L, 1136106L, 1136174L, 1136175L, 1136177L, 1136178L, 1136183L, 
1136184L, 1136186L, 1136187L, 1136192L, 1136193L, 1136195L, 1136196L, 
1136201L, 1136202L, 1136204L, 1136205L, 1136210L, 1136211L, 1136213L, 
1136214L, 1136228L, 1136229L, 1136231L, 1136232L, 1136237L, 1136238L, 
1136240L, 1136241L, 1136246L, 1136247L, 1136249L, 1136250L, 1136255L, 
1136256L, 1136258L, 1136259L, 1136264L, 1136265L, 1136267L, 1136268L, 
1136336L, 1136337L, 1136339L, 1136340L, 1136345L, 1136346L, 1136348L, 
1136349L, 1136354L, 1136355L, 1136357L, 1136358L, 1136363L, 1136364L, 
1136366L, 1136367L, 1136372L, 1136373L, 1136375L, 1136376L, 1136390L, 
1136391L, 1136393L, 1136394L, 1136399L, 1136400L, 1136402L, 1136403L, 
1136408L, 1136409L, 1136411L, 1136412L, 1136417L, 1136418L, 1136420L, 
1136421L, 1136426L, 1136427L, 1136429L, 1136430L, 1136660L, 1136661L, 
1136663L, 1136664L, 1136669L, 1136670L, 1136672L, 1136673L, 1136678L, 
1136679L, 1136681L, 1136682L, 1136687L, 1136688L, 1136690L, 1136691L, 
1136696L, 1136697L, 1136699L, 1136700L, 1136714L, 1136715L, 1136717L, 
1136718L, 1136723L, 1136724L, 1136726L, 1136727L, 1136732L, 1136733L, 
1136735L, 1136736L, 1136741L, 1136742L, 1136744L, 1136745L, 1136750L, 
1136751L, 1136753L, 1136754L, 1136822L, 1136823L, 1136825L, 1136826L, 
1136831L, 1136832L, 1136834L, 1136835L, 1136840L, 1136841L, 1136843L, 
1136844L, 1136849L, 1136850L, 1136852L, 1136853L, 1136858L, 1136859L, 
1136861L, 1136862L, 1136876L, 1136877L, 1136879L, 1136880L, 1136885L, 
1136886L, 1136888L, 1136889L, 1136894L, 1136895L, 1136897L, 1136898L, 
1136903L, 1136904L, 1136906L, 1136907L, 1136912L, 1136913L, 1136915L, 
1136916L, 1136984L, 1136985L, 1136987L, 1136988L, 1136993L, 1136994L, 
1136996L, 1136997L, 1137002L, 1137003L, 1137005L, 1137006L, 1137011L, 
1137012L, 1137014L, 1137015L, 1137020L, 1137021L, 1137023L, 1137024L, 
1137038L, 1137039L, 1137041L, 1137042L, 1137047L, 1137048L, 1137050L, 
1137051L, 1137056L, 1137057L, 1137059L, 1137060L, 1137065L, 1137066L, 
1137068L, 1137069L, 1137074L, 1137075L, 1137077L, 1137078L, 1137146L, 
1137147L, 1137149L, 1137150L, 1137155L, 1137156L, 1137158L, 1137159L, 
1137164L, 1137165L, 1137167L, 1137168L, 1137173L, 1137174L, 1137176L, 
1137177L, 1137182L, 1137183L, 1137185L, 1137186L, 1137200L, 1137201L, 
1137203L, 1137204L, 1137209L, 1137210L, 1137212L, 1137213L, 1137218L, 
1137219L, 1137221L, 1137222L, 1137227L, 1137228L, 1137230L, 1137231L, 
1137236L, 1137237L, 1137239L, 1137240L, 1148000L, 1148001L, 1148003L, 
1148004L, 1148009L, 1148010L, 1148012L, 1148013L, 1148018L, 1148019L, 
1148021L, 1148022L, 1148027L, 1148028L, 1148030L, 1148031L, 1148036L, 
1148037L, 1148039L, 1148040L, 1148054L, 1148055L, 1148057L, 1148058L, 
1148063L, 1148064L, 1148066L, 1148067L, 1148072L, 1148073L, 1148075L, 
1148076L, 1148081L, 1148082L, 1148084L, 1148085L, 1148090L, 1148091L, 
1148093L, 1148094L, 1148162L, 1148163L, 1148165L, 1148166L, 1148171L, 
1148172L, 1148174L, 1148175L, 1148180L, 1148181L, 1148183L, 1148184L, 
1148189L, 1148190L, 1148192L, 1148193L, 1148198L, 1148199L, 1148201L, 
1148202L, 1148216L, 1148217L, 1148219L, 1148220L, 1148225L, 1148226L, 
1148228L, 1148229L, 1148234L, 1148235L, 1148237L, 1148238L, 1148243L, 
1148244L, 1148246L, 1148247L, 1148252L, 1148253L, 1148255L, 1148256L, 
1148324L, 1148325L, 1148327L, 1148328L, 1148333L, 1148334L, 1148336L, 
1148337L, 1148342L, 1148343L, 1148345L, 1148346L, 1148351L, 1148352L, 
1148354L, 1148355L, 1148360L, 1148361L, 1148363L, 1148364L, 1148378L, 
1148379L, 1148381L, 1148382L, 1148387L, 1148388L, 1148390L, 1148391L, 
1148396L, 1148397L, 1148399L, 1148400L, 1148405L, 1148406L, 1148408L, 
1148409L, 1148414L, 1148415L, 1148417L, 1148418L, 1148486L, 1148487L, 
1148489L, 1148490L, 1148495L, 1148496L, 1148498L, 1148499L, 1148504L, 
1148505L, 1148507L, 1148508L, 1148513L, 1148514L, 1148516L, 1148517L, 
1148522L, 1148523L, 1148525L, 1148526L, 1148540L, 1148541L, 1148543L, 
1148544L, 1148549L, 1148550L, 1148552L, 1148553L, 1148558L, 1148559L, 
1148561L, 1148562L, 1148567L, 1148568L, 1148570L, 1148571L, 1148576L, 
1148577L, 1148579L, 1148580L, 1148810L, 1148811L, 1148813L, 1148814L, 
1148819L, 1148820L, 1148822L, 1148823L, 1148828L, 1148829L, 1148831L, 
1148832L, 1148837L, 1148838L, 1148840L, 1148841L, 1148846L, 1148847L, 
1148849L, 1148850L, 1148864L, 1148865L, 1148867L, 1148868L, 1148873L, 
1148874L, 1148876L, 1148877L, 1148882L, 1148883L, 1148885L, 1148886L, 
1148891L, 1148892L, 1148894L, 1148895L, 1148900L, 1148901L, 1148903L, 
1148904L, 1148972L, 1148973L, 1148975L, 1148976L, 1148981L, 1148982L, 
1148984L, 1148985L, 1148990L, 1148991L, 1148993L, 1148994L, 1148999L, 
1149000L, 1149002L, 1149003L, 1149008L, 1149009L, 1149011L, 1149012L, 
1149026L, 1149027L, 1149029L, 1149030L, 1149035L, 1149036L, 1149038L, 
1149039L, 1149044L, 1149045L, 1149047L, 1149048L, 1149053L, 1149054L, 
1149056L, 1149057L, 1149062L, 1149063L, 1149065L, 1149066L, 1149134L, 
1149135L, 1149137L, 1149138L, 1149143L, 1149144L, 1149146L, 1149147L, 
1149152L, 1149153L, 1149155L, 1149156L, 1149161L, 1149162L, 1149164L, 
1149165L, 1149170L, 1149171L, 1149173L, 1149174L, 1149188L, 1149189L, 
1149191L, 1149192L, 1149197L, 1149198L, 1149200L, 1149201L, 1149206L, 
1149207L, 1149209L, 1149210L, 1149215L, 1149216L, 1149218L, 1149219L, 
1149224L, 1149225L, 1149227L, 1149228L, 1149296L, 1149297L, 1149299L, 
1149300L, 1149305L, 1149306L, 1149308L, 1149309L, 1149314L, 1149315L, 
1149317L, 1149318L, 1149323L, 1149324L, 1149326L, 1149327L, 1149332L, 
1149333L, 1149335L, 1149336L, 1149350L, 1149351L, 1149353L, 1149354L, 
1149359L, 1149360L, 1149362L, 1149363L, 1149368L, 1149369L, 1149371L, 
1149372L, 1149377L, 1149378L, 1149380L, 1149381L, 1149386L, 1149387L, 
1149389L, 1149390L, 1149620L, 1149621L, 1149623L, 1149624L, 1149629L, 
1149630L, 1149632L, 1149633L, 1149638L, 1149639L, 1149641L, 1149642L, 
1149647L, 1149648L, 1149650L, 1149651L, 1149656L, 1149657L, 1149659L, 
1149660L, 1149674L, 1149675L, 1149677L, 1149678L, 1149683L, 1149684L, 
1149686L, 1149687L, 1149692L, 1149693L, 1149695L, 1149696L, 1149701L, 
1149702L, 1149704L, 1149705L, 1149710L, 1149711L, 1149713L, 1149714L, 
1149782L, 1149783L, 1149785L, 1149786L, 1149791L, 1149792L, 1149794L, 
1149795L, 1149800L, 1149801L, 1149803L, 1149804L, 1149809L, 1149810L, 
1149812L, 1149813L, 1149818L, 1149819L, 1149821L, 1149822L, 1149836L, 
1149837L, 1149839L, 1149840L, 1149845L, 1149846L, 1149848L, 1149849L, 
1149854L, 1149855L, 1149857L, 1149858L, 1149863L, 1149864L, 1149866L, 
1149867L, 1149872L, 1149873L, 1149875L, 1149876L, 1149944L, 1149945L, 
1149947L, 1149948L, 1149953L, 1149954L, 1149956L, 1149957L, 1149962L, 
1149963L, 1149965L, 1149966L, 1149971L, 1149972L, 1149974L, 1149975L, 
1149980L, 1149981L, 1149983L, 1149984L, 1149998L, 1149999L, 1150001L, 
1150002L, 1150007L, 1150008L, 1150010L, 1150011L, 1150016L, 1150017L, 
1150019L, 1150020L, 1150025L, 1150026L, 1150028L, 1150029L, 1150034L, 
1150035L, 1150037L, 1150038L, 1150106L, 1150107L, 1150109L, 1150110L, 
1150115L, 1150116L, 1150118L, 1150119L, 1150124L, 1150125L, 1150127L, 
1150128L, 1150133L, 1150134L, 1150136L, 1150137L, 1150142L, 1150143L, 
1150145L, 1150146L, 1150160L, 1150161L, 1150163L, 1150164L, 1150169L, 
1150170L, 1150172L, 1150173L, 1150178L, 1150179L, 1150181L, 1150182L, 
1150187L, 1150188L, 1150190L, 1150191L, 1150196L, 1150197L, 1150199L, 
1150200L, 1150430L, 1150431L, 1150433L, 1150434L, 1150439L, 1150440L, 
1150442L, 1150443L, 1150448L, 1150449L, 1150451L, 1150452L, 1150457L, 
1150458L, 1150460L, 1150461L, 1150466L, 1150467L, 1150469L, 1150470L, 
1150484L, 1150485L, 1150487L, 1150488L, 1150493L, 1150494L, 1150496L, 
1150497L, 1150502L, 1150503L, 1150505L, 1150506L, 1150511L, 1150512L, 
1150514L, 1150515L, 1150520L, 1150521L, 1150523L, 1150524L, 1150592L, 
1150593L, 1150595L, 1150596L, 1150601L, 1150602L, 1150604L, 1150605L, 
1150610L, 1150611L, 1150613L, 1150614L, 1150619L, 1150620L, 1150622L, 
1150623L, 1150628L, 1150629L, 1150631L, 1150632L, 1150646L, 1150647L, 
1150649L, 1150650L, 1150655L, 1150656L, 1150658L, 1150659L, 1150664L, 
1150665L, 1150667L, 1150668L, 1150673L, 1150674L, 1150676L, 1150677L, 
1150682L, 1150683L, 1150685L, 1150686L, 1150754L, 1150755L, 1150757L, 
1150758L, 1150763L, 1150764L, 1150766L, 1150767L, 1150772L, 1150773L, 
1150775L, 1150776L, 1150781L, 1150782L, 1150784L, 1150785L, 1150790L, 
1150791L, 1150793L, 1150794L, 1150808L, 1150809L, 1150811L, 1150812L, 
1150817L, 1150818L, 1150820L, 1150821L, 1150826L, 1150827L, 1150829L, 
1150830L, 1150835L, 1150836L, 1150838L, 1150839L, 1150844L, 1150845L, 
1150847L, 1150848L, 1150916L, 1150917L, 1150919L, 1150920L, 1150925L, 
1150926L, 1150928L, 1150929L, 1150934L, 1150935L, 1150937L, 1150938L, 
1150943L, 1150944L, 1150946L, 1150947L, 1150952L, 1150953L, 1150955L, 
1150956L, 1150970L, 1150971L, 1150973L, 1150974L, 1150979L, 1150980L, 
1150982L, 1150983L, 1150988L, 1150989L, 1150991L, 1150992L, 1150997L, 
1150998L, 1151000L, 1151001L, 1151006L, 1151007L, 1151009L, 1151010L, 
1151240L, 1151241L, 1151243L, 1151244L, 1151249L, 1151250L, 1151252L, 
1151253L, 1151258L, 1151259L, 1151261L, 1151262L, 1151267L, 1151268L, 
1151270L, 1151271L, 1151276L, 1151277L, 1151279L, 1151280L, 1151294L, 
1151295L, 1151297L, 1151298L, 1151303L, 1151304L, 1151306L, 1151307L, 
1151312L, 1151313L, 1151315L, 1151316L, 1151321L, 1151322L, 1151324L, 
1151325L, 1151330L, 1151331L, 1151333L, 1151334L, 1151402L, 1151403L, 
1151405L, 1151406L, 1151411L, 1151412L, 1151414L, 1151415L, 1151420L, 
1151421L, 1151423L, 1151424L, 1151429L, 1151430L, 1151432L, 1151433L, 
1151438L, 1151439L, 1151441L, 1151442L, 1151456L, 1151457L, 1151459L, 
1151460L, 1151465L, 1151466L, 1151468L, 1151469L, 1151474L, 1151475L, 
1151477L, 1151478L, 1151483L, 1151484L, 1151486L, 1151487L, 1151492L, 
1151493L, 1151495L, 1151496L, 1151564L, 1151565L, 1151567L, 1151568L, 
1151573L, 1151574L, 1151576L, 1151577L, 1151582L, 1151583L, 1151585L, 
1151586L, 1151591L, 1151592L, 1151594L, 1151595L, 1151600L, 1151601L, 
1151603L, 1151604L, 1151618L, 1151619L, 1151621L, 1151622L, 1151627L, 
1151628L, 1151630L, 1151631L, 1151636L, 1151637L, 1151639L, 1151640L, 
1151645L, 1151646L, 1151648L, 1151649L, 1151654L, 1151655L, 1151657L, 
1151658L, 1151726L, 1151727L, 1151729L, 1151730L, 1151735L, 1151736L, 
1151738L, 1151739L, 1151744L, 1151745L, 1151747L, 1151748L, 1151753L, 
1151754L, 1151756L, 1151757L, 1151762L, 1151763L, 1151765L, 1151766L, 
1151780L, 1151781L, 1151783L, 1151784L, 1151789L, 1151790L, 1151792L, 
1151793L, 1151798L, 1151799L, 1151801L, 1151802L, 1151807L, 1151808L, 
1151810L, 1151811L, 1151816L, 1151817L, 1151819L, 1151820L, 1152860L, 
1152861L, 1152863L, 1152864L, 1152869L, 1152870L, 1152872L, 1152873L, 
1152878L, 1152879L, 1152881L, 1152882L, 1152887L, 1152888L, 1152890L, 
1152891L, 1152896L, 1152897L, 1152899L, 1152900L, 1152914L, 1152915L, 
1152917L, 1152918L, 1152923L, 1152924L, 1152926L, 1152927L, 1152932L, 
1152933L, 1152935L, 1152936L, 1152941L, 1152942L, 1152944L, 1152945L, 
1152950L, 1152951L, 1152953L, 1152954L, 1153022L, 1153023L, 1153025L, 
1153026L, 1153031L, 1153032L, 1153034L, 1153035L, 1153040L, 1153041L, 
1153043L, 1153044L, 1153049L, 1153050L, 1153052L, 1153053L, 1153058L, 
1153059L, 1153061L, 1153062L, 1153076L, 1153077L, 1153079L, 1153080L, 
1153085L, 1153086L, 1153088L, 1153089L, 1153094L, 1153095L, 1153097L, 
1153098L, 1153103L, 1153104L, 1153106L, 1153107L, 1153112L, 1153113L, 
1153115L, 1153116L, 1153184L, 1153185L, 1153187L, 1153188L, 1153193L, 
1153194L, 1153196L, 1153197L, 1153202L, 1153203L, 1153205L, 1153206L, 
1153211L, 1153212L, 1153214L, 1153215L, 1153220L, 1153221L, 1153223L, 
1153224L, 1153238L, 1153239L, 1153241L, 1153242L, 1153247L, 1153248L, 
1153250L, 1153251L, 1153256L, 1153257L, 1153259L, 1153260L, 1153265L, 
1153266L, 1153268L, 1153269L, 1153274L, 1153275L, 1153277L, 1153278L, 
1153346L, 1153347L, 1153349L, 1153350L, 1153355L, 1153356L, 1153358L, 
1153359L, 1153364L, 1153365L, 1153367L, 1153368L, 1153373L, 1153374L, 
1153376L, 1153377L, 1153382L, 1153383L, 1153385L, 1153386L, 1153400L, 
1153401L, 1153403L, 1153404L, 1153409L, 1153410L, 1153412L, 1153413L, 
1153418L, 1153419L, 1153421L, 1153422L, 1153427L, 1153428L, 1153430L, 
1153431L, 1153436L, 1153437L, 1153439L, 1153440L, 1153670L, 1153671L, 
1153673L, 1153674L, 1153679L, 1153680L, 1153682L, 1153683L, 1153688L, 
1153689L, 1153691L, 1153692L, 1153697L, 1153698L, 1153700L, 1153701L, 
1153706L, 1153707L, 1153709L, 1153710L, 1153724L, 1153725L, 1153727L, 
1153728L, 1153733L, 1153734L, 1153736L, 1153737L, 1153742L, 1153743L, 
1153745L, 1153746L, 1153751L, 1153752L, 1153754L, 1153755L, 1153760L, 
1153761L, 1153763L, 1153764L, 1153832L, 1153833L, 1153835L, 1153836L, 
1153841L, 1153842L, 1153844L, 1153845L, 1153850L, 1153851L, 1153853L, 
1153854L, 1153859L, 1153860L, 1153862L, 1153863L, 1153868L, 1153869L, 
1153871L, 1153872L, 1153886L, 1153887L, 1153889L, 1153890L, 1153895L, 
1153896L, 1153898L, 1153899L, 1153904L, 1153905L, 1153907L, 1153908L, 
1153913L, 1153914L, 1153916L, 1153917L, 1153922L, 1153923L, 1153925L, 
1153926L, 1153994L, 1153995L, 1153997L, 1153998L, 1154003L, 1154004L, 
1154006L, 1154007L, 1154012L, 1154013L, 1154015L, 1154016L, 1154021L, 
1154022L, 1154024L, 1154025L, 1154030L, 1154031L, 1154033L, 1154034L, 
1154048L, 1154049L, 1154051L, 1154052L, 1154057L, 1154058L, 1154060L, 
1154061L, 1154066L, 1154067L, 1154069L, 1154070L, 1154075L, 1154076L, 
1154078L, 1154079L, 1154084L, 1154085L, 1154087L, 1154088L, 1154156L, 
1154157L, 1154159L, 1154160L, 1154165L, 1154166L, 1154168L, 1154169L, 
1154174L, 1154175L, 1154177L, 1154178L, 1154183L, 1154184L, 1154186L, 
1154187L, 1154192L, 1154193L, 1154195L, 1154196L, 1154210L, 1154211L, 
1154213L, 1154214L, 1154219L, 1154220L, 1154222L, 1154223L, 1154228L, 
1154229L, 1154231L, 1154232L, 1154237L, 1154238L, 1154240L, 1154241L, 
1154246L, 1154247L, 1154249L, 1154250L, 1154480L, 1154481L, 1154483L, 
1154484L, 1154489L, 1154490L, 1154492L, 1154493L, 1154498L, 1154499L, 
1154501L, 1154502L, 1154507L, 1154508L, 1154510L, 1154511L, 1154516L, 
1154517L, 1154519L, 1154520L, 1154534L, 1154535L, 1154537L, 1154538L, 
1154543L, 1154544L, 1154546L, 1154547L, 1154552L, 1154553L, 1154555L, 
1154556L, 1154561L, 1154562L, 1154564L, 1154565L, 1154570L, 1154571L, 
1154573L, 1154574L, 1154642L, 1154643L, 1154645L, 1154646L, 1154651L, 
1154652L, 1154654L, 1154655L, 1154660L, 1154661L, 1154663L, 1154664L, 
1154669L, 1154670L, 1154672L, 1154673L, 1154678L, 1154679L, 1154681L, 
1154682L, 1154696L, 1154697L, 1154699L, 1154700L, 1154705L, 1154706L, 
1154708L, 1154709L, 1154714L, 1154715L, 1154717L, 1154718L, 1154723L, 
1154724L, 1154726L, 1154727L, 1154732L, 1154733L, 1154735L, 1154736L, 
1154804L, 1154805L, 1154807L, 1154808L, 1154813L, 1154814L, 1154816L, 
1154817L, 1154822L, 1154823L, 1154825L, 1154826L, 1154831L, 1154832L, 
1154834L, 1154835L, 1154840L, 1154841L, 1154843L, 1154844L, 1154858L, 
1154859L, 1154861L, 1154862L, 1154867L, 1154868L, 1154870L, 1154871L, 
1154876L, 1154877L, 1154879L, 1154880L, 1154885L, 1154886L, 1154888L, 
1154889L, 1154894L, 1154895L, 1154897L, 1154898L, 1154966L, 1154967L, 
1154969L, 1154970L, 1154975L, 1154976L, 1154978L, 1154979L, 1154984L, 
1154985L, 1154987L, 1154988L, 1154993L, 1154994L, 1154996L, 1154997L, 
1155002L, 1155003L, 1155005L, 1155006L, 1155020L, 1155021L, 1155023L, 
1155024L, 1155029L, 1155030L, 1155032L, 1155033L, 1155038L, 1155039L, 
1155041L, 1155042L, 1155047L, 1155048L, 1155050L, 1155051L, 1155056L, 
1155057L, 1155059L, 1155060L, 1155290L, 1155291L, 1155293L, 1155294L, 
1155299L, 1155300L, 1155302L, 1155303L, 1155308L, 1155309L, 1155311L, 
1155312L, 1155317L, 1155318L, 1155320L, 1155321L, 1155326L, 1155327L, 
1155329L, 1155330L, 1155344L, 1155345L, 1155347L, 1155348L, 1155353L, 
1155354L, 1155356L, 1155357L, 1155362L, 1155363L, 1155365L, 1155366L, 
1155371L, 1155372L, 1155374L, 1155375L, 1155380L, 1155381L, 1155383L, 
1155384L, 1155452L, 1155453L, 1155455L, 1155456L, 1155461L, 1155462L, 
1155464L, 1155465L, 1155470L, 1155471L, 1155473L, 1155474L, 1155479L, 
1155480L, 1155482L, 1155483L, 1155488L, 1155489L, 1155491L, 1155492L, 
1155506L, 1155507L, 1155509L, 1155510L, 1155515L, 1155516L, 1155518L, 
1155519L, 1155524L, 1155525L, 1155527L, 1155528L, 1155533L, 1155534L, 
1155536L, 1155537L, 1155542L, 1155543L, 1155545L, 1155546L, 1155614L, 
1155615L, 1155617L, 1155618L, 1155623L, 1155624L, 1155626L, 1155627L, 
1155632L, 1155633L, 1155635L, 1155636L, 1155641L, 1155642L, 1155644L, 
1155645L, 1155650L, 1155651L, 1155653L, 1155654L, 1155668L, 1155669L, 
1155671L, 1155672L, 1155677L, 1155678L, 1155680L, 1155681L, 1155686L, 
1155687L, 1155689L, 1155690L, 1155695L, 1155696L, 1155698L, 1155699L, 
1155704L, 1155705L, 1155707L, 1155708L, 1155776L, 1155777L, 1155779L, 
1155780L, 1155785L, 1155786L, 1155788L, 1155789L, 1155794L, 1155795L, 
1155797L, 1155798L, 1155803L, 1155804L, 1155806L, 1155807L, 1155812L, 
1155813L, 1155815L, 1155816L, 1155830L, 1155831L, 1155833L, 1155834L, 
1155839L, 1155840L, 1155842L, 1155843L, 1155848L, 1155849L, 1155851L, 
1155852L, 1155857L, 1155858L, 1155860L, 1155861L, 1155866L, 1155867L, 
1155869L, 1155870L, 1156100L, 1156101L, 1156103L, 1156104L, 1156109L, 
1156110L, 1156112L, 1156113L, 1156118L, 1156119L, 1156121L, 1156122L, 
1156127L, 1156128L, 1156130L, 1156131L, 1156136L, 1156137L, 1156139L, 
1156140L, 1156154L, 1156155L, 1156157L, 1156158L, 1156163L, 1156164L, 
1156166L, 1156167L, 1156172L, 1156173L, 1156175L, 1156176L, 1156181L, 
1156182L, 1156184L, 1156185L, 1156190L, 1156191L, 1156193L, 1156194L, 
1156262L, 1156263L, 1156265L, 1156266L, 1156271L, 1156272L, 1156274L, 
1156275L, 1156280L, 1156281L, 1156283L, 1156284L, 1156289L, 1156290L, 
1156292L, 1156293L, 1156298L, 1156299L, 1156301L, 1156302L, 1156316L, 
1156317L, 1156319L, 1156320L, 1156325L, 1156326L, 1156328L, 1156329L, 
1156334L, 1156335L, 1156337L, 1156338L, 1156343L, 1156344L, 1156346L, 
1156347L, 1156352L, 1156353L, 1156355L, 1156356L, 1156424L, 1156425L, 
1156427L, 1156428L, 1156433L, 1156434L, 1156436L, 1156437L, 1156442L, 
1156443L, 1156445L, 1156446L, 1156451L, 1156452L, 1156454L, 1156455L, 
1156460L, 1156461L, 1156463L, 1156464L, 1156478L, 1156479L, 1156481L, 
1156482L, 1156487L, 1156488L, 1156490L, 1156491L, 1156496L, 1156497L, 
1156499L, 1156500L, 1156505L, 1156506L, 1156508L, 1156509L, 1156514L, 
1156515L, 1156517L, 1156518L, 1156586L, 1156587L, 1156589L, 1156590L, 
1156595L, 1156596L, 1156598L, 1156599L, 1156604L, 1156605L, 1156607L, 
1156608L, 1156613L, 1156614L, 1156616L, 1156617L, 1156622L, 1156623L, 
1156625L, 1156626L, 1156640L, 1156641L, 1156643L, 1156644L, 1156649L, 
1156650L, 1156652L, 1156653L, 1156658L, 1156659L, 1156661L, 1156662L, 
1156667L, 1156668L, 1156670L, 1156671L, 1156676L, 1156677L, 1156679L, 
1156680L, 1157720L, 1157721L, 1157723L, 1157724L, 1157729L, 1157730L, 
1157732L, 1157733L, 1157738L, 1157739L, 1157741L, 1157742L, 1157747L, 
1157748L, 1157750L, 1157751L, 1157756L, 1157757L, 1157759L, 1157760L, 
1157774L, 1157775L, 1157777L, 1157778L, 1157783L, 1157784L, 1157786L, 
1157787L, 1157792L, 1157793L, 1157795L, 1157796L, 1157801L, 1157802L, 
1157804L, 1157805L, 1157810L, 1157811L, 1157813L, 1157814L, 1157882L, 
1157883L, 1157885L, 1157886L, 1157891L, 1157892L, 1157894L, 1157895L, 
1157900L, 1157901L, 1157903L, 1157904L, 1157909L, 1157910L, 1157912L, 
1157913L, 1157918L, 1157919L, 1157921L, 1157922L, 1157936L, 1157937L, 
1157939L, 1157940L, 1157945L, 1157946L, 1157948L, 1157949L, 1157954L, 
1157955L, 1157957L, 1157958L, 1157963L, 1157964L, 1157966L, 1157967L, 
1157972L, 1157973L, 1157975L, 1157976L, 1158044L, 1158045L, 1158047L, 
1158048L, 1158053L, 1158054L, 1158056L, 1158057L, 1158062L, 1158063L, 
1158065L, 1158066L, 1158071L, 1158072L, 1158074L, 1158075L, 1158080L, 
1158081L, 1158083L, 1158084L, 1158098L, 1158099L, 1158101L, 1158102L, 
1158107L, 1158108L, 1158110L, 1158111L, 1158116L, 1158117L, 1158119L, 
1158120L, 1158125L, 1158126L, 1158128L, 1158129L, 1158134L, 1158135L, 
1158137L, 1158138L, 1158206L, 1158207L, 1158209L, 1158210L, 1158215L, 
1158216L, 1158218L, 1158219L, 1158224L, 1158225L, 1158227L, 1158228L, 
1158233L, 1158234L, 1158236L, 1158237L, 1158242L, 1158243L, 1158245L, 
1158246L, 1158260L, 1158261L, 1158263L, 1158264L, 1158269L, 1158270L, 
1158272L, 1158273L, 1158278L, 1158279L, 1158281L, 1158282L, 1158287L, 
1158288L, 1158290L, 1158291L, 1158296L, 1158297L, 1158299L, 1158300L, 
1158530L, 1158531L, 1158533L, 1158534L, 1158539L, 1158540L, 1158542L, 
1158543L, 1158548L, 1158549L, 1158551L, 1158552L, 1158557L, 1158558L, 
1158560L, 1158561L, 1158566L, 1158567L, 1158569L, 1158570L, 1158584L, 
1158585L, 1158587L, 1158588L, 1158593L, 1158594L, 1158596L, 1158597L, 
1158602L, 1158603L, 1158605L, 1158606L, 1158611L, 1158612L, 1158614L, 
1158615L, 1158620L, 1158621L, 1158623L, 1158624L, 1158692L, 1158693L, 
1158695L, 1158696L, 1158701L, 1158702L, 1158704L, 1158705L, 1158710L, 
1158711L, 1158713L, 1158714L, 1158719L, 1158720L, 1158722L, 1158723L, 
1158728L, 1158729L, 1158731L, 1158732L, 1158746L, 1158747L, 1158749L, 
1158750L, 1158755L, 1158756L, 1158758L, 1158759L, 1158764L, 1158765L, 
1158767L, 1158768L, 1158773L, 1158774L, 1158776L, 1158777L, 1158782L, 
1158783L, 1158785L, 1158786L, 1158854L, 1158855L, 1158857L, 1158858L, 
1158863L, 1158864L, 1158866L, 1158867L, 1158872L, 1158873L, 1158875L, 
1158876L, 1158881L, 1158882L, 1158884L, 1158885L, 1158890L, 1158891L, 
1158893L, 1158894L, 1158908L, 1158909L, 1158911L, 1158912L, 1158917L, 
1158918L, 1158920L, 1158921L, 1158926L, 1158927L, 1158929L, 1158930L, 
1158935L, 1158936L, 1158938L, 1158939L, 1158944L, 1158945L, 1158947L, 
1158948L, 1159016L, 1159017L, 1159019L, 1159020L, 1159025L, 1159026L, 
1159028L, 1159029L, 1159034L, 1159035L, 1159037L, 1159038L, 1159043L, 
1159044L, 1159046L, 1159047L, 1159052L, 1159053L, 1159055L, 1159056L, 
1159070L, 1159071L, 1159073L, 1159074L, 1159079L, 1159080L, 1159082L, 
1159083L, 1159088L, 1159089L, 1159091L, 1159092L, 1159097L, 1159098L, 
1159100L, 1159101L, 1159106L, 1159107L, 1159109L, 1159110L, 1159340L, 
1159341L, 1159343L, 1159344L, 1159349L, 1159350L, 1159352L, 1159353L, 
1159358L, 1159359L, 1159361L, 1159362L, 1159367L, 1159368L, 1159370L, 
1159371L, 1159376L, 1159377L, 1159379L, 1159380L, 1159394L, 1159395L, 
1159397L, 1159398L, 1159403L, 1159404L, 1159406L, 1159407L, 1159412L, 
1159413L, 1159415L, 1159416L, 1159421L, 1159422L, 1159424L, 1159425L, 
1159430L, 1159431L, 1159433L, 1159434L, 1159502L, 1159503L, 1159505L, 
1159506L, 1159511L, 1159512L, 1159514L, 1159515L, 1159520L, 1159521L, 
1159523L, 1159524L, 1159529L, 1159530L, 1159532L, 1159533L, 1159538L, 
1159539L, 1159541L, 1159542L, 1159556L, 1159557L, 1159559L, 1159560L, 
1159565L, 1159566L, 1159568L, 1159569L, 1159574L, 1159575L, 1159577L, 
1159578L, 1159583L, 1159584L, 1159586L, 1159587L, 1159592L, 1159593L, 
1159595L, 1159596L, 1159664L, 1159665L, 1159667L, 1159668L, 1159673L, 
1159674L, 1159676L, 1159677L, 1159682L, 1159683L, 1159685L, 1159686L, 
1159691L, 1159692L, 1159694L, 1159695L, 1159700L, 1159701L, 1159703L, 
1159704L, 1159718L, 1159719L, 1159721L, 1159722L, 1159727L, 1159728L, 
1159730L, 1159731L, 1159736L, 1159737L, 1159739L, 1159740L, 1159745L, 
1159746L, 1159748L, 1159749L, 1159754L, 1159755L, 1159757L, 1159758L, 
1159826L, 1159827L, 1159829L, 1159830L, 1159835L, 1159836L, 1159838L, 
1159839L, 1159844L, 1159845L, 1159847L, 1159848L, 1159853L, 1159854L, 
1159856L, 1159857L, 1159862L, 1159863L, 1159865L, 1159866L, 1159880L, 
1159881L, 1159883L, 1159884L, 1159889L, 1159890L, 1159892L, 1159893L, 
1159898L, 1159899L, 1159901L, 1159902L, 1159907L, 1159908L, 1159910L, 
1159911L, 1159916L, 1159917L, 1159919L, 1159920L, 1160150L, 1160151L, 
1160153L, 1160154L, 1160159L, 1160160L, 1160162L, 1160163L, 1160168L, 
1160169L, 1160171L, 1160172L, 1160177L, 1160178L, 1160180L, 1160181L, 
1160186L, 1160187L, 1160189L, 1160190L, 1160204L, 1160205L, 1160207L, 
1160208L, 1160213L, 1160214L, 1160216L, 1160217L, 1160222L, 1160223L, 
1160225L, 1160226L, 1160231L, 1160232L, 1160234L, 1160235L, 1160240L, 
1160241L, 1160243L, 1160244L, 1160312L, 1160313L, 1160315L, 1160316L, 
1160321L, 1160322L, 1160324L, 1160325L, 1160330L, 1160331L, 1160333L, 
1160334L, 1160339L, 1160340L, 1160342L, 1160343L, 1160348L, 1160349L, 
1160351L, 1160352L, 1160366L, 1160367L, 1160369L, 1160370L, 1160375L, 
1160376L, 1160378L, 1160379L, 1160384L, 1160385L, 1160387L, 1160388L, 
1160393L, 1160394L, 1160396L, 1160397L, 1160402L, 1160403L, 1160405L, 
1160406L, 1160474L, 1160475L, 1160477L, 1160478L, 1160483L, 1160484L, 
1160486L, 1160487L, 1160492L, 1160493L, 1160495L, 1160496L, 1160501L, 
1160502L, 1160504L, 1160505L, 1160510L, 1160511L, 1160513L, 1160514L, 
1160528L, 1160529L, 1160531L, 1160532L, 1160537L, 1160538L, 1160540L, 
1160541L, 1160546L, 1160547L, 1160549L, 1160550L, 1160555L, 1160556L, 
1160558L, 1160559L, 1160564L, 1160565L, 1160567L, 1160568L, 1160636L, 
1160637L, 1160639L, 1160640L, 1160645L, 1160646L, 1160648L, 1160649L, 
1160654L, 1160655L, 1160657L, 1160658L, 1160663L, 1160664L, 1160666L, 
1160667L, 1160672L, 1160673L, 1160675L, 1160676L, 1160690L, 1160691L, 
1160693L, 1160694L, 1160699L, 1160700L, 1160702L, 1160703L, 1160708L, 
1160709L, 1160711L, 1160712L, 1160717L, 1160718L, 1160720L, 1160721L, 
1160726L, 1160727L, 1160729L, 1160730L, 1160960L, 1160961L, 1160963L, 
1160964L, 1160969L, 1160970L, 1160972L, 1160973L, 1160978L, 1160979L, 
1160981L, 1160982L, 1160987L, 1160988L, 1160990L, 1160991L, 1160996L, 
1160997L, 1160999L, 1161000L, 1161014L, 1161015L, 1161017L, 1161018L, 
1161023L, 1161024L, 1161026L, 1161027L, 1161032L, 1161033L, 1161035L, 
1161036L, 1161041L, 1161042L, 1161044L, 1161045L, 1161050L, 1161051L, 
1161053L, 1161054L, 1161122L, 1161123L, 1161125L, 1161126L, 1161131L, 
1161132L, 1161134L, 1161135L, 1161140L, 1161141L, 1161143L, 1161144L, 
1161149L, 1161150L, 1161152L, 1161153L, 1161158L, 1161159L, 1161161L, 
1161162L, 1161176L, 1161177L, 1161179L, 1161180L, 1161185L, 1161186L, 
1161188L, 1161189L, 1161194L, 1161195L, 1161197L, 1161198L, 1161203L, 
1161204L, 1161206L, 1161207L, 1161212L, 1161213L, 1161215L, 1161216L, 
1161284L, 1161285L, 1161287L, 1161288L, 1161293L, 1161294L, 1161296L, 
1161297L, 1161302L, 1161303L, 1161305L, 1161306L, 1161311L, 1161312L, 
1161314L, 1161315L, 1161320L, 1161321L, 1161323L, 1161324L, 1161338L, 
1161339L, 1161341L, 1161342L, 1161347L, 1161348L, 1161350L, 1161351L, 
1161356L, 1161357L, 1161359L, 1161360L, 1161365L, 1161366L, 1161368L, 
1161369L, 1161374L, 1161375L, 1161377L, 1161378L, 1161446L, 1161447L, 
1161449L, 1161450L, 1161455L, 1161456L, 1161458L, 1161459L, 1161464L, 
1161465L, 1161467L, 1161468L, 1161473L, 1161474L, 1161476L, 1161477L, 
1161482L, 1161483L, 1161485L, 1161486L, 1161500L, 1161501L, 1161503L, 
1161504L, 1161509L, 1161510L, 1161512L, 1161513L, 1161518L, 1161519L, 
1161521L, 1161522L, 1161527L, 1161528L, 1161530L, 1161531L, 1161536L, 
1161537L, 1161539L, 1161540L, 1172300L, 1172301L, 1172303L, 1172304L, 
1172309L, 1172310L, 1172312L, 1172313L, 1172318L, 1172319L, 1172321L, 
1172322L, 1172327L, 1172328L, 1172330L, 1172331L, 1172336L, 1172337L, 
1172339L, 1172340L, 1172354L, 1172355L, 1172357L, 1172358L, 1172363L, 
1172364L, 1172366L, 1172367L, 1172372L, 1172373L, 1172375L, 1172376L, 
1172381L, 1172382L, 1172384L, 1172385L, 1172390L, 1172391L, 1172393L, 
1172394L, 1172462L, 1172463L, 1172465L, 1172466L, 1172471L, 1172472L, 
1172474L, 1172475L, 1172480L, 1172481L, 1172483L, 1172484L, 1172489L, 
1172490L, 1172492L, 1172493L, 1172498L, 1172499L, 1172501L, 1172502L, 
1172516L, 1172517L, 1172519L, 1172520L, 1172525L, 1172526L, 1172528L, 
1172529L, 1172534L, 1172535L, 1172537L, 1172538L, 1172543L, 1172544L, 
1172546L, 1172547L, 1172552L, 1172553L, 1172555L, 1172556L, 1172624L, 
1172625L, 1172627L, 1172628L, 1172633L, 1172634L, 1172636L, 1172637L, 
1172642L, 1172643L, 1172645L, 1172646L, 1172651L, 1172652L, 1172654L, 
1172655L, 1172660L, 1172661L, 1172663L, 1172664L, 1172678L, 1172679L, 
1172681L, 1172682L, 1172687L, 1172688L, 1172690L, 1172691L, 1172696L, 
1172697L, 1172699L, 1172700L, 1172705L, 1172706L, 1172708L, 1172709L, 
1172714L, 1172715L, 1172717L, 1172718L, 1172786L, 1172787L, 1172789L, 
1172790L, 1172795L, 1172796L, 1172798L, 1172799L, 1172804L, 1172805L, 
1172807L, 1172808L, 1172813L, 1172814L, 1172816L, 1172817L, 1172822L, 
1172823L, 1172825L, 1172826L, 1172840L, 1172841L, 1172843L, 1172844L, 
1172849L, 1172850L, 1172852L, 1172853L, 1172858L, 1172859L, 1172861L, 
1172862L, 1172867L, 1172868L, 1172870L, 1172871L, 1172876L, 1172877L, 
1172879L, 1172880L, 1173110L, 1173111L, 1173113L, 1173114L, 1173119L, 
1173120L, 1173122L, 1173123L, 1173128L, 1173129L, 1173131L, 1173132L, 
1173137L, 1173138L, 1173140L, 1173141L, 1173146L, 1173147L, 1173149L, 
1173150L, 1173164L, 1173165L, 1173167L, 1173168L, 1173173L, 1173174L, 
1173176L, 1173177L, 1173182L, 1173183L, 1173185L, 1173186L, 1173191L, 
1173192L, 1173194L, 1173195L, 1173200L, 1173201L, 1173203L, 1173204L, 
1173272L, 1173273L, 1173275L, 1173276L, 1173281L, 1173282L, 1173284L, 
1173285L, 1173290L, 1173291L, 1173293L, 1173294L, 1173299L, 1173300L, 
1173302L, 1173303L, 1173308L, 1173309L, 1173311L, 1173312L, 1173326L, 
1173327L, 1173329L, 1173330L, 1173335L, 1173336L, 1173338L, 1173339L, 
1173344L, 1173345L, 1173347L, 1173348L, 1173353L, 1173354L, 1173356L, 
1173357L, 1173362L, 1173363L, 1173365L, 1173366L, 1173434L, 1173435L, 
1173437L, 1173438L, 1173443L, 1173444L, 1173446L, 1173447L, 1173452L, 
1173453L, 1173455L, 1173456L, 1173461L, 1173462L, 1173464L, 1173465L, 
1173470L, 1173471L, 1173473L, 1173474L, 1173488L, 1173489L, 1173491L, 
1173492L, 1173497L, 1173498L, 1173500L, 1173501L, 1173506L, 1173507L, 
1173509L, 1173510L, 1173515L, 1173516L, 1173518L, 1173519L, 1173524L, 
1173525L, 1173527L, 1173528L, 1173596L, 1173597L, 1173599L, 1173600L, 
1173605L, 1173606L, 1173608L, 1173609L, 1173614L, 1173615L, 1173617L, 
1173618L, 1173623L, 1173624L, 1173626L, 1173627L, 1173632L, 1173633L, 
1173635L, 1173636L, 1173650L, 1173651L, 1173653L, 1173654L, 1173659L, 
1173660L, 1173662L, 1173663L, 1173668L, 1173669L, 1173671L, 1173672L, 
1173677L, 1173678L, 1173680L, 1173681L, 1173686L, 1173687L, 1173689L, 
1173690L, 1173920L, 1173921L, 1173923L, 1173924L, 1173929L, 1173930L, 
1173932L, 1173933L, 1173938L, 1173939L, 1173941L, 1173942L, 1173947L, 
1173948L, 1173950L, 1173951L, 1173956L, 1173957L, 1173959L, 1173960L, 
1173974L, 1173975L, 1173977L, 1173978L, 1173983L, 1173984L, 1173986L, 
1173987L, 1173992L, 1173993L, 1173995L, 1173996L, 1174001L, 1174002L, 
1174004L, 1174005L, 1174010L, 1174011L, 1174013L, 1174014L, 1174082L, 
1174083L, 1174085L, 1174086L, 1174091L, 1174092L, 1174094L, 1174095L, 
1174100L, 1174101L, 1174103L, 1174104L, 1174109L, 1174110L, 1174112L, 
1174113L, 1174118L, 1174119L, 1174121L, 1174122L, 1174136L, 1174137L, 
1174139L, 1174140L, 1174145L, 1174146L, 1174148L, 1174149L, 1174154L, 
1174155L, 1174157L, 1174158L, 1174163L, 1174164L, 1174166L, 1174167L, 
1174172L, 1174173L, 1174175L, 1174176L, 1174244L, 1174245L, 1174247L, 
1174248L, 1174253L, 1174254L, 1174256L, 1174257L, 1174262L, 1174263L, 
1174265L, 1174266L, 1174271L, 1174272L, 1174274L, 1174275L, 1174280L, 
1174281L, 1174283L, 1174284L, 1174298L, 1174299L, 1174301L, 1174302L, 
1174307L, 1174308L, 1174310L, 1174311L, 1174316L, 1174317L, 1174319L, 
1174320L, 1174325L, 1174326L, 1174328L, 1174329L, 1174334L, 1174335L, 
1174337L, 1174338L, 1174406L, 1174407L, 1174409L, 1174410L, 1174415L, 
1174416L, 1174418L, 1174419L, 1174424L, 1174425L, 1174427L, 1174428L, 
1174433L, 1174434L, 1174436L, 1174437L, 1174442L, 1174443L, 1174445L, 
1174446L, 1174460L, 1174461L, 1174463L, 1174464L, 1174469L, 1174470L, 
1174472L, 1174473L, 1174478L, 1174479L, 1174481L, 1174482L, 1174487L, 
1174488L, 1174490L, 1174491L, 1174496L, 1174497L, 1174499L, 1174500L, 
1174730L, 1174731L, 1174733L, 1174734L, 1174739L, 1174740L, 1174742L, 
1174743L, 1174748L, 1174749L, 1174751L, 1174752L, 1174757L, 1174758L, 
1174760L, 1174761L, 1174766L, 1174767L, 1174769L, 1174770L, 1174784L, 
1174785L, 1174787L, 1174788L, 1174793L, 1174794L, 1174796L, 1174797L, 
1174802L, 1174803L, 1174805L, 1174806L, 1174811L, 1174812L, 1174814L, 
1174815L, 1174820L, 1174821L, 1174823L, 1174824L, 1174892L, 1174893L, 
1174895L, 1174896L, 1174901L, 1174902L, 1174904L, 1174905L, 1174910L, 
1174911L, 1174913L, 1174914L, 1174919L, 1174920L, 1174922L, 1174923L, 
1174928L, 1174929L, 1174931L, 1174932L, 1174946L, 1174947L, 1174949L, 
1174950L, 1174955L, 1174956L, 1174958L, 1174959L, 1174964L, 1174965L, 
1174967L, 1174968L, 1174973L, 1174974L, 1174976L, 1174977L, 1174982L, 
1174983L, 1174985L, 1174986L, 1175054L, 1175055L, 1175057L, 1175058L, 
1175063L, 1175064L, 1175066L, 1175067L, 1175072L, 1175073L, 1175075L, 
1175076L, 1175081L, 1175082L, 1175084L, 1175085L, 1175090L, 1175091L, 
1175093L, 1175094L, 1175108L, 1175109L, 1175111L, 1175112L, 1175117L, 
1175118L, 1175120L, 1175121L, 1175126L, 1175127L, 1175129L, 1175130L, 
1175135L, 1175136L, 1175138L, 1175139L, 1175144L, 1175145L, 1175147L, 
1175148L, 1175216L, 1175217L, 1175219L, 1175220L, 1175225L, 1175226L, 
1175228L, 1175229L, 1175234L, 1175235L, 1175237L, 1175238L, 1175243L, 
1175244L, 1175246L, 1175247L, 1175252L, 1175253L, 1175255L, 1175256L, 
1175270L, 1175271L, 1175273L, 1175274L, 1175279L, 1175280L, 1175282L, 
1175283L, 1175288L, 1175289L, 1175291L, 1175292L, 1175297L, 1175298L, 
1175300L, 1175301L, 1175306L, 1175307L, 1175309L, 1175310L, 1175540L, 
1175541L, 1175543L, 1175544L, 1175549L, 1175550L, 1175552L, 1175553L, 
1175558L, 1175559L, 1175561L, 1175562L, 1175567L, 1175568L, 1175570L, 
1175571L, 1175576L, 1175577L, 1175579L, 1175580L, 1175594L, 1175595L, 
1175597L, 1175598L, 1175603L, 1175604L, 1175606L, 1175607L, 1175612L, 
1175613L, 1175615L, 1175616L, 1175621L, 1175622L, 1175624L, 1175625L, 
1175630L, 1175631L, 1175633L, 1175634L, 1175702L, 1175703L, 1175705L, 
1175706L, 1175711L, 1175712L, 1175714L, 1175715L, 1175720L, 1175721L, 
1175723L, 1175724L, 1175729L, 1175730L, 1175732L, 1175733L, 1175738L, 
1175739L, 1175741L, 1175742L, 1175756L, 1175757L, 1175759L, 1175760L, 
1175765L, 1175766L, 1175768L, 1175769L, 1175774L, 1175775L, 1175777L, 
1175778L, 1175783L, 1175784L, 1175786L, 1175787L, 1175792L, 1175793L, 
1175795L, 1175796L, 1175864L, 1175865L, 1175867L, 1175868L, 1175873L, 
1175874L, 1175876L, 1175877L, 1175882L, 1175883L, 1175885L, 1175886L, 
1175891L, 1175892L, 1175894L, 1175895L, 1175900L, 1175901L, 1175903L, 
1175904L, 1175918L, 1175919L, 1175921L, 1175922L, 1175927L, 1175928L, 
1175930L, 1175931L, 1175936L, 1175937L, 1175939L, 1175940L, 1175945L, 
1175946L, 1175948L, 1175949L, 1175954L, 1175955L, 1175957L, 1175958L, 
1176026L, 1176027L, 1176029L, 1176030L, 1176035L, 1176036L, 1176038L, 
1176039L, 1176044L, 1176045L, 1176047L, 1176048L, 1176053L, 1176054L, 
1176056L, 1176057L, 1176062L, 1176063L, 1176065L, 1176066L, 1176080L, 
1176081L, 1176083L, 1176084L, 1176089L, 1176090L, 1176092L, 1176093L, 
1176098L, 1176099L, 1176101L, 1176102L, 1176107L, 1176108L, 1176110L, 
1176111L, 1176116L, 1176117L, 1176119L, 1176120L, 1177160L, 1177161L, 
1177163L, 1177164L, 1177169L, 1177170L, 1177172L, 1177173L, 1177178L, 
1177179L, 1177181L, 1177182L, 1177187L, 1177188L, 1177190L, 1177191L, 
1177196L, 1177197L, 1177199L, 1177200L, 1177214L, 1177215L, 1177217L, 
1177218L, 1177223L, 1177224L, 1177226L, 1177227L, 1177232L, 1177233L, 
1177235L, 1177236L, 1177241L, 1177242L, 1177244L, 1177245L, 1177250L, 
1177251L, 1177253L, 1177254L, 1177322L, 1177323L, 1177325L, 1177326L, 
1177331L, 1177332L, 1177334L, 1177335L, 1177340L, 1177341L, 1177343L, 
1177344L, 1177349L, 1177350L, 1177352L, 1177353L, 1177358L, 1177359L, 
1177361L, 1177362L, 1177376L, 1177377L, 1177379L, 1177380L, 1177385L, 
1177386L, 1177388L, 1177389L, 1177394L, 1177395L, 1177397L, 1177398L, 
1177403L, 1177404L, 1177406L, 1177407L, 1177412L, 1177413L, 1177415L, 
1177416L, 1177484L, 1177485L, 1177487L, 1177488L, 1177493L, 1177494L, 
1177496L, 1177497L, 1177502L, 1177503L, 1177505L, 1177506L, 1177511L, 
1177512L, 1177514L, 1177515L, 1177520L, 1177521L, 1177523L, 1177524L, 
1177538L, 1177539L, 1177541L, 1177542L, 1177547L, 1177548L, 1177550L, 
1177551L, 1177556L, 1177557L, 1177559L, 1177560L, 1177565L, 1177566L, 
1177568L, 1177569L, 1177574L, 1177575L, 1177577L, 1177578L, 1177646L, 
1177647L, 1177649L, 1177650L, 1177655L, 1177656L, 1177658L, 1177659L, 
1177664L, 1177665L, 1177667L, 1177668L, 1177673L, 1177674L, 1177676L, 
1177677L, 1177682L, 1177683L, 1177685L, 1177686L, 1177700L, 1177701L, 
1177703L, 1177704L, 1177709L, 1177710L, 1177712L, 1177713L, 1177718L, 
1177719L, 1177721L, 1177722L, 1177727L, 1177728L, 1177730L, 1177731L, 
1177736L, 1177737L, 1177739L, 1177740L, 1177970L, 1177971L, 1177973L, 
1177974L, 1177979L, 1177980L, 1177982L, 1177983L, 1177988L, 1177989L, 
1177991L, 1177992L, 1177997L, 1177998L, 1178000L, 1178001L, 1178006L, 
1178007L, 1178009L, 1178010L, 1178024L, 1178025L, 1178027L, 1178028L, 
1178033L, 1178034L, 1178036L, 1178037L, 1178042L, 1178043L, 1178045L, 
1178046L, 1178051L, 1178052L, 1178054L, 1178055L, 1178060L, 1178061L, 
1178063L, 1178064L, 1178132L, 1178133L, 1178135L, 1178136L, 1178141L, 
1178142L, 1178144L, 1178145L, 1178150L, 1178151L, 1178153L, 1178154L, 
1178159L, 1178160L, 1178162L, 1178163L, 1178168L, 1178169L, 1178171L, 
1178172L, 1178186L, 1178187L, 1178189L, 1178190L, 1178195L, 1178196L, 
1178198L, 1178199L, 1178204L, 1178205L, 1178207L, 1178208L, 1178213L, 
1178214L, 1178216L, 1178217L, 1178222L, 1178223L, 1178225L, 1178226L, 
1178294L, 1178295L, 1178297L, 1178298L, 1178303L, 1178304L, 1178306L, 
1178307L, 1178312L, 1178313L, 1178315L, 1178316L, 1178321L, 1178322L, 
1178324L, 1178325L, 1178330L, 1178331L, 1178333L, 1178334L, 1178348L, 
1178349L, 1178351L, 1178352L, 1178357L, 1178358L, 1178360L, 1178361L, 
1178366L, 1178367L, 1178369L, 1178370L, 1178375L, 1178376L, 1178378L, 
1178379L, 1178384L, 1178385L, 1178387L, 1178388L, 1178456L, 1178457L, 
1178459L, 1178460L, 1178465L, 1178466L, 1178468L, 1178469L, 1178474L, 
1178475L, 1178477L, 1178478L, 1178483L, 1178484L, 1178486L, 1178487L, 
1178492L, 1178493L, 1178495L, 1178496L, 1178510L, 1178511L, 1178513L, 
1178514L, 1178519L, 1178520L, 1178522L, 1178523L, 1178528L, 1178529L, 
1178531L, 1178532L, 1178537L, 1178538L, 1178540L, 1178541L, 1178546L, 
1178547L, 1178549L, 1178550L, 1178780L, 1178781L, 1178783L, 1178784L, 
1178789L, 1178790L, 1178792L, 1178793L, 1178798L, 1178799L, 1178801L, 
1178802L, 1178807L, 1178808L, 1178810L, 1178811L, 1178816L, 1178817L, 
1178819L, 1178820L, 1178834L, 1178835L, 1178837L, 1178838L, 1178843L, 
1178844L, 1178846L, 1178847L, 1178852L, 1178853L, 1178855L, 1178856L, 
1178861L, 1178862L, 1178864L, 1178865L, 1178870L, 1178871L, 1178873L, 
1178874L, 1178942L, 1178943L, 1178945L, 1178946L, 1178951L, 1178952L, 
1178954L, 1178955L, 1178960L, 1178961L, 1178963L, 1178964L, 1178969L, 
1178970L, 1178972L, 1178973L, 1178978L, 1178979L, 1178981L, 1178982L, 
1178996L, 1178997L, 1178999L, 1179000L, 1179005L, 1179006L, 1179008L, 
1179009L, 1179014L, 1179015L, 1179017L, 1179018L, 1179023L, 1179024L, 
1179026L, 1179027L, 1179032L, 1179033L, 1179035L, 1179036L, 1179104L, 
1179105L, 1179107L, 1179108L, 1179113L, 1179114L, 1179116L, 1179117L, 
1179122L, 1179123L, 1179125L, 1179126L, 1179131L, 1179132L, 1179134L, 
1179135L, 1179140L, 1179141L, 1179143L, 1179144L, 1179158L, 1179159L, 
1179161L, 1179162L, 1179167L, 1179168L, 1179170L, 1179171L, 1179176L, 
1179177L, 1179179L, 1179180L, 1179185L, 1179186L, 1179188L, 1179189L, 
1179194L, 1179195L, 1179197L, 1179198L, 1179266L, 1179267L, 1179269L, 
1179270L, 1179275L, 1179276L, 1179278L, 1179279L, 1179284L, 1179285L, 
1179287L, 1179288L, 1179293L, 1179294L, 1179296L, 1179297L, 1179302L, 
1179303L, 1179305L, 1179306L, 1179320L, 1179321L, 1179323L, 1179324L, 
1179329L, 1179330L, 1179332L, 1179333L, 1179338L, 1179339L, 1179341L, 
1179342L, 1179347L, 1179348L, 1179350L, 1179351L, 1179356L, 1179357L, 
1179359L, 1179360L, 1179590L, 1179591L, 1179593L, 1179594L, 1179599L, 
1179600L, 1179602L, 1179603L, 1179608L, 1179609L, 1179611L, 1179612L, 
1179617L, 1179618L, 1179620L, 1179621L, 1179626L, 1179627L, 1179629L, 
1179630L, 1179644L, 1179645L, 1179647L, 1179648L, 1179653L, 1179654L, 
1179656L, 1179657L, 1179662L, 1179663L, 1179665L, 1179666L, 1179671L, 
1179672L, 1179674L, 1179675L, 1179680L, 1179681L, 1179683L, 1179684L, 
1179752L, 1179753L, 1179755L, 1179756L, 1179761L, 1179762L, 1179764L, 
1179765L, 1179770L, 1179771L, 1179773L, 1179774L, 1179779L, 1179780L, 
1179782L, 1179783L, 1179788L, 1179789L, 1179791L, 1179792L, 1179806L, 
1179807L, 1179809L, 1179810L, 1179815L, 1179816L, 1179818L, 1179819L, 
1179824L, 1179825L, 1179827L, 1179828L, 1179833L, 1179834L, 1179836L, 
1179837L, 1179842L, 1179843L, 1179845L, 1179846L, 1179914L, 1179915L, 
1179917L, 1179918L, 1179923L, 1179924L, 1179926L, 1179927L, 1179932L, 
1179933L, 1179935L, 1179936L, 1179941L, 1179942L, 1179944L, 1179945L, 
1179950L, 1179951L, 1179953L, 1179954L, 1179968L, 1179969L, 1179971L, 
1179972L, 1179977L, 1179978L, 1179980L, 1179981L, 1179986L, 1179987L, 
1179989L, 1179990L, 1179995L, 1179996L, 1179998L, 1179999L, 1180004L, 
1180005L, 1180007L, 1180008L, 1180076L, 1180077L, 1180079L, 1180080L, 
1180085L, 1180086L, 1180088L, 1180089L, 1180094L, 1180095L, 1180097L, 
1180098L, 1180103L, 1180104L, 1180106L, 1180107L, 1180112L, 1180113L, 
1180115L, 1180116L, 1180130L, 1180131L, 1180133L, 1180134L, 1180139L, 
1180140L, 1180142L, 1180143L, 1180148L, 1180149L, 1180151L, 1180152L, 
1180157L, 1180158L, 1180160L, 1180161L, 1180166L, 1180167L, 1180169L, 
1180170L, 1180400L, 1180401L, 1180403L, 1180404L, 1180409L, 1180410L, 
1180412L, 1180413L, 1180418L, 1180419L, 1180421L, 1180422L, 1180427L, 
1180428L, 1180430L, 1180431L, 1180436L, 1180437L, 1180439L, 1180440L, 
1180454L, 1180455L, 1180457L, 1180458L, 1180463L, 1180464L, 1180466L, 
1180467L, 1180472L, 1180473L, 1180475L, 1180476L, 1180481L, 1180482L, 
1180484L, 1180485L, 1180490L, 1180491L, 1180493L, 1180494L, 1180562L, 
1180563L, 1180565L, 1180566L, 1180571L, 1180572L, 1180574L, 1180575L, 
1180580L, 1180581L, 1180583L, 1180584L, 1180589L, 1180590L, 1180592L, 
1180593L, 1180598L, 1180599L, 1180601L, 1180602L, 1180616L, 1180617L, 
1180619L, 1180620L, 1180625L, 1180626L, 1180628L, 1180629L, 1180634L, 
1180635L, 1180637L, 1180638L, 1180643L, 1180644L, 1180646L, 1180647L, 
1180652L, 1180653L, 1180655L, 1180656L, 1180724L, 1180725L, 1180727L, 
1180728L, 1180733L, 1180734L, 1180736L, 1180737L, 1180742L, 1180743L, 
1180745L, 1180746L, 1180751L, 1180752L, 1180754L, 1180755L, 1180760L, 
1180761L, 1180763L, 1180764L, 1180778L, 1180779L, 1180781L, 1180782L, 
1180787L, 1180788L, 1180790L, 1180791L, 1180796L, 1180797L, 1180799L, 
1180800L, 1180805L, 1180806L, 1180808L, 1180809L, 1180814L, 1180815L, 
1180817L, 1180818L, 1180886L, 1180887L, 1180889L, 1180890L, 1180895L, 
1180896L, 1180898L, 1180899L, 1180904L, 1180905L, 1180907L, 1180908L, 
1180913L, 1180914L, 1180916L, 1180917L, 1180922L, 1180923L, 1180925L, 
1180926L, 1180940L, 1180941L, 1180943L, 1180944L, 1180949L, 1180950L, 
1180952L, 1180953L, 1180958L, 1180959L, 1180961L, 1180962L, 1180967L, 
1180968L, 1180970L, 1180971L, 1180976L, 1180977L, 1180979L, 1180980L, 
1182020L, 1182021L, 1182023L, 1182024L, 1182029L, 1182030L, 1182032L, 
1182033L, 1182038L, 1182039L, 1182041L, 1182042L, 1182047L, 1182048L, 
1182050L, 1182051L, 1182056L, 1182057L, 1182059L, 1182060L, 1182074L, 
1182075L, 1182077L, 1182078L, 1182083L, 1182084L, 1182086L, 1182087L, 
1182092L, 1182093L, 1182095L, 1182096L, 1182101L, 1182102L, 1182104L, 
1182105L, 1182110L, 1182111L, 1182113L, 1182114L, 1182182L, 1182183L, 
1182185L, 1182186L, 1182191L, 1182192L, 1182194L, 1182195L, 1182200L, 
1182201L, 1182203L, 1182204L, 1182209L, 1182210L, 1182212L, 1182213L, 
1182218L, 1182219L, 1182221L, 1182222L, 1182236L, 1182237L, 1182239L, 
1182240L, 1182245L, 1182246L, 1182248L, 1182249L, 1182254L, 1182255L, 
1182257L, 1182258L, 1182263L, 1182264L, 1182266L, 1182267L, 1182272L, 
1182273L, 1182275L, 1182276L, 1182344L, 1182345L, 1182347L, 1182348L, 
1182353L, 1182354L, 1182356L, 1182357L, 1182362L, 1182363L, 1182365L, 
1182366L, 1182371L, 1182372L, 1182374L, 1182375L, 1182380L, 1182381L, 
1182383L, 1182384L, 1182398L, 1182399L, 1182401L, 1182402L, 1182407L, 
1182408L, 1182410L, 1182411L, 1182416L, 1182417L, 1182419L, 1182420L, 
1182425L, 1182426L, 1182428L, 1182429L, 1182434L, 1182435L, 1182437L, 
1182438L, 1182506L, 1182507L, 1182509L, 1182510L, 1182515L, 1182516L, 
1182518L, 1182519L, 1182524L, 1182525L, 1182527L, 1182528L, 1182533L, 
1182534L, 1182536L, 1182537L, 1182542L, 1182543L, 1182545L, 1182546L, 
1182560L, 1182561L, 1182563L, 1182564L, 1182569L, 1182570L, 1182572L, 
1182573L, 1182578L, 1182579L, 1182581L, 1182582L, 1182587L, 1182588L, 
1182590L, 1182591L, 1182596L, 1182597L, 1182599L, 1182600L, 1182830L, 
1182831L, 1182833L, 1182834L, 1182839L, 1182840L, 1182842L, 1182843L, 
1182848L, 1182849L, 1182851L, 1182852L, 1182857L, 1182858L, 1182860L, 
1182861L, 1182866L, 1182867L, 1182869L, 1182870L, 1182884L, 1182885L, 
1182887L, 1182888L, 1182893L, 1182894L, 1182896L, 1182897L, 1182902L, 
1182903L, 1182905L, 1182906L, 1182911L, 1182912L, 1182914L, 1182915L, 
1182920L, 1182921L, 1182923L, 1182924L, 1182992L, 1182993L, 1182995L, 
1182996L, 1183001L, 1183002L, 1183004L, 1183005L, 1183010L, 1183011L, 
1183013L, 1183014L, 1183019L, 1183020L, 1183022L, 1183023L, 1183028L, 
1183029L, 1183031L, 1183032L, 1183046L, 1183047L, 1183049L, 1183050L, 
1183055L, 1183056L, 1183058L, 1183059L, 1183064L, 1183065L, 1183067L, 
1183068L, 1183073L, 1183074L, 1183076L, 1183077L, 1183082L, 1183083L, 
1183085L, 1183086L, 1183154L, 1183155L, 1183157L, 1183158L, 1183163L, 
1183164L, 1183166L, 1183167L, 1183172L, 1183173L, 1183175L, 1183176L, 
1183181L, 1183182L, 1183184L, 1183185L, 1183190L, 1183191L, 1183193L, 
1183194L, 1183208L, 1183209L, 1183211L, 1183212L, 1183217L, 1183218L, 
1183220L, 1183221L, 1183226L, 1183227L, 1183229L, 1183230L, 1183235L, 
1183236L, 1183238L, 1183239L, 1183244L, 1183245L, 1183247L, 1183248L, 
1183316L, 1183317L, 1183319L, 1183320L, 1183325L, 1183326L, 1183328L, 
1183329L, 1183334L, 1183335L, 1183337L, 1183338L, 1183343L, 1183344L, 
1183346L, 1183347L, 1183352L, 1183353L, 1183355L, 1183356L, 1183370L, 
1183371L, 1183373L, 1183374L, 1183379L, 1183380L, 1183382L, 1183383L, 
1183388L, 1183389L, 1183391L, 1183392L, 1183397L, 1183398L, 1183400L, 
1183401L, 1183406L, 1183407L, 1183409L, 1183410L, 1183640L, 1183641L, 
1183643L, 1183644L, 1183649L, 1183650L, 1183652L, 1183653L, 1183658L, 
1183659L, 1183661L, 1183662L, 1183667L, 1183668L, 1183670L, 1183671L, 
1183676L, 1183677L, 1183679L, 1183680L, 1183694L, 1183695L, 1183697L, 
1183698L, 1183703L, 1183704L, 1183706L, 1183707L, 1183712L, 1183713L, 
1183715L, 1183716L, 1183721L, 1183722L, 1183724L, 1183725L, 1183730L, 
1183731L, 1183733L, 1183734L, 1183802L, 1183803L, 1183805L, 1183806L, 
1183811L, 1183812L, 1183814L, 1183815L, 1183820L, 1183821L, 1183823L, 
1183824L, 1183829L, 1183830L, 1183832L, 1183833L, 1183838L, 1183839L, 
1183841L, 1183842L, 1183856L, 1183857L, 1183859L, 1183860L, 1183865L, 
1183866L, 1183868L, 1183869L, 1183874L, 1183875L, 1183877L, 1183878L, 
1183883L, 1183884L, 1183886L, 1183887L, 1183892L, 1183893L, 1183895L, 
1183896L, 1183964L, 1183965L, 1183967L, 1183968L, 1183973L, 1183974L, 
1183976L, 1183977L, 1183982L, 1183983L, 1183985L, 1183986L, 1183991L, 
1183992L, 1183994L, 1183995L, 1184000L, 1184001L, 1184003L, 1184004L, 
1184018L, 1184019L, 1184021L, 1184022L, 1184027L, 1184028L, 1184030L, 
1184031L, 1184036L, 1184037L, 1184039L, 1184040L, 1184045L, 1184046L, 
1184048L, 1184049L, 1184054L, 1184055L, 1184057L, 1184058L, 1184126L, 
1184127L, 1184129L, 1184130L, 1184135L, 1184136L, 1184138L, 1184139L, 
1184144L, 1184145L, 1184147L, 1184148L, 1184153L, 1184154L, 1184156L, 
1184157L, 1184162L, 1184163L, 1184165L, 1184166L, 1184180L, 1184181L, 
1184183L, 1184184L, 1184189L, 1184190L, 1184192L, 1184193L, 1184198L, 
1184199L, 1184201L, 1184202L, 1184207L, 1184208L, 1184210L, 1184211L, 
1184216L, 1184217L, 1184219L, 1184220L, 1184450L, 1184451L, 1184453L, 
1184454L, 1184459L, 1184460L, 1184462L, 1184463L, 1184468L, 1184469L, 
1184471L, 1184472L, 1184477L, 1184478L, 1184480L, 1184481L, 1184486L, 
1184487L, 1184489L, 1184490L, 1184504L, 1184505L, 1184507L, 1184508L, 
1184513L, 1184514L, 1184516L, 1184517L, 1184522L, 1184523L, 1184525L, 
1184526L, 1184531L, 1184532L, 1184534L, 1184535L, 1184540L, 1184541L, 
1184543L, 1184544L, 1184612L, 1184613L, 1184615L, 1184616L, 1184621L, 
1184622L, 1184624L, 1184625L, 1184630L, 1184631L, 1184633L, 1184634L, 
1184639L, 1184640L, 1184642L, 1184643L, 1184648L, 1184649L, 1184651L, 
1184652L, 1184666L, 1184667L, 1184669L, 1184670L, 1184675L, 1184676L, 
1184678L, 1184679L, 1184684L, 1184685L, 1184687L, 1184688L, 1184693L, 
1184694L, 1184696L, 1184697L, 1184702L, 1184703L, 1184705L, 1184706L, 
1184774L, 1184775L, 1184777L, 1184778L, 1184783L, 1184784L, 1184786L, 
1184787L, 1184792L, 1184793L, 1184795L, 1184796L, 1184801L, 1184802L, 
1184804L, 1184805L, 1184810L, 1184811L, 1184813L, 1184814L, 1184828L, 
1184829L, 1184831L, 1184832L, 1184837L, 1184838L, 1184840L, 1184841L, 
1184846L, 1184847L, 1184849L, 1184850L, 1184855L, 1184856L, 1184858L, 
1184859L, 1184864L, 1184865L, 1184867L, 1184868L, 1184936L, 1184937L, 
1184939L, 1184940L, 1184945L, 1184946L, 1184948L, 1184949L, 1184954L, 
1184955L, 1184957L, 1184958L, 1184963L, 1184964L, 1184966L, 1184967L, 
1184972L, 1184973L, 1184975L, 1184976L, 1184990L, 1184991L, 1184993L, 
1184994L, 1184999L, 1185000L, 1185002L, 1185003L, 1185008L, 1185009L, 
1185011L, 1185012L, 1185017L, 1185018L, 1185020L, 1185021L, 1185026L, 
1185027L, 1185029L, 1185030L, 1185260L, 1185261L, 1185263L, 1185264L, 
1185269L, 1185270L, 1185272L, 1185273L, 1185278L, 1185279L, 1185281L, 
1185282L, 1185287L, 1185288L, 1185290L, 1185291L, 1185296L, 1185297L, 
1185299L, 1185300L, 1185314L, 1185315L, 1185317L, 1185318L, 1185323L, 
1185324L, 1185326L, 1185327L, 1185332L, 1185333L, 1185335L, 1185336L, 
1185341L, 1185342L, 1185344L, 1185345L, 1185350L, 1185351L, 1185353L, 
1185354L, 1185422L, 1185423L, 1185425L, 1185426L, 1185431L, 1185432L, 
1185434L, 1185435L, 1185440L, 1185441L, 1185443L, 1185444L, 1185449L, 
1185450L, 1185452L, 1185453L, 1185458L, 1185459L, 1185461L, 1185462L, 
1185476L, 1185477L, 1185479L, 1185480L, 1185485L, 1185486L, 1185488L, 
1185489L, 1185494L, 1185495L, 1185497L, 1185498L, 1185503L, 1185504L, 
1185506L, 1185507L, 1185512L, 1185513L, 1185515L, 1185516L, 1185584L, 
1185585L, 1185587L, 1185588L, 1185593L, 1185594L, 1185596L, 1185597L, 
1185602L, 1185603L, 1185605L, 1185606L, 1185611L, 1185612L, 1185614L, 
1185615L, 1185620L, 1185621L, 1185623L, 1185624L, 1185638L, 1185639L, 
1185641L, 1185642L, 1185647L, 1185648L, 1185650L, 1185651L, 1185656L, 
1185657L, 1185659L, 1185660L, 1185665L, 1185666L, 1185668L, 1185669L, 
1185674L, 1185675L, 1185677L, 1185678L, 1185746L, 1185747L, 1185749L, 
1185750L, 1185755L, 1185756L, 1185758L, 1185759L, 1185764L, 1185765L, 
1185767L, 1185768L, 1185773L, 1185774L, 1185776L, 1185777L, 1185782L, 
1185783L, 1185785L, 1185786L, 1185800L, 1185801L, 1185803L, 1185804L, 
1185809L, 1185810L, 1185812L, 1185813L, 1185818L, 1185819L, 1185821L, 
1185822L, 1185827L, 1185828L, 1185830L, 1185831L, 1185836L, 1185837L, 
1185839L, 1185840L, 1196600L, 1196601L, 1196603L, 1196604L, 1196609L, 
1196610L, 1196612L, 1196613L, 1196618L, 1196619L, 1196621L, 1196622L, 
1196627L, 1196628L, 1196630L, 1196631L, 1196636L, 1196637L, 1196639L, 
1196640L, 1196654L, 1196655L, 1196657L, 1196658L, 1196663L, 1196664L, 
1196666L, 1196667L, 1196672L, 1196673L, 1196675L, 1196676L, 1196681L, 
1196682L, 1196684L, 1196685L, 1196690L, 1196691L, 1196693L, 1196694L, 
1196762L, 1196763L, 1196765L, 1196766L, 1196771L, 1196772L, 1196774L, 
1196775L, 1196780L, 1196781L, 1196783L, 1196784L, 1196789L, 1196790L, 
1196792L, 1196793L, 1196798L, 1196799L, 1196801L, 1196802L, 1196816L, 
1196817L, 1196819L, 1196820L, 1196825L, 1196826L, 1196828L, 1196829L, 
1196834L, 1196835L, 1196837L, 1196838L, 1196843L, 1196844L, 1196846L, 
1196847L, 1196852L, 1196853L, 1196855L, 1196856L, 1196924L, 1196925L, 
1196927L, 1196928L, 1196933L, 1196934L, 1196936L, 1196937L, 1196942L, 
1196943L, 1196945L, 1196946L, 1196951L, 1196952L, 1196954L, 1196955L, 
1196960L, 1196961L, 1196963L, 1196964L, 1196978L, 1196979L, 1196981L, 
1196982L, 1196987L, 1196988L, 1196990L, 1196991L, 1196996L, 1196997L, 
1196999L, 1197000L, 1197005L, 1197006L, 1197008L, 1197009L, 1197014L, 
1197015L, 1197017L, 1197018L, 1197086L, 1197087L, 1197089L, 1197090L, 
1197095L, 1197096L, 1197098L, 1197099L, 1197104L, 1197105L, 1197107L, 
1197108L, 1197113L, 1197114L, 1197116L, 1197117L, 1197122L, 1197123L, 
1197125L, 1197126L, 1197140L, 1197141L, 1197143L, 1197144L, 1197149L, 
1197150L, 1197152L, 1197153L, 1197158L, 1197159L, 1197161L, 1197162L, 
1197167L, 1197168L, 1197170L, 1197171L, 1197176L, 1197177L, 1197179L, 
1197180L, 1197410L, 1197411L, 1197413L, 1197414L, 1197419L, 1197420L, 
1197422L, 1197423L, 1197428L, 1197429L, 1197431L, 1197432L, 1197437L, 
1197438L, 1197440L, 1197441L, 1197446L, 1197447L, 1197449L, 1197450L, 
1197464L, 1197465L, 1197467L, 1197468L, 1197473L, 1197474L, 1197476L, 
1197477L, 1197482L, 1197483L, 1197485L, 1197486L, 1197491L, 1197492L, 
1197494L, 1197495L, 1197500L, 1197501L, 1197503L, 1197504L, 1197572L, 
1197573L, 1197575L, 1197576L, 1197581L, 1197582L, 1197584L, 1197585L, 
1197590L, 1197591L, 1197593L, 1197594L, 1197599L, 1197600L, 1197602L, 
1197603L, 1197608L, 1197609L, 1197611L, 1197612L, 1197626L, 1197627L, 
1197629L, 1197630L, 1197635L, 1197636L, 1197638L, 1197639L, 1197644L, 
1197645L, 1197647L, 1197648L, 1197653L, 1197654L, 1197656L, 1197657L, 
1197662L, 1197663L, 1197665L, 1197666L, 1197734L, 1197735L, 1197737L, 
1197738L, 1197743L, 1197744L, 1197746L, 1197747L, 1197752L, 1197753L, 
1197755L, 1197756L, 1197761L, 1197762L, 1197764L, 1197765L, 1197770L, 
1197771L, 1197773L, 1197774L, 1197788L, 1197789L, 1197791L, 1197792L, 
1197797L, 1197798L, 1197800L, 1197801L, 1197806L, 1197807L, 1197809L, 
1197810L, 1197815L, 1197816L, 1197818L, 1197819L, 1197824L, 1197825L, 
1197827L, 1197828L, 1197896L, 1197897L, 1197899L, 1197900L, 1197905L, 
1197906L, 1197908L, 1197909L, 1197914L, 1197915L, 1197917L, 1197918L, 
1197923L, 1197924L, 1197926L, 1197927L, 1197932L, 1197933L, 1197935L, 
1197936L, 1197950L, 1197951L, 1197953L, 1197954L, 1197959L, 1197960L, 
1197962L, 1197963L, 1197968L, 1197969L, 1197971L, 1197972L, 1197977L, 
1197978L, 1197980L, 1197981L, 1197986L, 1197987L, 1197989L, 1197990L, 
1198220L, 1198221L, 1198223L, 1198224L, 1198229L, 1198230L, 1198232L, 
1198233L, 1198238L, 1198239L, 1198241L, 1198242L, 1198247L, 1198248L, 
1198250L, 1198251L, 1198256L, 1198257L, 1198259L, 1198260L, 1198274L, 
1198275L, 1198277L, 1198278L, 1198283L, 1198284L, 1198286L, 1198287L, 
1198292L, 1198293L, 1198295L, 1198296L, 1198301L, 1198302L, 1198304L, 
1198305L, 1198310L, 1198311L, 1198313L, 1198314L, 1198382L, 1198383L, 
1198385L, 1198386L, 1198391L, 1198392L, 1198394L, 1198395L, 1198400L, 
1198401L, 1198403L, 1198404L, 1198409L, 1198410L, 1198412L, 1198413L, 
1198418L, 1198419L, 1198421L, 1198422L, 1198436L, 1198437L, 1198439L, 
1198440L, 1198445L, 1198446L, 1198448L, 1198449L, 1198454L, 1198455L, 
1198457L, 1198458L, 1198463L, 1198464L, 1198466L, 1198467L, 1198472L, 
1198473L, 1198475L, 1198476L, 1198544L, 1198545L, 1198547L, 1198548L, 
1198553L, 1198554L, 1198556L, 1198557L, 1198562L, 1198563L, 1198565L, 
1198566L, 1198571L, 1198572L, 1198574L, 1198575L, 1198580L, 1198581L, 
1198583L, 1198584L, 1198598L, 1198599L, 1198601L, 1198602L, 1198607L, 
1198608L, 1198610L, 1198611L, 1198616L, 1198617L, 1198619L, 1198620L, 
1198625L, 1198626L, 1198628L, 1198629L, 1198634L, 1198635L, 1198637L, 
1198638L, 1198706L, 1198707L, 1198709L, 1198710L, 1198715L, 1198716L, 
1198718L, 1198719L, 1198724L, 1198725L, 1198727L, 1198728L, 1198733L, 
1198734L, 1198736L, 1198737L, 1198742L, 1198743L, 1198745L, 1198746L, 
1198760L, 1198761L, 1198763L, 1198764L, 1198769L, 1198770L, 1198772L, 
1198773L, 1198778L, 1198779L, 1198781L, 1198782L, 1198787L, 1198788L, 
1198790L, 1198791L, 1198796L, 1198797L, 1198799L, 1198800L, 1199030L, 
1199031L, 1199033L, 1199034L, 1199039L, 1199040L, 1199042L, 1199043L, 
1199048L, 1199049L, 1199051L, 1199052L, 1199057L, 1199058L, 1199060L, 
1199061L, 1199066L, 1199067L, 1199069L, 1199070L, 1199084L, 1199085L, 
1199087L, 1199088L, 1199093L, 1199094L, 1199096L, 1199097L, 1199102L, 
1199103L, 1199105L, 1199106L, 1199111L, 1199112L, 1199114L, 1199115L, 
1199120L, 1199121L, 1199123L, 1199124L, 1199192L, 1199193L, 1199195L, 
1199196L, 1199201L, 1199202L, 1199204L, 1199205L, 1199210L, 1199211L, 
1199213L, 1199214L, 1199219L, 1199220L, 1199222L, 1199223L, 1199228L, 
1199229L, 1199231L, 1199232L, 1199246L, 1199247L, 1199249L, 1199250L, 
1199255L, 1199256L, 1199258L, 1199259L, 1199264L, 1199265L, 1199267L, 
1199268L, 1199273L, 1199274L, 1199276L, 1199277L, 1199282L, 1199283L, 
1199285L, 1199286L, 1199354L, 1199355L, 1199357L, 1199358L, 1199363L, 
1199364L, 1199366L, 1199367L, 1199372L, 1199373L, 1199375L, 1199376L, 
1199381L, 1199382L, 1199384L, 1199385L, 1199390L, 1199391L, 1199393L, 
1199394L, 1199408L, 1199409L, 1199411L, 1199412L, 1199417L, 1199418L, 
1199420L, 1199421L, 1199426L, 1199427L, 1199429L, 1199430L, 1199435L, 
1199436L, 1199438L, 1199439L, 1199444L, 1199445L, 1199447L, 1199448L, 
1199516L, 1199517L, 1199519L, 1199520L, 1199525L, 1199526L, 1199528L, 
1199529L, 1199534L, 1199535L, 1199537L, 1199538L, 1199543L, 1199544L, 
1199546L, 1199547L, 1199552L, 1199553L, 1199555L, 1199556L, 1199570L, 
1199571L, 1199573L, 1199574L, 1199579L, 1199580L, 1199582L, 1199583L, 
1199588L, 1199589L, 1199591L, 1199592L, 1199597L, 1199598L, 1199600L, 
1199601L, 1199606L, 1199607L, 1199609L, 1199610L, 1199840L, 1199841L, 
1199843L, 1199844L, 1199849L, 1199850L, 1199852L, 1199853L, 1199858L, 
1199859L, 1199861L, 1199862L, 1199867L, 1199868L, 1199870L, 1199871L, 
1199876L, 1199877L, 1199879L, 1199880L, 1199894L, 1199895L, 1199897L, 
1199898L, 1199903L, 1199904L, 1199906L, 1199907L, 1199912L, 1199913L, 
1199915L, 1199916L, 1199921L, 1199922L, 1199924L, 1199925L, 1199930L, 
1199931L, 1199933L, 1199934L, 1200002L, 1200003L, 1200005L, 1200006L, 
1200011L, 1200012L, 1200014L, 1200015L, 1200020L, 1200021L, 1200023L, 
1200024L, 1200029L, 1200030L, 1200032L, 1200033L, 1200038L, 1200039L, 
1200041L, 1200042L, 1200056L, 1200057L, 1200059L, 1200060L, 1200065L, 
1200066L, 1200068L, 1200069L, 1200074L, 1200075L, 1200077L, 1200078L, 
1200083L, 1200084L, 1200086L, 1200087L, 1200092L, 1200093L, 1200095L, 
1200096L, 1200164L, 1200165L, 1200167L, 1200168L, 1200173L, 1200174L, 
1200176L, 1200177L, 1200182L, 1200183L, 1200185L, 1200186L, 1200191L, 
1200192L, 1200194L, 1200195L, 1200200L, 1200201L, 1200203L, 1200204L, 
1200218L, 1200219L, 1200221L, 1200222L, 1200227L, 1200228L, 1200230L, 
1200231L, 1200236L, 1200237L, 1200239L, 1200240L, 1200245L, 1200246L, 
1200248L, 1200249L, 1200254L, 1200255L, 1200257L, 1200258L, 1200326L, 
1200327L, 1200329L, 1200330L, 1200335L, 1200336L, 1200338L, 1200339L, 
1200344L, 1200345L, 1200347L, 1200348L, 1200353L, 1200354L, 1200356L, 
1200357L, 1200362L, 1200363L, 1200365L, 1200366L, 1200380L, 1200381L, 
1200383L, 1200384L, 1200389L, 1200390L, 1200392L, 1200393L, 1200398L, 
1200399L, 1200401L, 1200402L, 1200407L, 1200408L, 1200410L, 1200411L, 
1200416L, 1200417L, 1200419L, 1200420L, 1201460L, 1201461L, 1201463L, 
1201464L, 1201469L, 1201470L, 1201472L, 1201473L, 1201478L, 1201479L, 
1201481L, 1201482L, 1201487L, 1201488L, 1201490L, 1201491L, 1201496L, 
1201497L, 1201499L, 1201500L, 1201514L, 1201515L, 1201517L, 1201518L, 
1201523L, 1201524L, 1201526L, 1201527L, 1201532L, 1201533L, 1201535L, 
1201536L, 1201541L, 1201542L, 1201544L, 1201545L, 1201550L, 1201551L, 
1201553L, 1201554L, 1201622L, 1201623L, 1201625L, 1201626L, 1201631L, 
1201632L, 1201634L, 1201635L, 1201640L, 1201641L, 1201643L, 1201644L, 
1201649L, 1201650L, 1201652L, 1201653L, 1201658L, 1201659L, 1201661L, 
1201662L, 1201676L, 1201677L, 1201679L, 1201680L, 1201685L, 1201686L, 
1201688L, 1201689L, 1201694L, 1201695L, 1201697L, 1201698L, 1201703L, 
1201704L, 1201706L, 1201707L, 1201712L, 1201713L, 1201715L, 1201716L, 
1201784L, 1201785L, 1201787L, 1201788L, 1201793L, 1201794L, 1201796L, 
1201797L, 1201802L, 1201803L, 1201805L, 1201806L, 1201811L, 1201812L, 
1201814L, 1201815L, 1201820L, 1201821L, 1201823L, 1201824L, 1201838L, 
1201839L, 1201841L, 1201842L, 1201847L, 1201848L, 1201850L, 1201851L, 
1201856L, 1201857L, 1201859L, 1201860L, 1201865L, 1201866L, 1201868L, 
1201869L, 1201874L, 1201875L, 1201877L, 1201878L, 1201946L, 1201947L, 
1201949L, 1201950L, 1201955L, 1201956L, 1201958L, 1201959L, 1201964L, 
1201965L, 1201967L, 1201968L, 1201973L, 1201974L, 1201976L, 1201977L, 
1201982L, 1201983L, 1201985L, 1201986L, 1202000L, 1202001L, 1202003L, 
1202004L, 1202009L, 1202010L, 1202012L, 1202013L, 1202018L, 1202019L, 
1202021L, 1202022L, 1202027L, 1202028L, 1202030L, 1202031L, 1202036L, 
1202037L, 1202039L, 1202040L, 1202270L, 1202271L, 1202273L, 1202274L, 
1202279L, 1202280L, 1202282L, 1202283L, 1202288L, 1202289L, 1202291L, 
1202292L, 1202297L, 1202298L, 1202300L, 1202301L, 1202306L, 1202307L, 
1202309L, 1202310L, 1202324L, 1202325L, 1202327L, 1202328L, 1202333L, 
1202334L, 1202336L, 1202337L, 1202342L, 1202343L, 1202345L, 1202346L, 
1202351L, 1202352L, 1202354L, 1202355L, 1202360L, 1202361L, 1202363L, 
1202364L, 1202432L, 1202433L, 1202435L, 1202436L, 1202441L, 1202442L, 
1202444L, 1202445L, 1202450L, 1202451L, 1202453L, 1202454L, 1202459L, 
1202460L, 1202462L, 1202463L, 1202468L, 1202469L, 1202471L, 1202472L, 
1202486L, 1202487L, 1202489L, 1202490L, 1202495L, 1202496L, 1202498L, 
1202499L, 1202504L, 1202505L, 1202507L, 1202508L, 1202513L, 1202514L, 
1202516L, 1202517L, 1202522L, 1202523L, 1202525L, 1202526L, 1202594L, 
1202595L, 1202597L, 1202598L, 1202603L, 1202604L, 1202606L, 1202607L, 
1202612L, 1202613L, 1202615L, 1202616L, 1202621L, 1202622L, 1202624L, 
1202625L, 1202630L, 1202631L, 1202633L, 1202634L, 1202648L, 1202649L, 
1202651L, 1202652L, 1202657L, 1202658L, 1202660L, 1202661L, 1202666L, 
1202667L, 1202669L, 1202670L, 1202675L, 1202676L, 1202678L, 1202679L, 
1202684L, 1202685L, 1202687L, 1202688L, 1202756L, 1202757L, 1202759L, 
1202760L, 1202765L, 1202766L, 1202768L, 1202769L, 1202774L, 1202775L, 
1202777L, 1202778L, 1202783L, 1202784L, 1202786L, 1202787L, 1202792L, 
1202793L, 1202795L, 1202796L, 1202810L, 1202811L, 1202813L, 1202814L, 
1202819L, 1202820L, 1202822L, 1202823L, 1202828L, 1202829L, 1202831L, 
1202832L, 1202837L, 1202838L, 1202840L, 1202841L, 1202846L, 1202847L, 
1202849L, 1202850L, 1203080L, 1203081L, 1203083L, 1203084L, 1203089L, 
1203090L, 1203092L, 1203093L, 1203098L, 1203099L, 1203101L, 1203102L, 
1203107L, 1203108L, 1203110L, 1203111L, 1203116L, 1203117L, 1203119L, 
1203120L, 1203134L, 1203135L, 1203137L, 1203138L, 1203143L, 1203144L, 
1203146L, 1203147L, 1203152L, 1203153L, 1203155L, 1203156L, 1203161L, 
1203162L, 1203164L, 1203165L, 1203170L, 1203171L, 1203173L, 1203174L, 
1203242L, 1203243L, 1203245L, 1203246L, 1203251L, 1203252L, 1203254L, 
1203255L, 1203260L, 1203261L, 1203263L, 1203264L, 1203269L, 1203270L, 
1203272L, 1203273L, 1203278L, 1203279L, 1203281L, 1203282L, 1203296L, 
1203297L, 1203299L, 1203300L, 1203305L, 1203306L, 1203308L, 1203309L, 
1203314L, 1203315L, 1203317L, 1203318L, 1203323L, 1203324L, 1203326L, 
1203327L, 1203332L, 1203333L, 1203335L, 1203336L, 1203404L, 1203405L, 
1203407L, 1203408L, 1203413L, 1203414L, 1203416L, 1203417L, 1203422L, 
1203423L, 1203425L, 1203426L, 1203431L, 1203432L, 1203434L, 1203435L, 
1203440L, 1203441L, 1203443L, 1203444L, 1203458L, 1203459L, 1203461L, 
1203462L, 1203467L, 1203468L, 1203470L, 1203471L, 1203476L, 1203477L, 
1203479L, 1203480L, 1203485L, 1203486L, 1203488L, 1203489L, 1203494L, 
1203495L, 1203497L, 1203498L, 1203566L, 1203567L, 1203569L, 1203570L, 
1203575L, 1203576L, 1203578L, 1203579L, 1203584L, 1203585L, 1203587L, 
1203588L, 1203593L, 1203594L, 1203596L, 1203597L, 1203602L, 1203603L, 
1203605L, 1203606L, 1203620L, 1203621L, 1203623L, 1203624L, 1203629L, 
1203630L, 1203632L, 1203633L, 1203638L, 1203639L, 1203641L, 1203642L, 
1203647L, 1203648L, 1203650L, 1203651L, 1203656L, 1203657L, 1203659L, 
1203660L, 1203890L, 1203891L, 1203893L, 1203894L, 1203899L, 1203900L, 
1203902L, 1203903L, 1203908L, 1203909L, 1203911L, 1203912L, 1203917L, 
1203918L, 1203920L, 1203921L, 1203926L, 1203927L, 1203929L, 1203930L, 
1203944L, 1203945L, 1203947L, 1203948L, 1203953L, 1203954L, 1203956L, 
1203957L, 1203962L, 1203963L, 1203965L, 1203966L, 1203971L, 1203972L, 
1203974L, 1203975L, 1203980L, 1203981L, 1203983L, 1203984L, 1204052L, 
1204053L, 1204055L, 1204056L, 1204061L, 1204062L, 1204064L, 1204065L, 
1204070L, 1204071L, 1204073L, 1204074L, 1204079L, 1204080L, 1204082L, 
1204083L, 1204088L, 1204089L, 1204091L, 1204092L, 1204106L, 1204107L, 
1204109L, 1204110L, 1204115L, 1204116L, 1204118L, 1204119L, 1204124L, 
1204125L, 1204127L, 1204128L, 1204133L, 1204134L, 1204136L, 1204137L, 
1204142L, 1204143L, 1204145L, 1204146L, 1204214L, 1204215L, 1204217L, 
1204218L, 1204223L, 1204224L, 1204226L, 1204227L, 1204232L, 1204233L, 
1204235L, 1204236L, 1204241L, 1204242L, 1204244L, 1204245L, 1204250L, 
1204251L, 1204253L, 1204254L, 1204268L, 1204269L, 1204271L, 1204272L, 
1204277L, 1204278L, 1204280L, 1204281L, 1204286L, 1204287L, 1204289L, 
1204290L, 1204295L, 1204296L, 1204298L, 1204299L, 1204304L, 1204305L, 
1204307L, 1204308L, 1204376L, 1204377L, 1204379L, 1204380L, 1204385L, 
1204386L, 1204388L, 1204389L, 1204394L, 1204395L, 1204397L, 1204398L, 
1204403L, 1204404L, 1204406L, 1204407L, 1204412L, 1204413L, 1204415L, 
1204416L, 1204430L, 1204431L, 1204433L, 1204434L, 1204439L, 1204440L, 
1204442L, 1204443L, 1204448L, 1204449L, 1204451L, 1204452L, 1204457L, 
1204458L, 1204460L, 1204461L, 1204466L, 1204467L, 1204469L, 1204470L, 
1204700L, 1204701L, 1204703L, 1204704L, 1204709L, 1204710L, 1204712L, 
1204713L, 1204718L, 1204719L, 1204721L, 1204722L, 1204727L, 1204728L, 
1204730L, 1204731L, 1204736L, 1204737L, 1204739L, 1204740L, 1204754L, 
1204755L, 1204757L, 1204758L, 1204763L, 1204764L, 1204766L, 1204767L, 
1204772L, 1204773L, 1204775L, 1204776L, 1204781L, 1204782L, 1204784L, 
1204785L, 1204790L, 1204791L, 1204793L, 1204794L, 1204862L, 1204863L, 
1204865L, 1204866L, 1204871L, 1204872L, 1204874L, 1204875L, 1204880L, 
1204881L, 1204883L, 1204884L, 1204889L, 1204890L, 1204892L, 1204893L, 
1204898L, 1204899L, 1204901L, 1204902L, 1204916L, 1204917L, 1204919L, 
1204920L, 1204925L, 1204926L, 1204928L, 1204929L, 1204934L, 1204935L, 
1204937L, 1204938L, 1204943L, 1204944L, 1204946L, 1204947L, 1204952L, 
1204953L, 1204955L, 1204956L, 1205024L, 1205025L, 1205027L, 1205028L, 
1205033L, 1205034L, 1205036L, 1205037L, 1205042L, 1205043L, 1205045L, 
1205046L, 1205051L, 1205052L, 1205054L, 1205055L, 1205060L, 1205061L, 
1205063L, 1205064L, 1205078L, 1205079L, 1205081L, 1205082L, 1205087L, 
1205088L, 1205090L, 1205091L, 1205096L, 1205097L, 1205099L, 1205100L, 
1205105L, 1205106L, 1205108L, 1205109L, 1205114L, 1205115L, 1205117L, 
1205118L, 1205186L, 1205187L, 1205189L, 1205190L, 1205195L, 1205196L, 
1205198L, 1205199L, 1205204L, 1205205L, 1205207L, 1205208L, 1205213L, 
1205214L, 1205216L, 1205217L, 1205222L, 1205223L, 1205225L, 1205226L, 
1205240L, 1205241L, 1205243L, 1205244L, 1205249L, 1205250L, 1205252L, 
1205253L, 1205258L, 1205259L, 1205261L, 1205262L, 1205267L, 1205268L, 
1205270L, 1205271L, 1205276L, 1205277L, 1205279L, 1205280L, 1206320L, 
1206321L, 1206323L, 1206324L, 1206329L, 1206330L, 1206332L, 1206333L, 
1206338L, 1206339L, 1206341L, 1206342L, 1206347L, 1206348L, 1206350L, 
1206351L, 1206356L, 1206357L, 1206359L, 1206360L, 1206374L, 1206375L, 
1206377L, 1206378L, 1206383L, 1206384L, 1206386L, 1206387L, 1206392L, 
1206393L, 1206395L, 1206396L, 1206401L, 1206402L, 1206404L, 1206405L, 
1206410L, 1206411L, 1206413L, 1206414L, 1206482L, 1206483L, 1206485L, 
1206486L, 1206491L, 1206492L, 1206494L, 1206495L, 1206500L, 1206501L, 
1206503L, 1206504L, 1206509L, 1206510L, 1206512L, 1206513L, 1206518L, 
1206519L, 1206521L, 1206522L, 1206536L, 1206537L, 1206539L, 1206540L, 
1206545L, 1206546L, 1206548L, 1206549L, 1206554L, 1206555L, 1206557L, 
1206558L, 1206563L, 1206564L, 1206566L, 1206567L, 1206572L, 1206573L, 
1206575L, 1206576L, 1206644L, 1206645L, 1206647L, 1206648L, 1206653L, 
1206654L, 1206656L, 1206657L, 1206662L, 1206663L, 1206665L, 1206666L, 
1206671L, 1206672L, 1206674L, 1206675L, 1206680L, 1206681L, 1206683L, 
1206684L, 1206698L, 1206699L, 1206701L, 1206702L, 1206707L, 1206708L, 
1206710L, 1206711L, 1206716L, 1206717L, 1206719L, 1206720L, 1206725L, 
1206726L, 1206728L, 1206729L, 1206734L, 1206735L, 1206737L, 1206738L, 
1206806L, 1206807L, 1206809L, 1206810L, 1206815L, 1206816L, 1206818L, 
1206819L, 1206824L, 1206825L, 1206827L, 1206828L, 1206833L, 1206834L, 
1206836L, 1206837L, 1206842L, 1206843L, 1206845L, 1206846L, 1206860L, 
1206861L, 1206863L, 1206864L, 1206869L, 1206870L, 1206872L, 1206873L, 
1206878L, 1206879L, 1206881L, 1206882L, 1206887L, 1206888L, 1206890L, 
1206891L, 1206896L, 1206897L, 1206899L, 1206900L, 1207130L, 1207131L, 
1207133L, 1207134L, 1207139L, 1207140L, 1207142L, 1207143L, 1207148L, 
1207149L, 1207151L, 1207152L, 1207157L, 1207158L, 1207160L, 1207161L, 
1207166L, 1207167L, 1207169L, 1207170L, 1207184L, 1207185L, 1207187L, 
1207188L, 1207193L, 1207194L, 1207196L, 1207197L, 1207202L, 1207203L, 
1207205L, 1207206L, 1207211L, 1207212L, 1207214L, 1207215L, 1207220L, 
1207221L, 1207223L, 1207224L, 1207292L, 1207293L, 1207295L, 1207296L, 
1207301L, 1207302L, 1207304L, 1207305L, 1207310L, 1207311L, 1207313L, 
1207314L, 1207319L, 1207320L, 1207322L, 1207323L, 1207328L, 1207329L, 
1207331L, 1207332L, 1207346L, 1207347L, 1207349L, 1207350L, 1207355L, 
1207356L, 1207358L, 1207359L, 1207364L, 1207365L, 1207367L, 1207368L, 
1207373L, 1207374L, 1207376L, 1207377L, 1207382L, 1207383L, 1207385L, 
1207386L, 1207454L, 1207455L, 1207457L, 1207458L, 1207463L, 1207464L, 
1207466L, 1207467L, 1207472L, 1207473L, 1207475L, 1207476L, 1207481L, 
1207482L, 1207484L, 1207485L, 1207490L, 1207491L, 1207493L, 1207494L, 
1207508L, 1207509L, 1207511L, 1207512L, 1207517L, 1207518L, 1207520L, 
1207521L, 1207526L, 1207527L, 1207529L, 1207530L, 1207535L, 1207536L, 
1207538L, 1207539L, 1207544L, 1207545L, 1207547L, 1207548L, 1207616L, 
1207617L, 1207619L, 1207620L, 1207625L, 1207626L, 1207628L, 1207629L, 
1207634L, 1207635L, 1207637L, 1207638L, 1207643L, 1207644L, 1207646L, 
1207647L, 1207652L, 1207653L, 1207655L, 1207656L, 1207670L, 1207671L, 
1207673L, 1207674L, 1207679L, 1207680L, 1207682L, 1207683L, 1207688L, 
1207689L, 1207691L, 1207692L, 1207697L, 1207698L, 1207700L, 1207701L, 
1207706L, 1207707L, 1207709L, 1207710L, 1207940L, 1207941L, 1207943L, 
1207944L, 1207949L, 1207950L, 1207952L, 1207953L, 1207958L, 1207959L, 
1207961L, 1207962L, 1207967L, 1207968L, 1207970L, 1207971L, 1207976L, 
1207977L, 1207979L, 1207980L, 1207994L, 1207995L, 1207997L, 1207998L, 
1208003L, 1208004L, 1208006L, 1208007L, 1208012L, 1208013L, 1208015L, 
1208016L, 1208021L, 1208022L, 1208024L, 1208025L, 1208030L, 1208031L, 
1208033L, 1208034L, 1208102L, 1208103L, 1208105L, 1208106L, 1208111L, 
1208112L, 1208114L, 1208115L, 1208120L, 1208121L, 1208123L, 1208124L, 
1208129L, 1208130L, 1208132L, 1208133L, 1208138L, 1208139L, 1208141L, 
1208142L, 1208156L, 1208157L, 1208159L, 1208160L, 1208165L, 1208166L, 
1208168L, 1208169L, 1208174L, 1208175L, 1208177L, 1208178L, 1208183L, 
1208184L, 1208186L, 1208187L, 1208192L, 1208193L, 1208195L, 1208196L, 
1208264L, 1208265L, 1208267L, 1208268L, 1208273L, 1208274L, 1208276L, 
1208277L, 1208282L, 1208283L, 1208285L, 1208286L, 1208291L, 1208292L, 
1208294L, 1208295L, 1208300L, 1208301L, 1208303L, 1208304L, 1208318L, 
1208319L, 1208321L, 1208322L, 1208327L, 1208328L, 1208330L, 1208331L, 
1208336L, 1208337L, 1208339L, 1208340L, 1208345L, 1208346L, 1208348L, 
1208349L, 1208354L, 1208355L, 1208357L, 1208358L, 1208426L, 1208427L, 
1208429L, 1208430L, 1208435L, 1208436L, 1208438L, 1208439L, 1208444L, 
1208445L, 1208447L, 1208448L, 1208453L, 1208454L, 1208456L, 1208457L, 
1208462L, 1208463L, 1208465L, 1208466L, 1208480L, 1208481L, 1208483L, 
1208484L, 1208489L, 1208490L, 1208492L, 1208493L, 1208498L, 1208499L, 
1208501L, 1208502L, 1208507L, 1208508L, 1208510L, 1208511L, 1208516L, 
1208517L, 1208519L, 1208520L, 1208750L, 1208751L, 1208753L, 1208754L, 
1208759L, 1208760L, 1208762L, 1208763L, 1208768L, 1208769L, 1208771L, 
1208772L, 1208777L, 1208778L, 1208780L, 1208781L, 1208786L, 1208787L, 
1208789L, 1208790L, 1208804L, 1208805L, 1208807L, 1208808L, 1208813L, 
1208814L, 1208816L, 1208817L, 1208822L, 1208823L, 1208825L, 1208826L, 
1208831L, 1208832L, 1208834L, 1208835L, 1208840L, 1208841L, 1208843L, 
1208844L, 1208912L, 1208913L, 1208915L, 1208916L, 1208921L, 1208922L, 
1208924L, 1208925L, 1208930L, 1208931L, 1208933L, 1208934L, 1208939L, 
1208940L, 1208942L, 1208943L, 1208948L, 1208949L, 1208951L, 1208952L, 
1208966L, 1208967L, 1208969L, 1208970L, 1208975L, 1208976L, 1208978L, 
1208979L, 1208984L, 1208985L, 1208987L, 1208988L, 1208993L, 1208994L, 
1208996L, 1208997L, 1209002L, 1209003L, 1209005L, 1209006L, 1209074L, 
1209075L, 1209077L, 1209078L, 1209083L, 1209084L, 1209086L, 1209087L, 
1209092L, 1209093L, 1209095L, 1209096L, 1209101L, 1209102L, 1209104L, 
1209105L, 1209110L, 1209111L, 1209113L, 1209114L, 1209128L, 1209129L, 
1209131L, 1209132L, 1209137L, 1209138L, 1209140L, 1209141L, 1209146L, 
1209147L, 1209149L, 1209150L, 1209155L, 1209156L, 1209158L, 1209159L, 
1209164L, 1209165L, 1209167L, 1209168L, 1209236L, 1209237L, 1209239L, 
1209240L, 1209245L, 1209246L, 1209248L, 1209249L, 1209254L, 1209255L, 
1209257L, 1209258L, 1209263L, 1209264L, 1209266L, 1209267L, 1209272L, 
1209273L, 1209275L, 1209276L, 1209290L, 1209291L, 1209293L, 1209294L, 
1209299L, 1209300L, 1209302L, 1209303L, 1209308L, 1209309L, 1209311L, 
1209312L, 1209317L, 1209318L, 1209320L, 1209321L, 1209326L, 1209327L, 
1209329L, 1209330L, 1209560L, 1209561L, 1209563L, 1209564L, 1209569L, 
1209570L, 1209572L, 1209573L, 1209578L, 1209579L, 1209581L, 1209582L, 
1209587L, 1209588L, 1209590L, 1209591L, 1209596L, 1209597L, 1209599L, 
1209600L, 1209614L, 1209615L, 1209617L, 1209618L, 1209623L, 1209624L, 
1209626L, 1209627L, 1209632L, 1209633L, 1209635L, 1209636L, 1209641L, 
1209642L, 1209644L, 1209645L, 1209650L, 1209651L, 1209653L, 1209654L, 
1209722L, 1209723L, 1209725L, 1209726L, 1209731L, 1209732L, 1209734L, 
1209735L, 1209740L, 1209741L, 1209743L, 1209744L, 1209749L, 1209750L, 
1209752L, 1209753L, 1209758L, 1209759L, 1209761L, 1209762L, 1209776L, 
1209777L, 1209779L, 1209780L, 1209785L, 1209786L, 1209788L, 1209789L, 
1209794L, 1209795L, 1209797L, 1209798L, 1209803L, 1209804L, 1209806L, 
1209807L, 1209812L, 1209813L, 1209815L, 1209816L, 1209884L, 1209885L, 
1209887L, 1209888L, 1209893L, 1209894L, 1209896L, 1209897L, 1209902L, 
1209903L, 1209905L, 1209906L, 1209911L, 1209912L, 1209914L, 1209915L, 
1209920L, 1209921L, 1209923L, 1209924L, 1209938L, 1209939L, 1209941L, 
1209942L, 1209947L, 1209948L, 1209950L, 1209951L, 1209956L, 1209957L, 
1209959L, 1209960L, 1209965L, 1209966L, 1209968L, 1209969L, 1209974L, 
1209975L, 1209977L, 1209978L, 1210046L, 1210047L, 1210049L, 1210050L, 
1210055L, 1210056L, 1210058L, 1210059L, 1210064L, 1210065L, 1210067L, 
1210068L, 1210073L, 1210074L, 1210076L, 1210077L, 1210082L, 1210083L, 
1210085L, 1210086L, 1210100L, 1210101L, 1210103L, 1210104L, 1210109L, 
1210110L, 1210112L, 1210113L, 1210118L, 1210119L, 1210121L, 1210122L, 
1210127L, 1210128L, 1210130L, 1210131L, 1210136L, 1210137L, 1210139L, 
1210140L, 1220900L, 1220901L, 1220903L, 1220904L, 1220909L, 1220910L, 
1220912L, 1220913L, 1220918L, 1220919L, 1220921L, 1220922L, 1220927L, 
1220928L, 1220930L, 1220931L, 1220936L, 1220937L, 1220939L, 1220940L, 
1220954L, 1220955L, 1220957L, 1220958L, 1220963L, 1220964L, 1220966L, 
1220967L, 1220972L, 1220973L, 1220975L, 1220976L, 1220981L, 1220982L, 
1220984L, 1220985L, 1220990L, 1220991L, 1220993L, 1220994L, 1221062L, 
1221063L, 1221065L, 1221066L, 1221071L, 1221072L, 1221074L, 1221075L, 
1221080L, 1221081L, 1221083L, 1221084L, 1221089L, 1221090L, 1221092L, 
1221093L, 1221098L, 1221099L, 1221101L, 1221102L, 1221116L, 1221117L, 
1221119L, 1221120L, 1221125L, 1221126L, 1221128L, 1221129L, 1221134L, 
1221135L, 1221137L, 1221138L, 1221143L, 1221144L, 1221146L, 1221147L, 
1221152L, 1221153L, 1221155L, 1221156L, 1221224L, 1221225L, 1221227L, 
1221228L, 1221233L, 1221234L, 1221236L, 1221237L, 1221242L, 1221243L, 
1221245L, 1221246L, 1221251L, 1221252L, 1221254L, 1221255L, 1221260L, 
1221261L, 1221263L, 1221264L, 1221278L, 1221279L, 1221281L, 1221282L, 
1221287L, 1221288L, 1221290L, 1221291L, 1221296L, 1221297L, 1221299L, 
1221300L, 1221305L, 1221306L, 1221308L, 1221309L, 1221314L, 1221315L, 
1221317L, 1221318L, 1221386L, 1221387L, 1221389L, 1221390L, 1221395L, 
1221396L, 1221398L, 1221399L, 1221404L, 1221405L, 1221407L, 1221408L, 
1221413L, 1221414L, 1221416L, 1221417L, 1221422L, 1221423L, 1221425L, 
1221426L, 1221440L, 1221441L, 1221443L, 1221444L, 1221449L, 1221450L, 
1221452L, 1221453L, 1221458L, 1221459L, 1221461L, 1221462L, 1221467L, 
1221468L, 1221470L, 1221471L, 1221476L, 1221477L, 1221479L, 1221480L, 
1221710L, 1221711L, 1221713L, 1221714L, 1221719L, 1221720L, 1221722L, 
1221723L, 1221728L, 1221729L, 1221731L, 1221732L, 1221737L, 1221738L, 
1221740L, 1221741L, 1221746L, 1221747L, 1221749L, 1221750L, 1221764L, 
1221765L, 1221767L, 1221768L, 1221773L, 1221774L, 1221776L, 1221777L, 
1221782L, 1221783L, 1221785L, 1221786L, 1221791L, 1221792L, 1221794L, 
1221795L, 1221800L, 1221801L, 1221803L, 1221804L, 1221872L, 1221873L, 
1221875L, 1221876L, 1221881L, 1221882L, 1221884L, 1221885L, 1221890L, 
1221891L, 1221893L, 1221894L, 1221899L, 1221900L, 1221902L, 1221903L, 
1221908L, 1221909L, 1221911L, 1221912L, 1221926L, 1221927L, 1221929L, 
1221930L, 1221935L, 1221936L, 1221938L, 1221939L, 1221944L, 1221945L, 
1221947L, 1221948L, 1221953L, 1221954L, 1221956L, 1221957L, 1221962L, 
1221963L, 1221965L, 1221966L, 1222034L, 1222035L, 1222037L, 1222038L, 
1222043L, 1222044L, 1222046L, 1222047L, 1222052L, 1222053L, 1222055L, 
1222056L, 1222061L, 1222062L, 1222064L, 1222065L, 1222070L, 1222071L, 
1222073L, 1222074L, 1222088L, 1222089L, 1222091L, 1222092L, 1222097L, 
1222098L, 1222100L, 1222101L, 1222106L, 1222107L, 1222109L, 1222110L, 
1222115L, 1222116L, 1222118L, 1222119L, 1222124L, 1222125L, 1222127L, 
1222128L, 1222196L, 1222197L, 1222199L, 1222200L, 1222205L, 1222206L, 
1222208L, 1222209L, 1222214L, 1222215L, 1222217L, 1222218L, 1222223L, 
1222224L, 1222226L, 1222227L, 1222232L, 1222233L, 1222235L, 1222236L, 
1222250L, 1222251L, 1222253L, 1222254L, 1222259L, 1222260L, 1222262L, 
1222263L, 1222268L, 1222269L, 1222271L, 1222272L, 1222277L, 1222278L, 
1222280L, 1222281L, 1222286L, 1222287L, 1222289L, 1222290L, 1222520L, 
1222521L, 1222523L, 1222524L, 1222529L, 1222530L, 1222532L, 1222533L, 
1222538L, 1222539L, 1222541L, 1222542L, 1222547L, 1222548L, 1222550L, 
1222551L, 1222556L, 1222557L, 1222559L, 1222560L, 1222574L, 1222575L, 
1222577L, 1222578L, 1222583L, 1222584L, 1222586L, 1222587L, 1222592L, 
1222593L, 1222595L, 1222596L, 1222601L, 1222602L, 1222604L, 1222605L, 
1222610L, 1222611L, 1222613L, 1222614L, 1222682L, 1222683L, 1222685L, 
1222686L, 1222691L, 1222692L, 1222694L, 1222695L, 1222700L, 1222701L, 
1222703L, 1222704L, 1222709L, 1222710L, 1222712L, 1222713L, 1222718L, 
1222719L, 1222721L, 1222722L, 1222736L, 1222737L, 1222739L, 1222740L, 
1222745L, 1222746L, 1222748L, 1222749L, 1222754L, 1222755L, 1222757L, 
1222758L, 1222763L, 1222764L, 1222766L, 1222767L, 1222772L, 1222773L, 
1222775L, 1222776L, 1222844L, 1222845L, 1222847L, 1222848L, 1222853L, 
1222854L, 1222856L, 1222857L, 1222862L, 1222863L, 1222865L, 1222866L, 
1222871L, 1222872L, 1222874L, 1222875L, 1222880L, 1222881L, 1222883L, 
1222884L, 1222898L, 1222899L, 1222901L, 1222902L, 1222907L, 1222908L, 
1222910L, 1222911L, 1222916L, 1222917L, 1222919L, 1222920L, 1222925L, 
1222926L, 1222928L, 1222929L, 1222934L, 1222935L, 1222937L, 1222938L, 
1223006L, 1223007L, 1223009L, 1223010L, 1223015L, 1223016L, 1223018L, 
1223019L, 1223024L, 1223025L, 1223027L, 1223028L, 1223033L, 1223034L, 
1223036L, 1223037L, 1223042L, 1223043L, 1223045L, 1223046L, 1223060L, 
1223061L, 1223063L, 1223064L, 1223069L, 1223070L, 1223072L, 1223073L, 
1223078L, 1223079L, 1223081L, 1223082L, 1223087L, 1223088L, 1223090L, 
1223091L, 1223096L, 1223097L, 1223099L, 1223100L, 1223330L, 1223331L, 
1223333L, 1223334L, 1223339L, 1223340L, 1223342L, 1223343L, 1223348L, 
1223349L, 1223351L, 1223352L, 1223357L, 1223358L, 1223360L, 1223361L, 
1223366L, 1223367L, 1223369L, 1223370L, 1223384L, 1223385L, 1223387L, 
1223388L, 1223393L, 1223394L, 1223396L, 1223397L, 1223402L, 1223403L, 
1223405L, 1223406L, 1223411L, 1223412L, 1223414L, 1223415L, 1223420L, 
1223421L, 1223423L, 1223424L, 1223492L, 1223493L, 1223495L, 1223496L, 
1223501L, 1223502L, 1223504L, 1223505L, 1223510L, 1223511L, 1223513L, 
1223514L, 1223519L, 1223520L, 1223522L, 1223523L, 1223528L, 1223529L, 
1223531L, 1223532L, 1223546L, 1223547L, 1223549L, 1223550L, 1223555L, 
1223556L, 1223558L, 1223559L, 1223564L, 1223565L, 1223567L, 1223568L, 
1223573L, 1223574L, 1223576L, 1223577L, 1223582L, 1223583L, 1223585L, 
1223586L, 1223654L, 1223655L, 1223657L, 1223658L, 1223663L, 1223664L, 
1223666L, 1223667L, 1223672L, 1223673L, 1223675L, 1223676L, 1223681L, 
1223682L, 1223684L, 1223685L, 1223690L, 1223691L, 1223693L, 1223694L, 
1223708L, 1223709L, 1223711L, 1223712L, 1223717L, 1223718L, 1223720L, 
1223721L, 1223726L, 1223727L, 1223729L, 1223730L, 1223735L, 1223736L, 
1223738L, 1223739L, 1223744L, 1223745L, 1223747L, 1223748L, 1223816L, 
1223817L, 1223819L, 1223820L, 1223825L, 1223826L, 1223828L, 1223829L, 
1223834L, 1223835L, 1223837L, 1223838L, 1223843L, 1223844L, 1223846L, 
1223847L, 1223852L, 1223853L, 1223855L, 1223856L, 1223870L, 1223871L, 
1223873L, 1223874L, 1223879L, 1223880L, 1223882L, 1223883L, 1223888L, 
1223889L, 1223891L, 1223892L, 1223897L, 1223898L, 1223900L, 1223901L, 
1223906L, 1223907L, 1223909L, 1223910L, 1224140L, 1224141L, 1224143L, 
1224144L, 1224149L, 1224150L, 1224152L, 1224153L, 1224158L, 1224159L, 
1224161L, 1224162L, 1224167L, 1224168L, 1224170L, 1224171L, 1224176L, 
1224177L, 1224179L, 1224180L, 1224194L, 1224195L, 1224197L, 1224198L, 
1224203L, 1224204L, 1224206L, 1224207L, 1224212L, 1224213L, 1224215L, 
1224216L, 1224221L, 1224222L, 1224224L, 1224225L, 1224230L, 1224231L, 
1224233L, 1224234L, 1224302L, 1224303L, 1224305L, 1224306L, 1224311L, 
1224312L, 1224314L, 1224315L, 1224320L, 1224321L, 1224323L, 1224324L, 
1224329L, 1224330L, 1224332L, 1224333L, 1224338L, 1224339L, 1224341L, 
1224342L, 1224356L, 1224357L, 1224359L, 1224360L, 1224365L, 1224366L, 
1224368L, 1224369L, 1224374L, 1224375L, 1224377L, 1224378L, 1224383L, 
1224384L, 1224386L, 1224387L, 1224392L, 1224393L, 1224395L, 1224396L, 
1224464L, 1224465L, 1224467L, 1224468L, 1224473L, 1224474L, 1224476L, 
1224477L, 1224482L, 1224483L, 1224485L, 1224486L, 1224491L, 1224492L, 
1224494L, 1224495L, 1224500L, 1224501L, 1224503L, 1224504L, 1224518L, 
1224519L, 1224521L, 1224522L, 1224527L, 1224528L, 1224530L, 1224531L, 
1224536L, 1224537L, 1224539L, 1224540L, 1224545L, 1224546L, 1224548L, 
1224549L, 1224554L, 1224555L, 1224557L, 1224558L, 1224626L, 1224627L, 
1224629L, 1224630L, 1224635L, 1224636L, 1224638L, 1224639L, 1224644L, 
1224645L, 1224647L, 1224648L, 1224653L, 1224654L, 1224656L, 1224657L, 
1224662L, 1224663L, 1224665L, 1224666L, 1224680L, 1224681L, 1224683L, 
1224684L, 1224689L, 1224690L, 1224692L, 1224693L, 1224698L, 1224699L, 
1224701L, 1224702L, 1224707L, 1224708L, 1224710L, 1224711L, 1224716L, 
1224717L, 1224719L, 1224720L, 1225760L, 1225761L, 1225763L, 1225764L, 
1225769L, 1225770L, 1225772L, 1225773L, 1225778L, 1225779L, 1225781L, 
1225782L, 1225787L, 1225788L, 1225790L, 1225791L, 1225796L, 1225797L, 
1225799L, 1225800L, 1225814L, 1225815L, 1225817L, 1225818L, 1225823L, 
1225824L, 1225826L, 1225827L, 1225832L, 1225833L, 1225835L, 1225836L, 
1225841L, 1225842L, 1225844L, 1225845L, 1225850L, 1225851L, 1225853L, 
1225854L, 1225922L, 1225923L, 1225925L, 1225926L, 1225931L, 1225932L, 
1225934L, 1225935L, 1225940L, 1225941L, 1225943L, 1225944L, 1225949L, 
1225950L, 1225952L, 1225953L, 1225958L, 1225959L, 1225961L, 1225962L, 
1225976L, 1225977L, 1225979L, 1225980L, 1225985L, 1225986L, 1225988L, 
1225989L, 1225994L, 1225995L, 1225997L, 1225998L, 1226003L, 1226004L, 
1226006L, 1226007L, 1226012L, 1226013L, 1226015L, 1226016L, 1226084L, 
1226085L, 1226087L, 1226088L, 1226093L, 1226094L, 1226096L, 1226097L, 
1226102L, 1226103L, 1226105L, 1226106L, 1226111L, 1226112L, 1226114L, 
1226115L, 1226120L, 1226121L, 1226123L, 1226124L, 1226138L, 1226139L, 
1226141L, 1226142L, 1226147L, 1226148L, 1226150L, 1226151L, 1226156L, 
1226157L, 1226159L, 1226160L, 1226165L, 1226166L, 1226168L, 1226169L, 
1226174L, 1226175L, 1226177L, 1226178L, 1226246L, 1226247L, 1226249L, 
1226250L, 1226255L, 1226256L, 1226258L, 1226259L, 1226264L, 1226265L, 
1226267L, 1226268L, 1226273L, 1226274L, 1226276L, 1226277L, 1226282L, 
1226283L, 1226285L, 1226286L, 1226300L, 1226301L, 1226303L, 1226304L, 
1226309L, 1226310L, 1226312L, 1226313L, 1226318L, 1226319L, 1226321L, 
1226322L, 1226327L, 1226328L, 1226330L, 1226331L, 1226336L, 1226337L, 
1226339L, 1226340L, 1226570L, 1226571L, 1226573L, 1226574L, 1226579L, 
1226580L, 1226582L, 1226583L, 1226588L, 1226589L, 1226591L, 1226592L, 
1226597L, 1226598L, 1226600L, 1226601L, 1226606L, 1226607L, 1226609L, 
1226610L, 1226624L, 1226625L, 1226627L, 1226628L, 1226633L, 1226634L, 
1226636L, 1226637L, 1226642L, 1226643L, 1226645L, 1226646L, 1226651L, 
1226652L, 1226654L, 1226655L, 1226660L, 1226661L, 1226663L, 1226664L, 
1226732L, 1226733L, 1226735L, 1226736L, 1226741L, 1226742L, 1226744L, 
1226745L, 1226750L, 1226751L, 1226753L, 1226754L, 1226759L, 1226760L, 
1226762L, 1226763L, 1226768L, 1226769L, 1226771L, 1226772L, 1226786L, 
1226787L, 1226789L, 1226790L, 1226795L, 1226796L, 1226798L, 1226799L, 
1226804L, 1226805L, 1226807L, 1226808L, 1226813L, 1226814L, 1226816L, 
1226817L, 1226822L, 1226823L, 1226825L, 1226826L, 1226894L, 1226895L, 
1226897L, 1226898L, 1226903L, 1226904L, 1226906L, 1226907L, 1226912L, 
1226913L, 1226915L, 1226916L, 1226921L, 1226922L, 1226924L, 1226925L, 
1226930L, 1226931L, 1226933L, 1226934L, 1226948L, 1226949L, 1226951L, 
1226952L, 1226957L, 1226958L, 1226960L, 1226961L, 1226966L, 1226967L, 
1226969L, 1226970L, 1226975L, 1226976L, 1226978L, 1226979L, 1226984L, 
1226985L, 1226987L, 1226988L, 1227056L, 1227057L, 1227059L, 1227060L, 
1227065L, 1227066L, 1227068L, 1227069L, 1227074L, 1227075L, 1227077L, 
1227078L, 1227083L, 1227084L, 1227086L, 1227087L, 1227092L, 1227093L, 
1227095L, 1227096L, 1227110L, 1227111L, 1227113L, 1227114L, 1227119L, 
1227120L, 1227122L, 1227123L, 1227128L, 1227129L, 1227131L, 1227132L, 
1227137L, 1227138L, 1227140L, 1227141L, 1227146L, 1227147L, 1227149L, 
1227150L, 1227380L, 1227381L, 1227383L, 1227384L, 1227389L, 1227390L, 
1227392L, 1227393L, 1227398L, 1227399L, 1227401L, 1227402L, 1227407L, 
1227408L, 1227410L, 1227411L, 1227416L, 1227417L, 1227419L, 1227420L, 
1227434L, 1227435L, 1227437L, 1227438L, 1227443L, 1227444L, 1227446L, 
1227447L, 1227452L, 1227453L, 1227455L, 1227456L, 1227461L, 1227462L, 
1227464L, 1227465L, 1227470L, 1227471L, 1227473L, 1227474L, 1227542L, 
1227543L, 1227545L, 1227546L, 1227551L, 1227552L, 1227554L, 1227555L, 
1227560L, 1227561L, 1227563L, 1227564L, 1227569L, 1227570L, 1227572L, 
1227573L, 1227578L, 1227579L, 1227581L, 1227582L, 1227596L, 1227597L, 
1227599L, 1227600L, 1227605L, 1227606L, 1227608L, 1227609L, 1227614L, 
1227615L, 1227617L, 1227618L, 1227623L, 1227624L, 1227626L, 1227627L, 
1227632L, 1227633L, 1227635L, 1227636L, 1227704L, 1227705L, 1227707L, 
1227708L, 1227713L, 1227714L, 1227716L, 1227717L, 1227722L, 1227723L, 
1227725L, 1227726L, 1227731L, 1227732L, 1227734L, 1227735L, 1227740L, 
1227741L, 1227743L, 1227744L, 1227758L, 1227759L, 1227761L, 1227762L, 
1227767L, 1227768L, 1227770L, 1227771L, 1227776L, 1227777L, 1227779L, 
1227780L, 1227785L, 1227786L, 1227788L, 1227789L, 1227794L, 1227795L, 
1227797L, 1227798L, 1227866L, 1227867L, 1227869L, 1227870L, 1227875L, 
1227876L, 1227878L, 1227879L, 1227884L, 1227885L, 1227887L, 1227888L, 
1227893L, 1227894L, 1227896L, 1227897L, 1227902L, 1227903L, 1227905L, 
1227906L, 1227920L, 1227921L, 1227923L, 1227924L, 1227929L, 1227930L, 
1227932L, 1227933L, 1227938L, 1227939L, 1227941L, 1227942L, 1227947L, 
1227948L, 1227950L, 1227951L, 1227956L, 1227957L, 1227959L, 1227960L, 
1228190L, 1228191L, 1228193L, 1228194L, 1228199L, 1228200L, 1228202L, 
1228203L, 1228208L, 1228209L, 1228211L, 1228212L, 1228217L, 1228218L, 
1228220L, 1228221L, 1228226L, 1228227L, 1228229L, 1228230L, 1228244L, 
1228245L, 1228247L, 1228248L, 1228253L, 1228254L, 1228256L, 1228257L, 
1228262L, 1228263L, 1228265L, 1228266L, 1228271L, 1228272L, 1228274L, 
1228275L, 1228280L, 1228281L, 1228283L, 1228284L, 1228352L, 1228353L, 
1228355L, 1228356L, 1228361L, 1228362L, 1228364L, 1228365L, 1228370L, 
1228371L, 1228373L, 1228374L, 1228379L, 1228380L, 1228382L, 1228383L, 
1228388L, 1228389L, 1228391L, 1228392L, 1228406L, 1228407L, 1228409L, 
1228410L, 1228415L, 1228416L, 1228418L, 1228419L, 1228424L, 1228425L, 
1228427L, 1228428L, 1228433L, 1228434L, 1228436L, 1228437L, 1228442L, 
1228443L, 1228445L, 1228446L, 1228514L, 1228515L, 1228517L, 1228518L, 
1228523L, 1228524L, 1228526L, 1228527L, 1228532L, 1228533L, 1228535L, 
1228536L, 1228541L, 1228542L, 1228544L, 1228545L, 1228550L, 1228551L, 
1228553L, 1228554L, 1228568L, 1228569L, 1228571L, 1228572L, 1228577L, 
1228578L, 1228580L, 1228581L, 1228586L, 1228587L, 1228589L, 1228590L, 
1228595L, 1228596L, 1228598L, 1228599L, 1228604L, 1228605L, 1228607L, 
1228608L, 1228676L, 1228677L, 1228679L, 1228680L, 1228685L, 1228686L, 
1228688L, 1228689L, 1228694L, 1228695L, 1228697L, 1228698L, 1228703L, 
1228704L, 1228706L, 1228707L, 1228712L, 1228713L, 1228715L, 1228716L, 
1228730L, 1228731L, 1228733L, 1228734L, 1228739L, 1228740L, 1228742L, 
1228743L, 1228748L, 1228749L, 1228751L, 1228752L, 1228757L, 1228758L, 
1228760L, 1228761L, 1228766L, 1228767L, 1228769L, 1228770L, 1229000L, 
1229001L, 1229003L, 1229004L, 1229009L, 1229010L, 1229012L, 1229013L, 
1229018L, 1229019L, 1229021L, 1229022L, 1229027L, 1229028L, 1229030L, 
1229031L, 1229036L, 1229037L, 1229039L, 1229040L, 1229054L, 1229055L, 
1229057L, 1229058L, 1229063L, 1229064L, 1229066L, 1229067L, 1229072L, 
1229073L, 1229075L, 1229076L, 1229081L, 1229082L, 1229084L, 1229085L, 
1229090L, 1229091L, 1229093L, 1229094L, 1229162L, 1229163L, 1229165L, 
1229166L, 1229171L, 1229172L, 1229174L, 1229175L, 1229180L, 1229181L, 
1229183L, 1229184L, 1229189L, 1229190L, 1229192L, 1229193L, 1229198L, 
1229199L, 1229201L, 1229202L, 1229216L, 1229217L, 1229219L, 1229220L, 
1229225L, 1229226L, 1229228L, 1229229L, 1229234L, 1229235L, 1229237L, 
1229238L, 1229243L, 1229244L, 1229246L, 1229247L, 1229252L, 1229253L, 
1229255L, 1229256L, 1229324L, 1229325L, 1229327L, 1229328L, 1229333L, 
1229334L, 1229336L, 1229337L, 1229342L, 1229343L, 1229345L, 1229346L, 
1229351L, 1229352L, 1229354L, 1229355L, 1229360L, 1229361L, 1229363L, 
1229364L, 1229378L, 1229379L, 1229381L, 1229382L, 1229387L, 1229388L, 
1229390L, 1229391L, 1229396L, 1229397L, 1229399L, 1229400L, 1229405L, 
1229406L, 1229408L, 1229409L, 1229414L, 1229415L, 1229417L, 1229418L, 
1229486L, 1229487L, 1229489L, 1229490L, 1229495L, 1229496L, 1229498L, 
1229499L, 1229504L, 1229505L, 1229507L, 1229508L, 1229513L, 1229514L, 
1229516L, 1229517L, 1229522L, 1229523L, 1229525L, 1229526L, 1229540L, 
1229541L, 1229543L, 1229544L, 1229549L, 1229550L, 1229552L, 1229553L, 
1229558L, 1229559L, 1229561L, 1229562L, 1229567L, 1229568L, 1229570L, 
1229571L, 1229576L, 1229577L, 1229579L, 1229580L, 1230620L, 1230621L, 
1230623L, 1230624L, 1230629L, 1230630L, 1230632L, 1230633L, 1230638L, 
1230639L, 1230641L, 1230642L, 1230647L, 1230648L, 1230650L, 1230651L, 
1230656L, 1230657L, 1230659L, 1230660L, 1230674L, 1230675L, 1230677L, 
1230678L, 1230683L, 1230684L, 1230686L, 1230687L, 1230692L, 1230693L, 
1230695L, 1230696L, 1230701L, 1230702L, 1230704L, 1230705L, 1230710L, 
1230711L, 1230713L, 1230714L, 1230782L, 1230783L, 1230785L, 1230786L, 
1230791L, 1230792L, 1230794L, 1230795L, 1230800L, 1230801L, 1230803L, 
1230804L, 1230809L, 1230810L, 1230812L, 1230813L, 1230818L, 1230819L, 
1230821L, 1230822L, 1230836L, 1230837L, 1230839L, 1230840L, 1230845L, 
1230846L, 1230848L, 1230849L, 1230854L, 1230855L, 1230857L, 1230858L, 
1230863L, 1230864L, 1230866L, 1230867L, 1230872L, 1230873L, 1230875L, 
1230876L, 1230944L, 1230945L, 1230947L, 1230948L, 1230953L, 1230954L, 
1230956L, 1230957L, 1230962L, 1230963L, 1230965L, 1230966L, 1230971L, 
1230972L, 1230974L, 1230975L, 1230980L, 1230981L, 1230983L, 1230984L, 
1230998L, 1230999L, 1231001L, 1231002L, 1231007L, 1231008L, 1231010L, 
1231011L, 1231016L, 1231017L, 1231019L, 1231020L, 1231025L, 1231026L, 
1231028L, 1231029L, 1231034L, 1231035L, 1231037L, 1231038L, 1231106L, 
1231107L, 1231109L, 1231110L, 1231115L, 1231116L, 1231118L, 1231119L, 
1231124L, 1231125L, 1231127L, 1231128L, 1231133L, 1231134L, 1231136L, 
1231137L, 1231142L, 1231143L, 1231145L, 1231146L, 1231160L, 1231161L, 
1231163L, 1231164L, 1231169L, 1231170L, 1231172L, 1231173L, 1231178L, 
1231179L, 1231181L, 1231182L, 1231187L, 1231188L, 1231190L, 1231191L, 
1231196L, 1231197L, 1231199L, 1231200L, 1231430L, 1231431L, 1231433L, 
1231434L, 1231439L, 1231440L, 1231442L, 1231443L, 1231448L, 1231449L, 
1231451L, 1231452L, 1231457L, 1231458L, 1231460L, 1231461L, 1231466L, 
1231467L, 1231469L, 1231470L, 1231484L, 1231485L, 1231487L, 1231488L, 
1231493L, 1231494L, 1231496L, 1231497L, 1231502L, 1231503L, 1231505L, 
1231506L, 1231511L, 1231512L, 1231514L, 1231515L, 1231520L, 1231521L, 
1231523L, 1231524L, 1231592L, 1231593L, 1231595L, 1231596L, 1231601L, 
1231602L, 1231604L, 1231605L, 1231610L, 1231611L, 1231613L, 1231614L, 
1231619L, 1231620L, 1231622L, 1231623L, 1231628L, 1231629L, 1231631L, 
1231632L, 1231646L, 1231647L, 1231649L, 1231650L, 1231655L, 1231656L, 
1231658L, 1231659L, 1231664L, 1231665L, 1231667L, 1231668L, 1231673L, 
1231674L, 1231676L, 1231677L, 1231682L, 1231683L, 1231685L, 1231686L, 
1231754L, 1231755L, 1231757L, 1231758L, 1231763L, 1231764L, 1231766L, 
1231767L, 1231772L, 1231773L, 1231775L, 1231776L, 1231781L, 1231782L, 
1231784L, 1231785L, 1231790L, 1231791L, 1231793L, 1231794L, 1231808L, 
1231809L, 1231811L, 1231812L, 1231817L, 1231818L, 1231820L, 1231821L, 
1231826L, 1231827L, 1231829L, 1231830L, 1231835L, 1231836L, 1231838L, 
1231839L, 1231844L, 1231845L, 1231847L, 1231848L, 1231916L, 1231917L, 
1231919L, 1231920L, 1231925L, 1231926L, 1231928L, 1231929L, 1231934L, 
1231935L, 1231937L, 1231938L, 1231943L, 1231944L, 1231946L, 1231947L, 
1231952L, 1231953L, 1231955L, 1231956L, 1231970L, 1231971L, 1231973L, 
1231974L, 1231979L, 1231980L, 1231982L, 1231983L, 1231988L, 1231989L, 
1231991L, 1231992L, 1231997L, 1231998L, 1232000L, 1232001L, 1232006L, 
1232007L, 1232009L, 1232010L, 1232240L, 1232241L, 1232243L, 1232244L, 
1232249L, 1232250L, 1232252L, 1232253L, 1232258L, 1232259L, 1232261L, 
1232262L, 1232267L, 1232268L, 1232270L, 1232271L, 1232276L, 1232277L, 
1232279L, 1232280L, 1232294L, 1232295L, 1232297L, 1232298L, 1232303L, 
1232304L, 1232306L, 1232307L, 1232312L, 1232313L, 1232315L, 1232316L, 
1232321L, 1232322L, 1232324L, 1232325L, 1232330L, 1232331L, 1232333L, 
1232334L, 1232402L, 1232403L, 1232405L, 1232406L, 1232411L, 1232412L, 
1232414L, 1232415L, 1232420L, 1232421L, 1232423L, 1232424L, 1232429L, 
1232430L, 1232432L, 1232433L, 1232438L, 1232439L, 1232441L, 1232442L, 
1232456L, 1232457L, 1232459L, 1232460L, 1232465L, 1232466L, 1232468L, 
1232469L, 1232474L, 1232475L, 1232477L, 1232478L, 1232483L, 1232484L, 
1232486L, 1232487L, 1232492L, 1232493L, 1232495L, 1232496L, 1232564L, 
1232565L, 1232567L, 1232568L, 1232573L, 1232574L, 1232576L, 1232577L, 
1232582L, 1232583L, 1232585L, 1232586L, 1232591L, 1232592L, 1232594L, 
1232595L, 1232600L, 1232601L, 1232603L, 1232604L, 1232618L, 1232619L, 
1232621L, 1232622L, 1232627L, 1232628L, 1232630L, 1232631L, 1232636L, 
1232637L, 1232639L, 1232640L, 1232645L, 1232646L, 1232648L, 1232649L, 
1232654L, 1232655L, 1232657L, 1232658L, 1232726L, 1232727L, 1232729L, 
1232730L, 1232735L, 1232736L, 1232738L, 1232739L, 1232744L, 1232745L, 
1232747L, 1232748L, 1232753L, 1232754L, 1232756L, 1232757L, 1232762L, 
1232763L, 1232765L, 1232766L, 1232780L, 1232781L, 1232783L, 1232784L, 
1232789L, 1232790L, 1232792L, 1232793L, 1232798L, 1232799L, 1232801L, 
1232802L, 1232807L, 1232808L, 1232810L, 1232811L, 1232816L, 1232817L, 
1232819L, 1232820L, 1233050L, 1233051L, 1233053L, 1233054L, 1233059L, 
1233060L, 1233062L, 1233063L, 1233068L, 1233069L, 1233071L, 1233072L, 
1233077L, 1233078L, 1233080L, 1233081L, 1233086L, 1233087L, 1233089L, 
1233090L, 1233104L, 1233105L, 1233107L, 1233108L, 1233113L, 1233114L, 
1233116L, 1233117L, 1233122L, 1233123L, 1233125L, 1233126L, 1233131L, 
1233132L, 1233134L, 1233135L, 1233140L, 1233141L, 1233143L, 1233144L, 
1233212L, 1233213L, 1233215L, 1233216L, 1233221L, 1233222L, 1233224L, 
1233225L, 1233230L, 1233231L, 1233233L, 1233234L, 1233239L, 1233240L, 
1233242L, 1233243L, 1233248L, 1233249L, 1233251L, 1233252L, 1233266L, 
1233267L, 1233269L, 1233270L, 1233275L, 1233276L, 1233278L, 1233279L, 
1233284L, 1233285L, 1233287L, 1233288L, 1233293L, 1233294L, 1233296L, 
1233297L, 1233302L, 1233303L, 1233305L, 1233306L, 1233374L, 1233375L, 
1233377L, 1233378L, 1233383L, 1233384L, 1233386L, 1233387L, 1233392L, 
1233393L, 1233395L, 1233396L, 1233401L, 1233402L, 1233404L, 1233405L, 
1233410L, 1233411L, 1233413L, 1233414L, 1233428L, 1233429L, 1233431L, 
1233432L, 1233437L, 1233438L, 1233440L, 1233441L, 1233446L, 1233447L, 
1233449L, 1233450L, 1233455L, 1233456L, 1233458L, 1233459L, 1233464L, 
1233465L, 1233467L, 1233468L, 1233536L, 1233537L, 1233539L, 1233540L, 
1233545L, 1233546L, 1233548L, 1233549L, 1233554L, 1233555L, 1233557L, 
1233558L, 1233563L, 1233564L, 1233566L, 1233567L, 1233572L, 1233573L, 
1233575L, 1233576L, 1233590L, 1233591L, 1233593L, 1233594L, 1233599L, 
1233600L, 1233602L, 1233603L, 1233608L, 1233609L, 1233611L, 1233612L, 
1233617L, 1233618L, 1233620L, 1233621L, 1233626L, 1233627L, 1233629L, 
1233630L, 1233860L, 1233861L, 1233863L, 1233864L, 1233869L, 1233870L, 
1233872L, 1233873L, 1233878L, 1233879L, 1233881L, 1233882L, 1233887L, 
1233888L, 1233890L, 1233891L, 1233896L, 1233897L, 1233899L, 1233900L, 
1233914L, 1233915L, 1233917L, 1233918L, 1233923L, 1233924L, 1233926L, 
1233927L, 1233932L, 1233933L, 1233935L, 1233936L, 1233941L, 1233942L, 
1233944L, 1233945L, 1233950L, 1233951L, 1233953L, 1233954L, 1234022L, 
1234023L, 1234025L, 1234026L, 1234031L, 1234032L, 1234034L, 1234035L, 
1234040L, 1234041L, 1234043L, 1234044L, 1234049L, 1234050L, 1234052L, 
1234053L, 1234058L, 1234059L, 1234061L, 1234062L, 1234076L, 1234077L, 
1234079L, 1234080L, 1234085L, 1234086L, 1234088L, 1234089L, 1234094L, 
1234095L, 1234097L, 1234098L, 1234103L, 1234104L, 1234106L, 1234107L, 
1234112L, 1234113L, 1234115L, 1234116L, 1234184L, 1234185L, 1234187L, 
1234188L, 1234193L, 1234194L, 1234196L, 1234197L, 1234202L, 1234203L, 
1234205L, 1234206L, 1234211L, 1234212L, 1234214L, 1234215L, 1234220L, 
1234221L, 1234223L, 1234224L, 1234238L, 1234239L, 1234241L, 1234242L, 
1234247L, 1234248L, 1234250L, 1234251L, 1234256L, 1234257L, 1234259L, 
1234260L, 1234265L, 1234266L, 1234268L, 1234269L, 1234274L, 1234275L, 
1234277L, 1234278L, 1234346L, 1234347L, 1234349L, 1234350L, 1234355L, 
1234356L, 1234358L, 1234359L, 1234364L, 1234365L, 1234367L, 1234368L, 
1234373L, 1234374L, 1234376L, 1234377L, 1234382L, 1234383L, 1234385L, 
1234386L, 1234400L, 1234401L, 1234403L, 1234404L, 1234409L, 1234410L, 
1234412L, 1234413L, 1234418L, 1234419L, 1234421L, 1234422L, 1234427L, 
1234428L, 1234430L, 1234431L, 1234436L, 1234437L, 1234439L, 1234440L, 
1245200L, 1245201L, 1245203L, 1245204L, 1245209L, 1245210L, 1245212L, 
1245213L, 1245218L, 1245219L, 1245221L, 1245222L, 1245227L, 1245228L, 
1245230L, 1245231L, 1245236L, 1245237L, 1245239L, 1245240L, 1245254L, 
1245255L, 1245257L, 1245258L, 1245263L, 1245264L, 1245266L, 1245267L, 
1245272L, 1245273L, 1245275L, 1245276L, 1245281L, 1245282L, 1245284L, 
1245285L, 1245290L, 1245291L, 1245293L, 1245294L, 1245362L, 1245363L, 
1245365L, 1245366L, 1245371L, 1245372L, 1245374L, 1245375L, 1245380L, 
1245381L, 1245383L, 1245384L, 1245389L, 1245390L, 1245392L, 1245393L, 
1245398L, 1245399L, 1245401L, 1245402L, 1245416L, 1245417L, 1245419L, 
1245420L, 1245425L, 1245426L, 1245428L, 1245429L, 1245434L, 1245435L, 
1245437L, 1245438L, 1245443L, 1245444L, 1245446L, 1245447L, 1245452L, 
1245453L, 1245455L, 1245456L, 1245524L, 1245525L, 1245527L, 1245528L, 
1245533L, 1245534L, 1245536L, 1245537L, 1245542L, 1245543L, 1245545L, 
1245546L, 1245551L, 1245552L, 1245554L, 1245555L, 1245560L, 1245561L, 
1245563L, 1245564L, 1245578L, 1245579L, 1245581L, 1245582L, 1245587L, 
1245588L, 1245590L, 1245591L, 1245596L, 1245597L, 1245599L, 1245600L, 
1245605L, 1245606L, 1245608L, 1245609L, 1245614L, 1245615L, 1245617L, 
1245618L, 1245686L, 1245687L, 1245689L, 1245690L, 1245695L, 1245696L, 
1245698L, 1245699L, 1245704L, 1245705L, 1245707L, 1245708L, 1245713L, 
1245714L, 1245716L, 1245717L, 1245722L, 1245723L, 1245725L, 1245726L, 
1245740L, 1245741L, 1245743L, 1245744L, 1245749L, 1245750L, 1245752L, 
1245753L, 1245758L, 1245759L, 1245761L, 1245762L, 1245767L, 1245768L, 
1245770L, 1245771L, 1245776L, 1245777L, 1245779L, 1245780L, 1246010L, 
1246011L, 1246013L, 1246014L, 1246019L, 1246020L, 1246022L, 1246023L, 
1246028L, 1246029L, 1246031L, 1246032L, 1246037L, 1246038L, 1246040L, 
1246041L, 1246046L, 1246047L, 1246049L, 1246050L, 1246064L, 1246065L, 
1246067L, 1246068L, 1246073L, 1246074L, 1246076L, 1246077L, 1246082L, 
1246083L, 1246085L, 1246086L, 1246091L, 1246092L, 1246094L, 1246095L, 
1246100L, 1246101L, 1246103L, 1246104L, 1246172L, 1246173L, 1246175L, 
1246176L, 1246181L, 1246182L, 1246184L, 1246185L, 1246190L, 1246191L, 
1246193L, 1246194L, 1246199L, 1246200L, 1246202L, 1246203L, 1246208L, 
1246209L, 1246211L, 1246212L, 1246226L, 1246227L, 1246229L, 1246230L, 
1246235L, 1246236L, 1246238L, 1246239L, 1246244L, 1246245L, 1246247L, 
1246248L, 1246253L, 1246254L, 1246256L, 1246257L, 1246262L, 1246263L, 
1246265L, 1246266L, 1246334L, 1246335L, 1246337L, 1246338L, 1246343L, 
1246344L, 1246346L, 1246347L, 1246352L, 1246353L, 1246355L, 1246356L, 
1246361L, 1246362L, 1246364L, 1246365L, 1246370L, 1246371L, 1246373L, 
1246374L, 1246388L, 1246389L, 1246391L, 1246392L, 1246397L, 1246398L, 
1246400L, 1246401L, 1246406L, 1246407L, 1246409L, 1246410L, 1246415L, 
1246416L, 1246418L, 1246419L, 1246424L, 1246425L, 1246427L, 1246428L, 
1246496L, 1246497L, 1246499L, 1246500L, 1246505L, 1246506L, 1246508L, 
1246509L, 1246514L, 1246515L, 1246517L, 1246518L, 1246523L, 1246524L, 
1246526L, 1246527L, 1246532L, 1246533L, 1246535L, 1246536L, 1246550L, 
1246551L, 1246553L, 1246554L, 1246559L, 1246560L, 1246562L, 1246563L, 
1246568L, 1246569L, 1246571L, 1246572L, 1246577L, 1246578L, 1246580L, 
1246581L, 1246586L, 1246587L, 1246589L, 1246590L, 1246820L, 1246821L, 
1246823L, 1246824L, 1246829L, 1246830L, 1246832L, 1246833L, 1246838L, 
1246839L, 1246841L, 1246842L, 1246847L, 1246848L, 1246850L, 1246851L, 
1246856L, 1246857L, 1246859L, 1246860L, 1246874L, 1246875L, 1246877L, 
1246878L, 1246883L, 1246884L, 1246886L, 1246887L, 1246892L, 1246893L, 
1246895L, 1246896L, 1246901L, 1246902L, 1246904L, 1246905L, 1246910L, 
1246911L, 1246913L, 1246914L, 1246982L, 1246983L, 1246985L, 1246986L, 
1246991L, 1246992L, 1246994L, 1246995L, 1247000L, 1247001L, 1247003L, 
1247004L, 1247009L, 1247010L, 1247012L, 1247013L, 1247018L, 1247019L, 
1247021L, 1247022L, 1247036L, 1247037L, 1247039L, 1247040L, 1247045L, 
1247046L, 1247048L, 1247049L, 1247054L, 1247055L, 1247057L, 1247058L, 
1247063L, 1247064L, 1247066L, 1247067L, 1247072L, 1247073L, 1247075L, 
1247076L, 1247144L, 1247145L, 1247147L, 1247148L, 1247153L, 1247154L, 
1247156L, 1247157L, 1247162L, 1247163L, 1247165L, 1247166L, 1247171L, 
1247172L, 1247174L, 1247175L, 1247180L, 1247181L, 1247183L, 1247184L, 
1247198L, 1247199L, 1247201L, 1247202L, 1247207L, 1247208L, 1247210L, 
1247211L, 1247216L, 1247217L, 1247219L, 1247220L, 1247225L, 1247226L, 
1247228L, 1247229L, 1247234L, 1247235L, 1247237L, 1247238L, 1247306L, 
1247307L, 1247309L, 1247310L, 1247315L, 1247316L, 1247318L, 1247319L, 
1247324L, 1247325L, 1247327L, 1247328L, 1247333L, 1247334L, 1247336L, 
1247337L, 1247342L, 1247343L, 1247345L, 1247346L, 1247360L, 1247361L, 
1247363L, 1247364L, 1247369L, 1247370L, 1247372L, 1247373L, 1247378L, 
1247379L, 1247381L, 1247382L, 1247387L, 1247388L, 1247390L, 1247391L, 
1247396L, 1247397L, 1247399L, 1247400L, 1247630L, 1247631L, 1247633L, 
1247634L, 1247639L, 1247640L, 1247642L, 1247643L, 1247648L, 1247649L, 
1247651L, 1247652L, 1247657L, 1247658L, 1247660L, 1247661L, 1247666L, 
1247667L, 1247669L, 1247670L, 1247684L, 1247685L, 1247687L, 1247688L, 
1247693L, 1247694L, 1247696L, 1247697L, 1247702L, 1247703L, 1247705L, 
1247706L, 1247711L, 1247712L, 1247714L, 1247715L, 1247720L, 1247721L, 
1247723L, 1247724L, 1247792L, 1247793L, 1247795L, 1247796L, 1247801L, 
1247802L, 1247804L, 1247805L, 1247810L, 1247811L, 1247813L, 1247814L, 
1247819L, 1247820L, 1247822L, 1247823L, 1247828L, 1247829L, 1247831L, 
1247832L, 1247846L, 1247847L, 1247849L, 1247850L, 1247855L, 1247856L, 
1247858L, 1247859L, 1247864L, 1247865L, 1247867L, 1247868L, 1247873L, 
1247874L, 1247876L, 1247877L, 1247882L, 1247883L, 1247885L, 1247886L, 
1247954L, 1247955L, 1247957L, 1247958L, 1247963L, 1247964L, 1247966L, 
1247967L, 1247972L, 1247973L, 1247975L, 1247976L, 1247981L, 1247982L, 
1247984L, 1247985L, 1247990L, 1247991L, 1247993L, 1247994L, 1248008L, 
1248009L, 1248011L, 1248012L, 1248017L, 1248018L, 1248020L, 1248021L, 
1248026L, 1248027L, 1248029L, 1248030L, 1248035L, 1248036L, 1248038L, 
1248039L, 1248044L, 1248045L, 1248047L, 1248048L, 1248116L, 1248117L, 
1248119L, 1248120L, 1248125L, 1248126L, 1248128L, 1248129L, 1248134L, 
1248135L, 1248137L, 1248138L, 1248143L, 1248144L, 1248146L, 1248147L, 
1248152L, 1248153L, 1248155L, 1248156L, 1248170L, 1248171L, 1248173L, 
1248174L, 1248179L, 1248180L, 1248182L, 1248183L, 1248188L, 1248189L, 
1248191L, 1248192L, 1248197L, 1248198L, 1248200L, 1248201L, 1248206L, 
1248207L, 1248209L, 1248210L, 1248440L, 1248441L, 1248443L, 1248444L, 
1248449L, 1248450L, 1248452L, 1248453L, 1248458L, 1248459L, 1248461L, 
1248462L, 1248467L, 1248468L, 1248470L, 1248471L, 1248476L, 1248477L, 
1248479L, 1248480L, 1248494L, 1248495L, 1248497L, 1248498L, 1248503L, 
1248504L, 1248506L, 1248507L, 1248512L, 1248513L, 1248515L, 1248516L, 
1248521L, 1248522L, 1248524L, 1248525L, 1248530L, 1248531L, 1248533L, 
1248534L, 1248602L, 1248603L, 1248605L, 1248606L, 1248611L, 1248612L, 
1248614L, 1248615L, 1248620L, 1248621L, 1248623L, 1248624L, 1248629L, 
1248630L, 1248632L, 1248633L, 1248638L, 1248639L, 1248641L, 1248642L, 
1248656L, 1248657L, 1248659L, 1248660L, 1248665L, 1248666L, 1248668L, 
1248669L, 1248674L, 1248675L, 1248677L, 1248678L, 1248683L, 1248684L, 
1248686L, 1248687L, 1248692L, 1248693L, 1248695L, 1248696L, 1248764L, 
1248765L, 1248767L, 1248768L, 1248773L, 1248774L, 1248776L, 1248777L, 
1248782L, 1248783L, 1248785L, 1248786L, 1248791L, 1248792L, 1248794L, 
1248795L, 1248800L, 1248801L, 1248803L, 1248804L, 1248818L, 1248819L, 
1248821L, 1248822L, 1248827L, 1248828L, 1248830L, 1248831L, 1248836L, 
1248837L, 1248839L, 1248840L, 1248845L, 1248846L, 1248848L, 1248849L, 
1248854L, 1248855L, 1248857L, 1248858L, 1248926L, 1248927L, 1248929L, 
1248930L, 1248935L, 1248936L, 1248938L, 1248939L, 1248944L, 1248945L, 
1248947L, 1248948L, 1248953L, 1248954L, 1248956L, 1248957L, 1248962L, 
1248963L, 1248965L, 1248966L, 1248980L, 1248981L, 1248983L, 1248984L, 
1248989L, 1248990L, 1248992L, 1248993L, 1248998L, 1248999L, 1249001L, 
1249002L, 1249007L, 1249008L, 1249010L, 1249011L, 1249016L, 1249017L, 
1249019L, 1249020L, 1250060L, 1250061L, 1250063L, 1250064L, 1250069L, 
1250070L, 1250072L, 1250073L, 1250078L, 1250079L, 1250081L, 1250082L, 
1250087L, 1250088L, 1250090L, 1250091L, 1250096L, 1250097L, 1250099L, 
1250100L, 1250114L, 1250115L, 1250117L, 1250118L, 1250123L, 1250124L, 
1250126L, 1250127L, 1250132L, 1250133L, 1250135L, 1250136L, 1250141L, 
1250142L, 1250144L, 1250145L, 1250150L, 1250151L, 1250153L, 1250154L, 
1250222L, 1250223L, 1250225L, 1250226L, 1250231L, 1250232L, 1250234L, 
1250235L, 1250240L, 1250241L, 1250243L, 1250244L, 1250249L, 1250250L, 
1250252L, 1250253L, 1250258L, 1250259L, 1250261L, 1250262L, 1250276L, 
1250277L, 1250279L, 1250280L, 1250285L, 1250286L, 1250288L, 1250289L, 
1250294L, 1250295L, 1250297L, 1250298L, 1250303L, 1250304L, 1250306L, 
1250307L, 1250312L, 1250313L, 1250315L, 1250316L, 1250384L, 1250385L, 
1250387L, 1250388L, 1250393L, 1250394L, 1250396L, 1250397L, 1250402L, 
1250403L, 1250405L, 1250406L, 1250411L, 1250412L, 1250414L, 1250415L, 
1250420L, 1250421L, 1250423L, 1250424L, 1250438L, 1250439L, 1250441L, 
1250442L, 1250447L, 1250448L, 1250450L, 1250451L, 1250456L, 1250457L, 
1250459L, 1250460L, 1250465L, 1250466L, 1250468L, 1250469L, 1250474L, 
1250475L, 1250477L, 1250478L, 1250546L, 1250547L, 1250549L, 1250550L, 
1250555L, 1250556L, 1250558L, 1250559L, 1250564L, 1250565L, 1250567L, 
1250568L, 1250573L, 1250574L, 1250576L, 1250577L, 1250582L, 1250583L, 
1250585L, 1250586L, 1250600L, 1250601L, 1250603L, 1250604L, 1250609L, 
1250610L, 1250612L, 1250613L, 1250618L, 1250619L, 1250621L, 1250622L, 
1250627L, 1250628L, 1250630L, 1250631L, 1250636L, 1250637L, 1250639L, 
1250640L, 1250870L, 1250871L, 1250873L, 1250874L, 1250879L, 1250880L, 
1250882L, 1250883L, 1250888L, 1250889L, 1250891L, 1250892L, 1250897L, 
1250898L, 1250900L, 1250901L, 1250906L, 1250907L, 1250909L, 1250910L, 
1250924L, 1250925L, 1250927L, 1250928L, 1250933L, 1250934L, 1250936L, 
1250937L, 1250942L, 1250943L, 1250945L, 1250946L, 1250951L, 1250952L, 
1250954L, 1250955L, 1250960L, 1250961L, 1250963L, 1250964L, 1251032L, 
1251033L, 1251035L, 1251036L, 1251041L, 1251042L, 1251044L, 1251045L, 
1251050L, 1251051L, 1251053L, 1251054L, 1251059L, 1251060L, 1251062L, 
1251063L, 1251068L, 1251069L, 1251071L, 1251072L, 1251086L, 1251087L, 
1251089L, 1251090L, 1251095L, 1251096L, 1251098L, 1251099L, 1251104L, 
1251105L, 1251107L, 1251108L, 1251113L, 1251114L, 1251116L, 1251117L, 
1251122L, 1251123L, 1251125L, 1251126L, 1251194L, 1251195L, 1251197L, 
1251198L, 1251203L, 1251204L, 1251206L, 1251207L, 1251212L, 1251213L, 
1251215L, 1251216L, 1251221L, 1251222L, 1251224L, 1251225L, 1251230L, 
1251231L, 1251233L, 1251234L, 1251248L, 1251249L, 1251251L, 1251252L, 
1251257L, 1251258L, 1251260L, 1251261L, 1251266L, 1251267L, 1251269L, 
1251270L, 1251275L, 1251276L, 1251278L, 1251279L, 1251284L, 1251285L, 
1251287L, 1251288L, 1251356L, 1251357L, 1251359L, 1251360L, 1251365L, 
1251366L, 1251368L, 1251369L, 1251374L, 1251375L, 1251377L, 1251378L, 
1251383L, 1251384L, 1251386L, 1251387L, 1251392L, 1251393L, 1251395L, 
1251396L, 1251410L, 1251411L, 1251413L, 1251414L, 1251419L, 1251420L, 
1251422L, 1251423L, 1251428L, 1251429L, 1251431L, 1251432L, 1251437L, 
1251438L, 1251440L, 1251441L, 1251446L, 1251447L, 1251449L, 1251450L, 
1251680L, 1251681L, 1251683L, 1251684L, 1251689L, 1251690L, 1251692L, 
1251693L, 1251698L, 1251699L, 1251701L, 1251702L, 1251707L, 1251708L, 
1251710L, 1251711L, 1251716L, 1251717L, 1251719L, 1251720L, 1251734L, 
1251735L, 1251737L, 1251738L, 1251743L, 1251744L, 1251746L, 1251747L, 
1251752L, 1251753L, 1251755L, 1251756L, 1251761L, 1251762L, 1251764L, 
1251765L, 1251770L, 1251771L, 1251773L, 1251774L, 1251842L, 1251843L, 
1251845L, 1251846L, 1251851L, 1251852L, 1251854L, 1251855L, 1251860L, 
1251861L, 1251863L, 1251864L, 1251869L, 1251870L, 1251872L, 1251873L, 
1251878L, 1251879L, 1251881L, 1251882L, 1251896L, 1251897L, 1251899L, 
1251900L, 1251905L, 1251906L, 1251908L, 1251909L, 1251914L, 1251915L, 
1251917L, 1251918L, 1251923L, 1251924L, 1251926L, 1251927L, 1251932L, 
1251933L, 1251935L, 1251936L, 1252004L, 1252005L, 1252007L, 1252008L, 
1252013L, 1252014L, 1252016L, 1252017L, 1252022L, 1252023L, 1252025L, 
1252026L, 1252031L, 1252032L, 1252034L, 1252035L, 1252040L, 1252041L, 
1252043L, 1252044L, 1252058L, 1252059L, 1252061L, 1252062L, 1252067L, 
1252068L, 1252070L, 1252071L, 1252076L, 1252077L, 1252079L, 1252080L, 
1252085L, 1252086L, 1252088L, 1252089L, 1252094L, 1252095L, 1252097L, 
1252098L, 1252166L, 1252167L, 1252169L, 1252170L, 1252175L, 1252176L, 
1252178L, 1252179L, 1252184L, 1252185L, 1252187L, 1252188L, 1252193L, 
1252194L, 1252196L, 1252197L, 1252202L, 1252203L, 1252205L, 1252206L, 
1252220L, 1252221L, 1252223L, 1252224L, 1252229L, 1252230L, 1252232L, 
1252233L, 1252238L, 1252239L, 1252241L, 1252242L, 1252247L, 1252248L, 
1252250L, 1252251L, 1252256L, 1252257L, 1252259L, 1252260L, 1252490L, 
1252491L, 1252493L, 1252494L, 1252499L, 1252500L, 1252502L, 1252503L, 
1252508L, 1252509L, 1252511L, 1252512L, 1252517L, 1252518L, 1252520L, 
1252521L, 1252526L, 1252527L, 1252529L, 1252530L, 1252544L, 1252545L, 
1252547L, 1252548L, 1252553L, 1252554L, 1252556L, 1252557L, 1252562L, 
1252563L, 1252565L, 1252566L, 1252571L, 1252572L, 1252574L, 1252575L, 
1252580L, 1252581L, 1252583L, 1252584L, 1252652L, 1252653L, 1252655L, 
1252656L, 1252661L, 1252662L, 1252664L, 1252665L, 1252670L, 1252671L, 
1252673L, 1252674L, 1252679L, 1252680L, 1252682L, 1252683L, 1252688L, 
1252689L, 1252691L, 1252692L, 1252706L, 1252707L, 1252709L, 1252710L, 
1252715L, 1252716L, 1252718L, 1252719L, 1252724L, 1252725L, 1252727L, 
1252728L, 1252733L, 1252734L, 1252736L, 1252737L, 1252742L, 1252743L, 
1252745L, 1252746L, 1252814L, 1252815L, 1252817L, 1252818L, 1252823L, 
1252824L, 1252826L, 1252827L, 1252832L, 1252833L, 1252835L, 1252836L, 
1252841L, 1252842L, 1252844L, 1252845L, 1252850L, 1252851L, 1252853L, 
1252854L, 1252868L, 1252869L, 1252871L, 1252872L, 1252877L, 1252878L, 
1252880L, 1252881L, 1252886L, 1252887L, 1252889L, 1252890L, 1252895L, 
1252896L, 1252898L, 1252899L, 1252904L, 1252905L, 1252907L, 1252908L, 
1252976L, 1252977L, 1252979L, 1252980L, 1252985L, 1252986L, 1252988L, 
1252989L, 1252994L, 1252995L, 1252997L, 1252998L, 1253003L, 1253004L, 
1253006L, 1253007L, 1253012L, 1253013L, 1253015L, 1253016L, 1253030L, 
1253031L, 1253033L, 1253034L, 1253039L, 1253040L, 1253042L, 1253043L, 
1253048L, 1253049L, 1253051L, 1253052L, 1253057L, 1253058L, 1253060L, 
1253061L, 1253066L, 1253067L, 1253069L, 1253070L, 1253300L, 1253301L, 
1253303L, 1253304L, 1253309L, 1253310L, 1253312L, 1253313L, 1253318L, 
1253319L, 1253321L, 1253322L, 1253327L, 1253328L, 1253330L, 1253331L, 
1253336L, 1253337L, 1253339L, 1253340L, 1253354L, 1253355L, 1253357L, 
1253358L, 1253363L, 1253364L, 1253366L, 1253367L, 1253372L, 1253373L, 
1253375L, 1253376L, 1253381L, 1253382L, 1253384L, 1253385L, 1253390L, 
1253391L, 1253393L, 1253394L, 1253462L, 1253463L, 1253465L, 1253466L, 
1253471L, 1253472L, 1253474L, 1253475L, 1253480L, 1253481L, 1253483L, 
1253484L, 1253489L, 1253490L, 1253492L, 1253493L, 1253498L, 1253499L, 
1253501L, 1253502L, 1253516L, 1253517L, 1253519L, 1253520L, 1253525L, 
1253526L, 1253528L, 1253529L, 1253534L, 1253535L, 1253537L, 1253538L, 
1253543L, 1253544L, 1253546L, 1253547L, 1253552L, 1253553L, 1253555L, 
1253556L, 1253624L, 1253625L, 1253627L, 1253628L, 1253633L, 1253634L, 
1253636L, 1253637L, 1253642L, 1253643L, 1253645L, 1253646L, 1253651L, 
1253652L, 1253654L, 1253655L, 1253660L, 1253661L, 1253663L, 1253664L, 
1253678L, 1253679L, 1253681L, 1253682L, 1253687L, 1253688L, 1253690L, 
1253691L, 1253696L, 1253697L, 1253699L, 1253700L, 1253705L, 1253706L, 
1253708L, 1253709L, 1253714L, 1253715L, 1253717L, 1253718L, 1253786L, 
1253787L, 1253789L, 1253790L, 1253795L, 1253796L, 1253798L, 1253799L, 
1253804L, 1253805L, 1253807L, 1253808L, 1253813L, 1253814L, 1253816L, 
1253817L, 1253822L, 1253823L, 1253825L, 1253826L, 1253840L, 1253841L, 
1253843L, 1253844L, 1253849L, 1253850L, 1253852L, 1253853L, 1253858L, 
1253859L, 1253861L, 1253862L, 1253867L, 1253868L, 1253870L, 1253871L, 
1253876L, 1253877L, 1253879L, 1253880L, 1254920L, 1254921L, 1254923L, 
1254924L, 1254929L, 1254930L, 1254932L, 1254933L, 1254938L, 1254939L, 
1254941L, 1254942L, 1254947L, 1254948L, 1254950L, 1254951L, 1254956L, 
1254957L, 1254959L, 1254960L, 1254974L, 1254975L, 1254977L, 1254978L, 
1254983L, 1254984L, 1254986L, 1254987L, 1254992L, 1254993L, 1254995L, 
1254996L, 1255001L, 1255002L, 1255004L, 1255005L, 1255010L, 1255011L, 
1255013L, 1255014L, 1255082L, 1255083L, 1255085L, 1255086L, 1255091L, 
1255092L, 1255094L, 1255095L, 1255100L, 1255101L, 1255103L, 1255104L, 
1255109L, 1255110L, 1255112L, 1255113L, 1255118L, 1255119L, 1255121L, 
1255122L, 1255136L, 1255137L, 1255139L, 1255140L, 1255145L, 1255146L, 
1255148L, 1255149L, 1255154L, 1255155L, 1255157L, 1255158L, 1255163L, 
1255164L, 1255166L, 1255167L, 1255172L, 1255173L, 1255175L, 1255176L, 
1255244L, 1255245L, 1255247L, 1255248L, 1255253L, 1255254L, 1255256L, 
1255257L, 1255262L, 1255263L, 1255265L, 1255266L, 1255271L, 1255272L, 
1255274L, 1255275L, 1255280L, 1255281L, 1255283L, 1255284L, 1255298L, 
1255299L, 1255301L, 1255302L, 1255307L, 1255308L, 1255310L, 1255311L, 
1255316L, 1255317L, 1255319L, 1255320L, 1255325L, 1255326L, 1255328L, 
1255329L, 1255334L, 1255335L, 1255337L, 1255338L, 1255406L, 1255407L, 
1255409L, 1255410L, 1255415L, 1255416L, 1255418L, 1255419L, 1255424L, 
1255425L, 1255427L, 1255428L, 1255433L, 1255434L, 1255436L, 1255437L, 
1255442L, 1255443L, 1255445L, 1255446L, 1255460L, 1255461L, 1255463L, 
1255464L, 1255469L, 1255470L, 1255472L, 1255473L, 1255478L, 1255479L, 
1255481L, 1255482L, 1255487L, 1255488L, 1255490L, 1255491L, 1255496L, 
1255497L, 1255499L, 1255500L, 1255730L, 1255731L, 1255733L, 1255734L, 
1255739L, 1255740L, 1255742L, 1255743L, 1255748L, 1255749L, 1255751L, 
1255752L, 1255757L, 1255758L, 1255760L, 1255761L, 1255766L, 1255767L, 
1255769L, 1255770L, 1255784L, 1255785L, 1255787L, 1255788L, 1255793L, 
1255794L, 1255796L, 1255797L, 1255802L, 1255803L, 1255805L, 1255806L, 
1255811L, 1255812L, 1255814L, 1255815L, 1255820L, 1255821L, 1255823L, 
1255824L, 1255892L, 1255893L, 1255895L, 1255896L, 1255901L, 1255902L, 
1255904L, 1255905L, 1255910L, 1255911L, 1255913L, 1255914L, 1255919L, 
1255920L, 1255922L, 1255923L, 1255928L, 1255929L, 1255931L, 1255932L, 
1255946L, 1255947L, 1255949L, 1255950L, 1255955L, 1255956L, 1255958L, 
1255959L, 1255964L, 1255965L, 1255967L, 1255968L, 1255973L, 1255974L, 
1255976L, 1255977L, 1255982L, 1255983L, 1255985L, 1255986L, 1256054L, 
1256055L, 1256057L, 1256058L, 1256063L, 1256064L, 1256066L, 1256067L, 
1256072L, 1256073L, 1256075L, 1256076L, 1256081L, 1256082L, 1256084L, 
1256085L, 1256090L, 1256091L, 1256093L, 1256094L, 1256108L, 1256109L, 
1256111L, 1256112L, 1256117L, 1256118L, 1256120L, 1256121L, 1256126L, 
1256127L, 1256129L, 1256130L, 1256135L, 1256136L, 1256138L, 1256139L, 
1256144L, 1256145L, 1256147L, 1256148L, 1256216L, 1256217L, 1256219L, 
1256220L, 1256225L, 1256226L, 1256228L, 1256229L, 1256234L, 1256235L, 
1256237L, 1256238L, 1256243L, 1256244L, 1256246L, 1256247L, 1256252L, 
1256253L, 1256255L, 1256256L, 1256270L, 1256271L, 1256273L, 1256274L, 
1256279L, 1256280L, 1256282L, 1256283L, 1256288L, 1256289L, 1256291L, 
1256292L, 1256297L, 1256298L, 1256300L, 1256301L, 1256306L, 1256307L, 
1256309L, 1256310L, 1256540L, 1256541L, 1256543L, 1256544L, 1256549L, 
1256550L, 1256552L, 1256553L, 1256558L, 1256559L, 1256561L, 1256562L, 
1256567L, 1256568L, 1256570L, 1256571L, 1256576L, 1256577L, 1256579L, 
1256580L, 1256594L, 1256595L, 1256597L, 1256598L, 1256603L, 1256604L, 
1256606L, 1256607L, 1256612L, 1256613L, 1256615L, 1256616L, 1256621L, 
1256622L, 1256624L, 1256625L, 1256630L, 1256631L, 1256633L, 1256634L, 
1256702L, 1256703L, 1256705L, 1256706L, 1256711L, 1256712L, 1256714L, 
1256715L, 1256720L, 1256721L, 1256723L, 1256724L, 1256729L, 1256730L, 
1256732L, 1256733L, 1256738L, 1256739L, 1256741L, 1256742L, 1256756L, 
1256757L, 1256759L, 1256760L, 1256765L, 1256766L, 1256768L, 1256769L, 
1256774L, 1256775L, 1256777L, 1256778L, 1256783L, 1256784L, 1256786L, 
1256787L, 1256792L, 1256793L, 1256795L, 1256796L, 1256864L, 1256865L, 
1256867L, 1256868L, 1256873L, 1256874L, 1256876L, 1256877L, 1256882L, 
1256883L, 1256885L, 1256886L, 1256891L, 1256892L, 1256894L, 1256895L, 
1256900L, 1256901L, 1256903L, 1256904L, 1256918L, 1256919L, 1256921L, 
1256922L, 1256927L, 1256928L, 1256930L, 1256931L, 1256936L, 1256937L, 
1256939L, 1256940L, 1256945L, 1256946L, 1256948L, 1256949L, 1256954L, 
1256955L, 1256957L, 1256958L, 1257026L, 1257027L, 1257029L, 1257030L, 
1257035L, 1257036L, 1257038L, 1257039L, 1257044L, 1257045L, 1257047L, 
1257048L, 1257053L, 1257054L, 1257056L, 1257057L, 1257062L, 1257063L, 
1257065L, 1257066L, 1257080L, 1257081L, 1257083L, 1257084L, 1257089L, 
1257090L, 1257092L, 1257093L, 1257098L, 1257099L, 1257101L, 1257102L, 
1257107L, 1257108L, 1257110L, 1257111L, 1257116L, 1257117L, 1257119L, 
1257120L, 1257350L, 1257351L, 1257353L, 1257354L, 1257359L, 1257360L, 
1257362L, 1257363L, 1257368L, 1257369L, 1257371L, 1257372L, 1257377L, 
1257378L, 1257380L, 1257381L, 1257386L, 1257387L, 1257389L, 1257390L, 
1257404L, 1257405L, 1257407L, 1257408L, 1257413L, 1257414L, 1257416L, 
1257417L, 1257422L, 1257423L, 1257425L, 1257426L, 1257431L, 1257432L, 
1257434L, 1257435L, 1257440L, 1257441L, 1257443L, 1257444L, 1257512L, 
1257513L, 1257515L, 1257516L, 1257521L, 1257522L, 1257524L, 1257525L, 
1257530L, 1257531L, 1257533L, 1257534L, 1257539L, 1257540L, 1257542L, 
1257543L, 1257548L, 1257549L, 1257551L, 1257552L, 1257566L, 1257567L, 
1257569L, 1257570L, 1257575L, 1257576L, 1257578L, 1257579L, 1257584L, 
1257585L, 1257587L, 1257588L, 1257593L, 1257594L, 1257596L, 1257597L, 
1257602L, 1257603L, 1257605L, 1257606L, 1257674L, 1257675L, 1257677L, 
1257678L, 1257683L, 1257684L, 1257686L, 1257687L, 1257692L, 1257693L, 
1257695L, 1257696L, 1257701L, 1257702L, 1257704L, 1257705L, 1257710L, 
1257711L, 1257713L, 1257714L, 1257728L, 1257729L, 1257731L, 1257732L, 
1257737L, 1257738L, 1257740L, 1257741L, 1257746L, 1257747L, 1257749L, 
1257750L, 1257755L, 1257756L, 1257758L, 1257759L, 1257764L, 1257765L, 
1257767L, 1257768L, 1257836L, 1257837L, 1257839L, 1257840L, 1257845L, 
1257846L, 1257848L, 1257849L, 1257854L, 1257855L, 1257857L, 1257858L, 
1257863L, 1257864L, 1257866L, 1257867L, 1257872L, 1257873L, 1257875L, 
1257876L, 1257890L, 1257891L, 1257893L, 1257894L, 1257899L, 1257900L, 
1257902L, 1257903L, 1257908L, 1257909L, 1257911L, 1257912L, 1257917L, 
1257918L, 1257920L, 1257921L, 1257926L, 1257927L, 1257929L, 1257930L, 
1258160L, 1258161L, 1258163L, 1258164L, 1258169L, 1258170L, 1258172L, 
1258173L, 1258178L, 1258179L, 1258181L, 1258182L, 1258187L, 1258188L, 
1258190L, 1258191L, 1258196L, 1258197L, 1258199L, 1258200L, 1258214L, 
1258215L, 1258217L, 1258218L, 1258223L, 1258224L, 1258226L, 1258227L, 
1258232L, 1258233L, 1258235L, 1258236L, 1258241L, 1258242L, 1258244L, 
1258245L, 1258250L, 1258251L, 1258253L, 1258254L, 1258322L, 1258323L, 
1258325L, 1258326L, 1258331L, 1258332L, 1258334L, 1258335L, 1258340L, 
1258341L, 1258343L, 1258344L, 1258349L, 1258350L, 1258352L, 1258353L, 
1258358L, 1258359L, 1258361L, 1258362L, 1258376L, 1258377L, 1258379L, 
1258380L, 1258385L, 1258386L, 1258388L, 1258389L, 1258394L, 1258395L, 
1258397L, 1258398L, 1258403L, 1258404L, 1258406L, 1258407L, 1258412L, 
1258413L, 1258415L, 1258416L, 1258484L, 1258485L, 1258487L, 1258488L, 
1258493L, 1258494L, 1258496L, 1258497L, 1258502L, 1258503L, 1258505L, 
1258506L, 1258511L, 1258512L, 1258514L, 1258515L, 1258520L, 1258521L, 
1258523L, 1258524L, 1258538L, 1258539L, 1258541L, 1258542L, 1258547L, 
1258548L, 1258550L, 1258551L, 1258556L, 1258557L, 1258559L, 1258560L, 
1258565L, 1258566L, 1258568L, 1258569L, 1258574L, 1258575L, 1258577L, 
1258578L, 1258646L, 1258647L, 1258649L, 1258650L, 1258655L, 1258656L, 
1258658L, 1258659L, 1258664L, 1258665L, 1258667L, 1258668L, 1258673L, 
1258674L, 1258676L, 1258677L, 1258682L, 1258683L, 1258685L, 1258686L, 
1258700L, 1258701L, 1258703L, 1258704L, 1258709L, 1258710L, 1258712L, 
1258713L, 1258718L, 1258719L, 1258721L, 1258722L, 1258727L, 1258728L, 
1258730L, 1258731L, 1258736L, 1258737L, 1258739L, 1258740L))
  return (population)
}